# Parámetros básicos que se usan en el frontend.

## Contenido
- [Introducción](#introducción)
- [Parámetros](#parámetros)
    - [HEADER](#header)
    - [FOOTER](#footer)
    - [Redes Sociales](#redes-sociales)
    - [Recaptcha](#recaptcha)
    - [Cookies](#cookies)
- [Con varios canales](#con-varios-canales)

## Introducción
En este documento se va describir los parámetros basicos que se usan por lo general en frontend. 

>**Aclaración:** Puede que aun estando cargados los parámetros en el backoffice estos sigan sin ser visibles en el frontend y esto se puede dar debido a que no se han configurado en el `html` o quisas la clave sea distinta a la propuesta. Nunca fue algo estable y la idea de este documento es terminar con ese problema. Es por eso que se van a describir las claves mas usadas. 

## Parámetros
Paso a detallar los parámetros mas usados en el frontend.

### HEADER

| Nombre | Donde se utiliza |
| ------ | ---------------- |
| `top_block` | Usado para mostrar la barra de anuncios |
| `logo_header` | Usado para cargar la imagen del logo de la página |

### FOOTER

| Nombre | Donde se utiliza |
| ------ | ---------------- |
| `logo_footer` | Usado para cargar la imagen del logo que va en el pie de la página |
| `copyright` | Usado para mostrar el copyright y su contenido |
| `fiscal` | Usado para mostrar, por lo general, la imagen del QR de la **Data Fiscal** |

### Redes Sociales
| Nombre | Donde se utiliza |
| ------ | ---------------- |
| `whatsapp` ó `wsp` | Usado para lo que tenga que ver con whatsapp y numero al que se pueden comunicar |
| `facebook` | Usado para lo que tenga que ver con facebook |
| `twitter` | Usado para lo que tenga que ver con twitter |
| `instagram` | Usado para lo que tenga que ver instagram |
| `linkedin` | Usado para lo que tenga que ver con LinkedIn |
| `pinterest` | Usado para lo que tenga que ver pinterest |
>Varias de estas clave son usadas en el componente `shared-block-ec` usado para compartir articulos en redes sociales, agregando al principio la clave `share_`. Ej. **`share_facebook`**. 

### Recaptcha
| Nombre | Donde se utiliza |
| ------ | ---------------- |
| `recaptcha_key` | En su valor debe contener la clave provista por [Google reCAPTCHA](https://www.google.com/recaptcha/about/) para que muestre en los formularios el reCAPTCHA |

### Cookies
En este [documento](COOKIES.md) se explica en detalle como usar los parámetros para las cookies.

## Con varios canales
Cuando el backoffice contiene varios canales lo ideal seria cargar el parámetro pero agregando el nombre del canal a donde apunta el parámetro. Por ejemplo, tenemos el parámetro `whatsapp` en una implementación donde tiene 2 canales cuyos nombres son `minorista` y `mayorista`, en este caso el parámetro deberia ser asi `whatsapp_minorista` o `whatsapp_mayorista`. 
