import { OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { ComponentHelper } from '../../../classes/component-helper';
import { Constants } from '../../../core.consts';
import { OrdersService } from '../../../services/account/orders.service';
export declare class OrdersEcComponent extends ComponentHelper implements OnInit {
    ordersService: OrdersService;
    router: Router;
    protected consts: Constants;
    mediaUrl: any;
    orders: any;
    loading: boolean;
    error: any;
    sortValue: any;
    showImage: boolean;
    /**
     * @description name -> nombre de clave de valuesToSort; asc -> true: ascendente, false: descendente
     */
    currentSort: any;
    /**
     * @description true -> ordena de forma ascendente | false -> ordena de forma decreciente
     */
    valuesToSort: any;
    constructor(ordersService: OrdersService, router: Router, consts: Constants);
    ngOnInit(): void;
    sortedByNewest: (orders: any) => any;
    goToOrder: (order: any) => void;
    toDate: (date: any, format: any) => string;
    optionsBox: {
        loop: boolean;
        autoplay: boolean;
        smartSpeed: number;
        margin: number;
        dots: boolean;
        dotsData: boolean;
        navText: string[];
        responsive: {
            0: {
                items: number;
            };
            600: {
                items: number;
            };
            1000: {
                items: number;
            };
        };
    };
    /**
    * @description Ordena la lista de ordenes
    * @param value recibe una valor que debe coincidir con las claves de la variable valuesToSort
    */
    sortOrders: (value: any) => void;
    /**
     * @description retorna la funcion que se debe utilizar para el sort del arreglo
     * @param value parametro que indica el tipo de funcion que debe retornar
     * @returns funcion para utilizar en la busqueda
     */
    private getSortFunction;
    private sortPaymentState;
    private sortShipments;
    private sortNumber;
    private sortText;
    /**
     * @description funcion utilizada para desempate.
     * @param aOrders
     * @param otherOrders
     * @param comparator
     * @returns
     */
    private tieBreaker;
    /**
     * @description cambia los valores de la variable currentSort
     * @param name
     * @param asc
     */
    private setCurrentSort;
}
