import { OnInit, EventEmitter } from '@angular/core';
import { FormGroup, FormBuilder } from '@angular/forms';
import { Router } from "@angular/router";
import { ComponentHelper } from '../../../classes/component-helper';
import { AuthService } from '../../../services/auth.service';
import { ToastService } from '../../../utils/toast.service';
import { UserRoleType } from '../../../classes/user-role-type';
export declare class LoginFormEcComponent extends ComponentHelper implements OnInit {
    protected authService: AuthService;
    protected toastrService: ToastService;
    protected formBuilder: FormBuilder;
    router: Router;
    darkMode: boolean;
    redirect: boolean;
    redirectTo: string;
    complete: boolean;
    title: string;
    ready: EventEmitter<any>;
    loggedIn: boolean;
    loading: boolean;
    loginForm: FormGroup;
    constructor(authService: AuthService, toastrService: ToastService, formBuilder: FormBuilder, router: Router);
    ngOnInit(): void;
    login: ($event: any, withRoles?: UserRoleType[]) => void;
    redirectHome: () => void;
}
