import { OnInit, EventEmitter } from '@angular/core';
import { FormGroup, FormBuilder } from '@angular/forms';
import { Router } from "@angular/router";
import { BehaviorSubject } from 'rxjs';
import { ComponentHelper } from '../../../classes/component-helper';
import { Constants } from '../../../core.consts';
import { AuthService } from '../../../services/auth.service';
import { ParametersService } from '../../../services/parameters.service';
import { ToastService } from '../../../utils/toast.service';
export declare class RegisterWholesalerFormEcComponent extends ComponentHelper implements OnInit {
    authService: AuthService;
    protected toastr: ToastService;
    router: Router;
    consts: Constants;
    paramsService: ParametersService;
    protected formBuilder: FormBuilder;
    protected provincesSubject: BehaviorSubject<any[]>;
    protected countriesSubject: BehaviorSubject<any[]>;
    protected documentTypesSubject: BehaviorSubject<any[]>;
    provinces$: import("rxjs").Observable<any[]>;
    countries$: import("rxjs").Observable<any[]>;
    documentTypes$: import("rxjs").Observable<any[]>;
    isLogged: Boolean;
    darkMode: boolean;
    redirect: boolean;
    complete: boolean;
    ready: EventEmitter<any>;
    success: Boolean;
    requestTerms: boolean;
    campospersonajuridica: boolean;
    register_loading: boolean;
    registerForm: FormGroup;
    params: any;
    constructor(authService: AuthService, toastr: ToastService, router: Router, consts: Constants, paramsService: ParametersService, formBuilder: FormBuilder);
    ngOnInit(): void;
    onCountrySelected: (value: any) => void;
    onProvincesSelected: (value: any) => void;
    onGenderSelected: (value: any) => void;
    onDocumentTypeSelected: (value: any) => void;
    redirectHome: () => void;
    register: (event: any) => void;
}
