import { OnInit } from '@angular/core';
import { ComponentHelper } from '../../../classes/component-helper';
import { ActivatedRoute, Router } from '@angular/router';
import { Constants } from '../../../core.consts';
import { AnalyticsService } from '../../../services/analytics.service';
import { CartService } from '../../../services/cart.service';
import { OptionsService } from '../../../services/options.service';
import { ProductDetailService } from '../../../services/products/product-detail.service';
import { ProductsService } from '../../../services/products/products.service';
import { ToastService } from '../../../utils/toast.service';
export declare class ProductFoundEcComponent extends ComponentHelper implements OnInit {
    productService: ProductDetailService;
    consts: Constants;
    protected activedRoute: ActivatedRoute;
    cartService: CartService;
    optionsService: OptionsService;
    productsService: ProductsService;
    analyticsService: AnalyticsService;
    router: Router;
    protected toastrService: ToastService;
    product: any;
    quantity: number;
    associatedData: any;
    constructor(productService: ProductDetailService, consts: Constants, activedRoute: ActivatedRoute, cartService: CartService, optionsService: OptionsService, productsService: ProductsService, analyticsService: AnalyticsService, router: Router, toastrService: ToastService);
    ngOnInit(): void;
    /**
     * @description agrega el producto al carrito de compras
     */
    addToCart: () => void;
    /**
     * @description suma 1 a la cantidad del producto para agregar al carrito, si es que hay stock disponible
     * @param stock stock del producto que se quiere agregar al carrito
     * @returns
     */
    plus: (stock: any) => number | void;
    /**
     * @description resta 1 la cantidad del producto para agregar al carrito.
     * @returns
     */
    less: () => number;
}
