import { OnInit, TemplateRef } from "@angular/core";
import { Router } from "@angular/router";
import { BsModalService } from "ngx-bootstrap/modal";
import { BsModalRef } from 'ngx-bootstrap/modal/bs-modal-ref.service';
import { Constants } from "../../core.consts";
import { AuthService } from '../../services/auth.service';
import { ProductsService } from '../../services/products/products.service';
import { CartService } from '../../services/cart.service';
import { ComponentHelper } from "../../classes/component-helper";
import { ToastService } from "../../utils/toast.service";
import { Observable } from "rxjs";
import { AddressingService } from '../../services/checkout/addressing.service';
export declare class CartEcComponent extends ComponentHelper implements OnInit {
    cartService: CartService;
    authService: AuthService;
    protected consts: Constants;
    productsService: ProductsService;
    router: Router;
    modalService: BsModalService;
    protected toastrService: ToastService;
    addressingService: AddressingService;
    isLoggedIn: boolean;
    mediaUrl: string;
    modalRef: BsModalRef | null;
    promotions: any[];
    items: Observable<any>;
    private cargando;
    constructor(cartService: CartService, authService: AuthService, consts: Constants, productsService: ProductsService, router: Router, modalService: BsModalService, toastrService: ToastService, addressingService: AddressingService);
    ngOnChanges(): void;
    updateLoggedIn(): void;
    ngOnInit(): void;
    toDecimal: (amount: any) => any;
    actualizarCantidad: (item: any, cantidad: any, stock: any, id?: any) => void;
    redirectCheckout: () => Promise<boolean>;
    redirectRegister: () => Promise<boolean>;
    openModal(template: TemplateRef<any>): void;
    redirectDetailProduct(product: any): void;
    formatDate(date: any): string;
    cargaModal(item: any): Promise<void>;
    closeModal(id: any): void;
}
