import { OnInit } from '@angular/core';
import Stepper from 'bs-stepper';
import { Router } from '@angular/router';
import { BehaviorSubject, Subscription } from 'rxjs';
import { CheckoutService } from '../../services/checkout/checkout.service';
import { ToastService } from '../../utils/toast.service';
import { CartService } from '../../services/cart.service';
import { CheckoutData } from '../../interfaces/checkout-data';
import { ProductsService } from '../../services/products/products.service';
import { ComponentHelper } from '../../classes/component-helper';
import { ChannelConfigService } from '../../services/channel-config.service';
export declare class CheckoutEcComponent extends ComponentHelper implements OnInit {
    checkoutService: CheckoutService;
    toastrService: ToastService;
    router: Router;
    cartService: CartService;
    productsService: ProductsService;
    channelService: ChannelConfigService;
    stepper: Stepper;
    loadingSubject: BehaviorSubject<boolean>;
    canCheckout: boolean;
    require_login: boolean;
    subCan: Subscription;
    subReady: Subscription;
    channel: any;
    steps: any[];
    loading$: import("rxjs").Observable<boolean>;
    constructor(checkoutService: CheckoutService, toastrService: ToastService, router: Router, cartService: CartService, productsService: ProductsService, channelService: ChannelConfigService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    initializeCheckout: () => void;
    goBack: () => void;
    isStepReady: (step_name: any) => any;
    endCheckout: () => void;
    setStepper: () => void;
    next: () => void;
    error: (error_value: any) => void;
    getIcon: (data_item: CheckoutData) => "assets/images/coupon.png" | "assets/images/discount.png" | "assets/images/ico-envio.png" | "assets/images/products.png" | "assets/images/ico-carrito.png";
    initializeSteps: () => void;
    stepEnabled: (stepNumber: number) => boolean;
    getClassToStepper: (index: number) => string;
}
