import { OnInit, TemplateRef } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { BehaviorSubject } from 'rxjs';
import { ComponentHelper } from '../../../classes/component-helper';
import { AuthService } from '../../../services/auth.service';
import { CartService } from '../../../services/cart.service';
import { AddressingService } from '../../../services/checkout/addressing.service';
import { ToastService } from '../../../utils/toast.service';
import { BsModalService } from 'ngx-bootstrap/modal';
import { BsModalRef } from 'ngx-bootstrap/modal/bs-modal-ref.service';
import { Constants } from '../../../core.consts';
import { ParametersService } from '../../../services/parameters.service';
export declare class DataFormEcComponent extends ComponentHelper implements OnInit {
    authService: AuthService;
    fb: FormBuilder;
    toast: ToastService;
    addressingService: AddressingService;
    cartService: CartService;
    private modalService;
    paramsService: ParametersService;
    consts: Constants;
    step_id: any;
    isLastOne: boolean;
    nextStep: Function;
    protected countriesSubject: BehaviorSubject<any[]>;
    protected provincesSubject: BehaviorSubject<any[]>;
    protected documentTypesSubject: BehaviorSubject<any[]>;
    protected countriesFacturacionSubject: BehaviorSubject<any[]>;
    protected provincesFacturacionSubject: BehaviorSubject<any[]>;
    protected documentTypesFacturacionSubject: BehaviorSubject<any[]>;
    countries$: import("rxjs").Observable<any[]>;
    provinces$: import("rxjs").Observable<any[]>;
    documentTypes$: import("rxjs").Observable<any[]>;
    countriesFacturacion$: import("rxjs").Observable<any[]>;
    provincesFacturacion$: import("rxjs").Observable<any[]>;
    documentTypesFacturacion$: import("rxjs").Observable<any[]>;
    require_login: boolean;
    checkoutForm: FormGroup;
    checkoutFormFacturacion: FormGroup;
    loading: boolean;
    form_ready: boolean;
    allready_data: boolean;
    addressBook: any[];
    addressBookSelected: {
        id: number;
        notes: string;
    };
    finish: boolean;
    validado: boolean;
    viewDataFacturacion: boolean;
    modalRef: BsModalRef | null;
    params: any;
    selectAddres: boolean;
    constructor(authService: AuthService, fb: FormBuilder, toast: ToastService, addressingService: AddressingService, cartService: CartService, modalService: BsModalService, paramsService: ParametersService, consts: Constants);
    ngOnInit(): void;
    /**
     * @description filtra los paises de acuerdo al a los codigos retornados en la funcion getCountries.
     * Casos de usos: Si getCountries es vacio, retorna el arreglo que ingresa por parametro.
     * Si getCountries contiene valores que no coinciden, retorna el arreglo que ingresa por parametro.
     * De lo contrario retorna los valores filtrados.
     * @param countries Arreglo que contiene los countries recibidos en la subscripcion del observable.
     * @returns un arreglo de countries.
     */
    private filterCountryByCode;
    showFormFacturacion: () => boolean;
    onFormValid: () => void;
    protected onFormChange(): void;
    onInputChange: () => boolean;
    onCountrySelected: (value: any) => void;
    onCountrySelectedFacturacion: (value: any) => void;
    onProvincesSelected: (value: any) => void;
    onProvincesSelectedFacturacion: (value: any) => void;
    onDocumentTypesSelected: (value: any) => void;
    onDocumentTypesSelectedFacturacion: (value: any) => void;
    verifyValidate: (e: any, items: any) => Promise<void>;
    showError: (error_message: any) => boolean;
    protected emitResult: () => Promise<void>;
    openModal(template: TemplateRef<any>): void;
    setSelectAddress: (addressSelect: any) => void;
    selectAddress: (items: any) => Promise<void>;
    getMode: () => boolean;
    setMode: (mode: any) => boolean;
    getCountry: (code: any) => any;
    getProvince: (code: any) => any;
    getDocumentType: (code: any) => any;
    getLabelNotesParam: () => any;
    getParamByChannelAndLanguage: (nameParam: any) => any;
}
