import { OnInit, TemplateRef } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { ComponentHelper } from '../../../classes/component-helper';
import { Constants } from '../../../core.consts';
import { BlocksService } from '../../../services/blocks/blocks.service';
import { CartService } from '../../../services/cart.service';
import { CheckoutService } from '../../../services/checkout/checkout.service';
export declare class SuccessEcComponent extends ComponentHelper implements OnInit {
    protected activedRoute: ActivatedRoute;
    protected cartService: CartService;
    router: Router;
    protected checkoutService: CheckoutService;
    blocksService: BlocksService;
    consts: Constants;
    orderDetails: {};
    params: any;
    from_mp: boolean;
    payments: any;
    blocks: any;
    /**
     * @description variable para recibir un template en caso de que se quiera cambiar la informacion por defecto.
     */
    notInfoToMethodTemplate: TemplateRef<any>;
    constructor(activedRoute: ActivatedRoute, cartService: CartService, router: Router, checkoutService: CheckoutService, blocksService: BlocksService, consts: Constants);
    ngOnInit(): void;
    /**
     * @description Chequea si existe un bloque recibido por parametro.
     * @param codeBlock codigo del bloque.
     * @returns el bloque si lo encontro.
     */
    containsBlock: (codeBlock: string) => boolean;
}
