import { OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { FilterElement } from '../../interfaces/filter';
import { Subscription } from 'rxjs';
import { ComponentHelper } from '../../classes/component-helper';
import { Filter } from '../../classes/filters/Filter';
import { Constants } from '../../core.consts';
import { FilterType } from '../../interfaces/filter';
import { ParamsProductsWithUniqueVariant } from '../../interfaces/paramsInterfaces/paramsProductsWithUniqueVariant';
import { Product } from '../../interfaces/product';
import { AnalyticsService } from '../../services/analytics.service';
import { AuthService } from '../../services/auth.service';
import { CartService } from '../../services/cart.service';
import { FiltersService } from '../../services/filters.service';
import { OptionsService } from '../../services/options.service';
import { ParametersService } from '../../services/parameters.service';
import { ProductsService } from '../../services/products/products.service';
export declare class CollectionEcComponent extends ComponentHelper implements OnInit {
    productsService: ProductsService;
    protected paramsSrv: ParametersService;
    protected activeRoute: ActivatedRoute;
    protected optionsService: OptionsService;
    authService: AuthService;
    private analyticsService;
    cartService: CartService;
    consts: Constants;
    filtersService: FiltersService;
    filters: Filter[];
    filters_top: Filter[];
    private defaultFilters;
    private filtersConfig;
    products: Product[];
    finished: boolean;
    protected suscripcion: Subscription;
    loading: boolean;
    breadcrumb: string[];
    isCollection: boolean;
    params: any;
    filterInView: FilterElement;
    type: any;
    value: any;
    productsWithUniqueVariant: boolean;
    optionsFilters: FilterType[];
    constructor(productsService: ProductsService, paramsSrv: ParametersService, activeRoute: ActivatedRoute, optionsService: OptionsService, authService: AuthService, analyticsService: AnalyticsService, cartService: CartService, consts: Constants, filtersService: FiltersService);
    ngOnInit(): void;
    getProductsAndSubscribe(): void;
    /**
     * @description Realiza un sort de productos por el campo dateCreate de la variante
     * @param a Producto a
     * @param b Producto b
     * @param type si es `asc` | `desc`
     * @returns {number} **1** para `true` | **0** para `false`
     */
    sortProducts: (a: any, b: any, type?: string) => 1 | 0;
    /**
     * @description aplica el filtro en la vista.
     */
    applyFiltersInView: () => void;
    getSpecificFilters: (filters: Filter[], types: FilterType[]) => Filter[];
    onScroll(): void;
    areProducts: () => boolean;
    isWaiting: () => boolean;
    setFinished: () => boolean;
    changeFilter: (e: any) => void;
    addAllProductosToCart: (products?: any) => void;
    getObjectWithVariant: () => ParamsProductsWithUniqueVariant;
}
