import { OnInit, SimpleChanges, EventEmitter } from '@angular/core';
import { Router } from '@angular/router';
import { ComponentHelper } from '../../classes/component-helper';
import { Constants } from '../../core.consts';
import { AnalyticsService } from '../../services/analytics.service';
import { ProductsService } from '../../services/products/products.service';
export declare class ComparedProductsEcComponent extends ComponentHelper implements OnInit {
    protected productsService: ProductsService;
    private analyticsService;
    consts: Constants;
    router: Router;
    /**
     * @description id del producto principal
     */
    product_id: any;
    /**
     * @description valor que se utilizara para cuando un producto no tenga datos
     * en el atributo asignado.
     */
    emptyValue: string;
    /**
     * @description valor que se utilizara para la clase de los estilos de la etiqueta <table>
     */
    classes: string;
    /**
     * @description tamaño de la tabla responsive (sm | md| lg | xl | xxl)
     */
    set setSize(value: string);
    size: string;
    /**
     * @description emite true si se genero algun error en la carga, false caso contrario
     */
    error: EventEmitter<boolean>;
    comparedProducts: any[];
    attributes: any;
    matrixComparedProducts: any;
    loading: boolean;
    /**
     * @description arreglo con las palabras claves para obtener la asociacion para comparar los productos.
     */
    private keywordsToCompare;
    constructor(productsService: ProductsService, analyticsService: AnalyticsService, consts: Constants, router: Router);
    ngOnInit(): void;
    /**
     * @description carga los datos que seran comparados
     * @param product_id
     */
    load: (product_id: any) => void;
    /**
     * @description hace un merge de todos los atributos que tengan los productos.
     * @param products
     */
    mergeAttributes: (products: any) => void;
    /**
     * @description genera una matriz de los datos de cada producto para compararlos
     * @returns un objeto cuya clave es el nombre del atributo y sus valores un
     * arreglo con los datos de los productos para ese atributo, en caso de no tener
     * datos en ese atributo se reemplaza por el valor de la variable emptyValue.
     */
    buildMatrix: () => {};
    /**
     * @description chequea si la palabra pasada por parametro existe en el arreglo de
     * palabras claves para comparar (keywordsToCompare)
     * @param word
     * @returns un valor booleano, true si existe, false caso contrario
     */
    includeKeyword: (word: string) => boolean;
    ngOnChanges(changes: SimpleChanges): void;
    customOptions: any;
}
