import { OnInit, TemplateRef } from '@angular/core';
import { ComponentHelper } from '../../classes/component-helper';
import { Constants } from '../../core.consts';
import { Cookies } from '../../interfaces/cookies';
import { CookiesService } from '../../services/cookies.service';
export declare class CookiesEcComponent extends ComponentHelper implements OnInit {
    consts: Constants;
    cookiesService: CookiesService;
    cookies: Cookies;
    ready: Boolean;
    cookiesToSave: any[];
    templates: TemplateRef<any>;
    constructor(consts: Constants, cookiesService: CookiesService);
    ngOnInit(): void;
    /**
     * @description Guarda las cookies configuradas.
     */
    acceptCookies: () => void;
    /**
     * @description Carga las cookies que seran guardadas en el navegador. Siempre va a cargar una cookie de nombre
     * *accepted* la cual sera utilizada para ver si se aceptaron o no.
     */
    loadAllCookies: () => void;
    /**
     * @description crea y guarda una cookie en el navegador
     * @param name nombre de la cookie
     * @param value valor que llevara la cookie
     * @param days tiempo de vida en el navegador en dias.
     */
    setCookie: (name: string, value: any, days?: number) => void;
    /**
     * @description activa/desactiva una cookie
     * @param name nombre de la cookie
     */
    toggleCookie: (name: string) => void;
    /**
     * @description activa todas las cookies
     */
    saveAllCookies: () => void;
    /**
     * @description Objeto contenedor de funciones para usar en la configuracion de las cookies
    */
    cookiesFunctions: any;
}
