import { ElementRef, OnInit, Renderer2 } from '@angular/core';
import { Router } from '@angular/router';
import { Menu } from '../../interfaces/navbar-items';
import { Constants } from '../../core.consts';
import { CartService } from '../../services/cart.service';
import { OptionsService } from '../../services/options.service';
import { ParametersService } from '../../services/parameters.service';
import { ProductsService } from '../../services/products/products.service';
import { AuthService } from '../../services/auth.service';
import { ComponentHelper } from '../../classes/component-helper';
import { TranslateService } from '@ngx-translate/core';
export declare class HeaderEcComponent extends ComponentHelper implements OnInit {
    router: Router;
    protected consts: Constants;
    cartService: CartService;
    protected optionsService: OptionsService;
    paramsService: ParametersService;
    productsService: ProductsService;
    authService: AuthService;
    translate: TranslateService;
    protected renderer: Renderer2;
    transparent: boolean;
    mediaMenu: boolean;
    menuItems: Menu[];
    menuItemsSections: Menu[];
    sections: any[];
    attributes: Menu[];
    categories: Menu[];
    envetUrlTransparent: string[];
    searchValue: string;
    params: any;
    toggled: boolean;
    mediaUrl: string;
    currencies: any;
    menu_button: ElementRef;
    constructor(router: Router, consts: Constants, cartService: CartService, optionsService: OptionsService, paramsService: ParametersService, productsService: ProductsService, authService: AuthService, translate: TranslateService, renderer: Renderer2);
    protected updateMenuItemSection: (elements: any) => void;
    ecUpdateMenuItemSection: (menuItems: any) => any;
    ngOnInit(): void;
    protected updateMenuItem: (title: any, elements: any) => void;
    nagivate: (url: string) => Promise<boolean>;
    /**
     * @description Termina la sesion del usuario y redirige por defecto al home
     * @param path para indicar a donde redireccionar.
     */
    logout: (path?: string) => void;
    setSearchValue: (event: any, afterSearch?: Function, ...args: any[]) => void;
    getCollectionSearch: () => Promise<boolean>;
    toogleToolbar: () => void;
    changeLanguage: (lang: any) => void;
    changeUrlTransparent: (urlTransparent?: any[]) => any[];
    subscribeAttributes: (arrayAttributes: any[]) => void;
    subscribeCategories: (arrayCategories: any[]) => void;
    updateMenuItemLastCreated: (arrayMenu: Menu[]) => Menu[];
    changeUrlNavigation: (url: string) => void;
    addChildren: (menuItems: any, code: any, item: any, stackPlace?: string) => void;
    hasParams: (params: any, searched: any) => any;
}
