import { OnInit, ElementRef } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { ComponentHelper } from '../../classes/component-helper';
import { Constants } from '../../core.consts';
import { AnalyticsService } from '../../services/analytics.service';
import { CartService } from '../../services/cart.service';
import { OptionsService } from '../../services/options.service';
import { ProductDetailService } from '../../services/products/product-detail.service';
import { ProductsService } from '../../services/products/products.service';
import { ToastService } from '../../utils/toast.service';
import { Meta } from '@angular/platform-browser';
export declare class ProductDetailEcComponent extends ComponentHelper implements OnInit {
    productService: ProductDetailService;
    consts: Constants;
    protected activedRoute: ActivatedRoute;
    cartService: CartService;
    optionsService: OptionsService;
    productsService: ProductsService;
    analyticsService: AnalyticsService;
    router: Router;
    protected toastrService: ToastService;
    private meta;
    product: any;
    mediaUrl: any;
    show: boolean;
    quantity: number;
    breadcrumb: any[];
    carousel: any;
    code: any;
    focusImage: string;
    owlOptions: {};
    contact: ElementRef;
    constructor(productService: ProductDetailService, consts: Constants, activedRoute: ActivatedRoute, cartService: CartService, optionsService: OptionsService, productsService: ProductsService, analyticsService: AnalyticsService, router: Router, toastrService: ToastService, meta: Meta);
    deleteHTML(cadena: string): string;
    ngOnInit(): void;
    addToCart: () => void;
    addAllProductosToCart: () => void;
    scroll(): void;
    saveRef: (carousel: any) => void;
    /**
     * @description actualiza la variable quantity sumandole 'x' contenido.
     * @param stock debe recibir un number que contenga el stock disponible.
     * @param multipleQuantity debe recibir el multiplo de cantidad que se quiera incrementar.
     */
    plus: (stock?: any, multipleQuantity?: any) => void;
    /**
    * @description actualiza la varible quantity restandole 'x' contenido.
    * @param multipleQuantity debe recibir el multiplo de cantidad que se quiera decrementar.
    */
    less: (multipleQuantity?: any) => void;
    showContact: () => boolean;
    hideContact: () => boolean;
    thereIsMoreInfo: (product: any) => any;
    changeImgFocus: (img: any) => void;
}
