import { OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { ComponentHelper } from '../../classes/component-helper';
import { Constants } from '../../core.consts';
import { AuthService } from '../../services/auth.service';
import { ProductDetailService } from '../../services/products/product-detail.service';
import { ToastService } from '../../utils/toast.service';
import { AnalyticsService } from '../../services/analytics.service';
export declare class ProductEcComponent extends ComponentHelper implements OnInit {
    consts: Constants;
    router: Router;
    productService: ProductDetailService;
    authService: AuthService;
    toastrService: ToastService;
    private analyticsService;
    quantity: number;
    stock: number;
    data: any;
    /**
     * @description variable utilizada mutar de la vista de lista, a la de box.
     */
    isProductBox: boolean;
    constructor(consts: Constants, router: Router, productService: ProductDetailService, authService: AuthService, toastrService: ToastService, analyticsService: AnalyticsService);
    product: any;
    ngOnInit(): void;
    canBuy: () => boolean;
    ngOnChanges(): void;
    buyOrRedirect: (variant?: boolean) => void;
    /**
     * @description actualiza la variable quantity sumandole 'x' contenido.
     * @param stock debe recibir un number que contenga el stock disponible.
     * @param multipleQuantity debe recibir el multiplo de cantidad que se quiera incrementar.
     */
    plus: (stock?: any, multipleQuantity?: any) => void;
    /**
     * @description actualiza la varible quantity restandole 'x' contenido.
     * @param multipleQuantity debe recibir el multiplo de cantidad que se quiera decrementar.
     */
    less: (multipleQuantity?: any) => void;
    /**
     * @description Agrega el producto al carrito. Si es una variante se enviara el codigo de la variante.
     */
    addToCart: () => void;
    getBrandName: (product: any) => any;
    selectItem(product: any): void;
}
