import { EventEmitter, OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { Router } from '@angular/router';
import { ComponentHelper } from '../../classes/component-helper';
import { Constants } from '../../core.consts';
import { AuthService } from '../../services/auth.service';
import { ProductsService } from '../../services/products/products.service';
import { ReviewsService } from '../../services/reviews.service';
import { ToastService } from '../../utils/toast.service';
export declare class ReviewsFormEcComponent extends ComponentHelper implements OnInit {
    protected toastrService: ToastService;
    router: Router;
    consts: Constants;
    formBuilder: FormBuilder;
    productService: ProductsService;
    authService: AuthService;
    reviewsService: ReviewsService;
    /**
     * @description producto al que se le va a agregar la reseña.
     */
    product: any;
    /**
     * @description para controlar si esta logueado.
     */
    withAuthenticated: boolean;
    /**
     * @description número maximo de valor de puntuación
     */
    max: number;
    /**
     * @description para indicar cuando se termino la operación de consulta.
     */
    ready: EventEmitter<boolean>;
    reviews_form: FormGroup;
    loading: boolean;
    protected form_data: any;
    limit: number[];
    constructor(toastrService: ToastService, router: Router, consts: Constants, formBuilder: FormBuilder, productService: ProductsService, authService: AuthService, reviewsService: ReviewsService);
    ngOnInit(): void;
    /**
     * @description guarda el valor que contiene la puntuación de la reseña.
     * @param value
     */
    setRatingValue: (value?: number) => void;
    /**
     * @description procesa el formulario con los datos.
     * @param form
     * @param success_message mensaje para que se muestre en el caso de exito.
     */
    sendForm: (form: FormGroup, success_message?: string) => void;
    /**
     * @descirption controla que el usuario este logueado para comentar. Si la variable withAuthenticated es falso entonces no realiza este control.
     * @param e evento producido por el submit del formulario
     */
    toastReviewsForm: (e: any, message?: string) => void;
    /**
     * @description actualiza las reviews
     * @returns
     */
    updateReviews: () => Promise<void>;
}
