import { OnInit } from '@angular/core';
import { ComponentHelper } from '../../classes/component-helper';
import { AuthService } from "../../services/auth.service";
import { ToastService } from '../../utils/toast.service';
import { Constants } from '../../core.consts';
export declare type SellerDashboardUI = 'HEADER_TAB' | 'GENERATE_BUDGET_BTN' | 'MANAGE_ORDERS_BTN' | 'SORT_SELECT' | 'SEARCH_FORM' | 'ORDER_COUNTER';
export declare class SellerDashboardContainerEcComponent extends ComponentHelper implements OnInit {
    protected authService: AuthService;
    protected toastrService: ToastService;
    protected constants: Constants;
    protected env: any;
    UIComponents: SellerDashboardUI[];
    user: any;
    activeCustomer: any;
    sortValue: string;
    searchInput: string;
    customers: any[];
    filteredCustomers: any[];
    private fuseOptions;
    private fuse;
    constructor(authService: AuthService, toastrService: ToastService, constants: Constants, env: any);
    updateCustomers: () => void;
    /**
     * @description Ordena la lista de clientes
     * @param value recibe una cadena que de estar formada de la forma "tipoOrdenacion_atributoPorOrdenar"
     * Ejemplo: "asc_firstName" o "desc_id" ...
     */
    sortCustomers: (value: any) => void;
    private sortNumber;
    private sortText;
    changeCustomer: (customer: any) => void;
    hasHeader: () => boolean;
    navigateExternal: (url: any) => Window;
    hasUIComponent: (UIComponent: SellerDashboardUI) => boolean;
    ngOnInit(): void;
    isActive: (customer: any) => boolean;
}
