import { DomSanitizer } from '@angular/platform-browser';
import { ComponentHelper } from '../../classes/component-helper';
import { Constants } from '../../core.consts';
import { StoresService } from '../../services/stores.service';
export declare class StoresEcComponent extends ComponentHelper {
    storesService: StoresService;
    consts: Constants;
    protected sanitizer: DomSanitizer;
    filterStores: any;
    storesAll: any;
    exclusiveStores: any;
    imageMap: boolean;
    urlmap: any;
    stores: any[];
    provinces: any[];
    private url;
    private map;
    private markers;
    private ultimoElementoSeleccionado;
    private locations;
    constructor(storesService: StoresService, consts: Constants, sanitizer: DomSanitizer);
    ngOnInit(): void;
    updateMap(url: string): void;
    /**
     * @description Obtiene todas la provincias que figuren en el arreglo
     * @param stores Arreglo de tiendas
     * @returns {Array} Arreglo de provincias
     */
    getProvices: (stores: any) => any[];
    /**
     * @description Retorna un arreglo de objetos formado por las claves
     *      "province"(contiene un objeto provincia) y
     *      "stores" (contiene un arreglo de tiendas pertenecientes a la provincia)
     * @param stores Opcional, arreglo de tiendas a la que se le quiere aplicar la division por provincia
     * @returns {Array<{"province", "stores"}>}
     */
    getStoresByProvinces: (stores?: any[]) => any[];
    /**
     * @description Retorna las tiendas con/sin retiro en el local
     * @param stores Opcional, arreglo de tiendas
     * @param cond Opcional, Si es "true" obtiene las tiendas con retiro local caso contrario "false"
     * @returns {Array<Store>} Arreglo de Store
     */
    getPickupStores: (stores?: any[], cond?: Boolean) => any[];
    /**
     * @description Metodo que devuelve las tiendas que NO son exclusivas.
     * @returns {Array<Store>} Arreglo de Store
     */
    getNonExclusiveStores: () => any[];
    selectChange: (select: any) => boolean;
    initMap(): void;
    showStoreOnMap(storeCode: string): void;
    stopBounce(): void;
}
