import { EventEmitter, Injector, OnInit, TemplateRef } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
import { BsModalRef, BsModalService } from 'ngx-bootstrap';
import { ConnectionService } from '../../../api/connection.service';
import { ComponentHelper } from '../../../classes/component-helper';
import { Constants } from '../../../core.consts';
import { CartService } from '../../../services/cart.service';
import { ToastService } from '../../../utils/toast.service';
export declare class BambooEcComponent extends ComponentHelper implements OnInit {
    sanitizer: DomSanitizer;
    modalService: BsModalService;
    toastrService: ToastService;
    consts: Constants;
    protected connection: ConnectionService;
    injector: Injector;
    cartService: CartService;
    paymentServiceInst: any;
    method: any;
    total_amount: number;
    allData: any;
    user_data: any;
    ready: EventEmitter<any>;
    protected template: TemplateRef<any>;
    protected modalRef: BsModalRef | null;
    url: any;
    loading: boolean;
    dataBamboo: any;
    closeModal: string;
    ventana: Window;
    cart: any;
    protected processPaymentApi: () => string;
    constructor(sanitizer: DomSanitizer, modalService: BsModalService, toastrService: ToastService, consts: Constants, connection: ConnectionService, injector: Injector, cartService: CartService);
    ngOnInit(): void;
    /**
     * @description Inicializa el formulario de bamboo
     */
    getCheckoutBamboo: () => void;
    /**
     * @description Configura la ventana en la que se abrira el formulario
     * @returns {string} configuraciones para un objeto proveniente de window.open
     */
    popupSettings: () => string;
    openModal(template: TemplateRef<any>): void;
    /**
     * @description limpio el localStorage
     */
    clearStorageState: () => void;
    clickClose: () => void;
    showMessage: () => void;
    callState: () => void;
    processError: (err: any) => void;
    pwCheckoutProperties: () => {
        name: string;
        button_label: string;
        currency: string;
        orderToken: any;
    };
    closeWindow: () => void;
    iniciar: () => void;
}
