import { EventEmitter, OnInit } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
import { ConnectionService } from '../../../api/connection.service';
import { ComponentHelper } from '../../../classes/component-helper';
import { Constants } from '../../../core.consts';
import { CartService } from '../../../services/cart.service';
import { ToastService } from '../../../utils/toast.service';
export declare class BancardCatastroEcComponent extends ComponentHelper implements OnInit {
    protected consts: Constants;
    protected connection: ConnectionService;
    cartService: CartService;
    sanitizer: DomSanitizer;
    protected toastr: ToastService;
    paymentServiceInst: any;
    method: any;
    total_amount: number;
    allData: any;
    user_data: any;
    ready: EventEmitter<any>;
    loading: Boolean;
    checkingPayment: Boolean;
    registered_cards: any[];
    process_id: string;
    url: any;
    infoPreview: boolean;
    cardNames: string[];
    currentCardID: number;
    private sendToPay;
    private userCardsRecoveryApi;
    private newUserCardApi;
    private toPayApi;
    private deleteCardApi;
    constructor(consts: Constants, connection: ConnectionService, cartService: CartService, sanitizer: DomSanitizer, toastr: ToastService);
    /**
     * @description obtiene las tarjetas almacenadas para el usuario.
     */
    loadCards: () => void;
    /**
     * @description obtengo el process ID
     */
    getProcessId: () => void;
    /**
     * @description Obtengo el IFrame donde se mostrara el formulario para registrar una nueva tarjeta
     */
    getIFrameNewCard: () => void;
    /**
     * @description limpia los datos al cerra el modal
     */
    closeModal: () => void;
    /**
     * @description para saltear el mensaje previo.
     * @returns
     */
    skipInfoPreview: () => boolean;
    /**
     * @description para obtener la imagen de la tarjeta desde los assets
     * @param name nombre de la tarjeta
     * @returns
     */
    getCardImg: (name: string) => string;
    /**
     * @description para guardar el número de pagos
     * @param value
     */
    setNumberOfPayments: (value: any) => void;
    /**
     * @description Guarda el ID de la tarjeta seleccionada para pagar.
     * @param value
     * @returns
     */
    setCurrentCardID: (value: number) => boolean;
    /**
     * @description chequea si el valor del número de pagos el mayor a 0
     * @returns
     */
    canPay: () => boolean;
    /**
     * @description funcion para pagar.
     * @param id el ID de la tarjeta.
     */
    toPay: (id: any) => void;
    /**
     * @description elimina una tarjeta.
     * @param id id de la tarjeta a eliminar.
     */
    deleteCard: (id: any) => void;
    /**
     * @description Procesa las respuesta de un pago
     * @param response
     * @returns
     */
    processResponse: (response: any) => void;
    /**
     * @description procesa el error tras un intento de pago
     * @param response
     */
    processError: (response: any) => void;
    ngOnInit(): void;
}
