import { OnInit, TemplateRef } from '@angular/core';
import { ComponentHelper } from '../../../classes/component-helper';
export declare class RatingEcComponent extends ComponentHelper implements OnInit {
    template: TemplateRef<any>;
    type: string;
    ratingValue: number;
    score: number[];
    ngOnInit(): void;
    /**
     * @description recibe el valor de rating para procesarlo y posteriormente
     * llenar el arreglo de score.
     * @param value
     */
    processRatingValue: (value: number) => void;
    /**
     * @description Rellena el array con valor 1 hasta donde indique el campo value.
     * agregar 0.5 si el valor de withDecimal es true.
     * @param value cantidad de casillas de arreglos que debe llenar
     * @param withDecimal true => se agrega 0.5 en la posicion posterior a la que marco value
     */
    private fillScore;
    /**
     * @description Metodo que redondea un numero a entero o decimal con 0.5.
     * @param value Valor a redondear
     * @returns
     */
    private roundToHalf;
}
