import { Product } from "./product";
export declare type BlockType = 'banner' | 'html' | 'products' | 'contact_form';
export declare type Design = 'full' | 'boxes';
export declare type Redirection = 'url' | 'attribute' | 'category';
export interface BannerContent {
    locale?: string;
    imageName: string;
    mobileImageName: string;
    title?: string;
    subtitle?: string;
    url?: string;
    type_code: string;
}
export interface Banner {
    code: string;
    id: number;
    redirectionType: Redirection;
    translations: any;
    url?: string;
    route?: string;
}
export interface IBlock {
    id: number;
    code: string;
    priority: number;
    banners?: Banner[];
    design?: Design;
    products?: Product[];
    translations?: any[];
    contentType?: BlockType;
    sections?: any;
    currentLocale?: string;
}
