declare type formatType = 'toast' | 'modal' | 'sidebar';
/**
 * @description Interfaz usada para las configuraciones del sidebar
 */
interface FormatFeatures {
    type?: formatType;
    position?: string;
    backdrop?: boolean;
    scrolling?: boolean;
    size?: string;
    positionX?: string;
    positionY?: string;
}
export interface Cookies {
    /**
     * @description True -> muestra las cookies
     */
    activated?: boolean;
    /**
     * @description Mensaje principal
     */
    message?: string;
    /**
     * @description Link de redirección a la pagina de Politicas de Privacidad
     */
    linkRedirect?: string;
    /**
     * @description Describe el tipo de formato que se usara para mostrar los mensajes.
     * @example FormatSidebar
     */
    format?: FormatFeatures;
    /**
     * @description Arreglo de objectos cuyo contenido son las configuraciones de las cookies a guardar.
     */
    cookies?: any[];
    /**
     * @description Contiene otros parametros de configuración visual
     */
    others?: any;
    /**
     * @description Titulo para el componente que muestre las cookies
     */
    title?: string;
    /**
     * @description Imagen para colocar en la cookies.
     */
    image?: string;
}
export {};
