export declare type ProductColor = 'white' | 'black' | 'red' | 'green' | 'purple' | 'yellow' | 'blue' | 'gray' | 'orange' | 'pink';
export declare type ProductSize = 'M' | 'L' | 'XL';
export declare type ProductTags = 'nike' | 'puma' | 'lifestyle' | 'caprese';
export interface Product {
    id?: number;
    category?: string;
    name?: string;
    price?: any;
    saleprice?: any;
    discount?: number;
    picturesdefault?: string[];
    picturesvariants?: any[];
    options?: any;
    shortdetails?: string;
    description?: string;
    tag?: any[];
    rating?: number | string;
    special_mark?: any[];
    variants?: any[];
    productToCartItem?: ProductToCartItem;
    currentOption?: CurrentOption;
    productWithUniqueVariant?: Product[];
    stock?: number;
    variant_id?: number;
}
export interface ColorFilter {
    color?: ProductColor;
}
export interface TagFilter {
    tag?: ProductTags;
}
export interface ProductToCartItem {
    productCode?: string;
    variantCode?: string;
    quantity?: number;
    totalCost?: number;
    finalPrice?: number;
}
export interface CurrentOption {
    code?: string;
    name?: string;
    stock?: number;
    productCode?: string;
    variantCode?: string;
    finalPrice?: number;
}
