import { Constants } from '../../core.consts';
import { ConnectionService } from '../../api/connection.service';
import { BlocksRepositoryService } from './blocks-repository.service';
/**
 * @description Servicio de manejo de Bloques. Cada sección posee N bloques asociados, ordenados por posición y con tu tipo y datos correspondientes
 * (chequear interfaz de IBlock)
 */
export declare class BlocksService {
    private consts;
    private connection;
    private blocksRepo;
    private blocksSubject;
    blocks: import("rxjs").Observable<any[]>;
    blocksAPI: (section: any) => string;
    contactFormResponseAPI: () => string;
    constructor(consts: Constants, connection: ConnectionService, blocksRepo: BlocksRepositoryService);
    getBlocks: (section: any) => void;
    orderedAndModified: (result: any) => any;
    getBlockByCode: (code: any) => any;
    getBannerImage: (banner: any) => any;
    getImage: (banner: any) => any;
    formUrl: (banner: any) => string;
    sendResponse: (response_obj: any) => import("rxjs").Observable<any>;
    prepareData: (obj: any) => any;
}
