import { Injector } from '@angular/core';
import { ConnectionService } from '../api/connection.service';
import { Constants } from '../core.consts';
export declare class ChannelConfigService {
    private consts;
    private env;
    private connection;
    private injector;
    constructor(consts: Constants, env: any, connection: ConnectionService, injector: Injector);
    private channelConfigApi;
    private localesApi;
    private channelsApi;
    private channelConfigSubject;
    channelConfig$: import("rxjs").Observable<any>;
    private channel;
    private channelsSubject;
    channels: import("rxjs").Observable<any>;
    private localesSubject;
    locales: import("rxjs").Observable<any>;
    getChannelConfig: () => void;
    getChannels: () => void;
    getActiveChannel: () => any;
    getLocales: () => void;
    changeChannel: (channelObj: any) => void;
    setChannelInfo: (channelObj: any) => void;
    /**
     * @description cambian de canal segun el hostname que recibe por parametro.
     * @warning  esta funcion es util para el caso en que se necesite manejar url distintas,
     * cada una con su configuración de canal, pero utilizando el mismo frontend.
     * En cualquier otro caso, utilizar las demas herramientas.
     * @param {string} hostname hostname del canal que se requiere utilizar.
     */
    changeChannelByHostname: (hostname: string) => void;
}
