import { ConnectionService } from '../../api/connection.service';
import { ToastService } from '../../utils/toast.service';
import { CartService } from '../cart.service';
import { Constants } from '../../core.consts';
import { CheckoutService } from './checkout.service';
import { StepService } from '../../classes/checkout/step-service';
import { AnalyticsService } from '../analytics.service';
export declare class PaymentService extends StepService {
    private connection;
    private toastrService;
    private cartService;
    private consts;
    private checkoutService;
    private analyticsService;
    private paymentMethodsSubject;
    methods$: import("rxjs").Observable<any[]>;
    baseApi: () => string;
    getPaymentMethodsApi: () => string;
    getPreferenceApi: () => string;
    getCheckoutMobbexApi: () => string;
    getCheckoutBancardApi: () => string;
    getCheckoutBambooApi: () => string;
    putPaymentApi: (method: any) => string;
    constructor(connection: ConnectionService, toastrService: ToastService, cartService: CartService, consts: Constants, checkoutService: CheckoutService, analyticsService: AnalyticsService);
    getPaymentMethods: () => Promise<void>;
    putPayment: (method: any) => Promise<any>;
    getPreference: (shipment_data: any) => Promise<any>;
    getCheckoutMobbex: (shipment_data: any) => Promise<any>;
    getCheckoutBancard: (shipment_data: any) => Promise<any>;
    getCheckoutBamboo: (shipment_data: any) => Promise<any>;
    private getRandomArbitrary;
}
