import { Observable } from 'rxjs';
import { ConnectionService } from '../api/connection.service';
import { Constants } from '../core.consts';
import { FilterStep } from '../interfaces/filterStep';
export declare class ConcatenatedAssociationsService {
    private consts;
    private connection;
    private stepListSubject;
    private currentStepSubject;
    stepList$: Observable<FilterStep[]>;
    currentStep$: Observable<FilterStep>;
    /**
     * @description sujeto para observar los errores.
     */
    private errorSubject;
    /**
     * @description observable para el manejo de errores.
     */
    error$: Observable<any>;
    stepListApi: (sectionName: any) => string;
    applyFilterApi: () => string;
    constructor(consts: Constants, connection: ConnectionService);
    /**
     * @description Obtiene la lista de pasos completa, dato que se recibe cuando inicia la carga de datos.
     * @param section Este parametro recibe la seccion de donde se obtendran la lista de pasos
     * @param fatherCode Este parametro recibe el codigo padre de esa seccion, es decir de donde empieza el filtrado de pasos.
     * @returns
     */
    private getStepList;
    /**
     * @description Inicializa la carga de datos al subjeto del observable.
     * @param response Respuesta recibida desde el backend
     */
    private initializeStepList;
    /**
     * @description Esta funcion carga
     * @param section
     * @param fatherCode
     */
    load: (section: string, fatherCode?: string) => void;
    /**
     * @description actualiza la lista de pasos
     * @param value
     */
    updateStepList: (value: any) => void;
    /**
     * @decription actualiza el paso actual en donde se encuentra.
     * @param value
     */
    updateCurrentStep: (value: any) => void;
    /**
     * @description aplica los filtros con los valores dados.
     * @param values
     * @returns
     */
    applyFilter: (values: any) => Promise<void>;
}
