import { ConnectionService } from '../api/connection.service';
import { Observable } from 'rxjs';
import { Constants } from '../core.consts';
import { FAQ } from '../interfaces/faqs';
import { Filter } from '../classes/filters/Filter';
export declare class OptionsService {
    private connection;
    private constants;
    private filtersSubject;
    private categoriesSubject;
    private attributesSubject;
    private sectionsSubject;
    private readySubject;
    private data;
    categories: Observable<any>;
    attributes: Observable<any>;
    sections: Observable<any>;
    ready: Observable<any>;
    constructor(connection: ConnectionService, constants: Constants);
    private getAllData;
    private getCategories;
    private getAttributes;
    getAttributes2(extra_params?: any): Promise<void>;
    appendPaths(isCategory: any, response: any): any;
    private getSections;
    private appendSection;
    getSectionContentByLink: (link: any) => Observable<any>;
    getSectionContentByLinkAsPromise: (link: any) => Promise<any>;
    getFAQ: () => Observable<FAQ[]>;
    optionLoaded(key: any): void;
    optionLoaded2(key: any): void;
    private isSubElement;
    private findCode;
    getCodeBySlug: (slug: any) => any;
    getHigher: (code: any) => any;
    /**
     * @private
     * APIS
     */
    private cmsBase;
    private cmsChannel;
    private shopApi;
    private faqsApi;
    private sectionsApi;
    private sectionByCodeApi;
    private pageContentByCodeApi;
    private taxonsApi;
    private attributesApi;
    private attributesApi2;
    /**
     * @public
     * UTILS
     */
    addAttributesSlug: (attributes: any) => any;
    slugify: (text: string) => any;
    generateMenu: (elements: any) => any;
    removeAccents: (str: any) => any;
    getBreadcrumb: (code: any) => any;
    getBreadcrumbByFilters: (filters: Filter[]) => any[];
    private generateBreadcrumb;
}
