import { Router } from '@angular/router';
import { AnalyticEventKey } from '../../interfaces/analytics/event-key.model';
import { GoogleTagManagerConfig } from '../../interfaces/analytics/gtm-config';
export declare class GTMService {
    private router;
    private isLoaded;
    private enabled;
    private config;
    private browserGlobals;
    constructor(router: Router);
    getDataLayer(): any[];
    private pushOnDataLayer;
    addGtmToDom(): Promise<boolean>;
    initialize: (config: GoogleTagManagerConfig) => void;
    pushTag(item: object): Promise<void>;
    private applyGtmQueryParams;
    callEvent: (event_name: AnalyticEventKey, data?: {}) => void;
    translateEventName: (event_name: AnalyticEventKey) => "view_item" | "purchase" | "add_payment_info" | "remove_from_cart" | "view_item_list" | "sign_up" | "add_to_cart" | "select_promotion" | "select_item" | "begin_checkout" | "add_shipping_info";
    evalEvent: (event_name: any, data: any) => any;
    private toPurchase;
    private toCheckoutInit;
    private toCartDiscount;
    private toAddToCart;
    disable: () => boolean;
    private toViewItem;
    private toViewItemList;
    private toRemoveToCart;
    private toItem;
    private toPaymentInfo;
    private toShippingInfo;
    private toSignUp;
    private toSelectPromotion;
    private toSelectItem;
}
