(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/common'), require('@ngx-translate/core'), require('@angular/router'), require('@angular/common/http'), require('ngx-infinite-scroll'), require('ngx-toastr'), require('rxjs'), require('rxjs/add/operator/map'), require('rxjs/operators'), require('rxjs/add/operator/catch'), require('rxjs/add/observable/of'), require('moment'), require('@angular/forms'), require('@angular/platform-browser'), require('ngx-bootstrap/modal'), require('bs-stepper'), require('lodash'), require('fuse.js'), require('ngx-bootstrap'), require('ng-recaptcha'), require('ngx-card'), require('ngx-owl-carousel-o')) :
    typeof define === 'function' && define.amd ? define('ng-easycommerce', ['exports', '@angular/core', '@angular/common', '@ngx-translate/core', '@angular/router', '@angular/common/http', 'ngx-infinite-scroll', 'ngx-toastr', 'rxjs', 'rxjs/add/operator/map', 'rxjs/operators', 'rxjs/add/operator/catch', 'rxjs/add/observable/of', 'moment', '@angular/forms', '@angular/platform-browser', 'ngx-bootstrap/modal', 'bs-stepper', 'lodash', 'fuse.js', 'ngx-bootstrap', 'ng-recaptcha', 'ngx-card', 'ngx-owl-carousel-o'], factory) :
    (global = global || self, factory(global['ng-easycommerce'] = {}, global.ng.core, global.ng.common, global.core$1, global.ng.router, global.ng.common.http, global.ngxInfiniteScroll, global.ngxToastr, global.rxjs, global.rxjs['add/operator/map'], global.rxjs.operators, global.rxjs['add/operator/catch'], global.rxjs['add/observable/of'], global.moment, global.ng.forms, global.ng.platformBrowser, global.modal, global.Stepper, global._, global.Fuse, global.ngxBootstrap, global.ngRecaptcha, global.ngxCard, global.ngxOwlCarouselO));
}(this, (function (exports, core, common, core$1, router, http, ngxInfiniteScroll, ngxToastr, rxjs, map, operators, _catch, of, moment, forms, platformBrowser, modal, Stepper, _, Fuse, ngxBootstrap, ngRecaptcha, ngxCard, ngxOwlCarouselO) { 'use strict';

    Stepper = Stepper && Object.prototype.hasOwnProperty.call(Stepper, 'default') ? Stepper['default'] : Stepper;
    _ = _ && Object.prototype.hasOwnProperty.call(_, 'default') ? _['default'] : _;
    Fuse = Fuse && Object.prototype.hasOwnProperty.call(Fuse, 'default') ? Fuse['default'] : Fuse;

    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var OrderByPipe = /** @class */ (function () {
        function OrderByPipe() {
        }
        OrderByPipe.prototype.transform = function (array, val) {
            var _this = this;
            if (val === void 0) { val = 'desc'; }
            if (!val || val.trim() == "") {
                return array;
            }
            //ascending
            if (val == 'asc') {
                return Array.from(array).sort(function (item1, item2) {
                    return _this.orderByComparator(item1['id'], item2['id']);
                });
            }
            else if (val == 'desc') { // desc
                return Array.from(array).sort(function (item1, item2) {
                    return _this.orderByComparator(item2['id'], item1['id']);
                });
            }
            else if (val == 'a-z') { // a-z
                return Array.from(array).sort(function (a, b) {
                    if (a['name'] < b['name']) {
                        return -1;
                    }
                    else if (a['name'] > b['name']) {
                        return 1;
                    }
                    else {
                        return 0;
                    }
                });
            }
            else if (val == 'z-a') { // z-a
                return Array.from(array).sort(function (a, b) {
                    if (a['name'] > b['name']) {
                        return -1;
                    }
                    else if (a['name'] < b['name']) {
                        return 1;
                    }
                    else {
                        return 0;
                    }
                });
            }
            else if (val == 'low') { // low to high
                return Array.from(array).sort(function (a, b) {
                    if (a['price'] < b['price']) {
                        return -1;
                    }
                    else if (a['price'] > b['price']) {
                        return 1;
                    }
                    else {
                        return 0;
                    }
                });
            }
            else if (val == 'high') { // high to low
                return Array.from(array).sort(function (a, b) {
                    if (a['price'] > b['price']) {
                        return -1;
                    }
                    else if (a['price'] < b['price']) {
                        return 1;
                    }
                    else {
                        return 0;
                    }
                });
            }
        };
        OrderByPipe.prototype.orderByComparator = function (a, b) {
            if ((isNaN(parseFloat(a)) || !isFinite(a)) || (isNaN(parseFloat(b)) || !isFinite(b))) {
                //Isn't a number so lowercase the string to properly compare
                if (a.toLowerCase() < b.toLowerCase())
                    return -1;
                if (a.toLowerCase() > b.toLowerCase())
                    return 1;
            }
            else {
                //Parse strings as numbers to compare properly
                if (parseFloat(a) < parseFloat(b))
                    return -1;
                if (parseFloat(a) > parseFloat(b))
                    return 1;
            }
            return 0; //equal each other
        };
        OrderByPipe = __decorate([
            core.Pipe({
                name: 'orderBy'
            })
        ], OrderByPipe);
        return OrderByPipe;
    }());

    var __extends = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$1 = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    /* Create a new injection token for injecting the window into a component. */
    var WINDOW = new core.InjectionToken('WindowToken');
    /* Define abstract class for obtaining reference to the global window object. */
    var WindowRef = /** @class */ (function () {
        function WindowRef() {
        }
        Object.defineProperty(WindowRef.prototype, "nativeWindow", {
            get: function () {
                throw new Error('Not implemented.');
            },
            enumerable: true,
            configurable: true
        });
        return WindowRef;
    }());
    /* Define class that implements the abstract class and returns the native window object. */
    var BrowserWindowRef = /** @class */ (function (_super) {
        __extends(BrowserWindowRef, _super);
        function BrowserWindowRef() {
            return _super.call(this) || this;
        }
        Object.defineProperty(BrowserWindowRef.prototype, "nativeWindow", {
            get: function () {
                return window;
            },
            enumerable: true,
            configurable: true
        });
        BrowserWindowRef = __decorate$1([
            core.Injectable()
        ], BrowserWindowRef);
        return BrowserWindowRef;
    }(WindowRef));
    /* Create an factory function that returns the native window object. */
    function windowFactory(browserWindowRef, platformId) {
        if (common.isPlatformBrowser(platformId)) {
            return browserWindowRef.nativeWindow;
        }
        return new Object();
    }
    /* Create a injectable provider for the WindowRef token that uses the BrowserWindowRef class. */
    var browserWindowProvider = {
        provide: WindowRef,
        useClass: BrowserWindowRef
    };
    /* Create an injectable provider that uses the windowFactory function for returning the native window object. */
    var windowProvider = {
        provide: WINDOW,
        useFactory: windowFactory,
        deps: [WindowRef, core.PLATFORM_ID]
    };
    /* Create an array of providers. */
    var WINDOW_PROVIDERS = [
        browserWindowProvider,
        windowProvider
    ];

    var __assign = (this && this.__assign) || function () {
        __assign = Object.assign || function(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                    t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };
    var __decorate$2 = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __param = (this && this.__param) || function (paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    };
    var Constants = /** @class */ (function () {
        function Constants$1(translate, router, env) {
            var _this = this;
            this.translate = translate;
            this.router = router;
            this.env = env;
            this.LOCALE = 'LOCALE';
            this.CHANNEL = 'CHANNEL';
            this.channelConfigSubject = new rxjs.ReplaySubject();
            this.channelConfig$ = this.channelConfigSubject.asObservable();
            this.channelConfigAPI = function (channel) { return '/shop-api/' + channel + 'channel'; };
            this.browserWindow = window || {};
            this.browserWindowEnv = this.browserWindow['__env'] || {};
            //     private urlBase: string = 'http://testing.backend.easycommercetech.com/';
            this.urlBase = this.browserWindowEnv['apiUrl'] ? this.browserWindowEnv['apiUrl'] : (this.env.apiUrl || 'http://backend.easycommerce.devp/');
            this.urlAssets = this.browserWindowEnv['urlAssets'] ? this.browserWindowEnv['urlAssets'] : (this.env.urlAssets || this.urlBase);
            this.urlFrontend = this.browserWindowEnv['urlFrontend'] ? this.browserWindowEnv['urlFrontend'] : (this.env.urlFrontend || 'https://elden.easycommercetech.com/');
            this.locale = localStorage.getItem(this.LOCALE) ? localStorage.getItem(this.LOCALE) : this.browserWindowEnv['locale'] ? this.browserWindowEnv['locale'] : (this.env.locale || 'es_AR');
            this.channel = localStorage.getItem(this.CHANNEL) ? localStorage.getItem(this.CHANNEL) : this.browserWindowEnv['channel'] ? this.browserWindowEnv['channel'] : (this.env.channel || 'minorista');
            this.blocksCacheTime = this.browserWindowEnv['blocksCacheTime'] ? this.browserWindowEnv['blocksCacheTime'] : (this.env.blocksCacheTime || null);
            this.modalConfig = { title: 'Example', class: 'modal-xl modal-dialog-centered', keyboard: false };
            this.setModalConfig = function (config) { return _this.modalConfig = config; };
            this.getModalConfig = function () { return _this.modalConfig; };
            this.version = 'v1';
            this.routes = [/^home$/g, /^(\/?)collection(\/?)([\w\.\/\?]*)$/g, /^contact$/g];
            /* Get rid of this ASAP! */
            this.masterChannel = null;
            this.getMasterChannel = function () {
                if (!_this.masterChannel)
                    _this.masterChannel = localStorage.getItem('MASTER_CHANNEL');
                return _this.masterChannel;
            };
            this.setMasterChannel = function (channel) {
                _this.masterChannel = channel;
                localStorage.setItem('MASTER_CHANNEL', channel);
            };
            this.isProduction = function () { return _this.browserWindowEnv['production'] ? _this.browserWindowEnv['production'] : (_this.env.production || false); };
            this.setUrlBase = function (url) { return _this.urlBase = url; };
            this.setUrlAssets = function (url) { return _this.urlAssets = url; };
            /**
             * @param next Function to execute
             * @param params That function needs
             *
             * Execute the function passed as params, if the frontend is in production mode
             */
            this.onlyIfProduction = function (next, params) { return _this.isProduction() && next(params); };
            /**
             * @description Devuelve la url base donde se alojan los archivos multimedia
             * @param postMedia carpeta donde se guardan los archivos
             * @returns
             */
            this.mediaUrl = function (postMedia) { return _this.urlAssets + (_this.urlAssets == _this.urlBase ? 'media/' : '') + (postMedia ? postMedia : "image/"); };
            this.mediaBannerUrl = function () { return _this.urlAssets + (_this.urlAssets == _this.urlBase ? 'media/' : '') + "banner-image/"; };
            this.mediaStoreUrl = function () { return _this.urlAssets + (_this.urlAssets == _this.urlBase ? 'media/' : '') + "store-image/"; };
            this.getProductsListRoute = function () { return 'collection/'; };
            this.getSectionsRoute = function () { return 'section/'; };
            this.getUrlBase = function () { return _this.urlBase; };
            this.getUrlFrontend = function () { return _this.urlFrontend; };
            this.getBlocksCacheTime = function () { return _this.blocksCacheTime && parseInt(_this.blocksCacheTime); };
            // getLocale = () => this.locale;
            // setLocale = (locale) => this.locale = locale;
            this.getLocale = function () {
                if (localStorage.getItem(_this.LOCALE)) {
                    _this.locale = localStorage.getItem(_this.LOCALE);
                }
                return _this.locale;
            };
            this.getLocaleTranslate = function () {
                return _this.getLocale().split('_')[0];
            };
            this.setLocale = function (locale) {
                localStorage.setItem(_this.LOCALE, locale);
                _this.translate.use(locale.split('_')[0]);
                _this.locale = locale;
            };
            this.getChannel = function () {
                if (localStorage.getItem(_this.CHANNEL)) {
                    _this.channel = localStorage.getItem(_this.CHANNEL);
                }
                return _this.channel;
            };
            this.setChannel = function (channel) {
                localStorage.setItem(_this.CHANNEL, channel);
                _this.channel = channel;
            };
            this.getVersion = function () { return _this.version; };
            this.loginExtraData = function () {
                return {
                    client_id: 'demo_client',
                    client_secret: 'secret_demo_client',
                    grant_type: 'password'
                };
            };
            this.isCollection = function (path) { return (/^(\/?)collection(\/?)([\w\.\/\?]*)$/g).test(path); };
            /**
             * Utilities
             */
            this.mobile = function () { return window.innerWidth < 750; };
            this.strictTypeChannel = function () { return _this.env.strictTypeChannel || 'b2b2c'; };
            this.toDecimal = function (total) { return (total - Math.floor(total) == 0) ? total / 100 : total; };
            /**
             * Elementos para manejo de lista de rutas reutilizables
             */
            this.addRouteToReuse = function (route) { return route && _this.routes.push(route); };
            this.removeRouteToReuse = function (route) {
                var index = _this.routes.indexOf(route);
                if (index > -1) {
                    _this.routes.splice(index, 1);
                }
            };
            this.getRoutesToReuse = function () { return _this.routes; };
            /**
             *  @public ejemplo de uso <img *ngFor="let item of consts.getRatingStar(product.rating,'assets/images/star.png','assets/images/notStar.png')" [src]="item">
             *  @description funcion que dado un valor entre 1 .. 5, y star: notStar:
             *      (deben ser el path del archivo local a la implementacion).
             *      retorna un arreglo con con la valoracion correspondiente.
             */
            this.getRatingStar = function (rating, star, notStar) {
                try {
                    var urlStar = [];
                    var cantStar = Number(rating) || 0;
                    for (var index = 0; index < 5; index++) {
                        urlStar.push(cantStar > 0
                            ? star
                            : notStar);
                        cantStar--;
                    }
                    return urlStar;
                }
                catch (error) {
                    console.error("getRatingStar produjo un error -> ", error);
                }
            };
            /**
             *  @public ejemplo de uso (keypress)="inputValidationByExpressions($event,'[0-9]{1,9}')" en el DOM.
             *  @description funcion que dado un manejandor de evento, y una expresion regular esta es
             *          evaluada sobre los valores que el manejador de eventos nos envia.
             *          En el caso en el que se envie el parametro 'condition' este puede ser para
             *          anular el evento como condicion adicional a la evaluacion de la entrada.
             */
            this.inputValidationByExpressions = function (e, patron, condition) {
                if (condition === void 0) { condition = null; }
                try {
                    var tecla = (document) ? e.keyCode : e.which;
                    if (tecla == 8)
                        return true;
                    var patronReg = new RegExp(patron);
                    var tecla_final = String.fromCharCode(tecla);
                    if (condition != null) {
                        return patronReg.test(tecla_final) && condition;
                    }
                    return patronReg.test(tecla_final);
                }
                catch (error) {
                    console.error("inputValidationByExpressions produjo un error -> ", error);
                }
            };
            /**
             * Propiedad que se utiliza para tomar como configuración para el tipo de moneda que se utiliza en el sitio.
             * Estos valores son utilizados para el pipe currencyPrice
             */
            this.currency = {
                code: 'ARG',
                symbol: '$',
                position: 'Left',
                withoutDecimal: false
            };
            /**
             * Arreglo de valores usados para el pipe currencyPrice
             */
            this.currencyTypeConfig = [
                {
                    code: 'EUR',
                    symbol: '€',
                    position: 'Right',
                    withoutDecimal: false
                },
                {
                    code: 'ARG',
                    symbol: '$',
                    position: 'Left',
                    withoutDecimal: false
                },
                {
                    code: 'ARS',
                    symbol: '$',
                    position: 'Left',
                    withoutDecimal: false
                },
                {
                    code: 'USD',
                    symbol: '$',
                    position: 'Left',
                    withoutDecimal: false
                },
                {
                    code: 'PYG',
                    symbol: 'Gs.',
                    position: 'Left',
                    withoutDecimal: false
                },
                {
                    code: 'PEN',
                    symbol: 'S/',
                    position: 'Left',
                    withoutDecimal: false
                },
                {
                    code: 'SEK',
                    symbol: 'SEK',
                    position: 'Right',
                    withoutDecimal: true
                },
            ];
            this.setCurrencyTypeConfig = function (currencyTypeConfig) {
                _this.currencyTypeConfig = currencyTypeConfig;
            };
            /**
             * @description Reemplaza los valores de una moneda.
             * @param currencyTypeFind Tipo de currency que se desea modificar
             * @param customType Los nuevos valores. Todas las key son opcionales
             * @example customType = { code: 'ARG', symbol: '$', position: 'Left' , withoutDecimal: false }
             */
            this.replaceCurrencyTypeConfig = function (currencyTypeFind, customType) {
                var _a, _b, _c, _d;
                var currencyType = _this.currencyTypeConfig.find(function (type) { return type.code == currencyTypeFind; });
                if (currencyType) {
                    currencyType.symbol = ((_a = customType) === null || _a === void 0 ? void 0 : _a.symbol) || currencyType.symbol;
                    currencyType.code = ((_b = customType) === null || _b === void 0 ? void 0 : _b.code) || currencyType.code;
                    currencyType.position = ((_c = customType) === null || _c === void 0 ? void 0 : _c.position) || currencyType.position;
                    currencyType.withoutDecimal = ((_d = customType) === null || _d === void 0 ? void 0 : _d.withoutDecimal) || currencyType.withoutDecimal;
                }
                //Reveer en el futuro si se empiezan a agregar otro tipos de monedas
                /* else{
                    this.currencyTypeConfig.push({...customType })
                } */
            };
            /**
             *
             * @param currencyTypeFind Definir el code del tipo de moneda que se quiera utilizar.
             * Si el tipo es CUSTOM se toman los valores del segundo parametro donde se puede definir la simbología y posesión que se quiera.
             * @param customType Formato del parámetro ejemplo { code: 'ARG', symbol: '$', position: 'L' , withoutDecimals: false } ,
             * todas las key son opcionales y por defecto se toman los valores del ejemplo.
             * @returns se retorna la configuración que se seteo a la propiedad currency del servicio.
             */
            this.setCurrency = function (currencyTypeFind, customType) {
                _this.currency = _this.currencyTypeConfig.find(function (ct) { return ct.code == currencyTypeFind.toUpperCase(); }) || _this.currency;
                customType && (_this.currency = __assign(__assign({}, _this.currency), customType));
                return _this.currency;
            };
            this.modifyChannelConfig = function (channelConfig) {
                if (channelConfig.channel || channelConfig.code)
                    _this.setChannel(channelConfig.channel || channelConfig.code);
                if (channelConfig.locale || channelConfig.locales.code)
                    _this.setLocale(channelConfig.locale || channelConfig.locales.code);
                if (channelConfig.currency || channelConfig.baseCurrency)
                    _this.setCurrency(channelConfig.currency || channelConfig.baseCurrency);
                return channelConfig;
            };
            /**
             * @description Se utiliza para configurar los filtros por defecto que se aplicaran en la seccion 'Collection'
             * cuando se ingresa a la misma.
             */
            this.defaultFilters = [];
            /**
             * @description Settea el valor de la variable defaulFilters.
             * @param filters
             */
            this.setDefaultFilters = function (filters) {
                _this.defaultFilters = filters;
            };
            this.getDefaultFilters = function () { return _this.defaultFilters; };
            /**
             * @description Se utiliza para configurar tanto los filtros por defectos que ya seran aplicados, como tambien
             * los filtros que se mostraran en la seccion collection, su orden, etc.
             */
            this.filterConfig = {
                defaultFilters: [],
                filters: ['category', 'attributes', 'dynamics']
            };
            this.setFilterConfig = function (filterConfig) {
                filterConfig.defaultFilters ? _this.filterConfig.defaultFilters = filterConfig.defaultFilters : null;
                filterConfig.filters ? _this.filterConfig.filters = filterConfig.filters : null;
            };
            this.getFilterConfig = function () { return _this.filterConfig.filters; };
            /**
             * @description contiene un arreglo de string cuyo contenido son los codigos de los paises.
             * @example ['AR','ES','GB']
             */
            this.countries = [];
            /**
             *
             * @param countries debe contener los codigos de los paises que se quiere mostrar
             * @example ['AR','ES','GB']
             * @returns
             */
            this.setCountries = function (countries) { return _this.countries = countries; };
            this.getCountries = function () { return _this.countries; };
            /**
             * @description esta variable se utiliza para configurar los parametros cuando se desea mostrar
             * variantes el listado de productos.
             * @param {string}type tipo de options
             * @param {string}code codigo de options
             * @param {boolean}defaultFirstOption `true` toma el primer option del producto en general
             * @param {boolean}checkIfStock `true` se realiza un chequeo de si la variante tiene stock para mostrarla
             * @example  ```javascript
             * {
                type: 'color',
                code: 'color',
                defaultFirstOption: false ,
                checkIfStock:true
                } ```
             */
            this.paramsProductsWithUniqueVariant = {
                type: 'color',
                code: 'color',
                defaultFirstOption: false,
                checkIfStock: true
            };
            this.setParamsProductsWithUniqueVariant = function (value) {
                _this.paramsProductsWithUniqueVariant = __assign(__assign({}, _this.paramsProductsWithUniqueVariant), value);
            };
            this.getParamsProductsWithUniqueVariant = function () { return _this.paramsProductsWithUniqueVariant; };
            /**
             * @description se utiliza para configurar que filtros del tipo `SortFilter` se quiere mostrar en la vista.
             * Se usan los codigo de los filtros para indicar cuales se deben mostrar.
             */
            this.sortFilters = ['price', 'order-alph', 'recent'];
            /**
             *
             * @param filtersCode arreglo de strings con los codigos de los filtros.
             * Si se le pasa el parametro **all** este mostrara todos.
             * @example price | order-alph | recent | update | all
             * @returns
             */
            this.setSortFilters = function (filtersCode) {
                if (filtersCode === void 0) { filtersCode = ['all']; }
                return _this.sortFilters = filtersCode;
            };
            this.getSortFilters = function () { return _this.sortFilters; };
        }
        /**
         *
         * @param needles (agujas) object con claves valor a filtrar
         * @param haystack (pajar) objecto en el que buscar
         *
         * @description funcion que busca en el haystack (pajar) todos los objetos que contentan
         * todas las claves de los needles(agujas) que contengan el mismo valor
         */
        Constants$1.prototype.containsAll = function (needles, haystack) {
            var result = true;
            if (!!needles && !!haystack) {
                Object.entries(needles).forEach(function (value) {
                    if (!(haystack.hasOwnProperty(value[0]) && haystack[value[0]] == value[1]))
                        result = false;
                });
            }
            return result;
        };
        /**
         * devuelve true si existe el elemento "search" en el array de parametros "params"
         *
         * @param params Array de parametros entre los que buscar
         * @param searched Elemento que buscar
         * @param prefix prefijo del string a buscar (ejemplo: "link_")
         * @param suffix sufijo del string a buscar (ejemplo: "link_")
         * @param casesensitive determina si se evalua con sensibilidad entre mayuscula y minuscula
         * @returns retorna true o false si se encontro o no el parametro en el array
         */
        Constants$1.prototype.hasParams = function (params, searched, prefix, suffix, casesensitive) {
            if (prefix === void 0) { prefix = ''; }
            if (suffix === void 0) { suffix = ''; }
            if (casesensitive === void 0) { casesensitive = false; }
            return casesensitive ? params.find(function (param) { return (param.code).toLowerCase() == (prefix + searched + suffix).toLowerCase() || (param.code).toLowerCase() == (searched).toLowerCase(); })
                : params.find(function (param) { return param.code == (prefix + searched + suffix) || param.code == searched; });
        };
        ;
        Constants$1.ctorParameters = function () { return [
            { type: core$1.TranslateService },
            { type: router.Router },
            { type: undefined, decorators: [{ type: core.Inject, args: ['env',] }] }
        ]; };
        Constants$1.ɵprov = core.ɵɵdefineInjectable({ factory: function Constants_Factory() { return new Constants(core.ɵɵinject(core$1.TranslateService), core.ɵɵinject(router.Router), core.ɵɵinject("env")); }, token: Constants, providedIn: "root" });
        Constants$1 = __decorate$2([
            core.Injectable({
                providedIn: 'root'
            }),
            __param(2, core.Inject('env'))
        ], Constants$1);
        return Constants$1;
    }());

    var __assign$1 = (this && this.__assign) || function () {
        __assign$1 = Object.assign || function(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                    t[p] = s[p];
            }
            return t;
        };
        return __assign$1.apply(this, arguments);
    };
    var __decorate$3 = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var ConnectionService = /** @class */ (function () {
        function ConnectionService(http, translate, consts) {
            var _this = this;
            this.http = http;
            this.translate = translate;
            this.consts = consts;
            this.formUrl = function (api) {
                return window.location.protocol == 'https:' && !_this.url.includes('https') ? (_this.url.replace('http', 'https')) + api : _this.url + api;
            };
            this.url = this.consts.getUrlBase();
        }
        /** POST */
        ConnectionService.prototype.post = function (api, data) {
            return this.http.post(this.url + api, data || {}).pipe(operators.take(1));
        };
        ConnectionService.prototype.postOutsider = function (api, data) {
            return this.http.post(api, data).pipe(operators.take(1));
        };
        /** GET */
        ConnectionService.prototype.get = function (api, data) {
            return this.http.get(this.formUrl(api), { params: __assign$1({}, data) }).catch(function (err) { return rxjs.of(null); }).pipe(operators.take(1));
        };
        ConnectionService.prototype.getOutsider = function (api) {
            return this.http.get(api).pipe(operators.take(1));
        };
        ConnectionService.prototype.getErrorNotHandler = function (api) {
            return this.http.get(this.url + api).pipe(operators.take(1));
        };
        ConnectionService.prototype.getOutsiderWithParams = function (api, data) {
            return this.http.get(api, { params: __assign$1({}, data) });
        };
        ConnectionService.prototype.getHTML = function (api) {
            var httpHeaders = new http.HttpHeaders({ Accept: 'text/plain, text/html' });
            return this.http.get(this.url + api, { responseType: 'text', headers: httpHeaders }).pipe(operators.take(1));
        };
        ConnectionService.prototype.getWithLimit = function (api, limit) {
            var params = new http.HttpParams();
            params = params.append('limit', limit);
            return this.http.get(this.url + api, { params: params }).pipe(operators.take(1));
        };
        ConnectionService.prototype.getPaginated = function (api, limit, page) {
            var params = new http.HttpParams();
            params = params.append('limit', limit);
            params = params.append('page', page);
            return this.http.get(this.url + api, { params: params }).pipe(operators.take(1));
        };
        /** PUT */
        ConnectionService.prototype.put = function (api, data) {
            return this.http.put(this.url + api, data).pipe(operators.take(1));
        };
        /** DELETE */
        ConnectionService.prototype.delete = function (api) {
            return this.http.delete(this.url + api).pipe(operators.take(1));
        };
        ConnectionService.ctorParameters = function () { return [
            { type: http.HttpClient },
            { type: core$1.TranslateService },
            { type: Constants }
        ]; };
        ConnectionService = __decorate$3([
            core.Injectable()
        ], ConnectionService);
        return ConnectionService;
    }());

    var __decorate$4 = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var PaginationService = /** @class */ (function () {
        function PaginationService(connection, constants) {
            var _this = this;
            this.connection = connection;
            this.constants = constants;
            this.nextSubject = new rxjs.BehaviorSubject([]);
            this.finishedSubject = new rxjs.BehaviorSubject(false);
            this.total = 0;
            this.waiting = false;
            this.next = this.nextSubject.asObservable();
            this.finished$ = this.finishedSubject.asObservable();
            this.updatePageData = function (response) {
                _this.api = _this.cleanRoute(response.links.next);
                _this.finished = response.page == response.pages;
                _this.total = response.total;
                _this.finishedSubject.next((response.page == response.pages));
                _this.nextSubject.next(response.items);
                _this.waiting = false;
            };
            this.finalize = function (response) {
                _this.finished = true;
                _this.finishedSubject.next(true);
                _this.nextSubject.next(response.items);
                _this.waiting = false;
            };
            this.cleanRoute = function (route) { return route.slice(1); };
            this.isFinished = function () { return _this.finished; };
        }
        PaginationService.prototype.initialize = function (api, limit, initialValues) {
            this.api = api;
            this.limit = limit || this.limit || 10;
            this.finished = false;
            this.nextSubject.next([]);
        };
        PaginationService.prototype.getNext = function (next) {
            var _this = this;
            this.waiting = true;
            this.api = this.api.replace('%20', ' '); //-
            var nextProducts = !this.api.includes('page=')
                ? this.connection.get(this.api, { limit: this.limit, page: 1 })
                : this.connection.get(this.api);
            !this.finished && nextProducts.subscribe(function (response) {
                response.links ? _this.updatePageData(response) : _this.finalize(response);
                next && next(response);
            });
            return true;
        };
        PaginationService.prototype.getPage = function (totalItems, currentPage, pageSize) {
            if (currentPage === void 0) { currentPage = 1; }
            if (pageSize === void 0) { pageSize = 8; }
        };
        PaginationService.ctorParameters = function () { return [
            { type: ConnectionService },
            { type: Constants }
        ]; };
        PaginationService = __decorate$4([
            core.Injectable()
        ], PaginationService);
        return PaginationService;
    }());

    var Filter = /** @class */ (function () {
        function Filter() {
            var _this = this;
            this.generated_url = '';
            this.data = [];
            this.multi = false;
            this.type = function () { return null; };
            this.getContent = function () { return null; };
            this.toUrlParams = function () { return null; };
            this.setContent = function (options) { return null; };
            this.setSelected = function (element, value) {
                ((element.multi != undefined) && !element.multi) ? _this.cleanFilter(_this.data, element) : null;
                _this.setSelectedValue(element, value);
            };
            this.cleanFilter = function (data, element_to_change) {
                element_to_change && data.forEach(function (element) {
                    element_to_change != element ? element.selected = false : null;
                    (element.children && element.children.length > 0) && _this.cleanFilter(element.children, element_to_change);
                });
            };
            this.reset = function (children) {
                var data = children || _this.data;
                data.forEach(function (element) {
                    element.selected = false;
                    (element.children && element.children.length > 0) && _this.reset(element.children);
                });
            };
            this.setSelectedValue = function (element, value, sublist, multi) {
                var elements = sublist || _this.data;
                var index = elements.findIndex(function (subelement) {
                    return (element.code || element) == subelement.code;
                });
                if (index >= 0) {
                    elements[index].selected = elements[index].selected ? false : true;
                    !multi && elements.forEach(function (child, i) {
                        if (i != index)
                            child.selected = false;
                    });
                    return {
                        elements: elements,
                        founded: true
                    };
                }
                else {
                    elements.some(function (elem) { return elem.type == 'sub'; }) && elements.some(function (filter) {
                        var founded = false;
                        if (filter.type == 'sub') {
                            var result = _this.setSelectedValue(element, value, filter.children, filter.multi);
                            if (result && result.founded) {
                                filter.children = result.elements;
                                founded = true;
                            }
                        }
                        return founded;
                    });
                }
            };
            this.getSelectedList = function () { return _this.findSelected(_this.data, []); };
            this.findSelected = function (elements, result) {
                var element = elements.find(function (elem) { return elem.selected; });
                if (element) {
                    result.push(element.code);
                    return result;
                }
                elements.forEach(function (elem) {
                    if (elem.children && elem.children.length) {
                        var new_result = _this.findSelected(elem.children, result);
                        if (new_result)
                            result = new_result;
                    }
                });
                return result;
            };
        }
        return Filter;
    }());

    var __extends$1 = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var CategoryFilter = /** @class */ (function (_super) {
        __extends$1(CategoryFilter, _super);
        function CategoryFilter(categories$, formatter, initial_value) {
            var _this = _super.call(this) || this;
            _this.categories$ = categories$;
            _this.data = [];
            _this.multi = false;
            _this.type = function () { return 'category'; };
            _this.setContent = function (categories, original, initial_value) {
                categories.forEach(function (filter, i) { return filter = _this.createElement(filter, original[i], initial_value); });
                _this.data = categories;
            };
            _this.createElement = function (filter, original, initial_value) {
                var _a, _b, _c, _d;
                if (filter.type == 'sub') {
                    filter.multi = false;
                    filter.shape = 'text';
                    filter.value = original.code;
                    filter.selected = (initial_value && _this.removeAccents((_a = original.slug) === null || _a === void 0 ? void 0 : _a.toLowerCase()) == _this.removeAccents((_b = initial_value) === null || _b === void 0 ? void 0 : _b.toLowerCase()));
                    filter.children = filter.children.map(function (child, i) { return _this.createElement(child, original.children[i], initial_value); });
                }
                else {
                    filter.value = original.code;
                    filter.selected = (initial_value && _this.removeAccents((_c = original.slug) === null || _c === void 0 ? void 0 : _c.toLowerCase()) == _this.removeAccents((_d = initial_value) === null || _d === void 0 ? void 0 : _d.toLowerCase()));
                }
                return filter;
            };
            _this.getContent = function () { return _this.data; };
            _this.toUrlParams = function (actual_url, sublist) {
                if (actual_url === void 0) { actual_url = ''; }
                var elements = sublist || _this.data;
                elements.forEach(function (element) {
                    if (element.type == 'sub' && !element.selected) {
                        var result = _this.toUrlParams('', element.children);
                        !actual_url.includes(result) ? actual_url += result : null;
                    }
                    else if (element.selected) {
                        if (actual_url == '')
                            actual_url = '&category=' + element.value;
                        else
                            actual_url = element.value;
                    }
                });
                return actual_url;
            };
            _this.removeAccents = function (str) {
                return str.normalize("NFD").replace(/[\u0300-\u036f]/g, "");
            };
            _this.categories$.subscribe(function (res) {
                _this.raw_data = res;
                _this.setContent(formatter(res), res, initial_value);
            });
            return _this;
        }
        return CategoryFilter;
    }(Filter));

    var __assign$2 = (this && this.__assign) || function () {
        __assign$2 = Object.assign || function(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                    t[p] = s[p];
            }
            return t;
        };
        return __assign$2.apply(this, arguments);
    };
    var __decorate$5 = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
            function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    };
    var __generator = (this && this.__generator) || function (thisArg, body) {
        var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f) throw new TypeError("Generator is already executing.");
            while (_) try {
                if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
                if (y = 0, t) op = [op[0] & 2, t.value];
                switch (op[0]) {
                    case 0: case 1: t = op; break;
                    case 4: _.label++; return { value: op[1], done: false };
                    case 5: _.label++; y = op[1]; op = [0]; continue;
                    case 7: op = _.ops.pop(); _.trys.pop(); continue;
                    default:
                        if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                        if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                        if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                        if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                        if (t[2]) _.ops.pop();
                        _.trys.pop(); continue;
                }
                op = body.call(thisArg, _);
            } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
            if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
        }
    };
    var __read = (this && this.__read) || function (o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m) return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
        }
        catch (error) { e = { error: error }; }
        finally {
            try {
                if (r && !r.done && (m = i["return"])) m.call(i);
            }
            finally { if (e) throw e.error; }
        }
        return ar;
    };
    var __spread = (this && this.__spread) || function () {
        for (var ar = [], i = 0; i < arguments.length; i++) ar = ar.concat(__read(arguments[i]));
        return ar;
    };
    var OptionsService = /** @class */ (function () {
        function OptionsService(connection, constants) {
            var _this = this;
            this.connection = connection;
            this.constants = constants;
            this.filtersSubject = new rxjs.BehaviorSubject([]);
            this.categoriesSubject = new rxjs.BehaviorSubject([]);
            this.attributesSubject = new rxjs.BehaviorSubject([]);
            this.sectionsSubject = new rxjs.BehaviorSubject([]);
            this.readySubject = new rxjs.BehaviorSubject({ options: { categories: false, attributes: false, sections: false }, readyAll: false });
            this.data = [];
            this.categories = this.categoriesSubject.asObservable();
            this.attributes = this.attributesSubject.asObservable();
            this.sections = this.sectionsSubject.asObservable();
            this.ready = this.readySubject.asObservable();
            this.getAllData = function () {
                _this.getCategories();
                _this.getAttributes();
                _this.getSections();
            };
            this.getSectionContentByLink = function (link) {
                return _this.connection.getHTML(_this.pageContentByCodeApi(link)).pipe(operators.map(function (html) { return html.split('</head>')[html.split('</head>').length - 1]; }), operators.catchError(function (e) { return rxjs.of(false); }));
            };
            this.getSectionContentByLinkAsPromise = function (link) {
                return _this.connection.getHTML(_this.pageContentByCodeApi(link)).pipe(operators.map(function (html) { return html.split('</head>')[html.split('</head>').length - 1]; })).toPromise().catch(function (e) { return null; });
            };
            this.getFAQ = function () {
                return _this.connection.get(_this.faqsApi()).pipe(operators.map(function (response) {
                    var result = [];
                    response.forEach(function (response_faq) {
                        var faqs = {
                            code: response_faq.code,
                            position: response_faq.position,
                            title: response_faq.translations[_this.constants.getLocale()].topic,
                            questions: response_faq.frequentlyAskedQuestions.map(function (asked_question) { return ({
                                code: asked_question.code,
                                position: asked_question.position,
                                question: asked_question.translations[_this.constants.getLocale()] ? asked_question.translations[_this.constants.getLocale()].question : '',
                                answer: asked_question.translations[_this.constants.getLocale()] ? asked_question.translations[_this.constants.getLocale()].answer : '',
                            }); })
                        };
                        result.push(faqs);
                    });
                    return result;
                }));
            };
            this.isSubElement = function (array, code) {
                var element = array.find(function (element) { return element.code == code; });
                return (element && element.code) || (array.children && _this.isSubElement(array.chidren, code));
            };
            this.findCode = function (slug, elements) {
                var element = elements.find(function (elem) { return elem.slug == slug; });
                if (element)
                    return element.code;
                elements.some(function (elem) {
                    if (elem.children && elem.children.length) {
                        element = _this.findCode(slug, elem.children);
                    }
                    return element || false;
                });
                return element;
            };
            this.getCodeBySlug = function (slug) {
                var code = _this.findCode(slug, _this.generateMenu(_this.categoriesSubject.value));
                if (!code)
                    code = _this.findCode(slug, _this.generateMenu(_this.attributesSubject.value));
                return code || slug;
            };
            this.getHigher = function (code) {
                var higher_code;
                higher_code = _this.data.find(function (element) { return !(element.code == code) && !_this.isSubElement(element.children, code); }).code;
                return higher_code || 'default';
            };
            /**
             * @private
             * APIS
             */
            this.cmsBase = function () { return 'cms/' + _this.constants.getLocale(); };
            this.cmsChannel = function () { return 'cms/' + _this.constants.getChannel(); };
            this.shopApi = function () { return 'shop-api/' + _this.constants.getChannel(); };
            this.faqsApi = function () { return 'cms/' + _this.constants.getChannel() + '/faq'; };
            // private sectionsApi = () => this.cmsBase() + '/sections/';
            this.sectionsApi = function () { return _this.cmsChannel() + '/sections/' + '?locale=' + _this.constants.getLocale(); };
            this.sectionByCodeApi = function (code) { return _this.cmsBase() + '/pages/' + code; };
            // private pageContentByCodeApi = (code) => this.cmsBase() + '/' + this.constants.getChannel() + '/page/' + code;
            this.pageContentByCodeApi = function (code) { return _this.cmsBase() + '/' + _this.constants.getChannel() + '/page/' + code; };
            this.taxonsApi = function () { return _this.shopApi() + '/taxons/' + '?locale=' + _this.constants.getLocale(); };
            this.attributesApi = function () { return _this.shopApi() + '/attributes-list' + '?locale=' + _this.constants.getLocale(); };
            this.attributesApi2 = function (filters) {
                if (filters === void 0) { filters = ''; }
                return 'shop-api/' + _this.constants.getChannel() + '/product-search/' + '?locale=' + _this.constants.getLocale() + '&limit=1&page=1' + filters;
            };
            /**
             * @public
             * UTILS
             */
            this.addAttributesSlug = function (attributes) { return attributes.map(function (attribute) { return __assign$2(__assign$2({}, attribute), { children: attribute.children.map(function (child) { return __assign$2(__assign$2({}, child), { slug: _this.slugify(child.name) }); }) }); }); };
            this.slugify = function (text) { return _this.removeAccents(text.toLowerCase().replace(/ & /g, ' ').replace(/ /g, '-').replace(/\//g, '-').replace(/ñ/g, 'n')); };
            this.generateMenu = function (elements) {
                return elements.map(function (subelement) {
                    var result;
                    (subelement.children && subelement.children.length == 0) ? result = __assign$2(__assign$2({}, subelement), { title: subelement.name, path: subelement.path, type: 'link' })
                        : result = __assign$2(__assign$2({}, subelement), { title: subelement.name, type: 'sub', path: subelement.path, children: (subelement.children ? _this.generateMenu(subelement.children) : []) });
                    return result;
                });
            };
            this.removeAccents = function (str) {
                return str.normalize("NFD").replace(/[\u0300-\u036f]/g, "");
            };
            this.getBreadcrumb = function (code) {
                if (!code)
                    return null;
                var breadcrumb = _this.generateBreadcrumb(code, _this.generateMenu(_this.categoriesSubject.value), []);
                if (!breadcrumb || !breadcrumb.length)
                    breadcrumb = _this.generateBreadcrumb(code, _this.generateMenu(_this.attributesSubject.value), []);
                return (breadcrumb && breadcrumb.length) && breadcrumb.reverse();
            };
            this.getBreadcrumbByFilters = function (filters) {
                var final_result = [];
                filters.forEach(function (filter) {
                    var result = filter.getSelectedList();
                    if (!result || !result.length)
                        return;
                    if (filter.type() == 'category')
                        final_result.unshift.apply(final_result, __spread(_this.generateBreadcrumb(result[0], filter.data, []).reverse()));
                    else
                        result.forEach(function (code) {
                            var breadcrumb = _this.generateBreadcrumb(code, filter.data, []);
                            breadcrumb.length && final_result.push(breadcrumb[0]);
                        });
                });
                return final_result;
            };
            this.generateBreadcrumb = function (code, elements, result) {
                var element = elements.find(function (elem) { return elem.code == code; });
                if (element) {
                    result.push(element);
                }
                else {
                    elements.some(function (elem) {
                        if (elem.children && elem.children.length) {
                            var length_1 = result.length;
                            var new_result = _this.generateBreadcrumb(code, elem.children, result);
                            if (new_result.length > length_1) {
                                result = new_result;
                                result.push(elem);
                                return true;
                            }
                        }
                        return false;
                    });
                }
                return result;
            };
            this.getAllData();
            // this.authService.loggedIn.subscribe(res => res && this.getAllData());
        }
        OptionsService.prototype.getCategories = function () {
            return __awaiter(this, void 0, void 0, function () {
                var _this = this;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, this.connection.get(this.taxonsApi()).pipe(operators.take(1), operators.map(function (response) { return _this.appendPaths(true, response); }))
                                .toPromise().then(function (response) {
                                response.forEach(function (element) { return _this.data.push(element); });
                                _this.categoriesSubject.next(response);
                            }).catch(function () { return _this.categoriesSubject.next([]); })];
                        case 1:
                            _a.sent();
                            this.optionLoaded('categories');
                            return [2 /*return*/];
                    }
                });
            });
        };
        OptionsService.prototype.getAttributes = function () {
            return __awaiter(this, void 0, void 0, function () {
                var _this = this;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, this.connection.get(this.attributesApi2()).pipe(operators.map(function (response) { return _this.appendPaths(false, (response.attributes[0] || response)); }))
                                .toPromise().then(function (response) {
                                response.forEach(function (element) { return _this.data.push(element); });
                                _this.attributesSubject.next(_this.addAttributesSlug(response));
                            }).catch(function () { return _this.attributesSubject.next([]); })];
                        case 1:
                            _a.sent();
                            this.optionLoaded('attributes');
                            return [2 /*return*/];
                    }
                });
            });
        };
        OptionsService.prototype.getAttributes2 = function (extra_params) {
            return __awaiter(this, void 0, void 0, function () {
                var _this = this;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, this.connection.get(this.attributesApi2(extra_params)).pipe(operators.map(function (response) { return _this.appendPaths(false, (response.attributes[0] || response)); }))
                                .toPromise().then(function (response) {
                                response.forEach(function (element) { return _this.data.push(element); });
                                _this.attributesSubject.next(_this.addAttributesSlug(response));
                            }).catch(function () { return _this.attributesSubject.next([]); })];
                        case 1:
                            _a.sent();
                            this.optionLoaded2('attributes');
                            return [2 /*return*/];
                    }
                });
            });
        };
        OptionsService.prototype.appendPaths = function (isCategory, response) {
            var _this = this;
            var result = response.map(function (subelement) {
                if (!subelement.children || subelement.children.length == 0) {
                    subelement.children = [];
                    subelement.path = isCategory ? _this.constants.getProductsListRoute() + 'categories/' + _this.slugify((subelement.slug ? _this.slugify(subelement.slug) : subelement.name))
                        : _this.constants.getProductsListRoute() + 'attributes/' + _this.slugify((subelement.slug ? _this.slugify(subelement.slug) : subelement.name));
                }
                else if (subelement.children) {
                    subelement.slug = subelement.slug || _this.slugify(subelement.name);
                    subelement.children = _this.appendPaths(isCategory, subelement.children);
                }
                isCategory ? subelement.path = _this.constants.getProductsListRoute() + 'categories/' + _this.slugify((subelement.slug ? _this.slugify(subelement.slug) : subelement.name))
                    : subelement.path = _this.constants.getProductsListRoute() + 'attributes/' + _this.slugify((subelement.slug ? _this.slugify(subelement.slug) : subelement.name));
                return subelement;
            });
            return result;
        };
        OptionsService.prototype.getSections = function () {
            return __awaiter(this, void 0, void 0, function () {
                var _this = this;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, this.connection.get(this.sectionsApi()).toPromise().then(function (response) {
                                var sections = response.filter(function (item) { return item.code != 'home'; });
                                sections = sections.map(function (section) { return _this.appendSection(section); });
                                _this.sectionsSubject.next(sections);
                            }).catch(function () { return _this.categoriesSubject.next([]); })];
                        case 1:
                            _a.sent();
                            this.optionLoaded('sections');
                            return [2 /*return*/];
                    }
                });
            });
        };
        OptionsService.prototype.appendSection = function (section) {
            var _this = this;
            var _a;
            var data = {};
            if ((_a = section.pages) === null || _a === void 0 ? void 0 : _a.length) {
                data.type = 'sub';
                data.children = section.pages.map(function (page) {
                    return {
                        code: page.code,
                        name: page.name,
                        type: 'link',
                        path: _this.constants.getSectionsRoute() + (page.slug ? page.slug : page.code),
                    };
                });
                data.title = section.name;
                data.name = section.name;
                data.path = this.constants.getSectionsRoute() + (section.slug ? section.slug : section.code);
                data.code = section.code;
            }
            else {
                data.code = section.code;
                data.title = section.name;
                data.type = 'link';
                data.children = [];
                data.path = this.constants.getSectionsRoute() + (section.slug ? section.slug : section.code);
            }
            return data;
        };
        OptionsService.prototype.optionLoaded = function (key) {
            var allReady = function (options) { return Object.keys(options).every(function (option_key) { return state.options[option_key]; }); };
            var state = this.readySubject.value;
            state.options[key] = true;
            this.readySubject.next({ options: state.options, readyAll: allReady(state.options) });
        };
        OptionsService.prototype.optionLoaded2 = function (key) {
            var allReady = function (options) { return Object.keys(options).every(function (option_key) { return state.options[option_key]; }); };
            var state = this.readySubject.value;
            state.options[key] = true;
            // this.readySubject.next({ options: state.options, readyAll: allReady(state.options) })
        };
        OptionsService.ctorParameters = function () { return [
            { type: ConnectionService },
            { type: Constants }
        ]; };
        OptionsService = __decorate$5([
            core.Injectable()
        ], OptionsService);
        return OptionsService;
    }());

    var __extends$2 = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var AttributesFilter = /** @class */ (function (_super) {
        __extends$2(AttributesFilter, _super);
        function AttributesFilter(attributes$, formatter, initial_value) {
            var _this = _super.call(this) || this;
            _this.attributes$ = attributes$;
            _this.data = [];
            _this.multi = false;
            _this.setContent = function (attributes, original, initial_value) {
                attributes.forEach(function (filter, i) { return filter = _this.createElement(filter, original[i], initial_value); });
                _this.data = attributes;
            };
            _this.createElement = function (filter, original, initial_value) {
                var _a, _b;
                if (filter.type == 'sub') {
                    filter.multi = false;
                    filter.shape = 'text';
                    filter.value = original.code;
                    filter.children = filter.children.map(function (child, i) { return _this.createElement(child, original.children[i], initial_value); });
                }
                else {
                    filter.value = original.code;
                    filter.selected = (initial_value && _this.removeAccents((_a = original.slug) === null || _a === void 0 ? void 0 : _a.toLowerCase()) == _this.removeAccents((_b = initial_value) === null || _b === void 0 ? void 0 : _b.toLowerCase()));
                }
                return filter;
            };
            _this.type = function () { return 'attributes'; };
            _this.getContent = function () { return _this.data; };
            _this.toUrlParams = function (actual_url, sublist, already) {
                if (actual_url === void 0) { actual_url = '&attributeCodes='; }
                var elements = sublist || _this.data;
                var aux_url = '';
                elements.forEach(function (element) {
                    if (element.type == 'sub') {
                        var result = _this.toUrlParams('', element.children, (actual_url != '&attributeCodes=' && actual_url != ''));
                        if (!actual_url.includes(result))
                            actual_url += _this.cleanResult(result);
                    }
                    else if (element.selected) {
                        if (actual_url == '&attributeCodes=' && aux_url == '') {
                            aux_url = element.value;
                        }
                        else {
                            if (aux_url == '')
                                aux_url = (already ? '<and>' : '') + element.value;
                            else
                                aux_url += ('<and>' + element.value);
                        }
                    }
                });
                return actual_url + aux_url;
            };
            _this.cleanResult = function (text) { return text.replace('&attributeCodes=', ''); };
            _this.removeAccents = function (str) {
                return str.normalize("NFD").replace(/[\u0300-\u036f]/g, "");
            };
            _this.attributes$.subscribe(function (res) {
                _this.raw_data = res;
                _this.setContent(formatter(res), res, initial_value);
            });
            return _this;
        }
        return AttributesFilter;
    }(Filter));

    var __extends$3 = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var DynamicsFilter = /** @class */ (function (_super) {
        __extends$3(DynamicsFilter, _super);
        function DynamicsFilter() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.generated_url = '';
            _this.data = [];
            _this.multi = true;
            _this.type = function () { return 'dynamics'; };
            _this.setContent = function (options) {
                options = options.map(function (option) { return option = _this.createElement(option); });
                _this.data = options;
            };
            _this.createElement = function (option) {
                option = {
                    title: option.label, type: 'sub', multi: false, code: option.code, shape: option.type, children: option.values.map(function (value) {
                        return {
                            title: value.code,
                            description: value.name,
                            code: (option.code + ' ' + value.name),
                            type: 'child',
                            value: value.code,
                            selected: false
                        };
                    })
                };
                return option;
            };
            _this.holi = function () {
            };
            _this.getContent = function () { return _this.data; };
            _this.toUrlParams = function (actual_url, sublist, already) {
                if (actual_url === void 0) { actual_url = '&optionCodes='; }
                var elements = sublist || _this.data;
                var aux_url = '';
                elements.forEach(function (element) {
                    if (element.type == 'sub') {
                        var result = _this.toUrlParams('', element.children, (actual_url != '&optionCodes=' && actual_url != ''));
                        if (!actual_url.includes(result))
                            actual_url += _this.cleanResult(result);
                    }
                    else if (element.selected) {
                        if (actual_url == '&optionCodes=' && aux_url == '') {
                            aux_url = element.value;
                        }
                        else {
                            if (aux_url == '')
                                aux_url = (already ? '<and>' : '') + element.value;
                            else
                                aux_url += ('<and>' + element.value);
                        }
                    }
                });
                return actual_url + aux_url;
            };
            _this.cleanResult = function (text) { return text.replace('&optionCodes=', ''); };
            return _this;
        }
        return DynamicsFilter;
    }(Filter));

    var __extends$4 = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var SortFilter = /** @class */ (function (_super) {
        __extends$4(SortFilter, _super);
        function SortFilter(consts) {
            var _this = _super.call(this) || this;
            _this.consts = consts;
            _this.data = [];
            _this.multi = true;
            _this.type = function () { return 'sort'; };
            _this.setContent = function () {
                _this.data = [
                    {
                        title: 'price', type: 'sub', multi: false, code: 'price', shape: 'text', children: [
                            { title: 'cheapest-first', code: 'price chip', type: 'child', value: 'asc', selected: false, multi: false, },
                            { title: 'most-expensive-first', code: 'price expensive', type: 'child', value: 'desc', selected: false, multi: false, }
                        ]
                    },
                    {
                        title: 'alphabetical-order', type: 'sub', code: 'order-alph', multi: false, shape: 'text', children: [
                            // { title: 'order-alph', type: 'child', code: 'alpha default', value: '', selected: false, multi: false },
                            { title: 'ascendancy', type: 'child', code: 'alpha asc', value: 'asc', selected: false, multi: false, },
                            { title: 'descendant', type: 'child', code: 'alpha desc', value: 'desc', selected: false, multi: false, }
                        ]
                    },
                    {
                        title: 'created-date',
                        type: 'sub',
                        code: 'recent',
                        multi: false,
                        shape: 'text',
                        children: [
                            { title: 'order-date', type: 'child', code: 'recent default', value: '', selected: false, multi: false },
                            { title: 'newest-first', type: 'child', code: 'recent desc', value: 'desc', selected: false, multi: false },
                            { title: 'oldest-first', type: 'child', code: 'recent asc', value: 'asc', selected: false, multi: false },
                        ]
                    },
                    {
                        title: 'date-created',
                        type: 'sub',
                        code: 'update',
                        multi: false,
                        shape: 'text',
                        children: [
                            { noUrl: true, title: 'newest-first', type: 'child', code: 'update asc', value: 'asc', selected: false, multi: false },
                            { noUrl: true, title: 'oldest-first', type: 'child', code: 'update desc', value: 'desc', selected: false, multi: false },
                        ]
                    }
                ];
                if (!_this.consts.getSortFilters().includes('all')) {
                    _this.data = _this.data.filter(function (elem) { return _this.consts.getSortFilters().includes(elem.code); });
                }
            };
            _this.getContent = function () { return _this.data; };
            _this.toUrlParams = function (actual_url, sublist, father) {
                if (actual_url === void 0) { actual_url = ''; }
                var elements = sublist || _this.data;
                elements.forEach(function (element) {
                    if (!element.noUrl) { //Si es sin url, no se hace nada. Osea el filtrado es en la vista.
                        if (element.type == 'sub') {
                            var result = _this.toUrlParams(actual_url, element.children, element.title);
                            !actual_url.includes(result) ? actual_url += result : null;
                        }
                        else if (element.selected) {
                            actual_url = ('&sorting[' + _this.translate(father) + ']=' + element.value);
                        }
                    }
                });
                return actual_url;
            };
            // UTILS
            _this.translate = function (value) {
                switch (value) {
                    case 'price': return 'price';
                    case 'created-date': return 'dateCreate';
                    case 'alphabetical-order': return 'name';
                }
            };
            _this.setContent();
            return _this;
        }
        return SortFilter;
    }(Filter));

    var __decorate$6 = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var FiltersService = /** @class */ (function () {
        function FiltersService$1(options, route) {
            var _this = this;
            this.options = options;
            this.route = route;
            this.filtersSubject = new rxjs.BehaviorSubject([]);
            this.readySubject = new rxjs.BehaviorSubject({ options: { categories: false, attributes: false, sections: false }, readyAll: false });
            this.filters$ = this.filtersSubject.asObservable();
            this.ready$ = this.readySubject.asObservable();
            /**
             * @description Carga los filtros segun los datos recibidos por parametros.
             * @param filters Tipos de filtros, por defecto es 'all'
             * @param defaultFilters Filtros que se aplican por defecto
             * @param products Productos utilizados para armar los filtros dinamicos.
             * @returns {Observable<Filter[]>} Un observable de filtros.
             */
            this.loadFilters = function (filters, defaultFilters, products) {
                if (filters === void 0) { filters = ['all']; }
                _this.setFilters(filters, defaultFilters, products);
                return _this.filters$;
            };
            /**
             * @description Crea los filtros.
             * @param filters Tipos de filtros, por defecto es 'all'
             * @param defaultFilters Filtros que se aplican por defecto
             * @param products Productos utilizados para armar los filtros dinamicos.
             */
            this.setFilters = function (filters, defaultFilters, products) {
                var _a, _b, _c;
                var final_filters = [];
                if ((_a = filters) === null || _a === void 0 ? void 0 : _a.includes('all'))
                    filters = ['attributes', 'category', 'dynamics', 'sort'];
                (_b = filters) === null || _b === void 0 ? void 0 : _b.forEach(function (filter) { return final_filters.push(_this.getFilterInstance(filter, products)); });
                (_c = defaultFilters) === null || _c === void 0 ? void 0 : _c.forEach(function (filterDefault) {
                    var filter = final_filters.find(function (filter) { return filter.type() == filterDefault.filter_type; });
                    filter && filterDefault.codes.forEach(function (value) { return filter.setSelected(value); });
                });
                _this.filtersSubject.next(final_filters);
            };
            /**
             * @description Fabrica de filtros segun el filtro.
             * @param filter
             * @param products
             * @returns
             */
            this.getFilterInstance = function (filter, products) {
                var instance;
                switch (filter) {
                    case 'category':
                        instance = new CategoryFilter(_this.options.categories, _this.options.generateMenu);
                        break;
                    case 'attributes':
                        instance = new AttributesFilter(_this.options.attributes, _this.options.generateMenu);
                        break;
                    case 'sort':
                        instance = new SortFilter();
                        break;
                    case 'dynamics':
                        instance = new DynamicsFilter();
                        break;
                }
                return instance;
            };
            /**
             * @description retorna los filtros segun los tipos de filtros ingresado por parametros.
             * @param types Tipos de filtros => 'category' | 'attributes' | 'dynamics' | 'sort' | 'all'
             * @returns Arreglo de Filter
             */
            this.getSpecificFilters = function (types) {
                var result = [];
                //console.log('getValue',this.filtersSubject.getValue())
                types.forEach(function (type) {
                    var result_filter = _this.filtersSubject.getValue().find(function (filter) { return filter.type() == type; });
                    if (result_filter)
                        result.push(result_filter);
                    return result;
                });
                return result;
            };
            /**
             * @description redirecciona segun la url del filtro.
             * @param filterElem No hace nada por ahora, es para mantener el mismo formato que como se usa en collection
             * @param data Filtro que se usa para redireccion
             */
            this.setFilterSelectedByPath = function (filterElem, data) {
                //console.log(filterElem,data)
                _this.route.navigateByUrl(data.path);
            };
            this.ready$ = this.options.ready;
        }
        FiltersService$1.ctorParameters = function () { return [
            { type: OptionsService },
            { type: router.Router }
        ]; };
        FiltersService$1.ɵprov = core.ɵɵdefineInjectable({ factory: function FiltersService_Factory() { return new FiltersService(core.ɵɵinject(OptionsService), core.ɵɵinject(router.Router)); }, token: FiltersService, providedIn: "root" });
        FiltersService$1 = __decorate$6([
            core.Injectable({
                providedIn: 'root'
            })
        ], FiltersService$1);
        return FiltersService$1;
    }());

    var __assign$3 = (this && this.__assign) || function () {
        __assign$3 = Object.assign || function(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                    t[p] = s[p];
            }
            return t;
        };
        return __assign$3.apply(this, arguments);
    };
    var __decorate$7 = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __read$1 = (this && this.__read) || function (o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m) return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
        }
        catch (error) { e = { error: error }; }
        finally {
            try {
                if (r && !r.done && (m = i["return"])) m.call(i);
            }
            finally { if (e) throw e.error; }
        }
        return ar;
    };
    var __spread$1 = (this && this.__spread) || function () {
        for (var ar = [], i = 0; i < arguments.length; i++) ar = ar.concat(__read$1(arguments[i]));
        return ar;
    };
    // Get product from Localstorage
    var products = {};
    var ProductsService = /** @class */ (function () {
        function ProductsService(connection, constants, pagination, options, filtersService) {
            var _this = this;
            this.connection = connection;
            this.constants = constants;
            this.pagination = pagination;
            this.options = options;
            this.filtersService = filtersService;
            this.productsSubject = new rxjs.BehaviorSubject([]);
            this.filtersSubject = new rxjs.BehaviorSubject([]);
            this.filtersInViewSubject = new rxjs.BehaviorSubject(null);
            this.currency = 'USD';
            this.catalogMode = false;
            this.products$ = this.productsSubject.asObservable();
            this.filters$ = this.filtersSubject.asObservable();
            this.filtersInView$ = this.filtersInViewSubject.asObservable();
            /** APIS */
            this.latestProductsByCategoryApi = function (category) { return 'shop-api/' + _this.constants.getChannel() + '/taxon-products/by-code/' + category; };
            this.latestProductsApi = function () { return 'shop-api/' + _this.constants.getChannel() + '/product-latest/'; };
            this.specificProductApi = function (code, variant) { return 'shop-api/' + _this.constants.getChannel() + '/products/by-code/' + (variant ? 'variant/' : '') + code + '?locale=' + _this.constants.getLocale(); };
            this.productsBySpecialMarkApi = function (specialmark) { return 'shop-api/' + _this.constants.getVersion() + '/' + _this.constants.getChannel() + '/special-marks/' + specialmark + '/products/'; };
            this.relatedProductsApi = function (key) { return 'shop-api/' + _this.constants.getChannel() + '/products/related/by-code/' + key + '?locale=' + _this.constants.getLocale(); };
            this.productVariantApi = function (code) { return 'shop-api/' + _this.constants.getChannel() + '/products/by-code/variant/' + code; };
            this.latestProductsByAttributeApi = function (attribute) { return 'shop-api/' + _this.constants.getChannel() + '/products/by-attribute/' + attribute; };
            this.productSearchApi = function () { return 'shop-api/' + _this.constants.getChannel() + '/product-search/'; };
            this.cmsRelatedProductsApi = function (page) { return 'cms/' + _this.constants.getLocale() + '/' + _this.constants.getChannel() + '/page/' + page + '/product-related'; };
            this.productsFilterApi = function (filters) {
                if (filters === void 0) { filters = ''; }
                return 'shop-api/' + _this.constants.getChannel() + '/product-search/' + '?locale=' + _this.constants.getLocale() + filters;
            };
            this.saveProductReviewsApi = function (code) { return 'shop-api/' + _this.constants.getChannel() + '/products/by-code/' + code + '/reviews'; };
            /** FUNCTIONS */
            this.getLatestProducts = function (limit) {
                if (limit === void 0) { limit = '0'; }
                return limit == '0' ? _this.connection.get(_this.latestProductsApi()) :
                    _this.connection.getWithLimit(_this.latestProductsApi(), limit);
            };
            this.getLatestProductsByCategory = function (category, limit) {
                if (limit === void 0) { limit = '0'; }
                return limit == '0' ? _this.connection.get(_this.latestProductsByCategoryApi(category)) :
                    _this.connection.getWithLimit(_this.latestProductsByCategoryApi(category), limit);
            };
            this.getPaginated = function (limit, page) {
                return _this.connection.getPaginated(_this.latestProductsApi(), limit, page);
            };
            this.getSpecificProduct = function (code, variant) {
                return _this.connection.get(_this.specificProductApi(code, variant));
            };
            this.getProductsBySpecialMark = function (specialmark, limit) {
                if (limit === void 0) { limit = '0'; }
                return limit == '0' ? _this.connection.get(_this.productsBySpecialMarkApi(specialmark)) :
                    _this.connection.getWithLimit(_this.productsBySpecialMarkApi(specialmark), limit);
            };
            this.getRelatedProducts = function (key) {
                return _this.connection.get(_this.relatedProductsApi(key));
            };
            this.getProductVariant = function (code) {
                return _this.connection.get(_this.productVariantApi(code));
            };
            this.getlatestProductsByAttribute = function (attribute) {
                return _this.connection.get(_this.latestProductsByAttributeApi(attribute));
            };
            this.getSearchedProducts = function (content) {
                var _a;
                _this.productsSubject.next([]);
                _this.pagination.initialize(_this.generateFinalApi(content), ((_a = products) === null || _a === void 0 ? void 0 : _a.limit) || 8);
                _this.subscription = _this.pagination.next.subscribe(function (res) { return _this.productsSubject.next(res); }, function (err) { return _this.productsSubject.next(null); });
            };
            this.getCMSRelatedProducts = function (page) {
                return _this.connection.get(_this.cmsRelatedProductsApi(page)).catch(function (err) { return rxjs.of(null); });
            };
            this.getProductsSearched = function (search_value, filters) {
                _this.getProductsForFilter(null, filters, search_value);
            };
            /**
             * @description Guarda la reseña de un producto.
             * @param code
             * @param form_data
             * @returns
             */
            this.saveReviews = function (code, form_data) { return _this.connection.post(_this.saveProductReviewsApi(code), form_data); };
            /**
             * @param products
             * @param filters
             * @param search_value
             * @param defaultFilters
             */
            this.getProductsForFilter = function (products, filters, search_value, defaultFilters) {
                var _a;
                _this.productsSubject.next([]);
                search_value ? _this.search_value = search_value : _this.search_value = '';
                filters && _this.setFilters(products, filters, defaultFilters);
                _this.pagination.initialize(_this.generateFinalApi(search_value), ((_a = products) === null || _a === void 0 ? void 0 : _a.limit) || 8);
                _this.subscription && _this.subscription.unsubscribe();
                _this.subscription = _this.pagination.next.subscribe(function (res) { return _this.productsSubject.next(res); }, function (err) { return _this.productsSubject.next(null); });
                _this.filtersSubject.value.some(function (filter) { return filter.type() == 'dynamics'; })
                    ? _this.pagination.getNext(_this.updateDynamicFilters)
                    : _this.pagination.getNext();
            };
            this.setFilters = function (products, filters, defaultFilters) {
                var _a, _b, _c;
                var final_filters = [];
                if ((_a = filters) === null || _a === void 0 ? void 0 : _a.includes('all'))
                    filters = ['attributes', 'category', 'dynamics', 'sort'];
                (_b = filters) === null || _b === void 0 ? void 0 : _b.forEach(function (filter) { return final_filters.push(_this.getFilterInstance(filter, products)); });
                (_c = defaultFilters) === null || _c === void 0 ? void 0 : _c.forEach(function (filterDefault) {
                    var filter = final_filters.find(function (filter) { return filter.type() == filterDefault.filter_type; });
                    filter && filterDefault.codes.forEach(function (value) { return filter.setSelected(value); });
                });
                _this.filtersSubject.next(final_filters);
            };
            this.getFilterInstance = function (filter, products) {
                var instance;
                switch (filter) {
                    case 'category':
                        instance = new CategoryFilter(_this.options.categories, _this.options.generateMenu, products ? (products.type == 'categories' && products.value) : null);
                        break;
                    case 'attributes':
                        instance = new AttributesFilter(_this.options.attributes, _this.options.generateMenu, products ? (products.type == 'attributes' && products.value) : null);
                        break;
                    case 'sort':
                        instance = new SortFilter(_this.constants);
                        break;
                    case 'dynamics':
                        instance = new DynamicsFilter();
                        break;
                }
                return instance;
            };
            this.updateDynamicFilters = function (request) {
                if (!request.options)
                    return;
                var final_filters = _this.filtersSubject.value;
                var index = final_filters.findIndex(function (filter) { return filter.type() == 'dynamics'; });
                index && final_filters[index].setContent(request.options);
                _this.filtersSubject.next(final_filters);
            };
            this.getNext = function () { return !_this.pagination.isFinished() && _this.pagination.getNext(); };
            this.setFilterSelected = function (filterObj, filterElem) {
                var final_filters = _this.filtersSubject.value;
                var index = final_filters.findIndex(function (filter) { return filter.type() == filterObj.type(); });
                final_filters[index].setSelected(filterElem, filterElem.value);
                /**
                 * @description Esta parte del codigo lo que hace es chequear se sea un filtro de la vista, para cargar el observable
                 * con los datos del mismo. De lo contrario se lo carga con null. Este observable esta hecho para que en collection se
                 * pueda detectar si es necesario hacer un filtrado en la vista.
                 * Aclaración: hacer este tipo de filtrados esta mal, si crece mucho la performance va a bajar, lo ideal seria que
                 * desde backend se puedan proveer endpoints para poder filtrar sobre los campos deseados y mantener la misma logica con
                 * la que se viene trabajando.
                 */
                (filterElem.noUrl != undefined && filterElem.noUrl) ? _this.filtersInViewSubject.next(filterElem) : _this.filtersInViewSubject.next(null);
                _this.filtersSubject.next(final_filters);
                _this.updateProductsForFilter();
            };
            this.updateProductsForFilter = function () {
                _this.pagination.waiting = true;
                _this.productsSubject.next([]);
                _this.pagination.initialize(_this.search_value ? _this.generateFinalApi(_this.search_value) : _this.generateFinalApi());
                _this.pagination.getNext();
                // SI SE ACTUALIZARAN LOS FILTROS DINAMICOS EN EL FUTURO
                // let filtersObj = this.filtersSubject.value;
                // filtersObj.some(filter => filter.type() == 'dynamics')
                //      ? this.pagination.getNext(this.updateDynamicFilters)
                //      : this.pagination.getNext();
            };
            /**
             *
             * @param products  Array. Lista de productos.
             * @param withOption 'type' tipo de opción, code: código de la opción. 'defaultFirstOption': en caso de que no se pueda desdoblar por la opción indicada si el valor es verdadero se intentara desdoblar por la primera opción asociada al producto.
             * 'checkIfStock': en caso de que esta valor sea verdadero se realiza un control de que la variantes cuenten con stock para ser un producto desdoblado por la variante, si el valor es falso no se realiza dicho control y el producto se desdoblara con stock en 0.
             * @returns arreglo con los productos desdoblados por la opción solicitada.
             * (opción por defecto que se intenta hacer el desdoblamiento 'color', o bien si en le parámetro withOption el atributo 'defaultFirstOption' es verdadero se desdobla por la primera opción asociada al producto )
             *
             * @description Recibe una lista de productos y retorna los mismos productos tantas veces como variantes tenga.
             * cada producto retornado tendrá una única variante.
             */
            this.getProductsWithUniqueVariant = function (products, withOption) {
                if (withOption === void 0) { withOption = { type: 'color', code: 'color', defaultFirstOption: false, checkIfStock: true }; }
                !withOption['code'] && withOption['type'] && (withOption['code'] = withOption['type']) || !withOption['code'] && (withOption['code'] = 'color');
                !withOption['type'] && withOption['code'] && (withOption['type'] = withOption['code']) || !withOption['type'] && (withOption['type'] = 'color');
                !withOption.hasOwnProperty('defaultFirstOption') && (withOption['defaultFirstOption'] = false);
                !withOption.hasOwnProperty('checkIfStock') && (withOption['checkIfStock'] = true);
                var productsUniqueVariant = [];
                products.forEach(function (product) {
                    var _a, _b;
                    var variants = __spread$1((_a = product) === null || _a === void 0 ? void 0 : _a.variants);
                    var option = product.options.find(function (opt) { return opt.type.toLowerCase() === withOption.type.toLowerCase(); });
                    if (option) {
                        option.values.forEach(function (optionValue) {
                            var modified_product = JSON.parse(JSON.stringify(product));
                            modified_product.options.find(function (option) { return option.type.toLowerCase() == withOption.type.toLowerCase(); }).values = [{ code: optionValue.code, name: optionValue.name }];
                            //busco una variante con ese code para asignarle la lista de imagenes
                            var variantAux = variants.find(function (variant) { return ((withOption.checkIfStock && variant.stock > 0) || withOption.checkIfStock == false)
                                && variant.options.length
                                && variant.options.some(function (op) { return (op.hasOwnProperty(withOption.code.toLowerCase()) || op.hasOwnProperty(withOption.code.toUpperCase()))
                                    && (op[withOption.code.toLowerCase()] || op[withOption.code.toUpperCase()]) === optionValue.code; }); });
                            variantAux && productsUniqueVariant.push(_this.productWithVariantValues(modified_product, variantAux, optionValue));
                        });
                    }
                    else {
                        /**
                         * se modifica el caso para cuando se toma el primer `option` del producto para
                         * armar la lista de productos con variantes.
                         */
                        if (withOption.defaultFirstOption && ((_b = product.options) === null || _b === void 0 ? void 0 : _b.length)) {
                            var firstOptions_1 = product.options[0];
                            product.options[0].values.forEach(function (optionValue) {
                                var modified_product = JSON.parse(JSON.stringify(product));
                                modified_product.options.find(function (option) { return option.type == firstOptions_1.type; }).values = [{ code: optionValue.code, name: optionValue.name }];
                                var variantAux = variants.find(function (variant) {
                                    return variant.options.find(function (elem) { return elem[firstOptions_1.code] == optionValue.code; });
                                });
                                if (variantAux && variantAux.images.length == 0) {
                                    variantAux.images = product.picturesdefault;
                                }
                                if (withOption.checkIfStock) {
                                    (variantAux && variantAux.stock > 0) ? productsUniqueVariant.push(_this.productWithVariantValues(modified_product, variantAux, optionValue)) : null;
                                }
                                else {
                                    variantAux && productsUniqueVariant.push(_this.productWithVariantValues(modified_product, variantAux, optionValue));
                                }
                            });
                        }
                        else {
                            productsUniqueVariant.push(product);
                        }
                    }
                });
                return productsUniqueVariant.length > 0 ? productsUniqueVariant : products;
            };
            this.productWithVariantValues = function (product, variant, optionValue) {
                product.picturesdefault = variant.images;
                product.variant_id = variant.code; //lo dejo aca hasta asegurarnos de que no se estaba usando en otra parte.
                product.stock = variant.stock || 0; //lo dejo aca hasta asegurarnos de que no se estaba usando en otra parte.
                product.currentOption = __assign$3(__assign$3({}, optionValue), { productCode: product.id, variantCode: variant.code, stock: variant.stock || 0, finalPrice: variant.saleprice || variant.price || 0 });
                return product;
            };
            this.cleanAllFilters = function () {
                var final_filters = _this.filtersSubject.value;
                final_filters.forEach(function (filter) { return filter.reset(); });
                _this.filtersSubject.next(final_filters);
                _this.updateProductsForFilter();
            };
            /** UTILS AND FILTERING */
            this.isWaiting = function () { return _this.pagination.waiting; };
            this.isFinished = function () { return _this.pagination.isFinished(); };
            this.generateFinalApi = function (search_value) {
                var extra_params = '';
                _this.filtersSubject.value.forEach(function (filter) {
                    var extra = filter.toUrlParams();
                    extra.split('=')[1] != '' ? extra_params += extra : null;
                });
                if (search_value)
                    extra_params += ('&criteria[search][type]=contains&criteria[search][value]=' + search_value);
                if (extra_params != '' && !extra_params.includes('attributeCodes')) {
                    _this.options.getAttributes2(extra_params);
                }
                return _this.productsFilterApi(extra_params);
            };
            this.finished = function () { return _this.pagination.finished$; };
            this.getTotal = function () { return _this.pagination.total; };
        }
        ProductsService.ctorParameters = function () { return [
            { type: ConnectionService },
            { type: Constants },
            { type: PaginationService },
            { type: OptionsService },
            { type: FiltersService }
        ]; };
        ProductsService = __decorate$7([
            core.Injectable()
        ], ProductsService);
        return ProductsService;
    }());

    var __decorate$8 = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var BannerService = /** @class */ (function () {
        function BannerService(connection, constants, optionsService) {
            var _this = this;
            this.connection = connection;
            this.constants = constants;
            this.optionsService = optionsService;
            this.bannerSubject = new rxjs.BehaviorSubject({ banners: [], button_route: '' });
            this.banner = this.bannerSubject.asObservable();
            this.bannersByTaxonApi = function (taxon) { return 'api/' + _this.constants.getVersion() + '/banners/by-taxon/' + taxon; };
            this.bannersByAttributeApi = function (attribute) { return 'api/' + _this.constants.getVersion() + '/banners/by-attribute/' + attribute; };
            this.getBanner = function (type, code) {
                _this.type = type;
                _this.code = code;
                if (type && code) {
                    if (type == 'taxon' || type == 'categories') {
                        _this.loadBannersByTaxon(code);
                    }
                    else {
                        _this.loadBannersByAtrribute(code);
                    }
                }
            };
            this.getImage = function (banner) { return (_this.mobile() && banner.mobileImageName && banner.mobileImageName != '') ? banner.mobileImageName : banner.imageName; };
            this.getImageFull = function (banner) {
                return _this.constants.getUrlBase() + ((_this.mobile() && banner.mobileImageName && banner.mobileImageName != '') ? banner.mobileImageName : banner.imageName);
            };
            this.mobile = function () { return window.innerWidth < 750; };
            // Get available methods of instance, and update this.methods
        }
        BannerService.prototype.getBannersByTaxon = function (taxon) {
            var _this = this;
            return this.connection.get(this.bannersByTaxonApi(taxon)).pipe(operators.catchError(function (err) { return _this.connection.get(_this.bannersByTaxonApi(_this.optionsService.getHigher(taxon))); }));
        };
        BannerService.prototype.getBannersByAttribute = function (attribute) {
            var _this = this;
            return this.connection.get(this.bannersByAttributeApi(attribute)).pipe(operators.catchError(function (err) { return _this.connection.get(_this.bannersByTaxonApi(_this.optionsService.getHigher(attribute))); }));
        };
        BannerService.prototype.loadBannersByTaxon = function (taxon) {
            var _this = this;
            this.getBannersByTaxon(taxon).catch(function (err) { return rxjs.of([]); }).subscribe(function (res) {
                res && _this.procesateBanners(res);
            });
        };
        BannerService.prototype.loadBannersByAtrribute = function (attribute) {
            var _this = this;
            this.getBannersByAttribute(attribute).catch(function (err) { return rxjs.of([]); }).subscribe(function (res) {
                res && _this.procesateBanners(res);
            });
        };
        BannerService.prototype.procesateBanners = function (banners) {
            var _this = this;
            var final_banners = [];
            banners.forEach(function (banner) { return final_banners.push(banner.translations.filter(function (res) { return res['locale'] == _this.constants.getLocale(); })[0]); });
            var button_route = '/collection/' + (this.type == 'taxon' ? 'categories' : 'attributes') + '/' + this.code;
            this.bannerSubject.next({ banners: final_banners, button_route: button_route });
        };
        BannerService.ctorParameters = function () { return [
            { type: ConnectionService },
            { type: Constants },
            { type: OptionsService }
        ]; };
        BannerService = __decorate$8([
            core.Injectable()
        ], BannerService);
        return BannerService;
    }());

    var User = /** @class */ (function () {
        function User() {
            var _this = this;
            this.USER = 'USER';
            this.type = 'loguedin';
            this.config = {};
            this.client_id = 'demo_client';
            this.client_secret = 'secret_demo_client';
            this.grant_type = 'password';
            this.email = '';
            this.username = '';
            this.password = '';
            this.first_name = '';
            this.last_name = '';
            this.address = { country: '', city: '', state: '', address: '', postcode: '' };
            this.birthday = '';
            this.gender = '';
            this.phone_number = '';
            this.suscribed_to_newsletter = true;
            this.document_type = '';
            this.preferred_card = '';
            this.document_number = '';
            this.channels = [];
            this.customers = [];
            this.token = '';
            this.typeUser = null;
            this.initilized = function (res) {
                _this.token = res.token;
                _this.typeUser = res.hasOwnProperty('type') ? res.type : 'retail_customer';
                _this.username = res.username;
                _this.email = res.username;
                _this.channels = res.channels || [];
                _this.customers = res.customers || [];
            };
            this.isWholesaler = function () { return _this.typeUser && (_this.typeUser == 'wholesaler_customer' || _this.typeUser == 'seller') || false; };
            this.isSeller = function () { return _this.typeUser && _this.typeUser == 'seller' || false; };
            this.isRetailCustomer = function () { return _this.typeUser && _this.typeUser == 'retail_customer' || false; };
            this.toForm = function () {
                return {
                    firstName: _this.first_name,
                    lastName: _this.last_name,
                    phoneNumber: _this.phone_number,
                    email: _this.email,
                    documentType: _this.document_type,
                    documentNumer: _this.document_number,
                    street: _this.address.address,
                    countryCode: _this.address.country,
                    city: _this.address.city,
                    provinceName: _this.address.state,
                    postcode: _this.address.postcode
                };
            };
            this.persistInStorage = function (key) {
                if (key === void 0) { key = _this.USER; }
                try {
                    var json = _this.jsonify();
                    var str = JSON.stringify(json);
                    localStorage.setItem(key, JSON.stringify(_this.jsonify()));
                    return true;
                }
                catch (error) {
                    console.error(error);
                    return false;
                }
            };
            this.loadFromStorage = function (key) {
                if (key === void 0) { key = _this.USER; }
                if (localStorage.getItem(key)) {
                    _this.deserialize(JSON.parse(localStorage.getItem(key)));
                    return true;
                }
                return false;
            };
            this.removeFromStorage = function (key) {
                if (key === void 0) { key = _this.USER; }
                try {
                    localStorage.removeItem(key);
                    console.log('usuario removido');
                    return true;
                }
                catch (error) {
                    console.error(error);
                    return false;
                }
            };
            this.setChannels = function () {
                var channels = [];
                for (var _i = 0; _i < arguments.length; _i++) {
                    channels[_i] = arguments[_i];
                }
                return _this.channels = channels;
            };
        }
        User.prototype.deserialize = function (input) {
            return Object.assign(this, input);
        };
        User.prototype.jsonify = function () {
            return {
                client_id: this.client_id,
                client_secret: this.client_secret,
                grant_type: this.grant_type,
                username: this.username,
                email: this.email,
                password: this.password,
                token: this.token,
                typeUser: this.typeUser,
                channels: this.channels,
                customers: this.customers
            };
        };
        User.prototype.removePassword = function () {
            this.password = '';
        };
        User.prototype.needsAuth = function () {
            return this.type == 'loguedin';
        };
        return User;
    }());

    var Step = /** @class */ (function () {
        function Step(name, priority) {
            var _this = this;
            this.state = 'pending';
            this.doing = function () {
                _this.data = null;
                _this.state = 'doing';
            };
            this.restart = function () {
                _this.data = null;
                _this.state = 'pending';
            };
            this.ready = function (data) {
                _this.data = data;
                _this.state = 'ready';
            };
            this.isPending = function () { return _this.state == 'pending' || _this.state == 'doing'; };
            this.isReady = function () { return _this.state == 'ready' && _this.data; };
            this.name = name;
            this.priority = priority;
        }
        return Step;
    }());

    var __decorate$9 = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var OrderUtilityService = /** @class */ (function () {
        function OrderUtilityService() {
            var _this = this;
            /**
             * @param cart Objeto carrito o orden, indistintamente, ya que poseen el mismo formato
             * @param forCart Si la solicitud de promociones proviene del carrito, suprime el subtotal y el total
             * @description Devuelve un listado con todas las promociones que posee el carro/orden
             */
            this.getPromotions = function (cart, forCart) {
                if (forCart === void 0) { forCart = false; }
                if (cart.checkoutState && cart.checkoutState == "completed")
                    return;
                var new_state = [];
                var subtotal = { type: 'subtotal', name: 'subtotal', amount: cart.totals.items };
                var total = { type: 'total', name: 'total', amount: cart.totals.total };
                !forCart && new_state.push(subtotal);
                //    console.log(cart.cartDiscounts);
                for (var index = 0; index < cart.cartDiscounts.length; index++) {
                    cart.cartDiscounts[index].type = _this.formatType(cart.cartDiscounts[index].type);
                    new_state.push({
                        type: cart.cartDiscounts[index].type,
                        name: (cart.cartDiscounts[index].type != 'coupon') ? cart.cartDiscounts[index].name : 'coupon',
                        amount: _this.getAmount(cart.cartDiscounts[index], cart)
                    });
                }
                //    cart.cartDiscounts.forEach(cartDiscount => {
                //        cartDiscount.type = this.formatType(cartDiscount.type);
                //        new_state.push({
                //            type: cartDiscount.type,
                //            name: (cartDiscount.type != 'coupon') ? cartDiscount.name : 'coupon',
                //            amount: this.getAmount(cartDiscount, cart)
                //        });
                //    });
                !forCart && new_state.push(total);
                return new_state;
            };
            this.getAmount = function (discount, cart) {
                if (discount.type != 'shipment')
                    return discount.amount;
                return cart.totals.shipping;
            };
            this.formatType = function (type) {
                var result;
                switch (type) {
                    case 'order_promotion':
                        result = 'discount';
                        break;
                    case 'order_shipping_promotion':
                        result = 'shipment';
                        break;
                    case 'order_coupon_promotion':
                        result = 'coupon';
                        break;
                    case 'order_unit_promotion':
                        result = 'discount';
                        break;
                }
                !result && (result = type.includes('promotion') || type.includes('discount') ? 'discount' : type);
                return result || type;
            };
        }
        OrderUtilityService = __decorate$9([
            core.Injectable()
        ], OrderUtilityService);
        return OrderUtilityService;
    }());

    var __decorate$a = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __param$1 = (this && this.__param) || function (paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    };
    var DopplerService = /** @class */ (function () {
        function DopplerService(rendererFactory, document) {
            var _this = this;
            this.rendererFactory = rendererFactory;
            this.document = document;
            this.isLoaded = false;
            this.initialize = function (pixelSrc) {
                _this.isLoaded = true;
                var scriptInsert = _this.renderer.createElement("script");
                _this.renderer.setAttribute(scriptInsert, 'type', 'text/javascript');
                _this.renderer.setAttribute(scriptInsert, 'async', 'async');
                _this.renderer.setAttribute(scriptInsert, 'src', pixelSrc);
                _this.renderer.appendChild(_this.document.body, scriptInsert);
            };
            this.renderer = this.rendererFactory.createRenderer(null, null);
        }
        DopplerService.ctorParameters = function () { return [
            { type: core.RendererFactory2 },
            { type: undefined, decorators: [{ type: core.Inject, args: [common.DOCUMENT,] }] }
        ]; };
        DopplerService = __decorate$a([
            core.Injectable(),
            __param$1(1, core.Inject(common.DOCUMENT))
        ], DopplerService);
        return DopplerService;
    }());

    var __decorate$b = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __param$2 = (this && this.__param) || function (paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    };
    var FacebookPixelService = /** @class */ (function () {
        function FacebookPixelService(rendererFactory, document) {
            var _this = this;
            this.rendererFactory = rendererFactory;
            this.document = document;
            this.enabled = false;
            this.initialize = function (pixel_id) {
                if (!_this.document.getElementById('facebook_pixel')) {
                    var new_analityc_script = _this.renderer.createElement('script');
                    new_analityc_script.id = "facebook_pixel";
                    new_analityc_script.type = 'text/javascript';
                    new_analityc_script.text = "!function(f,b,e,v,n,t,s) {if(f.fbq)return;n=f.fbq=function(){n.callMethod? n.callMethod.apply(n,arguments):n.queue.push(arguments)}; if(!f._fbq)f._fbq=n;n.push=n;n.loaded=!0;n.version='2.0'; n.queue=[];t=b.createElement(e);t.async=!0; t.src=v;s=b.getElementsByTagName(e)[0]; s.parentNode.insertBefore(t,s)}(window, document,'script', 'https://connect.facebook.net/en_US/fbevents.js'); fbq('init', " + pixel_id + ");";
                    _this.renderer.appendChild(_this.document.body, new_analityc_script);
                    _this.enabled = true;
                }
                setTimeout(function () { return _this.callEvent('initialize'); }, 1000);
            };
            this.callEvent = function (event_name, data) {
                if (data === void 0) { data = {}; }
                if (!_this.enabled)
                    return;
                var event = _this.translateEventName(event_name);
                event && fbq('track', _this.translateEventName(event_name), _this.evalEvent(event_name, data));
            };
            this.translateEventName = function (event_name) {
                switch (event_name) {
                    case 'initialize': return 'PageView';
                    case 'view_item': return 'ViewContent';
                    case 'checkout_init': return 'InitiateCheckout';
                    case 'payment_info': return 'AddPaymentInfo';
                    case 'purchase': return 'Purchase';
                    case 'add_to_cart': return 'AddToCart';
                    default: return null;
                }
            };
            this.evalEvent = function (event_name, data) {
                switch (event_name) {
                    case 'initialize': return data;
                    case 'view_item': return _this.toViewContent(data);
                    case 'checkout_init': return _this.toCheckoutInit(data);
                    case 'payment_info': return _this.toPaymentInfo(data);
                    case 'purchase': return _this.toPurchase(data);
                    case 'add_to_cart': return _this.toAddToCart(data);
                    default: return data;
                }
            };
            this.callCustomEvent = function (event_name, data) {
                if (data === void 0) { data = {}; }
                if (!_this.enabled)
                    return;
                fbq('trackCustom', event_name, data);
            };
            this.disable = function () { return _this.enabled = false; };
            this.toViewContent = function (data) {
                var _a, _b, _c, _d;
                var lastProduct = ((_a = data) === null || _a === void 0 ? void 0 : _a.name) || 'not-product';
                return {
                    content_type: 'product',
                    content_name: lastProduct,
                    content_ids: [(_b = data.variants[0]) === null || _b === void 0 ? void 0 : _b.code],
                    currency: data.currency || "USD",
                    value: ((_c = data.variants[0]) === null || _c === void 0 ? void 0 : _c.saleprice) || ((_d = data.variants[0]) === null || _d === void 0 ? void 0 : _d.price),
                };
            };
            this.toPurchase = function (data) {
                var _a;
                return {
                    currency: data.currency || "USD",
                    value: ((_a = data.totals) === null || _a === void 0 ? void 0 : _a.total) || 0,
                    content_type: 'product_group',
                    contents: _this.getContents(data),
                };
            };
            this.toCheckoutInit = function (data) {
                var _a, _b;
                return {
                    //content_category : "inicio checkout",
                    content_type: 'product_group',
                    contents: _this.getContents(data),
                    content_ids: _this.getContentIds(data),
                    currency: data.currency || "USD",
                    num_items: ((_a = data.items) === null || _a === void 0 ? void 0 : _a.length) || 0,
                    value: ((_b = data.totals) === null || _b === void 0 ? void 0 : _b.total) || 0,
                };
            };
            this.toPaymentInfo = function (data) {
                var _a;
                return {
                    //content_category : "inicio checkout",
                    content_type: 'product_group',
                    contents: _this.getContents(data),
                    content_ids: _this.getContentIds(data),
                    currency: data.currency || "USD",
                    value: ((_a = data.totals) === null || _a === void 0 ? void 0 : _a.total) || 0,
                };
            };
            this.toAddToCart = function (data) {
                var _a, _b, _c, _d;
                var lastProduct = ((_a = data.items) === null || _a === void 0 ? void 0 : _a.length) && ((_c = (_b = data.items[data.items.length - 1]) === null || _b === void 0 ? void 0 : _b.product) === null || _c === void 0 ? void 0 : _c.name) || 'not-product';
                return {
                    content_name: lastProduct,
                    content_type: 'product',
                    contents: _this.getContents(data),
                    content_ids: _this.getContentIds(data),
                    currency: data.currency || "USD",
                    value: ((_d = data.totals) === null || _d === void 0 ? void 0 : _d.total) || 0,
                };
            };
            this.getContents = function (data) {
                return data.items.map(function (item) {
                    var _a;
                    return {
                        id: (_a = item.product.variants[0]) === null || _a === void 0 ? void 0 : _a.code,
                        quantity: item.quantity
                    };
                });
            };
            this.getContentIds = function (data) {
                return data.items.map(function (item) { var _a; return (_a = item.product.variants[0]) === null || _a === void 0 ? void 0 : _a.code; });
            };
            this.renderer = this.rendererFactory.createRenderer(null, null);
        }
        FacebookPixelService.ctorParameters = function () { return [
            { type: core.RendererFactory2 },
            { type: undefined, decorators: [{ type: core.Inject, args: [common.DOCUMENT,] }] }
        ]; };
        FacebookPixelService = __decorate$b([
            core.Injectable(),
            __param$2(1, core.Inject(common.DOCUMENT))
        ], FacebookPixelService);
        return FacebookPixelService;
    }());

    var __assign$4 = (this && this.__assign) || function () {
        __assign$4 = Object.assign || function(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                    t[p] = s[p];
            }
            return t;
        };
        return __assign$4.apply(this, arguments);
    };
    var __decorate$c = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __param$3 = (this && this.__param) || function (paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    };
    var GoogleAnalyticsService = /** @class */ (function () {
        function GoogleAnalyticsService(rendererFactory, document, router$1, productsService) {
            var _this = this;
            this.rendererFactory = rendererFactory;
            this.document = document;
            this.router = router$1;
            this.productsService = productsService;
            this.enabled = false;
            this.startListeningPageViews = function (gtm_id) {
                _this.router.events.pipe(operators.filter(function (event) { return event instanceof router.NavigationEnd; })).subscribe(function (event) {
                    gtag('config', gtm_id, {
                        'page_path': event.urlAfterRedirects
                    });
                });
            };
            this.callEvent = function (event_name, data) {
                if (data === void 0) { data = {}; }
                if (!_this.enabled)
                    return;
                var event = _this.translateEventName(event_name);
                event && gtag('event', _this.translateEventName(event_name), _this.evalEvent(event_name, data));
            };
            this.translateEventName = function (event_name) {
                switch (event_name) {
                    case 'view_item': return 'view_item';
                    case 'view_item_list': return 'view_item_list';
                    case 'checkout_init': return 'begin_checkout';
                    case 'shipping_info': return 'add_shipping_info';
                    case 'add_payment_info': return 'add_payment_info';
                    case 'purchase': return 'purchase';
                    case 'add_to_cart': return 'add_to_cart';
                    case 'remove_from_cart': return 'remove_from_cart';
                    case 'sign_up': return 'sign_up';
                    default: return null;
                    //default: return event_name;
                }
            };
            this.evalEvent = function (event_name, data) {
                switch (event_name) {
                    case 'view_item': return _this.toViewItem(data);
                    case 'view_item_list': return _this.toViewItemList(data);
                    case 'checkout_init': return _this.toCheckoutInit(data);
                    case 'shipping_info': return _this.toShippingInfo(data);
                    case 'add_payment_info': return _this.toPaymentInfo(data);
                    case 'purchase': return _this.toPurchase(data);
                    case 'add_to_cart': return _this.toAddToCart(data);
                    case 'remove_from_cart': return _this.toRemoveToCart(data);
                    case 'sign_up': return _this.toSignUp(data);
                    default: return data;
                }
            };
            this.toPurchase = function (data) {
                // console.log('toPurchese', {
                //     coupon: this.toCartDiscount(data),
                //     currency: data.currency,
                //     shipping: data.totals.shipping,
                //     tax: data.totals.taxes,
                //     value: data.totals.total,
                //     transaction_id: data.number,
                //     items: data.items.map(item => ({
                //         id: item.product.id,
                //         name: item.product.name,
                //         category: item.product.category,
                //         price: item.total,
                //         quantity: item.quantity
                //     }))
                // });
                return {
                    coupon: _this.toCartDiscount(data),
                    currency: data.currency,
                    shipping: data.totals.shipping,
                    tax: data.totals.taxes,
                    value: data.totals.total,
                    transaction_id: data.number,
                    items: data.items.map(function (item) { return ({
                        id: item.product.id,
                        name: item.product.name,
                        category: item.product.category,
                        price: item.total,
                        quantity: item.quantity
                    }); })
                };
            };
            this.toCheckoutInit = function (data) {
                var _a;
                // console.log('toInitcheckout', {
                //     coupon: this.toCartDiscount(data),
                //     currency: data.currency || "USD",
                //     items: data.items.map(item => ({
                //         id: item.product.id,
                //         name: item.product.name,
                //         category: item.product.category,
                //         price: item.total,
                //         quantity: item.quantity
                //     })),
                //     value: data.totals?.total || 0,
                // });
                return {
                    coupon: _this.toCartDiscount(data),
                    currency: data.currency || "USD",
                    items: data.items.map(function (item) { return ({
                        id: item.product.id,
                        name: item.product.name,
                        category: item.product.category,
                        price: item.total,
                        quantity: item.quantity
                    }); }),
                    value: ((_a = data.totals) === null || _a === void 0 ? void 0 : _a.total) || 0,
                };
            };
            this.toCartDiscount = function (data) {
                var strDiscount = '';
                strDiscount = data.cartDiscounts.map(function (itemDiscount) { var _a; return (_a = itemDiscount) === null || _a === void 0 ? void 0 : _a.type; }).join();
                return strDiscount == '' ? 'not-discount' : strDiscount;
            };
            this.toAddToCart = function (data) {
                var _a;
                var lastProduct = ((_a = data.items) === null || _a === void 0 ? void 0 : _a.length) && data.items[data.items.length - 1];
                return {
                    currency: data.currency || "USD",
                    items: [_this.toItem(__assign$4({ quantity: lastProduct.quantity }, lastProduct.product))],
                    value: lastProduct.total || 0,
                };
                // console.log('addtocart', {
                //     data,
                //     currency: data.currency || "USD",
                //     items: [this.toItem({ quantity: lastProduct.quantity, ...lastProduct.product })],
                //     value: lastProduct.total || 0,
                // });
            };
            this.disable = function () { return _this.enabled = false; };
            this.toViewItem = function (product) {
                var _a, _b;
                return {
                    currency: product.currency,
                    items: [_this.toItem(product)],
                    value: ((_a = product.variants[0]) === null || _a === void 0 ? void 0 : _a.saleprice) || ((_b = product.variants[0]) === null || _b === void 0 ? void 0 : _b.price),
                };
                // console.log('view ', {
                //     currency: product.currency,
                //     items: [this.toItem(product)],
                //     value: product.variants[0]?.saleprice || product.variants[0]?.price,
                // });
            };
            this.toViewItemList = function (data) {
                return {
                    items: data.products.map(function (product) { return _this.toItem(product); }),
                    item_list_name: data.item_list_name || 'Collection',
                    item_list_id: data.item_list_id || 'collection'
                };
                // console.log('toViewItemList ', {
                //     items: data.products.map(product => this.toItem(product)),
                //     item_list_name: data.item_list_name || 'Collection',
                //     item_list_id: data.item_list_id || 'collection'
                // });
            };
            this.toRemoveToCart = function (product) {
                var _a, _b;
                var productParam = product.product;
                return {
                    currency: product.currency || "USD",
                    items: [_this.toItem(__assign$4({ quantity: product.quantity }, productParam))],
                    value: (((_a = productParam.variants[0]) === null || _a === void 0 ? void 0 : _a.saleprice) || ((_b = productParam.variants[0]) === null || _b === void 0 ? void 0 : _b.price)) * product.quantity || 1,
                };
                // console.log('remove_from_cart ', {
                //     currency: product.currency || "USD",
                //     items: [this.toItem({ quantity: product.quantity, ...productParam })],
                //     value: (productParam.variants[0]?.saleprice || productParam.variants[0]?.price) * product.quantity || 1,
                // });
            };
            this.toItem = function (product) {
                var _a, _b, _c;
                return ({
                    item_name: product.name,
                    item_id: product.id,
                    item_brand: ((_a = product.attributes) === null || _a === void 0 ? void 0 : _a.length) ? product.attributes[0].name : '',
                    item_category: product.category,
                    price: ((_b = product.variants[0]) === null || _b === void 0 ? void 0 : _b.saleprice) || ((_c = product.variants[0]) === null || _c === void 0 ? void 0 : _c.price),
                    quantity: product.quantity || 1,
                });
            };
            this.toPaymentInfo = function (data) {
                var _a, _b, _c;
                return {
                    coupon: _this.toCartDiscount(data),
                    currency: data.currency || "USD",
                    items: data.items.map(function (item) { return ({
                        id: item.product.id,
                        name: item.product.name,
                        category: item.product.category,
                        price: item.total,
                        quantity: item.quantity
                    }); }),
                    payment_type: ((_b = (_a = data.payments[0]) === null || _a === void 0 ? void 0 : _a.method) === null || _b === void 0 ? void 0 : _b.code) || 'not-payments',
                    value: ((_c = data.totals) === null || _c === void 0 ? void 0 : _c.total) || 0,
                };
            };
            this.toShippingInfo = function (data) {
                var _a, _b, _c;
                return {
                    coupon: _this.toCartDiscount(data),
                    currency: data.currency || "USD",
                    items: data.items.map(function (item) { return ({
                        id: item.product.id,
                        name: item.product.name,
                        category: item.product.category,
                        price: item.total,
                        quantity: item.quantity
                    }); }),
                    shipping_tier: ((_b = (_a = data.shipments[0]) === null || _a === void 0 ? void 0 : _a.method) === null || _b === void 0 ? void 0 : _b.code) || 'not-shipping',
                    value: ((_c = data.totals) === null || _c === void 0 ? void 0 : _c.total) || 0,
                };
            };
            this.toSignUp = function (data) {
                return __assign$4({}, data);
            };
            this.renderer = this.rendererFactory.createRenderer(null, null);
        }
        GoogleAnalyticsService.prototype.initialize = function (gtm_id) {
            var _this = this;
            if (!document.getElementById('google_tag_manager')) {
                console.log('hay elemento');
                var declaration = this.renderer.createElement('script');
                declaration.async = true;
                declaration.id = 'google_tag_manager';
                declaration.src = "https://www.googletagmanager.com/gtag/js?id=" + gtm_id;
                var initialization = this.renderer.createElement('script');
                initialization.text = "window.dataLayer = window.dataLayer || []; function gtag(){dataLayer.push(arguments);} gtag('js', new Date()); gtag('config', '" + gtm_id + "')";
                this.renderer.appendChild(this.document.head, initialization);
                this.renderer.appendChild(this.document.head, declaration);
                this.enabled = true;
            }
            setTimeout(function () { return _this.startListeningPageViews(gtm_id); }, 1000);
        };
        GoogleAnalyticsService.ctorParameters = function () { return [
            { type: core.RendererFactory2 },
            { type: undefined, decorators: [{ type: core.Inject, args: [common.DOCUMENT,] }] },
            { type: router.Router },
            { type: ProductsService }
        ]; };
        GoogleAnalyticsService.ɵprov = core.ɵɵdefineInjectable({ factory: function GoogleAnalyticsService_Factory() { return new GoogleAnalyticsService(core.ɵɵinject(core.RendererFactory2), core.ɵɵinject(common.DOCUMENT), core.ɵɵinject(router.Router), core.ɵɵinject(ProductsService)); }, token: GoogleAnalyticsService, providedIn: "root" });
        GoogleAnalyticsService = __decorate$c([
            core.Injectable({
                providedIn: 'root'
            }),
            __param$3(1, core.Inject(common.DOCUMENT))
        ], GoogleAnalyticsService);
        return GoogleAnalyticsService;
    }());

    var __assign$5 = (this && this.__assign) || function () {
        __assign$5 = Object.assign || function(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                    t[p] = s[p];
            }
            return t;
        };
        return __assign$5.apply(this, arguments);
    };
    var __decorate$d = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var GTMService = /** @class */ (function () {
        function GTMService(router$1) {
            var _this = this;
            this.router = router$1;
            this.isLoaded = false;
            this.enabled = false;
            this.config = { id: null };
            this.browserGlobals = {
                windowRef: function () {
                    return window;
                },
                documentRef: function () {
                    return document;
                }
            };
            this.initialize = function (config) {
                _this.config = config || _this.config;
                _this.addGtmToDom().then(function () {
                    _this.router.events.forEach(function (item) {
                        if (item instanceof router.NavigationEnd) {
                            var gtmTag = {
                                event: 'page',
                                pageName: item.url
                            };
                            _this.pushTag(gtmTag);
                        }
                    });
                });
            };
            this.callEvent = function (event_name, data) {
                if (data === void 0) { data = {}; }
                if (!_this.isLoaded)
                    return;
                var event = _this.translateEventName(event_name);
                event && _this.pushTag({ ecommerce: null });
                event && _this.pushTag({ 'event': _this.translateEventName(event_name), ecommerce: _this.evalEvent(event_name, data) });
            };
            this.translateEventName = function (event_name) {
                switch (event_name) {
                    case 'view_item': return 'view_item';
                    case 'view_item_list': return 'view_item_list';
                    case 'checkout_init': return 'begin_checkout';
                    case 'shipping_info': return 'add_shipping_info';
                    case 'add_payment_info': return 'add_payment_info';
                    case 'purchase': return 'purchase';
                    case 'add_to_cart': return 'add_to_cart';
                    case 'remove_from_cart': return 'remove_from_cart';
                    case 'sign_up': return 'sign_up';
                    case 'select_promotion': return 'select_promotion';
                    case 'select_item': return 'select_item';
                    default: return null;
                }
            };
            this.evalEvent = function (event_name, data) {
                switch (event_name) {
                    case 'view_item': return _this.toViewItem(data);
                    case 'view_item_list': return _this.toViewItemList(data);
                    case 'checkout_init': return _this.toCheckoutInit(data);
                    case 'shipping_info': return _this.toShippingInfo(data);
                    case 'add_payment_info': return _this.toPaymentInfo(data);
                    case 'purchase': return _this.toPurchase(data);
                    case 'add_to_cart': return _this.toAddToCart(data);
                    case 'remove_from_cart': return _this.toRemoveToCart(data);
                    case 'sign_up': return _this.toSignUp(data);
                    case 'select_promotion': return _this.toSelectPromotion(data);
                    case 'select_item': return _this.toSelectItem(data);
                    default: return data;
                }
            };
            this.toPurchase = function (data) {
                var _a;
                return {
                    coupon: _this.toCartDiscount(data),
                    currency: data.currency,
                    shipping: data.totals.shipping,
                    tax: data.totals.taxes,
                    value: data.totals.total,
                    transaction_id: data.number,
                    countItems: ((_a = data.items) === null || _a === void 0 ? void 0 : _a.length) || 0,
                    items: data.items.map(function (item) {
                        var _a, _b, _c, _d;
                        return ({
                            item_id: item.product.id,
                            item_name: item.product.name,
                            //coupon:'',
                            discount: item.product.discount || 0,
                            //index:'',
                            item_brand: ((_a = item.product.attributes) === null || _a === void 0 ? void 0 : _a.length) ? item.product.attributes[0].name : '',
                            item_category: item.product.category,
                            // item_category2: product.category,
                            // item_category3: product.category,
                            // item_category4: product.category,
                            // item_category5: product.category,
                            //item_list_id: '',
                            //item_list_name: '',
                            item_variant: ((_b = item.product.variants[0]) === null || _b === void 0 ? void 0 : _b.code) || '',
                            //location_id: '',
                            price: ((_c = item.product.variants[0]) === null || _c === void 0 ? void 0 : _c.saleprice) || ((_d = item.product.variants[0]) === null || _d === void 0 ? void 0 : _d.price),
                            quantity: item.quantity || 1,
                        });
                    })
                };
            };
            this.toCheckoutInit = function (data) {
                var _a;
                return {
                    coupon: _this.toCartDiscount(data),
                    currency: data.currency || "USD",
                    items: data.items.map(function (item) {
                        var _a, _b, _c, _d;
                        return ({
                            item_id: item.product.id,
                            item_name: item.product.name,
                            //coupon:'',
                            discount: item.product.discount || 0,
                            //index:'',
                            item_brand: ((_a = item.product.attributes) === null || _a === void 0 ? void 0 : _a.length) ? item.product.attributes[0].name : '',
                            item_category: item.product.category,
                            // item_category2: product.category,
                            // item_category3: product.category,
                            // item_category4: product.category,
                            // item_category5: product.category,
                            //item_list_id: '',
                            //item_list_name: '',
                            item_variant: ((_b = item.product.variants[0]) === null || _b === void 0 ? void 0 : _b.code) || '',
                            //location_id: '',
                            price: ((_c = item.product.variants[0]) === null || _c === void 0 ? void 0 : _c.saleprice) || ((_d = item.product.variants[0]) === null || _d === void 0 ? void 0 : _d.price),
                            quantity: item.quantity || 1,
                        });
                    }),
                    value: ((_a = data.totals) === null || _a === void 0 ? void 0 : _a.total) || 0,
                };
            };
            this.toCartDiscount = function (data) {
                var strDiscount = '';
                strDiscount = data.cartDiscounts.map(function (itemDiscount) { var _a; return (_a = itemDiscount) === null || _a === void 0 ? void 0 : _a.type; }).join();
                return strDiscount == '' ? 'not-discount' : strDiscount;
            };
            this.toAddToCart = function (data) {
                var _a;
                var lastProduct = ((_a = data.items) === null || _a === void 0 ? void 0 : _a.length) && data.items[data.items.length - 1];
                return {
                    currency: data.currency || "USD",
                    items: [_this.toItem(__assign$5({ quantity: lastProduct.quantity }, lastProduct.product))],
                    value: lastProduct.total || 0,
                };
            };
            this.disable = function () { return _this.enabled = false; };
            this.toViewItem = function (product) {
                return {
                    currency: product.currency,
                    value: product.price,
                    items: [_this.toItem(product)]
                };
            };
            this.toViewItemList = function (data) {
                return {
                    items: data.products.map(function (product) { return _this.toItem(product); }),
                    item_list_name: data.item_list_name || 'Collection',
                    item_list_id: data.item_list_id || 0
                };
            };
            this.toRemoveToCart = function (product) {
                var _a, _b;
                var productParam = product.product;
                return {
                    currency: product.currency || "USD",
                    items: [_this.toItem(__assign$5({ quantity: product.quantity }, productParam))],
                    value: (((_a = productParam.variants[0]) === null || _a === void 0 ? void 0 : _a.saleprice) || ((_b = productParam.variants[0]) === null || _b === void 0 ? void 0 : _b.price)) * product.quantity || 1,
                };
            };
            this.toItem = function (product) {
                var _a, _b, _c, _d;
                return ({
                    item_id: product.id,
                    item_name: product.name,
                    //coupon:'',
                    discount: product.discount || 0,
                    //index:'',
                    item_brand: ((_a = product.attributes) === null || _a === void 0 ? void 0 : _a.length) ? product.attributes[0].name : '',
                    item_category: product.category,
                    // item_category2: product.category,
                    // item_category3: product.category,
                    // item_category4: product.category,
                    // item_category5: product.category,
                    //item_list_id: '',
                    //item_list_name: '',
                    item_variant: ((_b = product.variants[0]) === null || _b === void 0 ? void 0 : _b.code) || '',
                    //location_id: '',
                    price: ((_c = product.variants[0]) === null || _c === void 0 ? void 0 : _c.saleprice) || ((_d = product.variants[0]) === null || _d === void 0 ? void 0 : _d.price),
                    quantity: product.quantity || 1,
                });
            };
            this.toPaymentInfo = function (data) {
                var _a, _b, _c;
                return {
                    coupon: _this.toCartDiscount(data),
                    currency: data.currency || "USD",
                    payment_type: ((_b = (_a = data.payments[0]) === null || _a === void 0 ? void 0 : _a.method) === null || _b === void 0 ? void 0 : _b.code) || 'not-payments',
                    value: ((_c = data.totals) === null || _c === void 0 ? void 0 : _c.total) || 0,
                    items: data.items.map(function (item) {
                        var _a, _b, _c, _d;
                        return ({
                            item_id: item.product.id,
                            item_name: item.product.name,
                            //coupon:'',
                            discount: item.product.discount || 0,
                            //index:'',
                            item_brand: ((_a = item.product.attributes) === null || _a === void 0 ? void 0 : _a.length) ? item.product.attributes[0].name : '',
                            item_category: item.product.category,
                            // item_category2: product.category,
                            // item_category3: product.category,
                            // item_category4: product.category,
                            // item_category5: product.category,
                            //item_list_id: '',
                            //item_list_name: '',
                            item_variant: ((_b = item.product.variants[0]) === null || _b === void 0 ? void 0 : _b.code) || '',
                            //location_id: '',
                            price: ((_c = item.product.variants[0]) === null || _c === void 0 ? void 0 : _c.saleprice) || ((_d = item.product.variants[0]) === null || _d === void 0 ? void 0 : _d.price),
                            quantity: item.quantity || 1,
                        });
                    }),
                };
            };
            this.toShippingInfo = function (data) {
                var _a, _b, _c;
                return {
                    coupon: _this.toCartDiscount(data),
                    currency: data.currency || "USD",
                    shipping_tier: ((_b = (_a = data.shipments[0]) === null || _a === void 0 ? void 0 : _a.method) === null || _b === void 0 ? void 0 : _b.code) || 'not-shipping',
                    value: ((_c = data.totals) === null || _c === void 0 ? void 0 : _c.total) || 0,
                    items: data.items.map(function (item) {
                        var _a, _b, _c, _d;
                        return ({
                            item_id: item.product.id,
                            item_name: item.product.name,
                            //coupon:'',
                            discount: item.product.discount || 0,
                            //index:'',
                            item_brand: ((_a = item.product.attributes) === null || _a === void 0 ? void 0 : _a.length) ? item.product.attributes[0].name : '',
                            item_category: item.product.category,
                            // item_category2: product.category,
                            // item_category3: product.category,
                            // item_category4: product.category,
                            // item_category5: product.category,
                            //item_list_id: '',
                            //item_list_name: '',
                            item_variant: ((_b = item.product.variants[0]) === null || _b === void 0 ? void 0 : _b.code) || '',
                            //location_id: '',
                            price: ((_c = item.product.variants[0]) === null || _c === void 0 ? void 0 : _c.saleprice) || ((_d = item.product.variants[0]) === null || _d === void 0 ? void 0 : _d.price),
                            quantity: item.quantity || 1,
                        });
                    }),
                };
            };
            this.toSignUp = function (data) {
                return __assign$5({}, data);
            };
            this.toSelectPromotion = function (data) {
                console.log(data);
                return {
                    promotion_id: data.id || '',
                    promotion_name: data.code || data.name,
                    promotion_title: data.subtitle,
                    location_id: data.priority || 0
                };
            };
            this.toSelectItem = function (data) {
                console.log(data);
                return {
                    items: _this.toItem(data)
                };
            };
        }
        GTMService.prototype.getDataLayer = function () {
            var window = this.browserGlobals.windowRef();
            window.dataLayer = window.dataLayer || [];
            return window.dataLayer;
        };
        GTMService.prototype.pushOnDataLayer = function (obj) {
            var dataLayer = this.getDataLayer();
            dataLayer.push(obj);
        };
        GTMService.prototype.addGtmToDom = function () {
            var _this = this;
            return new Promise(function (resolve, reject) {
                if (_this.isLoaded) {
                    return resolve(_this.isLoaded);
                }
                var doc = _this.browserGlobals.documentRef();
                _this.pushOnDataLayer({ 'gtm.start': new Date().getTime(), event: 'gtm.js' });
                var gtmScript = doc.createElement('script');
                gtmScript.id = 'GTMscript';
                gtmScript.async = true;
                gtmScript.src = _this.applyGtmQueryParams(_this.config.gtm_resource_path ? _this.config.gtm_resource_path : 'https://www.googletagmanager.com/gtm.js');
                gtmScript.addEventListener('load', function () {
                    return resolve(_this.isLoaded = true);
                });
                gtmScript.addEventListener('error', function () {
                    return reject(false);
                });
                doc.head.insertBefore(gtmScript, doc.head.firstChild);
            });
        };
        GTMService.prototype.pushTag = function (item) {
            var _this = this;
            return new Promise(function (resolve, reject) {
                if (!_this.isLoaded) {
                    _this.addGtmToDom().then(function () {
                        _this.pushOnDataLayer(item);
                        return resolve();
                    }).catch(function () { return reject(); });
                }
                else {
                    _this.pushOnDataLayer(item);
                    return resolve();
                }
            });
        };
        GTMService.prototype.applyGtmQueryParams = function (url) {
            var _this = this;
            if (url.indexOf('?') === -1) {
                url += '?';
            }
            return (url + Object.keys(this.config).filter(function (k) { return _this.config[k]; }).map(function (k) { return k + "=" + _this.config[k]; }).join('&'));
        };
        GTMService.ctorParameters = function () { return [
            { type: router.Router }
        ]; };
        GTMService.ɵprov = core.ɵɵdefineInjectable({ factory: function GTMService_Factory() { return new GTMService(core.ɵɵinject(router.Router)); }, token: GTMService, providedIn: "root" });
        GTMService = __decorate$d([
            core.Injectable({ providedIn: 'root' })
        ], GTMService);
        return GTMService;
    }());

    var __decorate$e = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __param$4 = (this && this.__param) || function (paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    };
    var MetricoolPixelService = /** @class */ (function () {
        function MetricoolPixelService(rendererFactory, document) {
            var _this = this;
            this.rendererFactory = rendererFactory;
            this.document = document;
            this.isLoaded = false;
            this.initialize = function (pixel_hash) {
                var new_analityc_script = _this.renderer.createElement('script');
                new_analityc_script.type = 'text/javascript';
                new_analityc_script.text = "\n        function loadScript(a) {\n            var b = document.getElementsByTagName(\"head\")[0], c = document.createElement(\"script\");\n            c.type = \"text/javascript\",\n                c.src = \"https://tracker.metricool.com/resources/be.js\",\n                c.onreadystatechange = a,\n                c.onload = a, b.appendChild(c)\n        } loadScript(function () {\n            beTracker.t({ hash: \"" + pixel_hash + "\" })\n        });\n        ";
                _this.renderer.appendChild(_this.document.body, new_analityc_script);
            };
            this.renderer = this.rendererFactory.createRenderer(null, null);
        }
        MetricoolPixelService.ctorParameters = function () { return [
            { type: core.RendererFactory2 },
            { type: undefined, decorators: [{ type: core.Inject, args: [common.DOCUMENT,] }] }
        ]; };
        MetricoolPixelService.ɵprov = core.ɵɵdefineInjectable({ factory: function MetricoolPixelService_Factory() { return new MetricoolPixelService(core.ɵɵinject(core.RendererFactory2), core.ɵɵinject(common.DOCUMENT)); }, token: MetricoolPixelService, providedIn: "root" });
        MetricoolPixelService = __decorate$e([
            core.Injectable({ providedIn: 'root' }),
            __param$4(1, core.Inject(common.DOCUMENT))
        ], MetricoolPixelService);
        return MetricoolPixelService;
    }());

    var __decorate$f = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var AnalyticsService = /** @class */ (function () {
        function AnalyticsService(facebookAnalitycs, googleAnalytics, gtmAnalytics, metricoolAnalytics, dopplerAnalytics) {
            var _this = this;
            this.facebookAnalitycs = facebookAnalitycs;
            this.googleAnalytics = googleAnalytics;
            this.gtmAnalytics = gtmAnalytics;
            this.metricoolAnalytics = metricoolAnalytics;
            this.dopplerAnalytics = dopplerAnalytics;
            this.services = [];
            this.initializeFacebook = function (value) {
                _this.facebookAnalitycs.initialize(value);
            };
            this.initializeGoogle = function (value) {
                _this.googleAnalytics.initialize(value);
            };
            this.initializeGTM = function (value) {
                _this.gtmAnalytics.initialize({ id: value });
            };
            this.initializeMetricool = function (value) {
                _this.metricoolAnalytics.initialize(value);
            };
            this.initializeDoppler = function (value) {
                _this.dopplerAnalytics.initialize(value);
            };
            this.callEvent = function (event_name, data) {
                if (data === void 0) { data = {}; }
                _this.services.forEach(function (service) {
                    service.callEvent(event_name, data);
                });
            };
            this.services.push(this.facebookAnalitycs);
            this.services.push(this.googleAnalytics);
            this.services.push(this.gtmAnalytics);
        }
        AnalyticsService.ctorParameters = function () { return [
            { type: FacebookPixelService },
            { type: GoogleAnalyticsService },
            { type: GTMService },
            { type: MetricoolPixelService },
            { type: DopplerService }
        ]; };
        AnalyticsService = __decorate$f([
            core.Injectable()
        ], AnalyticsService);
        return AnalyticsService;
    }());

    var __decorate$g = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var ErrorHandlerService = /** @class */ (function () {
        function ErrorHandlerService(cartService, toastrService, injector, consts) {
            var _this = this;
            this.cartService = cartService;
            this.toastrService = toastrService;
            this.injector = injector;
            this.consts = consts;
            this.errorSubject = new rxjs.BehaviorSubject(null);
            this.error$ = this.errorSubject.asObservable();
            this.outOfStock = function (error) {
                _this.cartService.updateItemsOnError(error.content, error.code);
                _this.otherErrors(error);
            };
            this.channeAccessPermissionDenied = function (error) {
                _this.injector.get(AuthService).logout();
                _this.otherErrors(error);
            };
            this.otherErrors = function (error) {
                error && error.message && _this.errorSubject.next(error);
                _this.toastrService.show(error.message, '', { closeButton: true, timeOut: 6000 });
                _this.clearError();
            };
            this.clearError = function () {
                setTimeout(function () {
                    _this.errorSubject.next(null);
                }, 3000);
            };
            this.handlerErrorResponse = function (error) {
                switch (error.code) {
                    case 'out_of_stock':
                        _this.outOfStock(error);
                        break;
                    case 'items_with_product_or_product_variant_not_enabled':
                        _this.outOfStock(error);
                        break;
                    case 'channel_access_permission_denied':
                        _this.channeAccessPermissionDenied(error);
                        break;
                    case 'user_disabled':
                        _this.otherErrors(error);
                        break;
                    default:
                        _this.otherErrors(error);
                        break;
                }
            };
        }
        ErrorHandlerService.ctorParameters = function () { return [
            { type: CartService },
            { type: ngxToastr.ToastrService },
            { type: core.Injector },
            { type: Constants }
        ]; };
        ErrorHandlerService.ɵprov = core.ɵɵdefineInjectable({ factory: function ErrorHandlerService_Factory() { return new ErrorHandlerService(core.ɵɵinject(CartService), core.ɵɵinject(ngxToastr.ToastrService), core.ɵɵinject(core.INJECTOR), core.ɵɵinject(Constants)); }, token: ErrorHandlerService, providedIn: "root" });
        ErrorHandlerService = __decorate$g([
            core.Injectable({ providedIn: 'root' })
        ], ErrorHandlerService);
        return ErrorHandlerService;
    }());

    var __decorate$h = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var ToastService = /** @class */ (function () {
        function ToastService(translation, toastrService) {
            var _this = this;
            this.translation = translation;
            this.toastrService = toastrService;
            /**
             * @description Cambia el tiempo que se muestra el mensaje.
             * @param time
             */
            this.setTimeMessage = function (time) {
                _this.configToast = {
                    timeOut: time
                };
            };
            this.show = function (message, interpolateParams, title, configToastr) {
                if (interpolateParams === void 0) { interpolateParams = {}; }
                if (title === void 0) { title = ''; }
                if (configToastr === void 0) { configToastr = _this.configToast; }
                _this.translation.get(message, interpolateParams).pipe(operators.take(1)).subscribe(function (res) { return _this.toastrService.show((res ? res : message), title, configToastr); });
            };
            this.configToast = {};
        }
        ToastService.ctorParameters = function () { return [
            { type: core$1.TranslateService },
            { type: ngxToastr.ToastrService }
        ]; };
        ToastService = __decorate$h([
            core.Injectable()
        ], ToastService);
        return ToastService;
    }());

    var __assign$6 = (this && this.__assign) || function () {
        __assign$6 = Object.assign || function(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                    t[p] = s[p];
            }
            return t;
        };
        return __assign$6.apply(this, arguments);
    };
    var __decorate$i = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __awaiter$1 = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
            function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    };
    var __generator$1 = (this && this.__generator) || function (thisArg, body) {
        var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f) throw new TypeError("Generator is already executing.");
            while (_) try {
                if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
                if (y = 0, t) op = [op[0] & 2, t.value];
                switch (op[0]) {
                    case 0: case 1: t = op; break;
                    case 4: _.label++; return { value: op[1], done: false };
                    case 5: _.label++; y = op[1]; op = [0]; continue;
                    case 7: op = _.ops.pop(); _.trys.pop(); continue;
                    default:
                        if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                        if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                        if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                        if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                        if (t[2]) _.ops.pop();
                        _.trys.pop(); continue;
                }
                op = body.call(thisArg, _);
            } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
            if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
        }
    };
    var __read$2 = (this && this.__read) || function (o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m) return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
        }
        catch (error) { e = { error: error }; }
        finally {
            try {
                if (r && !r.done && (m = i["return"])) m.call(i);
            }
            finally { if (e) throw e.error; }
        }
        return ar;
    };
    var CheckoutService = /** @class */ (function () {
        function CheckoutService$1(connection, cartService, consts, toastrService, orderUtils, analyticsService, authService, router, errorHandler) {
            var _this = this;
            this.connection = connection;
            this.cartService = cartService;
            this.consts = consts;
            this.toastrService = toastrService;
            this.orderUtils = orderUtils;
            this.analyticsService = analyticsService;
            this.authService = authService;
            this.router = router;
            this.errorHandler = errorHandler;
            this.baseApi = function () { return 'shop-api/' + _this.consts.getChannel() + '/checkout/' + _this.cartService.getCartToken(); };
            this.getPaymentMethodsApi = function () { return _this.baseApi() + '/payment'; };
            this.putAddressApi = function () { return _this.baseApi() + '/address'; };
            this.putPaymentApi = function (method) { return _this.baseApi() + '/payment/' + method; };
            this.completeApi = function () { return _this.baseApi() + '/complete'; };
            this.persistShipmentApi = function () { return ''; };
            this.getPreferenceApi = function () { return 'shop-api/' + _this.consts.getChannel() + '/mercado-pago/' + _this.cartService.getCartToken() + '/preference'; };
            this.getHasPurchaseConditions = function () { return 'shop-api/' + _this.consts.getChannel() + '/carts/' + _this.cartService.getCartToken() + '/has_purchase_conditions'; };
            this.canCheckoutSubject = new rxjs.ReplaySubject();
            this.onReadySubject = new rxjs.BehaviorSubject(false);
            this.stateSubject = new rxjs.BehaviorSubject(null);
            this.loadingSubject = new rxjs.BehaviorSubject(false);
            this.orderSubject = new rxjs.BehaviorSubject(null);
            this.asociatedDataSubject = new rxjs.BehaviorSubject(null);
            this.checkout_data = {};
            this.order$ = this.orderSubject.asObservable();
            this.state$ = this.stateSubject.asObservable();
            this.loading$ = this.loadingSubject.asObservable();
            this.canCheckout$ = this.canCheckoutSubject.asObservable();
            this.asociatedData$ = this.asociatedDataSubject.asObservable();
            this.onReady$ = this.onReadySubject.asObservable();
            this.updateOrder = function (order) { return order && _this.orderSubject.next(order); };
            this.getStepData = function (step_name) {
                var step_result = _this.stateSubject.getValue().find(function (step) { return step.name == step_name; });
                return (step_result && step_result.data);
            };
            this.setSteps = function (steps, autohandle) {
                if (autohandle === void 0) { autohandle = true; }
                var final_steps = [];
                steps.forEach(function (step, i) { return final_steps.push(new Step(step.name, step.priority || (i + 1))); });
                _this.stateSubject.next(final_steps);
                _this.connection.getErrorNotHandler(_this.getHasPurchaseConditions()).toPromise().then(function (res) {
                    var _a, _b;
                    _this.analyticsService.callEvent('checkout_init', __assign$6(__assign$6({}, _this.cartLocal), { currency: (_a = _this.cartLocal) === null || _a === void 0 ? void 0 : _a.currency, value: (_b = _this.cartLocal) === null || _b === void 0 ? void 0 : _b.total }));
                });
            };
            this.setStepReady = function (step_number, data, order, automatic) { return __awaiter$1(_this, void 0, void 0, function () {
                var _this = this;
                return __generator$1(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, this.restartAllStepsFrom(step_number)];
                        case 1:
                            _a.sent();
                            setTimeout(function () {
                                var steps = _this.stateSubject.getValue();
                                steps.find(function (step) { return step.priority == step_number; }).ready(data);
                                _this.stateSubject.next(steps);
                                if (order) {
                                    _this.orderSubject.next(order);
                                    _this.total = order.totals.total;
                                }
                                if (_this.isCheckoutReady()) {
                                    if (steps[steps.length - 1].name == 'shipment') {
                                    }
                                    else {
                                        setTimeout(function () {
                                            _this.onReadySubject.next(true);
                                        }, 500);
                                    }
                                }
                            }, 150);
                            return [2 /*return*/, true];
                    }
                });
            }); };
            this.setStepDoing = function (step_number) { return __awaiter$1(_this, void 0, void 0, function () {
                var steps;
                return __generator$1(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            steps = this.stateSubject.getValue();
                            return [4 /*yield*/, this.restartAllStepsFrom(step_number, false, false)];
                        case 1:
                            steps = _a.sent();
                            steps.find(function (step) { return step.priority == step_number; }).doing();
                            this.stateSubject.next(steps);
                            return [2 /*return*/, true];
                    }
                });
            }); };
            this.restartAllStepsFrom = function (step_number, included, update) {
                if (included === void 0) { included = true; }
                if (update === void 0) { update = true; }
                var steps = _this.stateSubject.getValue();
                steps = steps.map(function (step) {
                    included
                        ? (step.priority >= step_number) && step.restart()
                        : (step.priority > step_number) && step.restart();
                    return step;
                });
                update && _this.stateSubject.next(steps);
                return steps;
            };
            this.isCheckoutReady = function () {
                var steps = _this.stateSubject.value;
                var step_missing = steps.find(function (step) { return step.isPending(); });
                return !step_missing;
            };
            this.isStepReady = function (step_name) {
                return _this.stateSubject.getValue().find(function (step) { return step.name == step_name; }).isReady();
            };
            this.setOrder = function (order) { _this.order = order, _this.orderSubject.next(order); };
            this.getOrder = function () { return _this.order || _this.orderSubject.value; };
            this.completeOrder = function () { return _this.connection.put(_this.completeApi(), { email: _this.checkout_data.email, notes: _this.checkout_data.notes || '' }).toPromise(); };
            this.complete = function () { return __awaiter$1(_this, void 0, void 0, function () {
                var result;
                return __generator$1(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            this.loadingSubject.next(true);
                            return [4 /*yield*/, this.completeOrder()];
                        case 1:
                            result = _a.sent();
                            if (result && result.error) {
                                this.cartService.changeHaveToUpdate(false);
                                this.loadingSubject.next(false);
                                return [2 /*return*/, ({ ok: false, require_login: true, message: 'not-completed' })];
                            }
                            this.setOrder(result);
                            this.analyticsService.callEvent('purchase', __assign$6(__assign$6({}, result), { currency: result.currency, value: result.total }));
                            this.cartService.clearAndResetCart();
                            this.canCheckoutSubject.next(false);
                            this.onReadySubject.next(false);
                            this.loadingSubject.next(false);
                            return [2 /*return*/, ({ ok: true, require_login: false, message: '' })];
                    }
                });
            }); };
            this.updateAsociatedData = function (cart) {
                var _a, _b, _c;
                var result = _this.orderUtils.getPromotions(cart);
                if (((_a = _this.authService.getUserProfileAsUser()) === null || _a === void 0 ? void 0 : _a.isWholesaler()) && cart.totals.taxes != 0) {
                    var total = __assign$6({}, result[result.length - 1]);
                    result[result.length - 1] = {
                        type: 'taxes',
                        name: 'taxes',
                        amount: cart.totals.taxes
                    };
                    result.push(total);
                }
                var shipment = (_b = result) === null || _b === void 0 ? void 0 : _b.find(function (promotion) { return promotion.type == "shipment"; });
                if (!shipment && cart.totals.shipping != 0) {
                    if (((_c = result) === null || _c === void 0 ? void 0 : _c.length) && !result.find(function (item) { return item.type === "shipment"; })) {
                        var total = __assign$6({}, result[result.length - 1]);
                        result[result.length - 1] = {
                            type: 'shipment',
                            name: 'shipment',
                            amount: cart.totals.shipping
                        };
                        result.push(total);
                    }
                }
                _this.asociatedDataSubject.next(result);
            };
            this.restartCheckout = function () { };
            rxjs.combineLatest([this.cartService.cartItems, this.cartService.loading]).subscribe(function (_a) {
                var _b = __read$2(_a, 2), items = _b[0], loading = _b[1];
                if (!loading && items.length > 0) {
                    _this.canCheckoutSubject.next(true);
                    _this.cartService.getTotalAmount().subscribe(function (res) {
                        _this.total = res;
                    });
                }
            });
            this.cartService.cart.subscribe(function (cart) { return cart && (_this.cartLocal = cart) && _this.updateAsociatedData(cart); });
            this.order$.subscribe(function (order) { return order && _this.updateAsociatedData(order); });
            this.authService.getUserProfile().subscribe(function (user) { return _this.user = user; });
            this.errorHandler.error$.pipe(operators.filter(function (res) { return res != null; })).subscribe(function (res) {
                if (res.code == 'out_of_stock' || res.code == 'items_with_product_or_product_variant_not_enabled') {
                    _this.toastrService.show('redirect-cart');
                    setTimeout(function () {
                        _this.router.navigateByUrl('/cart');
                    }, 3000);
                }
            });
        }
        CheckoutService$1.prototype.ngOnInit = function () {
        };
        CheckoutService$1.ctorParameters = function () { return [
            { type: ConnectionService },
            { type: CartService },
            { type: Constants },
            { type: ToastService },
            { type: OrderUtilityService },
            { type: AnalyticsService },
            { type: AuthService },
            { type: router.Router },
            { type: ErrorHandlerService }
        ]; };
        CheckoutService$1.ɵprov = core.ɵɵdefineInjectable({ factory: function CheckoutService_Factory() { return new CheckoutService(core.ɵɵinject(ConnectionService), core.ɵɵinject(CartService), core.ɵɵinject(Constants), core.ɵɵinject(ToastService), core.ɵɵinject(OrderUtilityService), core.ɵɵinject(AnalyticsService), core.ɵɵinject(AuthService), core.ɵɵinject(router.Router), core.ɵɵinject(ErrorHandlerService)); }, token: CheckoutService, providedIn: "root" });
        CheckoutService$1 = __decorate$i([
            core.Injectable({
                providedIn: 'root'
            })
        ], CheckoutService$1);
        return CheckoutService$1;
    }());

    var __awaiter$2 = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
            function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    };
    var __generator$2 = (this && this.__generator) || function (thisArg, body) {
        var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f) throw new TypeError("Generator is already executing.");
            while (_) try {
                if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
                if (y = 0, t) op = [op[0] & 2, t.value];
                switch (op[0]) {
                    case 0: case 1: t = op; break;
                    case 4: _.label++; return { value: op[1], done: false };
                    case 5: _.label++; y = op[1]; op = [0]; continue;
                    case 7: op = _.ops.pop(); _.trys.pop(); continue;
                    default:
                        if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                        if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                        if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                        if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                        if (t[2]) _.ops.pop();
                        _.trys.pop(); continue;
                }
                op = body.call(thisArg, _);
            } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
            if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
        }
    };
    var StepService = /** @class */ (function () {
        function StepService(checkout) {
            var _this = this;
            this.checkout = checkout;
            /** Persistir el id del paso para luego indicarle al CheckoutService quien le habla */
            this.initialize = function (step_id) {
                _this.step_id = step_id;
            };
            /** Reinicia información en CheckoutService del paso */
            this.restartStep = function () { return _this.checkout.setStepDoing(_this.step_id); };
            /**
             * Obtener información obtenida en el paso de datos asociados al usuario y a la facturación
             */
            this.getUserData = function () { return _this.checkout.getStepData('address'); };
            /**
             * Obtener información obtenida en el paso de envío
             */
            this.getShipmentData = function () { return _this.checkout.getStepData('shipment'); };
            /**
             * Obtener información obtenida en el paso de pago
             */
            this.getPaymentData = function () { return _this.checkout.getStepData('payment'); };
            /**
             *
             * @param step_data Información obtenida en el paso
             * @param order Información de la orden que devolvió el backend al terminar el paso
             */
            this.setStepReady = function (step_data, order) { return __awaiter$2(_this, void 0, void 0, function () { return __generator$2(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, this.restartStep()];
                    case 1: return [2 /*return*/, (_a.sent()) && this.checkout.setStepReady(this.step_id, step_data, order)];
                }
            }); }); };
        }
        return StepService;
    }());

    var __extends$5 = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __assign$7 = (this && this.__assign) || function () {
        __assign$7 = Object.assign || function(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                    t[p] = s[p];
            }
            return t;
        };
        return __assign$7.apply(this, arguments);
    };
    var __decorate$j = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __awaiter$3 = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
            function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    };
    var __generator$3 = (this && this.__generator) || function (thisArg, body) {
        var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f) throw new TypeError("Generator is already executing.");
            while (_) try {
                if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
                if (y = 0, t) op = [op[0] & 2, t.value];
                switch (op[0]) {
                    case 0: case 1: t = op; break;
                    case 4: _.label++; return { value: op[1], done: false };
                    case 5: _.label++; y = op[1]; op = [0]; continue;
                    case 7: op = _.ops.pop(); _.trys.pop(); continue;
                    default:
                        if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                        if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                        if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                        if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                        if (t[2]) _.ops.pop();
                        _.trys.pop(); continue;
                }
                op = body.call(thisArg, _);
            } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
            if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
        }
    };
    var AddressingService = /** @class */ (function (_super) {
        __extends$5(AddressingService$1, _super);
        function AddressingService$1(connection, consts, cartService, checkoutService, analyticsService) {
            var _this = _super.call(this, checkoutService) || this;
            _this.connection = connection;
            _this.consts = consts;
            _this.cartService = cartService;
            _this.checkoutService = checkoutService;
            _this.analyticsService = analyticsService;
            _this.baseApi = function () { return 'shop-api/' + _this.consts.getChannel() + '/' + 'checkout/' + _this.cartService.getCartToken(); };
            _this.countriesApi = function () { return 'shop-api/' + _this.consts.getChannel() + '/countries'; };
            _this.zonesApi = function () { return 'shop-api/' + _this.consts.getChannel() + '/zones'; };
            _this.provincesApi = function () { return 'shop-api/' + _this.consts.getChannel() + '/provinces'; };
            _this.putAddressApi = function () { return _this.baseApi() + '/address'; };
            _this.addressBookApi = function () { return 'shop-api/' + _this.consts.getChannel() + '/address-book'; };
            _this.headquarterApi = function () { return 'shop-api/' + _this.consts.getChannel() + '/checkout/' + _this.cartService.getCartToken() + '/headquarter'; };
            _this.typeForms = 'ARG';
            _this.modeSelectAddress = 'LOAD_ADDRESS_AND_SELECTION';
            _this.countriesList = [];
            _this.documentTypes = [];
            _this.provinceList = [];
            _this.getAddressingData = function () { return __awaiter$3(_this, void 0, void 0, function () { return __generator$3(this, function (_a) {
                return [2 /*return*/, this.connection.get(this.countriesApi()).pipe(operators.map(function (res) { var _a, _b; return (_b = (_a = res) === null || _a === void 0 ? void 0 : _a._embedded) === null || _b === void 0 ? void 0 : _b.items; })).toPromise()];
            }); }); };
            _this.getAddressBook = function () { return __awaiter$3(_this, void 0, void 0, function () { return __generator$3(this, function (_a) {
                return [2 /*return*/, this.connection.get(this.addressBookApi()).pipe(operators.map(function (res) { var _a; return ((_a = res) === null || _a === void 0 ? void 0 : _a.length) && res.map(function (addres) { return addres && __assign$7(__assign$7({}, addres), { selected: addres.default }); }) || null; })).toPromise()];
            }); }); };
            _this.setHeadquarter = function (sede) {
                return _this.connection.put(_this.headquarterApi(), sede.selected)
                    .pipe(operators.map(function (order) {
                    if (order && order.error) {
                        _this.cartService.changeHaveToUpdate(false);
                        return false;
                    }
                    _this.setStepReady(sede, order);
                    _this.analyticsService.callEvent('payment_info', order);
                    return order;
                })).toPromise().then(function (res) { return res; }, function (err) {
                    return new Promise(function (resolve, reject) { return reject(new Error(err.error)); });
                }).catch(function (err) { return console.error(err); });
            };
            _this.setAddress = function (user_data) {
                user_data.locale = _this.consts.getLocale();
                return _this.connection.put(_this.putAddressApi(), user_data).pipe(operators.map(function (order) {
                    if (order && order.error) {
                        _this.cartService.changeHaveToUpdate(false);
                        return false;
                    }
                    _this.setStepReady(user_data, order);
                    _this.analyticsService.callEvent('payment_info', order);
                    return order;
                })).toPromise().then(function (res) { return res; }, function (err) {
                    return new Promise(function (resolve, reject) { return reject(new Error(err.error)); });
                }).catch(function (err) { return console.error(err); });
            };
            _this.putAddressAndHandle = function (user_data, next, onError) {
                user_data.locale = _this.consts.getLocale();
                var data = { shippingAddress: __assign$7({}, user_data.data) };
                _this.connection.put(_this.putAddressApi(), data).toPromise().then(function (res) {
                    _this.setStepReady(user_data, res);
                    _this.analyticsService.callEvent('payment_info', res);
                    next && next();
                }, function (err) { return onError && onError(err); });
            };
            _this.getTypeForm = function () {
                var formsTypeCofig = [
                    {
                        code: 'EUR',
                        configForm: {
                            formAddres: {
                                firstName: ['', [forms.Validators.required]],
                                lastName: ['', [forms.Validators.required]],
                                phoneNumber: ['', [forms.Validators.required, forms.Validators.pattern('[0-9]+')]],
                                email: ['', [forms.Validators.required, forms.Validators.email]],
                                documentType: ['', []],
                                documentNumber: ['', []],
                                street: ['', [forms.Validators.required, forms.Validators.maxLength(50)]],
                                countryCode: [null, [forms.Validators.required]],
                                city: ['', forms.Validators.required],
                                provinceCode: [null, [forms.Validators.required]],
                                postcode: ['', forms.Validators.required],
                                terms: [null, forms.Validators.required],
                                notes: ['']
                            },
                            formBilling: {
                                firstName: ['', [forms.Validators.required]],
                                lastName: ['', [forms.Validators.required]],
                                phoneNumber: ['', [forms.Validators.required, forms.Validators.pattern('[0-9]+')]],
                                email: ['', [forms.Validators.required, forms.Validators.email]],
                                documentType: ['', []],
                                documentNumber: ['', []],
                                street: ['', [forms.Validators.required, forms.Validators.maxLength(50)]],
                                countryCode: [null, [forms.Validators.required]],
                                city: ['', forms.Validators.required],
                                provinceCode: [null, [forms.Validators.required]],
                                postcode: ['', forms.Validators.required],
                                notes: ['']
                            }
                        },
                        viewForms: {
                            firstName: { enabled: true, required: true, values: [] },
                            lastName: { enabled: true, required: true, values: [] },
                            phoneNumber: { enabled: true, required: true, values: [] },
                            email: { enabled: true, required: true, values: [] },
                            documentType: { enabled: true, required: false, values: _this.documentTypes },
                            documentNumber: { enabled: true, required: false, values: [] },
                            street: { enabled: true, required: true, values: [] },
                            countryCode: { enabled: true, required: true, values: [] },
                            city: { enabled: true, required: true, values: [] },
                            provinceCode: { enabled: true, required: true, values: [] },
                            postcode: { enabled: true, required: true, values: [] },
                            terms: { enabled: true, required: true, values: [] },
                            notes: { enabled: true, required: false, values: [] }
                        }
                    },
                    {
                        code: 'ARG',
                        configForm: {
                            formAddres: {
                                firstName: ['', [forms.Validators.required]],
                                lastName: ['', [forms.Validators.required]],
                                phoneNumber: ['', [forms.Validators.required, forms.Validators.pattern('[0-9]+')]],
                                email: ['', [forms.Validators.required, forms.Validators.email]],
                                documentType: ['', [forms.Validators.required]],
                                documentNumber: ['', [forms.Validators.required]],
                                street: ['', [forms.Validators.required, forms.Validators.maxLength(50)]],
                                countryCode: [null, [forms.Validators.required]],
                                city: ['', forms.Validators.required],
                                provinceCode: [null, [forms.Validators.required]],
                                postcode: ['', forms.Validators.required],
                                notes: ['']
                            },
                            formBilling: {
                                firstName: ['', [forms.Validators.required]],
                                lastName: ['', [forms.Validators.required]],
                                phoneNumber: ['', [forms.Validators.required, forms.Validators.pattern('[0-9]+')]],
                                email: ['', [forms.Validators.required, forms.Validators.email]],
                                documentType: ['', [forms.Validators.required]],
                                documentNumber: ['', [forms.Validators.required]],
                                street: ['', [forms.Validators.required, forms.Validators.maxLength(50)]],
                                countryCode: [null, [forms.Validators.required]],
                                city: ['', forms.Validators.required],
                                provinceCode: [null, [forms.Validators.required]],
                                postcode: ['', forms.Validators.required],
                                notes: ['']
                            }
                        },
                        viewForms: {
                            firstName: { enabled: true, required: true, values: [] },
                            lastName: { enabled: true, required: true, values: [] },
                            phoneNumber: { enabled: true, required: true, values: [] },
                            email: { enabled: true, required: true, values: [] },
                            documentType: { enabled: true, required: true, values: _this.documentTypes },
                            documentNumber: { enabled: true, required: true, values: [] },
                            street: { enabled: true, required: true, values: [] },
                            countryCode: { enabled: true, required: true, values: [] },
                            city: { enabled: true, required: true, values: [] },
                            provinceCode: { enabled: true, required: true, values: [] },
                            postcode: { enabled: true, required: true, values: [] },
                            terms: { enabled: false, required: false, values: [] },
                            notes: { enabled: true, required: false, values: [] }
                        }
                    }
                ];
                return formsTypeCofig.find(function (ct) { return ct.code == _this.typeForms; });
            };
            _this.setTypeSelectAddress = function (type) {
                _this.modeSelectAddress = type && type || 'LOAD_ADDRESS_AND_SELECTION';
            };
            _this.setTypeForms = function (type) {
                _this.typeForms = type && type || 'ARG';
            };
            _this.getAddressingData().then(function (res) {
                var _a, _b;
                if (res) {
                    _this.documentTypes = ((_a = (res.find(function (paises) { return _this.consts.getLocale().toLocaleLowerCase().includes(paises.code.toLocaleLowerCase()); }))) === null || _a === void 0 ? void 0 : _a.documentTypes) || [];
                    _this.provinceList = ((_b = (res.find(function (paises) { return _this.consts.getLocale().toLocaleLowerCase().includes(paises.code.toLocaleLowerCase()); }))) === null || _b === void 0 ? void 0 : _b.provinces) || [];
                    _this.countriesList = res;
                }
            });
            return _this;
        }
        AddressingService$1.prototype.ngOnInit = function () {
        };
        AddressingService$1.ctorParameters = function () { return [
            { type: ConnectionService },
            { type: Constants },
            { type: CartService },
            { type: CheckoutService },
            { type: AnalyticsService }
        ]; };
        AddressingService$1.ɵprov = core.ɵɵdefineInjectable({ factory: function AddressingService_Factory() { return new AddressingService(core.ɵɵinject(ConnectionService), core.ɵɵinject(Constants), core.ɵɵinject(CartService), core.ɵɵinject(CheckoutService), core.ɵɵinject(AnalyticsService)); }, token: AddressingService, providedIn: "root" });
        AddressingService$1 = __decorate$j([
            core.Injectable({
                providedIn: 'root'
            })
        ], AddressingService$1);
        return AddressingService$1;
    }(StepService));

    var __decorate$k = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __param$5 = (this && this.__param) || function (paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    };
    var ChannelConfigService = /** @class */ (function () {
        function ChannelConfigService$1(consts, env, connection, injector) {
            var _this = this;
            this.consts = consts;
            this.env = env;
            this.connection = connection;
            this.injector = injector;
            this.channelConfigApi = function () { return 'shop-api/' + _this.consts.getChannel() + '/channel'; };
            this.localesApi = function () { return 'shop-api/' + _this.consts.getChannel() + '/locales'; };
            this.channelsApi = function () { return 'shop-api/channels'; };
            this.channelConfigSubject = new rxjs.ReplaySubject();
            this.channelConfig$ = this.channelConfigSubject.asObservable();
            this.channelsSubject = new rxjs.BehaviorSubject([]);
            this.channels = this.channelsSubject.asObservable();
            this.localesSubject = new rxjs.BehaviorSubject([]);
            this.locales = this.localesSubject.asObservable();
            this.getChannelConfig = function () {
                _this.connection.get(_this.channelConfigApi()).toPromise().then(function (res) { _this.channelConfigSubject.next(res), res && _this.setChannelInfo(res); }, function (err) { return _this.channelConfigSubject.next({}); }).catch(function (err) { return _this.channelConfigSubject.next(null); });
            };
            this.getChannels = function () {
                _this.connection.get(_this.channelsApi()).toPromise()
                    .then(function (res) { return _this.channelsSubject.next(res); })
                    .catch(function (err) { return _this.channelsSubject.next([]); });
            };
            this.getActiveChannel = function () {
                return _this.channel;
            };
            this.getLocales = function () {
                _this.connection.get(_this.localesApi()).toPromise()
                    .then(function (res) { return _this.localesSubject.next(res.items); })
                    .catch(function (err) { return _this.localesSubject.next([]); });
            };
            this.changeChannel = function (channelObj) {
                _this.consts.modifyChannelConfig({
                    channel: channelObj.code,
                    currency: channelObj.baseCurrency,
                    locale: channelObj.locales.code
                });
                _this.injector.get(AddressingService).setTypeSelectAddress(channelObj.headquarterSelectionOnly || 'LOAD_ADDRESS_AND_SELECTION');
            };
            this.setChannelInfo = function (channelObj) {
                _this.consts.setChannel(channelObj.code);
                _this.consts.setCurrency(channelObj.baseCurrency);
                _this.channel = channelObj;
                _this.injector.get(AddressingService).setTypeSelectAddress(channelObj.headquarterSelectionOnly || 'LOAD_ADDRESS_AND_SELECTION');
            };
            /**
             * @description cambian de canal segun el hostname que recibe por parametro.
             * @warning  esta funcion es util para el caso en que se necesite manejar url distintas,
             * cada una con su configuración de canal, pero utilizando el mismo frontend.
             * En cualquier otro caso, utilizar las demas herramientas.
             * @param {string} hostname hostname del canal que se requiere utilizar.
             */
            this.changeChannelByHostname = function (hostname) {
                //console.log(this.channelsSubject.getValue())
                _this.connection.get(_this.channelsApi()).toPromise().then(function (res) {
                    var channel = res.filter(function (elem) { return elem.hostname == hostname; });
                    if (channel) {
                        if (channel[0].code != _this.consts.getChannel()) {
                            console.log(channel[0]);
                            _this.changeChannel(channel[0]);
                            window.location.href = window.location.href;
                        }
                    }
                    else {
                        console.log("El hostname no coincide con ninguno que venga en los canales");
                    }
                });
                //return channel
            };
            this.getChannelConfig();
            this.getChannels();
            this.getLocales();
        }
        ChannelConfigService$1.ctorParameters = function () { return [
            { type: Constants },
            { type: undefined, decorators: [{ type: core.Inject, args: ['env',] }] },
            { type: ConnectionService },
            { type: core.Injector }
        ]; };
        ChannelConfigService$1.ɵprov = core.ɵɵdefineInjectable({ factory: function ChannelConfigService_Factory() { return new ChannelConfigService(core.ɵɵinject(Constants), core.ɵɵinject("env"), core.ɵɵinject(ConnectionService), core.ɵɵinject(core.INJECTOR)); }, token: ChannelConfigService, providedIn: "root" });
        ChannelConfigService$1 = __decorate$k([
            core.Injectable({
                providedIn: 'root'
            }),
            __param$5(1, core.Inject('env'))
        ], ChannelConfigService$1);
        return ChannelConfigService$1;
    }());

    var __assign$8 = (this && this.__assign) || function () {
        __assign$8 = Object.assign || function(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                    t[p] = s[p];
            }
            return t;
        };
        return __assign$8.apply(this, arguments);
    };
    var __decorate$l = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __awaiter$4 = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
            function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    };
    var __generator$4 = (this && this.__generator) || function (thisArg, body) {
        var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f) throw new TypeError("Generator is already executing.");
            while (_) try {
                if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
                if (y = 0, t) op = [op[0] & 2, t.value];
                switch (op[0]) {
                    case 0: case 1: t = op; break;
                    case 4: _.label++; return { value: op[1], done: false };
                    case 5: _.label++; y = op[1]; op = [0]; continue;
                    case 7: op = _.ops.pop(); _.trys.pop(); continue;
                    default:
                        if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                        if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                        if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                        if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                        if (t[2]) _.ops.pop();
                        _.trys.pop(); continue;
                }
                op = body.call(thisArg, _);
            } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
            if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
        }
    };
    var __read$3 = (this && this.__read) || function (o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m) return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
        }
        catch (error) { e = { error: error }; }
        finally {
            try {
                if (r && !r.done && (m = i["return"])) m.call(i);
            }
            finally { if (e) throw e.error; }
        }
        return ar;
    };
    var __spread$2 = (this && this.__spread) || function () {
        for (var ar = [], i = 0; i < arguments.length; i++) ar = ar.concat(__read$3(arguments[i]));
        return ar;
    };
    var AuthService = /** @class */ (function () {
        function AuthService$1(connection, toastrService, constants, injector) {
            var _this = this;
            this.connection = connection;
            this.toastrService = toastrService;
            this.constants = constants;
            this.injector = injector;
            this.JWT_TOKEN = 'JWT_TOKEN';
            this.REFRESH_TOKEN = 'REFRESH_TOKEN';
            this.EXPIRATES_IN = 'EXPIRATES_IN';
            this.USER = 'USER';
            this.MAIL = 'mail';
            this.LOCALE = 'LOCALE';
            this.CHANNEL = 'CHANNEL';
            this.CUSTOMER = 'CUSTOMER';
            this.CHANNELSELLER = 'CHANNELSELLER';
            /* activeChannelSwitch? */
            this.activeChannelChange = false;
            this.loggedInSubject = new rxjs.BehaviorSubject(false);
            this.loggingInSubject = new rxjs.BehaviorSubject(false);
            this.userInSubject = new rxjs.BehaviorSubject(null);
            this.channelsUserSubject = new rxjs.BehaviorSubject([]);
            /* private customerSubject = new BehaviorSubject<any>(null) */
            this.user = null;
            // APIS
            this.tokenApi = function () { return 'shop-api/login_check'; };
            this.registerApi = function () { return 'shop-api/' + _this.constants.getChannel() + '/register'; };
            this.registerWholesalerApi = function () { return 'shop-api/' + _this.constants.getChannel() + '/register-wholesaler'; };
            this.confirmAccountApi = function (token) { return 'shop-api/' + _this.constants.getChannel() + '/verify-account?token=' + token; };
            this.resetPasswordApi = function (token) { return 'shop-api/' + _this.constants.getChannel() + '/password-reset/' + token; };
            this.recoverPasswordApi = function () { return 'shop-api/' + _this.constants.getChannel() + '/request-password-reset'; };
            this.countriesApi = function () { return 'shop-api/' + _this.constants.getChannel() + '/countries'; };
            // Atributos utiles
            this.waiting = false;
            this.loggedIn = this.loggedInSubject.asObservable();
            this.loggingIn = this.loggingInSubject.asObservable();
            this.userAuth = this.userInSubject.asObservable();
            this.channelsUser = this.channelsUserSubject.asObservable();
            /* private customer = this.channelsUserSubject.asObservable() */
            this.customer = null;
            this.channel = null;
            this.channels = [];
            this.homeResolver = null;
            this.channelAccessPermission = function (res) {
                var _a, _b, _c;
                _this.channelsUserSubject.next([]);
                /* Please remove this ASAP - Needs *channels* array in user object ALWAYS */
                /* if (UserRoleType.SELLER == res.type as UserRoleType) return true */
                /* No authorized channels */
                if (((_a = res.channels) === null || _a === void 0 ? void 0 : _a.length) == 0) {
                    return false;
                }
                /* Some authorized channel(s) including current channel */
                if (res.channels.find(function (userchannel) { return userchannel.code === _this.channel.code; })) {
                    /* Multiple authorized channels including current channel */
                    if (((_b = res.channels) === null || _b === void 0 ? void 0 : _b.length) > 1 && _this.activeChannelChange)
                        _this.channelsUserSubject.next(res.channels);
                    return true;
                }
                /* One authorized channel not including current channel */
                if (((_c = res.channels) === null || _c === void 0 ? void 0 : _c.length) == 1 && _this.activeChannelChange) {
                    delete res.password;
                    _this.channelAccess(res.channels[0], res);
                    return true;
                }
                /* Multiple authorized channels not including current channel */
                if (_this.activeChannelChange) {
                    _this.channelsUserSubject.next(res.channels);
                    return true;
                }
                return false;
            };
            this.channelAccess = function (channel, user) {
                if (user === void 0) { user = null; }
                if (window.location.hostname != channel.hostname) {
                    var encoded = btoa(JSON.stringify(user != null ? user : _this.user));
                    window.location.replace(window.location.protocol + "//" + channel.hostname + "/auth/redirect/" + encoded);
                }
                else {
                    _this.constants.modifyChannelConfig(channel);
                    window.location.reload();
                }
            };
            /**
             * @desc Devuelve una promesa
             * @param user Objeto que contiene username y password
             */
            this.doLogin = function (user) {
                _this.loggingInSubject.next(true);
                user = __assign$8(__assign$8({}, user), _this.constants.loginExtraData());
                return _this.connection.post(_this.tokenApi(), user).pipe(operators.map(function (res) { return _this.doLoginUser(res); }), operators.mapTo('ok'), operators.catchError(function (err) {
                    _this.loggingInSubject.next(false);
                    return rxjs.of(err.toString());
                })).toPromise();
            };
            this.signUp = function (data) { return _this.connection.post(_this.registerApi(), data); };
            this.confirmAccount = function (token) {
                return _this.connection.get(_this.confirmAccountApi(token));
            };
            this.passwordReset = function (new_password, token) {
                var data = { password: { first: new_password, second: new_password } };
                return _this.connection.put(_this.resetPasswordApi(token), data);
            };
            this.recoverPassword = function (email) {
                return _this.connection.put(_this.recoverPasswordApi(), { email: email });
            };
            this.isTokenExpired = function () {
                var fecha_expiracion = _this.getExpiratesAt();
                var result = moment() >= moment(fecha_expiracion);
                return result;
            };
            this.getExpiratesAt = function () { return localStorage.getItem(_this.EXPIRATES_IN); };
            this.hasToRefresh = function () { return _this.getRefreshToken(); };
            this.signUpWholesaler = function (data) { return _this.connection.post(_this.registerWholesalerApi(), data); };
            this.getCountriesData = function () { return __awaiter$4(_this, void 0, void 0, function () { return __generator$4(this, function (_a) {
                return [2 /*return*/, this.connection.get(this.countriesApi()).pipe(operators.map(function (res) { return res._embedded.items; })).toPromise()];
            }); }); };
            this.setActiveChannelChange = function (activelyChangeChannelsOnLogin) { return _this.activeChannelChange = activelyChangeChannelsOnLogin; };
            this.isAllowedRole = function (allowedRoles, role) {
                return allowedRoles.length
                    ? allowedRoles.includes(role)
                    : true;
            };
            /* Please remove this ASAP - Needs *channels* array in user object ALWAYS */
            this.forceChannelsForSeller = function (tokens) {
                var _a;
                var _b;
                if ("seller" /* SELLER */ == tokens.type)
                    ((_b = _this.channels) === null || _b === void 0 ? void 0 : _b.length) ? (_a = _this.user).setChannels.apply(_a, __spread$2(_this.channels)) : _this.user.setChannels(_this.channel);
            };
            /**
             * @description Cambia de canal
             * @param channelConfig debe ser un objeto que contenga al menos las keys channel y locale.
             */
            this.changeChannel = function (channelConfig) {
                _this.constants.modifyChannelConfig({
                    channel: channelConfig.channel,
                    locale: channelConfig.locale
                });
            };
            /**
             * @description Carga el cliente con el que se realizaran pedidos. Si recibe el valor null
             * se vuelve a cargar el vendedor para su uso.
             * @param customer
             */
            this.setCustomer = function (customer) {
                var refreshPage = false;
                _this.customer = customer;
                localStorage.setItem(_this.CUSTOMER, JSON.stringify(customer));
                var sameChannel = customer ? _this.sameChannel(customer.channels[0].code, customer.channels[0].locales.code) : null;
                if (customer) {
                    if (!sameChannel) {
                        !localStorage.getItem(_this.CHANNELSELLER) ?
                            localStorage.setItem(_this.CHANNELSELLER, JSON.stringify({
                                channel: _this.constants.getChannel(),
                                locale: _this.constants.getLocale()
                            })) : null;
                        _this.changeChannel({
                            channel: customer.channels[0].code,
                            locale: customer.channels[0].locales.code
                        });
                        refreshPage = true;
                    }
                }
                else {
                    var res = JSON.parse(localStorage.getItem(_this.CHANNELSELLER));
                    if (res) {
                        if (!_this.sameChannel(res.channel, res.locale)) {
                            _this.changeChannel(res);
                            refreshPage = true;
                        }
                        localStorage.removeItem(_this.CHANNELSELLER);
                    }
                }
                _this.injector.get(CartService).clearAndResetCustomerCart();
                refreshPage ? location.href = location.href : null;
            };
            /**
             * @description Comprueba si los valores del canal actual son iguales a los ingresado por parametros.
             * @param {string} channel Nombre del canal
             * @param {string} locale  Locale del canal
             * @returns {boolean} True si es el mismo canal, False caso contrario.
             */
            this.sameChannel = function (channel, locale) { return (channel == _this.constants.getChannel()) && (locale == _this.constants.getLocale()); };
            /* public getCustomer = () => Observable.of(JSON.parse(localStorage.getItem(this.CUSTOMER))) */
            this.getCustomer = function () {
                /* this.customerSubject.next(JSON.parse(localStorage.getItem(this.CUSTOMER)))
                return this.customer */
                return _this.customer || JSON.parse(localStorage.getItem(_this.CUSTOMER));
            };
            this.setHomeResolver = function (resolverFunction) { return _this.homeResolver = resolverFunction; };
            this.getHomeResolver = function () { return _this.homeResolver; };
            this.isAbleToBuy = function () { var _a; return !((_a = _this.getUserProfileAsUser()) === null || _a === void 0 ? void 0 : _a.isSeller()) || !!_this.getCustomer(); };
            /**
             * @description Evalua si el valor que ingresa por parámetro es mayor o igual al mínimo de compra
             * que el usuario tiene asignado a ese canal, diferenciando si es mayorista o minorista.
             * @param {number} value
             * @returns {boolean} true si excede el monto, false caso contrario
             */
            this.exceedsMinimumAmount = function (value) {
                if (value === void 0) { value = 0; }
                return _this.user.isWholesaler() ? _this.user.channels.find(function (channel) { return _this.constants.getChannel() == channel.code; }).wholesalerMinimumPurchaseAmount <= value
                    : _this.user.channels.find(function (channel) { return _this.constants.getChannel() == channel.code; }).retailerMinimumPurchaseAmount <= value;
            };
            this.isAuthenticated() && this.loggedInSubject.next(true);
        }
        /**
         * @desc Devuelve un observable
         * @param user Objeto que contiene username y password
         */
        AuthService$1.prototype.login = function (user, withRoles) {
            var _this = this;
            if (withRoles === void 0) { withRoles = []; }
            this.injector.get(ChannelConfigService).channelConfig$.subscribe(function (ch) { return _this.channel = ch; });
            this.injector.get(ChannelConfigService).channels.subscribe(function (ch) { return _this.channels = ch; });
            this.loggingInSubject.next(true);
            user = __assign$8(__assign$8({}, user), this.constants.loginExtraData());
            var result = this.connection.post(this.tokenApi(), user).pipe(operators.map(function (res) {
                if (_this.channelAccessPermission(__assign$8(__assign$8({}, user), res)) && _this.isAllowedRole(withRoles, res.type)) {
                    _this.doLoginUser(__assign$8(__assign$8({}, user), res));
                    return 'ok';
                }
                return 'error';
            }), operators.catchError(function (err) {
                _this.loggingInSubject.next(false);
                return rxjs.of(err.toString());
            }));
            return result;
        };
        AuthService$1.prototype.getUserProfile = function () {
            return (this.user && rxjs.Observable.of(this.user)) || this.getCurrentUser();
        };
        AuthService$1.prototype.getUserProfileAsUser = function () {
            return this.user || this.getCurrentUserAsUser();
        };
        AuthService$1.prototype.getCurrentUserAsUser = function () {
            var _this = this;
            var _a;
            this.user = new User();
            if (!this.user.loadFromStorage()) {
                this.user = null;
            }
            else if ((_a = this.user) === null || _a === void 0 ? void 0 : _a.channels.find(function (userchannel) { var _a; return ((_a = userchannel) === null || _a === void 0 ? void 0 : _a.code) === _this.constants.getChannel(); })) {
                return this.user;
            }
            else {
                this.logout();
            }
            return this.user;
        };
        AuthService$1.prototype.getCurrentUser = function () {
            this.user = new User();
            if (!this.user.loadFromStorage()) {
                this.user = null;
            }
            return rxjs.Observable.of(this.user);
        };
        AuthService$1.prototype.isAuthenticated = function () {
            if (this.isTokenExpired()) {
                this.doLogoutUser();
            }
            this.getCurrentUserAsUser();
            this.userInSubject.next(this.user);
            return this.getToken() && !this.isTokenExpired() && this.user != null;
        };
        /* TOKEN */
        AuthService$1.prototype.logout = function () {
            this.doLogoutUser();
        };
        AuthService$1.prototype.refreshToken = function () {
            var _this = this;
            var data = __assign$8(__assign$8({}, this.constants.loginExtraData()), { refresh_token: this.getRefreshToken() });
            return this.connection.post(this.tokenApi(), data).pipe(operators.map(function (res) { return _this.doLoginUser(res); }));
        };
        AuthService$1.prototype.getToken = function () {
            return localStorage.getItem(this.JWT_TOKEN);
        };
        AuthService$1.prototype.doLoginUser = function (tokens) {
            this.user = new User();
            this.user.initilized(tokens);
            this.forceChannelsForSeller(tokens);
            this.user.persistInStorage();
            localStorage.setItem(this.EXPIRATES_IN, moment(tokens.expires_in).add(1, 'h').format());
            localStorage.setItem(this.REFRESH_TOKEN, moment(tokens.expires_in).add(1, 'h').format());
            localStorage.setItem(this.JWT_TOKEN, tokens.token);
            localStorage.setItem(this.MAIL, tokens.username);
            this.userInSubject.next(this.user);
            this.loggedInSubject.next(true);
            this.loggingInSubject.next(false);
        };
        AuthService$1.prototype.doLogoutUser = function () {
            this.user = null;
            localStorage.removeItem(this.USER);
            localStorage.removeItem(this.EXPIRATES_IN);
            localStorage.removeItem(this.JWT_TOKEN);
            localStorage.removeItem(this.REFRESH_TOKEN);
            localStorage.removeItem('cart_token');
            localStorage.removeItem(this.MAIL);
            localStorage.removeItem(this.CHANNEL);
            localStorage.removeItem(this.CHANNELSELLER);
            localStorage.removeItem(this.LOCALE);
            localStorage.removeItem(this.CUSTOMER);
            localStorage.removeItem('MASTER_CHANNEL');
            this.loggedInSubject.next(false);
            this.userInSubject.next(this.user);
            this.channelsUserSubject.next([]);
        };
        AuthService$1.prototype.getRefreshToken = function () {
            return localStorage.getItem(this.REFRESH_TOKEN);
        };
        AuthService$1.ctorParameters = function () { return [
            { type: ConnectionService },
            { type: ngxToastr.ToastrService },
            { type: Constants },
            { type: core.Injector }
        ]; };
        AuthService$1.ɵprov = core.ɵɵdefineInjectable({ factory: function AuthService_Factory() { return new AuthService(core.ɵɵinject(ConnectionService), core.ɵɵinject(ngxToastr.ToastrService), core.ɵɵinject(Constants), core.ɵɵinject(core.INJECTOR)); }, token: AuthService, providedIn: "root" });
        AuthService$1 = __decorate$l([
            core.Injectable({
                providedIn: 'root'
            })
        ], AuthService$1);
        return AuthService$1;
    }());

    var __assign$9 = (this && this.__assign) || function () {
        __assign$9 = Object.assign || function(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                    t[p] = s[p];
            }
            return t;
        };
        return __assign$9.apply(this, arguments);
    };
    var __decorate$m = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __awaiter$5 = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
            function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    };
    var __generator$5 = (this && this.__generator) || function (thisArg, body) {
        var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f) throw new TypeError("Generator is already executing.");
            while (_) try {
                if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
                if (y = 0, t) op = [op[0] & 2, t.value];
                switch (op[0]) {
                    case 0: case 1: t = op; break;
                    case 4: _.label++; return { value: op[1], done: false };
                    case 5: _.label++; y = op[1]; op = [0]; continue;
                    case 7: op = _.ops.pop(); _.trys.pop(); continue;
                    default:
                        if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                        if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                        if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                        if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                        if (t[2]) _.ops.pop();
                        _.trys.pop(); continue;
                }
                op = body.call(thisArg, _);
            } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
            if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
        }
    };
    var __read$4 = (this && this.__read) || function (o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m) return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
        }
        catch (error) { e = { error: error }; }
        finally {
            try {
                if (r && !r.done && (m = i["return"])) m.call(i);
            }
            finally { if (e) throw e.error; }
        }
        return ar;
    };
    var __spread$3 = (this && this.__spread) || function () {
        for (var ar = [], i = 0; i < arguments.length; i++) ar = ar.concat(__read$4(arguments[i]));
        return ar;
    };
    var CartService = /** @class */ (function () {
        function CartService$1(connection, toastrService, consts, authService, orderUtils, analyticsService, channelConfigService) {
            var _this = this;
            this.connection = connection;
            this.toastrService = toastrService;
            this.consts = consts;
            this.authService = authService;
            this.orderUtils = orderUtils;
            this.analyticsService = analyticsService;
            this.channelConfigService = channelConfigService;
            this.cartItemsSubject = new rxjs.BehaviorSubject([]);
            this.couponSubject = new rxjs.BehaviorSubject(null);
            this.cartSubject = new rxjs.BehaviorSubject(null);
            this.requestInProcess = new rxjs.BehaviorSubject(false);
            this.promotionsSubject = new rxjs.BehaviorSubject([]);
            this.items = [];
            this.count = 0;
            this.locale = "";
            this.logged_in = false;
            this.have_to_update = true;
            this.channelConfig = {};
            this.cart_baseUrl = 'shop-api/' + this.consts.getChannel() + '/carts';
            this.cartItemsApi = function () { return _this.cart_baseUrl + '?locale=' + _this.consts.getLocale(); };
            this.addItemApi = function () { return _this.cart_baseUrl + '/' + _this.cart_token + '/items' + '?locale=' + _this.consts.getLocale(); };
            this.addAllItemsApi = function () { return _this.cart_baseUrl + '/' + _this.cart_token + '/multiple-items' + '?locale=' + _this.consts.getLocale(); };
            this.updateItemQuantityApi = function (item_id) { return _this.cart_baseUrl + '/' + _this.cart_token + '/items/' + item_id + '?locale=' + _this.consts.getLocale(); };
            this.deleteItemApi = function (item_id) { return _this.cart_baseUrl + '/' + _this.cart_token + '/items/' + item_id + '?locale=' + _this.consts.getLocale(); };
            this.couponApi = function () { return _this.cart_baseUrl + '/' + _this.cart_token + '/coupon'; };
            this.addressBookApi = function () { return 'shop-api/' + _this.consts.getChannel() + '/address-book'; };
            this.taxesApi = function () { return 'shop-api/' + _this.consts.getChannel() + '/carts/tax'; };
            this.cartItems = this.cartItemsSubject.asObservable().pipe(operators.map(function (items) { return _this.switchPriceInCartItem(items); }));
            this.coupon = this.couponSubject.asObservable();
            this.loading = this.requestInProcess.asObservable();
            this.cart = this.cartSubject.asObservable();
            this.promotions = this.promotionsSubject.asObservable();
            this.deleting = false;
            this.getAddressBook = function () { return __awaiter$5(_this, void 0, void 0, function () { return __generator$5(this, function (_a) {
                return [2 /*return*/, this.connection.get(this.addressBookApi()).pipe(operators.map(function (res) { var _a; return ((_a = res) === null || _a === void 0 ? void 0 : _a.length) && res.map(function (addres) { return addres && __assign$9(__assign$9({}, addres), { selected: addres.default }); }) || null; })).toPromise()];
            }); }); };
            this.getTaxes = function () { return __awaiter$5(_this, void 0, void 0, function () { return __generator$5(this, function (_a) {
                return [2 /*return*/, this.connection.post(this.taxesApi(), { token: this.cart_token }).subscribe(function (res) { return res; })];
            }); }); };
            this.getCart = function () { return __awaiter$5(_this, void 0, void 0, function () {
                var _this = this;
                return __generator$5(this, function (_a) {
                    return [2 /*return*/, this.connection.post(this.cartItemsApi(), ((this.cart_token && this.items.length >= 1) && { token: this.cart_token })).subscribe(function (res) { return _this.initializeCart(res); })];
                });
            }); };
            this.getCartByToken = function () { return __awaiter$5(_this, void 0, void 0, function () {
                var _this = this;
                return __generator$5(this, function (_a) {
                    return [2 /*return*/, this.connection.post(this.cartItemsApi(), ((this.cart_token) && { token: this.cart_token })).subscribe(function (res) { return _this.initializeCart(res); })];
                });
            }); };
            this.getCartByCustomer = function () { return __awaiter$5(_this, void 0, void 0, function () {
                var _this = this;
                return __generator$5(this, function (_a) {
                    return [2 /*return*/, this.connection.post(this.cartItemsApi()).subscribe(function (res) { return _this.initializeCart(res); })
                        /**
                         *  @private
                         *  CART CRUD SERVER'S SYNCRONIZED
                         */
                    ];
                });
            }); };
            /**
             *  @private
             *  CART CRUD SERVER'S SYNCRONIZED
             */
            this.initializeCart = function (response) {
                _this.cart_token = response.tokenValue;
                localStorage.setItem('cart_token', _this.cart_token);
                _this.locale = response.locale;
                /* let localeFromStorage = localStorage.getItem('LOCALE')
                console.log(localeFromStorage)
                this.locale = localeFromStorage ? localeFromStorage : response.locale;
                response.locale = this.locale */
                _this.updateCartObj(response, false);
                _this.updateCartItems(_this.transformItems(response.items));
                _this.requestInProcess.next(false);
                return true;
            };
            this.switchPriceInCartItem = function (items) {
                //return items;
                return items.map(function (item) {
                    if (item.product) {
                        item.product.price = item.product.variants[0].saleprice ? item.product.variants[0].saleprice : item.product.variants[0].price;
                    }
                    return item;
                });
            };
            this.stepCart = function (res) {
                res.items.length > 0 && res.items.forEach(function (item) { return !_this.isItemInLocal(item.id) && _this.deleteCartItem(item, false); });
                _this.addAllToCart(_this.items.filter(function (item) { return !res.items.some(function (external_item) { return external_item.id == item.item_id; }); }));
            };
            this.updateCartItems = function (items) {
                _this.items = items;
                _this.count = items.length;
                _this.cartItemsSubject.next(_this.items);
                _this.updateLocalCart();
                _this.requestInProcess.next(false);
            };
            this.updateCartItemQuantity = function (variant_id, quantity) {
                var newQuantity = _this.items.find(function (item) { return item.variant_id == variant_id; }).quantity = quantity;
                _this.cartItemsSubject.next(_this.items);
                _this.requestInProcess.next(false);
                _this.updateLocalCart();
                _this.toastrService.show('product-updated', { quantity: newQuantity });
            };
            this.appendToCart = function (cart) {
                _this.updateCartObj(cart);
                _this.items = _this.transformItems(cart.items);
                _this.count = _this.items.length;
                _this.requestInProcess.next(false);
                _this.updateLocalCart();
                //    this.toastrService.show('product-added');
                _this.cartItemsSubject.next(_this.items);
            };
            this.removeCartItem = function (cart, product, toast) {
                if (toast === void 0) { toast = true; }
                _this.updateCartObj(cart, false);
                _this.items.splice(_this.items.findIndex(function (item) { return item.item_id == product.item_id; }), 1);
                _this.cartItemsSubject.next(_this.items);
                toast && _this.requestInProcess.next(false);
                toast && _this.toastrService.show('product-removed');
                _this.updateLocalCart();
                // this.googleAnalytics.removeFromCart(product);
                _this.analyticsService.callEvent('remove_from_cart', __assign$9(__assign$9({}, product), { currency: _this.consts.currency.code }));
            };
            this.addIfAllreadyExists = function (product, variant_id, quantityAdd) {
                if (quantityAdd === void 0) { quantityAdd = 1; }
                return _this.items.find(function (item, index) {
                    if (item.product.id == product.id && item.variant_id == variant_id) {
                        _this.updateItemQuantity(item, _this.findItem(product.id).quantity + quantityAdd);
                        return true;
                    }
                    return false;
                });
            };
            this.updateLocalCart = function () {
                localStorage.setItem('cart', JSON.stringify(_this.items));
            };
            this.resetCart = function (next) {
                _this.items = [];
                _this.cartSubject.next(null);
                _this.cart_token = null;
                _this.cartItemsSubject.next([]);
                _this.count = 0;
                localStorage.setItem('cart', "[]");
                localStorage.removeItem('cart_token');
                next && next();
            };
            this.updateCartObj = function (cart, emitEvent) {
                if (emitEvent === void 0) { emitEvent = true; }
                _this.cartSubject.next(cart);
                emitEvent && _this.analyticsService.callEvent('add_to_cart', cart);
                _this.promotionsSubject.next(_this.orderUtils.getPromotions(cart, true));
                cart.couponCode
                    ? _this.formatCoupon(cart)
                    : _this.couponSubject.next(null);
                return true;
            };
            this.isItemInLocal = function (item_id) { return _this.items.some(function (item) { return item.item_id == item_id; }); };
            /**
             *  @public
             *  CART CRUD
             */
            this.addToCart = function (product, quantity, variant_id) {
                if (!_this.authService.isAbleToBuy()) {
                    _this.toastrService.show('must-select-customer');
                    return;
                }
                _this.requestInProcess.next(true);
                var added = _this.addIfAllreadyExists(product, variant_id, quantity);
                if (!added) {
                    _this.connection.post(_this.addItemApi(), { productCode: product.id, quantity: quantity, variantCode: variant_id })
                        .subscribe(function (res) {
                        // Manejar la respuesta HTTP exitosa (código 200)
                        _this.appendToCart(res);
                        _this.toastrService.show('product-added');
                    }, function (err) {
                        // Manejar el error de la llamada HTTP (código 500 u otro error)
                        if (err.status === 500) {
                            // Código de error 500 (timeout)
                            _this.handleError(err);
                            _this.toastrService.show('Ha ocurrido un error al agregar al carrito. Vuelva a intentarlo.');
                        }
                        else {
                            // Otro código de error
                            _this.handleError(err);
                            _this.toastrService.show('Error inesperado. Vuelva a intentarlo');
                        }
                    });
                }
            };
            this.addToLot = function (product, quantity, variant_id, id, order_item_id, lot_quantity, unit_price, unit_total, ajustement_total, total_lot, lot_status, date_request, notes, shipping_address_id, shipping_address_name, action) {
                if (!_this.authService.isAbleToBuy()) {
                    _this.toastrService.show('must-select-customer');
                    return;
                }
                var added = '';
                !added && _this.connection.post(_this.addItemApi(), { productCode: product.id, quantity: quantity, variantCode: variant_id, id: id || '', order_item_id: order_item_id || '', lot_quantity: lot_quantity || '', unit_price: unit_price || '', unit_total: unit_total || '', ajustement_total: ajustement_total || '', total_lot: total_lot || '', lot_status: lot_status || '', date_request: date_request || '', notes: notes || '', shipping_address_id: shipping_address_id || '', shipping_address_name: shipping_address_name || '', action: action || 'newlot' })
                    .subscribe(function (res) { return _this.appendToCart(res); }, function (err) { return _this.handleError(err); });
            };
            this.addToCartPromise = function (product, quantity, variant_id) { return __awaiter$5(_this, void 0, void 0, function () {
                var added, result;
                return __generator$5(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            if (!this.authService.isAbleToBuy()) {
                                this.toastrService.show('must-select-customer');
                                return [2 /*return*/];
                            }
                            this.requestInProcess.next(true);
                            added = this.addIfAllreadyExists(product, variant_id, quantity);
                            if (!!added) return [3 /*break*/, 2];
                            return [4 /*yield*/, (this.connection.post(this.addItemApi(), { productCode: product.id, quantity: quantity, variantCode: variant_id }).toPromise())];
                        case 1:
                            result = _a.sent();
                            if (!result || result.error)
                                this.handleError(result.error);
                            else {
                                this.appendToCart(result);
                                return [2 /*return*/, { error: false }];
                            }
                            _a.label = 2;
                        case 2: return [2 /*return*/, { error: true }];
                    }
                });
            }); };
            this.addAllToCart = function (items) {
                if (!_this.authService.isAbleToBuy()) {
                    _this.toastrService.show('must-select-customer');
                    return;
                }
                _this.requestInProcess.next(true);
                var params = { items: _this.mergeItemsAddAllToCart(items) };
                _this.connection.post(_this.addAllItemsApi(), params)
                    .toPromise().then(function (res) {
                    _this.updateCartObj(res.cart) && _this.updateCartItems(_this.transformItems(res.cart.items));
                    res.cart_response.status == 'success' && _this.toastrService.show('products-added');
                }, function (err) {
                    _this.handleError(err);
                }).catch(function (err) {
                    _this.handleError(err);
                });
            };
            this.mergeItemsAddAllToCart = function (items) {
                var paramsMerge = [];
                _this.items.forEach(function (item) {
                    var itemInterno = items.find(function (itemParam) { return itemParam.variantCode == item.variant_id; });
                    paramsMerge.push({
                        productCode: item.product.id,
                        variantCode: item.variant_id,
                        quantity: itemInterno && itemInterno.quantity || item.quantity
                    });
                });
                items = items.filter(function (itemParam) { return !_this.items.find(function (item) { return itemParam.variantCode == item.variant_id; }); });
                return __spread$3(items, paramsMerge);
            };
            this.updateItemQuantity = function (item, quantity) {
                if (_this.validateQuantity(item, quantity)) {
                    _this.connection.put(_this.updateItemQuantityApi(_this.findItemByIdVariant(item.variant_id)), { 'quantity': Number(quantity) }).subscribe(function (res) { return _this.updateCartObj(res) && _this.updateCartItemQuantity(item.variant_id, Number(quantity)); }, function (err) { return _this.handleError(err); });
                }
            };
            this.validateQuantity = function (item, quantity) {
                if ((_this.getCountFromItemInCart(item.productCode) + quantity) > item.product.variants[0].maximumItemsQuantity) {
                    _this.toastrService.show('maximum-items-quantity', { quantity: item.product.variants[0].maximumItemsQuantity });
                    return false;
                }
                if ((_this.getCountFromItemInCart(item.productCode) + quantity) < item.product.variants[0].minimumItemsQuantity) {
                    _this.toastrService.show('minimum-items-quantity', { quantity: item.product.variants[0].minimumItemsQuantity });
                    return false;
                }
                return true;
            };
            this.calculateStockCounts = function (item, quantity) {
                if (item.product.stock < item.quantity + quantity) {
                    // this.toastrService.show('out-of-stock');
                    return false;
                }
                return true;
            };
            this.deleteCartItem = function (item, toast) {
                if (toast === void 0) { toast = true; }
                var id_buscado = _this.findItemByIdVariant(item.variant_id);
                _this.requestInProcess.next(true);
                //    this.connection.post(this.addItemApi(), { productCode: item.product.id, quantity: 0, variantCode: item.variant_id, id: '', order_item_id: item.item_id, lot_quantity: '', unit_price: '', unit_total: '', ajustement_total: '', total_lot: '', lot_status: '', date_request: '', notes:  '', shipping_address_id: '', shipping_address_name: '', action:  'deleteorderitem'})
                //        .subscribe(
                //            res => this.removeCartItem(res, item, toast),
                //            err => this.handleError(err)
                //        );
                _this.connection.delete(_this.deleteItemApi(id_buscado)).subscribe(function (res) { _this.removeCartItem(res, item, toast); _this.requestInProcess.next(false); }, function (err) { _this.handleError(err); _this.requestInProcess.next(false); });
            };
            this.handleError = function (error) {
                _this.toastrService.show('operation-error-param');
                _this.requestInProcess.next(false);
            };
            this.getCountFromItemInCart = function (codeVariant) { var _a; return ((_a = _this.items.find(function (item) { return item.variant_id == codeVariant; })) === null || _a === void 0 ? void 0 : _a.quantity) || 0; };
            this.findItemByIdVariant = function (variant_id) { return _this.items.find(function (item) { return item.variant_id == variant_id; }).item_id; };
            this.findItem = function (product_id) { return _this.items.find(function (item) { return item.product.id == product_id; }); };
            /** DATA FOR OTHER SERVICES */
            this.getCartToken = function () { return _this.cart_token; };
            this.getLocale = function () { return _this.locale; };
            this.getTotalAmount = function () {
                return _this.cart.pipe(operators.map(function (cart) { var _a, _b; return (_b = (_a = cart) === null || _a === void 0 ? void 0 : _a.totals) === null || _b === void 0 ? void 0 : _b.total; }));
            };
            this.getCountCartItems = function () {
                return _this.cartItems.pipe(operators.map(function (cartItems) { var _a; return (_a = cartItems) === null || _a === void 0 ? void 0 : _a.length; }));
            };
            this.getTaxesAmount = function () {
                return _this.cart.pipe(operators.map(function (cart) { var _a, _b, _c, _d; return ((_b = (_a = cart) === null || _a === void 0 ? void 0 : _a.totals) === null || _b === void 0 ? void 0 : _b.taxes) > 0 ? (_d = (_c = cart) === null || _c === void 0 ? void 0 : _c.totals) === null || _d === void 0 ? void 0 : _d.taxes : 0; }));
            };
            this.getSubTotalAmount = function () {
                return _this.cart.pipe(operators.map(function (cart) { var _a, _b; return (_b = (_a = cart) === null || _a === void 0 ? void 0 : _a.totals) === null || _b === void 0 ? void 0 : _b.items; }));
            };
            this.toDecimal = function (total) { return (total - Math.floor(total) == 0) ? total / 100 : total; };
            this.addCoupon = function (code) { return __awaiter$5(_this, void 0, void 0, function () {
                var result, e_1;
                return __generator$5(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            _a.trys.push([0, 2, , 3]);
                            return [4 /*yield*/, this.connection.put(this.couponApi(), { coupon: code }).toPromise()];
                        case 1:
                            result = _a.sent();
                            if (result.error || result.errors)
                                return [2 /*return*/, { error: true, message: 'invalid-coupon' }];
                            this.updateCartObj(result, false);
                            return [2 /*return*/, { error: false, message: 'ok' }];
                        case 2:
                            e_1 = _a.sent();
                            return [2 /*return*/, { error: true, message: 'invalid-coupon' }];
                        case 3: return [2 /*return*/];
                    }
                });
            }); };
            this.removeCoupon = function () { return __awaiter$5(_this, void 0, void 0, function () {
                var _this = this;
                return __generator$5(this, function (_a) {
                    return [2 /*return*/, this.connection.delete(this.couponApi()).pipe(operators.map(function (res) { return _this.updateCartObj(res, false); })).toPromise()];
                });
            }); };
            this.formatCoupon = function (cart) {
                var current_coupon = _this.couponSubject.value;
                var coupon = { code: cart.couponCode };
                try {
                    var key = Object.keys(cart.cartDiscounts)[0];
                    coupon = __assign$9(__assign$9({}, coupon), { amount: (cart.cartDiscounts && cart.cartDiscounts[key].amount.current) || 0, name: (cart.cartDiscounts && cart.cartDiscounts[key].name) || 'no-name' });
                }
                catch (e) { }
                (coupon != current_coupon) && _this.couponSubject.next(coupon);
            };
            this.changeHaveToUpdate = function (value) { return _this.have_to_update = value; };
            this.readyForCheckout = function (successCallback, errorCallback) {
                var cart = _this.cartSubject.value;
                var items = _this.cartItemsSubject.value;
                var result = { ok: true };
                if (items.length < _this.channelConfig.minimumQuantityPurchaseItems) {
                    result.ok = false;
                    result.reasons.push({ message: 'not-enought-items' });
                }
                if (cart.totals.total < _this.channelConfig.minimumPurchaseAmount) {
                    result.ok = false;
                    result.reasons.push({ message: 'not-enought-amount' });
                }
                if (successCallback || errorCallback) {
                    result.ok
                        ? successCallback && successCallback()
                        : errorCallback && errorCallback();
                }
                return result;
            };
            this.updateItemsOnError = function (itemsWithError, code) {
                // console.log(itemsWithError);
                // console.log(this.items);
                var itemsUpdated = _this.items.map(function (item) {
                    var itemWithError = itemsWithError.find(function (failedItem) { return item.item_id == failedItem.id; });
                    if (itemWithError) {
                        item.failed = true;
                        item.error = code;
                    }
                    return item;
                });
                // console.log(itemsUpdated);
                _this.updateCartItems(itemsUpdated);
            };
            this.loadCartByToken = function (token) { return __awaiter$5(_this, void 0, void 0, function () {
                var result;
                return __generator$5(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            this.cart_token = token;
                            return [4 /*yield*/, this.getCartByToken()];
                        case 1:
                            result = _a.sent();
                            return [2 /*return*/, result];
                    }
                });
            }); };
            /**
             *  UTILS
             */
            this.transformItems = function (server_item) { return server_item.map(function (item) {
                item = {
                    product: item.product,
                    variant_id: item.product.variants[0].code,
                    lot: item.orderItemLot,
                    quantity: item.quantity,
                    item_id: item.id,
                    total: item.total
                };
                // console.log(item.product.variants[0]);
                // console.log(item.product.variants[0].saleprice);
                // console.log(item.product.variants[0].price);
                // console.log(item.product.variants[0].saleprice > 0 ? item.product.variants[0].seleprice : item.product.variants[0].price);
                // setTimeout(() => {
                //     item.product.price = item.total / item.quantity// ? item.product.variants[0].seleprice : item.product.variants[0].price;
                // }, 100);
                return item;
            }); };
            this.requestInProcess.next(true);
            this.items = JSON.parse(localStorage.getItem('cart')) || [];
            this.cart_token = localStorage.getItem('cart_token') || null;
            this.authService.loggedIn.subscribe(function (res) { return _this.getCart(); });
            this.channelConfigService.channelConfig$.subscribe(function (res) { return _this.channelConfig = res; });
        }
        CartService$1.prototype.getCart2 = function () {
            return this.cartItemsSubject.value;
        };
        CartService$1.prototype.clearCart = function () {
            //solucion provisaoria
            var items = __spread$3(this.items);
            while (items && items.length > 0) {
                this.deleteCartItem(items.pop(), false);
            }
            //this.resetCart(this.getCart);
        };
        CartService$1.prototype.clearAndResetCart = function () {
            this.resetCart(this.getCart);
        };
        CartService$1.prototype.clearAndResetCustomerCart = function () {
            console.log("Clearing and reseting...");
            this.resetCart(this.getCartByCustomer);
        };
        CartService$1.prototype.getDiscount = function () {
            var _this = this;
            return this.cartItems.pipe(operators.map(function (product) {
                var total = _this.items.reduce(function (prev, curr) {
                    return prev + curr.product.saleprice * curr.quantity;
                }, 0);
                var subtotal = _this.items.reduce(function (prev, curr) {
                    return prev + curr.product.price * curr.quantity;
                }, 0);
                return subtotal - total;
            }));
        };
        CartService$1.ctorParameters = function () { return [
            { type: ConnectionService },
            { type: ToastService },
            { type: Constants },
            { type: AuthService },
            { type: OrderUtilityService },
            { type: AnalyticsService },
            { type: ChannelConfigService }
        ]; };
        CartService$1.ɵprov = core.ɵɵdefineInjectable({ factory: function CartService_Factory() { return new CartService(core.ɵɵinject(ConnectionService), core.ɵɵinject(ToastService), core.ɵɵinject(Constants), core.ɵɵinject(AuthService), core.ɵɵinject(OrderUtilityService), core.ɵɵinject(AnalyticsService), core.ɵɵinject(ChannelConfigService)); }, token: CartService, providedIn: "root" });
        CartService$1 = __decorate$m([
            core.Injectable({
                providedIn: 'root'
            })
        ], CartService$1);
        return CartService$1;
    }());

    var __assign$a = (this && this.__assign) || function () {
        __assign$a = Object.assign || function(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                    t[p] = s[p];
            }
            return t;
        };
        return __assign$a.apply(this, arguments);
    };
    var __decorate$n = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var OrdersService = /** @class */ (function () {
        function OrdersService$1(connection, cartService, router, consts) {
            // this.updateOrders();
            var _this = this;
            this.connection = connection;
            this.cartService = cartService;
            this.router = router;
            this.consts = consts;
            this.channelConfig = {};
            this.ordersSubject = new rxjs.BehaviorSubject(null);
            this.errorSubject = new rxjs.BehaviorSubject(null);
            this.selectedOrderSubject = new rxjs.BehaviorSubject(null);
            this.orders$ = this.ordersSubject.asObservable();
            this.error$ = this.errorSubject.asObservable();
            this.selectedOrder$ = this.selectedOrderSubject.asObservable();
            this.loading = false;
            this.ordersListapi = function () { return "shop-api/" + _this.consts.getChannel() + "/orders"; };
            this.updateOrders = function () {
                _this.loading = true;
                _this.connection.get(_this.ordersListapi())
                    .pipe(operators.map(function (res) {
                    var orders = _this.mapOrdersAndAddInfo(res);
                    return orders;
                }))
                    .subscribe(function (response) {
                    _this.ordersSubject.next(response);
                    _this.loading = false;
                }, function (err) {
                    _this.errorSubject.next({ message: 'unable-get-orders' });
                });
            };
            this.mapOrdersAndAddInfo = function (orders) {
                return orders.map(function (order) {
                    order.total = order.payments.reduce(function (a, b) { return a + b.price.current; }, 0);
                    return order;
                });
            };
            this.findOrder = function (order_number) {
                return _this.ordersSubject.value ? _this.getOrderByNumber(order_number) : _this.waitUntilOrders(order_number, _this.getOrderByNumber);
            };
            this.getOrderByNumber = function (order_number) {
                // El dia de mañana, cuando vengan paginadas y haya que preguntarle al servidor, se cambia este metodo
                var orders = _this.ordersSubject.value;
                var order = orders.find(function (order) { return order.number == order_number; });
                return order;
            };
            this.waitUntilOrders = function (order_number, next) {
                _this.orders$.toPromise().then(function (orders) {
                    if (!orders) {
                        if (!_this.loading)
                            _this.updateOrders();
                        _this.waitUntilOrders(order_number, next);
                    }
                    _this.getOrderByNumber(order_number);
                });
            };
        }
        OrdersService$1.prototype.setSelectedOrder = function (order) {
            this.selectedOrderSubject.next(order);
            this.channelConfig = (this.cartService.channelConfig);
        };
        OrdersService$1.prototype.reBuy = function (order) {
            var _this = this;
            // this.cartService.clearCart();
            order.items.map(function (item) {
                _this.cartService.addToCart(_this.formatProduct(item.product, item.product.discount), item.quantity, item.variant_id);
            });
            this.router.navigateByUrl('/cart');
        };
        OrdersService$1.prototype.formatProduct = function (product, discount) {
            var percentaje = parseFloat('0.' + discount.toString()).toFixed(2);
            product.price = product.variants[0].price;
            product.saleprice = (product.price - (product.price * parseFloat(percentaje)));
            product.options = {};
            product.variants[0].options.forEach(function (option) { return product.options = __assign$a(__assign$a({}, product.options), option); });
            return product;
        };
        OrdersService$1.ctorParameters = function () { return [
            { type: ConnectionService },
            { type: CartService },
            { type: router.Router },
            { type: Constants }
        ]; };
        OrdersService$1.ɵprov = core.ɵɵdefineInjectable({ factory: function OrdersService_Factory() { return new OrdersService(core.ɵɵinject(ConnectionService), core.ɵɵinject(CartService), core.ɵɵinject(router.Router), core.ɵɵinject(Constants)); }, token: OrdersService, providedIn: "root" });
        OrdersService$1 = __decorate$n([
            core.Injectable({
                providedIn: 'root'
            })
        ], OrdersService$1);
        return OrdersService$1;
    }());

    var __assign$b = (this && this.__assign) || function () {
        __assign$b = Object.assign || function(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                    t[p] = s[p];
            }
            return t;
        };
        return __assign$b.apply(this, arguments);
    };
    var __decorate$o = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var ShipmentDataTransformer = /** @class */ (function () {
        function ShipmentDataTransformer() {
            this.getData = function (method, response) {
                switch (method) {
                    case 'andreani': return response;
                    case 'oca': return response.newDataSet;
                }
            };
            this.getApi = function (method) {
                switch (method) {
                    case 'andreani': return 'https://api.andreani.com/v1/sucursales';
                    case 'oca': return 'http://webservice.oca.com.ar/oep_tracking/Oep_Track.asmx/GetCentrosImposicion';
                }
            };
            this.appendShipmentExtra = function (contract, data) {
                var result = {};
                switch (contract) {
                    case 'domicilio':
                        result = __assign$b({}, data);
                        break;
                    // case 'sucursal': result = { ...data, codigo_sucursal: data. }; break;
                    // case 'local': result = { ...data, codigo_local: data. }
                }
                if (contract == 'domicilio') {
                    result = __assign$b({}, data);
                }
                else {
                    result = { codigo_sucursal: data.id };
                }
                return data;
            };
            // Andreni
            this.getMethodDetail = function (method, branch) {
                var result = '';
                branch.direccion.componentesDeDireccion.forEach(function (component) { return result += (component.meta + ' ' + component.contenido + ' '); });
                return result;
            };
            this.transformAndreani = function (response) {
                var result = [];
                response.forEach(function (element) {
                    var data = {};
                    data.name = element.descripcion;
                    data.label = element.descripcion;
                    data.latitude = element.geocoordenadas && element.geocoordenadas.latitud;
                    data.longitude = element.geocoordenadas && element.geocoordenadas.longitud;
                    data.atencion = element.horarioDeAtencion;
                    data.address = element.direccion.componentesDeDireccion.map(function (data) { return data.contenido; }).join(' ');
                    data.info = 'Sucursal ' + data.name + ' - ' + data.address + ' - ' + data.atencion;
                    result.push(data);
                });
                return result;
            };
        }
        ShipmentDataTransformer = __decorate$o([
            core.Injectable()
        ], ShipmentDataTransformer);
        return ShipmentDataTransformer;
    }());

    var __decorate$p = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var StoresService = /** @class */ (function () {
        function StoresService$1(connection, consts) {
            var _this = this;
            this.connection = connection;
            this.consts = consts;
            this.storesSubject = new rxjs.BehaviorSubject([]);
            this.stores = this.storesSubject.asObservable();
            this.getAllStoresApi = function () { return 'shop-api/' + _this.consts.getChannel() + '/stores'; };
            this.connection.get(this.getAllStoresApi()).toPromise().then(function (res) {
                res.length && _this.storesSubject.next(res);
                !res.length && _this.storesSubject.next(null);
            });
        }
        StoresService$1.ctorParameters = function () { return [
            { type: ConnectionService },
            { type: Constants }
        ]; };
        StoresService$1.ɵprov = core.ɵɵdefineInjectable({ factory: function StoresService_Factory() { return new StoresService(core.ɵɵinject(ConnectionService), core.ɵɵinject(Constants)); }, token: StoresService, providedIn: "root" });
        StoresService$1 = __decorate$p([
            core.Injectable({
                providedIn: 'root'
            })
        ], StoresService$1);
        return StoresService$1;
    }());

    var __extends$6 = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __assign$c = (this && this.__assign) || function () {
        __assign$c = Object.assign || function(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                    t[p] = s[p];
            }
            return t;
        };
        return __assign$c.apply(this, arguments);
    };
    var __decorate$q = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __awaiter$6 = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
            function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    };
    var __generator$6 = (this && this.__generator) || function (thisArg, body) {
        var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f) throw new TypeError("Generator is already executing.");
            while (_) try {
                if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
                if (y = 0, t) op = [op[0] & 2, t.value];
                switch (op[0]) {
                    case 0: case 1: t = op; break;
                    case 4: _.label++; return { value: op[1], done: false };
                    case 5: _.label++; y = op[1]; op = [0]; continue;
                    case 7: op = _.ops.pop(); _.trys.pop(); continue;
                    default:
                        if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                        if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                        if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                        if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                        if (t[2]) _.ops.pop();
                        _.trys.pop(); continue;
                }
                op = body.call(thisArg, _);
            } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
            if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
        }
    };
    var ShipmentService = /** @class */ (function (_super) {
        __extends$6(ShipmentService, _super);
        function ShipmentService(connection, transformer, analyticsService, consts, cartService, storesService, checkoutService) {
            var _this = _super.call(this, checkoutService) || this;
            _this.connection = connection;
            _this.transformer = transformer;
            _this.analyticsService = analyticsService;
            _this.consts = consts;
            _this.cartService = cartService;
            _this.storesService = storesService;
            _this.checkoutService = checkoutService;
            _this.stateSubject = new rxjs.BehaviorSubject({ doing: false, ok: false, data: null });
            _this.methodsSubject = new rxjs.BehaviorSubject([]);
            _this.costsSubject = new rxjs.BehaviorSubject([]);
            _this.baseApi = function () { return 'shop-api/' + _this.consts.getChannel() + '/' + 'checkout/' + _this.cartService.getCartToken(); };
            _this.state = _this.stateSubject.asObservable();
            _this.methods = _this.methodsSubject.asObservable();
            _this.costs = _this.costsSubject.asObservable();
            _this.shipmentMethodsApi = function () { return _this.baseApi() + '/shipping'; };
            _this.persistShipmentApi = function () { return 'shop-api/' + _this.consts.getChannel() + '/andreani/' + _this.cartService.getCartToken() + '/ship'; };
            _this.putShipmentApi = function () { return _this.baseApi() + '/shipping/' + _this.stateSubject.getValue().data.method; };
            _this.putContractApi = function () { return 'shop-api/' + _this.consts.getChannel() + '/checkout/' + _this.cartService.getCartToken() + '/shipping-contract'; };
            _this.calculatedCostsApi = function () { return 'shop-api/' + _this.consts.getChannel() + '/carts/' + _this.cartService.getCartToken() + '/multiple-estimated-shipping-cost'; };
            _this.getShipmentMethods = function () {
                // this.connection.get(this.shipmentMethodsApi()).toPromise().then(
                //     res => this.methodsSubject.next(this.responseToList(res))
                // ).catch(err => this.methodsSubject.next([]))
                _this.connection.getErrorNotHandler(_this.shipmentMethodsApi()).toPromise().then(function (res) {
                    _this.methodsSubject.next(_this.responseToList(res));
                }, function (err) {
                    _this.methodsSubject.next([]);
                }).catch(function (err) {
                    _this.methodsSubject.next([]);
                });
            };
            _this.setMethod = function (method) { return __awaiter$6(_this, void 0, void 0, function () {
                var _this = this;
                return __generator$6(this, function (_a) {
                    this.costsSubject.next([]);
                    this.stateSubject.next({ doing: true, ok: false, data: { method: method } });
                    this.putShipment().then(function (res) { return __awaiter$6(_this, void 0, void 0, function () {
                        var costs;
                        return __generator$6(this, function (_a) {
                            switch (_a.label) {
                                case 0:
                                    this.checkoutService.updateAsociatedData(res);
                                    this.order = res;
                                    return [4 /*yield*/, this.getCalculatedCosts()];
                                case 1:
                                    costs = _a.sent();
                                    this.modifyCostsResponse(costs, this.getUserData().shippingAddress.postcode, method);
                                    return [2 /*return*/];
                            }
                        });
                    }); }, function (err) {
                        return new Promise(function (resolve, reject) { return reject(new Error(err.error)); });
                    }).catch(function (err) { return console.error(err); });
                    return [2 /*return*/];
                });
            }); };
            _this.putShipment = function () { return _this.connection.put(_this.putShipmentApi(), { method: _this.stateSubject.getValue().data.method }).toPromise(); };
            _this.getCalculatedCosts = function () { return _this.connection.get(_this.calculatedCostsApi()).toPromise(); };
            _this.setContract = function (contract) { return __awaiter$6(_this, void 0, void 0, function () {
                var data;
                var _this = this;
                return __generator$6(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            data = __assign$c(__assign$c({}, contract), this.otherParamsForContract(contract));
                            return [4 /*yield*/, this.connection.put(this.putContractApi(), data)
                                    .toPromise().then(function (order) {
                                    //  this.analyticsService.callEvent('shipping_info', order);
                                    return _this.setStepReady(data, order);
                                }, function (err) {
                                    return new Promise(function (resolve, reject) { return reject(new Error(err.error)); });
                                }).catch(function (err) { return console.error(err); })];
                        case 1: return [2 /*return*/, _a.sent()];
                    }
                });
            }); };
            // UTILS
            /**
             * @param response De api de solicitud de costos por metodo de envío seleccionado
             * @param post_code Indicado en el paso de Addressing (datos personales y de facturación)
             * @param method Metodo de envío seleccionado
             */
            _this.modifyCostsResponse = function (response, post_code, method) { return __awaiter$6(_this, void 0, void 0, function () {
                var branch_delivery, final_method_data_1;
                var _this = this;
                return __generator$6(this, function (_a) {
                    response = response.multiplePrices;
                    branch_delivery = response.findIndex(function (submethod) { return submethod.name == 'branch_delivery'; });
                    if (branch_delivery != -1) {
                        response[branch_delivery].contracts = response[branch_delivery].contracts.map(function (contract) {
                            var branch_property = contract.branch_property || {};
                            var address_data = branch_property.address || {};
                            return __assign$c(__assign$c(__assign$c({ contract: 'branch_delivery', name: contract.name, price: contract.price }, address_data), branch_property), { computed: (address_data.street || '') + ' N° ' + (address_data.number || '') });
                        });
                        this.costsSubject.next(response);
                    }
                    if (method.includes('pickup_store')) {
                        final_method_data_1 = response;
                        this.subscription = this.storesService.stores.subscribe(function (stores) {
                            if (stores.length) {
                                final_method_data_1.forEach(function (pickup_store) {
                                    pickup_store.contracts.forEach(function (contract) {
                                        var current_store = stores.find(function (store) { return store.code == contract.name; });
                                        if (!current_store)
                                            contract.detail = 'Sin información';
                                        else
                                            contract.detail = current_store.name + ' - ' + current_store.address;
                                        return contract;
                                    });
                                });
                                _this.costsSubject.next(final_method_data_1);
                            }
                        });
                    }
                    else {
                        this.costsSubject.next(response);
                    }
                    return [2 /*return*/];
                });
            }); };
            _this.responseToList = function (response) {
                return (response.shipments && response.shipments.length > 0) && Object.keys(response.shipments[0].methods).map(function (key) { return response.shipments[0].methods[key]; });
            };
            _this.otherParamsForContract = function (contract) {
                return {
                    shipping_method_contract: contract.shipping_method_contract
                        ? contract.shipping_method_contract
                        : contract.contract + '_' + contract.name,
                    shipping_method_branch_code: contract.shipping_method_branch_code
                        ? contract.shipping_method_branch_code
                        : (contract.contract && contract.contract == "branch_delivery") ? contract.number : contract.name
                };
            };
            _this.getBranchOffices = function (method) { return _this.connection.getOutsider(_this.transformer.getApi(method.toLowerCase())).toPromise(); };
            _this.formatUnnecesaryDocument = function (data) {
                var _a, _b, _c, _d, _e, _f;
                if (((_b = (_a = data.shippingAddress) === null || _a === void 0 ? void 0 : _a.documentNumber) === null || _b === void 0 ? void 0 : _b.length) == 0) {
                    data.shippingAddress.documentNumber = '00000000';
                }
                if (((_d = (_c = data.shippingAddress) === null || _c === void 0 ? void 0 : _c.documentType) === null || _d === void 0 ? void 0 : _d.length) == 0) {
                    data.shippingAddress.documentType = 'XXX';
                }
                if (data.billingAddress && ((_e = data.billingAddress.documentNumber) === null || _e === void 0 ? void 0 : _e.length) == 0) {
                    data.billingAddress.documentNumber = '00000000';
                }
                if (data.billingAddress && ((_f = data.billingAddress.documentType) === null || _f === void 0 ? void 0 : _f.length) == 0) {
                    data.billingAddress.documentType = 'XXX';
                }
                return data;
            };
            return _this;
        }
        ShipmentService.prototype.ngOnDestroy = function () {
            this.subscription && this.subscription.unsubscribe();
        };
        /**
         * @param moreInfoInMethod por defecto su estado es false, si se desea que visualice información adicional de cada método de envió asignar true.
         */
        ShipmentService.moreInfoInMethod = false;
        ShipmentService.ctorParameters = function () { return [
            { type: ConnectionService },
            { type: ShipmentDataTransformer },
            { type: AnalyticsService },
            { type: Constants },
            { type: CartService },
            { type: StoresService },
            { type: CheckoutService }
        ]; };
        ShipmentService = __decorate$q([
            core.Injectable()
        ], ShipmentService);
        return ShipmentService;
    }(StepService));


    (function (FilterOptionTypes) {
        FilterOptionTypes["oneSelect"] = "one-select";
        FilterOptionTypes["multiSelect"] = "multi-select";
    })(exports.FilterOptionTypes || (exports.FilterOptionTypes = {}));

    var __decorate$r = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var OptionsOfProductListDataReceiverService = /** @class */ (function () {
        function OptionsOfProductListDataReceiverService() {
        }
        OptionsOfProductListDataReceiverService.prototype.getData = function () {
            return {
                sortOptions: [
                    {
                        name: 'Alphabetical order',
                        value: 'name',
                        type: exports.FilterOptionTypes.oneSelect,
                        selectedOption: null,
                        options: [
                            {
                                name: 'Ascendancy',
                                value: 'asc',
                                selected: false,
                            },
                            {
                                name: 'Descendant',
                                value: 'desc',
                                selected: false,
                            }
                        ]
                    },
                    {
                        name: 'Created date',
                        value: 'createdAt',
                        type: exports.FilterOptionTypes.oneSelect,
                        selectedOption: null,
                        options: [
                            {
                                name: 'Oldest first',
                                value: 'asc',
                                selected: false,
                            },
                            {
                                name: 'Newest first',
                                value: 'desc',
                                selected: false,
                            }
                        ]
                    },
                    {
                        name: 'Price',
                        value: 'price',
                        type: exports.FilterOptionTypes.oneSelect,
                        selectedOption: null,
                        options: [
                            {
                                name: 'Cheapest first',
                                value: 'asc',
                                selected: false,
                            },
                            {
                                name: 'Most expensive first',
                                value: 'desc',
                                selected: false,
                            }
                        ]
                    },
                ],
                filterOptions: [
                    {
                        name: 'Vigencia',
                        value: 'enabled',
                        type: exports.FilterOptionTypes.oneSelect,
                        selectedOption: null,
                        options: [
                            {
                                name: 'Habilitados',
                                value: 'true',
                                selected: false,
                            },
                            {
                                name: 'Deshabilitados',
                                value: 'false',
                                selected: false,
                            }
                        ]
                    }
                ],
            };
        };
        OptionsOfProductListDataReceiverService = __decorate$r([
            core.Injectable()
        ], OptionsOfProductListDataReceiverService);
        return OptionsOfProductListDataReceiverService;
    }());

    var __decorate$s = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var DataformService = /** @class */ (function () {
        function DataformService(fb, authService) {
            var _this = this;
            this.fb = fb;
            this.authService = authService;
            this.stateSubject = new rxjs.BehaviorSubject({ doing: false, ok: false, data: null });
            this.state = this.stateSubject.asObservable();
            this.isValid = function () { return _this.checkoutForm.valid; };
            this.change = function () {
                _this.checkoutForm.valid ? _this.stateSubject.next({ doing: false, ok: true, data: _this.checkoutForm.value })
                    : _this.stateSubject.next({ doing: true, ok: false, data: null });
            };
            this.checkoutForm = this.fb.group({
                firstName: ['', [forms.Validators.required]],
                lastName: ['', [forms.Validators.required]],
                phoneNumber: ['', [forms.Validators.required, forms.Validators.pattern('[0-9]+')]],
                email: ['', [forms.Validators.required, forms.Validators.email]],
                documentType: ['', [forms.Validators.required]],
                documentNumber: ['', [forms.Validators.required]],
                street: ['', [forms.Validators.required, forms.Validators.maxLength(50)]],
                countryCode: ['', forms.Validators.required],
                city: ['', forms.Validators.required],
                provinceName: ['', forms.Validators.required],
                postcode: ['', forms.Validators.required]
            });
            this.authService.getUserProfile().subscribe(function (res) { return _this.checkoutForm.patchValue(res.toForm()); });
        }
        DataformService.ctorParameters = function () { return [
            { type: forms.FormBuilder },
            { type: AuthService }
        ]; };
        DataformService = __decorate$s([
            core.Injectable()
        ], DataformService);
        return DataformService;
    }());

    var __decorate$t = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __awaiter$7 = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
            function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    };
    var __generator$7 = (this && this.__generator) || function (thisArg, body) {
        var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f) throw new TypeError("Generator is already executing.");
            while (_) try {
                if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
                if (y = 0, t) op = [op[0] & 2, t.value];
                switch (op[0]) {
                    case 0: case 1: t = op; break;
                    case 4: _.label++; return { value: op[1], done: false };
                    case 5: _.label++; y = op[1]; op = [0]; continue;
                    case 7: op = _.ops.pop(); _.trys.pop(); continue;
                    default:
                        if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                        if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                        if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                        if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                        if (t[2]) _.ops.pop();
                        _.trys.pop(); continue;
                }
                op = body.call(thisArg, _);
            } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
            if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
        }
    };
    var BlocksRepositoryService = /** @class */ (function () {
        function BlocksRepositoryService(consts, connection) {
            var _this = this;
            this.consts = consts;
            this.connection = connection;
            this.data = [];
            this.blocksAPI = function (section) { return 'cms/' + _this.consts.getChannel() + '/blocks/section/' + section + '?locale=' + _this.consts.getLocale(); };
            this.getBlocks = function (section) { return __awaiter$7(_this, void 0, void 0, function () {
                var _this = this;
                var _a;
                return __generator$7(this, function (_b) {
                    return [2 /*return*/, ((_a = this.hasSectionBlocks(section)) === null || _a === void 0 ? void 0 : _a.blocks) || this.connection.get(this.blocksAPI(this.getSection(section)))
                            .toPromise().then(function (res) { return _this.appendBlock(res.items, section) && res.items; }, function (err) { return new Promise(function (resolve, reject) { return reject(); }); } // Va por callback error, el servicio define el valor a setear
                        ).catch(function (err) { return new Promise(function (resolve, reject) { return reject(new Error(null)); }); })];
                });
            }); }; //Queda pendiente ver como manejar el error de este lado
            this.hasSectionBlocks = function (section) { return _this.data.find(function (block_info) { return block_info.section == section; }); };
            this.appendBlock = function (blocks, section) {
                var new_block = { section: section, blocks: blocks };
                _this.data.push(new_block);
                return true;
            };
            this.restartBlocks = function () { return _this.data = []; };
            this.consts.getBlocksCacheTime() && setInterval(this.restartBlocks, this.consts.getBlocksCacheTime());
        }
        BlocksRepositoryService.prototype.getSection = function (section) {
            // Definir la expresión regular para obtener la palabra antes del primer "?"
            var patron = /([^?]+)\?/;
            // Realizar la búsqueda del patrón en la cadena
            var resultado = section.match(patron);
            // Devolver la palabra antes del primer "?"
            if (resultado) {
                return resultado[1];
            }
            else {
                return section;
            }
        };
        BlocksRepositoryService.ctorParameters = function () { return [
            { type: Constants },
            { type: ConnectionService }
        ]; };
        BlocksRepositoryService = __decorate$t([
            core.Injectable()
        ], BlocksRepositoryService);
        return BlocksRepositoryService;
    }());

    var __decorate$u = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    /**
     * @description Servicio de manejo de Bloques. Cada sección posee N bloques asociados, ordenados por posición y con tu tipo y datos correspondientes
     * (chequear interfaz de IBlock)
     */
    var BlocksService = /** @class */ (function () {
        function BlocksService(consts, connection, blocksRepo) {
            var _this = this;
            this.consts = consts;
            this.connection = connection;
            this.blocksRepo = blocksRepo;
            this.blocksSubject = new rxjs.BehaviorSubject([]);
            this.blocks = this.blocksSubject.asObservable();
            this.blocksAPI = function (section) { return 'cms/' + _this.consts.getChannel() + '/blocks/section/' + section + '?locale=' + _this.consts.getLocale(); };
            this.contactFormResponseAPI = function () { return 'cms/' + _this.consts.getLocale() + '/contact-form/response'; };
            this.getBlocks = function (section) {
                _this.blocksRepo.getBlocks(section).then(function (res) { return _this.blocksSubject.next(_this.orderedAndModified(res)); }, function (err) { return _this.blocksSubject.next(null); });
            };
            this.orderedAndModified = function (result) {
                var result_ordered = result.sort(function (a, b) { return a.priority - b.priority; });
                return (result_ordered.length ? result_ordered : null);
            };
            this.getBlockByCode = function (code) {
                return _this.blocksSubject.value && _this.blocksSubject.value.find(function (block) { return block.code.includes(code); });
            };
            // getBannerImage = (banner) => (this.consts.mobile() && banner.mobileImageName && banner.mobileImageName != '') ? banner.mobileImageName : banner.imageName;
            this.getBannerImage = function (banner) {
                return (_this.consts.mobile() && banner.translations[_this.consts.getLocale()].mobileImageName && banner.translations[_this.consts.getLocale()].mobileImageName != '')
                    ? banner.translations[_this.consts.getLocale()].mobileImageName
                    : banner.translations[_this.consts.getLocale()].imageName;
            };
            this.getImage = function (banner) { return (_this.consts.mediaBannerUrl() +
                (_this.consts.mobile() && banner.translations[_this.consts.getLocale()].mobileImageName && banner.translations[_this.consts.getLocale()].mobileImageName != '')
                ? banner.translations[_this.consts.getLocale()].mobileImageName
                : banner.translations[_this.consts.getLocale()].imageName); };
            this.formUrl = function (banner) {
                var resultado = "/";
                var element = (banner.redirectionType == 'attribute' ? 'attributes' : 'categories');
                try {
                    var asociacion = banner[(element == 'categories' ? 'taxons' : element)];
                    asociacion = asociacion.length && asociacion[0];
                    if (asociacion)
                        resultado = '/collection/' + element + '/' + (asociacion.slug || asociacion.translations[_this.consts.getLocale()].slug);
                }
                catch (e) {
                }
                return resultado;
            };
            this.sendResponse = function (response_obj) {
                return _this.connection.post(_this.contactFormResponseAPI(), _this.prepareData(response_obj));
            };
            this.prepareData = function (obj) {
                // Para el futuro, cuando haya que toquetear antes de mandar
                // attachmentFile
                return obj;
            };
        }
        BlocksService.ctorParameters = function () { return [
            { type: Constants },
            { type: ConnectionService },
            { type: BlocksRepositoryService }
        ]; };
        BlocksService = __decorate$u([
            core.Injectable()
        ], BlocksService);
        return BlocksService;
    }());

    var __decorate$v = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var UtilsService = /** @class */ (function () {
        function UtilsService() {
        }
        UtilsService.prototype.titleCaseWord = function (word) {
            if (!word)
                return word;
            return word[0].toUpperCase() + word.substr(1).toLowerCase();
        };
        UtilsService = __decorate$v([
            core.Injectable()
        ], UtilsService);
        return UtilsService;
    }());

    var __decorate$w = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var PaymentUtils = /** @class */ (function () {
        function PaymentUtils() {
            var _this = this;
            this.mp_error_codes = {
                'pending_contingency': 'Estamos procesando el pago. En menos de 2 días hábiles te enviaremos por e-mail el resultado.',
                'pending_review_manual': 'Estamos procesando el pago. En menos de 2 días hábiles te diremos por e-mail si se acreditó o si necesitamos más información.',
                'cc_rejected_bad_filled_card_number': 'Revisa el número de tarjeta.',
                'cc_rejected_bad_filled_date': 'Revisa la fecha de vencimiento.',
                'cc_rejected_bad_filled_other': 'Revisa los datos.',
                'cc_rejected_bad_filled_security_code': 'Revisa el código de seguridad.',
                'cc_rejected_blacklist': 'No pudimos procesar tu pago.',
                'cc_rejected_call_for_authorize': 'Debes autorizar ante payment_method_id el pago de amount a Mercado Pago',
                'cc_rejected_card_disabled': 'Llama a payment_method_id para que active tu tarjeta. El teléfono está al dorso de tu tarjeta.',
                'cc_rejected_card_error': 'No pudimos procesar tu pago.',
                'cc_rejected_duplicated_payment': 'Ya hiciste un pago por ese valor. Si necesitas volver a pagar usa otra tarjeta u otro medio de pago.',
                'cc_rejected_high_risk': 'Tu pago fue rechazado. Elige otro de los medios de pago, te recomendamos con medios en efectivo.',
                'cc_rejected_insufficient_amount': 'Tu payment_method_id no tiene fondos suficientes.',
                'cc_rejected_invalid_installments': 'El metodo de pago no procesa pagos en cuotas.',
                'cc_rejected_max_attempts': 'Llegaste al límite de intentos permitidos. Elige otra tarjeta u otro medio de pago.',
                'cc_rejected_other_reason': 'No procesó el pago.'
            };
            this.getErrorMessage = function (code) { return _this.mp_error_codes[code]; };
        }
        PaymentUtils = __decorate$w([
            core.Injectable()
        ], PaymentUtils);
        return PaymentUtils;
    }());

    var __decorate$x = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var AuthGuardService = /** @class */ (function () {
        function AuthGuardService$1(auth, router) {
            this.auth = auth;
            this.router = router;
        }
        AuthGuardService$1.prototype.canActivate = function (routeSnapshot) {
            var redirectTo = routeSnapshot.data.redirectTo || '/';
            if (!this.auth.isAuthenticated())
                this.router.navigateByUrl(redirectTo);
            return this.auth.isAuthenticated();
        };
        AuthGuardService$1.ctorParameters = function () { return [
            { type: AuthService },
            { type: router.Router }
        ]; };
        AuthGuardService$1.ɵprov = core.ɵɵdefineInjectable({ factory: function AuthGuardService_Factory() { return new AuthGuardService(core.ɵɵinject(AuthService), core.ɵɵinject(router.Router)); }, token: AuthGuardService, providedIn: "root" });
        AuthGuardService$1 = __decorate$x([
            core.Injectable({
                providedIn: 'root'
            })
        ], AuthGuardService$1);
        return AuthGuardService$1;
    }());

    var __decorate$y = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var AbleBuyerGuardService = /** @class */ (function () {
        function AbleBuyerGuardService$1(auth, router) {
            this.auth = auth;
            this.router = router;
        }
        AbleBuyerGuardService$1.prototype.canActivate = function (routeSnapshot) {
            var redirectTo = routeSnapshot.data.redirectSellerTo || '/';
            if (!this.auth.isAbleToBuy())
                this.router.navigateByUrl(redirectTo);
            return this.auth.isAbleToBuy();
        };
        AbleBuyerGuardService$1.ctorParameters = function () { return [
            { type: AuthService },
            { type: router.Router }
        ]; };
        AbleBuyerGuardService$1.ɵprov = core.ɵɵdefineInjectable({ factory: function AbleBuyerGuardService_Factory() { return new AbleBuyerGuardService(core.ɵɵinject(AuthService), core.ɵɵinject(router.Router)); }, token: AbleBuyerGuardService, providedIn: "root" });
        AbleBuyerGuardService$1 = __decorate$y([
            core.Injectable({
                providedIn: 'root'
            })
        ], AbleBuyerGuardService$1);
        return AbleBuyerGuardService$1;
    }());

    var __decorate$z = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var UserRoleGuardService = /** @class */ (function () {
        function UserRoleGuardService$1(auth, router) {
            this.auth = auth;
            this.router = router;
        }
        UserRoleGuardService$1.prototype.canActivate = function (routeSnapshot) {
            var _a;
            var redirectTo = routeSnapshot.data.redirectTo || '/';
            var authorizedRoles = routeSnapshot.data.authorizedRoles || [];
            if (!authorizedRoles.includes((_a = this.auth.getUserProfileAsUser()) === null || _a === void 0 ? void 0 : _a.typeUser))
                this.router.navigateByUrl(redirectTo);
            return this.auth.isAuthenticated();
        };
        UserRoleGuardService$1.ctorParameters = function () { return [
            { type: AuthService },
            { type: router.Router }
        ]; };
        UserRoleGuardService$1.ɵprov = core.ɵɵdefineInjectable({ factory: function UserRoleGuardService_Factory() { return new UserRoleGuardService(core.ɵɵinject(AuthService), core.ɵɵinject(router.Router)); }, token: UserRoleGuardService, providedIn: "root" });
        UserRoleGuardService$1 = __decorate$z([
            core.Injectable({
                providedIn: 'root'
            })
        ], UserRoleGuardService$1);
        return UserRoleGuardService$1;
    }());

    var __decorate$A = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var LoggedInGuard = /** @class */ (function () {
        function LoggedInGuard$1(auth, router) {
            this.auth = auth;
            this.router = router;
        }
        LoggedInGuard$1.prototype.canActivate = function () {
            if (!this.auth.isAuthenticated()) {
                this.router.navigate(['/login']);
            }
            return this.auth.isAuthenticated();
        };
        LoggedInGuard$1.ctorParameters = function () { return [
            { type: AuthService },
            { type: router.Router }
        ]; };
        LoggedInGuard$1.ɵprov = core.ɵɵdefineInjectable({ factory: function LoggedInGuard_Factory() { return new LoggedInGuard(core.ɵɵinject(AuthService), core.ɵɵinject(router.Router)); }, token: LoggedInGuard, providedIn: "root" });
        LoggedInGuard$1 = __decorate$A([
            core.Injectable({
                providedIn: 'root'
            })
        ], LoggedInGuard$1);
        return LoggedInGuard$1;
    }());

    var __decorate$B = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var CheckoutReadyGuard = /** @class */ (function () {
        function CheckoutReadyGuard$1(router, checkoutService) {
            this.router = router;
            this.checkoutService = checkoutService;
        }
        CheckoutReadyGuard$1.prototype.canActivate = function () {
            if (!this.checkoutService.isCheckoutReady()) {
                this.router.navigate(['/']);
            }
            return this.checkoutService.isCheckoutReady();
        };
        CheckoutReadyGuard$1.ctorParameters = function () { return [
            { type: router.Router },
            { type: CheckoutService }
        ]; };
        CheckoutReadyGuard$1.ɵprov = core.ɵɵdefineInjectable({ factory: function CheckoutReadyGuard_Factory() { return new CheckoutReadyGuard(core.ɵɵinject(router.Router), core.ɵɵinject(CheckoutService)); }, token: CheckoutReadyGuard, providedIn: "root" });
        CheckoutReadyGuard$1 = __decorate$B([
            core.Injectable({
                providedIn: 'root'
            })
        ], CheckoutReadyGuard$1);
        return CheckoutReadyGuard$1;
    }());

    var __decorate$C = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var AuthInterceptor = /** @class */ (function () {
        function AuthInterceptor(injector) {
            this.injector = injector;
        }
        AuthInterceptor.prototype.intercept = function (req, next) {
            var _this = this;
            if (this.injector.get(AuthService).isAuthenticated()
                && req.url.includes(this.injector.get(Constants).getUrlBase())
                && !req.url.includes('shop-api/login_check')) {
                var headers = {
                    setHeaders: {
                        'Content-Type': 'application/json',
                        Authorization: "Bearer " + this.injector.get(AuthService).getToken(),
                    },
                };
                if (req.url.includes('contact-form/response'))
                    delete headers.setHeaders["Content-Type"];
                /* if (this.injector.get(AuthService).getCustomer())
                    delete headers.setHeaders["Authorization"] */
                var authReq = req.clone(headers);
                return next.handle(authReq).pipe(operators.catchError(function (catchErr) { return _this.handleErrors(catchErr); }));
            }
            return next.handle(req).pipe(operators.catchError(function (catchErr) { return _this.handleErrors(catchErr); }));
        };
        AuthInterceptor.prototype.handleErrors = function (err) {
            if (err.status === 403) {
                this.injector.get(AuthService).doLogoutUser();
                return rxjs.of(err);
            }
            if (err.status === 450 || err.status === 401) {
                this.injector.get(ErrorHandlerService).handlerErrorResponse(err.error);
                return rxjs.of(err.error);
            }
            return rxjs.throwError(err);
        };
        AuthInterceptor.ctorParameters = function () { return [
            { type: core.Injector }
        ]; };
        AuthInterceptor = __decorate$C([
            core.Injectable()
        ], AuthInterceptor);
        return AuthInterceptor;
    }());

    var __decorate$D = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var CustomerInterceptor = /** @class */ (function () {
        function CustomerInterceptor(injector) {
            this.injector = injector;
        }
        CustomerInterceptor.prototype.intercept = function (req, next) {
            var _this = this;
            var customer = this.injector.get(AuthService).getCustomer();
            if (customer) {
                var headers = {
                    setHeaders: {
                        'customer': String(customer.id)
                    }
                };
                var authReq = req.clone(headers);
                return next.handle(authReq).pipe(operators.catchError(function (catchErr) { return _this.handleErrors(catchErr); }));
            }
            return next.handle(req).pipe(operators.catchError(function (catchErr) { return _this.handleErrors(catchErr); }));
        };
        CustomerInterceptor.prototype.handleErrors = function (err) {
            if (err.status === 403) {
                this.injector.get(AuthService).doLogoutUser();
                return rxjs.of(err);
            }
            if (err.status === 450 || err.status === 401) {
                this.injector.get(ErrorHandlerService).handlerErrorResponse(err.error);
                return rxjs.of(err.error);
            }
            return rxjs.throwError(err);
        };
        CustomerInterceptor.ctorParameters = function () { return [
            { type: core.Injector }
        ]; };
        CustomerInterceptor = __decorate$D([
            core.Injectable()
        ], CustomerInterceptor);
        return CustomerInterceptor;
    }());

    var ComponentHelper = /** @class */ (function () {
        function ComponentHelper() {
            this.ecOnInit = function (params) {
                if (params === void 0) { params = {}; }
            };
            this.ecOnConstruct = function (params) {
                if (params === void 0) { params = {}; }
            };
            this.hasParams = function (params, searched) { return params && params != null && params.find(function (param) { var _a; return (_a = param.code) === null || _a === void 0 ? void 0 : _a.toLowerCase().includes(searched.toLowerCase()); }); };
            this.ecOnConstruct();
        }
        ComponentHelper.prototype.navigateOnRouter = function (router, url) {
            router.navigateByUrl("/" + url);
        };
        return ComponentHelper;
    }());

    var __decorate$E = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var ParametersService = /** @class */ (function () {
        function ParametersService$1(connection, constants, analyticsService) {
            var _this = this;
            this.connection = connection;
            this.constants = constants;
            this.analyticsService = analyticsService;
            this.parametersSubject = new rxjs.BehaviorSubject(null);
            this.readyParamsSubject = new rxjs.ReplaySubject(1);
            this.parameters = this.parametersSubject.asObservable();
            this.ready$ = this.readyParamsSubject.asObservable();
            this.getAllParametersAPI = function () { return 'shop-api/' + (_this.constants.getMasterChannel() || _this.constants.getChannel()) + '/parameters'; };
            this.insertAnalitycs = function () {
                _this.parametersSubject.value
                    ? _this.constants.onlyIfProduction(_this.initializeAnalytics, _this.parametersSubject.value)
                    : _this.waitUntilData(_this.initializeAnalytics);
            };
            this.initializeAnalytics = function (params) {
                var facebook = params.find(function (param) { return param.code.includes("_" + _this.constants.getChannel() + "_") && param.code.includes('facebook') && param.code.includes('id'); });
                !facebook && (facebook = params.find(function (param) { return param.code.includes('facebook') && param.code.includes('id'); }));
                facebook && _this.analyticsService.initializeFacebook(facebook.value);
                var google = params.find(function (param) { return param.code.includes("_" + _this.constants.getChannel() + "_") && param.code.includes('google') && param.code.includes('id'); });
                !google && (google = params.find(function (param) { return param.code.includes('google') && param.code.includes('id'); }));
                google && _this.analyticsService.initializeGoogle(google.value);
                var gtm = params.find(function (param) { return param.code.includes("_" + _this.constants.getChannel() + "_") && param.code.includes('gtm') && param.code.includes('id'); });
                !gtm && (gtm = params.find(function (param) { return param.code.includes('gtm') && param.code.includes('id'); }));
                gtm && _this.analyticsService.initializeGTM(gtm.value);
                var metricool = params.find(function (param) { return param.code.includes("_" + _this.constants.getChannel() + "_") && param.code.includes('metricool') && param.code.includes('id'); });
                !metricool && (metricool = params.find(function (param) { return param.code.includes('metricool') && param.code.includes('id'); }));
                metricool && _this.analyticsService.initializeMetricool(metricool.value);
                var doppler = params.find(function (param) { return param.code.includes("_" + _this.constants.getChannel() + "_") && param.code.includes('doppler') && param.code.includes('id'); });
                !doppler && (doppler = params.find(function (param) { return param.code.includes('doppler') && param.code.includes('id'); }));
                doppler && _this.analyticsService.initializeDoppler(doppler.value);
            };
            this.waitUntilData = function (next) {
                var subscription = _this.parameters.subscribe(function (res) {
                    if (res) {
                        next(res);
                        subscription.unsubscribe();
                    }
                });
            };
            this.connection.get(this.getAllParametersAPI()).toPromise().then(function (res) {
                _this.parametersSubject.next(res);
                _this.readyParamsSubject.next(true);
            });
        }
        ParametersService$1.ctorParameters = function () { return [
            { type: ConnectionService },
            { type: Constants },
            { type: AnalyticsService }
        ]; };
        ParametersService$1.ɵprov = core.ɵɵdefineInjectable({ factory: function ParametersService_Factory() { return new ParametersService(core.ɵɵinject(ConnectionService), core.ɵɵinject(Constants), core.ɵɵinject(AnalyticsService)); }, token: ParametersService, providedIn: "root" });
        ParametersService$1 = __decorate$E([
            core.Injectable({
                providedIn: 'root'
            })
        ], ParametersService$1);
        return ParametersService$1;
    }());

    var __extends$7 = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$F = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var AccountEcComponent = /** @class */ (function (_super) {
        __extends$7(AccountEcComponent, _super);
        function AccountEcComponent(authService, router, paramsService) {
            var _this = _super.call(this) || this;
            _this.authService = authService;
            _this.router = router;
            _this.paramsService = paramsService;
            _this.params = null;
            _this.logout = function (path) {
                if (path === void 0) { path = '/home'; }
                _this.authService.logout();
                _this.router.navigateByUrl(path);
            };
            _this.paramsService.parameters.subscribe(function (p) {
                _this.params = p;
            });
            _this.ecOnConstruct();
            return _this;
        }
        AccountEcComponent.prototype.ngOnInit = function () {
            this.ecOnInit();
        };
        AccountEcComponent.ctorParameters = function () { return [
            { type: AuthService },
            { type: router.Router },
            { type: ParametersService }
        ]; };
        AccountEcComponent = __decorate$F([
            core.Component({
                selector: 'app-account-ec',
                template: "<section class=\"perfil mt-5\" id=\"accountEcComponent\">\n    <div class=\"container row w-100 mx-auto py-md-3\">\n        <div class=\"col-12 py-3\">\n            <div class=\"row w-100 mx-auto border-bottom justify-content-between align-items-center py-3\">\n                <h3 class=\"text-black w-auto\">MIS PEDIDOS</h3>\n                <button class=\"btn btn-outline-dark btnLogout px-3 py-1 font-size-10 w-auto\" (click)=\"logout()\">CERRAR\n                    SESI\u00D3N</button>\n            </div>\n            <app-orders-ec></app-orders-ec>\n        </div>\n    </div>\n</section>",
                styles: [".font-size-10{font-size:10px!important}"]
            })
        ], AccountEcComponent);
        return AccountEcComponent;
    }(ComponentHelper));

    var __extends$8 = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __assign$d = (this && this.__assign) || function () {
        __assign$d = Object.assign || function(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                    t[p] = s[p];
            }
            return t;
        };
        return __assign$d.apply(this, arguments);
    };
    var __decorate$G = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var BlockBannerBoxesEcComponent = /** @class */ (function (_super) {
        __extends$8(BlockBannerBoxesEcComponent, _super);
        function BlockBannerBoxesEcComponent(blocksService, consts, analyticsService) {
            var _this = _super.call(this) || this;
            _this.blocksService = blocksService;
            _this.consts = consts;
            _this.analyticsService = analyticsService;
            _this.dots = false;
            _this.nav = false;
            _this.loop = false;
            _this.margin = 10;
            _this.big_ones = [0, 3, 4, 7, 8, 11, 12, 15, 16];
            _this.getImage = function (banner) { return _this.blocksService.getBannerImage(banner); };
            _this.formUrl = function (banner) { return _this.blocksService.formUrl(banner); };
            _this.columnSize = function (i) {
                if (!_this.consts.mobile()) {
                    if (_this.big_ones.includes(i))
                        return 'col-md-8';
                    else if (!((i + 1) == _this.banners.length))
                        return 'col-md-4';
                    else if (((i + 1) == _this.banners.length) && _this.esImpar(i))
                        return 'col-md-4';
                }
                return 'col-md-12';
            };
            _this.esImpar = function (number) { return (number % 2) == 1; };
            _this.boxesInlcudesCode = function (box) { return _this.meta.code.toUpperCase().includes(box.toUpperCase()); };
            _this.options = {
                loop: true,
                autoplay: false,
                smartSpeed: 950,
                margin: 50,
                dots: false,
                navText: ["<i class='fas fa-angle-left'></i>", "<i class='fas fa-angle-right'></i>"],
                nav: true,
                responsive: {
                    0: {
                        items: 1,
                    },
                    400: {
                        items: 4,
                    },
                    600: {
                        items: 4,
                    },
                    1000: {
                        items: 4,
                    }
                }
            };
            _this.ecOnConstruct();
            return _this;
        }
        BlockBannerBoxesEcComponent.prototype.ngOnInit = function () {
            var _this = this;
            var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m;
            this.banners = this.banners.map(function (banner) { return __assign$d(__assign$d({}, banner), banner.translations[_this.consts.getLocale()]); });
            this.meta = __assign$d(__assign$d({}, this.meta), this.meta.translations[this.consts.getLocale()]);
            this.ecOnInit();
            this.options = {
                loop: this.loop,
                //autoplay: false,
                autoplay: true,
                smartSpeed: 950,
                margin: this.margin,
                dots: this.dots,
                navText: ["<i class='fas fa-chevron-left'></i>", "<i class='fas fa-chevron-right'></i>"],
                items: 1,
                nav: this.nav,
                responsive: {
                    0: {
                        items: ((_a = this.meta) === null || _a === void 0 ? void 0 : _a.styles.carrousel) ? (((_c = (_b = this.meta) === null || _b === void 0 ? void 0 : _b.styles) === null || _c === void 0 ? void 0 : _c.items) ? (_d = this.meta) === null || _d === void 0 ? void 0 : _d.styles.items.sm : 1) : 1,
                        nav: true,
                    },
                    400: {
                        items: ((_e = this.meta) === null || _e === void 0 ? void 0 : _e.styles.carrousel) ? (((_g = (_f = this.meta) === null || _f === void 0 ? void 0 : _f.styles) === null || _g === void 0 ? void 0 : _g.items) ? (_h = this.meta) === null || _h === void 0 ? void 0 : _h.styles.items.md : 2) : 2,
                        nav: true,
                    },
                    1000: {
                        items: ((_j = this.meta) === null || _j === void 0 ? void 0 : _j.styles.carrousel) ? (((_l = (_k = this.meta) === null || _k === void 0 ? void 0 : _k.styles) === null || _l === void 0 ? void 0 : _l.items) ? (_m = this.meta) === null || _m === void 0 ? void 0 : _m.styles.items.lg : 4) : 4,
                        nav: true,
                    }
                }
            };
        };
        BlockBannerBoxesEcComponent.prototype.trimClassBlock = function (code) {
            return (code.split('-').length > 1) ? code.split('-')[1].toLowerCase() : '';
        };
        BlockBannerBoxesEcComponent.prototype.selectPromotion = function (banner) {
            this.analyticsService.callEvent('select_promotion', banner);
        };
        BlockBannerBoxesEcComponent.ctorParameters = function () { return [
            { type: BlocksService },
            { type: Constants },
            { type: AnalyticsService }
        ]; };
        __decorate$G([
            core.Input()
        ], BlockBannerBoxesEcComponent.prototype, "banners", void 0);
        __decorate$G([
            core.Input()
        ], BlockBannerBoxesEcComponent.prototype, "meta", void 0);
        __decorate$G([
            core.Input()
        ], BlockBannerBoxesEcComponent.prototype, "dots", void 0);
        __decorate$G([
            core.Input()
        ], BlockBannerBoxesEcComponent.prototype, "nav", void 0);
        __decorate$G([
            core.Input()
        ], BlockBannerBoxesEcComponent.prototype, "loop", void 0);
        __decorate$G([
            core.Input()
        ], BlockBannerBoxesEcComponent.prototype, "margin", void 0);
        BlockBannerBoxesEcComponent = __decorate$G([
            core.Component({
                selector: 'app-block-banner-boxes-ec',
                template: "<section [ngClass]=\"trimClassBlock(meta.code) + ' container-fluid'\" *ngIf=\"banners.length\"\n    [style.background-color]=\"meta.styles?.backgroundColor\"\n    [style.background-image]=\"meta.styles?.backgroundImage ? 'url(' + consts.mediaUrl() + meta.styles?.backgroundImage +')' : 'inherit'\">\n\n\n    <div class=\"block-boxes\">\n        <div class=\"row\" *ngIf=\"meta.name\">\n            <div class=\"col-12 mt-4\">\n                <h2  class=\"font-weight-normal font-gd\">\n                    <span>{{meta.name}}</span>\n                </h2>\n            </div>\n        </div>\n\n        <!-- Si es formato fijo -->\n        <ng-container *ngIf=\"meta.styles && meta.styles.carrousel == false ; else carrousel\">\n\n            <div class=\"banner-content\">\n\n                <div class=\"row g-0\">\n                    <div [class]=\"'item '+ ' col-md-6 ' + ' col-lg-' + (12/banners.length) \"\n                        *ngFor=\"let banner of banners; let i = index\" [id]=\"i\">\n                        <img class=\"img-fluid\" [src]=\"consts.mediaBannerUrl() + getImage(banner)\" alt=\"\">\n                        <div class=\"position-absolute w-100 top-0 start-0 h-100\">\n                        <h2 [class]=\"'item-title  px-2 item-position-vertical-'+ (banner.styles?.description?.position)\" \n                            [style.color]=\"(banner.styles?.description?.color) ? banner.styles?.description?.color : '#000'\">\n                            {{banner.title}}\n                        </h2>\n                        <p *ngIf=\"banner.subtitle\"\n                            [style.color]=\"(banner.styles?.description?.color) ? banner.styles?.description?.color : '#000' \"\n                            [class]=\"'px-4 item-subtitle item-position-vertical-' + (banner.styles?.description?.position)\">\n                            {{banner.subtitle}}\n                        </p>\n                        <div [class]=\"'item-position-vertical-' + (banner.styles?.button?.position)\">\n                            <a *ngIf=\"banner.styles?.button?.text\" href=\"{{banner.url}}\"\n                                [class]=\"'item-button btn btn-light'\">\n                                {{banner.styles.button.text}}\n                            </a>\n                        </div>\n                    </div>\n\n                    </div>\n                </div>\n            </div>\n\n        </ng-container>\n\n        <!-- Si es Carrousel -->\n        <ng-template #carrousel>\n\n\n            <!-- carrousel mobile -->\n            <ng-container *ngIf=\"consts.mobile(); else carrouselNormal\">\n                <div class=\"banner-content mobile carrousel\">\n\n                    <div class=\"row my-2\">\n\n                        <div class=\"col-12 item-carrousel\" *ngFor=\"let banner of banners; let i = index\" [id]=\"i\">\n                            <a href=\"{{banner.url}}\">\n                                <img class=\"img-fluid\" [src]=\"consts.mediaBannerUrl() + getImage(banner)\" alt=\"\">\n                                    <div class=\"position-absolute w-100 top-0 start-0 h-100\">\n                                    <h2 *ngIf=\"banner.title\" [class]=\"'item-title-fullpx-2 item-position-vertical-'+ (banner.styles?.description?.position)\"\n                                    [style.color]=\"(banner.styles?.description?.color) ? banner.styles?.description?.color : '#fff' \">\n                                        {{banner.title}}\n                                    </h2>\n                                    <p *ngIf=\"banner.subtitle\"\n                                        [style.color]=\"(banner.styles?.description?.color) ? banner.styles?.description?.color : '#000' \"\n                                        [class]=\"'px-4 item-subtitle item-position-vertical-' + (banner.styles?.description?.position)\">\n                                        {{banner.subtitle}}\n                                    </p>\n                                    <div [class]=\"'item-position-vertical-' + (banner.styles?.button?.position)\">\n                                        <a *ngIf=\"banner.styles?.button?.text\" href=\"{{banner.url}}\"\n                                            [class]=\"'item-button btn btn-light'\">\n                                            {{banner.styles.button.text}}\n                                        </a>\n                                    </div>\n                                </div>\n                            </a>\n\n                        </div>\n\n                    </div>\n                </div>\n            </ng-container>\n\n            <!-- carrousel desktop -->\n            <ng-template #carrouselNormal>\n\n                <owl-carousel-o [options]=\"options\">\n                    <ng-template carouselSlide *ngFor=\"let banner of banners; let i = index\" [id]=\"i\">\n\n                        <div class=\"banner-content carrousel\">\n                            <img [src]=\"consts.mediaBannerUrl() + getImage(banner)\" alt=\"\">\n                            <div class=\"position-absolute w-100 top-0 start-0 h-100\">\n                                <h2 *ngIf=\"banner.title\" \n                                    [class]=\"'item-title-full px-2 item-position-vertical-'+ (banner.styles?.description?.position)\"\n                                    style=\"color:#fff\">\n                                    {{banner.title}}\n                                </h2>\n                                <p *ngIf=\"banner.subtitle\"\n                                    [style.color]=\"(banner.styles?.description?.color) ? banner.styles?.description?.color : '#000' \"\n                                    [class]=\"'px-4 item-subtitle-full item-position-vertical-' + (banner.styles?.description?.position)\">\n                                    {{banner.subtitle}}\n                                </p>\n                                <div [class]=\"'item-position-vertical-' + (banner.styles?.button?.position)\">\n                                    <a *ngIf=\"banner.styles?.button?.text\" href=\"{{banner.url}}\"\n                                        [style.background-color]=\"(banner.styles?.button?.color) ? banner.styles?.button?.color : '#fff' \"\n                                        [class]=\"'item-button-full btn btn-light'\">\n                                        {{banner.styles.button.text}}\n                                    </a>\n                                </div>\n                            </div>\n                        </div>\n                        <!-- <div *ngIf=\"!banner.url; else externalUrl\" class=\"item-carrousel\">\n                            <a [routerLink]=\"formUrl(banner)\">\n                                <img [src]=\"consts.mediaBannerUrl() + getImage(banner)\" alt=\"\"></a>\n                        </div>\n                        <ng-template #externalUrl>\n                            <div class=\"item-carrousel\">\n                                <a href=\"{{banner.url}}\">\n                                    <img [src]=\"consts.mediaBannerUrl() + getImage(banner)\" alt=\"\">\n                                    <div class=\"bottom-left\">\n                                        {{banner.title}}\n                                    </div>\n\n                                </a>\n                            </div>\n                        </ng-template> -->\n                    </ng-template>\n                </owl-carousel-o>\n\n            </ng-template>\n\n        </ng-template>\n    </div>\n</section>",
                styles: [".item{position:relative}.item-title{top:30%}.item-title-full{top:50%}.item-subtitle-full{top:60%}.item-subtitle{top:40%}.item-button{top:60%}.item-button.item-position-vertical-center{left:50%;transform:translate(-50%)}.item-button.item-position-vertical-left{left:10%}.item-button.item-position-vertical-right{right:5%;transform:translate(-50%)}.item-button-full{top:70%}.item-button-full.item-position-vertical-center{left:50%;transform:translate(-50%)}.item-button-full.item-position-vertical-left{left:10%}.item-button-full.item-position-vertical-right{right:5%;transform:translate(-50%)}.item-position-vertical-left{text-align:left}.item-position-vertical-center{text-align:center}.item-position-vertical-right{text-align:right}h2.item-title-full::after{content:none}"]
            })
        ], BlockBannerBoxesEcComponent);
        return BlockBannerBoxesEcComponent;
    }(ComponentHelper));

    var __extends$9 = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __assign$e = (this && this.__assign) || function () {
        __assign$e = Object.assign || function(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                    t[p] = s[p];
            }
            return t;
        };
        return __assign$e.apply(this, arguments);
    };
    var __decorate$H = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var BlockBannerFullEcComponent = /** @class */ (function (_super) {
        __extends$9(BlockBannerFullEcComponent, _super);
        // public options: any;
        function BlockBannerFullEcComponent(blocksService, consts, router, analyticsService) {
            var _this = _super.call(this) || this;
            _this.blocksService = blocksService;
            _this.consts = consts;
            _this.router = router;
            _this.analyticsService = analyticsService;
            _this.dots = false;
            _this.nav = false;
            _this.loop = false;
            _this.margin = 10;
            _this.getImage = function (banner) { return _this.blocksService.getBannerImage(banner); };
            _this.formUrl = function (banner) { return _this.blocksService.formUrl(banner); };
            _this.options = {
                loop: true,
                autoplay: true,
                smartSpeed: 1050,
                margin: 10,
                dots: false,
                navSpeed: 700,
                navText: ["<i class='fas fa-angle-left'></i>", "<i class='fas fa-angle-right'></i>"],
                items: 1,
                nav: false,
                responsive: {
                    0: { autoWidth: true, items: 1 },
                    576: { autoWidth: true, items: 1 },
                    768: { autoWidth: true, items: 1 },
                    992: { autoWidth: true, items: 1 },
                    1200: { autoWidth: true, items: 1 }
                }
            };
            _this.ecOnConstruct();
            return _this;
        }
        BlockBannerFullEcComponent.prototype.ngOnInit = function () {
            var _this = this;
            this.banners = this.banners.map(function (banner) { return __assign$e(__assign$e({}, banner), banner.translations[_this.consts.getLocale()]); });
            this.ecOnInit();
            //    this.options = {
            //        loop: this.loop,
            //        //autoplay: false,
            //        autoplay: true,
            //        smartSpeed: 950,
            //        margin: this.margin,
            //        dots: this.dots,
            //        navText: ["<i class='fas fa-angle-left'></i>", "<i class='fas fa-angle-right'></i>"],
            //        items:1,
            //        nav:this.nav,
            //        responsive: {
            //           0: { autoWidth: true, items: 1 },
            //           576: { autoWidth: true, items: 1},
            //           768: { autoWidth: true, items: 1},
            //           992: { autoWidth: true, items: 1 },
            //           1200: { autoWidth: true, items: 1}}
            //     }
        };
        BlockBannerFullEcComponent.prototype.handlePage = function (page) {
            return this.router.url.includes(page);
        };
        BlockBannerFullEcComponent.prototype.trimClassBlock = function (code) {
            return (code.split('-').length > 1) ? code.split('-')[1].toLowerCase() : '';
        };
        BlockBannerFullEcComponent.prototype.selectPromotion = function (banner) {
            this.analyticsService.callEvent('select_promotion', banner);
        };
        BlockBannerFullEcComponent.ctorParameters = function () { return [
            { type: BlocksService },
            { type: Constants },
            { type: router.Router },
            { type: AnalyticsService }
        ]; };
        __decorate$H([
            core.Input()
        ], BlockBannerFullEcComponent.prototype, "banners", void 0);
        __decorate$H([
            core.Input()
        ], BlockBannerFullEcComponent.prototype, "meta", void 0);
        __decorate$H([
            core.Input()
        ], BlockBannerFullEcComponent.prototype, "dots", void 0);
        __decorate$H([
            core.Input()
        ], BlockBannerFullEcComponent.prototype, "nav", void 0);
        __decorate$H([
            core.Input()
        ], BlockBannerFullEcComponent.prototype, "loop", void 0);
        __decorate$H([
            core.Input()
        ], BlockBannerFullEcComponent.prototype, "margin", void 0);
        BlockBannerFullEcComponent = __decorate$H([
            core.Component({
                selector: 'app-block-banner-full-ec',
                template: "<section [ngClass]=\"trimClassBlock(meta.code) + ' container-fluid px-0'\" *ngIf=\"banners.length\"\n    [style.background-color]=\"meta.styles?.backgroundColor\"\n    [style.background-image]=\"meta.styles?.backgroundImage ? 'url(' + consts.mediaUrl() + meta.styles?.backgroundImage +')' : 'inherit'\">\n\n\n    <!-- si es formato fijo -->\n    <ng-container *ngIf=\"banners.length == 1;else carrousel \">\n\n        <div class=\"row justify-content-center\">\n            <!-- banner sin boton -->\n            <a *ngIf=\"!banners[0].styles?.button?.text; else fullwithButton\" href=\"{{banners[0].url}}\">\n                <div class=\"item col-12\">\n                    <img class=\"img-fluid\" [src]=\"consts.mediaBannerUrl() + getImage(banners[0])\" alt=\"\">\n                    <div class=\"position-absolute w-100 h-100 start-0 top-0\">\n                        <h2 *ngIf=\"banners[0].title\" [class]=\"'item-title-full px-2 item-position-vertical-' + (banners[0].styles?.description?.position)\"\n                        [style.color]=\"(banners[0].styles?.description?.color) ? banners[0].styles?.description?.color : '#fff' \">\n                            {{banners[0].title}}\n                        </h2>\n                        <p *ngIf=\"banners[0].subtitle\"\n                            [style.color]=\"(banners[0].styles?.description?.color) ? banners[0].styles?.description?.color : '#000' \"\n                            [class]=\"'px-4 item-subtitle-full item-position-vertical-' + (banners[0].styles?.description?.position)\">\n                            {{banners[0].subtitle}}\n                        </p>\n                    </div>\n                </div>\n            </a>\n\n            <!-- banner fijo con boton -->\n            <ng-template #fullwithButton>\n                <div class=\"item col-12\">\n                    <img class=\"img-fluid\" [src]=\"consts.mediaBannerUrl() + getImage(banners[0])\" alt=\"\">\n                    <div class=\"position-absolute w-100 h-100 start-0 top-0\">\n                        <h2 *ngIf=\"banners[0].title\" [class]=\"'item-title-full px-2 item-position-vertical-' + (banners[0].styles?.description?.position)\"\n                        [style.color]=\"(banners[0].styles?.description?.color) ? banners[0].styles?.description?.color : '#000' \">\n                            {{banners[0].title}}\n                        </h2>\n                        <p *ngIf=\"banners[0].subtitle\"\n                            [style.color]=\"(banners[0].styles?.description?.color) ? banners[0].styles?.description?.color : '#000' \"\n                            [class]=\"'px-4 item-subtitle-full item-position-vertical-' + (banners[0].styles?.description?.position)\">\n                            {{banners[0].subtitle}}\n                        </p>\n                        <div [class]=\"'item-position-vertical-' + (banners[0].styles?.button?.position)\">\n                            <a *ngIf=\"banners[0].styles?.button?.text\" href=\"{{banners[0].url}}\"\n                                [class]=\"'item-button-full btn btn-light '\">\n                                {{banners[0].styles.button.text}}\n                            </a>\n                        </div>\n                    </div>\n                </div>\n\n            </ng-template>\n        </div>\n    </ng-container>\n\n\n    <!-- si es carrousel -->\n    <ng-template #carrousel>\n\n        <owl-carousel-o [options]=\"options\">\n            <ng-template carouselSlide *ngFor=\"let banner of banners\" [id]=\"banner.id\">\n\n                <!-- banner sin boton -->\n                <div class=\"item\" *ngIf=\"!banner.styles?.button?.text; else carrouselwithButton\">\n                    <a *ngIf=\"banner.url; else onlyImage\" href=\"{{banner.url}}\">\n                        <img [src]=\"consts.mediaBannerUrl() + getImage(banner)\" alt=\"\">\n                    </a>\n                    <ng-template #onlyImage>\n                        <img [src]=\"consts.mediaBannerUrl() + getImage(banner)\" alt=\"\">\n                    </ng-template>\n                </div>\n\n                <!-- banner con boton -->\n                <ng-template #carrouselwithButton>\n                    <div class=\"item\">\n                        <img [src]=\"consts.mediaBannerUrl() + getImage(banner)\" alt=\"\">\n                        <div class=\"position-absolute w-100 h-100 start-0 top-0\">\n                            <h2 *ngIf=\"banner.title\"\n                                [class]=\"'item-title-full px-2 item-position-vertical-'+ (banner.styles?.description?.position)\"\n                                [style.color]=\"(banner.styles?.description?.color) ? banner.styles?.description?.color : '#000' \">\n                                {{banner.title}}\n                            </h2>\n                            <p *ngIf=\"banner.subtitle\"\n                                [style.color]=\"(banner.styles?.description?.color) ? banner.styles?.description?.color : '#000' \"\n                                [class]=\"'px-4 item-subtitle-full item-position-vertical-' + (banner.styles?.description?.position)\">\n                                {{banner.subtitle}}\n                            </p>\n                            <div [class]=\"'item-position-vertical-' + (banner.styles?.button?.position)\">\n                                <a *ngIf=\"banner.styles?.button?.text\" href=\"{{banner.url}}\"\n                                    [class]=\"'item-button-full btn btn-light'\">\n                                    {{banner.styles.button.text}}\n                                </a>\n                            </div>\n                        </div>\n                        <!-- <a *ngIf=\"!banner.url && (formUrl(banner) != '/')\" [routerLink]=\"formUrl(banner)\"\n                                class=\"btn btn-outline-light rounded-0 py-3 px-4 btn-conoce btn-caption-banner\">\n                                Conoc&eacute; Mas</a>\n                            <a *ngIf=\"banner.url\" href=\"{{banner.url}}\"\n                                class=\"btn btn-outline-light rounded-0 py-3 px-4 btn-conoce btn-caption-banner\">\n                                Conoc&eacute; Mas</a> -->\n                    </div>\n                </ng-template>\n\n\n                <!-- <div class=\"item\">\n                    <a *ngIf=\"banner.url; else onlyImage\" href=\"{{banner.url}}\">\n                        <img [src]=\"consts.mediaBannerUrl() + getImage(banner)\" alt=\"\">\n                    </a>\n                    <ng-template #onlyImage>\n                        <img [src]=\"consts.mediaBannerUrl() + getImage(banner)\" alt=\"\">\n                    </ng-template>\n                    <div class=\"carousel-caption d-block\">\n                        <a *ngIf=\"!banner.url && (formUrl(banner) != '/')\" [routerLink]=\"formUrl(banner)\"\n                            class=\"btn btn-outline-light rounded-0 py-3 px-4 btn-conoce btn-caption-banner\">\n                            Conoc&eacute; Mas</a>\n                        <a *ngIf=\"banner.url\" href=\"{{banner.url}}\"\n                            class=\"btn btn-outline-light rounded-0 py-3 px-4 btn-conoce btn-caption-banner\">\n                            Conoc&eacute; Mas</a>\n                    </div>\n                </div> -->\n            </ng-template>\n        </owl-carousel-o>\n    </ng-template>\n</section>\n",
                styles: [".owl-theme .owl-nav{background:0 0!important}.item{position:relative}.item-title{top:30%}.item-title-full{top:50%}.item-subtitle-full{top:60%}.item-subtitle{top:40%}.item-button{top:60%}.item-button.item-position-vertical-center{left:50%;transform:translate(-50%)}.item-button.item-position-vertical-left{left:10%}.item-button.item-position-vertical-right{right:5%;transform:translate(-50%)}.item-button-full{top:70%}.item-button-full.item-position-vertical-center{left:50%;transform:translate(-50%)}.item-button-full.item-position-vertical-left{left:10%}.item-button-full.item-position-vertical-right{right:5%;transform:translate(-50%)}.item-position-vertical-left{text-align:left}.item-position-vertical-center{text-align:center}.item-position-vertical-right{text-align:right}h2.item-title-full::after{content:none}"]
            })
        ], BlockBannerFullEcComponent);
        return BlockBannerFullEcComponent;
    }(ComponentHelper));

    var __extends$a = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __assign$f = (this && this.__assign) || function () {
        __assign$f = Object.assign || function(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                    t[p] = s[p];
            }
            return t;
        };
        return __assign$f.apply(this, arguments);
    };
    var __decorate$I = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var BlockFormContactEcComponent = /** @class */ (function (_super) {
        __extends$a(BlockFormContactEcComponent, _super);
        function BlockFormContactEcComponent(toastrService, router, consts, formBuilder, blocksService) {
            var _this = _super.call(this) || this;
            _this.toastrService = toastrService;
            _this.router = router;
            _this.consts = consts;
            _this.formBuilder = formBuilder;
            _this.blocksService = blocksService;
            _this.redirect = true;
            _this.form_data = new FormData();
            _this.loading = false;
            _this.sendForm = function (form, success_message) {
                if (form.valid && (form.value.email.includes('@'))) {
                    var formData = new FormData();
                    formData.append('mailText', form.value.body);
                    formData.append('form_code', _this.block.code);
                    _this.sendValue('name') && formData.append('name', _this.contact_form.get('name').value);
                    _this.sendValue('email') && formData.append('email', _this.contact_form.get('email').value);
                    _this.sendValue('telephone') && formData.append('telephone', _this.contact_form.get('telephone').value);
                    _this.sendValue('subject') && formData.append('subject', _this.contact_form.get('subject').value);
                    _this.sendValue('body') && formData.append('body', _this.contact_form.get('body').value);
                    _this.sendValue('attachments') && formData.append('attachment', _this.contact_form.get('attachment').value);
                    _this.blocksService.sendResponse(formData).toPromise().then(function (res) {
                        _this.contact_form.reset();
                        _this.toastrService.show(_this.success_message || success_message);
                        _this.loading = false;
                        _this.redirect && _this.router.navigateByUrl('/home');
                    }, function (err) {
                        _this.toastrService.show('inquiry-error');
                        _this.loading = false;
                    });
                }
                else {
                    _this.toastrService.show('invalid-form');
                    _this.loading = false;
                }
            };
            _this.setSubject = function () {
                _this.contact_form.setValue(__assign$f(__assign$f({}, _this.contact_form.value), { subject: _this.subject }));
            };
            _this.subscribe = function () {
                // PEDIR AL SERVICIO SE LO SUBSCRIBA, Y RESPONDA SI LO SUBSCRIBIÓ O YA ESTABA SUBSCRIPTO
            };
            _this.toastNewsletterForm = function (e) {
                _this.loading = true;
                e.preventDefault();
                _this.sendForm(_this.newsletter_form, 'newsletter-thanks');
            };
            _this.toastCompleteForm = function (e) {
                _this.loading = true;
                e.preventDefault();
                _this.sendForm(_this.contact_form, 'inquiry-sent');
            };
            _this.sendValue = function (key) {
                try {
                    var keysearch = key[0].toUpperCase() + key.slice(1).toLowerCase();
                    return _this.block && _this.block['send' + keysearch] || false;
                }
                catch (error) {
                    console.error(error);
                    return false;
                }
            };
            _this.contact_form = _this.formBuilder.group({
                name: ['', []],
                email: ['', forms.Validators.required],
                telephone: ['', []],
                subject: ['', []],
                body: ['', []],
                attachment: [''],
                captcha: ['', forms.Validators.required],
            });
            _this.newsletter_form = _this.formBuilder.group({
                email: ['', forms.Validators.required],
            });
            _this.ecOnConstruct();
            return _this;
        }
        BlockFormContactEcComponent.prototype.trimClassBlock = function (code) {
            return (code.split('-').length > 1) ? code.split('-')[1].toLowerCase() : '';
        };
        BlockFormContactEcComponent.prototype.uploadFile = function (event) {
            if (event.target.files.length > 0) {
                var file = event.target.files[0];
                this.contact_form.get('attachment').setValue(file);
            }
        };
        BlockFormContactEcComponent.prototype.ngOnChanges = function () { };
        BlockFormContactEcComponent.prototype.ngOnInit = function () {
            this.block = __assign$f(__assign$f({}, this.block), this.block.translations[this.consts.getLocale()]);
            this.subject && this.setSubject();
            this.ecOnInit();
        };
        BlockFormContactEcComponent.prototype.resolved = function (captchaResponse) {
            this.form_data.catpcha = captchaResponse;
        };
        BlockFormContactEcComponent.ctorParameters = function () { return [
            { type: ToastService },
            { type: router.Router },
            { type: Constants },
            { type: forms.FormBuilder },
            { type: BlocksService }
        ]; };
        __decorate$I([
            core.Input()
        ], BlockFormContactEcComponent.prototype, "block", void 0);
        __decorate$I([
            core.Input()
        ], BlockFormContactEcComponent.prototype, "success_message", void 0);
        __decorate$I([
            core.Input()
        ], BlockFormContactEcComponent.prototype, "redirect", void 0);
        __decorate$I([
            core.Input()
        ], BlockFormContactEcComponent.prototype, "subject", void 0);
        BlockFormContactEcComponent = __decorate$I([
            core.Component({
                selector: 'app-block-form-contact-ec',
                template: "<!-- banners -->\n<!-- <div class=\"row\">\n     <div class=\"col-12 p-0\" id=\"banner-slider-home\">\n          <div id=\"banner-slider\" class=\"h-100 w-100\">\n               <div class=\"item\">\n                    <img src=\"assets/image/login.png\" class=\"w-100 d-none d-md-block\">\n                    <img src=\"assets/image/26912-05-mobile.png\" class=\"w-100 d-block d-md-none\">\n                    <div class=\"caption position-absolute center-item\">\n                         <h1 class=\"color-white\">Contacto</h1>\n                    </div>\n               </div>\n          </div>\n     </div>\n</div>\n\n<div class=\"row\" id=\"contacto\">\n     <div class=\"col-12 py-md-5 py-0 px-0\">\n          <div class=\"container\" style=\"background-color: #F1F1F1;\">\n               <div class=\"row d-flex justify-content-center\">\n                    <div class=\"col-md-7 px-md-5 px-3 col-12\">\n                         <h1 class=\"right-line font-mg ff-ubuntu-light mb-2\"><span>Tomamos nota y te</span>\n                         </h1>\n                         <h1 class=\"font-mg ff-ubuntu-semi-bold mb-2\">respondemos lo antes posible</h1>\n                         <form (submit)=\"toastCompleteForm($event)\">\n                              <div class=\"row\">\n                                   <div class=\"col-md-6 col-12 mt-2\" *ngIf=\"block.sendName\">\n                                        <input class=\"form-control mb-4 radius-0 border-0\" type=\"text\"\n                                             [formControl]=\"contact_form.controls['name']\" placeholder=\"Nombre\">\n                                   </div>\n                                   <div class=\"col-md-6 col-12 mt-2\" *ngIf=\"block.sendEmail\">\n                                        <input class=\"form-control mb-4 radius-0 border-0\" type=\"text\"\n                                             [formControl]=\"contact_form.controls['email']\"\n                                             placeholder=\"Correo electr\u00F3nico\">\n                                   </div>\n                                   <div class=\"col-md-6 col-12 mt-2\" *ngIf=\"block.sendTelephone\">\n                                        <input class=\"form-control mb-4 radius-0 border-0\" type=\"text\"\n                                             [formControl]=\"contact_form.controls['telephone']\"\n                                             placeholder=\"Numero de tel\u00E9fno\">\n                                   </div>\n                                   <div class=\"col-md-6 col-12 mt-2\" *ngIf=\"block.sendSubject\">\n                                        <input class=\"form-control mb-4 radius-0 border-0\" type=\"text\"\n                                             [formControl]=\"contact_form.controls['subject']\" placeholder=\"Asunto\">\n                                   </div>\n                                   <div class=\"col-12 mt-2\" *ngIf=\"block.sendBody\">\n                                        <textarea class=\"form-control mb-4 radius-0 border-0\"\n                                             [formControl]=\"contact_form.controls['body']\"\n                                             placeholder=\"Comentarios\"></textarea>\n                                   </div>\n                                   <div class=\"col-12 mt-2\">\n                                     \n                                        <re-captcha class=\"g-recaptcha\" (resolved)=\"resolved($event)\"\n                                             [formControl]=\"contact_form.controls['captcha']\">\n                                        </re-captcha>\n                                   </div>\n                                   <div class=\"col-12 mb-5\">\n                                        <button [disabled]=\"contact_form.invalid\" type=\"submit\"\n                                             class=\"bg-gray border-0 px-4 py-2 color-white ff-ubuntu-light\">ENVIAR</button>\n                                   </div>\n                              </div>\n                         </form>\n                    </div>\n               </div>\n          </div>\n     </div>\n</div> -->\n\n<div [ngClass]=\"trimClassBlock(block.code) + ' container-fluid'\"  *ngIf=\"block\">\n    <div class=\"row justify-content-center\">\n        <div class=\"col-12 col-md-12\">\n            <div class=\"row w-100 m-auto\">\n                <h5>{{block.name || 'Dejanos tu consulta'}}</h5>\n                <p class=\"w-100\">{{ block.description || 'Completa el siguiente formulario y responderemos tu consulta a\n                    la brevedad' }}</p>\n            </div>\n            <form (submit)=\"toastCompleteForm($event)\" class=\"position-relative\">\n                <div class=\"form-group\" *ngIf=\"block.sendName\">\n                    <label class=\"sr-only\" for=\"nombre\">Nombre</label>\n                    <input [formControl]=\"contact_form.controls['name']\" type=\"text\"\n                        class=\"form-control form-control-sm required\" id=\"nombre\" placeholder=\"Nombre\">\n                </div>\n\n                <div class=\"form-group\" *ngIf=\"block.sendEmail\">\n                    <label class=\"sr-only\" for=\"mail\">Email</label>\n                    <input [formControl]=\"contact_form.controls['email']\" type=\"email\"\n                        class=\"form-control form-control-sm required\" id=\"mail\" placeholder=\"Email\">\n                </div>\n\n                <div class=\"form-group\" *ngIf=\"block.sendTelephone\">\n                    <label class=\"sr-only\" for=\"telefono\">Tel\u00E9fono</label>\n                    <input [formControl]=\"contact_form.controls['telephone']\" type=\"text\"\n                        class=\"form-control form-control-sm required\" id=\"telefono\" placeholder=\"Tel\u00E9fono\">\n                </div>\n\n                <div class=\"form-group\" *ngIf=\"block.sendSubject\">\n                    <label class=\"sr-only\" for=\"subject\">Asunto</label>\n                    <input [formControl]=\"contact_form.controls['subject']\" type=\"text\"\n                        class=\"form-control form-control-sm required\" id=\"subject\" placeholder=\"Asunto\">\n                </div>\n\n                <div class=\"form-group\" *ngIf=\"block.sendBody\">\n                    <label class=\"sr-only\" for=\"mensaje\">Mensaje</label>\n                    <textarea [formControl]=\"contact_form.controls['body']\" name=\"mensaje\" id=\"mensaje \" cols=\"30\"\n                        rows=\"5\" placeholder=\"Dejanos tu mensaje\"\n                        class=\"form-control form-control-sm required\"></textarea>\n                </div>\n\n                <div class=\"boxContenidoCapcha mb-3\">\n                    <div class=\"contenedorCaptcha\">\n                        <re-captcha-ec [form]=\"contact_form\"></re-captcha-ec>\n                    </div>\n                </div>\n\n\n\n                <button type=\"submit\" class=\"btn btn-dark text-uppercase px-5\"\n                    [disabled]=\"contact_form.invalid\">ENVIAR</button>\n                \n                <app-loading-section-ec *ngIf=\"loading\"></app-loading-section-ec>\n            </form>\n        </div>\n\n       <!--  <div class=\"col-12 col-md-4 py-3\">\n            <div *ngIf=\"block && block.additionalInformation; else noHTMLContentView\"\n                [innerHTML]=\"block.additionalInformation\">\n            </div>\n        </div> -->\n    </div>\n</div>",
                styles: [".center-item{top:50%;right:50%}"]
            })
        ], BlockFormContactEcComponent);
        return BlockFormContactEcComponent;
    }(ComponentHelper));

    var __extends$b = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$J = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var BlockHtmlEcComponent = /** @class */ (function (_super) {
        __extends$b(BlockHtmlEcComponent, _super);
        function BlockHtmlEcComponent(sanitizer) {
            var _this = _super.call(this) || this;
            _this.sanitizer = sanitizer;
            _this.ecOnConstruct();
            return _this;
        }
        BlockHtmlEcComponent.prototype.ngOnInit = function () {
            this.html_content = this.sanitizer.bypassSecurityTrustHtml(this.html_content);
            this.ecOnInit();
        };
        BlockHtmlEcComponent.prototype.trimClassBlock = function (code) {
            return (code.split('-').length > 1) ? code.split('-')[1].toLowerCase() : '';
        };
        BlockHtmlEcComponent.ctorParameters = function () { return [
            { type: platformBrowser.DomSanitizer }
        ]; };
        __decorate$J([
            core.Input()
        ], BlockHtmlEcComponent.prototype, "html_content", void 0);
        BlockHtmlEcComponent = __decorate$J([
            core.Component({
                selector: 'app-block-html-ec',
                template: "<div [innerHTML]=\"html_content\"></div>",
                styles: [""]
            })
        ], BlockHtmlEcComponent);
        return BlockHtmlEcComponent;
    }(ComponentHelper));

    var __extends$c = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __assign$g = (this && this.__assign) || function () {
        __assign$g = Object.assign || function(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                    t[p] = s[p];
            }
            return t;
        };
        return __assign$g.apply(this, arguments);
    };
    var __decorate$K = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __param$6 = (this && this.__param) || function (paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    };
    var ContactFormNewsEcComponent = /** @class */ (function (_super) {
        __extends$c(ContactFormNewsEcComponent, _super);
        function ContactFormNewsEcComponent(toastrService, router, consts, paramsService, formBuilder, blocksService, env) {
            var _this = _super.call(this) || this;
            _this.toastrService = toastrService;
            _this.router = router;
            _this.consts = consts;
            _this.paramsService = paramsService;
            _this.formBuilder = formBuilder;
            _this.blocksService = blocksService;
            _this.env = env;
            _this.complete = false;
            _this.codeBlock = 'newsletter_block';
            _this.blocks = [];
            _this.blockContact = null;
            _this.form_data = {};
            _this.sendForm = function (form, success_message) {
                console.log('enviando...');
                if (form.valid && (form.value.email.includes('@'))) {
                    var formData = new FormData();
                    formData.append('form_code', _this.block.code);
                    _this.sendValue('name') && formData.append('name', form.get('name').value);
                    _this.sendValue('email') && formData.append('email', form.get('email').value);
                    _this.sendValue('telephone') && formData.append('telephone', form.get('telephone').value);
                    _this.sendValue('subject') && formData.append('subject', form.get('subject').value);
                    _this.sendValue('body') && formData.append('body', form.get('body').value);
                    _this.sendValue('attachments') && formData.append('attachment', form.get('attachment').value);
                    _this.blocksService.sendResponse(formData).toPromise().then(function (res) {
                        _this.newsletter_form.reset();
                        _this.toastrService.show(_this.success_message || success_message);
                    }, function (err) {
                        _this.toastrService.show('inquiry-error');
                    });
                }
                else {
                    _this.toastrService.show('invalid-form');
                }
            };
            _this.subscribeBlockNews = function (block) {
            };
            _this.setSubject = function () {
                _this.contact_form.setValue(__assign$g(__assign$g({}, _this.contact_form.value), { subject: _this.subject }));
            };
            _this.subscribe = function () {
                // PEDIR AL SERVICIO SE LO SUBSCRIBA, Y RESPONDA SI LO SUBSCRIBIÓ O YA ESTABA SUBSCRIPTO
            };
            _this.toastNewsletterForm = function (e) {
                e.preventDefault();
                _this.sendForm(_this.newsletter_form, 'newsletter-thanks');
            };
            _this.sendValue = function (key) {
                try {
                    var keysearch = key[0].toUpperCase() + key.slice(1).toLowerCase();
                    return _this.block && _this.block['send' + keysearch] || false;
                }
                catch (error) {
                    console.error(error);
                    return false;
                }
            };
            _this.newsletter_form = _this.formBuilder.group({
                name: ['', []],
                email: ['', forms.Validators.required],
                telephone: ['', []],
                subject: ['', []],
                body: ['', []],
                captcha: ['', []],
                terms: ['', forms.Validators.required],
            });
            _this.ecOnConstruct();
            return _this;
        }
        ContactFormNewsEcComponent.prototype.ngOnChanges = function () {
        };
        ContactFormNewsEcComponent.prototype.ngOnInit = function () {
            var _this = this;
            if (!this.block) {
                this.blocksService.getBlocks('home');
                this.blocksService.blocks.pipe(operators.filter(function (blocks) { return (blocks && blocks.length > 0); })).subscribe(function (blocks) {
                    _this.block = _this.blocksService.getBlockByCode(_this.codeBlock);
                    if (_this.block.contactForm) {
                        _this.block = _this.block.contactForm;
                    }
                    _this.block = __assign$g(__assign$g({}, _this.block), _this.block.translations[_this.consts.getLocale()]);
                    _this.subscribeBlockNews(_this.block);
                });
            }
            else {
                this.block = __assign$g(__assign$g({}, this.block), this.block.translations[this.consts.getLocale()]);
            }
            this.subject && this.setSubject();
            this.ecOnInit();
        };
        ContactFormNewsEcComponent.prototype.resolved = function (captchaResponse, res) {
            this.form_data.catpcha = captchaResponse;
        };
        ContactFormNewsEcComponent.prototype.trimClassBlock = function (code) {
            return (code.split('-').length > 1) ? code.split('-')[1].toLowerCase() : '';
        };
        ContactFormNewsEcComponent.ctorParameters = function () { return [
            { type: ToastService },
            { type: router.Router },
            { type: Constants },
            { type: ParametersService },
            { type: forms.FormBuilder },
            { type: BlocksService },
            { type: undefined, decorators: [{ type: core.Inject, args: ['env',] }] }
        ]; };
        __decorate$K([
            core.Input()
        ], ContactFormNewsEcComponent.prototype, "block", void 0);
        __decorate$K([
            core.Input()
        ], ContactFormNewsEcComponent.prototype, "complete", void 0);
        __decorate$K([
            core.Input()
        ], ContactFormNewsEcComponent.prototype, "success_message", void 0);
        __decorate$K([
            core.Input()
        ], ContactFormNewsEcComponent.prototype, "subject", void 0);
        __decorate$K([
            core.Input()
        ], ContactFormNewsEcComponent.prototype, "codeBlock", void 0);
        ContactFormNewsEcComponent = __decorate$K([
            core.Component({
                selector: 'app-contact-form-news-ec',
                template: "<div class=\"row\">\n    <div class=\"col-12 p-md-5 p-0\">\n        <div class=\"row d-flex flex-row justify-content-center\" id=\"newsletter\">\n\n            <form (submit)=\"toastNewsletterForm($event)\" id=\"form-suscripcion\" name=\"form-suscripcion\">\n                <h4>{{block.name || 'Suscr\u00EDbete a nuestras novedades'}}</h4>\n\n                <div class=\"input-group mb-3\">\n                    <input type=\"email\" class=\"form-control\" placeholder=\"Tu Email\"  [formControl]=\"newsletter_form.controls['email']\">\n                    <button class=\"btn btn-secondary\" type=\"submit\" id=\"button-addon\">Enviar</button>\n                </div>\n                <div class=\"form-check\">\n                    <input class=\"form-check-input\" type=\"checkbox\" value=\"\" id=\"flexCheck\"  [formControl]=\"newsletter_form.controls['terms']\">\n                    <label class=\"form-check-label\" for=\"flexCheck\">\n                        Acepto que he le\u00EDdo la <a routerLink=\"/section/terminos-y-condiciones\">pol\u00EDtica de\n                            privacidad y condiciones</a>\n                    </label>\n                </div>\n                <!-- <input type=\"text\" name=\"email-suscripcion\" id=\"email-suscripcion\" placeholder=\"Tu e-mail\"\n                    data-bs-bvalidator=\"email,required\" data-bs-bvalidator-msg=\"Completar\" required email\n                    [formControl]=\"newsletter_form.controls['email']\">\n                <button type=\"submit\" value=\"Enviar\">Enviar</button>\n                <br />\n                <div class=\"d-flex flex-row align-items-end\">\n                    <input class=\"form-check-input justify-content-star\" type=\"checkbox\" required\n                        [formControl]=\"newsletter_form.controls['terms']\" id=\"flexCheckDefault\">\n                    <label class=\"form-check-label\" for=\"flexCheckDefault\">\n                        Acepto que he le\u00EDdo la <a routerLink=\"/section/terminos-y-condiciones\"\n                            class=\"text-white text-underline d-inline\">pol\u00EDtica de\n                            privacidad y condiciones</a>\n                    </label>\n                </div> -->\n            </form>\n\n        </div>\n    </div>\n</div>",
                providers: [BlocksService],
                styles: [""]
            }),
            __param$6(6, core.Inject('env'))
        ], ContactFormNewsEcComponent);
        return ContactFormNewsEcComponent;
    }(ComponentHelper));

    var __extends$d = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __assign$h = (this && this.__assign) || function () {
        __assign$h = Object.assign || function(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                    t[p] = s[p];
            }
            return t;
        };
        return __assign$h.apply(this, arguments);
    };
    var __decorate$L = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var BlockProductsEcComponent = /** @class */ (function (_super) {
        __extends$d(BlockProductsEcComponent, _super);
        function BlockProductsEcComponent(consts, analyticsService) {
            var _this = _super.call(this) || this;
            _this.consts = consts;
            _this.analyticsService = analyticsService;
            _this.dots = false;
            _this.nav = false;
            _this.loop = false;
            _this.margin = 10;
            _this.optionsOwl = {
                loop: false,
                autoplay: false,
                smartSpeed: 950,
                margin: 10,
                dots: false,
                navText: ["<i class='fas fa-angle-left'></i>", "<i class='fas fa-angle-right'></i>"],
                responsive: {
                    0: {
                        items: 4,
                        nav: true,
                    },
                    400: {
                        items: 4,
                        nav: true,
                    },
                    1000: {
                        items: 4,
                        nav: true,
                    }
                }
            };
            _this.boxesInlcudesCode = function (box) { return _this.meta.code.toUpperCase().includes(box.toUpperCase()); };
            _this.ecOnConstruct();
            return _this;
        }
        BlockProductsEcComponent.prototype.ngOnInit = function () {
            var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m, _o, _p;
            this.meta = __assign$h(__assign$h({}, this.meta), (this.meta.translations ? this.meta.translations[this.consts.getLocale()] : { name: null }));
            this.analyticsService.callEvent('view_item_list', { products: this.products, item_list_name: this.meta.name || 'Block Products', item_list_id: ((_b = (_a = this.meta.name) === null || _a === void 0 ? void 0 : _a.toLowerCase()) === null || _b === void 0 ? void 0 : _b.replace(' ', '-')) || 'block-products' });
            this.optionsOwl = {
                loop: this.loop,
                autoplay: false,
                smartSpeed: 950,
                margin: this.margin,
                dots: this.dots,
                navText: ["<i class='fas fa-angle-left'></i>", "<i class='fas fa-angle-right'></i>"],
                nav: this.nav,
                responsive: {
                    0: {
                        items: ((_c = this.meta) === null || _c === void 0 ? void 0 : _c.styles.carrousel) ? (((_e = (_d = this.meta) === null || _d === void 0 ? void 0 : _d.styles) === null || _e === void 0 ? void 0 : _e.items) ? (_f = this.meta) === null || _f === void 0 ? void 0 : _f.styles.items.sm : 1) : 1,
                        nav: true,
                    },
                    400: {
                        items: ((_g = this.meta) === null || _g === void 0 ? void 0 : _g.styles.carrousel) ? (((_j = (_h = this.meta) === null || _h === void 0 ? void 0 : _h.styles) === null || _j === void 0 ? void 0 : _j.items) ? (_k = this.meta) === null || _k === void 0 ? void 0 : _k.styles.items.md : 2) : 2,
                        nav: true,
                    },
                    1000: {
                        items: ((_l = this.meta) === null || _l === void 0 ? void 0 : _l.styles.carrousel) ? (((_o = (_m = this.meta) === null || _m === void 0 ? void 0 : _m.styles) === null || _o === void 0 ? void 0 : _o.items) ? (_p = this.meta) === null || _p === void 0 ? void 0 : _p.styles.items.lg : 4) : 4,
                        nav: true,
                    }
                }
            };
            this.ecOnInit();
        };
        BlockProductsEcComponent.prototype.ngOnChanges = function () {
        };
        BlockProductsEcComponent.prototype.getKeyByValue = function (object, value) {
            return Object.keys(object).find(function (key) { return object[key] === value; });
        };
        BlockProductsEcComponent.prototype.trimClassBlock = function (code) {
            return (code.split('-').length > 1) ? code.split('-')[1].toLowerCase() : '';
        };
        BlockProductsEcComponent.prototype.selectPromotion = function (banner) {
            this.analyticsService.callEvent('select_promotion', banner);
        };
        BlockProductsEcComponent.ctorParameters = function () { return [
            { type: Constants },
            { type: AnalyticsService }
        ]; };
        __decorate$L([
            core.Input()
        ], BlockProductsEcComponent.prototype, "appProduct", void 0);
        __decorate$L([
            core.Input()
        ], BlockProductsEcComponent.prototype, "products", void 0);
        __decorate$L([
            core.Input()
        ], BlockProductsEcComponent.prototype, "meta", void 0);
        __decorate$L([
            core.Input()
        ], BlockProductsEcComponent.prototype, "dots", void 0);
        __decorate$L([
            core.Input()
        ], BlockProductsEcComponent.prototype, "nav", void 0);
        __decorate$L([
            core.Input()
        ], BlockProductsEcComponent.prototype, "loop", void 0);
        __decorate$L([
            core.Input()
        ], BlockProductsEcComponent.prototype, "margin", void 0);
        BlockProductsEcComponent = __decorate$L([
            core.Component({
                selector: 'app-block-products-ec',
                template: "<!-- <div class=\"row\">\n     <div class=\"col-12 text-center mt-4\">\n          <h1 class=\"ff-source-bold color-golden\">\n               {{ meta.name || 'NOVEDADES'}}\n          </h1>\n     </div>\n     <div class=\"col-12 p-0\">\n          <div class=\"container\">\n               <owl-carousel-o [options]=\"options\" class=\" py-3 px-md-5 px-0\">\n                    <ng-container *ngFor=\"let product of products\">\n                         <ng-template carouselSlide>\n                              <div class=\"px-4 py-0 text-center\">\n                                   <app-product [product]=\"product\"></app-product>\n                              </div>\n                         </ng-template>\n                    </ng-container>\n               </owl-carousel-o>\n          </div>\n     </div>\n</div> -->\n<section [ngClass]=\"trimClassBlock(meta.code) + ' container-fluid'\">\n\n\n    <div class=\"blockProduct block-product\">\n        <div *ngIf=\"meta.name\" class=\"row\">\n            <div class=\"col-12 mt-4\">\n                <h2  class=\"font-weight-normal font-gd\">\n                    <span>{{meta.name}}</span>\n                </h2>\n            </div>\n        </div>\n\n        <ng-container *ngIf=\"meta.styles && meta.styles.carrousel == false ; else carrousel\">\n\n            <div class=\"row \">\n                <div [class]=\"'item '+ ' col-'+ (meta.styles.items.sm) + ' col-md-' + (meta.styles.items.md)  + ' col-lg-' + (meta.styles.items.lg)  + ' px-2'\"\n                    *ngFor=\"let product of products; let i = index\" [id]=\"i\">\n\n\n                    <!-- verifica que si vienen un template para un custom appProduct llamado \"appProduct\" con un objeto \"product\"- sino usa por defecto el del core -->\n                    <ng-container [ngTemplateOutlet]=\"appProduct ? appProduct : defaultAppProduct\" [ngTemplateOutletContext]=\"{product:product}\"  ></ng-container>\n                   \n                  \n                </div>\n            </div>\n\n        </ng-container>\n\n        <ng-template #carrousel>\n\n\n            <owl-carousel-o [options]=\"optionsOwl\">\n                <ng-template carouselSlide *ngFor=\"let product of products; let i = index\" [id]=\"i\">\n\n                    <ng-container [ngTemplateOutlet]=\"appProduct ? appProduct : defaultAppProduct\" [ngTemplateOutletContext]=\"{product:product}\"  ></ng-container>\n\n                    <!-- <app-product-ec [product]=\"product\"></app-product-ec> -->\n                </ng-template>\n            </owl-carousel-o>\n\n\n        </ng-template>\n    </div>\n</section>\n\n\n<!-- componente por defecto (tomara como producto el contexto pasado como \"product\") -->\n<ng-template #defaultAppProduct let-product=\"product\" > \n    <!-- <app-product [product]=\"product\"></app-product> -->\n    <app-product-ec [product]=\"product\"></app-product-ec>\n</ng-template>",
                styles: [".item{position:relative}.item-title{top:30%}.item-title-full{top:50%}.item-subtitle-full{top:60%}.item-subtitle{top:40%}.item-button{top:60%}.item-button.item-position-vertical-center{left:50%;transform:translate(-50%)}.item-button.item-position-vertical-left{left:10%}.item-button.item-position-vertical-right{right:5%;transform:translate(-50%)}.item-button-full{top:70%}.item-button-full.item-position-vertical-center{left:50%;transform:translate(-50%)}.item-button-full.item-position-vertical-left{left:10%}.item-button-full.item-position-vertical-right{right:5%;transform:translate(-50%)}.item-position-vertical-left{text-align:left}.item-position-vertical-center{text-align:center}.item-position-vertical-right{text-align:right}h2.item-title-full::after{content:none}"]
            })
        ], BlockProductsEcComponent);
        return BlockProductsEcComponent;
    }(ComponentHelper));

    var __extends$e = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$M = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var BlocksEcComponent = /** @class */ (function (_super) {
        __extends$e(BlocksEcComponent, _super);
        function BlocksEcComponent(blocksService, consts, analyticsService) {
            var _this = _super.call(this) || this;
            _this.blocksService = blocksService;
            _this.consts = consts;
            _this.analyticsService = analyticsService;
            _this.strsection = null;
            _this.show_loading = true;
            _this.getHTMLContent = function (block) { return block.translations[_this.consts.getLocale()].content; };
            _this.showBlock = function (block) { return _this.blockFilters ? _this.blockFilters.includes(block.code) : true; };
            _this.isNewsletter = function (block) { return block.contactForm.code.includes('news'); };
            _this.ecOnConstruct();
            return _this;
        }
        Object.defineProperty(BlocksEcComponent.prototype, "section", {
            set: function (paramsstrsection) {
                this.strsection = paramsstrsection;
                this.strsection && this.blocksService.getBlocks(this.strsection);
            },
            enumerable: true,
            configurable: true
        });
        BlocksEcComponent.prototype.ngOnInit = function () {
            // this.blocksService.getBlocks(this.section);
            this.ecOnInit();
        };
        BlocksEcComponent.prototype.trimClassBlock = function (code) {
            return (code.split('-').length > 1) ? code.split('-')[1].toLowerCase() : '';
        };
        BlocksEcComponent.prototype.selectPromotion = function (block) {
            console.log('hola');
            this.analyticsService.callEvent('select_promotion', block);
        };
        BlocksEcComponent.ctorParameters = function () { return [
            { type: BlocksService },
            { type: Constants },
            { type: AnalyticsService }
        ]; };
        __decorate$M([
            core.Input()
        ], BlocksEcComponent.prototype, "appProduct", void 0);
        __decorate$M([
            core.Input()
        ], BlocksEcComponent.prototype, "templates", void 0);
        __decorate$M([
            core.Input()
        ], BlocksEcComponent.prototype, "blockFilters", void 0);
        __decorate$M([
            core.Input()
        ], BlocksEcComponent.prototype, "section", null);
        __decorate$M([
            core.Input()
        ], BlocksEcComponent.prototype, "show_loading", void 0);
        BlocksEcComponent = __decorate$M([
            core.Component({
                selector: 'app-blocks-ec',
                template: "<div *ngIf=\"blocksService.blocks | async as blocks\">\n    <div *ngIf=\"blocks\">\n        <div class=\"container-fluid px-0\" *ngIf=\"blocks.length >= 1; else loading\">\n            <div class=\"row\">\n\n                <ng-container *ngFor=\"let block of blocks\">\n                    <ng-container [ngSwitch]=\"block.contentType\">\n                        <!-- Block Banner-->\n                        <ng-container *ngSwitchCase=\"'banner'\">\n                            <!--Banner Full-->\n                            <ng-template #appBlockBannerFullEc let-block=\"block\">\n                                <app-block-banner-full-ec\n                                    [class]=\"block.styles && block.styles?.items ? ('col-sm-' + block.styles?.items.sm + ' col-md-' + block.styles?.items.md + ' col-lg-' + block.styles?.items.lg) : ' col-12'\"\n                                    [banners]=\"block.banners\" [margin]=\"0\" [meta]=\"block\">\n                                </app-block-banner-full-ec>\n                            </ng-template>\n                            <ng-container *ngIf=\"block.design == 'full'\"\n                                [ngTemplateOutlet]=\"templates && templates.appBlockBannerFull ? templates.appBlockBannerFull : appBlockBannerFullEc\"\n                                [ngTemplateOutletContext]=\"{block:block}\">\n                            </ng-container>\n                            <!---->\n                            <!--Banner Box-->\n                            <ng-template #appBlockBannerBoxesEc let-block=\"block\">\n                                <app-block-banner-boxes-ec\n                                    [class]=\"block.styles && block.styles?.items ? ('col-sm-' + block.styles?.items.sm + ' col-md-' + block.styles?.items.md + ' col-lg-' + block.styles?.items.lg) : ' col-12'\"\n                                    [banners]=\"block.banners\" [meta]=\"block\">\n                                </app-block-banner-boxes-ec>\n                            </ng-template>\n                            <ng-container *ngIf=\"block.design == 'boxes'\"\n                                [ngTemplateOutlet]=\"templates && templates.appBlockBannerBoxes? templates.appBlockBannerBoxes : appBlockBannerBoxesEc\"\n                                [ngTemplateOutletContext]=\"{block:block}\">\n                            </ng-container>\n                            <!---->\n                        </ng-container>\n                        <!-- End Block Banner -->\n\n                        <!--Block Html -->\n                        <ng-template #appBlockHtmlEc let-block=\"block\">\n                            <app-block-html-ec class=\"col-12\" [html_content]=\"getHTMLContent(block)\">\n                            </app-block-html-ec>\n                        </ng-template>\n                        <ng-container *ngSwitchCase=\"'html'\">\n                            <ng-container *ngIf=\"showBlock(block)\"\n                                [ngTemplateOutlet]=\"templates && templates.appBlockHtml ? templates.appBlockHtml : appBlockHtmlEc\"\n                                [ngTemplateOutletContext]=\"{block:block}\">\n                            </ng-container>\n                        </ng-container>\n                        <!--End Block Html-->\n\n                        <!--Block Products-->\n                        <ng-template #appBlockProductsEc let-block=\"block\">\n                            <app-block-products-ec\n                                [class]=\"block.styles && block.styles?.items ? ('col-sm-' + block.styles?.items.sm + ' col-md-' + block.styles?.items.md + ' col-lg-' + block.styles?.items.lg) : ' col-12'\"\n                                [products]=\"block.products.items\" [meta]=\"block\" [appProduct]=\"appProduct\">\n                            </app-block-products-ec>\n                        </ng-template>\n\n                        <ng-container *ngSwitchCase=\"'products'\"\n                            [ngTemplateOutlet]=\"templates && templates.appBlockProducts ? templates.appBlockProducts : appBlockProductsEc\"\n                            [ngTemplateOutletContext]=\"{block:block}\"></ng-container>\n                        <!--End Blocks Products-->\n\n                        <!-- Contact Form/Newsletter -->\n                        <ng-container *ngSwitchCase=\"'contact_form'\">\n                            <!--Newsletter-->\n                            <ng-container *ngIf=\"isNewsletter(block); else completeForm\">\n                                <ng-template #appContactFormNewsEc let-block=\"block\">\n                                    <app-contact-form-news-ec [block]=\"block.contactForm\">\n                                    </app-contact-form-news-ec>\n                                </ng-template>\n                                <ng-container\n                                    [ngTemplateOutlet]=\"templates && templates.appContactFormNews ? templates.appContactFormNews : appContactFormNewsEc\"\n                                    [ngTemplateOutletContext]=\"{block:block}\"></ng-container>\n                            </ng-container>\n                            <!---->\n                            <!--Contact Form-->\n                            <ng-template #completeForm>\n                                <ng-template #appBlockFormContactEc let-block=\"block\">\n                                    <app-block-form-contact-ec [block]=\"block.contactForm\"></app-block-form-contact-ec>\n                                </ng-template>\n                                <ng-container\n                                    [ngTemplateOutlet]=\"templates && templates.appBlockFormContact ? templates.appBlockFormContact : appBlockFormContactEc\"\n                                    [ngTemplateOutletContext]=\"{block:block}\"></ng-container>\n                            </ng-template>\n                            <!---->\n                        </ng-container>\n                        <!-- End Contact Form/Newsletter-->\n                    </ng-container>\n                </ng-container>\n            </div>\n        </div>\n        <ng-template #loading>\n            <div *ngIf=\"show_loading\">\n                <div class=\"loading-container\">\n                    <app-loading-full-ec [hole_height]=\"true\"></app-loading-full-ec>\n                </div>\n            </div>\n        </ng-template>\n    </div>\n</div>",
                providers: [BlocksService],
                styles: [".item{position:relative}.item-title{top:30%}.item-title-full{top:50%}.item-subtitle-full{top:60%}.item-subtitle{top:40%}.item-button{top:60%}.item-button.item-position-vertical-center{left:50%;transform:translate(-50%)}.item-button.item-position-vertical-left{left:10%}.item-button.item-position-vertical-right{right:5%;transform:translate(-50%)}.item-button-full{top:70%}.item-button-full.item-position-vertical-center{left:50%;transform:translate(-50%)}.item-button-full.item-position-vertical-left{left:10%}.item-button-full.item-position-vertical-right{right:5%;transform:translate(-50%)}.item-position-vertical-left{text-align:left}.item-position-vertical-center{text-align:center}.item-position-vertical-right{text-align:right}h2.item-title-full::after{content:none}"]
            })
        ], BlocksEcComponent);
        return BlocksEcComponent;
    }(ComponentHelper));

    var __extends$f = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$N = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __awaiter$8 = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
            function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    };
    var __generator$8 = (this && this.__generator) || function (thisArg, body) {
        var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f) throw new TypeError("Generator is already executing.");
            while (_) try {
                if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
                if (y = 0, t) op = [op[0] & 2, t.value];
                switch (op[0]) {
                    case 0: case 1: t = op; break;
                    case 4: _.label++; return { value: op[1], done: false };
                    case 5: _.label++; y = op[1]; op = [0]; continue;
                    case 7: op = _.ops.pop(); _.trys.pop(); continue;
                    default:
                        if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                        if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                        if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                        if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                        if (t[2]) _.ops.pop();
                        _.trys.pop(); continue;
                }
                op = body.call(thisArg, _);
            } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
            if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
        }
    };
    var CartEcComponent = /** @class */ (function (_super) {
        __extends$f(CartEcComponent, _super);
        function CartEcComponent(cartService, authService, consts, productsService, router, modalService, toastrService, addressingService) {
            var _this = _super.call(this) || this;
            _this.cartService = cartService;
            _this.authService = authService;
            _this.consts = consts;
            _this.productsService = productsService;
            _this.router = router;
            _this.modalService = modalService;
            _this.toastrService = toastrService;
            _this.addressingService = addressingService;
            _this.isLoggedIn = false;
            _this.mediaUrl = '';
            _this.promotions = [];
            _this.cargando = false;
            _this.toDecimal = function (amount) { return _this.consts.toDecimal(amount); };
            _this.actualizarCantidad = function (item, cantidad, stock, id) {
                if (id) {
                    document.getElementById(id).disabled = true;
                    cantidad > 0 && cantidad <= stock ? _this.cartService.updateItemQuantity(item, cantidad) : _this.toastrService.show('out-of-stock-actually');
                    setTimeout(function () { document.getElementById(id).disabled = false; }, 500);
                }
                else {
                    cantidad > 0 && cantidad <= stock ? _this.cartService.updateItemQuantity(item, cantidad) : _this.toastrService.show('out-of-stock-actually');
                }
            };
            _this.redirectCheckout = function () { return _this.router.navigateByUrl("/checkout"); };
            _this.redirectRegister = function () { return _this.router.navigateByUrl("/auth/login"); };
            _this.ecOnConstruct();
            _this.isLoggedIn = _this.authService.isAuthenticated();
            _this.mediaUrl = _this.consts.mediaUrl();
            return _this;
        }
        CartEcComponent.prototype.ngOnChanges = function () {
            this.isLoggedIn = this.authService.isAuthenticated();
        };
        CartEcComponent.prototype.updateLoggedIn = function () {
            this.isLoggedIn = this.authService.isAuthenticated();
        };
        CartEcComponent.prototype.ngOnInit = function () {
            var _this = this;
            window.scroll(0, 0);
            this.cartService.promotions.subscribe(function (promotions) { return _this.promotions = promotions; });
            //    console.log(this.cartService.getTaxes());
            this.ecOnInit();
        };
        CartEcComponent.prototype.openModal = function (template) {
            this.modalRef = this.modalService.show(template, { class: 'modal-xl', keyboard: false });
        };
        CartEcComponent.prototype.redirectDetailProduct = function (product) {
            var variant = product.variants[0];
            var path = '/product/';
            path += variant.code;
            path += variant.options.length ? "?variant=true" : "";
            this.router.navigateByUrl(path);
        };
        CartEcComponent.prototype.formatDate = function (date) {
            var d = new Date(date), month = '' + (d.getMonth() + 1), day = '' + d.getDate(), year = d.getFullYear();
            if (month.length < 2)
                month = '0' + month;
            if (day.length < 2)
                day = '0' + day;
            return [year, month, day].join('-');
        };
        CartEcComponent.prototype.cargaModal = function (item) {
            return __awaiter$8(this, void 0, void 0, function () {
                var sedes, id, this_, allID, bodyTable;
                var _this = this;
                return __generator$8(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, this.cartService.getAddressBook()];
                        case 1:
                            sedes = _a.sent();
                            id = 1;
                            this_ = this;
                            allID = [];
                            // Añade los datos al encabezado del Modal
                            document.getElementById('encabezadoModal').innerHTML = '<a class="title text-dark text-decoration-none h5 d-block m-0 p-0 m-0 p-0"><p class="nombre mb-0" id="productName">' + item['product']['name'] + '</p><small class="text-secondary ps-2 ms-1" id="productRef">Ref:' + item['variant_id'] + '</small></a>';
                            bodyTable = document.getElementById("lot_body_table");
                            bodyTable.innerHTML = '';
                            // Recorre todos los articulos y encuentra si tienen lotes o no, si tiene crea las lineas
                            this_.cartService.getCart2().forEach(function (i) {
                                if (i['item_id'] == item.item_id && i['lot'] != '') {
                                    bodyTable.innerHTML = '';
                                    i['lot'].forEach(function (lot) {
                                        var row = bodyTable.insertRow(bodyTable.rows.length);
                                        var cell1 = row.insertCell(0);
                                        var cell2 = row.insertCell(1);
                                        var cell3 = row.insertCell(2);
                                        var cell4 = row.insertCell(3);
                                        var cell5 = row.insertCell(4);
                                        var cell6 = row.insertCell(5);
                                        var date = new Date(Date.parse(lot['date_request']));
                                        cell1.innerHTML = '<input id="id' + id + '"  style="border: 0;" value="' + lot.id + '" disabled>';
                                        cell2.innerHTML = '<input type="number" id="quantity' + id + '" value= "' + lot.quantity + '"class="form-control w-50" max="' + lot.quantity + '">';
                                        cell3.innerHTML = '<input type="date" value="' + _this.formatDate(date) + '" id="deliveryDate' + id + '" class="form-control w-75">';
                                        var opciones = "";
                                        sedes.forEach(function (sede) {
                                            if (sede.id == lot.shipping_address_id) {
                                                opciones += '<option value="' + sede.id + '" selected>' + sede.city + ' - ' + sede.street + '</option>';
                                            }
                                            else {
                                                opciones += '<option value="' + sede.id + '">' + sede.city + ' - ' + sede.street + '</option>';
                                            }
                                        });
                                        cell4.innerHTML = '<select  id="shippingAddress' + id + '" class="form-control w-75">' + opciones + '</select>';
                                        cell5.innerHTML = '<input type="button" class="btn btn-primary btnSeguir" type="button" data-bs-toggle="collapse" data-bs-target="#collapseExample' + id + '" aria-expanded="false" aria-controls="collapseExample' + id + '" value="Ver"></input>';
                                        cell6.innerHTML = '<div class="col-1 flex-grow-0 text-right btnBorrar d-none d-md-block d-none d-md-block"><button value="' + lot.id + '" class="btn" id="botonBorrar"><img src="./assets/maquetado/img/ic-borrar.svg" alt=""> </button></div>';
                                        var row2 = bodyTable.insertRow(bodyTable.rows.length);
                                        var fila2 = row2.insertCell(0);
                                        fila2.colSpan = 6;
                                        fila2.innerHTML = '<div class="collapse" id="collapseExample' + id + '"><input id="notes' + id + '" class="form-control" value="' + lot.notes + '" placeholder="Ingrese un comentario en caso de que sea necesario." type="text"/></div>';
                                        id = id + 1;
                                        allID.push(lot['id']);
                                    });
                                }
                            });
                            document.getElementById('botonAgregar').onclick = function () {
                                // // Se calcula la cantidad y el contador para que no exceda la cantidad de la linea al crear un nuevo lote.
                                var cantidadActual = 0;
                                for (var index = 1; index < id; index++) {
                                    if (document.getElementById("quantity" + index)) {
                                        cantidadActual = cantidadActual + parseInt(document.getElementById("quantity" + index).value);
                                    }
                                }
                                // Se añade la linea siempre y cuando la cantidad restante no sea cero.
                                if (cantidadActual < item['quantity']) {
                                    var row = bodyTable.insertRow(bodyTable.rows.length);
                                    var cell1 = row.insertCell(0);
                                    var cell2 = row.insertCell(1);
                                    var cell3 = row.insertCell(2);
                                    var cell4 = row.insertCell(3);
                                    var cell5 = row.insertCell(4);
                                    var cell6 = row.insertCell(5);
                                    cell1.innerHTML = '<input id="id' + id + '"  style="border: 0;" value="Pendt." disabled>';
                                    cell2.innerHTML = '<input type="number" id="quantity' + id + '" value= "' + (item['quantity'] - cantidadActual) + '"class="form-control w-50" max="' + (item['quantity'] - cantidadActual) + '">';
                                    cell3.innerHTML = '<input type="date" id="deliveryDate' + id + '" class="form-control w-75">';
                                    var opciones = "";
                                    sedes.forEach(function (sede) { opciones += '<option value="' + sede.id + '">' + sede.city + ' - ' + sede.street + '</option>'; });
                                    cell4.innerHTML = '<select  id="shippingAddress' + id + '" class="form-control w-75">' + opciones + '</select>';
                                    cell5.innerHTML = '<input type="button" class="btn btn-primary btnSeguir" type="button" data-bs-toggle="collapse" data-bs-target="#collapseExample' + id + '" aria-expanded="false" aria-controls="collapseExample' + id + '" value="Ver"></input>';
                                    cell6.innerHTML = '<div class="col-1 flex-grow-0 text-right btnBorrar d-none d-md-block d-none d-md-block"><button class="btn" id="botonBorrar"><img src="./assets/maquetado/img/ic-borrar.svg" alt=""> </butt></div>';
                                    var row2 = bodyTable.insertRow(bodyTable.rows.length);
                                    var fila2 = row2.insertCell(0);
                                    fila2.colSpan = 6;
                                    fila2.innerHTML = '<div class="collapse" id="collapseExample' + id + '"><input id="notes' + id + '" class="form-control" placeholder="Ingrese un comentario en caso de que sea necesario." type="text"/></div>';
                                    id = id + 1;
                                }
                                else {
                                    this_.toastrService.show('lot-max-quantity');
                                }
                            };
                            // Cuando se pulsa el boton para guardar el lote recorre la funcion y el for , recorre linea a linea y lanza el endpoint con una pausa para que no se pierda ninguno y no se quede pillado.
                            document.getElementById('botonGuardar').onclick = function () {
                                this_.toastrService.show('lot-saving');
                                this_.cargando = true;
                                var lotID = '';
                                var cantidadLotes = 0;
                                //Controla que las cantidades de los lotes no sea superior a la del producto en el carrito.
                                for (var index = 1; index < id; index++) {
                                    if (document.getElementById("quantity" + index)) {
                                        cantidadLotes = cantidadLotes + parseInt(document.getElementById("quantity" + index).value);
                                    }
                                }
                                if (item.quantity >= cantidadLotes) {
                                    // console.log(cantidadLotes);
                                    var y = 0;
                                    for (var index = 1; index < id; index++) {
                                        if (document.getElementById("quantity" + index)) {
                                            var quantity = parseInt(document.getElementById("quantity" + index).value);
                                            var deliveryDate = document.getElementById("deliveryDate" + index).value;
                                            var shippingAddress = $("#shippingAddress" + index).val();
                                            var notes = $("#notes" + index).val();
                                            var shippingAddressName = $('#shippingAddress' + index + ' option:selected').text();
                                        }
                                        if (document.getElementById("id" + index)) {
                                            lotID = document.getElementById("id" + index).value;
                                            var myIndex = allID.indexOf(parseInt(lotID));
                                            if (myIndex !== -1) {
                                                allID.splice(myIndex, 1);
                                            }
                                        }
                                        if (lotID == 'Pendt.') {
                                            // console.log('nuevo');
                                            this_.cartService.addToLot(item.product, 0, item.variant_id, 0, item.item_id, quantity, item.product.price, item.quantity, item.discount, item.product.price * quantity, 'new', deliveryDate, notes, parseInt(shippingAddress), shippingAddressName, 'newlot');
                                        }
                                        else if (lotID != '') {
                                            console.log(lotID);
                                            this_.cartService.addToLot(item.product, 0, item.variant_id, parseInt(lotID), item.item_id, quantity, item.product.price, item.quantity, item.discount, item.product.price * quantity, 'edited', deliveryDate, notes, parseInt(shippingAddress), shippingAddressName, 'editlot');
                                        }
                                        y = index;
                                    }
                                    allID.forEach(function (element) {
                                        //   console.log('borrar');
                                        this_.cartService.addToLot(item.product, 0, item.variant_id, element, 0, 0, 0, 0, 0, 0, 'delete', 0, '', 0, 'delete', 'deletelot');
                                    });
                                    setTimeout(function () { this_.cartService.loadCartByToken(this_.cartService.getCartToken()); }, 300 * y);
                                    setTimeout(function () { this_.toastrService.show('lot-saved'); }, 300 * y);
                                    setTimeout(function () { this_.cargando = false; }, 300 * y);
                                }
                                else {
                                    this_.toastrService.show('La cantidad de los lotes es superior a la cantidad del producto.');
                                }
                            };
                            $(document).on('click', '#botonBorrar', function (event) {
                                event.preventDefault();
                                // console.log(this);
                                $(this).closest('tr').remove();
                            });
                            return [2 /*return*/];
                    }
                });
            });
        };
        CartEcComponent.prototype.closeModal = function (id) {
            $('#' + id).modal('hide');
        };
        CartEcComponent.ctorParameters = function () { return [
            { type: CartService },
            { type: AuthService },
            { type: Constants },
            { type: ProductsService },
            { type: router.Router },
            { type: modal.BsModalService },
            { type: ToastService },
            { type: AddressingService }
        ]; };
        CartEcComponent = __decorate$N([
            core.Component({
                selector: 'app-cart-ec',
                template: "",
                styles: [""]
            })
        ], CartEcComponent);
        return CartEcComponent;
    }(ComponentHelper));

    var __extends$g = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$O = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var CheckoutEcComponent = /** @class */ (function (_super) {
        __extends$g(CheckoutEcComponent, _super);
        function CheckoutEcComponent(checkoutService, toastrService, router, cartService, productsService, channelService) {
            var _this = _super.call(this) || this;
            _this.checkoutService = checkoutService;
            _this.toastrService = toastrService;
            _this.router = router;
            _this.cartService = cartService;
            _this.productsService = productsService;
            _this.channelService = channelService;
            _this.loadingSubject = new rxjs.BehaviorSubject(true);
            _this.canCheckout = false;
            _this.require_login = false;
            _this.steps = [];
            _this.loading$ = _this.loadingSubject.asObservable();
            _this.initializeCheckout = function () {
                var _a, _b, _c, _d;
                _this.canCheckout = true;
                var steps = [];
                //console.log('channel', this.channel)
                steps.push({ name: 'address' });
                ((_a = _this.channel) === null || _a === void 0 ? void 0 : _a.isSkippingShippingStepAllowed) ? null : steps.push({ name: 'shipment' });
                ((_b = _this.channel) === null || _b === void 0 ? void 0 : _b.isSkippingPaymentStepAllowed) ? null : steps.push({ name: 'payment' });
                /* steps.push({ name: 'shipment' });
                steps.push({ name: 'payment' }); */
                //console.log(steps)
                _this.checkoutService.setSteps(steps);
                _this.setStepper();
                _this.loadingSubject.next(false);
                if (((_c = _this.channel) === null || _c === void 0 ? void 0 : _c.isSkippingShippingStepAllowed) != true || ((_d = _this.channel) === null || _d === void 0 ? void 0 : _d.isSkippingPaymentStepAllowed) != true) {
                    _this.subReady = _this.checkoutService.onReady$.pipe(operators.filter(function (ready) { return ready; })).subscribe(function (res) { res && _this.endCheckout(); });
                }
            };
            _this.goBack = function () { return _this.stepper.previous(); };
            _this.isStepReady = function (step_name) { return _this.checkoutService.isStepReady(step_name); };
            _this.endCheckout = function () {
                _this.checkoutService.complete().then(function (res) { return res.ok && _this.router.navigate(['checkout/order_success']); }, function (err) { return _this.toastrService.show('operation-error'); });
            };
            _this.setStepper = function () {
                setTimeout(function () {
                    if (document.querySelector('#stepper') != null) {
                        _this.stepper = new Stepper(document.querySelector('#stepper'), {
                            linear: true,
                            animation: true
                        });
                    }
                    else {
                        _this.setStepper();
                    }
                }, 1000);
                //console.log(this.stepper)
            };
            _this.next = function () {
                //console.log(this.stepper)
                _this.stepper.next();
                //console.log(this.stepper)
                window.scrollTo({
                    top: 0,
                    behavior: 'smooth',
                });
            };
            _this.error = function (error_value) { return _this.toastrService.show(error_value); };
            _this.getIcon = function (data_item) {
                switch (data_item.type) {
                    case 'coupon': return 'assets/images/coupon.png';
                    case 'discount': return 'assets/images/discount.png';
                    case 'shipment': return 'assets/images/ico-envio.png';
                    case 'subtotal': return 'assets/images/products.png';
                    case 'total': return 'assets/images/ico-carrito.png';
                    default: return 'assets/images/ico-carrito.png';
                }
            };
            _this.initializeSteps = function () {
                var _a, _b;
                //El paso de elegir dirección siempre esta
                _this.steps.push({ step: 1, label: 'billing-details', name: 'address' });
                //El paso de elegir metodo de envio
                ((_a = _this.channel) === null || _a === void 0 ? void 0 : _a.isSkippingShippingStepAllowed) ? null : _this.steps.push({ step: 2, label: 'shipment-method', name: 'shipment' });
                //El paso de elegir metodo de pago
                ((_b = _this.channel) === null || _b === void 0 ? void 0 : _b.isSkippingPaymentStepAllowed) ? null : _this.steps.push({ step: 3, label: 'payment', name: 'payment' });
                //console.log(this.steps)
            };
            _this.stepEnabled = function (stepNumber) { return _this.steps.find(function (step) { return step.step == stepNumber; }) ? true : false; };
            _this.getClassToStepper = function (index) {
                if (index == 0) {
                    return 'linea';
                }
                else {
                    return _this.steps[index + 1] ? 'text-center' : 'text-end';
                }
            };
            _this.channelService.channelConfig$.subscribe(function (res) {
                _this.channel = res;
                _this.initializeSteps();
                //console.log(this.stepEnabled(3))
            });
            _this.ecOnConstruct();
            return _this;
        }
        CheckoutEcComponent.prototype.ngOnInit = function () {
            var _this = this;
            this.subCan = this.checkoutService.canCheckout$.pipe(operators.take(1)).subscribe(function (contain_items) {
                if (contain_items)
                    _this.initializeCheckout();
                else
                    _this.canCheckout = false;
            });
            this.ecOnInit();
        };
        CheckoutEcComponent.prototype.ngOnDestroy = function () {
            var _a, _b;
            (_a = this.subCan) === null || _a === void 0 ? void 0 : _a.unsubscribe();
            (_b = this.subReady) === null || _b === void 0 ? void 0 : _b.unsubscribe();
        };
        CheckoutEcComponent.ctorParameters = function () { return [
            { type: CheckoutService },
            { type: ToastService },
            { type: router.Router },
            { type: CartService },
            { type: ProductsService },
            { type: ChannelConfigService }
        ]; };
        CheckoutEcComponent = __decorate$O([
            core.Component({
                selector: 'app-checkout-ec',
                template: "<main class=\"py-4\" id=\"appCheckoutEc\">\n    <div *ngIf=\"canCheckout; else cartEmpty\">\n        <app-detail-checkout-block-ec></app-detail-checkout-block-ec>\n        <div class=\"container\">\n            <div class=\"row\">\n                <div class=\"col-md-12 col-12\">\n                    <div id=\"stepper\" class=\"bs-stepper\" *ngIf=\"(checkoutService.state$ | async) as state\">\n\n                        <div class=\"row mb-3 position-relative stepperContainer\">\n                            <ng-container *ngFor=\"let step of steps; let x=index\">\n                                <div [class]=\"'px-0 col-'+(12 / steps.length)\">\n                                    <div [class]=\"'step ' +  getClassToStepper(x)\" [attr.data-target]=\"'#test-l-'+step.step\">\n                                        <button class=\"step-trigger\">\n                                            <span class=\"bs-stepper-circle\">{{x+1}}</span>\n                                            <span class=\"bs-stepper-label\">{{ step.label |translate}}</span>\n                                        </button>\n                                    </div>\n                                </div>\n                            </ng-container>\n                        </div>\n\n                        <!-- CONTENT -->\n                        <div class=\"bs-stepper-content margin-bottom-i\">\n                            <div *ngIf=\"(checkoutService.state$ | async) as checkoutState\">\n                                <ng-container *ngFor=\"let step of steps; let x=index\">\n                                    <div [id]=\"'test-l-'+step.step\" class=\"content\">\n                                     <app-step-ec [step_id]=\"step.step\" [id_step]=\"x+1\" [previousStep]=\"steps[x-1] ? steps[x-1].name : step.name\"  [nextStep]=\"steps[x+1] ? next : endCheckout\" [goBack]=\"goBack\" [lastStep]=\"steps[x+1] ? false : true\">  \n                                     </app-step-ec>   \n                                    </div>\n                                </ng-container>\n                            </div>\n                        </div>\n                    </div>\n                </div>\n                <ng-container *ngIf=\"(checkoutService.loading$ | async) as load\">\n                    <div class=\"col-md-12 col-12\">\n                        <div *ngIf=\"load\" class=\"d-flex flex-column jusitfy-content-center align-items-center mt-2\">\n                            <app-loading-full-ec></app-loading-full-ec>\n                            <h5>{{ 'processing-payment' | translate }}</h5>\n                        </div>\n                    </div>\n                </ng-container>\n            </div>\n        </div>\n    </div>\n</main>\n\n<ng-template #cartEmpty>\n    <div class=\"wrap\">\n        <div *ngIf=\"(loading$ | async) as load\">\n            <app-loading-full-ec *ngIf=\"canCheckout\"></app-loading-full-ec>\n        </div>\n        <section id=\"cart\" *ngIf=\"!canCheckout\">\n            <section id=\"cart bg-white h-50\">\n                <div class=\"d-flex flex-column justify-content-center align-items-center text-center\">\n                    <h4>{{ 'empty-cart' | translate }}</h4>\n                    <h5>{{ 'empty-cart-detail' | translate }}</h5>\n                </div>\n            </section>\n        </section>\n    </div>\n</ng-template>\n\n<ng-template #loading>\n    <app-loading-full-ec></app-loading-full-ec>\n</ng-template>\n\n<ng-template #requireLoginView>\n</ng-template>\n\n\n<!-- <ec-checkout-error></ec-checkout-error> -->",
                styles: [".switch{position:relative;display:inline-block;width:16%!important;height:34px}.switch input{opacity:0;width:0;height:0}.slider{position:absolute;cursor:pointer;top:0;left:0;right:0;bottom:0;background-color:#ccc;transition:.4s}.slider:before{position:absolute;content:\"\";height:26px;width:26px;left:4px;bottom:4px;background-color:#fff;transition:.4s}input:checked+.slider{background-color:#000}input:focus+.slider{box-shadow:0 0 1px #000}input:checked+.slider:before{transform:translateX(26px)}.slider.round{border-radius:34px}.slider.round:before{border-radius:50%}.bg-white{background-color:#fff}.active .bs-stepper-circle{background-color:#000}.Main{margin-top:140px;min-height:60vh}.btn:disabled{opacity:.65}.btn.valid-btn{background-color:#000;color:#fff;margin-right:12px}.co-data-icon{height:50px;-o-object-fit:contain;object-fit:contain}.checkout-btn-container{display:flex;justify-content:space-between}.margin-bottom-i{margin-bottom:3%}.loading-container-line{display:flex;flex-direction:row;justify-content:center}.stepperContainer::after{content:\"\";border-top:1px solid #000;position:absolute;width:95%;top:48%;left:10px;margin:auto;z-index:-1}.bs-stepper .step-trigger{background-color:#fff}.bs-stepper .step-trigger.disabled,.bs-stepper .step-trigger:disabled{opacity:1}@media screen and (max-width:992px){.stepperContainer::after{display:none}.step{text-align:left!important}}@media screen and (max-width:576px){.step{text-align:center!important}.resumen i{font-size:2em}.resumen strong{font-size:.8em}.resumen span{font-size:1em}}@media screen and (max-width:768px){.step-trigger .bs-stepper-label{font-size:.75rem}.content.fade.active.dstepper-block{padding-top:1rem}}"]
            })
        ], CheckoutEcComponent);
        return CheckoutEcComponent;
    }(ComponentHelper));

    var __extends$h = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __assign$i = (this && this.__assign) || function () {
        __assign$i = Object.assign || function(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                    t[p] = s[p];
            }
            return t;
        };
        return __assign$i.apply(this, arguments);
    };
    var __decorate$P = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __awaiter$9 = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
            function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    };
    var __generator$9 = (this && this.__generator) || function (thisArg, body) {
        var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f) throw new TypeError("Generator is already executing.");
            while (_) try {
                if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
                if (y = 0, t) op = [op[0] & 2, t.value];
                switch (op[0]) {
                    case 0: case 1: t = op; break;
                    case 4: _.label++; return { value: op[1], done: false };
                    case 5: _.label++; y = op[1]; op = [0]; continue;
                    case 7: op = _.ops.pop(); _.trys.pop(); continue;
                    default:
                        if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                        if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                        if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                        if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                        if (t[2]) _.ops.pop();
                        _.trys.pop(); continue;
                }
                op = body.call(thisArg, _);
            } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
            if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
        }
    };
    var DataFormEcComponent = /** @class */ (function (_super) {
        __extends$h(DataFormEcComponent, _super);
        function DataFormEcComponent(authService, fb, toast, addressingService, cartService, modalService, paramsService, consts) {
            var _this = _super.call(this) || this;
            _this.authService = authService;
            _this.fb = fb;
            _this.toast = toast;
            _this.addressingService = addressingService;
            _this.cartService = cartService;
            _this.modalService = modalService;
            _this.paramsService = paramsService;
            _this.consts = consts;
            _this.isLastOne = false;
            _this.countriesSubject = new rxjs.BehaviorSubject([]);
            _this.provincesSubject = new rxjs.BehaviorSubject([]);
            _this.documentTypesSubject = new rxjs.BehaviorSubject([]);
            _this.countriesFacturacionSubject = new rxjs.BehaviorSubject([]);
            _this.provincesFacturacionSubject = new rxjs.BehaviorSubject([]);
            _this.documentTypesFacturacionSubject = new rxjs.BehaviorSubject([]);
            _this.countries$ = _this.countriesSubject.asObservable();
            _this.provinces$ = _this.provincesSubject.asObservable();
            _this.documentTypes$ = _this.documentTypesSubject.asObservable();
            _this.countriesFacturacion$ = _this.countriesFacturacionSubject.asObservable();
            _this.provincesFacturacion$ = _this.provincesFacturacionSubject.asObservable();
            _this.documentTypesFacturacion$ = _this.documentTypesFacturacionSubject.asObservable();
            _this.require_login = false;
            _this.loading = false;
            _this.form_ready = false;
            _this.allready_data = false;
            _this.addressBook = [];
            _this.addressBookSelected = { id: 0, notes: "" };
            _this.finish = false; //Esta variable se usa para mostrar el boton de finalizar.
            _this.validado = false;
            _this.viewDataFacturacion = true;
            _this.params = {};
            _this.selectAddres = false;
            /**
             * @description filtra los paises de acuerdo al a los codigos retornados en la funcion getCountries.
             * Casos de usos: Si getCountries es vacio, retorna el arreglo que ingresa por parametro.
             * Si getCountries contiene valores que no coinciden, retorna el arreglo que ingresa por parametro.
             * De lo contrario retorna los valores filtrados.
             * @param countries Arreglo que contiene los countries recibidos en la subscripcion del observable.
             * @returns un arreglo de countries.
             */
            _this.filterCountryByCode = function (countries) {
                if (_this.consts.getCountries().length > 0) {
                    var countriesFiltered = countries.filter(function (elem) { return _this.consts.getCountries().includes(elem.code); });
                    if (countriesFiltered.length > 0) {
                        return countriesFiltered;
                    }
                    else {
                        console.error('El/los codigo/s ingresado/s no coinciden con los provistos desde el backend');
                        return countries;
                    }
                }
                else {
                    return countries;
                }
            };
            _this.showFormFacturacion = function () {
                _this.viewDataFacturacion = !_this.viewDataFacturacion;
                if (!_this.viewDataFacturacion) {
                    _this.countriesFacturacion$.subscribe(function (res) {
                        var _a, _b, _c, _d;
                        if (res && res.length > 0) {
                            _this.checkoutFormFacturacion.controls['countryCode'].setValue(res[0].code);
                            // Provincia
                            _this.checkoutFormFacturacion.controls['provinceCode'].setValue((_a = res[0]) === null || _a === void 0 ? void 0 : _a.provinces[0].code);
                            _this.provincesFacturacionSubject.next((_b = res[0]) === null || _b === void 0 ? void 0 : _b.provinces);
                            // Documento
                            _this.checkoutFormFacturacion.controls['documentType'].setValue((_c = res[0]) === null || _c === void 0 ? void 0 : _c.documentTypes[0].code);
                            _this.documentTypesFacturacionSubject.next((_d = res[0]) === null || _d === void 0 ? void 0 : _d.documentTypes);
                        }
                    });
                }
                _this.onFormChange();
                return _this.viewDataFacturacion;
            };
            _this.onFormValid = function () {
            };
            _this.onInputChange = function () { return _this.form_ready = false; };
            _this.onCountrySelected = function (value) {
                _this.checkoutForm.controls['countryCode'].setValue(value == 'null' ? null : value);
                _this.checkoutForm.controls['provinceCode'].setValue(null);
                _this.checkoutForm.controls['documentType'].setValue('');
                //Provinces
                var provinces = value && value != 'null' ?
                    _this.countriesSubject.value.find(function (country) { return country.code == value; }).provinces
                    :
                        [];
                _this.provincesSubject.next(provinces);
                _this.checkoutForm.controls['provinceCode'].setValue(provinces[0].code);
                //Document types
                var documentTypes = value && value != 'null' ?
                    _this.countriesSubject.value.find(function (country) { return country.code == value; }).documentTypes
                    :
                        [];
                _this.documentTypesSubject.next(documentTypes);
                _this.checkoutForm.controls['documentType'].setValue(documentTypes[0].code);
            };
            _this.onCountrySelectedFacturacion = function (value) {
                _this.checkoutFormFacturacion.controls['countryCode'].setValue(value == 'null' ? null : value);
                _this.checkoutFormFacturacion.controls['provinceCode'].setValue(null);
                _this.checkoutFormFacturacion.controls['documentType'].setValue('');
                //Provinces
                var provinces = value && value != 'null' ?
                    _this.countriesFacturacionSubject.value.find(function (country) { return country.code == value; }).provinces
                    :
                        [];
                _this.provincesFacturacionSubject.next(provinces);
                _this.checkoutFormFacturacion.controls['provinceCode'].setValue(provinces[0].code);
                //Document types
                var documentTypes = value && value != 'null' ?
                    _this.countriesFacturacionSubject.value.find(function (country) { return country.code == value; }).documentTypes
                    :
                        [];
                _this.documentTypesFacturacionSubject.next(documentTypes);
                _this.checkoutFormFacturacion.controls['documentType'].setValue(documentTypes[0].code);
            };
            _this.onProvincesSelected = function (value) { return _this.checkoutForm.controls['provinceCode'].setValue(value == 'null' ? null : value); };
            _this.onProvincesSelectedFacturacion = function (value) { return _this.checkoutFormFacturacion.controls['provinceCode'].setValue(value == 'null' ? null : value); };
            _this.onDocumentTypesSelected = function (value) { return _this.checkoutForm.controls['documentType'].setValue(value == '' ? '' : value); };
            _this.onDocumentTypesSelectedFacturacion = function (value) { return _this.checkoutForm.controls['documentType'].setValue(value == '' ? '' : value); };
            _this.verifyValidate = function (e, items) { return __awaiter$9(_this, void 0, void 0, function () {
                return __generator$9(this, function (_a) {
                    //console.log("Verifying: ", e)
                    this.require_login = false;
                    if (e) {
                        this.checkoutForm.controls['email'].setValue(e);
                        this.authService.isAuthenticated() && this.checkoutForm.get('email').disable({ onlySelf: true });
                    }
                    if (this.checkoutForm.valid) {
                        // if (this.cartService.channelConfig.applyOrderLot){
                        //  items.forEach(item => {
                        //       if (!item.lot[0]){
                        //      //    console.log(this.checkoutForm.controls['city']['value'])
                        //          this.cartService.addToLot(item.product,0,item.variant_id,0,item.item_id,item.quantity,item.product.price,item.quantity,item.discount,item.product.price*item.quantity,'new','','',0,this.checkoutForm.controls['city']['value']+ ' - ' + this.checkoutForm.controls['street']['value'], 'newlot');
                        //       }
                        //   });
                        // }
                        this.emitResult();
                    }
                    else
                        this.showError('invalid-form');
                    return [2 /*return*/];
                });
            }); };
            _this.showError = function (error_message) { _this.toast.show(error_message); return true; };
            _this.emitResult = function () { return __awaiter$9(_this, void 0, void 0, function () {
                var data, result, e_1;
                return __generator$9(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            this.loading = true;
                            data = { shippingAddress: __assign$i(__assign$i({}, this.checkoutForm.getRawValue()), { phoneNumber: this.checkoutForm.value.phoneNumber.toString() }), notes: (this.checkoutForm.getRawValue()).notes };
                            if (!this.viewDataFacturacion && this.checkoutFormFacturacion.valid)
                                data = __assign$i(__assign$i({}, data), { notes: data.notes, billingAddress: this.checkoutFormFacturacion.getRawValue() });
                            _a.label = 1;
                        case 1:
                            _a.trys.push([1, 3, , 4]);
                            return [4 /*yield*/, this.addressingService.setAddress(data)];
                        case 2:
                            result = _a.sent();
                            if (result === false) {
                                this.require_login = true;
                                this.toast.show('El email ya está registrado, inicie sesión.');
                            }
                            else if (result !== false && result !== undefined) {
                                this.form_ready = true;
                                this.allready_data = true;
                                this.nextStep();
                            }
                            return [3 /*break*/, 4];
                        case 3:
                            e_1 = _a.sent();
                            this.toast.show('operation-error');
                            return [3 /*break*/, 4];
                        case 4:
                            this.loading = false;
                            return [2 /*return*/];
                    }
                });
            }); };
            _this.setSelectAddress = function (addressSelect) {
                _this.addressBook.map(function (address) { return address.selected = address.id === addressSelect.id; });
                _this.addressBookSelected.id = _this.addressBook.find(function (address) { return address.selected; }).id || 0;
            };
            _this.selectAddress = function (items) { return __awaiter$9(_this, void 0, void 0, function () {
                var addressSelected, request, resultSede_1, e_2;
                var _this = this;
                return __generator$9(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            this.loading = true;
                            addressSelected = this.addressBook.find(function (address) { return address.selected; });
                            if (!addressSelected) return [3 /*break*/, 5];
                            _a.label = 1;
                        case 1:
                            _a.trys.push([1, 3, , 4]);
                            if (!this.addressBookSelected.id) {
                                this.addressBookSelected.id = addressSelected.id || 0;
                            }
                            request = {
                                selected: this.addressBookSelected,
                                shippingAddress: addressSelected
                            };
                            return [4 /*yield*/, this.addressingService.setHeadquarter(request)];
                        case 2:
                            resultSede_1 = _a.sent();
                            if (resultSede_1) {
                                if (this.cartService.channelConfig.applyOrderLot) {
                                    items.forEach(function (item) {
                                        if (!item.lot[0]) {
                                            // console.log(item)
                                            _this.cartService.addToLot(item.product, 0, item.variant_id, 0, item.item_id, item.quantity, item.product.price, item.quantity, item.discount, item.product.price * item.quantity, 'new', '', '', 0, resultSede_1.shippingAddress.city + ' - ' + resultSede_1.shippingAddress.street, 'newlot');
                                        }
                                    });
                                }
                                this.form_ready = true;
                                this.allready_data = true;
                                this.nextStep();
                            }
                            else {
                                this.toast.show('operation-error');
                            }
                            return [3 /*break*/, 4];
                        case 3:
                            e_2 = _a.sent();
                            this.toast.show('operation-error');
                            return [3 /*break*/, 4];
                        case 4: return [3 /*break*/, 6];
                        case 5:
                            this.showError('invalid-form');
                            _a.label = 6;
                        case 6:
                            this.loading = false;
                            return [2 /*return*/];
                    }
                });
            }); };
            _this.getMode = function () {
                switch (_this.addressingService.modeSelectAddress) {
                    case 'ONLY_LOAD_ADDRESS':
                        return true;
                    case 'ONLY_ADDRESS_SELECTION':
                        if (_this.authService.isAuthenticated()) {
                            return false;
                        }
                        return true;
                    case 'LOAD_ADDRESS_AND_SELECTION':
                        if (_this.authService.isAuthenticated()) {
                            return _this.selectAddres;
                        }
                        return true;
                }
            };
            _this.setMode = function (mode) { return _this.selectAddres = mode == "carga"; };
            _this.getCountry = function (code) { var _a; return ((_a = _this.addressingService.countriesList.find(function (paises) { return paises.code.toLocaleLowerCase().includes(code.toLocaleLowerCase()); })) === null || _a === void 0 ? void 0 : _a.name) || ""; };
            _this.getProvince = function (code) { var _a; return ((_a = _this.addressingService.provinceList.find(function (ct) { return ct.code == code; })) === null || _a === void 0 ? void 0 : _a.name) || ""; };
            _this.getDocumentType = function (code) { var _a; return ((_a = _this.addressingService.documentTypes.find(function (dt) { return dt.code == code; })) === null || _a === void 0 ? void 0 : _a.name) || ""; };
            _this.getLabelNotesParam = function () { return _this.hasParams(_this.params, 'label_notes_' + _this.consts.getChannel() + '_' + _this.consts.getLocale().split('_')[0]); };
            _this.getParamByChannelAndLanguage = function (nameParam) { return _this.hasParams(_this.params, nameParam + _this.consts.getChannel() + '_' + _this.consts.getLocale().split('_')[0]); };
            _this.ecOnConstruct();
            _this.checkoutForm = _this.fb.group(_this.addressingService.getTypeForm().configForm.formAddres);
            _this.checkoutForm.statusChanges
                .pipe(operators.filter(function () { _this.onFormChange(); return _this.checkoutForm.valid; }))
                .subscribe(function () { return _this.onFormValid(); });
            _this.checkoutFormFacturacion = _this.fb.group(_this.addressingService.getTypeForm().configForm.formBilling);
            _this.checkoutFormFacturacion.statusChanges
                .pipe(operators.filter(function () { _this.onFormChange(); return _this.checkoutFormFacturacion.valid; }))
                .subscribe(function () { return _this.onFormValid(); });
            return _this;
        }
        DataFormEcComponent.prototype.ngOnInit = function () {
            var _this = this;
            var _a;
            this.paramsService.parameters.subscribe(function (res) { return _this.params = res; });
            this.addressingService.initialize(this.step_id);
            var localEmail = localStorage.getItem('mail');
            this.authService.isAuthenticated() && this.checkoutForm.controls['email'].setValue(((_a = this.authService.getCustomer()) === null || _a === void 0 ? void 0 : _a.email) || localEmail);
            this.authService.isAuthenticated() && this.checkoutForm.get('email').disable({ onlySelf: true });
            this.addressingService.getAddressingData().then(function (res) {
                var countries = _this.filterCountryByCode(res);
                _this.countriesSubject.next(countries);
                _this.countriesFacturacionSubject.next(countries);
            });
            (this.addressingService.modeSelectAddress == 'LOAD_ADDRESS_AND_SELECTION' || this.addressingService.modeSelectAddress == 'ONLY_ADDRESS_SELECTION')
                && this.addressingService.getAddressBook().then(function (res) {
                    _this.addressBook = res && res || null;
                    _this.addressBook == null && _this.setMode('carga');
                });
            this.countries$.subscribe(function (res) {
                var _a, _b, _c, _d;
                if (res && res.length > 0) {
                    _this.checkoutForm.controls['countryCode'].setValue(res[0].code);
                    // Provincia
                    _this.checkoutForm.controls['provinceCode'].setValue((_a = res[0]) === null || _a === void 0 ? void 0 : _a.provinces[0].code);
                    _this.provincesSubject.next((_b = res[0]) === null || _b === void 0 ? void 0 : _b.provinces);
                    // Documento
                    _this.checkoutForm.controls['documentType'].setValue((_c = res[0]) === null || _c === void 0 ? void 0 : _c.documentTypes[0].code);
                    _this.documentTypesSubject.next((_d = res[0]) === null || _d === void 0 ? void 0 : _d.documentTypes);
                }
            });
            this.ecOnInit();
        };
        DataFormEcComponent.prototype.onFormChange = function () {
            if (this.checkoutForm.valid) {
                if (!this.viewDataFacturacion && this.checkoutFormFacturacion.valid) {
                    this.validado = true;
                    return;
                }
                if (this.viewDataFacturacion && this.checkoutForm.valid) {
                    this.validado = true;
                    return;
                }
            }
            this.validado = false;
        };
        DataFormEcComponent.prototype.openModal = function (template) {
            this.modalRef = this.modalService.show(template, { class: 'modal-lg ', keyboard: false, backdrop: 'static' });
        };
        DataFormEcComponent.ctorParameters = function () { return [
            { type: AuthService },
            { type: forms.FormBuilder },
            { type: ToastService },
            { type: AddressingService },
            { type: CartService },
            { type: modal.BsModalService },
            { type: ParametersService },
            { type: Constants }
        ]; };
        __decorate$P([
            core.Input()
        ], DataFormEcComponent.prototype, "step_id", void 0);
        __decorate$P([
            core.Input()
        ], DataFormEcComponent.prototype, "isLastOne", void 0);
        __decorate$P([
            core.Input()
        ], DataFormEcComponent.prototype, "nextStep", void 0);
        DataFormEcComponent = __decorate$P([
            core.Component({
                selector: 'app-dataform-ec',
                template: "<ng-container *ngIf=\"this.addressingService.modeSelectAddress == 'LOAD_ADDRESS_AND_SELECTION' && this.authService.isAuthenticated() && this.addressBook != null\">\n    <div class=\"container card p-4 mb-3\">\n        <div class=\"row justify-content-center\">\n            <div class=\"col-12 col-md-10 col-lg-8 text-center\">\n                <div class=\"btn-group btn-group-toggle\" data-bs-toggle=\"buttons\">\n                    <label [class]=\"'btn btn-outline-secondary ' + (!getMode() ? 'active' : '')\">\n                        <input type=\"radio\" name=\"options\" id=\"option1\" autocomplete=\"off\" checked\n                            (change)=\"setMode('seleccion')\"> {{'select-address' | translate | titlecase}}\n                    </label>\n\n                    <label [class]=\"'btn btn-outline-secondary ' + (getMode() ? 'active' : '')\" *ngIf=\"!getParamByChannelAndLanguage('btn_new_address_')\">\n                        <input type=\"radio\" name=\"options\" id=\"option2\" autocomplete=\"off\" (change)=\"setMode('carga')\">\n                        {{ 'new-address' | translate | titlecase}}\n                    </label>\n\n                    <label [class]=\"'btn btn-outline-secondary ' + (selectAddress ? 'active' : '')\" *ngIf=\"getParamByChannelAndLanguage('btn_new_address_') as param\">\n                        <input type=\"radio\" name=\"options\" id=\"option2\" autocomplete=\"off\" (change)=\"setMode('carga')\">\n                        {{ param.value}}\n                    </label>\n\n                </div>\n            </div>\n        </div>\n    </div>\n</ng-container>\n\n<ng-container *ngIf=\"getMode(); else addressSelection\">\n    <div *ngIf=\"!require_login; else requireLoginView\">\n\n        <ng-container *ngIf=\"this.addressingService.modeSelectAddress == 'ONLY_LOAD_ADDRESS'\">\n            <div class=\"checkout-title  my-2\">\n                <h3>{{'billing-details'|translate}}</h3>\n            </div>\n        </ng-container>\n\n        <form (submit)=\"verifyValidate(false,this.cartService.items)\">\n            <div class=\"row mt-df\"><!--Fila 1-->\n                <div class=\"form-group col-12 col-md-6\"\n                    *ngIf=\"this.addressingService.getTypeForm().viewForms.firstName.enabled\">\n                    <label class=\"field-label\">{{'first-name'|translate}}<span\n                            *ngIf=\"this.addressingService.getTypeForm().viewForms.firstName.required\"\n                            class=\"required\">*</span></label>\n                    <input class=\"form-control\" type=\"text\" name=\"firstName\"\n                        [formControl]=\"checkoutForm.controls['firstName']\" value=\"\" placeholder=\"\" autocomplete=\"off\">\n                    <div class=\"text-danger-container\"\n                        *ngIf=\"checkoutForm.controls.firstName.touched && checkoutForm.controls.firstName.errors?.required\">\n                        <span class=\"text-danger\">{{'first-name-help1'|translate}}</span>\n\n                    </div>\n                    <div class=\"text-danger-container\"\n                        *ngIf=\"checkoutForm.controls.firstName.touched && checkoutForm.controls.firstName.errors?.pattern\">\n                        <span class=\"text-danger\">\n                            {{'first-name-help2'|translate}}\n                        </span>\n                    </div>\n                </div>\n                <div class=\"form-group col-12 col-md-6\"\n                    *ngIf=\"this.addressingService.getTypeForm().viewForms.lastName.enabled\">\n                    <label class=\"field-label\">{{'last-name'|translate}}<span\n                            *ngIf=\"this.addressingService.getTypeForm().viewForms.lastName.required\"\n                            class=\"required\">*</span></label>\n                    <input class=\"form-control\" type=\"text\" name=\"lastName\"\n                        [formControl]=\"checkoutForm.controls['lastName']\" value=\"\" placeholder=\"\" autocomplete=\"off\">\n                    <div class=\"text-danger-container\"\n                        *ngIf=\"checkoutForm.controls.lastName.touched && checkoutForm.controls.lastName.errors?.required\">\n                        <span class=\"text-danger\">{{'last-name-help1'|translate}}</span>\n                    </div>\n                    <div class=\"text-danger-container\"\n                        *ngIf=\"checkoutForm.controls.lastName.touched && checkoutForm.controls.lastName.errors?.pattern\">\n                        <span class=\"text-danger\">{{'last-name-help2'|translate}}</span>\n                    </div>\n                </div>\n            </div>\n            <div class=\"row mt-df\"><!--Fila 2-->\n                <div class=\"form-group col-12 col-md-6\"\n                    *ngIf=\"this.addressingService.getTypeForm().viewForms.phoneNumber.enabled\">\n                    <label class=\"field-label\">{{'phone'|translate}}<span\n                            *ngIf=\"this.addressingService.getTypeForm().viewForms.phoneNumber.required\"\n                            class=\"required\">*</span></label>\n                    <input (change)=\"onInputChange()\" class=\"form-control\" type=\"text\" name=\"phoneNumber\"\n                        [formControl]=\"checkoutForm.controls['phoneNumber']\" value=\"\" placeholder=\"\" autocomplete=\"off\">\n                    <div class=\"text-danger-container\"\n                        *ngIf=\"checkoutForm.controls.phoneNumber.touched && checkoutForm.controls.phoneNumber.errors?.required\">\n                        <span class=\"text-danger\">\n\n                            {{'phone-help1'|translate}}\n                        </span>\n                    </div>\n                    <div class=\"text-danger-container\"\n                        *ngIf=\"checkoutForm.controls.phoneNumber.touched && checkoutForm.controls.phoneNumber.errors?.pattern\">\n                        <span class=\"text-danger\">\n                            {{'phone-help2'|translate}}\n                        </span>\n                    </div>\n                </div>\n                <div class=\"form-group col-12 col-md-6\"\n                    *ngIf=\"this.addressingService.getTypeForm().viewForms.email.enabled\">\n                    <label class=\"field-label\">{{'email-address'|translate}}<span\n                            *ngIf=\"this.addressingService.getTypeForm().viewForms.email.required\"\n                            class=\"required\">*</span></label>\n                    <input (change)=\"onInputChange()\" class=\"form-control\" type=\"email\" name=\"email\"\n                        [formControl]=\"checkoutForm.controls['email']\" value=\"\" placeholder=\"\" autocomplete=\"off\">\n                    <div class=\"text-danger-container\"\n                        *ngIf=\"checkoutForm.controls.email.touched && checkoutForm.controls.email.errors?.required\">\n                        <span class=\"text-danger\">\n                            {{'email-address-help1'|translate}}\n                        </span>\n                    </div>\n                    <div class=\"text-danger-container\"\n                        *ngIf=\"checkoutForm.controls.email.touched && checkoutForm.controls.email.errors?.email\">\n                        <span class=\"text-danger\">\n                            {{'email-address-help2'|translate}}\n                        </span>\n                    </div>\n                </div>\n            </div>\n\n            <div class=\"row mt-df\"><!--Fila 3-->\n                <ng-container *ngIf=\"this.addressingService.getTypeForm().viewForms.countryCode.enabled\">\n                    <div class=\"form-group col-12 col-md-4\" *ngIf=\"(countries$ | async) as countries\">\n                        <label class=\"field-label\">{{'country'|translate}}<span\n                                *ngIf=\"this.addressingService.getTypeForm().viewForms.countryCode.required\"\n                                class=\"required\">*</span></label>\n                        <select class=\"form-select\" name=\"countryCode\"\n                            [formControl]=\"checkoutForm.controls['countryCode']\"\n                            (change)=\"onCountrySelected($event.target.value)\">\n                          <!--   <option selected [value]=\"countries[0].code\">{{ 'choose-country' | translate }}</option> -->\n                            <option *ngFor=\"let country of countries\" [value]=\"country.code\">{{ country.name }}</option>\n                        </select>\n                        <div *ngIf=\"checkoutForm.controls.countryCode.touched && checkoutForm.controls.countryCode.errors?.required\"\n                            class=\"text text-danger\">\n                            {{'country-help'|translate}}\n                        </div>\n                    </div>\n                </ng-container>\n                <ng-container *ngIf=\"this.addressingService.getTypeForm().viewForms.provinceCode.enabled\">\n                    <div class=\"form-group col-12 col-md-4\" *ngIf=\"(provinces$ | async) as provinces\">\n                        <label class=\"field-label\">{{'state'|translate}}<span\n                                *ngIf=\"this.addressingService.getTypeForm().viewForms.provinceCode.required\"\n                                class=\"required\">*</span></label>\n                        <select class=\"form-select\" name=\"provinceCode\"\n                            (change)=\"onProvincesSelected($event.target.value)\"\n                            [formControl]=\"checkoutForm.controls['provinceCode']\">\n<!--                             <option selected [value]=\"null\">{{ 'choose-province' | translate }}</option>\n -->                            <option *ngFor=\"let province of provinces\" [value]=\"province.code\">{{ province.name }}\n                            </option>\n                        </select>\n                        <div *ngIf=\"checkoutForm.controls.provinceCode.touched && checkoutForm.controls.provinceCode.errors?.required\"\n                            class=\"text text-danger\">\n                            {{'state-help'|translate}}\n                        </div>\n                    </div>\n                </ng-container>\n                <div class=\"form-group col-12 col-md-4\"\n                    *ngIf=\"this.addressingService.getTypeForm().viewForms.city.enabled\">\n                    <label class=\"field-label\">{{'town-city'|translate}}<span\n                            *ngIf=\"this.addressingService.getTypeForm().viewForms.city.required\"\n                            class=\"required\">*</span></label>\n                    <input (change)=\"onInputChange()\" class=\"form-control\" type=\"text\" name=\"city\"\n                        [formControl]=\"checkoutForm.controls['city']\" value=\"\" placeholder=\"\" autocomplete=\"off\">\n                    <div class=\"text-danger-container\"\n                        *ngIf=\"checkoutForm.controls.city.touched && checkoutForm.controls.city.errors?.required\">\n                        <span class=\"text-danger\">{{'town-city-help'|translate}}</span>\n                    </div>\n                </div>\n            </div>\n\n            <div class=\"row mt-df\"><!--Fila 4-->\n                <div class=\"form-group col-12 col-md-8\"\n                    *ngIf=\"this.addressingService.getTypeForm().viewForms.street.enabled\">\n                    <label class=\"field-label\">{{'address'|translate}}<span\n                            *ngIf=\"this.addressingService.getTypeForm().viewForms.street.required\"\n                            class=\"required\">*</span></label>\n                    <input (change)=\"onInputChange()\" class=\"form-control\" type=\"text\" name=\"street\"\n                        [formControl]=\"checkoutForm.controls['street']\" value=\"\" placeholder=\"\" autocomplete=\"off\">\n                    <div class=\"text-danger-container\"\n                        *ngIf=\"checkoutForm.controls.street.touched && checkoutForm.controls.street.errors?.required\">\n                        <span class=\"text-danger\">{{'address-help1'|translate}}</span>\n                    </div>\n                    <div class=\"text-danger-container\"\n                        *ngIf=\"checkoutForm.controls.street.touched && checkoutForm.controls.street.errors?.maxlength\">\n                        <span class=\"text-danger\">{{'address-help2'|translate}}</span>\n                    </div>\n                </div>\n\n                <div class=\"form-group col-12 col-md-4\"\n                    *ngIf=\"this.addressingService.getTypeForm().viewForms.postcode.enabled\">\n                    <label class=\"field-label\">{{'postal-code'|translate}}<span\n                            *ngIf=\"this.addressingService.getTypeForm().viewForms.postcode.required\"\n                            class=\"required\">*</span></label>\n                    <input (change)=\"onInputChange()\" class=\"form-control\" type=\"text\" name=\"postcode\"\n                        [formControl]=\"checkoutForm.controls['postcode']\" value=\"\" placeholder=\"\" autocomplete=\"off\">\n                    <div class=\"text-danger-container\"\n                        *ngIf=\"checkoutForm.controls.postcode.touched && checkoutForm.controls.postcode.errors?.required\">\n                        <span class=\"text-danger\">{{'postal-code-help'|translate}}</span>\n                    </div>\n                </div>\n            </div>\n\n            <div class=\"row mt-df\"><!--Fila 5-->\n                <ng-container *ngIf=\"this.addressingService.getTypeForm().viewForms.documentType.enabled\">\n                    <div class=\"form-group col-12 col-md-4\" *ngIf=\"(documentTypes$ | async) as documentTypes\">\n                        <label class=\"field-label\">{{'document-type'|translate}}<span\n                                *ngIf=\"this.addressingService.getTypeForm().viewForms.documentType.required\"\n                                class=\"required\">*</span></label>\n                        <select name=\"documentType\" class=\"form-select\"\n                            (change)=\"onDocumentTypesSelected($event.target.value)\"\n                            [formControl]=\"checkoutForm.controls['documentType']\">\n<!--                             <option [value]=\"''\" selected>{{'document-type'|translate}}</option>\n -->                            <option *ngFor=\"let item of documentTypes\" [value]=\"item.code\">{{item.name}}</option>\n                        </select>\n                        <div class=\"text-danger-container\"\n                            *ngIf=\"checkoutForm.controls.documentType.touched && checkoutForm.controls.documentType.errors?.required\">\n                            <span class=\"text-danger\">\n                                {{'type-document-help'|translate}}\n                            </span>\n                        </div>\n                    </div>\n                </ng-container>\n                <div class=\"form-group col-12 col-md-4\"\n                    *ngIf=\"this.addressingService.getTypeForm().viewForms.documentNumber.enabled\">\n                    <label class=\"field-label\">{{'document-number'|translate}}<span\n                            *ngIf=\"this.addressingService.getTypeForm().viewForms.documentNumber.required\"\n                            class=\"required\">*</span></label>\n                    <input (change)=\"onInputChange()\" class=\"form-control\"\n                        [type]=\"'text'\" name=\"documentNumber\"\n                        [formControl]=\"checkoutForm.controls['documentNumber']\" min=\"1\" max=\"99999999999\" value=\"\"\n                        placeholder=\"\" autocomplete=\"off\">\n                    <div class=\"text-danger-container\"\n                        *ngIf=\"checkoutForm.controls.documentNumber.touched && checkoutForm.controls.documentNumber.errors?.required\">\n                        <span class=\"text-danger\">\n                            {{'document-number-help'|translate}}\n                        </span>\n                    </div>\n                </div>\n            </div>\n\n            <div class=\"row mt-df\"><!--Fila 6-->\n                <div class=\"form-group col-12 col-md-12\"\n                    *ngIf=\"this.addressingService.getTypeForm().viewForms.notes.enabled\">\n\n                    <label class=\"field-label\" *ngIf=\"!getLabelNotesParam()\">{{'notes'|translate}} <span\n                            *ngIf=\"this.addressingService.getTypeForm().viewForms.notes.required\"\n                            class=\"required\">*</span></label>\n                    <label class=\"field-label\" *ngIf=\"getLabelNotesParam() as labelnotes\">{{labelnotes.value}} <span\n                            *ngIf=\"this.addressingService.getTypeForm().viewForms.notes.required\"\n                            class=\"required\">*</span></label>\n\n                    <!-- <label class=\"field-label\">{{'notes'|translate}}<span *ngIf=\"this.addressingService.getTypeForm().viewForms.notes.required\" class=\"required\">*</span></label> -->\n                    <input (change)=\"onInputChange()\" class=\"form-control\" type=\"text\" name=\"notes\"\n                        [formControl]=\"checkoutForm.controls['notes']\" value=\"\" placeholder=\"\" autocomplete=\"off\">\n                </div>\n            </div>\n            <div class=\"row mt-df\"><!--Fila 7-->\n                <div class=\"form-group col-12 col-md-12\">\n                    <label for=\"formFact\"><b>{{ 'same-billing-address' | translate }}</b> <input type=\"checkbox\"\n                            class=\"ms-2\" [checked]=\"viewDataFacturacion\" (change)=\"showFormFacturacion()\"\n                            id=\"formFact\"></label>\n                </div>\n            </div>\n            <div class=\"row mt-df\">\n                <div class=\"col-12\">\n                    <p>\n                        <span class=\"required\">*</span>\n                        <label class=\"required text-underline\"> {{ 'required-fields' | translate }}</label>\n                    </p>\n                </div>\n            </div>\n            <div class=\"row mt-df\">\n                <div class=\"form-group col-12 col-md-12\"\n                    *ngIf=\"this.addressingService.getTypeForm().viewForms.terms.enabled\">\n                    <span *ngIf=\"this.addressingService.getTypeForm().viewForms.terms.required\"\n                        class=\"required\">*</span>\n                    <label class=\"\" for=\"\"> {{ 'accept-terms' | translate }} <input class=\"ms-2\" name=\"terms\"\n                            [formControl]=\"checkoutForm.controls['terms']\" type=\"checkbox\" required\n                            (change)=\"onInputChange()\" /> </label><br />\n                    <a (click)=\"openModal(template)\" role=\"button\" class=\"ms-3 nota-input text-dark\">{{ 'whats-this' |\n                        translate }}</a>\n                    <div class=\"text-danger-container\"\n                        *ngIf=\"checkoutForm.controls.terms.touched && !checkoutForm.controls.terms.value\">\n                        <span class=\"text-danger\">{{ 'must-accept-terms' | translate }}</span>\n                    </div>\n                </div>\n            </div>\n            <div class=\"row\" *ngIf=\"viewDataFacturacion ; else datosFormFacturacion\"> </div>\n            <div class=\"checkout-btn-unique text-end\">\n                <button type=\"submit\" [disabled]=\"!validado\" class=\"btn valid-btn mt-2\">\n                    {{(isLastOne ? 'finish-checkout' : (allready_data ? 'update' :\n                    'ready-form')) | translate}}</button>\n\n\n            </div>\n            <div *ngIf=\"loading\" class=\"d-flex flex-column jusitfy-content-center align-items-center\">\n                <app-loading-full-ec></app-loading-full-ec>\n            </div>\n        </form>\n    </div>\n</ng-container>\n\n<ng-template #addressSelection>\n\n    <ng-container *ngIf=\"this.addressingService.modeSelectAddress == 'ONLY_ADDRESS_SELECTION'\">\n        <div class=\"checkout-title my-2\">\n            <h3>{{'address-selection'|translate}}</h3>\n        </div>\n    </ng-container>\n\n    <ng-container *ngIf=\"this.addressBook; else addressBookNotResult\">\n\n        <ng-container *ngIf=\"this.addressBook?.length ;else addressBookLoading\">\n            <div class=\"container\">\n                <div class=\"row\">\n                    <div class=\"col-sm-6 col-12 my-3\" *ngFor=\"let item of addressBook; let i = index\">\n                        <div class=\"card p-3\">\n                            <input class=\"ms-1 mt-3 form-check-input input-size-lg\" type=\"radio\" [name]=\"'n-'+i\" [id]=\"i\"\n                                [checked]=\"item.selected\" (click)=\"setSelectAddress(item)\" (change)=\"onInputChange()\">\n                            <div class=\"ms-5\">\n                                <h4 class=\"card-title\">\n                                    <strong>{{'address'|translate}}</strong><br>\n                                    <span class=\"text-uppercase h3\">{{item.street}}</span>\n                                </h4>\n                                <div class=\"row\">\n                                    <h5 class=\"card-subtitle mb-2 text-muted col-auto\">\n                                        <strong>{{'country'|translate}}</strong> {{getCountry(item.countryCode)}}\n                                    </h5>\n                                    <h5 class=\"card-subtitle mb-2 text-muted col-auto\">\n                                        <strong>{{'state'|translate}}</strong> {{getProvince(item.provinceCode)}}\n                                    </h5>\n                                    <h5 class=\"card-subtitle mb-2 text-muted col-auto\">\n                                        <strong>{{'town-city'|translate}}</strong> {{item.city}}\n                                    </h5>\n                                    <h5 class=\"card-subtitle mb-2 text-muted col-auto\">\n                                        <strong>{{'postal-code'|translate}}</strong> {{item.postcode}}\n                                    </h5>\n                                </div>\n                                <div class=\"row px-3\">\n                                    <div class=\"card p-2 bg-light w-100\">\n                                        <div class=\"card-body\">\n                                            <h5 class=\"card-title\">{{'address-contact'|translate}}</h5>\n                                            <h6 class=\"card-subtitle mb-2 text-muted\">\n                                                <strong>{{'first-name'|translate}}</strong>\n                                                {{item.addressContact.firstName}}\n                                            </h6>\n                                            <h6 class=\"card-subtitle mb-2 text-muted\">\n                                                <strong>{{'last-name'|translate}}</strong> {{item.addressContact.lastName}}\n                                            </h6>\n                                            <h6 class=\"card-subtitle mb-2 text-muted\">\n                                                <strong>{{'document-type'|translate}}</strong>\n                                                {{getDocumentType(item.addressContact.documentType)}}\n                                            </h6>\n                                            <h6 class=\"card-subtitle mb-2 text-muted\">\n                                                <strong>{{'document-number'|translate}}</strong>\n                                                {{item.addressContact.documentNumber}}\n                                            </h6>\n                                            <h6 class=\"card-subtitle mb-2 text-muted\">\n                                                <strong>{{'email-address'|translate}}</strong> {{item.addressContact.email}}\n                                            </h6>\n                                        </div>\n                                    </div>\n                                </div>\n                            </div>\n                        </div>\n                    </div>\n\n                </div>\n\n                <div class=\"w-100\">\n                    <div class=\"row mt-df\">\n                        <div class=\"form-group col-12 col-md-12\">\n                            <label class=\"field-label\" *ngIf=\"!getLabelNotesParam()\">{{'notes'|translate}}</label>\n                            <label class=\"field-label\"\n                                *ngIf=\"getLabelNotesParam() as labelnotes\">{{labelnotes.value}}</label>\n                            <input (change)=\"onInputChange()\" class=\"form-control\" type=\"text\" name=\"notes\"\n                                [(ngModel)]=\"this.addressBookSelected.notes\" #ctrl=\"ngModel\" value=\"\" placeholder=\"\"\n                                autocomplete=\"off\">\n                        </div>\n                    </div>\n                </div>\n                <div class=\"checkout-btn-unique text-end\">\n                    <button (click)=\"selectAddress(this.cartService.items)\" class=\"btn valid-btn mt-2\">\n                        {{(isLastOne ? 'finish-checkout' : (allready_data ? 'update' :\n                    'ready-form')) | translate}}\n                    </button>\n                </div>\n                <div *ngIf=\"loading\" class=\"d-flex flex-column jusitfy-content-center align-items-center\">\n                    <app-loading-full-ec></app-loading-full-ec>\n                </div>\n            </div>\n        </ng-container>\n    </ng-container>\n\n</ng-template>\n\n\n<ng-template #requireLoginView>\n    <div id=\"loginCheckout\">\n        <div class=\"d-flex flex-column jusitfy-content-center align-items-center\" *ngIf=\"require_login\">\n            <div class=\"col-12\">\n                <app-login-form-ec (ready)=\"verifyValidate($event)\" [redirect]=\"false\" [title]=\"'need-login'\">\n                </app-login-form-ec>\n            </div>\n        </div>\n    </div>\n</ng-template>\n\n\n\n<ng-template #datosFormFacturacion>\n    <div class=\"container-fluid px-0 px-md-2\">\n        <div class=\"row\">\n            <div class=\"col-12\">\n                <div class=\"card \">\n                    <div class=\"card-header text-dark text-center\">\n                        <h3>{{'billing-details'|translate}}</h3>\n                    </div>\n                    <div class=\"card-body\">\n                        <form (submit)=\"verifyValidate()\">\n                            <div class=\"row mt-df\">\n                                <!--Fila 1-->\n                                <div class=\"form-group col-12 col-md-6\"\n                                    *ngIf=\"this.addressingService.getTypeForm().viewForms.firstName.enabled\">\n                                    <label class=\"field-label\">{{'first-name'|translate}}<span\n                                            *ngIf=\"this.addressingService.getTypeForm().viewForms.firstName.required\"\n                                            class=\"required\">*</span></label>\n                                    <input class=\"form-control\" type=\"text\" name=\"firstName\"\n                                        [formControl]=\"checkoutFormFacturacion.controls['firstName']\" value=\"\"\n                                        placeholder=\"\" autocomplete=\"off\">\n                                    <div class=\"text-danger-container\"\n                                        *ngIf=\"checkoutFormFacturacion.controls.firstName.touched && checkoutFormFacturacion.controls.firstName.errors?.required\">\n                                        <span class=\"text-danger\">{{'first-name-help1'|translate}}</span>\n\n                                    </div>\n                                    <div class=\"text-danger-container\"\n                                        *ngIf=\"checkoutFormFacturacion.controls.firstName.touched && checkoutFormFacturacion.controls.firstName.errors?.pattern\">\n                                        <span class=\"text-danger\">\n                                            {{'first-name-help2'|translate}}\n                                        </span>\n                                    </div>\n                                </div>\n                                <div class=\"form-group col-12 col-md-6\"\n                                    *ngIf=\"this.addressingService.getTypeForm().viewForms.lastName.enabled\">\n                                    <label class=\"field-label\">{{'last-name'|translate}}<span\n                                            *ngIf=\"this.addressingService.getTypeForm().viewForms.lastName.required\"\n                                            class=\"required\">*</span></label>\n                                    <input class=\"form-control\" type=\"text\" name=\"lastName\"\n                                        [formControl]=\"checkoutFormFacturacion.controls['lastName']\" value=\"\"\n                                        placeholder=\"\" autocomplete=\"off\">\n                                    <div class=\"text-danger-container\"\n                                        *ngIf=\"checkoutFormFacturacion.controls.lastName.touched && checkoutFormFacturacion.controls.lastName.errors?.required\">\n                                        <span class=\"text-danger\">{{'last-name-help1'|translate}}</span>\n                                    </div>\n                                    <div class=\"text-danger-container\"\n                                        *ngIf=\"checkoutFormFacturacion.controls.lastName.touched && checkoutFormFacturacion.controls.lastName.errors?.pattern\">\n                                        <span class=\"text-danger\">{{'last-name-help2'|translate}}</span>\n                                    </div>\n                                </div>\n                            </div>\n                            <div class=\"row mt-df\">\n                                <!--Fila 2-->\n                                <div class=\"form-group col-12 col-md-6\"\n                                    *ngIf=\"this.addressingService.getTypeForm().viewForms.phoneNumber.enabled\">\n                                    <label class=\"field-label\">{{'phone'|translate}}<span\n                                            *ngIf=\"this.addressingService.getTypeForm().viewForms.phoneNumber.required\"\n                                            class=\"required\">*</span></label>\n                                    <input (change)=\"onInputChange()\" class=\"form-control\" type=\"text\"\n                                        name=\"phoneNumber\"\n                                        [formControl]=\"checkoutFormFacturacion.controls['phoneNumber']\" value=\"\"\n                                        placeholder=\"\" autocomplete=\"off\">\n                                    <div class=\"text-danger-container\"\n                                        *ngIf=\"checkoutFormFacturacion.controls.phoneNumber.touched && checkoutFormFacturacion.controls.phoneNumber.errors?.required\">\n                                        <span class=\"text-danger\">\n                                            {{'phone-help1'|translate}}\n                                        </span>\n                                    </div>\n                                    <div class=\"text-danger-container\"\n                                        *ngIf=\"checkoutFormFacturacion.controls.phoneNumber.touched && checkoutFormFacturacion.controls.phoneNumber.errors?.pattern\">\n                                        <span class=\"text-danger\">\n                                            {{'phone-help2'|translate}}\n                                        </span>\n                                    </div>\n                                </div>\n                                <div class=\"form-group col-12 col-md-6\"\n                                    *ngIf=\"this.addressingService.getTypeForm().viewForms.email.enabled\">\n                                    <label class=\"field-label\">{{'email-address'|translate}}<span\n                                            *ngIf=\"this.addressingService.getTypeForm().viewForms.email.required\"\n                                            class=\"required\">*</span></label>\n                                    <input (change)=\"onInputChange()\" class=\"form-control\" type=\"email\" name=\"email\"\n                                        [formControl]=\"checkoutFormFacturacion.controls['email']\" value=\"\"\n                                        placeholder=\"\" autocomplete=\"off\">\n                                    <div class=\"text-danger-container\"\n                                        *ngIf=\"checkoutFormFacturacion.controls.email.touched && checkoutFormFacturacion.controls.email.errors?.required\">\n                                        <span class=\"text-danger\">\n                                            {{'email-address-help1'|translate}}\n                                        </span>\n                                    </div>\n                                    <div class=\"text-danger-container\"\n                                        *ngIf=\"checkoutFormFacturacion.controls.email.touched && checkoutFormFacturacion.controls.email.errors?.email\">\n                                        <span class=\"text-danger\">\n                                            {{'email-address-help2'|translate}}\n                                        </span>\n                                    </div>\n                                </div>\n                            </div>\n                            <div class=\"row mt-df\">\n                                <!--Fila 3-->\n\n                                <ng-container\n                                    *ngIf=\"this.addressingService.getTypeForm().viewForms.countryCode.enabled\">\n\n                                    <div class=\"form-group col-12 col-md-4\"\n                                        *ngIf=\"(countriesFacturacion$ | async) as countries\">\n                                        <label class=\"field-label\">{{'country'|translate}}<span\n                                                *ngIf=\"this.addressingService.getTypeForm().viewForms.countryCode.required\"\n                                                class=\"required\">*</span></label>\n                                        <select class=\"form-select\" name=\"countryCode\"\n                                            [formControl]=\"checkoutFormFacturacion.controls['countryCode']\"\n                                            (change)=\"onCountrySelectedFacturacion($event.target.value)\">\n                                            <!-- <option selected [value]=\"null\">{{ 'choose-country' | translate }}</option> -->\n                                            <option *ngFor=\"let country of countries\" [value]=\"country.code\">\n                                                {{ country.name }}</option>\n                                        </select>\n                                        <div *ngIf=\"checkoutFormFacturacion.controls.countryCode.touched && checkoutFormFacturacion.controls.countryCode.errors?.required\"\n                                            class=\"text text-danger\">\n                                            {{'country-help'|translate}}\n                                        </div>\n                                    </div>\n                                </ng-container>\n                                <ng-container\n                                    *ngIf=\"this.addressingService.getTypeForm().viewForms.provinceCode.enabled\">\n\n                                    <div class=\"form-group col-12 col-md-4\"\n                                        *ngIf=\"(provincesFacturacion$ | async) as provinces\">\n                                        <label class=\"field-label\">{{'state'|translate}}<span\n                                                *ngIf=\"this.addressingService.getTypeForm().viewForms.provinceCode.required\"\n                                                class=\"required\">*</span></label>\n                                        <select class=\"form-select\" name=\"provinceCode\"\n                                            (change)=\"onProvincesSelectedFacturacion($event.target.value)\"\n                                            [formControl]=\"checkoutFormFacturacion.controls['provinceCode']\">\n                                            <!-- <option selected [value]=\"null\">{{ 'choose-province' | translate }}</option> -->\n                                            <option *ngFor=\"let province of provinces\" [value]=\"province.code\">\n                                                {{ province.name }}\n                                            </option>\n                                        </select>\n                                        <div *ngIf=\"checkoutFormFacturacion.controls.provinceCode.touched && checkoutFormFacturacion.controls.provinceCode.errors?.required\"\n                                            class=\"text text-danger\">\n                                            {{'state-help'|translate}}\n                                        </div>\n                                    </div>\n                                </ng-container>\n                                <div class=\"form-group col-12 col-md-4\"\n                                    *ngIf=\"this.addressingService.getTypeForm().viewForms.city.enabled\">\n                                    <label class=\"field-label\">{{'town-city'|translate}}<span\n                                            *ngIf=\"this.addressingService.getTypeForm().viewForms.city.required\"\n                                            class=\"required\">*</span></label>\n                                    <input (change)=\"onInputChange()\" class=\"form-control\" type=\"text\" name=\"city\"\n                                        [formControl]=\"checkoutFormFacturacion.controls['city']\" value=\"\" placeholder=\"\"\n                                        autocomplete=\"off\">\n                                    <div class=\"text-danger-container\"\n                                        *ngIf=\"checkoutFormFacturacion.controls.city.touched && checkoutFormFacturacion.controls.city.errors?.required\">\n                                        <span class=\"text-danger\">{{'town-city-help'|translate}}</span>\n                                    </div>\n                                </div>\n                            </div>\n                            <div class=\"row mt-df\">\n                                <!--Fila 4-->\n                                <div class=\"form-group col-12 col-md-8\"\n                                    *ngIf=\"this.addressingService.getTypeForm().viewForms.street.enabled\">\n                                    <label class=\"field-label\">{{'address'|translate}}<span\n                                            *ngIf=\"this.addressingService.getTypeForm().viewForms.street.required\"\n                                            class=\"required\">*</span></label>\n                                    <input (change)=\"onInputChange()\" class=\"form-control\" type=\"text\" name=\"street\"\n                                        [formControl]=\"checkoutFormFacturacion.controls['street']\" value=\"\"\n                                        placeholder=\"\" autocomplete=\"off\">\n                                    <div class=\"text-danger-container\"\n                                        *ngIf=\"checkoutFormFacturacion.controls.street.touched && checkoutFormFacturacion.controls.street.errors?.required\">\n                                        <span class=\"text-danger\">{{'address-help1'|translate}}</span>\n                                    </div>\n                                    <div class=\"text-danger-container\"\n                                        *ngIf=\"checkoutFormFacturacion.controls.street.touched && checkoutFormFacturacion.controls.street.errors?.maxlength\">\n                                        <span class=\"text-danger\">{{'address-help2'|translate}}</span>\n                                    </div>\n                                </div>\n                                <div class=\"form-group col-12 col-md-4\"\n                                    *ngIf=\"this.addressingService.getTypeForm().viewForms.postcode.enabled\">\n                                    <label class=\"field-label\">{{'postal-code'|translate}}<span\n                                            *ngIf=\"this.addressingService.getTypeForm().viewForms.postcode.required\"\n                                            class=\"required\">*</span></label>\n                                    <input (change)=\"onInputChange()\" class=\"form-control\" type=\"text\" name=\"postcode\"\n                                        [formControl]=\"checkoutFormFacturacion.controls['postcode']\" value=\"\"\n                                        placeholder=\"\" autocomplete=\"off\">\n                                    <div class=\"text-danger-container\"\n                                        *ngIf=\"checkoutFormFacturacion.controls.postcode.touched && checkoutFormFacturacion.controls.postcode.errors?.required\">\n                                        <span class=\"text-danger\">{{'postal-code-help'|translate}}</span>\n                                    </div>\n                                </div>\n                            </div>\n                            <div class=\"row mt-df\">\n                                <!--Fila 5-->\n                                <ng-container *ngIf=\"this.addressingService.getTypeForm().viewForms.documentType.enabled\">\n                                <div class=\"form-group col-12 col-md-4\" *ngIf=\"(documentTypesFacturacion$ | async) as documentTypes\">\n                                    <label class=\"field-label\">{{'document-type'|translate}}<span\n                                            *ngIf=\"this.addressingService.getTypeForm().viewForms.documentType.required\"\n                                            class=\"required\">*</span></label>\n                                    <select name=\"documentType\" class=\"form-select\"\n                                        [formControl]=\"checkoutFormFacturacion.controls['documentType']\">\n                                        <!-- <option [value]=\"''\" selected>{{'document-type'|translate}}</option> -->\n                                        <option\n                                            *ngFor=\"let item of documentTypes\"\n                                            [value]=\"item.code\">{{item.name}}</option>\n                                    </select>\n                                    <div class=\"text-danger-container\"\n                                        *ngIf=\"checkoutFormFacturacion.controls.documentType.touched && checkoutFormFacturacion.controls.documentType.errors?.required\">\n                                        <span class=\"text-danger\">\n                                            {{'type-document-help'|translate}}\n                                        </span>\n                                    </div>\n                                </div>\n                                <div class=\"form-group col-12 col-md-4\"\n                                    *ngIf=\"this.addressingService.getTypeForm().viewForms.documentNumber.enabled\">\n                                    <label class=\"field-label\">{{'document-number'|translate}}<span\n                                            *ngIf=\"this.addressingService.getTypeForm().viewForms.documentNumber.required\"\n                                            class=\"required\">*</span></label>\n                                    <input (change)=\"onInputChange()\" class=\"form-control\"\n                                        [type]=\"(this.addressingService.typeForms == 'EUR' ? 'text' : 'number') \"\n                                        name=\"documentNumber\"\n                                        [formControl]=\"checkoutFormFacturacion.controls['documentNumber']\" min=\"1\"\n                                        max=\"99999999999\" value=\"\" placeholder=\"\" autocomplete=\"off\">\n                                    <div class=\"text-danger-container\"\n                                        *ngIf=\"checkoutFormFacturacion.controls.documentNumber.touched && checkoutFormFacturacion.controls.documentNumber.errors?.required\">\n                                        <span class=\"text-danger\">\n                                            {{'document-number-help'|translate}}\n                                        </span>\n                                    </div>\n                                </div>\n                                </ng-container>\n                            </div>\n                            <div class=\"row mt-df\">\n                                <div class=\"form-group col-12 col-md-12\"\n                                    *ngIf=\"this.addressingService.getTypeForm().viewForms.notes.enabled\">\n                                    <label class=\"field-label\" *ngIf=\"!getLabelNotesParam()\">{{'notes'|translate}} <span\n                                            *ngIf=\"this.addressingService.getTypeForm().viewForms.notes.required\"\n                                            class=\"required\">*</span></label>\n                                    <label class=\"field-label\"\n                                        *ngIf=\"getLabelNotesParam() as labelnotes\">{{labelnotes.value}} <span\n                                            *ngIf=\"this.addressingService.getTypeForm().viewForms.notes.required\"\n                                            class=\"required\">*</span></label>\n                                    <!-- <label class=\"field-label\">{{'notes'|translate}}<span *ngIf=\"this.addressingService.getTypeForm().viewForms.notes.required\" class=\"required\">*</span></label> -->\n                                    <input (change)=\"onInputChange()\" class=\"form-control\" type=\"text\" name=\"notes\"\n                                        [formControl]=\"checkoutFormFacturacion.controls['notes']\" value=\"\"\n                                        placeholder=\"\" autocomplete=\"off\">\n                                </div>\n                            </div>\n                        </form>\n                    </div>\n\n                </div>\n            </div>\n        </div>\n    </div>\n</ng-template>\n\n\n\n<ng-template #template>\n    <div class=\"modal-content\">\n        <div class=\"modal-header\">\n            <button type=\"button\" class=\"btn-close float-end\" aria-label=\"Close\" (click)=\"modalRef.hide()\">\n            </button>\n        </div>\n    </div>\n\n    <div class=\"modal-body scrol-if\">\n        <app-section-container-ec [name]=\"'terminos-y-condiciones'\"> </app-section-container-ec>\n    </div>\n\n</ng-template>\n\n\n<ng-template #addressBookNotResult>\n    <div class=\"container\">\n        <div class=\"row\">\n            <div class=\"col-12 text-center my-2\">\n                <h4> {{'address-book-not-result' | translate }} </h4>\n            </div>\n        </div>\n    </div>\n</ng-template>\n\n<ng-template #addressBookLoading>\n    <div class=\"container\">\n        <div class=\"row\">\n            <div class=\"col-12 text-center my-2\">\n                <div class=\"d-flex flex-column jusitfy-content-center align-items-center\">\n                    <app-loading-full-ec></app-loading-full-ec>\n                </div>\n            </div>\n        </div>\n    </div>\n</ng-template>\n",
                providers: [modal.BsModalService],
                styles: [".mt-df{margin:10px auto 0}.btn.btn-outline-secondary.active,.btn.btn-outline-secondary:hover{color:#fff!important}.required{color:red}.field-label{color:#000}.btn.valid-btn{background-color:#000;color:#fff;margin-right:-3px;margin-bottom:10px}label{color:#000}.input-size-lg{width:1.8rem;height:1.8rem}"]
            })
        ], DataFormEcComponent);
        return DataFormEcComponent;
    }(ComponentHelper));

    var __extends$i = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$Q = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __awaiter$a = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
            function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    };
    var __generator$a = (this && this.__generator) || function (thisArg, body) {
        var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f) throw new TypeError("Generator is already executing.");
            while (_) try {
                if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
                if (y = 0, t) op = [op[0] & 2, t.value];
                switch (op[0]) {
                    case 0: case 1: t = op; break;
                    case 4: _.label++; return { value: op[1], done: false };
                    case 5: _.label++; y = op[1]; op = [0]; continue;
                    case 7: op = _.ops.pop(); _.trys.pop(); continue;
                    default:
                        if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                        if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                        if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                        if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                        if (t[2]) _.ops.pop();
                        _.trys.pop(); continue;
                }
                op = body.call(thisArg, _);
            } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
            if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
        }
    };
    var PaymentService = /** @class */ (function (_super) {
        __extends$i(PaymentService, _super);
        function PaymentService(connection, toastrService, cartService, consts, checkoutService, analyticsService) {
            var _this = _super.call(this, checkoutService) || this;
            _this.connection = connection;
            _this.toastrService = toastrService;
            _this.cartService = cartService;
            _this.consts = consts;
            _this.checkoutService = checkoutService;
            _this.analyticsService = analyticsService;
            _this.paymentMethodsSubject = new rxjs.BehaviorSubject([]);
            _this.methods$ = _this.paymentMethodsSubject.asObservable();
            _this.baseApi = function () { return 'shop-api/' + _this.consts.getChannel() + '/' + 'checkout/' + _this.cartService.getCartToken(); };
            _this.getPaymentMethodsApi = function () { return _this.baseApi() + '/payment'; };
            _this.getPreferenceApi = function () { return 'shop-api/' + _this.consts.getChannel() + '/mercado-pago/' + _this.cartService.getCartToken() + '/preference'; };
            _this.getCheckoutMobbexApi = function () { return 'shop-api/' + _this.consts.getChannel() + '/mobbex/' + _this.cartService.getCartToken() + '/process-payment'; };
            _this.getCheckoutBancardApi = function () { return 'shop-api/' + _this.consts.getChannel() + '/bancard/' + _this.cartService.getCartToken() + '/process-payment'; }; //?testOrderNumber=' + this.getRandomArbitrary()
            _this.getCheckoutBambooApi = function () { return 'shop-api/' + _this.consts.getChannel() + '/bamboo/' + _this.cartService.getCartToken() + '/process-payment'; };
            _this.putPaymentApi = function (method) { return _this.baseApi() + '/payment/' + method; };
            _this.getPaymentMethods = function () { return __awaiter$a(_this, void 0, void 0, function () {
                var _this = this;
                return __generator$a(this, function (_a) {
                    return [2 /*return*/, this.connection.get(this.getPaymentMethodsApi()).toPromise().then(function (res) { var _a; return ((_a = res.payments) === null || _a === void 0 ? void 0 : _a.length) && _this.paymentMethodsSubject.next(Object.keys(res.payments[0].methods).map(function (key) { return res.payments[0].methods[key]; })); }, function (err) { return _this.toastrService.show('operation-error'); })];
                });
            }); };
            // putPayment = (method) => this.connection.put(this.putPaymentApi(method), { method }).toPromise();
            _this.putPayment = function (method) {
                return _this.connection
                    .put(_this.putPaymentApi(method), { method: method })
                    .toPromise()
                    .then(function (res) {
                    _this.analyticsService.callEvent('add_payment_info', res);
                    return res;
                }, function (err) {
                    return new Promise(function (resolve, reject) { return reject(new Error(err.error)); });
                }).catch(function (err) { return console.error(err); });
            };
            _this.getPreference = function (shipment_data) { return _this.connection.post(_this.getPreferenceApi(), shipment_data).pipe(operators.map(function (res) { return (res.preference || res); })).toPromise(); };
            _this.getCheckoutMobbex = function (shipment_data) { return _this.connection.post(_this.getCheckoutMobbexApi(), shipment_data).toPromise(); };
            _this.getCheckoutBancard = function (shipment_data) { return _this.connection.get(_this.getCheckoutBancardApi(), shipment_data).toPromise(); };
            _this.getCheckoutBamboo = function (shipment_data) { return _this.connection.get(_this.getCheckoutBambooApi(), shipment_data).toPromise(); };
            _this.getRandomArbitrary = function () { return Math.round(Math.random() * (Number(9999999) - Number(2000003)) + Number(2000003)); };
            _this.getPaymentMethods();
            return _this;
        }
        PaymentService.ctorParameters = function () { return [
            { type: ConnectionService },
            { type: ToastService },
            { type: CartService },
            { type: Constants },
            { type: CheckoutService },
            { type: AnalyticsService }
        ]; };
        PaymentService = __decorate$Q([
            core.Injectable()
        ], PaymentService);
        return PaymentService;
    }(StepService));

    var __extends$j = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __assign$j = (this && this.__assign) || function () {
        __assign$j = Object.assign || function(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                    t[p] = s[p];
            }
            return t;
        };
        return __assign$j.apply(this, arguments);
    };
    var __decorate$R = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __awaiter$b = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
            function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    };
    var __generator$b = (this && this.__generator) || function (thisArg, body) {
        var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f) throw new TypeError("Generator is already executing.");
            while (_) try {
                if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
                if (y = 0, t) op = [op[0] & 2, t.value];
                switch (op[0]) {
                    case 0: case 1: t = op; break;
                    case 4: _.label++; return { value: op[1], done: false };
                    case 5: _.label++; y = op[1]; op = [0]; continue;
                    case 7: op = _.ops.pop(); _.trys.pop(); continue;
                    default:
                        if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                        if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                        if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                        if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                        if (t[2]) _.ops.pop();
                        _.trys.pop(); continue;
                }
                op = body.call(thisArg, _);
            } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
            if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
        }
    };
    var __values = (this && this.__values) || function(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m) return m.call(o);
        if (o && typeof o.length === "number") return {
            next: function () {
                if (o && i >= o.length) o = void 0;
                return { value: o && o[i++], done: !o };
            }
        };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var PaymentEcComponent = /** @class */ (function (_super) {
        __extends$j(PaymentEcComponent, _super);
        function PaymentEcComponent(renderer, toastr, paymentService, checkoutService) {
            var _this = _super.call(this) || this;
            _this.renderer = renderer;
            _this.toastr = toastr;
            _this.paymentService = paymentService;
            _this.checkoutService = checkoutService;
            _this.methodDataSubject = new rxjs.BehaviorSubject(null);
            _this.loadingSubject = new rxjs.BehaviorSubject(false);
            _this.loading_internal = false;
            _this.loading = true;
            _this.loading_internal_mp = false;
            _this.method_data$ = _this.methodDataSubject.asObservable();
            _this.loading$ = _this.loadingSubject.asObservable();
            _this.allData = function () { return (__assign$j(__assign$j({}, _this.paymentService.getUserData().shippingAddress), _this.paymentService.getShipmentData())); };
            _this.setError = function (message) {
                _this.error = message;
            };
            _this.emitResult = function () { return __awaiter$b(_this, void 0, void 0, function () {
                var _this = this;
                return __generator$b(this, function (_a) {
                    this.paymentService.setStepReady(this.methodDataSubject.getValue(), null).then(function (res) {
                        _this.setLoading(false);
                    });
                    return [2 /*return*/];
                });
            }); };
            _this.setLoading = function (estado) {
                if (estado === void 0) { estado = true; }
                _this.loadingSubject.next(estado);
                return true;
            };
            _this.verifyValidate = function () {
                _this.setLoading();
                setTimeout(function (r) { return _this.emitResult(); }, 1000);
            };
            _this.setMethod = function (method) { return __awaiter$b(_this, void 0, void 0, function () {
                var result;
                return __generator$b(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            this.methodDataSubject.next(null);
                            return [4 /*yield*/, this.paymentService.putPayment(method.code)];
                        case 1:
                            result = _a.sent();
                            this.methodDataSubject.next(method);
                            return [2 /*return*/];
                    }
                });
            }); };
            _this.submitForm = function (event) {
                try {
                    //console.log("EVENT", event);
                    event.preventDefault();
                    return false;
                }
                catch (e) {
                    //console.log('SE ROMOPIO EL PREVENT DEFAULT')
                }
            };
            _this.getPK = function (method) { return (method.config.public_key || method.public_key); };
            _this.isRedirectRedsys = function (code) { return code && code.toLocaleLowerCase().includes('redsys_redirect'); };
            _this.isRedirectCecaBank = function (code) { return code && code.toLocaleLowerCase().includes('ceca_bank_redirect'); };
            _this.isMP = function (code) { return code && code.toLocaleLowerCase().includes('mercado_pago') && !code.toLocaleLowerCase().includes('credit'); };
            _this.isMPTarjetaDeCredito = function (code) { return code && code.toLocaleLowerCase().includes('credit'); };
            _this.isMethodOffline = function (code) { return code && code.toLocaleLowerCase().includes('offline'); };
            _this.isPeyPalExpress = function (code) { return code && code.toLocaleLowerCase().includes('paypal') && code.toLocaleLowerCase().includes('express'); };
            _this.isMobbex = function (code) { return code && code.toLocaleLowerCase().includes('mobbex'); };
            _this.isBancard = function (code) { return code && code.toLocaleLowerCase().includes('bancard'); };
            _this.isDecidir = function (code) { return code && code.toLocaleLowerCase().includes('decidir'); };
            _this.isCulqi = function (code) { return code && code.toLocaleLowerCase().includes('culqi'); };
            _this.isBankTransfer = function (code) { return code && code.toLocaleLowerCase().includes('bank_transfer'); };
            _this.isCatastro = function (code) { return code && code.toLocaleLowerCase().includes('catastro'); };
            _this.isBamboo = function (code) { return code && code.toLocaleLowerCase().includes('bamboo'); };
            _this.getPKCulqi = function (method) {
                return window.location.href.includes('easycommercetech')
                    ? method.config.public_testing_key
                    : method.config.public_production_key;
            };
            _this.ecOnConstruct();
            return _this;
        }
        PaymentEcComponent.prototype.ngOnChanges = function () { };
        PaymentEcComponent.prototype.ngOnInit = function () {
            var _this = this;
            this.paymentService.initialize(this.step_id);
            this.checkoutService.asociatedData$.subscribe(function (data) { return _this.total_amount = (data.find(function (item) { return item.type == 'total'; })).amount; });
            this.ecOnInit();
        };
        PaymentEcComponent.prototype.setActive = function (e) {
            var e_1, _a;
            var parent = e.target.parentElement.children;
            try {
                for (var parent_1 = __values(parent), parent_1_1 = parent_1.next(); !parent_1_1.done; parent_1_1 = parent_1.next()) {
                    var button = parent_1_1.value;
                    if (button.classList.contains('active')) {
                        button.classList.remove('active');
                    }
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (parent_1_1 && !parent_1_1.done && (_a = parent_1.return)) _a.call(parent_1);
                }
                finally { if (e_1) throw e_1.error; }
            }
            e.target.classList.add("active");
        };
        PaymentEcComponent.ctorParameters = function () { return [
            { type: core.Renderer2 },
            { type: ToastService },
            { type: PaymentService },
            { type: CheckoutService }
        ]; };
        __decorate$R([
            core.Input()
        ], PaymentEcComponent.prototype, "step_id", void 0);
        __decorate$R([
            core.ViewChild('formContainer')
        ], PaymentEcComponent.prototype, "mercadopago_button", void 0);
        PaymentEcComponent = __decorate$R([
            core.Component({
                selector: 'app-payment-ec',
                template: "<div class=\"container-fluid\" *ngIf=\"(paymentService.methods$ | async) as methods\">\n\n    <div class=\"row\">\n        <div class=\"col-12\">\n            <div class=\"card \">\n                <div class=\"card-header text-dark text-center\">\n                    <h4>{{ 'select-method' | translate }}</h4>\n                    <div class=\"btn-toolbar justify-content-center\" role=\"toolbar\" aria-label=\"Envios toolbar\">\n                        <div class=\"\" role=\"group\" aria-label=\"Grupo botones envio\">\n                            <div class=\"d-flex align-content-start justify-content-center flex-wrap\">\n                                <button type=\"button\" class=\"btn btn-outline-secondary mx-1 mb-1\"\n                                    *ngFor=\"let method of methods; let x = index\"\n                                    (click)=\"setMethod(method) ; setActive($event)\">\n                                    {{ method.name | translate }}\n                                </button>\n                            </div>\n                        </div>\n                    </div>\n                </div>\n                <div class=\"card-body text-center\">\n                    <div class=\"row justify-content-center\" *ngIf=\"(method_data$ | async) as method\">\n                        <ng-container *ngIf=\"!loading_internal ; else loading\">\n                            <div class=\"method-container text-dark\" *ngIf=\"isMP(method.code)\">\n                                <p id=\"faqs\" class=\"qt px-5 \">{{ method.description }}</p>\n                                <p class=\"px-5\">{{ method.instructions }}</p>\n                                <app-mp-redirect-ec (ready)=\"verifyValidate($event)\" [method]=\"method\" [paymentServiceInst]=\"paymentService\" [allData]=\"allData()\"></app-mp-redirect-ec>\n                            </div>\n                            <div class=\"method-container text-dark text-left\" *ngIf=\"isMPTarjetaDeCredito(method.code)\">\n                                <div class=\"row\">\n                                    <div class=\"col-12\">\n                                        <p id=\"faqs\" class=\"qt px-5 \">{{ method.description }}</p>\n                                        <p class=\"px-5\">{{ method.instructions }}</p>\n                                        <div app-mp-credit-ec (ready)=\"verifyValidate()\" [public_key]=\"getPK(method)\"\n                                            [user_data]=\"allData()\" [total_amount]=\"total_amount\">\n                                        </div>\n                                    </div>\n                                </div>\n                            </div>\n                            <div class=\"method-container text-dark text-start\"\n                                *ngIf=\"isRedirectRedsys(method.code)\">\n                                <div class=\"row\">\n                                    <div class=\"col-12\">\n                                        <ng-container *ngIf=\"!method.code.includes('bizum') && !method.code.includes('_out_')\">\n                                            <app-redsys-redirect-ec (ready)=\"verifyValidate($event)\" [method]=\"method\" [user_data]=\"allData()\">\n                                            </app-redsys-redirect-ec>\n                                        </ng-container>\n                                        <ng-container *ngIf=\"method.code.includes('bizum') || method.code.includes('_out_')\">\n                                            <app-redsys-redirect-out-ec (ready)=\"verifyValidate($event)\" [method]=\"method\" [user_data]=\"allData()\">\n                                            </app-redsys-redirect-out-ec>\n                                        </ng-container>\n                                    </div>\n                                </div>\n                            </div>\n                            <div class=\"method-container text-dark text-start\" *ngIf=\"isRedirectCecaBank(method.code)\">\n                                <div class=\"row\">\n                                    <div class=\"col-12\">\n                                        <app-ceca-redirect-ec (ready)=\"verifyValidate($event)\" [method]=\"method\" [user_data]=\"allData()\">\n                                        </app-ceca-redirect-ec>\n                                    </div>\n                                </div>\n                            </div>\n                            <div class=\"method-container text-dark text-start\" *ngIf=\"isPeyPalExpress(method.code)\">\n                                <div class=\"container\">\n                                    <div class=\"row justify-content-center\">\n                                        <div class=\"col-12\">\n                                            <app-paypal-express-ec (ready)=\"verifyValidate($event)\" [method]=\"method\" [user_data]=\"allData()\"\n                                                [total_amount]=\"total_amount\">\n                                            </app-paypal-express-ec>\n                                        </div>\n                                    </div>\n                                </div>\n                            </div>\n                            <div class=\"method-container text-dark text-start\" *ngIf=\"isMobbex(method.code)\">\n                                <div class=\"container\">\n                                    <div class=\"row justify-content-center\">\n                                        <div class=\"col-12\">\n                                            <app-mobbex-ec (ready)=\"verifyValidate($event)\" [method]=\"method\" [user_data]=\"allData()\" [paymentServiceInst]=\"paymentService\"\n                                                [total_amount]=\"total_amount\">\n                                            </app-mobbex-ec>\n                                        </div>\n                                    </div>\n                                </div>\n                            </div>\n                            <div class=\"method-container text-dark text-start\" *ngIf=\"isBancard(method.code)\">\n                                <div class=\"container\">\n                                    <div class=\"row justify-content-center\">\n                                        <div class=\"col-12\">\n                                            <app-bancard-ec (ready)=\"verifyValidate($event)\" [method]=\"method\" [user_data]=\"allData()\"\n                                                [paymentServiceInst]=\"paymentService\" [total_amount]=\"total_amount\">\n                                            </app-bancard-ec>\n                                        </div>\n                                    </div>\n                                </div>\n                            </div>\n                            <div class=\"method-container text-dark text-start\" *ngIf=\"isDecidir(method.code)\">\n                                <div class=\"container\">\n                                    <div class=\"row justify-content-center\">\n                                        <div class=\"col-12\">\n                                            <app-decidir-ec (ready)=\"verifyValidate($event)\" [method]=\"method\" [user_data]=\"allData()\" [paymentServiceInst]=\"paymentService\"\n                                                [total_amount]=\"total_amount\">\n                                            </app-decidir-ec>\n                                        </div>\n                                    </div>\n                                </div>\n                            </div>\n                            <div class=\"method-container text-dark\" *ngIf=\"isMethodOffline(method.code)\">\n                                <p id=\"faqs\" class=\"qt px-5\">{{ method.description }}</p>\n                                <p class=\"px-5\">{{ method.instructions }}</p>\n                                <div class=\"end-button\">\n                                    <button class=\"btn comprar\" (click)=\"setLoading() && verifyValidate()\">{{  ('pay-with-offline'| translate) }}</button>\n                                </div>\n                                <ng-container *ngIf=\"(loading$ | async) as load\">\n                                    <div class=\"mt-2\" *ngIf=\"load\">\n                                        <app-loading-inline-ec></app-loading-inline-ec>\n                                    </div>\n                                </ng-container>\n                            </div>\n                            <div class=\"method-container text-dark text-start\" *ngIf=\"isCulqi(method.code)\">\n                                <div class=\"container\">\n                                    <div class=\"row justify-content-center\">\n                                        <div class=\"col-12\">\n                                            <!-- <app-mobbex-ec (ready)=\"verifyValidate($event)\" [method]=\"method\" [user_data]=\"allData()\" [paymentServiceInst]=\"paymentService\"\n                                                [total_amount]=\"total_amount\">\n                                            </app-mobbex-ec> -->\n                                            <app-culqi-ec [apiKey]=\"getPKCulqi(method)\" [method]=\"method\" [amount]=\"total_amount\" [customStyle]=\"true\" (ready)=\"verifyValidate()\"></app-culqi-ec>\n                                        </div>\n                                    </div>\n                                </div>\n                            </div>\n                            <div class=\"method-container text-dark text-start\" *ngIf=\"isCatastro(method.code)\">\n                                <div class=\"container\">\n                                    <div class=\"row justify-content-center\">\n                                        <div class=\"col-12\">\n                                           <app-bancard-catastro-ec (ready)=\"verifyValidate($event)\" [method]=\"method\" [user_data]=\"allData()\"\n                                           [paymentServiceInst]=\"paymentService\" [total_amount]=\"total_amount\"></app-bancard-catastro-ec>\n                                        </div>\n                                    </div>\n                                </div>\n                            </div>\n                            <div class=\"method-container text-dark text-start\" *ngIf=\"isBamboo(method.code)\">\n                                <div class=\"container\">\n                                    <div class=\"row justify-content-center\">\n                                        <div class=\"col-12\">\n                                           <app-bamboo-ec (ready)=\"verifyValidate($event)\" [method]=\"method\" [user_data]=\"allData()\"\n                                           [paymentServiceInst]=\"paymentService\" [total_amount]=\"total_amount\"></app-bamboo-ec>\n                                        </div>\n                                    </div>\n                                </div>\n                            </div>\n                            <div class=\"method-container text-dark\" *ngIf=\"isBankTransfer(method.code)\">\n                                <div class=\"row px-0 description-cont\">\n                                    <ng-container *ngFor=\"let line of method.description.split('\\r\\n'); let i=index\">\n                                        <p [id]=\"'faqs-'+i\" [class]=\"'qt px-5 m-0 line-'+i\">{{ line }}</p>\n                                    </ng-container>\n                                </div>\n                                <hr *ngIf=\"method.instructions\">\n                                <div *ngIf=\"method.instructions\" class=\"row px-0 instructions-cont mb-1\">\n                                    <h5 class=\"instructions-title\">{{ ('instructions' | translate) }}</h5>\n                                    <ng-container *ngFor=\"let line of method.instructions.split('\\r\\n'); let i=index\">\n                                        <p [class]=\"'px-5 m-0 instructions-text line-'+i \">{{ line }}</p>\n                                    </ng-container>\n                                </div>\n                               \n                                <div class=\"end-button\">\n                                    <button class=\"btn comprar\" (click)=\"setLoading() && verifyValidate()\">{{\n                                        ('pay-with-transfer'\n                                        | translate) }}</button>\n                                </div>\n                                <ng-container *ngIf=\"(loading$ | async) as load\">\n                                    <div class=\"mt-2\" *ngIf=\"load\">\n                                        <app-loading-inline-ec></app-loading-inline-ec>\n                                    </div>\n                                </ng-container>\n                            </div>\n                        </ng-container>\n                    </div>\n                </div>\n            </div>\n        </div>\n    </div>\n</div>\n\n<ng-template #mercadoPago>\n    <div class=\"row \">\n        <div class=\"col-12 text-center\">\n            <app-loading-inline-ec *ngIf=\"loading_internal_mp\"></app-loading-inline-ec>\n            <form action=\"javascript:void(0)\" #formContainer></form>\n        </div>\n    </div>\n</ng-template>\n\n<ng-template #loading>\n    <app-loading-inline-ec></app-loading-inline-ec>\n</ng-template>",
                providers: [PaymentService],
                styles: ["div.col-12 form{text-align:center}.option-container>div{margin-bottom:15px}@media only screen and (min-width:600px){.option-container{display:flex;justify-content:space-between;margin-top:20px}}.method-container{width:100%}.active{background-color:#000!important;color:#fff!important}.comprar{background:#000;color:#fff;display:inline-block;font-size:18px;font-weight:600;padding:10px 25px;text-decoration:none;text-transform:uppercase}"]
            })
        ], PaymentEcComponent);
        return PaymentEcComponent;
    }(ComponentHelper));

    var __extends$k = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __assign$k = (this && this.__assign) || function () {
        __assign$k = Object.assign || function(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                    t[p] = s[p];
            }
            return t;
        };
        return __assign$k.apply(this, arguments);
    };
    var __decorate$S = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __values$1 = (this && this.__values) || function(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m) return m.call(o);
        if (o && typeof o.length === "number") return {
            next: function () {
                if (o && i >= o.length) o = void 0;
                return { value: o && o[i++], done: !o };
            }
        };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    };
    var ShipmentEcComponent = /** @class */ (function (_super) {
        __extends$k(ShipmentEcComponent, _super);
        function ShipmentEcComponent(shipmentService, toastrService, productsService, checkoutService) {
            var _this = _super.call(this) || this;
            _this.shipmentService = shipmentService;
            _this.toastrService = toastrService;
            _this.productsService = productsService;
            _this.checkoutService = checkoutService;
            _this.loading_internal = false;
            _this.points = [];
            _this.costos = null;
            _this.costs = [];
            _this.contracts = [];
            _this.emitResult = function (method_name, contract_data) {
                contract_data = __assign$k(__assign$k({}, contract_data), { shipping_method_contract: method_name + '_' + contract_data.name, shipping_method_branch_code: method_name == "branch_delivery" ? contract_data.sucursal_id : contract_data.name });
                _this.shipmentService.setContract(contract_data);
            };
            _this.verifyValidate = function (contract, data) {
                try {
                    _this.costs.forEach(function (cost) { return cost.contracts.forEach(function (co) { return co.selected = false; }); });
                    _this.costs.find(function (cost) { return cost.name == contract; }).contracts.find(function (contra) { return contra.name == data.name; }).selected = true;
                }
                catch (error) {
                    console.log("error al buscar contrato", error);
                }
                _this.emitResult(contract, data);
            };
            _this.toTraducible = function (name) { return name.replace(/_/g, '-'); };
            _this.deleteUPS = function (methods) { return methods.filter(function (method) { return method.name != 'UPS'; }); };
            _this.setMethod = function (method) {
                _this.methodSelect = method;
                _this.loading_internal = true;
                _this.shipmentService.restartStep();
                setTimeout(function () {
                    _this.shipmentService.setMethod(method.code).then(function (res) { return _this.loading_internal = false; });
                }, 1000);
            };
            _this.validName = function (name) { return isNaN(name); };
            _this.showResponse = function (costs) { return console.log(costs); };
            _this.ecOnConstruct();
            return _this;
        }
        ShipmentEcComponent.prototype.ngOnInit = function () {
            var _this = this;
            this.shipmentService.initialize(this.step_id);
            this.shipmentService.getShipmentMethods();
            this.checkoutService.asociatedData$.subscribe(function (data) {
                _this.costos = data && data.find(function (value) { return value.type == "shipment"; }) || null;
            });
            this.shipmentService.costs.subscribe(function (cos) {
                var _a, _b;
                _this.costs = cos.map(function (cost) { return __assign$k(__assign$k({}, cost), { contracts: cost.contracts.map(function (co) { return __assign$k(__assign$k({}, co), { selected: false }); }) }); });
                if (_this.costs.length && ((_a = _this.costs[0]) === null || _a === void 0 ? void 0 : _a.name) && ((_b = _this.costs[0]) === null || _b === void 0 ? void 0 : _b.contracts[0])) {
                    _this.verifyValidate(_this.costs[0].name, _this.costs[0].contracts[0]);
                }
            });
            this.moreInfoInMethod = true; //ShipmentService.moreInfoInMethod;
            this.ecOnInit();
        };
        ShipmentEcComponent.prototype.ngOnChanges = function () {
            this.shipmentService.getShipmentMethods();
        };
        ShipmentEcComponent.prototype.setActive = function (e) {
            var e_1, _a;
            var parent = e.target.parentElement.children;
            try {
                for (var parent_1 = __values$1(parent), parent_1_1 = parent_1.next(); !parent_1_1.done; parent_1_1 = parent_1.next()) {
                    var button = parent_1_1.value;
                    if (button.classList.contains('active')) {
                        button.classList.remove('active');
                    }
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (parent_1_1 && !parent_1_1.done && (_a = parent_1.return)) _a.call(parent_1);
                }
                finally { if (e_1) throw e_1.error; }
            }
            e.target.classList.add("active");
        };
        ShipmentEcComponent.ctorParameters = function () { return [
            { type: ShipmentService },
            { type: ToastService },
            { type: ProductsService },
            { type: CheckoutService }
        ]; };
        __decorate$S([
            core.Input()
        ], ShipmentEcComponent.prototype, "step_id", void 0);
        ShipmentEcComponent = __decorate$S([
            core.Component({
                selector: 'app-shipment-ec',
                template: "<!-- <div class=\"checkout-title\">\n    <h3>{{'shipment-methods'|translate}}</h3>\n</div> -->\n\n<div class=\"container-fluid\">\n    <div class=\"col-12\">\n        <div class=\"card text-center\">\n            <div class=\"card-header text-dark\">\n                <h4>{{ 'select-method' | translate }}</h4>\n                <div class=\"btn-toolbar justify-content-center\" role=\"toolbar\" aria-label=\"Envios toolbar\"\n                    *ngIf=\"(shipmentService.methods | async) as methods; else noMethods\">\n                    <div class=\"\" role=\"group\" aria-label=\"Grupo botones envio\">\n                        <div class=\"d-flex align-content-start justify-content-center flex-wrap\">\n                            <button type=\"button\" class=\"btn btn-outline-secondary mx-1 mb-1\"\n                                *ngFor=\"let method of deleteUPS(methods); let x = index\"\n                                (click)=\"setMethod(method, post_code); setActive($event)\">\n                                {{ method.name | translate }}\n                            </button>\n                        </div>\n\n\n                    </div>\n                </div>\n            </div>\n            <div class=\"card-body\">\n                <div class=\"row justify-content-center mb-2\" *ngIf=\"moreInfoInMethod && methodSelect && methodSelect.description\">\n                    <div class=\"col-12 col-md-6 col-lg-4 d-flex flex-column mb-2\" [id]=\"methodSelect.code\">\n                      <ng-container *ngFor=\"let line of methodSelect.description.split('\\r\\n'); let i=index\">\n                        <span [id]=\"methodSelect.code+'-'+i\" [class]=\"'line-'+i\">{{line}}</span>\n                      </ng-container>\n                    </div>\n                    <!--<span> <b>{{ 'information' | translate }}:</b>  {{methodSelect.description}} </span>-->\n                </div>\n                <div class=\"row justify-content-center\" *ngIf=\"this.costs\">\n                    <ng-container *ngIf=\"!loading_internal ; else loading\">\n                        <div class=\"col-auto text-dark\" *ngFor=\"let cost of costs; let y = index\">\n                            <ng-container *ngIf=\"cost.contracts.length > 0\">\n                              <ng-container *ngIf=\"costs.length > 1; else uniqueShipment\">\n                                <span><b>{{ cost.name | translate }}</b></span>\n                                <hr />\n                                   </ng-container>\n                                   <ng-template #uniqueShipment>\n                              <span><b>{{ methodSelect.name | translate }}</b></span>\n                                <hr />\n                                   </ng-template>\n                                <div class=\"option\" *ngFor=\"let contract of cost.contracts; let i = index\">\n                                    <div class=\"form-check current-contract\">\n                                        <input class=\"form-check-input\" [checked]=\"(y === 0 && i === 0) ? true : contract.selected\" type=\"radio\" name=\"card\" [id]=\"cost.name + i\"\n                                            value=\"dark\" (click)=\"verifyValidate(cost.name, contract)\">\n                                        <label class=\"form-check-label\" [for]=\"cost.name + i\" aria-label=\"Dark grey\">\n                                            <span\n                                                [class]=\"(cost.name == 'home_delivery') ? 'shipment-contractname home_delivery' : 'shipment-contractname' \"\n                                                *ngIf=\"validName(contract.name)\">{{ contract.name | translate }}</span>\n                                            <span *ngIf=\"contract.computed\"><br class=\"shipment-contractname\">{{ contract.computed | translate }}<br\n                                                    class=\"shipment-contractname\"></span>\n                                            <div *ngIf=\"contract.detail\" class=\"contract-detail\">\n                                                <div *ngFor=\"let line of contract.detail.split(' - '); let i = index\" [class]=\"'contrat-item-'+i\">\n                                                    <span *ngIf=\"i == 0\"><b>{{ line }}</b></span>\n                                                    <span class=\"inside-detail\" *ngIf=\"i > 0\">{{ line }}</span>\n                                                </div>\n                                            </div>\n                                            <span *ngIf=\"contract.price > 0\" [class]=\"'inside-detail ' + ( costos?.amount == 0 ? ' free ' : '') \">\n                                                <br class=\"shipment-contractname\" *ngIf=\"!contract.computed\">\n                                                {{ ('price'|translate) + ': ' + (contract.price | ecCurrencySymbol) }}</span>\n                                            <!-- <span *ngIf=\"contract.price == 0\" [class]=\"'inside-detail ' + ( costos?.amount == 0 ? ' free ' : '') \">\n                                                <br class=\"shipment-contractname\" *ngIf=\"!contract.computed\"> {{ ('free'|translate) }}</span> -->\n                                            <br>\n                                        </label>\n                                    </div>\n                                </div>\n                            </ng-container>\n                        </div>\n                    </ng-container>\n                </div>\n            </div>\n\n        </div>\n    </div>\n\n</div>\n\n<ng-template #noMethods>\n    <div class=\"d-flex flex-row w-100 justify-content-center mt-2\">\n        <h5 class=\"text-secondary\">{{'no-shipment-methods'|translate}}</h5>\n    </div>\n</ng-template>\n\n<ng-template #loading>\n    <app-loading-full-ec></app-loading-full-ec>\n</ng-template>\n",
                providers: [ShipmentService],
                styles: [".shipment-container{width:100%;max-height:500px!important}.points-container{margin-top:10px;max-height:300px;overflow:scroll}agm-map{height:300px}.ancho-100{width:200px}.ancho-50{width:100px}.group-shipping{margin:10px 0}.option-container>div{margin-bottom:15px}@media only screen and (min-width:600px){.option-container{display:flex;justify-content:space-between;margin-top:20px}}hr{margin-top:0!important}.option{display:flex;align-items:flex-start;margin-bottom:20px}.option label{margin:0 0 0 10px}.inside-detail{color:gray!important;font-weight:400}.inside-detail.free{text-decoration:line-through}.active{color:#fff!important}"]
            })
        ], ShipmentEcComponent);
        return ShipmentEcComponent;
    }(ComponentHelper));

    var __extends$l = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$T = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var SuccessEcComponent = /** @class */ (function (_super) {
        __extends$l(SuccessEcComponent, _super);
        function SuccessEcComponent(activedRoute, cartService, router, checkoutService, blocksService, consts) {
            var _this = _super.call(this) || this;
            _this.activedRoute = activedRoute;
            _this.cartService = cartService;
            _this.router = router;
            _this.checkoutService = checkoutService;
            _this.blocksService = blocksService;
            _this.consts = consts;
            _this.orderDetails = {};
            _this.params = {};
            _this.from_mp = true;
            /**
             * @description Chequea si existe un bloque recibido por parametro.
             * @param codeBlock codigo del bloque.
             * @returns el bloque si lo encontro.
             */
            _this.containsBlock = function (codeBlock) { return _this.blocks.find(function (block) { return block.code == codeBlock; }); };
            _this.ecOnConstruct();
            return _this;
        }
        SuccessEcComponent.prototype.ngOnInit = function () {
            var _this = this;
            this.checkoutService.order$.subscribe(function (res) {
                var _a, _b;
                //console.log('LO QUE LLEGA EN ORDEN', res);
                ((_a = res) === null || _a === void 0 ? void 0 : _a.number) ? _this.params = {
                    external_reference: res.number,
                } : null;
                //this.payments = [{method:{code:'bank_transsfer'}}]
                _this.payments = ((_b = res) === null || _b === void 0 ? void 0 : _b.payments) ? res.payments : null;
            });
            this.blocksService.getBlocks('info_metodo_pago');
            this.blocksService.blocks.subscribe(function (res) { return _this.blocks = res; });
            this.ecOnInit();
        };
        SuccessEcComponent.ctorParameters = function () { return [
            { type: router.ActivatedRoute },
            { type: CartService },
            { type: router.Router },
            { type: CheckoutService },
            { type: BlocksService },
            { type: Constants }
        ]; };
        SuccessEcComponent = __decorate$T([
            core.Component({
                selector: 'app-order-success-ec',
                template: "<div id=\"container\" class=\"flex-center generalContainer container-xl\">\n    <div class=\"Main card my-2\"  *ngIf=\"this.payments && this.payments[0].method.code; else loading\">\n        <ng-container *ngIf=\"this.blocks && this.blocks.length > 0; else notInfoToMethod\">\n            <ng-container *ngIf=\"containsBlock(this.payments[0].method.code) as bloque; else notInfoToMethod\">\n                <div class=\"wrap my-4 card-body\" [id]=\"bloque.code\">\n                    <div class=\"row\">\n                        <div class=\"col-md-12 col-12\">\n                            <h5 [class]=\"bloque.code+'-title'\">{{ (bloque?.translations[consts.getLocale()]?.name ?\n                                bloque.translations[consts.getLocale()].name :\n                                'thanks-for-buying') | translate\n                                | uppercase }}</h5>\n                        </div>\n                    </div>\n                    <div class=\"row\">\n                        <div class=\"col-md-12 col-12 text-start\">\n                            <app-blocks-ec [section]=\"'info_metodo_pago'\" [blockFilters]=\"this.payments[0].method.code\">\n                            </app-blocks-ec>\n                            <div class=\"d-flex flex-column details\">\n                                <p class=\"card-text\">{{ ('number' | translate) + ': ' + params.external_reference }}</p>\n                                <p class=\"card-text\">{{((params.payment_status || 'pending') | translate)}}</p>\n                            </div>\n                        </div>\n                    </div>\n                </div>\n            </ng-container>\n        </ng-container>\n        <ng-template #notInfoToMethod>\n            <ng-template #defaultMessage>\n                <div class=\"wrap my-4 card-body\">\n                    <div class=\"row\">\n                        <div class=\"col-md-12 col-12\">\n                            <h5 class=\"card-title titpage center-block text-center\">\n                                {{ 'thanks-for-buying' | translate | uppercase }}\n                            </h5>\n                        </div>\n                    </div>\n                    <div class=\"row\">\n                        <div class=\"col-md-12 col-12 text-center py-3\">\n                            <h4 class=\"thanks-details\">{{ 'thanks-details' | translate }}</h4>\n                            <h5 class=\"number\">{{ ('number' | translate) + ': ' + params.external_reference }}</h5>\n                            <h5 class=\"pending\">{{ ((params.payment_status || 'pending') | translate) }}</h5>\n                            <!-- <h5 *ngIf=\"!from_mp\">{{ ('will_contact' | translate) }}</h5> -->\n\n                            <!-- <a routerLink=\"/collection\"><button class=\"comprar\">{{ 'continue-shopping' | translate }}</button></a> -->\n                        </div>\n                    </div>\n                </div>\n            </ng-template>\n            <ng-container [ngTemplateOutlet]=\"notInfoToMethodTemplate ? notInfoToMethodTemplate : defaultMessage\"\n                [ngTemplateOutletContext]=\"{params:params}\">\n            </ng-container>\n        </ng-template>\n    </div>\n</div>\n\n<ng-template #loading>\n    <app-loading-full-ec></app-loading-full-ec>\n</ng-template>",
                styles: [""]
            })
        ], SuccessEcComponent);
        return SuccessEcComponent;
    }(ComponentHelper));

    var __extends$m = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$U = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __read$5 = (this && this.__read) || function (o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m) return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
        }
        catch (error) { e = { error: error }; }
        finally {
            try {
                if (r && !r.done && (m = i["return"])) m.call(i);
            }
            finally { if (e) throw e.error; }
        }
        return ar;
    };
    var __spread$4 = (this && this.__spread) || function () {
        for (var ar = [], i = 0; i < arguments.length; i++) ar = ar.concat(__read$5(arguments[i]));
        return ar;
    };
    var CollectionEcComponent = /** @class */ (function (_super) {
        __extends$m(CollectionEcComponent, _super);
        function CollectionEcComponent(productsService, paramsSrv, activeRoute, optionsService, authService, analyticsService, cartService, consts, filtersService) {
            var _this = _super.call(this) || this;
            _this.productsService = productsService;
            _this.paramsSrv = paramsSrv;
            _this.activeRoute = activeRoute;
            _this.optionsService = optionsService;
            _this.authService = authService;
            _this.analyticsService = analyticsService;
            _this.cartService = cartService;
            _this.consts = consts;
            _this.filtersService = filtersService;
            _this.filters = [];
            _this.filtersConfig = { filters: [] };
            _this.finished = false;
            _this.loading = true;
            _this.breadcrumb = [];
            _this.isCollection = true;
            _this.productsWithUniqueVariant = false;
            _this.optionsFilters = ['all'];
            /**
             * @description Realiza un sort de productos por el campo dateCreate de la variante
             * @param a Producto a
             * @param b Producto b
             * @param type si es `asc` | `desc`
             * @returns {number} **1** para `true` | **0** para `false`
             */
            _this.sortProducts = function (a, b, type) {
                if (type === void 0) { type = 'asc'; }
                _this.loading = true;
                var toCompareA = a.variants && a.variants.length > 0 ? a.variants[0]['dateCreate'] : null;
                var toCompareB = b.variants && b.variants.length > 0 ? b.variants[0]['dateCreate'] : null;
                if (toCompareA && toCompareB) {
                    var dateA = new Date(toCompareA);
                    var dateB = new Date(toCompareB);
                    switch (type) {
                        case 'desc':
                            return (dateA >= dateB) ? 1 : 0;
                            break;
                        case 'asc':
                            return (dateA <= dateB) ? 1 : 0;
                            break;
                        default: return 0;
                    }
                }
                else {
                    return 0;
                }
            };
            /**
             * @description aplica el filtro en la vista.
             */
            _this.applyFiltersInView = function () {
                var _a;
                if ((_a = _this.filterInView) === null || _a === void 0 ? void 0 : _a.noUrl) {
                    _this.products = _this.products.sort(function (a, b) { return _this.sortProducts(a, b, _this.filterInView.value); });
                    _this.loading = false;
                }
            };
            _this.getSpecificFilters = function (filters, types) {
                var result = [];
                types.forEach(function (type) {
                    var result_filter = filters.find(function (filter) { return filter.type() == type; });
                    if (result_filter)
                        result.push(result_filter);
                    return result;
                });
                return result;
            };
            _this.areProducts = function () { return _this.products.length > 0; };
            _this.isWaiting = function () { return _this.productsService.isWaiting(); };
            _this.setFinished = function () { return _this.finished = true; };
            _this.changeFilter = function (e) {
                if (!_this.isCollection) {
                    _this.isCollection = true;
                }
            };
            _this.addAllProductosToCart = function (products) {
                if (products === void 0) { products = null; }
                var _a;
                var items = [];
                (products || _this.products).map(function (prod) { return prod.productWithUniqueVariant.map(function (p) { return items.push(p); }); });
                items = items.filter(function (prod) { return prod.productToCartItem; }).map(function (prod) { return prod.productToCartItem; });
                ((_a = items) === null || _a === void 0 ? void 0 : _a.length) && _this.cartService.addAllToCart(items);
            };
            _this.getObjectWithVariant = function () {
                return _this.consts.getParamsProductsWithUniqueVariant();
            };
            _this.paramsSrv.parameters.subscribe(function (param) { return _this.params = param; });
            _this.defaultFilters = _this.consts.getDefaultFilters();
            _this.filtersConfig.filters = _this.consts.getFilterConfig();
            _this.productsService.filtersInView$.subscribe(function (res) { return _this.filterInView = res; });
            _this.ecOnConstruct();
            return _this;
        }
        CollectionEcComponent.prototype.ngOnInit = function () {
            window.scroll(0, 0);
            this.products = [];
            this.ecOnInit();
            this.getProductsAndSubscribe();
        };
        CollectionEcComponent.prototype.getProductsAndSubscribe = function () {
            var _this = this;
            rxjs.combineLatest([this.activeRoute.params, this.optionsService.ready, this.activeRoute.queryParams]).subscribe(function (_a) {
                var _b = __read$5(_a, 3), params = _b[0], ready = _b[1], queryParams = _b[2];
                if (ready.readyAll) {
                    var cambio_1 = false;
                    _this.products = [];
                    if (!params['type'] || !params['value']) {
                        _this.productsService.getProductsForFilter({ latest: true, limit: 10 }, _this.optionsFilters, queryParams.search, _this.defaultFilters);
                    }
                    else {
                        _this.productsService.getProductsForFilter({ type: params.type, value: params.value }, _this.optionsFilters, queryParams.search, _this.defaultFilters);
                        cambio_1 = true;
                        _this.type = params['type'];
                        _this.value = params['value'];
                    }
                    try {
                        _this.suscripcion.unsubscribe();
                    }
                    catch (e) { }
                    ;
                    _this.suscripcion = _this.productsService.products$.subscribe(function (res) {
                        var _a, _b;
                        _this.loading = false;
                        if (res.length == 0) {
                            _this.products = [];
                            _this.finished = _this.productsService.isFinished();
                        }
                        else {
                            if (_this.productsWithUniqueVariant) {
                                if (cambio_1) {
                                    _this.products = _this.productsService.getProductsWithUniqueVariant(res, _this.getObjectWithVariant());
                                    _this.applyFiltersInView();
                                    cambio_1 = false;
                                }
                                else {
                                    res = _this.productsService.getProductsWithUniqueVariant(res, _this.getObjectWithVariant());
                                    (_a = _this.products).push.apply(_a, __spread$4(res));
                                    _this.applyFiltersInView();
                                }
                                ;
                            }
                            else {
                                if (cambio_1) {
                                    _this.products = res;
                                    _this.applyFiltersInView();
                                    cambio_1 = false;
                                }
                                else {
                                    (_b = _this.products).push.apply(_b, __spread$4(res));
                                    _this.applyFiltersInView();
                                }
                            }
                        }
                        _this.analyticsService.callEvent('view_item_list', { products: _this.products, item_list_name: 'Collection', item_list_id: 0 });
                    });
                    _this.productsService.filters$.subscribe(function (res) {
                        _this.breadcrumb = _this.optionsService.getBreadcrumbByFilters(res);
                        _this.filters = _this.getSpecificFilters(res, _this.filtersConfig.filters);
                        _this.filters_top = _this.getSpecificFilters(res, ['sort']);
                    });
                    _this.productsService.finished().subscribe(function (res) { return _this.finished = res; });
                    _this.loading = false;
                }
            });
        };
        CollectionEcComponent.prototype.onScroll = function () {
            this.loading = true;
            if (!this.productsService.isWaiting() && !this.productsService.getNext()) {
                this.finished = true;
                this.loading = false;
            }
        };
        CollectionEcComponent.ctorParameters = function () { return [
            { type: ProductsService },
            { type: ParametersService },
            { type: router.ActivatedRoute },
            { type: OptionsService },
            { type: AuthService },
            { type: AnalyticsService },
            { type: CartService },
            { type: Constants },
            { type: FiltersService }
        ]; };
        __decorate$U([
            core.Input()
        ], CollectionEcComponent.prototype, "type", void 0);
        __decorate$U([
            core.Input()
        ], CollectionEcComponent.prototype, "value", void 0);
        __decorate$U([
            core.Input()
        ], CollectionEcComponent.prototype, "productsWithUniqueVariant", void 0);
        __decorate$U([
            core.Input()
        ], CollectionEcComponent.prototype, "optionsFilters", void 0);
        CollectionEcComponent = __decorate$U([
            core.Component({
                selector: 'app-collection-ec',
                template: "\n<div>\n    <div class=\"collection\">\n        <ng-content select=\"[collection]\"> </ng-content>\n    </div>\n\n    <div class=\"all\">\n        <ng-content select=\"[all]\"> </ng-content>\n    </div>\n</div>\n\n<app-blocks-ec [section]=\"'collection'\"></app-blocks-ec>",
                styles: [".h1-custom{color:#00f}"]
            })
        ], CollectionEcComponent);
        return CollectionEcComponent;
    }(ComponentHelper));

    var __extends$n = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$V = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var CouponEcComponent = /** @class */ (function (_super) {
        __extends$n(CouponEcComponent, _super);
        function CouponEcComponent(cartService, toastr) {
            var _this = _super.call(this) || this;
            _this.cartService = cartService;
            _this.toastr = toastr;
            _this.coupon_value = "";
            _this.aplied = false;
            _this.loading = false;
            _this.addCoupon = function () {
                _this.validCoupon() && _this.cartService.addCoupon(_this.coupon_value).then(function (res) {
                    res.error ? _this.invalidCoupon() : _this.applyCoupon();
                });
            };
            _this.invalidCoupon = function () {
                _this.toastr.show('invalid-coupon');
                _this.coupon_value = '';
                _this.loading = false;
            };
            _this.applyCoupon = function () {
                _this.aplied = true;
                _this.loading = false;
            };
            _this.setLoading = function () { return _this.loading = true; };
            _this.validCoupon = function () {
                return _this.coupon_value && /^([A-Za-z\-0-9]*)\w+$/.test(_this.coupon_value);
            };
            _this.ecOnConstruct();
            return _this;
        }
        CouponEcComponent.prototype.ngOnInit = function () {
            this.ecOnInit();
        };
        CouponEcComponent.ctorParameters = function () { return [
            { type: CartService },
            { type: ToastService }
        ]; };
        CouponEcComponent = __decorate$V([
            core.Component({
                selector: 'app-coupon-ec',
                template: "<!-- <div class=\"input-group mb-3 border-golden\" *ngIf=\"!aplied\">\n     <input type=\"text\" class=\"form-control radius-0\" placeholder=\"\u00A1Tengo un cup\u00F3n de descuento!\"\n          aria-label=\"\u00A1Tengo un cup\u00F3n de descuento!\" aria-describedby=\"basic-addon2\"\n          [disabled]=\"aplied\" [(ngModel)]=\"coupon_value\">\n     <div class=\"input-group-append\">\n          <button class=\"btn bg-golden color-white radius-0\" \n               (click)=\"setLoading() && addCoupon()\" \n               [disabled]=\"!validCoupon() || loading\" \n               type=\"button\">APLICAR</button>\n     </div>\n</div> -->",
                styles: [""]
            })
        ], CouponEcComponent);
        return CouponEcComponent;
    }(ComponentHelper));

    var __extends$o = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$W = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var FaqsContentEcComponent = /** @class */ (function (_super) {
        __extends$o(FaqsContentEcComponent, _super);
        function FaqsContentEcComponent(optionsService, toastr) {
            var _this = _super.call(this) || this;
            _this.optionsService = optionsService;
            _this.toastr = toastr;
            _this.empty_faqs = false;
            _this.changeFAQ = function (new_index) { return _this.actual_index = new_index; };
            _this.ecOnConstruct();
            return _this;
        }
        FaqsContentEcComponent.prototype.ngOnInit = function () {
            var _this = this;
            this.optionsService.getFAQ().toPromise().then(function (faqs) {
                console.log('LAS FAQS; ', faqs);
                if (faqs.length > 0) {
                    _this.faqs = faqs;
                    _this.actual_index = 0;
                }
                else {
                    _this.empty_faqs = true;
                }
            }, function (error) {
                console.log(error);
                _this.toastr.show('No fue posible encontrar la sección solicitada');
            }).catch(function (err) { return _this.toastr.show('empty-faqs'); });
            this.ecOnInit();
        };
        FaqsContentEcComponent.ctorParameters = function () { return [
            { type: OptionsService },
            { type: ToastService }
        ]; };
        FaqsContentEcComponent = __decorate$W([
            core.Component({
                selector: 'app-faqs-content-ec',
                template: "<section class=\"formulario container\" *ngIf=\"faqs; else loading\">\n\n    <div *ngIf=\"!empty_faqs; else emptyFaqsView\">\n        <div class=\"row w-100 mx-auto my-4 px-3 bb-s bt-md-s py-1\">\n            <strong>{{ 'FAQ' | translate }}</strong>\n        </div>\n\n        <div class=\"row w-100 m-auto\">\n            <div class=\"col-12 col-md-4 col-lg-3 col-xl-2\">\n                <div class=\"nav flex-column nav-pills\" id=\"v-pills-tab\" role=\"tablist\" aria-orientation=\"vertical\">\n                    <a [class]=\"'nav-link radius-0 text-dark bb-solid ' +  (i == 0 ? 'active' : '')\" data-bs-toggle=\"pill\"\n                        role=\"tab\" [id]=\"'v-pills-tab-'+i\" [href]=\"'#v-pills-'+i\" [attr.data-bs-target]=\"'#v-pills-'+i\"\n                        *ngFor=\"let faq of faqs; let i = index\">{{ faq.title | translate }}</a>\n                </div>\n            </div>\n            <div class=\"col-12 col-md-8 col-lg-9 col-xl-10\">\n                <div class=\"tab-content mt-5 mt-md-0\" id=\"v-pills-tabContent\">\n                    <div [class]=\"'tab-pane fade ' +  (i == 0 ? 'show active' : '')\" role=\"tabpanel\"\n                        *ngFor=\"let faq of faqs; let i = index\" [id]=\"'v-pills-'+i\">\n                        <h3>{{ faq.title | translate }}</h3>\n                        <div *ngFor=\"let question of faq.questions\">\n                            <h5><strong>{{ question.question | translate }}</strong></h5>\n                            <p>{{ question.answer | translate }}</p>\n                        </div>\n                    </div>\n                </div>\n\n            </div>\n        </div>\n    </div>\n\n</section>\n\n<ng-template #loading>\n    <div class=\"container\">\n        <div class=\"row\">\n            <div class=\"col-12 align-items-center\">\n                <div class=\"d-flex flex-column jusitfy-content-center align-items-center my-5\">\n                    <app-loading-full-ec></app-loading-full-ec>\n                </div>\n            </div>\n        </div>\n    </div>\n</ng-template>\n\n<ng-template #emptyFaqsView>\n    <div>\n        {{ 'empty_faqs' | translate }}\n    </div>\n</ng-template>",
                styles: [".faqs-container{background-color:#fff;padding:0!important;min-height:60vh}"]
            })
        ], FaqsContentEcComponent);
        return FaqsContentEcComponent;
    }(ComponentHelper));

    var __extends$p = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$X = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __param$7 = (this && this.__param) || function (paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    };
    /** @dynamic */
    var FiltersEcComponent = /** @class */ (function (_super) {
        __extends$p(FiltersEcComponent, _super);
        function FiltersEcComponent(consts, document, filtersService) {
            var _this = _super.call(this) || this;
            _this.consts = consts;
            _this.document = document;
            _this.filtersService = filtersService;
            _this.expand = true;
            //  close = () => {
            //       this.document.getElementById("filtros").classList.remove('in');
            //       return true;
            //  };
            _this.close = function (accordion_id) {
                // this.consts.mobile()
                //      ? this.document.getElementById("accordionExample").classList.remove('show')
                //      : this.document.getElementById(accordion_id).classList.remove('show');
                return true;
            };
            _this.ecOnConstruct();
            return _this;
        }
        FiltersEcComponent.prototype.ngOnChanges = function (changes) {
            //console.log(changes['filters'])
        };
        FiltersEcComponent.prototype.ngOnInit = function () {
            this.expand = !this.consts.mobile();
            this.ecOnInit();
        };
        FiltersEcComponent.prototype.uniqueSelection = function (filter, filterChild) {
            filter.data.forEach(function (filterElement) {
                if (filterElement.selected) {
                    filterElement.selected = false;
                }
                filterElement.children.forEach(function (filterChildren) {
                    if (filterChildren != filterChild && filterChildren.selected) {
                        filterChildren.selected = false;
                    }
                });
            });
        };
        FiltersEcComponent.ctorParameters = function () { return [
            { type: Constants },
            { type: Document, decorators: [{ type: core.Inject, args: [common.DOCUMENT,] }] },
            { type: FiltersService }
        ]; };
        __decorate$X([
            core.Input()
        ], FiltersEcComponent.prototype, "setSelected", void 0);
        __decorate$X([
            core.Input()
        ], FiltersEcComponent.prototype, "filters", void 0);
        FiltersEcComponent = __decorate$X([
            core.Component({
                selector: 'app-filters-ec',
                template: "",
                styles: [""]
            }),
            __param$7(1, core.Inject(common.DOCUMENT))
        ], FiltersEcComponent);
        return FiltersEcComponent;
    }(ComponentHelper));

    var __extends$q = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$Y = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __param$8 = (this && this.__param) || function (paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    };
    /** @dynamic */
    var FiltersTopEcComponent = /** @class */ (function (_super) {
        __extends$q(FiltersTopEcComponent, _super);
        function FiltersTopEcComponent(consts, document) {
            var _this = _super.call(this) || this;
            _this.consts = consts;
            _this.document = document;
            _this.full = true;
            _this.changeFilter = new core.EventEmitter();
            _this.selectedFilter = [];
            _this.expand = true;
            _this.mid = function (filter, filterChild, value) {
                // console.log("FILTER ", filter);
                // console.log("HIJO ", filterChild);
                // console.log("VALOR ", value);
                _this.changeFilter.emit(value);
                return true;
            };
            _this.close = function () {
                //this.document.getElementById("filtros").classList.remove('in');
                return true;
            };
            _this.getDescripcion = function (title) {
                switch (title) {
                    case 'most-expensive-first':
                        return '+';
                    case 'cheapest-first':
                        return '-';
                    case 'ascendancy':
                        return 'Asc';
                    case 'descendant':
                        return 'Desc';
                    default:
                        return title;
                }
            };
            _this.getStyles = function (state) {
                console.log(state);
                return (state) ? 'btn btn-secondary btn-sm active' : 'btn btn-secondary btn-sm';
            };
            _this.setSeleccion = function (values) {
                //console.log('SELECIOTOTOT => ', values);
                var valores = values.split('@');
                var filter = _this.filters.find(function (f) { return f.type() == valores[0]; });
                var opChild = {};
                if (valores[1] == 'sub') {
                    opChild = (filter.data.find(function (f) { return f.children.find(function (c) { return c.selected; }); })).children.find(function (c) { return c.selected; });
                }
                else {
                    opChild = (filter.data.find(function (f) { return f.children.find(function (c) { return c.value == valores[2]; }); })).children.find(function (c) { return c.value == valores[2]; });
                }
                _this.setSelected(filter, opChild);
            };
            _this.createValue = function (filter, filterItem) { return filter.type() + '@' + filterItem.type + '@' + filterItem.value; };
            _this.ecOnConstruct();
            return _this;
        }
        FiltersTopEcComponent.prototype.ngOnInit = function () {
            this.expand = !this.consts.mobile();
            this.full = !this.consts.mobile();
            this.ecOnInit();
        };
        FiltersTopEcComponent.prototype.ngOnChanges = function () {
        };
        FiltersTopEcComponent.ctorParameters = function () { return [
            { type: Constants },
            { type: Document, decorators: [{ type: core.Inject, args: [common.DOCUMENT,] }] }
        ]; };
        __decorate$Y([
            core.Input()
        ], FiltersTopEcComponent.prototype, "setSelected", void 0);
        __decorate$Y([
            core.Input()
        ], FiltersTopEcComponent.prototype, "filters", void 0);
        __decorate$Y([
            core.Input()
        ], FiltersTopEcComponent.prototype, "full", void 0);
        __decorate$Y([
            core.Output()
        ], FiltersTopEcComponent.prototype, "changeFilter", void 0);
        FiltersTopEcComponent = __decorate$Y([
            core.Component({
                selector: 'app-filters-top-ec',
                template: "",
                styles: [".min-width-large{min-width:150px}"]
            }),
            __param$8(1, core.Inject(common.DOCUMENT))
        ], FiltersTopEcComponent);
        return FiltersTopEcComponent;
    }(ComponentHelper));

    var __extends$r = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __assign$l = (this && this.__assign) || function () {
        __assign$l = Object.assign || function(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                    t[p] = s[p];
            }
            return t;
        };
        return __assign$l.apply(this, arguments);
    };
    var __decorate$Z = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var FooterEcComponent = /** @class */ (function (_super) {
        __extends$r(FooterEcComponent, _super);
        function FooterEcComponent(optionsService, paramsService, consts) {
            var _this = _super.call(this) || this;
            _this.optionsService = optionsService;
            _this.paramsService = paramsService;
            _this.consts = consts;
            _this.menuItemsCategories = [];
            _this.menuItemsSections = [];
            _this.menuItemsAttributes = [];
            _this.sections = [];
            _this.categories = [];
            _this.attributes = [];
            _this.params = {};
            _this.updateCategories = function (categories) {
                _this.menuItemsCategories = _this.optionsService.generateMenu(categories);
                _this.menuItemsCategories = _this.ecUpdateMenuItemCategories(_this.menuItemsCategories);
                _this.categories = _this.menuItemsCategories;
            };
            _this.updateAttributes = function (attributes) {
                _this.menuItemsAttributes = _this.optionsService.generateMenu(attributes);
                _this.menuItemsAttributes = _this.ecUpdateMenuItemAttributes(_this.menuItemsAttributes);
                _this.attributes = _this.menuItemsAttributes;
            };
            _this.updateMenuItem = function (elements) {
                _this.menuItemsSections = _this.optionsService.generateMenu(elements);
                _this.menuItemsSections = _this.ecUpdateMenuItemSection(_this.menuItemsSections);
                _this.sections = _this.menuItemsSections;
            };
            _this.hasParams = function (params, searched) { return params && params.find(function (param) { return param.code.toLowerCase().includes(searched); }); };
            _this.mobile = function () { return _this.consts.mobile(); };
            _this.addChildren = function (menuItems, code, item, stackPlace) {
                if (stackPlace === void 0) { stackPlace = 'end'; }
                var _a, _b;
                (stackPlace == 'start')
                    ? (_a = menuItems.find(function (item) { var _a; return (_a = item.code) === null || _a === void 0 ? void 0 : _a.toLowerCase().includes(code); })) === null || _a === void 0 ? void 0 : _a.children.unshift(__assign$l({ code: 'sd', name: 'sd', path: '/home', title: 'sd' }, item)) : (_b = menuItems.find(function (item) { var _a; return (_a = item.code) === null || _a === void 0 ? void 0 : _a.toLowerCase().includes(code); })) === null || _b === void 0 ? void 0 : _b.children.push(__assign$l({ code: 'sd', name: 'sd', path: '/home', title: 'sd' }, item));
            };
            _this.ecUpdateMenuItemSection = function (menuItems) {
                return menuItems;
            };
            _this.ecUpdateMenuItemCategories = function (menuItems) {
                return menuItems;
            };
            _this.ecUpdateMenuItemAttributes = function (menuItems) {
                return menuItems;
            };
            _this.optionsService.sections.subscribe(function (res) { return (res.length > 0) && _this.updateMenuItem(res); });
            _this.optionsService.categories.subscribe(function (res) { return (res.length > 0) && _this.updateCategories(res); });
            _this.optionsService.attributes.subscribe(function (res) { return (res.length > 0) && _this.updateAttributes(res); });
            _this.mediaUrl = _this.consts.mediaUrl();
            _this.ecOnConstruct();
            return _this;
        }
        FooterEcComponent.prototype.ngOnInit = function () {
            var _this = this;
            this.paramsService.parameters.subscribe(function (res) { return _this.params = res; });
            this.ecOnInit();
        };
        FooterEcComponent.ctorParameters = function () { return [
            { type: OptionsService },
            { type: ParametersService },
            { type: Constants }
        ]; };
        FooterEcComponent = __decorate$Z([
            core.Component({
                selector: 'app-footer-ec',
                template: "",
                styles: [""]
            })
        ], FooterEcComponent);
        return FooterEcComponent;
    }(ComponentHelper));

    var __extends$s = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __assign$m = (this && this.__assign) || function () {
        __assign$m = Object.assign || function(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                    t[p] = s[p];
            }
            return t;
        };
        return __assign$m.apply(this, arguments);
    };
    var __decorate$_ = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __read$6 = (this && this.__read) || function (o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m) return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
        }
        catch (error) { e = { error: error }; }
        finally {
            try {
                if (r && !r.done && (m = i["return"])) m.call(i);
            }
            finally { if (e) throw e.error; }
        }
        return ar;
    };
    var __spread$5 = (this && this.__spread) || function () {
        for (var ar = [], i = 0; i < arguments.length; i++) ar = ar.concat(__read$6(arguments[i]));
        return ar;
    };
    var HeaderEcComponent = /** @class */ (function (_super) {
        __extends$s(HeaderEcComponent, _super);
        function HeaderEcComponent(router$1, consts, cartService, optionsService, paramsService, productsService, authService, translate, renderer) {
            var _this = _super.call(this) || this;
            _this.router = router$1;
            _this.consts = consts;
            _this.cartService = cartService;
            _this.optionsService = optionsService;
            _this.paramsService = paramsService;
            _this.productsService = productsService;
            _this.authService = authService;
            _this.translate = translate;
            _this.renderer = renderer;
            //og elden
            _this.menuItems = [];
            _this.menuItemsSections = [];
            _this.sections = [];
            _this.attributes = [];
            _this.categories = [];
            _this.envetUrlTransparent = ["/home", "/"];
            _this.params = {};
            _this.toggled = false;
            _this.updateMenuItemSection = function (elements) {
                _this.menuItemsSections = _this.optionsService.generateMenu(elements);
                _this.menuItemsSections = _this.ecUpdateMenuItemSection(_this.menuItemsSections);
                _this.sections = _this.menuItemsSections;
            };
            _this.ecUpdateMenuItemSection = function (menuItems) {
                return menuItems;
            };
            _this.updateMenuItem = function (title, elements) {
                var _a, _b;
                var index = _this.menuItems.findIndex(function (element) { return element.title == title; });
                if (index != null && index >= 0) {
                    _this.menuItems[index].children = _this.optionsService.generateMenu(elements);
                }
                else {
                    if (title == 'attributes') {
                        (_a = _this.attributes).push.apply(_a, __spread$5(_this.optionsService.generateMenu(elements)));
                        _this.attributes = _this.updateMenuItemLastCreated(_this.attributes);
                    }
                    if (title == 'categories') {
                        (_b = _this.categories).push.apply(_b, __spread$5(_this.optionsService.generateMenu(elements)));
                        _this.categories = _this.updateMenuItemLastCreated(_this.categories);
                    }
                }
            };
            _this.nagivate = function (url) { return _this.router.navigateByUrl("/" + url); };
            /**
             * @description Termina la sesion del usuario y redirige por defecto al home
             * @param path para indicar a donde redireccionar.
             */
            _this.logout = function (path) {
                if (path === void 0) { path = 'home'; }
                _this.authService.logout();
                _this.router.navigateByUrl(path);
            };
            _this.setSearchValue = function (event, afterSearch) {
                var args = [];
                for (var _i = 2; _i < arguments.length; _i++) {
                    args[_i - 2] = arguments[_i];
                }
                event.key == 'Enter' && _this.getCollectionSearch() && (afterSearch ? afterSearch(args) : null);
                _this.searchValue = event.target.value;
            };
            _this.getCollectionSearch = function () { return _this.router.navigateByUrl('/collection?search=' + _this.searchValue); };
            _this.toogleToolbar = function () {
                console.log('LLAMA AL TOOGLE');
                if (_this.menu_button.nativeElement.classList.contains('d-none')) {
                    _this.renderer.removeClass(_this.menu_button, 'd-none');
                    _this.renderer.addClass(_this.menu_button, 'active-mobile');
                }
                else {
                    _this.renderer.addClass(_this.menu_button, 'd-none');
                    _this.renderer.removeClass(_this.menu_button, 'active-mobile');
                }
            };
            _this.changeLanguage = function (lang) {
                _this.consts.setLocale(lang);
                window.location.reload();
            };
            _this.changeUrlTransparent = function (urlTransparent) {
                if (urlTransparent === void 0) { urlTransparent = []; }
                return urlTransparent;
            };
            _this.subscribeAttributes = function (arrayAttributes) {
            };
            _this.subscribeCategories = function (arrayCategories) {
            };
            _this.updateMenuItemLastCreated = function (arrayMenu) { return arrayMenu; };
            _this.changeUrlNavigation = function (url) { };
            _this.addChildren = function (menuItems, code, item, stackPlace) {
                if (stackPlace === void 0) { stackPlace = 'end'; }
                var _a, _b;
                (stackPlace == 'start')
                    ? (_a = menuItems.find(function (item) { var _a; return (_a = item.code) === null || _a === void 0 ? void 0 : _a.toLowerCase().includes(code); })) === null || _a === void 0 ? void 0 : _a.children.unshift(__assign$m({ code: 'sd', name: 'sd', path: '/home', title: 'sd' }, item)) : (_b = menuItems.find(function (item) { var _a; return (_a = item.code) === null || _a === void 0 ? void 0 : _a.toLowerCase().includes(code); })) === null || _b === void 0 ? void 0 : _b.children.push(__assign$m({ code: 'sd', name: 'sd', path: '/home', title: 'sd' }, item));
            };
            _this.hasParams = function (params, searched) { return params && params.find(function (param) { return param.code.toLowerCase().includes(searched); }); };
            _this.envetUrlTransparent = _this.changeUrlTransparent(_this.envetUrlTransparent);
            _this.router.events.subscribe(function (event) {
                if (event instanceof router.NavigationStart) {
                    var url_1 = event.url;
                    _this.changeUrlNavigation(url_1);
                    _this.envetUrlTransparent.find(function (evUrl) { return evUrl === url_1; }) != undefined
                        ? _this.transparent = true
                        : _this.transparent = false;
                }
            });
            // menu
            _this.optionsService.categories.pipe(operators.filter(function (cat) { return cat.length > 0; })).subscribe(function (res) {
                _this.updateMenuItem('categories', res);
                _this.subscribeCategories(res);
            });
            _this.optionsService.attributes.pipe(operators.filter(function (atr) { return atr.length > 0; })).subscribe(function (res) {
                _this.updateMenuItem('attributes', res);
                _this.subscribeAttributes(res);
            });
            _this.optionsService.sections.subscribe(function (res) { return (res.length > 0) && _this.updateMenuItemSection(res); });
            _this.ecOnConstruct();
            _this.mediaUrl = _this.consts.mediaUrl();
            return _this;
        }
        HeaderEcComponent.prototype.ngOnInit = function () {
            var _this = this;
            this.paramsService.parameters.subscribe(function (res) { return _this.params = res; });
            var mediaQuery = window.matchMedia('(max-width: 992px)');
            this.mediaMenu = mediaQuery.matches;
            this.ecOnInit();
        };
        HeaderEcComponent.ctorParameters = function () { return [
            { type: router.Router },
            { type: Constants },
            { type: CartService },
            { type: OptionsService },
            { type: ParametersService },
            { type: ProductsService },
            { type: AuthService },
            { type: core$1.TranslateService },
            { type: core.Renderer2 }
        ]; };
        __decorate$_([
            core.ViewChild("menu")
        ], HeaderEcComponent.prototype, "menu_button", void 0);
        HeaderEcComponent = __decorate$_([
            core.Component({
                selector: 'app-header-ec',
                template: "<!-- <header [class]=\"(!transparent ? 'no-banner' : '')\" id=\"header-principal\">\n     <div class=\"row border-color-buttom-gray m-0 d-none d-md-block\" id=\"novedades\">\n          <div class=\"col-12 py-2\">\n               {{ (params && params.header) || 'Sin informaci\u00F3n de cabecera' }}\n          </div>\n     </div>\n     <div class=\"row encabezado-superior m-0 d-flex justify-content-center\" id=\"top-menu-principal\">\n          <div class=\"col-md-6 col-3 p-md-3 p-2\">\n               <a routerLink=\"/home\">\n                    <img src=\"assets/image/logo.png\" id=\"logo-superior\" class=\"ml-md-4 ml-1\">\n               </a>\n          </div>\n          <div class=\"col-md-6 col-9 px-md-5 px-2 d-flex align-items-center justify-content-end\">\n               <ul class=\"nav d-flex align-items-center justify-content-end\">\n                    <li class=\"px-2 outside-menu\">\n                         <div class=\"order-3 order-lg-1 input-search pt-3\">\n                              <form (submit)=\"$event.preventDefault()\" class=\"navbar-form navbar-left m-1\">\n                                   <div class=\"input-group input-group-sm mb-3\" >\n                                        <input type=\"text\" class=\"form-control input-rounded bg-transparent border-left-none\" placeholder=\"Buscar producto\"\n                                             aria-label=\"Username\" aria-describedby=\"basic-addon1\"  (keyup)=\"setSearchValue($event)\">\n                                        <div class=\"input-group-prepend\" (click)=\"getCollectionSearch()\" role=\"button\">\n                                             <span class=\"input-group-text icon-rounded bg-transparent border-right-none\" id=\"basic-addon1\">\n                                                  <a class=\"color-white\"><img src=\"assets/svg/search.svg\"></a>\n                                             </span>\n                                        </div>\n                                   </div>\n                              </form>\n                         </div>\n                    </li>\n                    <li class=\"px-2 outside-menu\">\n                         <a routerLink=\"cart\" class=\"color-white\"><img src=\"assets/svg/cart.svg\"></a>\n                    </li>\n                    <li class=\"px-2 outside-menu\">\n                         <a [routerLink]=\"'/account'\" *ngIf=\"(authService.loggedIn | async); else sessionOptionsViewMobile\" class=\"color-white\"><img src=\"assets/svg/user.svg\"></a>\n                         <ng-template #sessionOptionsViewMobile>\n                              <a [routerLink]=\"'/auth/login'\" class=\"color-white\"><img src=\"assets/svg/user.svg\"></a>\n                         </ng-template>\n                    </li>\n                    <li class=\"px-2 outside-menu\">\n                         <a disabled style=\"vertical-align: -webkit-ecline-middle;\"\n                              class=\"color-white ff-ubuntu-light font-sm\">ES</a>\n                    </li>\n                    <li class=\"px-2 d-inline-block d-md-none\">\n                         <a id=\"openMenu\" class=\"color-white\" (click)=\"toogleToolbar()\">\n                              <img src=\"assets/svg/menu.svg\" class=\"open-m\" >\n                              <img src=\"assets/svg/close.svg\" class=\"close-m\">\n                         </a>\n                    </li>\n               </ul>\n          </div>\n          <div class=\"col-11 border-color-buttom-gray d-none d-md-block\"></div>\n     </div>\n     <nav class=\"py-md-3 py-0 w-100 d-none d-md-block\" id=\"menu-principal\" #menu>\n          <ul class=\"nav d-flex flex-md-row flex-column justify-content-center\">\n               <li class=\"dropdown separador-left\">\n                    <a class=\"dropdown-toggle color-white color-hover-golden ff-ubuntu-light py-md-2 py-3 px-4 font-sm\"\n                         data-toggle=\"dropdown\" aria-haspopup=\"true\" aria-expanded=\"false\" data-target=\"#buscador\"\n                         role=\"button\">\n                         CAT\u00C1LOGO\n                    </a>\n                    <ul class=\"dropdown-menu mega-menu dropdown-menu-right mt-md-2 mt-0\" role=\"menu\">\n                         <div class=\"flex-md-row flex-column py-0 d-flex align-items-start justify-content-center\">\n                              <div class=\"row mega-menu-center px-md-3 px-0\">\n                                   <div class=\"col-sm py-3 box-submenu\"\n                                        *ngFor=\"let category of categories; let i = index\">\n                                        <div class=\"row\">\n                                             <div class=\"col-3 col-md-4 p-0\">\n                                                  <img [src]=\"consts.mediaUrl() + category.images[0].path\"\n                                                       class=\"w-100\">\n                                             </div>\n                                             <div class=\"col-9 col-md-8 py-2 pr-0\">\n                                                  <a [routerLink]=\"category.path\">\n                                                       <h5 class=\"ff-ubuntu-semi-bold font-xl\">{{ category.title }}</h5>\n                                                  </a>\n                                                  <ul\n                                                       class=\"nav d-md-flex d-none flex-column font-ss ff-ubuntu color-white submenu\">\n                                                       <li class=\"text-uppercase mb-2\"\n                                                            *ngFor=\"let child of category.children\">\n                                                            <a [routerLink]=\"child.path\">\n                                                                 {{ child.title }}\n                                                            </a>\n                                                       </li>\n                                                  </ul>\n                                             </div>\n                                        </div>\n                                   </div>\n                              </div>\n                         </div>\n                    </ul>\n               </li>\n               <li class=\"dropdown separador-left\">\n                    <a [routerLink]=\"'collection/'\"\n                         class=\"color-white color-hover-golden ff-ubuntu-light py-md-2 py-3 px-4 font-sm\"\n                         role=\"button\">\n                         NOVEDADES\n                    </a>\n               </li>\n               <li class=\"dropdown separador-left\">\n                    <a [routerLink]=\"'/collection/attributes/ofertas'\"\n                         class=\"color-white color-hover-golden ff-ubuntu-light py-md-2 py-3 px-4 font-sm\"\n                         role=\"button\">\n                         OFERTAS\n                    </a>\n               </li>\n               <li class=\"dropdown separador-left\">\n                    <a [routerLink]=\"'/section/quienes-somos'\"\n                         class=\"color-white color-hover-golden ff-ubuntu-light py-md-2 py-3 px-4 font-sm\"\n                         role=\"button\">\n                         QUIENES SOMOS\n                    </a>\n               </li>\n               <li class=\"dropdown separador-left\">\n                    <a [routerLink]=\"'/contact'\"\n                         class=\"color-white color-hover-golden ff-ubuntu-light py-md-2 py-3 px-4 font-sm\"\n                         role=\"button\">\n                         CONTACTO\n                    </a>\n               </li>\n          </ul>\n     </nav>\n</header> -->",
                styles: [".no-banner{position:relative!important}"]
            })
        ], HeaderEcComponent);
        return HeaderEcComponent;
    }(ComponentHelper));

    var __extends$t = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$$ = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var HomeEcComponent = /** @class */ (function (_super) {
        __extends$t(HomeEcComponent, _super);
        function HomeEcComponent(blocksService, consts) {
            var _this = _super.call(this) || this;
            _this.blocksService = blocksService;
            _this.consts = consts;
            _this.getHTMLContent = function (block) { return block.translations[_this.consts.getLocale()].content; };
            _this.noNewsletter = function (block) { return !block.code.includes('newsletter'); };
            _this.ecOnConstruct();
            return _this;
        }
        HomeEcComponent.prototype.ngOnInit = function () {
            this.blocksService.getBlocks('home');
            this.ecOnInit();
        };
        HomeEcComponent.ctorParameters = function () { return [
            { type: BlocksService },
            { type: Constants }
        ]; };
        HomeEcComponent = __decorate$$([
            core.Component({
                selector: 'app-home-ec',
                template: "<app-blocks-ec [section]=\"'home'\"></app-blocks-ec>",
                styles: [""]
            })
        ], HomeEcComponent);
        return HomeEcComponent;
    }(ComponentHelper));

    var __extends$u = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$10 = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var LoginEcComponent = /** @class */ (function (_super) {
        __extends$u(LoginEcComponent, _super);
        function LoginEcComponent(authService, toastrService, formBuilder, router) {
            var _this = _super.call(this) || this;
            _this.authService = authService;
            _this.toastrService = toastrService;
            _this.formBuilder = formBuilder;
            _this.router = router;
            _this.redirect = true;
            _this.title = 'login';
            _this.buyButton = false;
            _this.withRoles = [];
            _this.ready = new core.EventEmitter();
            _this.loggedIn = new core.EventEmitter();
            _this.loading = false;
            _this.redirectHome = function () {
                $('#collapse_login5').collapse('hide');
                _this.router.navigateByUrl('/home');
            };
            _this.login = function ($event) {
                $event.preventDefault();
                _this.loading = true;
                _this.authService.login(_this.loginForm.value, _this.withRoles).toPromise().then(function (res) {
                    $('#collapse_login5').collapse('hide');
                    if (res == 'ok') {
                        localStorage.setItem('mail', _this.loginForm.value.username);
                        $('#collapse_login5').collapse('hide');
                        if (_this.redirect) {
                            _this.redirectHome();
                        }
                        else {
                            _this.loggedIn.emit('true');
                            _this.ready.emit(_this.loginForm.value.username);
                        }
                    }
                    else {
                        _this.loading = false;
                    }
                }, function (err) {
                    $('#collapse_login5').collapse('hide');
                    _this.loading = false;
                });
            };
            _this.ecOnConstruct();
            return _this;
        }
        LoginEcComponent.prototype.ngOnInit = function () {
            !this.authService.isAuthenticated() && localStorage.removeItem('mail');
            this.loginForm = this.formBuilder.group({
                username: ['', forms.Validators.required],
                password: ['', forms.Validators.required]
            });
            this.ecOnInit();
        };
        LoginEcComponent.prototype.nagivate = function (url) {
            $('#collapse_login5').collapse('hide');
            this.router.navigateByUrl("/" + url);
        };
        LoginEcComponent.ctorParameters = function () { return [
            { type: AuthService },
            { type: ToastService },
            { type: forms.FormBuilder },
            { type: router.Router }
        ]; };
        __decorate$10([
            core.Input()
        ], LoginEcComponent.prototype, "redirect", void 0);
        __decorate$10([
            core.Input()
        ], LoginEcComponent.prototype, "title", void 0);
        __decorate$10([
            core.Input()
        ], LoginEcComponent.prototype, "buyButton", void 0);
        __decorate$10([
            core.Input()
        ], LoginEcComponent.prototype, "withRoles", void 0);
        __decorate$10([
            core.Output()
        ], LoginEcComponent.prototype, "ready", void 0);
        __decorate$10([
            core.Output()
        ], LoginEcComponent.prototype, "loggedIn", void 0);
        LoginEcComponent = __decorate$10([
            core.Component({
                selector: 'app-login-ec',
                template: "<div class=\"card card-body container content_menu h-100\">\n    <div class=\"row w-100 mx-auto\">\n        <div class=\"col-12 pb-3 d-flex justify-content-between\">\n            <h3>{{title | translate }}</h3>\n        </div>\n\n        <div class=\"col-12 pb-3\">\n            <form [formGroup]=\"loginForm\" (submit)=\"login($event)\">\n                <div class=\"form-group\">\n                    <input type=\"email\" class=\"form-control rounded-0\" formControlName=\"username\"\n                        autocomplete=\"username\" placeholder=\"Email\">\n                </div>\n                <div class=\"form-group\">\n                    <input type=\"password\" class=\"form-control rounded-0\" formControlName=\"password\"\n                        autocomplete=\"current-password\" placeholder=\"Contrase\u00F1a\">\n                </div>\n                <button *ngIf=\"!loading\" [disabled]=\"!loginForm.valid\"\n                    class=\"btn btn-dark bg-black rounded-0 w-100\">INICIAR SESI\u00D3N</button>\n                <div class=\"loading-container-form\" *ngIf=\"loading\">\n                    <div id=\"loading\"></div>\n                </div>\n                <h6 class=\"text-center mb-0 mt-3\">\n                    Olvidaste tu contrase\u00F1a?\n                    <br>\n                    <a [routerLink]=\"'/auth/forgot-password'\" class=\"d-contents\">Recuperala aqui</a>\n                </h6>\n            </form>\n        </div>\n        <div class=\"col-12 pt-3 border-top text-center\">\n\n            <ng-container *ngIf=\"!buyButton;else invited\">\n\n                Todavia no ten\u00E9s tu cuenta?\n                <br>\n                Creala desde <a (click)=\"nagivate('/register')\" class=\"d-contents\">aqui</a>\n            </ng-container>\n\n\n            <ng-template #invited>\n                <a routerLink=\"/cart/checkout\" class=\"btn bg-black btn-finalizar-compra text-blanco mt-4\">\n                    {{ 'invited-checkout' | translate }}\n                </a>\n            </ng-template>\n        </div>\n    </div>\n</div>",
                styles: [""]
            })
        ], LoginEcComponent);
        return LoginEcComponent;
    }(ComponentHelper));

    var __decorate$11 = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __awaiter$c = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
            function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    };
    var __generator$c = (this && this.__generator) || function (thisArg, body) {
        var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f) throw new TypeError("Generator is already executing.");
            while (_) try {
                if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
                if (y = 0, t) op = [op[0] & 2, t.value];
                switch (op[0]) {
                    case 0: case 1: t = op; break;
                    case 4: _.label++; return { value: op[1], done: false };
                    case 5: _.label++; y = op[1]; op = [0]; continue;
                    case 7: op = _.ops.pop(); _.trys.pop(); continue;
                    default:
                        if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                        if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                        if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                        if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                        if (t[2]) _.ops.pop();
                        _.trys.pop(); continue;
                }
                op = body.call(thisArg, _);
            } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
            if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
        }
    };
    var CurrencyService = /** @class */ (function () {
        function CurrencyService$1(consts, connection, toastr, injector) {
            var _this = this;
            this.consts = consts;
            this.connection = connection;
            this.toastr = toastr;
            this.injector = injector;
            this.currencySubject = new rxjs.BehaviorSubject({});
            this.updateSubject = new rxjs.BehaviorSubject(false);
            this.currencyListSubject = new rxjs.BehaviorSubject([]);
            this.currency$ = this.currencySubject.asObservable();
            this.update$ = this.updateSubject.asObservable();
            this.currencyList$ = this.currencyListSubject.asObservable();
            this.enableApplyCurrencyExchange = true;
            this.getCurrencyListApi = function () { return 'shop-api/currencies'; };
            this.getConvertibilityApi = function (baseCurrency, targetCurrency) { return 'shop-api/currencies?baseCurrency=' + baseCurrency + '&targetCurrency=' + targetCurrency; };
            /**
             * @description Se carga la moneda por defecto.
             */
            this.loadDefaultCurrency = function (currency) {
                _this.consts.setCurrency(currency);
                _this.load();
            };
            /**
             * @description calcula la convetibilidad del precio  pasado por paramentro segun esta formula:
             * **c = a * b** donde *c=moneda despues del cambio*, *a=valor que quiero cambiar* y *b=ratio de cambio*.
             * @param price Precio a cambiar
             * @param ratio Ratio de cambio
             * @returns Si el ratio no es null, retorna el precio cambiado, sino retorna el precio sin cambios.
             */
            this.calculateConvetibility = function (price, ratio) {
                return ratio ? price * ratio : price;
            };
            /**
             * @param code Codigo de moneda a la que se desea cambiar
             */
            this.setCurrency = function (code) { return __awaiter$c(_this, void 0, void 0, function () {
                return __generator$c(this, function (_a) {
                    this.getConvertibility(this.consts.currency.code, code);
                    return [2 /*return*/];
                });
            }); };
            /**
             * @description Carga la lista de monedas/currencies.
             */
            this.loadCurrencyList = function () {
                _this.connection.get(_this.getCurrencyListApi()).toPromise().then(function (res) {
                    _this.currencyListSubject.next(res);
                    _this.consts.setCurrencyTypeConfig(res);
                    _this.load();
                });
            };
            /**
             * @description genera la carga y configuración de la moneda elegida para la conversion.
             * @param currency Moneda a convertir.
             */
            this.loadCurrency = function (currency) {
                _this.currencySubject.next(currency);
                _this.consts.setCurrency(currency.code);
                var update = _this.updateSubject.getValue();
                _this.updateSubject.next(!update);
                localStorage.setItem('currency', JSON.stringify(_this.consts.currency));
            };
            /**
             * @description Genera la convertibilidad de la moneda base a la nueva. Si baseCurrency no tiene valor
             * entonces utiliza la moneda base del canal.
             * @param currency Objeto de la moneda destino.
             * @param baseCurrency Codigo de la moneda base. *Ej: USD | ARS | EUR |...*
             */
            this.generateConvertibility = function (currency, baseCurrency) { return __awaiter$c(_this, void 0, void 0, function () {
                var error_1;
                return __generator$c(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            if (!!baseCurrency) return [3 /*break*/, 4];
                            _a.label = 1;
                        case 1:
                            _a.trys.push([1, 3, , 4]);
                            return [4 /*yield*/, this.injector.get(ChannelConfigService).getActiveChannel().baseCurrency];
                        case 2:
                            baseCurrency = _a.sent();
                            return [3 /*break*/, 4];
                        case 3:
                            error_1 = _a.sent();
                            //console.error(error)
                            baseCurrency = 'USD';
                            return [3 /*break*/, 4];
                        case 4:
                            if (currency.code == baseCurrency) {
                                this.loadCurrency(currency);
                            }
                            else {
                                this.getConvertibility(baseCurrency, currency.code);
                            }
                            return [2 /*return*/];
                    }
                });
            }); };
            /**
             * @description Obtiene la conversion desde la moneda base a la destino. Recibe un objeto de tipo CurrencyConfig.
             * Si la conversion retorna resultado realiza el cambio, de lo contrario emite un mensaje de error.
             * @param baseCurrency Codigo de la moneda base.
             * @param targetCurrency Codigo de la moneda destino.
             */
            this.getConvertibility = function (baseCurrency, targetCurrency) {
                _this.connection.get(_this.getConvertibilityApi(baseCurrency, targetCurrency))
                    .toPromise().then(function (res) {
                    if (res) {
                        var tempCurrency = res[0];
                        _this.loadCurrency(tempCurrency);
                    }
                    else {
                        console.error('Error la variable res no contiene valor, asegurese de que esta conversión este configurada en el backoffice');
                        _this.toastr.show('error-convertibility');
                    }
                }, function (err) {
                    console.log(err);
                }).catch(function (err) { return console.log(err); });
            };
            /**
             * @description Carga la moneda, si hay una en el localstorage toma esa y realiza la conversion.
             * de lo contrario solo setea en el observable currencySubject el valor por defecto cargado en las constantes.
             */
            this.load = function () {
                var localStorageCurrency = localStorage.getItem('currency');
                if (localStorageCurrency) {
                    var currency = JSON.parse(localStorageCurrency);
                    _this.generateConvertibility(currency);
                }
                else {
                    _this.currencySubject.next(_this.consts.currency);
                }
            };
            this.injector.get(ChannelConfigService).channelConfig$.subscribe(function (channel) {
                console.log(channel);
                channel.applyCurrencyExchange ? _this.loadCurrencyList() : _this.loadDefaultCurrency(channel.baseCurrency);
                console.log(_this.enableApplyCurrencyExchange);
            });
        }
        CurrencyService$1.ctorParameters = function () { return [
            { type: Constants },
            { type: ConnectionService },
            { type: ToastService },
            { type: core.Injector }
        ]; };
        CurrencyService$1.ɵprov = core.ɵɵdefineInjectable({ factory: function CurrencyService_Factory() { return new CurrencyService(core.ɵɵinject(Constants), core.ɵɵinject(ConnectionService), core.ɵɵinject(ToastService), core.ɵɵinject(core.INJECTOR)); }, token: CurrencyService, providedIn: "root" });
        CurrencyService$1 = __decorate$11([
            core.Injectable({
                providedIn: 'root'
            })
        ], CurrencyService$1);
        return CurrencyService$1;
    }());

    var __assign$n = (this && this.__assign) || function () {
        __assign$n = Object.assign || function(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                    t[p] = s[p];
            }
            return t;
        };
        return __assign$n.apply(this, arguments);
    };
    var __decorate$12 = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __awaiter$d = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
            function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    };
    var __generator$d = (this && this.__generator) || function (thisArg, body) {
        var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f) throw new TypeError("Generator is already executing.");
            while (_) try {
                if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
                if (y = 0, t) op = [op[0] & 2, t.value];
                switch (op[0]) {
                    case 0: case 1: t = op; break;
                    case 4: _.label++; return { value: op[1], done: false };
                    case 5: _.label++; y = op[1]; op = [0]; continue;
                    case 7: op = _.ops.pop(); _.trys.pop(); continue;
                    default:
                        if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                        if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                        if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                        if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                        if (t[2]) _.ops.pop();
                        _.trys.pop(); continue;
                }
                op = body.call(thisArg, _);
            } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
            if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
        }
    };
    var ProductDetailService = /** @class */ (function () {
        function ProductDetailService(productsService, cartService, toastrService, constants, analyticsService, currencyService) {
            var _this = this;
            this.productsService = productsService;
            this.cartService = cartService;
            this.toastrService = toastrService;
            this.constants = constants;
            this.analyticsService = analyticsService;
            this.currencyService = currencyService;
            this.productSubject = new rxjs.BehaviorSubject({});
            this.optionsSubject = new rxjs.BehaviorSubject({});
            this.asociatedDataSubject = new rxjs.BehaviorSubject({ price: '', stock: 0, picture: '' });
            this.variants = [];
            this.product$ = this.productSubject.asObservable();
            this.options$ = this.optionsSubject.asObservable();
            this.asociatedData$ = this.asociatedDataSubject.asObservable();
            /**
            * @param code Identificador del producto
            * @param variant Indica si se está solicitando un producto por su codigo, o por el codigo correspondiente a una de sus variantes
            *
            * Carga el producto solicitado asyncronicamente sin respuesta
            */
            this.loadProduct = function (code, variant) {
                if (variant === void 0) { variant = false; }
                return _this.productsService.getSpecificProduct(code, variant).toPromise().then(function (res) { return variant ? _this.initialize(res, code) : _this.initialize(res); }, function (err) { return _this.productSubject.next(null); });
            };
            /**
             * @param product_id Identificador del producto
             * @param variant Indica si se está solicitando un producto por su codigo, o por el codigo correspondiente a una de sus variantes
             * @async
             *
             * A diferencia del metodo loadProduct, este retorna un valor cuando termina
             */
            this.getProduct = function (product_id, variant) {
                if (variant === void 0) { variant = false; }
                return __awaiter$d(_this, void 0, void 0, function () {
                    var result;
                    return __generator$d(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, this.productsService.getSpecificProduct(product_id, variant).toPromise()];
                            case 1:
                                result = _a.sent();
                                if (!result || result.error)
                                    this.productSubject.next(null);
                                else
                                    variant ? this.initialize(result, product_id) : this.initialize(result);
                                return [2 /*return*/, true];
                        }
                    });
                });
            };
            this.initialize = function (product, variant_code) {
                _this.productSubject.next(product);
                _this.optionsSubject.next(_this.getOptions());
                variant_code ? _this.updateVariants(variant_code) : _this.updateVariants();
                _this.variants.length && _this.generateAsociatedDataFromVariants();
                //this.analyticsService.callEvent('view_item', { ...product, currency: this.constants.currency.code })
                // variant_code && this.analyticsService.callEvent('view_item', { ...product, currency: this.constants.currency.code })
            };
            this.setProduct = function (product) { return _this.isProductValid(product) && _this.initialize(product); };
            this.isReady = function () { return _this.variants.length == 1; };
            this.setOption = function (option_code, option_value) {
                var options = _this.optionsSubject.value;
                var option = options.find(function (element) { return element.code == option_code; }).values.find(function (value) { return value.name == option_value; });
                option.selected = !option.selected;
                options.find(function (element) { return element.code == option_code; }).values.forEach(function (value) { if (value.name != option.name)
                    value.selected = false; });
                _this.optionsSubject.next(options);
                _this.updateVariants();
                _this.variants.length > 0 ? _this.generateAsociatedDataFromVariants() : _this.toastrService.show('selection-not-available');
            };
            this.changePicture = function (picture) {
                var data = _this.asociatedDataSubject.value;
                data.picture = picture;
                _this.asociatedDataSubject.next(data);
            };
            this.handleError = function (error) {
                // Whathever we need to do with error
            };
            this.addToCartPromise = function (quantity) { return __awaiter$d(_this, void 0, void 0, function () {
                var product_selected, result;
                return __generator$d(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            quantity = parseInt(quantity);
                            if (!this.variants.length) {
                                return [2 /*return*/, { error: true, message: 'cant-buy' }];
                            }
                            product_selected = _.clone(this.productSubject.value);
                            if (this.variants.length > 1 || this.variants.length == 0 || this.asociatedDataSubject.value.stock == 0) {
                                if (this.variants.length == 0)
                                    return [2 /*return*/, { error: true, message: 'no-variants' }];
                                else if (this.variants.length > 1 && this.asociatedDataSubject.value.stock > 0)
                                    return [2 /*return*/, { error: true, message: 'variants-left' }];
                                else if (this.variants.length != 0 && this.asociatedDataSubject.value.stock == 0)
                                    return [2 /*return*/, { error: true, message: 'out-of-stock' }];
                            }
                            if (!this.validateQuantity(quantity))
                                return [2 /*return*/];
                            return [4 /*yield*/, this.cartService.addToCartPromise(this.makeAffordableProduct(product_selected), quantity, this.variants[0].code)];
                        case 1:
                            result = _a.sent();
                            return [2 /*return*/, (result && !(result.error))];
                    }
                });
            }); };
            this.getOptions = function (product_received) {
                var product = product_received || _this.productSubject.value;
                var options = [];
                product.options.forEach(function (element) {
                    options.push(_this.toOption(element));
                });
                return options;
            };
            this.toOption = function (preoption) {
                return {
                    name: preoption.label,
                    code: preoption.code,
                    type: preoption.type,
                    values: preoption.values.map(function (value) { return ({ name: value.code, description: value.name, image: value.image, mobileImage: value.mobileImage, selected: false }); })
                };
            };
            this.updateVariants = function (code) {
                var variants = _this.productSubject.value.variants;
                if (!code) {
                    _this.optionsSubject.value.forEach(function (option) {
                        option.values.forEach(function (value) {
                            if (value.selected) {
                                variants = variants.filter(function (variant) {
                                    return variant.options.some(function (variant_option) {
                                        return (option.code in variant_option && variant_option[option.code] == value.name);
                                    });
                                });
                            }
                        });
                    });
                }
                else {
                    variants = variants.filter(function (variant) { return variant.code == code; });
                }
                _this.variants = variants;
                code && _this.updateOptions();
            };
            this.updateOptions = function () {
                var options = (_this.variants.length && _this.variants[0]).options;
                options && options.forEach(function (option) { return Object.keys(option).forEach(function (key) { return _this.setOption(key, option[key]); }); });
            };
            this.generateAsociatedDataFromVariants = function () {
                var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m, _o, _p, _q, _r, _s;
                var asociated = {};
                if (_this.isReady()) {
                    asociated.stock = _this.variants[0].stock;
                    asociated.price = _this.variants[0].price.toString();
                    asociated.saleprice = _this.variants[0].saleprice && _this.variants[0].saleprice.toString() || undefined;
                    asociated.discount = ((_a = _this.variants[0]) === null || _a === void 0 ? void 0 : _a.discount) || undefined;
                    asociated.properties = _this.variants[0].properties ? _this.beautifyProperties(_this.variants[0].properties) : undefined;
                    asociated.uniqueExternalCode = ((_b = _this.variants[0]) === null || _b === void 0 ? void 0 : _b.uniqueExternalCode) || undefined;
                    asociated.multipleQuantity = ((_c = _this.variants[0]) === null || _c === void 0 ? void 0 : _c.multipleQuantity) || undefined;
                }
                else {
                    asociated.price = _this.cratePrice();
                    asociated.saleprice = _this.crateSalePrice();
                    asociated.stock = (_this.variants.map(function (variant) { return variant.stock; })).reduce(function (a, b) { return a + b; });
                    asociated.discount = _this.crateDiscount();
                }
                ('images' in _this.variants[0] && _this.variants[0].images.length > 0)
                    ? asociated.picture = _this.variants[0].images[0]
                    : asociated.picture = (_this.asociatedDataSubject.value.picture || _this.productSubject.value.picturesdefault[0]);
                asociated.maximumAmount = ((_d = _this.variants[0]) === null || _d === void 0 ? void 0 : _d.maximumAmount) || 0;
                asociated.minimumAmount = ((_e = _this.variants[0]) === null || _e === void 0 ? void 0 : _e.minimumAmount) || 0;
                asociated.maximumItemsQuantity = ((_f = _this.variants[0]) === null || _f === void 0 ? void 0 : _f.stock) > 0 && 'maximumItemsQuantity' in _this.variants[0] ? (_g = _this.variants[0]) === null || _g === void 0 ? void 0 : _g.maximumItemsQuantity : (_h = _this.variants[0]) === null || _h === void 0 ? void 0 : _h.stock;
                asociated.minimumItemsQuantity = ((_j = _this.variants[0]) === null || _j === void 0 ? void 0 : _j.stock) > 0 && 'minimumItemsQuantity' in _this.variants[0]
                    && ((_k = _this.variants[0]) === null || _k === void 0 ? void 0 : _k.minimumItemsQuantity) > 0 ? (_l = _this.variants[0]) === null || _l === void 0 ? void 0 : _l.minimumItemsQuantity : (((_m = _this.variants[0]) === null || _m === void 0 ? void 0 : _m.multipleQuantity) ? (_o = _this.variants[0]) === null || _o === void 0 ? void 0 : _o.multipleQuantity : 1);
                asociated.finalConsumer = {
                    finalConsumerPrice: (_p = _this.variants[0]) === null || _p === void 0 ? void 0 : _p.final_consumer_price,
                    originalFinalConsumerPrice: (_q = _this.variants[0]) === null || _q === void 0 ? void 0 : _q.original_final_consumer_price,
                };
                asociated.taxes = {
                    taxIncluded: (_r = _this.variants[0]) === null || _r === void 0 ? void 0 : _r.taxIncluded,
                    taxCategory: (_s = _this.variants[0]) === null || _s === void 0 ? void 0 : _s.taxCategory,
                };
                _this.asociatedDataSubject.next(asociated);
            };
            /**
             * @description Recibe las propiedades de una variante y por cada item arma un objeto con
             * el name=clave y value=valor de ese item.
             * @param properties
             * @returns Un arreglo con las propiedades de la forma { name = ... , value = ...}
             */
            this.beautifyProperties = function (properties) {
                var beautifyData = [];
                properties.forEach(function (prop) {
                    for (var key in prop) {
                        beautifyData.push({ name: key, value: prop[key] });
                    }
                });
                return beautifyData;
            };
            this.crateDiscount = function () {
                try {
                    var all_discount_1 = '';
                    _this.variants.forEach(function (variant) {
                        variant.discount && (all_discount_1 = all_discount_1 + ', ' + variant.discount);
                    });
                    if (all_discount_1 == '') {
                        return undefined;
                    }
                    return all_discount_1;
                }
                catch (error) {
                    return undefined;
                }
            };
            this.cratePrice = function () {
                var min_price = 0;
                var max_price = 0;
                var all_prices = [];
                _this.variants.forEach(function (variant) {
                    all_prices.push(variant.price);
                });
                min_price = all_prices.reduce(function (a, b) { return Math.min(a, b); });
                max_price = all_prices.reduce(function (a, b) { return Math.max(a, b); }, 0);
                return min_price == max_price ? max_price.toString() : min_price + ' - ' + max_price;
            };
            this.crateSalePrice = function () {
                var min_price = 0;
                var max_price = 0;
                var all_prices = [];
                _this.variants.forEach(function (variant) {
                    variant.saleprice && all_prices.push(variant.saleprice);
                });
                if (!all_prices.length) {
                    return undefined;
                }
                min_price = all_prices.reduce(function (a, b) { return Math.min(a, b); });
                max_price = all_prices.reduce(function (a, b) { return Math.max(a, b); }, 0);
                return min_price == max_price ? max_price.toString() : min_price + ' - ' + max_price;
            };
            this.inRange = function (quantity, min, max) { return ((quantity - min) * (quantity - max) <= 0); };
            this.validateQuantity = function (quantity) {
                var actualQuantity = _this.cartService.getCountFromItemInCart(_this.variants[0].code);
                var asociatedData = _this.asociatedDataSubject.value;
                console.log('La cantidad que llego: ', quantity, ' y la cantidad actual: ', actualQuantity);
                if ((actualQuantity + quantity) > asociatedData.maximumItemsQuantity) {
                    _this.toastrService.show('maximum-items-quantity', { quantity: asociatedData.maximumItemsQuantity });
                    return false;
                }
                if ((actualQuantity + quantity) < asociatedData.minimumItemsQuantity) {
                    _this.toastrService.show('minimum-items-quantity', { quantity: asociatedData.minimumItemsQuantity });
                    return false;
                }
                return true;
            };
            // Cuando haya modelos de respuesta, validamos que no se intente cargar un producto incompleto
            this.isProductValid = function (product) { return true; };
            /**
             *
             * @param product producto el cual se quiere desdoblar por variantes por una opción.
             * @param withOption 'type' tipo de opción, code: código de la opción. 'defaultFirstOption': en caso de que no se pueda desdoblar por la opción indicada si el valor es verdadero se intentara desdoblar por la primera opción asociada al producto.
             * 'checkIfStock': en caso de que esta valor sea verdadero se realiza un control de que la variantes cuenten con stock para ser un producto desdoblado por la variante, si el valor es falso no se realiza dicho control y el producto se desdoblara con stock en 0.
             * @returns arreglo con el producto desdoblado por la variante solicitada.
             * (opción por defecto que se intenta hacer el desdoblamiento 'color', o bien si en le parámetro withOption el atributo 'defaultFirstOption' es verdadero se desdobla por la primera opción asociada al producto )
             */
            this.getProductWithUniqueVariant = function (product, withOption) {
                return _this.productsService.getProductsWithUniqueVariant([product], withOption);
            };
        }
        /**
         * @description agrega/actualiza un item en el carrito
         * @param quantity cantidad a agregar
         * @param variant_code **(opcional)** codigo de la variante seleccionada del producto.
         * @returns
         */
        ProductDetailService.prototype.addToCart = function (quantity, variant_code) {
            quantity = parseInt(quantity);
            if (!this.variants.length) {
                this.toastrService.show('cant-buy');
                return;
            }
            var product_selected = _.clone(this.productSubject.value);
            var variant;
            switch (this.variants.length) {
                case 0:
                    this.toastrService.show('no-variants');
                    break;
                case 1:
                    this.asociatedDataSubject.value.stock == 0 ?
                        this.toastrService.show('out-of-stock') :
                        variant = this.variants[0];
                    break;
                default:
                    if (variant_code) {
                        variant = this.variants.find(function (variant) { return variant.code === variant_code; });
                        if (variant.stock == 0) {
                            this.toastrService.show('out-of-stock');
                            variant = undefined;
                        }
                    }
                    else {
                        this.toastrService.show('variants-left');
                    }
                    break;
            }
            if (!variant)
                return;
            if (!this.validateQuantity(quantity))
                return;
            this.cartService.addToCart(this.makeAffordableProduct(product_selected), quantity, variant.code);
        };
        ;
        ProductDetailService.prototype.makeAffordableProduct = function (product_selected) {
            product_selected.price = parseFloat(this.asociatedDataSubject.value.price);
            product_selected.saleprice = parseFloat(this.asociatedDataSubject.value.price);
            product_selected.options = {};
            this.variants[0].options.forEach(function (option) { return product_selected.options = __assign$n(__assign$n({}, product_selected.options), option); });
            return product_selected;
        };
        /**
         *
         * @param options Array de Variantes y sus valores
         *
         * @description Retorna una lista filtrada de las variantes que estan seleccionadas
         */
        ProductDetailService.prototype.getVariantsSelected = function (options, optionsException) {
            var variantsSelected = [];
            options.forEach(function (v) {
                if (v.values && v.values.length) {
                    v.values.forEach(function (val) {
                        if (val.selected && !optionsException.find(function (op) { return op.toUpperCase() == v.code.toUpperCase(); })) {
                            variantsSelected[v.code] = val.name;
                        }
                    });
                }
            });
            return variantsSelected;
        };
        /**
         *
         * @param options Array de Variantes y sus valores
         * @param variants Todas las variantes disponibles del producto
         *
         * @description retorna todas las variantes disponibles a seleccion y su stock
         */
        ProductDetailService.prototype.getVariantsAvailable = function (options, variants, optionsException) {
            var _this = this;
            var variantsSelected = this.getVariantsSelected(options, optionsException);
            var variantsAvailable = [];
            variants.map(function (v) {
                var aux = {};
                if (v.options && v.options.length) {
                    v.options.map(function (op) {
                        Object.assign(aux, op, { stock: v.stock });
                    });
                }
                variantsAvailable.push(aux);
            });
            return variantsAvailable.filter(function (va) { return _this.constants.containsAll(__assign$n({}, variantsSelected), va); });
        };
        /**
         *
         * @param options Array de variantes y sus valores
         * @param code Codigo de la variante a buscar
         * @param name nombre de la variante a buscar
         * @param variants variantes del producto
         *
         * @description busca en la lista de variantes disponibles si hay de ese codigo, ese nombre y con stock
         */
        ProductDetailService.prototype.existVariantAndHasStock = function (options, code, name, variants, optionsException) {
            if (optionsException === void 0) { optionsException = []; }
            return this.getVariantsAvailable(options, variants, optionsException).find(function (va) {
                return va.hasOwnProperty(code) && va[code] === name && va.stock > 0;
            });
        };
        ProductDetailService.ctorParameters = function () { return [
            { type: ProductsService },
            { type: CartService },
            { type: ToastService },
            { type: Constants },
            { type: AnalyticsService },
            { type: CurrencyService }
        ]; };
        ProductDetailService = __decorate$12([
            core.Injectable()
        ], ProductDetailService);
        return ProductDetailService;
    }());

    var __extends$v = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __assign$o = (this && this.__assign) || function () {
        __assign$o = Object.assign || function(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                    t[p] = s[p];
            }
            return t;
        };
        return __assign$o.apply(this, arguments);
    };
    var __decorate$13 = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var ProductDetailEcComponent = /** @class */ (function (_super) {
        __extends$v(ProductDetailEcComponent, _super);
        function ProductDetailEcComponent(productService, consts, activedRoute, cartService, optionsService, productsService, analyticsService, router, toastrService, meta) {
            var _this = _super.call(this) || this;
            _this.productService = productService;
            _this.consts = consts;
            _this.activedRoute = activedRoute;
            _this.cartService = cartService;
            _this.optionsService = optionsService;
            _this.productsService = productsService;
            _this.analyticsService = analyticsService;
            _this.router = router;
            _this.toastrService = toastrService;
            _this.meta = meta;
            _this.show = false;
            _this.quantity = 1;
            _this.breadcrumb = [];
            _this.code = null;
            _this.focusImage = null;
            _this.owlOptions = {};
            _this.addToCart = function () {
                _this.quantity > 0 && _this.productService.addToCart(_this.quantity);
            };
            _this.addAllProductosToCart = function () {
                var _a, _b;
                var items = (_a = _this.product.productWithUniqueVariant) === null || _a === void 0 ? void 0 : _a.filter(function (prod) { return prod.productToCartItem; }).map(function (prod) { return prod.productToCartItem; });
                ((_b = items) === null || _b === void 0 ? void 0 : _b.length) && _this.cartService.addAllToCart(items);
            };
            _this.saveRef = function (carousel) {
                _this.carousel = carousel;
            };
            /**
             * @description actualiza la variable quantity sumandole 'x' contenido.
             * @param stock debe recibir un number que contenga el stock disponible.
             * @param multipleQuantity debe recibir el multiplo de cantidad que se quiera incrementar.
             */
            _this.plus = function (stock, multipleQuantity) {
                if (multipleQuantity && multipleQuantity > 0) {
                    stock ? (_this.quantity < stock ? _this.quantity = _this.quantity + multipleQuantity : _this.toastrService.show('out-of-stock-actually'))
                        : _this.quantity = _this.quantity + multipleQuantity;
                }
                else {
                    stock ? (_this.quantity < stock ? _this.quantity = _this.quantity + 1 : _this.toastrService.show('out-of-stock-actually'))
                        : _this.quantity = _this.quantity + 1;
                }
            };
            /**
            * @description actualiza la varible quantity restandole 'x' contenido.
            * @param multipleQuantity debe recibir el multiplo de cantidad que se quiera decrementar.
            */
            _this.less = function (multipleQuantity) {
                if (multipleQuantity && multipleQuantity > 0) {
                    _this.quantity > multipleQuantity ? _this.quantity = _this.quantity - multipleQuantity : null;
                }
                else {
                    _this.quantity > 1 ? _this.quantity = _this.quantity - 1 : null;
                }
            };
            _this.showContact = function () { return _this.show = true; };
            _this.hideContact = function () { return _this.show = false; };
            _this.thereIsMoreInfo = function (product) {
                var _a, _b, _c, _d;
                var result;
                if (((_a = product) === null || _a === void 0 ? void 0 : _a.special_mark) && ((_b = product) === null || _b === void 0 ? void 0 : _b.special_mark.length)) {
                    result = (_d = (_c = product) === null || _c === void 0 ? void 0 : _c.special_mark) === null || _d === void 0 ? void 0 : _d.find(function (special_mark) { return special_mark.type == 'more_info'; });
                }
                return result;
            };
            _this.changeImgFocus = function (img) {
                _this.focusImage = img;
            };
            _this.mediaUrl = _this.consts.mediaUrl();
            _this.activedRoute.params.subscribe(function (queryParams) {
                var variant = (_this.activedRoute.snapshot.queryParamMap.get('variant'));
                var code = queryParams.id;
                _this.productService.loadProduct(code, variant);
                _this.code = queryParams.id;
            });
            _this.productService.product$.subscribe(function (res) {
                _this.product = res;
                window.scroll(0, 0);
                _this.breadcrumb = _this.optionsService.getBreadcrumb(_this.product.category);
                if (_this.product.name) {
                    _this.meta.updateTag({ property: 'og:title', content: _this.product.name });
                    _this.meta.updateTag({ property: 'og:description', content: _this.deleteHTML(_this.product.description) });
                    _this.meta.updateTag({ property: 'og:image', content: _this.consts.mediaUrl() + _this.product.picturesdefault[0] });
                    _this.meta.updateTag({ property: 'og:type', content: 'product' });
                    _this.meta.updateTag({ property: 'og:url', content: window.location.href });
                }
            });
            _this.productService.product$.pipe(operators.filter(function (data) { return data && data.id && data.id != 0; })).subscribe(function (productParam) {
                _this.analyticsService.callEvent('view_item', __assign$o(__assign$o({}, productParam), { currency: _this.consts.currency.code }));
                _this.changeImgFocus(productParam.picturesdefault[0]);
            });
            _this.ecOnConstruct();
            return _this;
        }
        ProductDetailEcComponent.prototype.deleteHTML = function (cadena) {
            // Expresión regular para buscar etiquetas HTML
            var expresionRegular = /<[^>]*>/g;
            // Reemplaza todas las etiquetas HTML por una cadena vacía
            return cadena.replace(expresionRegular, '');
        };
        ProductDetailEcComponent.prototype.ngOnInit = function () {
            this.ecOnInit();
        };
        ProductDetailEcComponent.prototype.scroll = function () {
            var el = this.contact.nativeElement;
            el.scrollIntoView();
        };
        ProductDetailEcComponent.ctorParameters = function () { return [
            { type: ProductDetailService },
            { type: Constants },
            { type: router.ActivatedRoute },
            { type: CartService },
            { type: OptionsService },
            { type: ProductsService },
            { type: AnalyticsService },
            { type: router.Router },
            { type: ToastService },
            { type: platformBrowser.Meta }
        ]; };
        __decorate$13([
            core.ViewChild('contact')
        ], ProductDetailEcComponent.prototype, "contact", void 0);
        ProductDetailEcComponent = __decorate$13([
            core.Component({
                selector: 'app-product-detail-ec',
                template: "",
                providers: [ProductDetailService],
                styles: ["::-webkit-scrollbar{width:0;background:0 0}.img-container{overflow:scroll;max-height:60vh}#img-container-div{height:649px!important}@media (max-width:768px){#img-container-div{height:593px!important}}.carrousel-custom{height:200px;width:100%;overflow:auto;white-space:nowrap}.carrousel-item-custom{max-height:178px}"]
            })
        ], ProductDetailEcComponent);
        return ProductDetailEcComponent;
    }(ComponentHelper));

    var __extends$w = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$14 = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var ProductEcComponent = /** @class */ (function (_super) {
        __extends$w(ProductEcComponent, _super);
        function ProductEcComponent(consts, router, productService, authService, toastrService, analyticsService) {
            var _this = _super.call(this) || this;
            _this.consts = consts;
            _this.router = router;
            _this.productService = productService;
            _this.authService = authService;
            _this.toastrService = toastrService;
            _this.analyticsService = analyticsService;
            _this.quantity = 1;
            _this.stock = 0;
            _this.data = null;
            /**
             * @description variable utilizada mutar de la vista de lista, a la de box.
             */
            _this.isProductBox = false;
            _this.canBuy = function () { return false; };
            _this.buyOrRedirect = function (variant) {
                if (variant === void 0) { variant = false; }
                var _a;
                var idredirect = variant && ((_a = _this.product.variants.find(function (v) { return v.stock > 0; })) === null || _a === void 0 ? void 0 : _a.code);
                if (!idredirect) {
                    idredirect = _this.product.id;
                    variant = false;
                }
                else {
                    if (idredirect.includes("/")) {
                        idredirect = _this.product.id;
                        variant = false;
                    }
                }
                _this.router.navigateByUrl("/product/" + idredirect + (variant ? '?variant=true' : ''));
            };
            /**
             * @description actualiza la variable quantity sumandole 'x' contenido.
             * @param stock debe recibir un number que contenga el stock disponible.
             * @param multipleQuantity debe recibir el multiplo de cantidad que se quiera incrementar.
             */
            _this.plus = function (stock, multipleQuantity) {
                if (multipleQuantity && multipleQuantity > 0) {
                    stock ? (_this.quantity < stock ? _this.quantity = _this.quantity + multipleQuantity : _this.toastrService.show('out-of-stock-actually'))
                        : _this.quantity = _this.quantity + multipleQuantity;
                }
                else {
                    stock ? (_this.quantity < stock ? _this.quantity = _this.quantity + 1 : _this.toastrService.show('out-of-stock-actually'))
                        : _this.quantity = _this.quantity + 1;
                }
            };
            /**
             * @description actualiza la varible quantity restandole 'x' contenido.
             * @param multipleQuantity debe recibir el multiplo de cantidad que se quiera decrementar.
             */
            _this.less = function (multipleQuantity) {
                if (multipleQuantity && multipleQuantity > 0) {
                    _this.quantity > multipleQuantity ? _this.quantity = _this.quantity - multipleQuantity : null;
                }
                else {
                    _this.quantity > 1 ? _this.quantity = _this.quantity - 1 : null;
                }
            };
            /**
             * @description Agrega el producto al carrito. Si es una variante se enviara el codigo de la variante.
             */
            _this.addToCart = function () {
                _this.product.currentOption ? _this.productService.addToCart(+_this.quantity, _this.product.currentOption.variantCode) : _this.productService.addToCart(+_this.quantity);
            };
            _this.getBrandName = function (product) {
                if (product && product.attributes)
                    return product.attributes
                        .filter(function (attribute) { return attribute.code === 'marca'; })
                        .map(function (attribute) { return attribute.children[0].name; });
            };
            _this.ecOnConstruct();
            return _this;
        }
        ProductEcComponent.prototype.ngOnInit = function () {
            var _this = this;
            this.productService.setProduct(this.product);
            this.productService.asociatedData$.subscribe(function (res) { _this.data = res; _this.stock = res.stock; });
            this.ecOnInit();
        };
        ProductEcComponent.prototype.ngOnChanges = function () {
        };
        ProductEcComponent.prototype.selectItem = function (product) {
            console.log('entro');
            this.analyticsService.callEvent('select_item', product);
        };
        ProductEcComponent.ctorParameters = function () { return [
            { type: Constants },
            { type: router.Router },
            { type: ProductDetailService },
            { type: AuthService },
            { type: ToastService },
            { type: AnalyticsService }
        ]; };
        __decorate$14([
            core.Input()
        ], ProductEcComponent.prototype, "isProductBox", void 0);
        __decorate$14([
            core.Input()
        ], ProductEcComponent.prototype, "product", void 0);
        ProductEcComponent = __decorate$14([
            core.Component({
                selector: 'app-product-ec',
                template: "",
                providers: [ProductDetailService],
                styles: [""]
            })
        ], ProductEcComponent);
        return ProductEcComponent;
    }(ComponentHelper));

    var __extends$x = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$15 = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var RelatedProductsEcComponent = /** @class */ (function (_super) {
        __extends$x(RelatedProductsEcComponent, _super);
        function RelatedProductsEcComponent(productsService, analyticsService, consts, router) {
            var _this = _super.call(this) || this;
            _this.productsService = productsService;
            _this.analyticsService = analyticsService;
            _this.consts = consts;
            _this.router = router;
            _this.relatedProducts = [];
            _this.name = null;
            _this.keywordsToCompare = ['compare', 'comparar', 'comparacion', 'comparación', 'compared'];
            _this.includeKeyword = function (word) {
                var result = false;
                _this.keywordsToCompare.forEach(function (keyword) {
                    word.includes(keyword) ? result = true : null;
                });
                return result;
            };
            _this.customOptions = {
                loop: true,
                dots: false,
                navSpeed: 950,
                margin: 0,
                navText: ['', ''],
                nav: true,
                responsive: {
                    0: {
                        items: 1,
                        nav: true
                    },
                    600: {
                        items: 3,
                        nav: true
                    },
                    900: {
                        items: 4,
                        nav: true,
                    }
                }
            };
            _this.ecOnConstruct();
            return _this;
        }
        RelatedProductsEcComponent.prototype.ngOnInit = function () {
            this.load(this.product_id);
            this.ecOnInit();
        };
        RelatedProductsEcComponent.prototype.load = function (product_id) {
            var _this = this;
            this.productsService.getRelatedProducts(product_id).pipe(operators.take(1)).subscribe(function (res) {
                _this.relatedProducts = res.filter(function (elem) { return !_this.includeKeyword(elem.title.toLowerCase()); });
                res.map(function (products) { return _this.analyticsService.callEvent('view_item_list', { products: products.items, item_list_name: products.title || 'Related Products', item_list_id: products.id || 'related-products' }); });
            });
        };
        RelatedProductsEcComponent.prototype.ngOnChanges = function (changes) {
            window.scroll({
                top: 0,
                left: 0,
                behavior: 'smooth'
            });
            this.load(changes.product_id.currentValue);
            //this.doSomething(changes.categoryId.currentValue);
            // You can also use categoryId.previousValue and 
            // categoryId.firstChange for comparing old and new values
        };
        RelatedProductsEcComponent.ctorParameters = function () { return [
            { type: ProductsService },
            { type: AnalyticsService },
            { type: Constants },
            { type: router.Router }
        ]; };
        __decorate$15([
            core.Input()
        ], RelatedProductsEcComponent.prototype, "product_id", void 0);
        RelatedProductsEcComponent = __decorate$15([
            core.Component({
                selector: 'app-related-products-ec',
                template: "<!-- <div *ngFor=\"let products of relatedProducts\" >\n    <section class=\"destacados\"  id=\"destacados\"> \n        <div class=\"container-fluid mx-auto py-5\">\n            <div class=\"row mx-auto d-flex justify-content-start px-3 py-3\">\n                <h3 class=\"my-auto mx-2 text-left w-fit bold text-beige1\">\n                    {{ products.title ? products.title  : 'PRODUCTOS RECOMENDADOS' | uppercase}}\n                </h3>\n            </div>\n    \n            <owl-carousel-o [options]=\"customOptionsDestacados\" class=\"row mx-auto d-flex justify-content-center p-3  pb-1\">\n                <ng-template carouselSlide *ngFor=\"let product of products.items\">\n                     <app-product-destacados [product]=\"product\" [isValorados]=\"false\"></app-product-destacados>\n                </ng-template>\n           </owl-carousel-o>\n           \n            <div class=\"row mx-auto d-flex justify-content-center pb-3 d-md-none\">\n                <a routerLink=\"/collection\" role=\"button\" class=\"btn btn-dark bg-beige1 text-blanco bold rounded-pill px-5 py-2\">IR A LA TIENDA</a>\n            </div>\n        </div>\n    </section>\n</div> -->",
                styles: [""]
            })
        ], RelatedProductsEcComponent);
        return RelatedProductsEcComponent;
    }(ComponentHelper));

    var __extends$y = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$16 = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var SectionContainerEcComponent = /** @class */ (function (_super) {
        __extends$y(SectionContainerEcComponent, _super);
        function SectionContainerEcComponent(activatedRoute, optionsService, toastrService, sanitizer) {
            var _this = _super.call(this) || this;
            _this.activatedRoute = activatedRoute;
            _this.optionsService = optionsService;
            _this.toastrService = toastrService;
            _this.sanitizer = sanitizer;
            _this.content_html = "<p>Sin información</p>";
            _this.loadSection = false;
            _this.sanitizeHtml = false;
            _this.name = null;
            _this.getSection = function (link) {
                _this.loadSection = false;
                _this.optionsService.getSectionContentByLink(link).toPromise().then(function (html) {
                    if (html)
                        _this.content_html =
                            _this.sanitizeHtml
                                ? html
                                : _this.sanitizer.bypassSecurityTrustHtml(html);
                    _this.loadSection = true;
                }, function (error) {
                    console.log(error);
                    _this.loadSection = true;
                    _this.content_html = "<p>Sin información</p>";
                    _this.toastrService.show('No fue posible encontrar la sección solicitada');
                }).catch(function (error) {
                    _this.content_html = "<p>Sin información</p>";
                    _this.loadSection = true;
                });
            };
            _this.getDataSection = function (code) {
                _this.dataSection = _this.sections.find(function (section) { return section.code == code; });
            };
            _this.optionsService.sections.subscribe(function (res) { return _this.sections = res; });
            _this.ecOnConstruct();
            return _this;
        }
        SectionContainerEcComponent.prototype.ngOnInit = function () {
            var _this = this;
            if (this.name) {
                this.getSection(this.name);
                this.getDataSection(this.name);
                //console.log('con parametro')
            }
            else {
                this.activatedRoute.params.subscribe(function (params) {
                    _this.name = params.name;
                    _this.getSection(_this.name);
                    _this.getDataSection(_this.name);
                    //console.log('sin parametro', this.name)
                });
            }
            this.ecOnInit();
        };
        SectionContainerEcComponent.ctorParameters = function () { return [
            { type: router.ActivatedRoute },
            { type: OptionsService },
            { type: ngxToastr.ToastrService },
            { type: platformBrowser.DomSanitizer }
        ]; };
        __decorate$16([
            core.Input()
        ], SectionContainerEcComponent.prototype, "sanitizeHtml", void 0);
        __decorate$16([
            core.Input()
        ], SectionContainerEcComponent.prototype, "name", void 0);
        SectionContainerEcComponent = __decorate$16([
            core.Component({
                selector: 'app-section-container-ec',
                template: "<div class=\"container-fluid\">\n    <div class=\"row\">\n        <div class=\"col-12\">\n            <div class=\"scrol-if\">\n                <div *ngIf=\"loadSection; else notBlockContact\" [innerHtml]=\"content_html\"></div>\n            </div>\n        </div>\n    </div>\n</div>\n\n<app-blocks-ec [section]=\"name\"></app-blocks-ec>\n\n\n<ng-template #notBlockContact>\n<div class=\"col-12 align-items-center\">\n    <div  class=\"d-flex flex-column jusitfy-content-center align-items-center my-5\">\n        <app-loading-full-ec></app-loading-full-ec>\n    </div>\n</div>\n</ng-template>",
                styles: [".custom-page{background-color:#fff!important;padding-top:5%!important;padding-bottom:5%!important}.scrol-if{overflow:auto}"]
            })
        ], SectionContainerEcComponent);
        return SectionContainerEcComponent;
    }(ComponentHelper));

    var __extends$z = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$17 = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var StoresEcComponent = /** @class */ (function (_super) {
        __extends$z(StoresEcComponent, _super);
        function StoresEcComponent(storesService, consts, sanitizer) {
            var _this = _super.call(this) || this;
            _this.storesService = storesService;
            _this.consts = consts;
            _this.sanitizer = sanitizer;
            _this.filterStores = null;
            _this.storesAll = null;
            _this.exclusiveStores = null;
            _this.imageMap = true;
            _this.stores = [];
            _this.provinces = [];
            _this.markers = [];
            _this.ultimoElementoSeleccionado = null;
            _this.locations = [];
            /**
             * @description Obtiene todas la provincias que figuren en el arreglo
             * @param stores Arreglo de tiendas
             * @returns {Array} Arreglo de provincias
             */
            _this.getProvices = function (stores) {
                var provincesOpt = [];
                stores.forEach(function (store) {
                    if (provincesOpt.find(function (s) { return s.code == store.province.code; }) == undefined) {
                        provincesOpt.push(store.province);
                    }
                });
                return provincesOpt;
            };
            /**
             * @description Retorna un arreglo de objetos formado por las claves
             *      "province"(contiene un objeto provincia) y
             *      "stores" (contiene un arreglo de tiendas pertenecientes a la provincia)
             * @param stores Opcional, arreglo de tiendas a la que se le quiere aplicar la division por provincia
             * @returns {Array<{"province", "stores"}>}
             */
            _this.getStoresByProvinces = function (stores) {
                if (stores === void 0) { stores = _this.stores; }
                var storesByProvinces = [];
                if (stores) {
                    var provinces = _this.getProvices(stores);
                    provinces.forEach(function (elem) {
                        var _a;
                        var aux = (_a = stores) === null || _a === void 0 ? void 0 : _a.filter(function (store) { return store.province.code == elem.code; });
                        storesByProvinces.push({ province: elem, stores: aux });
                    });
                }
                return storesByProvinces;
            };
            /**
             * @description Retorna las tiendas con/sin retiro en el local
             * @param stores Opcional, arreglo de tiendas
             * @param cond Opcional, Si es "true" obtiene las tiendas con retiro local caso contrario "false"
             * @returns {Array<Store>} Arreglo de Store
             */
            _this.getPickupStores = function (stores, cond) {
                if (stores === void 0) { stores = _this.stores; }
                if (cond === void 0) { cond = true; }
                return stores && stores.filter(function (store) { return cond == store.pickupStore; });
            };
            /**
             * @description Metodo que devuelve las tiendas que NO son exclusivas.
             * @returns {Array<Store>} Arreglo de Store
             */
            _this.getNonExclusiveStores = function () { return _this.stores.filter(function (store) { return !store.exclusive; }); };
            _this.selectChange = function (select) {
                _this.filterStores = select != '' && _this.storesAll.filter(function (store) { return store.province.code == select; }) || _this.storesAll;
                return true;
            };
            _this.urlmap = _this.sanitizer.bypassSecurityTrustResourceUrl('https://www.google.com/maps/embed?pb=!1m10!1m8!1m3!1d13137.519688957545!2d-58.3888163!3d-34.5945533!3m2!1i1024!2i768!4f13.1!5e0!3m2!1ses-419!2sar!4v1523889204148');
            _this.storesService.stores.pipe(operators.filter(function (store) { return store && store.length > 0; })).subscribe(function (stores) {
                _this.storesAll = stores;
                _this.stores = stores;
                _this.exclusiveStores = stores.filter(function (store) { return store.exclusive; });
                _this.selectChange('');
            });
            _this.ecOnConstruct();
            return _this;
        }
        StoresEcComponent.prototype.ngOnInit = function () {
            this.ecOnInit();
        };
        StoresEcComponent.prototype.updateMap = function (url) {
            url = url.includes('embed') ? url : 'https://www.google.com/maps/embed?pb=!1m10!1m8!1m3!1d13137.519688957545!2d-58.3888163!3d-34.5945533!3m2!1i1024!2i768!4f13.1!5e0!3m2!1ses-419!2sar!4v1523889204148';
            this.urlmap = this.sanitizer.bypassSecurityTrustResourceUrl(url);
        };
        StoresEcComponent.prototype.initMap = function () {
            var _this = this;
            this.storesService.stores.pipe(operators.skipWhile(function (stores) { return stores.length === 0; }) // Omitir valores vacíos
            ).subscribe(function (res) {
                _this.stores = res;
                _this.stores.forEach(function (store) {
                    var datos = {
                        id: store.code,
                        lat: parseFloat(store.latitude),
                        lng: parseFloat(store.longitude),
                        title: store.name + ' - ' + store.address,
                        description: store.phone,
                    };
                    // console.log(datos)
                    _this.locations.push(datos);
                });
                var bounds = new google.maps.LatLngBounds();
                _this.locations.forEach(function (location) {
                    bounds.extend(new google.maps.LatLng(location.lat, location.lng));
                });
                var center = bounds.getCenter();
                var style = [{ "elementType": "geometry", "stylers": [{ "color": "#212121" }] }, { "elementType": "labels.icon", "stylers": [{ "visibility": "off" }] }, { "elementType": "labels.text.fill", "stylers": [{ "color": "#757575" }] }, { "elementType": "labels.text.stroke", "stylers": [{ "color": "#212121" }] }, { "featureType": "administrative", "elementType": "geometry", "stylers": [{ "color": "#757575" }] }, { "featureType": "administrative.country", "elementType": "labels.text.fill", "stylers": [{ "color": "#9e9e9e" }] }, { "featureType": "administrative.locality", "elementType": "labels.text.fill", "stylers": [{ "color": "#bdbdbd" }] }, { "featureType": "poi", "elementType": "labels.text.fill", "stylers": [{ "color": "#757575" }] }, { "featureType": "poi.business", "stylers": [{ "visibility": "off" }] }, { "featureType": "poi.park", "elementType": "geometry", "stylers": [{ "color": "#181818" }] }, { "featureType": "poi.park", "elementType": "labels.text.fill", "stylers": [{ "color": "#616161" }] }, { "featureType": "poi.park", "elementType": "labels.text.stroke", "stylers": [{ "color": "#1b1b1b" }] }, { "featureType": "road", "elementType": "geometry.fill", "stylers": [{ "color": "#2c2c2c" }] }, { "featureType": "road", "elementType": "labels.icon", "stylers": [{ "visibility": "off" }] }, { "featureType": "road", "elementType": "labels.text.fill", "stylers": [{ "color": "#8a8a8a" }] }, { "featureType": "road.arterial", "elementType": "geometry", "stylers": [{ "color": "#373737" }] }, { "featureType": "road.arterial", "elementType": "labels", "stylers": [{ "visibility": "off" }] }, { "featureType": "road.highway", "elementType": "geometry", "stylers": [{ "color": "#3c3c3c" }] }, { "featureType": "road.highway", "elementType": "labels", "stylers": [{ "visibility": "off" }] }, { "featureType": "road.highway.controlled_access", "elementType": "geometry", "stylers": [{ "color": "#4e4e4e" }] }, { "featureType": "road.local", "stylers": [{ "visibility": "off" }] }, { "featureType": "road.local", "elementType": "labels.text.fill", "stylers": [{ "color": "#616161" }] }, { "featureType": "transit", "stylers": [{ "visibility": "off" }] }, { "featureType": "transit", "elementType": "labels.text.fill", "stylers": [{ "color": "#757575" }] }, { "featureType": "water", "elementType": "geometry", "stylers": [{ "color": "#000000" }] }, { "featureType": "water", "elementType": "labels.text.fill", "stylers": [{ "color": "#3d3d3d" }] }];
                _this.map = new google.maps.Map(document.getElementById('map'), {
                    zoom: 12,
                    center: center,
                    styles: style // Aplica los estilos personalizados
                });
                _this.locations.forEach(function (location) {
                    var marker = new google.maps.Marker({
                        position: { lat: location.lat, lng: location.lng },
                        map: _this.map,
                        title: location.title,
                        icon: {
                            url: "../../../assets/location.svg",
                            scaledSize: new google.maps.Size(30, 30)
                        }
                    });
                    marker.set('id', location.id); // Associate marker with its ID
                    _this.markers.push(marker);
                    marker.addListener('click', function () {
                        var elemento = $('#' + location.id);
                        var contenedor = $('#home');
                        if (elemento.length && contenedor.length) {
                            contenedor.animate({
                                scrollTop: elemento.offset().top - contenedor.offset().top + contenedor.scrollTop()
                            }, 1000);
                        }
                        if (_this.ultimoElementoSeleccionado !== null) {
                            // Quitar la clase del último elemento seleccionado
                            _this.ultimoElementoSeleccionado.removeClass('selected');
                        }
                        // Agregar una clase al nuevo elemento seleccionado
                        elemento.addClass('selected');
                        _this.ultimoElementoSeleccionado = elemento;
                        _this.stopBounce();
                        marker.setAnimation(google.maps.Animation.BOUNCE);
                    });
                    _this.map.fitBounds(bounds);
                }, function (error) {
                    console.error('Error al obtener las tiendas:', error);
                });
            });
        };
        StoresEcComponent.prototype.showStoreOnMap = function (storeCode) {
            this.stopBounce();
            var marker = this.markers.find(function (m) { return m.get('id') === storeCode; });
            var elemento = $('#' + storeCode);
            if (this.ultimoElementoSeleccionado !== null) {
                // Quitar la clase del último elemento seleccionado
                this.ultimoElementoSeleccionado.removeClass('selected');
            }
            // Agregar una clase al nuevo elemento seleccionado
            elemento.addClass('selected');
            this.ultimoElementoSeleccionado = elemento;
            if (marker) {
                // this.map.panTo(marker.getPosition());
                // this.map.setZoom(15);
                marker.setAnimation(google.maps.Animation.BOUNCE);
            }
        };
        StoresEcComponent.prototype.stopBounce = function () {
            this.markers.forEach(function (marker) {
                marker.setAnimation(null);
            });
        };
        StoresEcComponent.ctorParameters = function () { return [
            { type: StoresService },
            { type: Constants },
            { type: platformBrowser.DomSanitizer }
        ]; };
        StoresEcComponent = __decorate$17([
            core.Component({
                selector: 'app-store-ec',
                template: "<div class=\"row w-100 mx-auto my-4 px-3 bb-s bt-md-s py-1\">\n    <strong>{{ 'stores' | translate }}</strong>\n</div>\n\n<section class=\"formulario container-fluid\" *ngIf=\"stores ; else noStores\">\n    <div *ngIf=\"stores.length; else loading\">\n\n        <div class=\"row\" *ngIf=\"stores && stores.length > 0; else noStores\">\n            <div class=\"col-12 col-md-3 order-1 order-md-1\">\n                <div class=\"row\">\n                    <div class=\"form-group w-100\">\n                        <select (change)=\"selectChange($event.target.value)\"\n                            class=\"rounded-0 form-control form-control-sm\" id=\"exampleFormControlSelect1\">\n                            <option selected [value]=\"''\">Seleccione provincia</option>\n                            <option [value]=\"item.code\" *ngFor=\"let item of getProvices(stores)\"> {{item.name}}\n                            </option>\n                        </select>\n                    </div>\n                </div>\n            </div>\n            <div class=\"col-12 col-md-3 order-3 order-md-2\">\n                <div class=\"container-fluid scrolleable\" *ngIf=\"filterStores && filterStores.length\">\n                    <div class=\"row mb-1\" *ngFor=\"let store of filterStores; let i = index\">\n                        <div class=\"col-12\">\n                            <h6 class=\"\"><strong>{{ store.name }}</strong></h6>\n                            <label>{{ store.address }}</label>\n                            <label>{{ store.phone }}</label>\n                            <div [innerHtml]=\"store.note\"></div>\n                            <div class=\"text-right\">\n                                <!-- <a [href]=\"store.urlMap\" target=\"_blank\" class=\"custom-a\">Ver mapa</a> -->\n                                <a  *ngIf=\"store.urlMap\" (click)=\"updateMap (store.urlMap)\" class=\"custom-a\">Ver mapa</a>\n                            </div>\n                        </div>\n                    </div>\n                </div>\n            </div>\n            <div class=\"col-12 col-md-6 order-2 order-md-3 my-4 mt-md-0\">\n                    <!-- <img *ngIf=\"imageMap\" src=\"../../../assets/images/recurso (21).png\" alt=\"\" class=\"w-100\"> -->\n                    <!-- <iframe *ngIf=\"!imageMap\" [src]=\"urlMap\" frameborder=\"0\" style=\"width: 100%; height: 500px;\"></iframe> -->\n                    <iframe id=\"map-iframe\" [src]=\"urlmap\" frameborder=\"0\"></iframe>\n            </div>\n        </div>\n    </div>\n</section>\n\n\n<ng-template #noStores>\n\n    <div class=\"d-flex flex-row justify-content-center my-5 align-items-center alto-total\">\n        <h5 class=\"text-center\">{{ 'no-stores' | translate }}</h5>\n    </div>\n\n</ng-template>\n\n<ng-template #loading>\n    <div class=\"container\">\n        <div class=\"row\">\n            <div class=\"col-12 align-items-center\">\n                <div class=\"d-flex flex-column justify-content-center align-items-center my-5\">\n                    <app-loading-full-ec></app-loading-full-ec>\n                </div>\n            </div>\n        </div>\n    </div>\n</ng-template>",
                styles: [".scrolleable{height:70vh;overflow:auto}@media screen and (max-width:768px){.scrolleable{height:auto}}.background-white{background-color:#fff}.alto-total{height:60vh}.custom-a{color:#000}#map-iframe{width:100%;border:0;height:100%}@media screen and (max-width:425px){#map-iframe{height:400px}}"]
            })
        ], StoresEcComponent);
        return StoresEcComponent;
    }(ComponentHelper));

    var __extends$A = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$18 = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var VariantsEcComponent = /** @class */ (function (_super) {
        __extends$A(VariantsEcComponent, _super);
        function VariantsEcComponent(consts, productService) {
            var _this = _super.call(this) || this;
            _this.consts = consts;
            _this.productService = productService;
            _this.setSeleccion = function (values) {
                $('#op').attr('disabled', true);
                var valores = values.split(',');
                if (valores.length != 2)
                    return;
                console.log(values);
                console.log(valores);
                _this.setOption(valores[0], valores[1]);
            };
            _this.view = function (length, options) {
                //   console.log('LAS OPCIONES', options);
                return length > 1;
            };
            _this.ecOnConstruct();
            return _this;
        }
        VariantsEcComponent.prototype.ngOnInit = function () {
            this.ecOnInit();
        };
        VariantsEcComponent.ctorParameters = function () { return [
            { type: Constants },
            { type: ProductDetailService }
        ]; };
        __decorate$18([
            core.Input()
        ], VariantsEcComponent.prototype, "product", void 0);
        __decorate$18([
            core.Input('options')
        ], VariantsEcComponent.prototype, "options$", void 0);
        __decorate$18([
            core.Input()
        ], VariantsEcComponent.prototype, "setOption", void 0);
        VariantsEcComponent = __decorate$18([
            core.Component({
                selector: 'app-product-variants-ec',
                template: "<div *ngIf=\"(options$ | async) as options ; else loading\">\n     <div *ngIf=\"options && options.length && view(options.length, options)\">\n          <div *ngFor=\"let option of options; let i = index\" class=\"mb-2\">\n               <h5 class=\"text-lowercase\">{{option.name | titlecase}}</h5>\n               <div [ngSwitch]=\"option.type\">\n                    <div *ngSwitchCase=\"'color'\">\n                         <div class=\"row w-100 mx-auto pb-3 mb-2\">\n                              <a *ngFor=\"let value of option.values; let x = index\" role=\"buttom\"\n                                   (click)=\"setOption(option.code, value.name)\"\n                                   [class]=\"'rounded-0 color-item mr-2 ' + (value.selected ? 'shadow' : '')\"\n                                   [id]=\"x + value.name\" [style.background]=\"'#' + value.name\"\n                                   [style.border]=\"(value.selected ? '1px black solid' : '1px gray solid')\"></a>\n                         </div>\n                    </div>\n                    <div *ngSwitchCase=\"'size'\">\n                         <div class=\"row w-100 mx-auto pb-3\">\n                              <select (change)=\"setSeleccion($event.target.value)\" class=\"form-control pr-5\">\n                                   <option id=\"op\" value=\"\">Seleccione {{option.name | lowercase}}</option>\n                                   <option *ngFor=\"let value of option.values; let x = index\" role=\"buttom\"\n                                        [value]=\"option.code +','+ value.name\" [id]=\"x + value.name\"\n                                        [selected]=\"value.selected\">\n                                        {{ value.name  }}\n                                   </option>\n                              </select>\n                              <!-- <a *ngFor=\"let value of option.values; let x = index\" role=\"buttom\"\n                                   (click)=\"setOption(option.code, value.name)\"\n                                   [id]=\"x + value.name\"\n                                   [class]=\"'btn btn-outline-dark rounded-0 talle-item m-1 ' + (value.selected ? 'selected-size' : 'unselected-size')\">\n                                   {{ value.name }}\n                              </a> -->\n                         </div>\n                    </div>\n                    <div *ngSwitchDefault>\n                        <select (change)=\"setSeleccion($event.target.value)\" class=\"form-control \">\n                            <option id=\"op\" value=\"\">Seleccione {{option.name | lowercase}}</option>\n                            <option *ngFor=\"let value of option.values; let x = index\" role=\"buttom\"\n                                 [value]=\"option.code +','+ value.name\" [id]=\"x + value.name\"\n                                 [selected]=\"value.selected\">\n                                 {{ value.name  }}\n                            </option>\n                       </select>\n                    </div>\n               </div>\n          </div>\n     </div>\n</div>\n\n<ng-template #loading>\n     <div class=\"col-12 align-items-center\">\n          <div class=\"d-flex flex-column jusitfy-content-center align-items-center my-5\">\n               <app-loading-full-ec></app-loading-full-ec>\n          </div>\n     </div>\n</ng-template>",
                styles: ["*{font-size:15px}.selected-size{background-color:#343a40;color:#fff}.unselected-size{color:#000;background-color:#fff}.color-item{height:18px;width:18px;border-radius:1rem!important}"]
            })
        ], VariantsEcComponent);
        return VariantsEcComponent;
    }(ComponentHelper));

    var __extends$B = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$19 = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __param$9 = (this && this.__param) || function (paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    };
    var SellerDashboardContainerEcComponent = /** @class */ (function (_super) {
        __extends$B(SellerDashboardContainerEcComponent, _super);
        function SellerDashboardContainerEcComponent(authService, toastrService, constants, env) {
            var _this = _super.call(this) || this;
            _this.authService = authService;
            _this.toastrService = toastrService;
            _this.constants = constants;
            _this.env = env;
            _this.UIComponents = [];
            _this.user = null;
            _this.activeCustomer = null;
            _this.sortValue = '';
            _this.searchInput = '';
            _this.customers = [];
            _this.filteredCustomers = [];
            _this.fuseOptions = {
                isCaseSensitive: false,
                shouldSort: false,
                tokenize: true,
                threshold: 0.2,
                location: 0,
                distance: 100,
                maxPatternLength: 32,
                minMatchCharLength: 0,
                keys: ['firstName', 'lastName', 'email', 'id']
            };
            _this.fuse = new Fuse(_this.customers, _this.fuseOptions);
            _this.updateCustomers = function () {
                _this.filteredCustomers = _this.customers;
                _this.fuse.setCollection(_this.filteredCustomers);
                _this.filteredCustomers =
                    _this.searchInput
                        ? _this.fuse
                            .search(_this.searchInput)
                            .map(function (customer) { return customer.item; })
                        : _this.customers;
                _this.fuse.setCollection(_this.filteredCustomers);
                _this.sortCustomers(_this.sortValue);
            };
            /**
             * @description Ordena la lista de clientes
             * @param value recibe una cadena que de estar formada de la forma "tipoOrdenacion_atributoPorOrdenar"
             * Ejemplo: "asc_firstName" o "desc_id" ...
             */
            _this.sortCustomers = function (value) {
                _this.sortValue = value;
                var values = value.split('_');
                var sortType = values[0];
                var attribute = values[1];
                var comparator = (sortType == 'asc')
                    ? [-1, 1]
                    : [1, -1];
                var typeValue;
                if (_this.filteredCustomers.length > 0) {
                    typeValue = typeof (_this.filteredCustomers[0][attribute]);
                }
                var sortFunction = typeValue == 'number' ? _this.sortNumber : _this.sortText;
                _this.filteredCustomers =
                    _this.sortValue
                        ? _this.filteredCustomers.sort(function (aCustomer, otherCustomer) { return sortFunction(aCustomer, otherCustomer, attribute, comparator); })
                        : _this.filteredCustomers;
            };
            _this.sortNumber = function (aCustomer, otherCustomer, attribute, comparator) { return aCustomer[attribute] < otherCustomer[attribute] ? comparator[0] : comparator[1]; };
            _this.sortText = function (aCustomer, otherCustomer, attribute, comparator) {
                return (aCustomer[attribute] == otherCustomer[attribute])
                    ? aCustomer.lastName.toLowerCase() < otherCustomer.lastName.toLowerCase() ? comparator[0] : comparator[1]
                    : String(aCustomer[attribute]).toLowerCase() < String(otherCustomer[attribute]).toLowerCase() ? comparator[0] : comparator[1];
            };
            _this.changeCustomer = function (customer) {
                _this.authService.setCustomer(customer);
                customer
                    ? _this.toastrService.show('start-impersonating', { customer: customer.firstName + ' ' + customer.lastName })
                    : _this.toastrService.show('stop-impersonating');
            };
            _this.hasHeader = function () {
                return _this.hasUIComponent('HEADER_TAB') ||
                    _this.hasUIComponent('GENERATE_BUDGET_BTN') ||
                    _this.hasUIComponent('MANAGE_ORDERS_BTN') ||
                    _this.hasUIComponent('SORT_SELECT') ||
                    _this.hasUIComponent('SEARCH_FORM');
            };
            _this.navigateExternal = function (url) { return window.open(url); };
            _this.hasUIComponent = function (UIComponent) { return _this.UIComponents.includes(UIComponent); };
            _this.isActive = function (customer) { var _a; return ((_a = _this.authService.getCustomer()) === null || _a === void 0 ? void 0 : _a.id) == customer.id; };
            _this.ecOnConstruct();
            return _this;
        }
        SellerDashboardContainerEcComponent.prototype.ngOnInit = function () {
            var _this = this;
            this.authService.getUserProfile()
                .pipe(operators.take(1))
                .subscribe(function (user) {
                _this.user = user;
                _this.customers = user.customers;
                _this.filteredCustomers = _this.customers;
                _this.fuse.setCollection(_this.filteredCustomers);
                _this.sortCustomers('desc_ordersNotApproved');
            });
        };
        SellerDashboardContainerEcComponent.ctorParameters = function () { return [
            { type: AuthService },
            { type: ToastService },
            { type: Constants },
            { type: undefined, decorators: [{ type: core.Inject, args: ['env',] }] }
        ]; };
        __decorate$19([
            core.Input()
        ], SellerDashboardContainerEcComponent.prototype, "UIComponents", void 0);
        SellerDashboardContainerEcComponent = __decorate$19([
            core.Component({
                selector: 'app-seller-dashboard-container',
                template: "<section *ngIf=\"user\" id=\"seller-dashboard\">\n    <div class=\"section-content mt-5 mb-2 tablaVendedores\">\n        <div class=\"container-xl\">\n            <div class=\"row\">\n                <main class=\"col-md-12\">\n\n                    <ul *ngIf=\"hasHeader()\" class=\"nav nav-tabs\">\n                        <li class=\"nav-item col-12 col-lg-2\">\n                            <a *ngIf=\"hasUIComponent('HEADER_TAB')\" class=\"nav-link active cursor-pointer px-4\"\n                                aria-current=\"page\">\n                                {{ 'my-clients' | translate }}\n                            </a>\n                        </li>\n                        <li class=\"ms-auto row\">\n                            <div\n                                class=\"d-flex justify-content-end justify-content-lg-end justify-content-xl-end col-12 col-md-12 col-lg-auto\">\n                                <ng-container *ngIf=\"hasUIComponent('GENERATE_BUDGET_BTN') \">\n                                    <a *ngIf=\"authService.getCustomer()?.id; else withoutCustomer\"\n                                        [routerLink]=\"'/collection'\"\n                                        class=\"btn btn-seller-primary text-white btnGestionar d-flex align-items-center\"><i\n                                            class=\"bi bi-file-earmark me-2 mr-2\"></i>{{ 'generate-budget' | translate }}\n                                    </a>\n                                    <ng-template #withoutCustomer>\n                                        <a class=\"btn btn-seller-primary text-white btnGestionar d-flex align-items-center\"\n                                            (click)=\"toastrService.show('must-select-customer')\">\n                                            <i class=\"bi bi-file-earmark me-2 mr-2\"></i>{{ 'generate-budget' | translate\n                                            }}\n                                        </a>\n                                    </ng-template>\n                                </ng-container>\n                                <a *ngIf=\"hasUIComponent('MANAGE_ORDERS_BTN')\"\n                                    (click)=\"navigateExternal(constants.getUrlBase())\"\n                                    class=\"btn btn-seller-primary text-white btnGestionar d-flex align-items-center me- me-lg-4 mr- mr-lg-4\"><i\n                                        class=\"bi bi-archive-fill me-2 mr-2\"></i>{{ 'manage-orders' | translate }}</a>\n                            </div>\n                            <div class=\"d-flex camposVendedores col-12 col-md-12 col-lg-auto justify-content-end\">\n                                <select *ngIf=\"hasUIComponent('SORT_SELECT')\" id=\"customerSort\" name=\"customerSort\"\n                                    (change)=\"sortCustomers($event.target.value)\" class=\"mb-1 ordenarVendedores form-select\">\n                                    <option selected hidden disabled>{{ 'order-by' | translate }}</option>\n                                    <option value='asc_firstName'>{{ 'client' | translate }} (A-Z)</option>\n                                    <option value='desc_firstName'>{{ 'client' | translate }} (Z-A)</option>\n                                    <option value='asc_id'>Menor a Mayor c\u00F3digo</option>\n                                    <option value='desc_id'>Mayor a Menor c\u00F3digo</option>\n                                </select>\n                                <form *ngIf=\"hasUIComponent('SEARCH_FORM')\"\n                                    class=\"col-lg-auto mb-lg-0 d-flex ms-3 ml-3 d-flex buscadorVendedores\">\n                                    <input type=\"text\" name=\"searchInput\" class=\"form-control\"\n                                        placeholder=\"{{ 'search' | translate }}\" [(ngModel)]=\"searchInput\"\n                                        (keyup.enter)=\"updateCustomers()\">\n                                    <button class=\"btn btn-primary ms-1 ml-1 bg-white border-dark btnSearch\"><i\n                                            class=\"bi bi-search text-dark\" (click)=\"updateCustomers()\"></i></button>\n                                </form>\n                            </div>\n                        </li>\n                    </ul>\n\n                    <ng-container *ngIf=\"user.customers?.length; else noCustomers\">\n\n                        <article class=\"card card-body mb-1 carritoProductoHeader m-0 py-0 mt-4\">\n                            <div class=\"row align-items-center font-bold border-bottom\">\n                                <div class=\"col-3 col-md-2 text-left\">\n                                    <small>{{ 'code' | translate | uppercase }}</small>\n                                </div>\n                                <div class=\"col-5 col-md-3 mb-md-0\">\n                                    <small>{{ 'client' | translate | uppercase }}</small>\n                                </div>\n                                <div class=\"col-4 col-md-3 text-left d-none d-md-block\">\n                                    <small>{{ 'user' | translate | uppercase }}</small>\n                                </div>\n                                <div class=\"col-4 col-md-2 text-left\">\n                                    <small>{{ 'new-orders' | translate | uppercase }}</small>\n                                </div>\n                                <div class=\"col-2 col-md-2 text-left d-none d-md-block\">\n                                    <small></small>\n                                </div>\n\n                            </div>\n                        </article>\n\n                        <article *ngFor=\"let customer of filteredCustomers\" [class]=\"'card card-body mb-3 cadaVendedor ' + (isActive(customer) ? 'activo':'')\">\n                            <div class=\"row d-flex align-items-center\">\n                                <div class=\"col-3 col-md-2 text-left ps-2 pl-2\">\n                                    <div class=\"price h6 pb-0 mb-0 ps-3 pl-1\">\n                                        {{ customer.managementSystemInternalCode || 'n/a' }}\n                                    </div>\n                                </div>\n                                <div class=\"col-5 col-md-3 text-left\">\n                                    <div class=\"price h6 fw-normal ps-2 pl-2 pb-0 mb-0\">\n                                        {{ customer.firstName }} {{ customer.lastName }}\n                                        <p class=\"d-block d-md-none fs-6 mt-1 mb-0 p-0 userMobile\">\n                                            {{ customer.email }}\n                                        </p>\n                                    </div>\n                                </div>\n                                <div class=\"col-4 col-md-3 text-left d-none d-md-block\">\n                                    <div class=\"price h6 fw-normal pb-0 mb-0 ps-2 pl-2\">\n                                        {{ customer.email }}\n                                    </div>\n                                </div>\n                                <div class=\"col-4 col-md-2 text-left ps-2 pl-2\">\n                                    <div *ngIf=\"true\" class=\"contNumero\">\n                                        {{ customer.ordersNotApproved }}\n                                    </div>\n                                </div>\n                                <div class=\"col-12 col-md-2 btnIngresar\">\n\n                                    <ng-container\n                                        *ngIf=\"authService.getCustomer()?.id == customer.id; else noActiveCustomer\">\n                                        <a (click)=\"changeCustomer(null)\"\n                                            class=\"btn btn-seller-primary justify-content-center\">\n                                            <i class=\"bi bi-box-arrow-left me-2 mr-2\"></i>\n                                            <small class=\"me-2 mr-2 d-none d-md-block\">\n                                                {{ 'exit' | translate | uppercase }}\n                                            </small>\n                                        </a>\n                                    </ng-container>\n                                    <ng-template #noActiveCustomer>\n                                        <a (click)=\"changeCustomer(customer)\"\n                                            class=\"btn btn-seller-primary justify-content-center\">\n                                            <i class=\"bi bi-box-arrow-in-right me-2 mr-2\"></i>\n                                            <small class=\"me-2 mr-2 d-none d-md-block\">\n                                                {{ 'operate-as' | translate | uppercase }}\n                                            </small>\n                                        </a>\n                                    </ng-template>\n\n                                </div>\n                            </div>\n                        </article>\n\n                    </ng-container>\n\n                </main>\n            </div>\n        </div>\n    </div>\n</section>\n\n<ng-template #noCustomers>\n    <h4 class=\"text-center p-5\">{{ 'no-customers' | translate }}</h4>\n</ng-template>",
                styles: ["#seller-dashboard{--seller-dashboard-primary-color:0,0,0}.btn-seller-primary{color:#fff!important;background-color:rgba(var(--seller-dashboard-primary-color),1)!important;border-color:rgba(var(--seller-dashboard-primary-color),1)!important}.btn-seller-primary:hover{background-color:rgba(var(--seller-dashboard-primary-color),.9)!important}.btn-seller-primary:active{background-color:rgba(var(--seller-dashboard-primary-color),.8)!important}.btnGestionar{padding:6px 12px!important;height:36px;display:flex;align-items:center;justify-content:center;margin-left:10px}.ordenarVendedores{width:150px!important;color:#8b8b8b!important;background-color:#fff;border:1px solid #b6b6b6!important;border-radius:4px;-webkit-border-radius:4px;-moz-border-radius:4px;-ms-border-radius:4px;-o-border-radius:4px}.buscadorVendedores{margin-bottom:4px!important}.buscadorVendedores input{border:1px solid #b6b6b6!important;width:200px}.buscadorVendedores .btnSearch{border:1px solid #b6b6b6!important;padding:.375rem .75rem;font-size:1rem}.buscadorVendedores .btnSearch:focus{background-color:#fff!important}.carritoProductoHeader{border:none!important}.carritoProductoHeader small{font-size:13px}.cadaVendedor{padding:5px 0;margin-bottom:0!important;border:none!important;border-bottom:1px solid #ccc!important;border-radius:0!important;-webkit-border-radius:0}.cadaVendedor .btnIngresar a{padding:10px!important;border-width:1px!important;border-style:solid!important;display:flex;align-items:center;width:100%!important;margin-left:auto;color:#fff}.cadaVendedor .btnIngresar .contNumero{background-color:#eee;width:20px;height:20px;color:#000;font-size:13px;display:flex;align-items:center;justify-content:center;font-weight:600;border-radius:20px;-webkit-border-radius:20px;-moz-border-radius:20px;-ms-border-radius:20px;-o-border-radius:20px}.userMobile{font-size:14px!important;font-style:italic!important}.cadaVendedor .btnIngresar a:hover{background-color:rgba(var(--seller-dashboard-primary-color),.85)}.cadaVendedor .btnIngresar a:active{background-color:rgba(var(--seller-dashboard-primary-color),.8)}.cursor-pointer{cursor:pointer}.font-bold{font-weight:700}.border-bottom{border-bottom:1px solid #000!important}@media screen and (max-width:1200px){.btnGestionar{font-size:12px}}@media screen and (max-width:992px){.camposVendedores{justify-content:flex-end;margin-top:8px;margin-bottom:4px}}@media all and (max-width:768px){.ordenarVendedores{width:140px!important}.buscadorVendedores input{width:140px}.cadaVendedor .btnIngresar a{width:70px!important}}@media all and (max-width:576px){.tablaVendedores .nav-tabs .nav-link{font-size:13px;padding:6px!important}.btnGestionar{padding:6px 8px!important;font-size:13px;height:36px;display:flex;align-items:center;justify-content:center;margin-top:3px;margin-left:10px}.buscadorVendedores input,.ordenarVendedores{font-size:13px}}.fs-6{font-size:1rem!important}.cadaVendedor.activo{background-color:#eee}"]
            }),
            __param$9(3, core.Inject('env'))
        ], SellerDashboardContainerEcComponent);
        return SellerDashboardContainerEcComponent;
    }(ComponentHelper));

    var __extends$C = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$1a = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var LoadingFullEcComponent = /** @class */ (function (_super) {
        __extends$C(LoadingFullEcComponent, _super);
        function LoadingFullEcComponent() {
            var _this = _super.call(this) || this;
            _this.hole_height = false;
            _this.ecOnConstruct();
            return _this;
        }
        LoadingFullEcComponent.prototype.ngOnInit = function () {
            this.ecOnInit();
        };
        __decorate$1a([
            core.Input()
        ], LoadingFullEcComponent.prototype, "hole_height", void 0);
        LoadingFullEcComponent = __decorate$1a([
            core.Component({
                selector: 'app-loading-full-ec',
                template: "<div [class]=\"'d-flex w-100  ' + (hole_height ? 'hole_height' : '')\">\n     <div class=\"w-100 h-100 d-flex flex-row justify-content-center align-items-center\">\n          <div class=\"spinner-border text-dark spinner-color\" id=\"loading\" role=\"status\">\n               <span class=\"sr-only\">{{ 'loading' | translate }}</span>\n          </div>\n     </div>\n</div>",
                styles: [".hole_height{height:100vh!important}"]
            })
        ], LoadingFullEcComponent);
        return LoadingFullEcComponent;
    }(ComponentHelper));

    var __extends$D = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$1b = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var LoadingInlineEcComponent = /** @class */ (function (_super) {
        __extends$D(LoadingInlineEcComponent, _super);
        function LoadingInlineEcComponent() {
            var _this = _super.call(this) || this;
            _this.ecOnConstruct();
            return _this;
        }
        LoadingInlineEcComponent.prototype.ngOnInit = function () {
            this.ecOnInit();
        };
        LoadingInlineEcComponent = __decorate$1b([
            core.Component({
                selector: 'app-loading-inline-ec',
                template: "<div class=\"loading-inline-container\">\n    <div class=\"spinner-border text-dark spinner-color\" id=\"loading\" role=\"status\">\n        <span class=\"sr-only\">{{ 'loading' | translate }}</span>\n   </div>\n</div>",
                styles: [".loading-inline-container{width:100%;display:flex;flex-direction:row;justify-content:center;margin-top:3%;margin-bottom:3%}"]
            })
        ], LoadingInlineEcComponent);
        return LoadingInlineEcComponent;
    }(ComponentHelper));

    var __decorate$1c = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var LoadingSectionEcComponent = /** @class */ (function () {
        function LoadingSectionEcComponent() {
        }
        LoadingSectionEcComponent.prototype.ngOnInit = function () {
        };
        LoadingSectionEcComponent = __decorate$1c([
            core.Component({
                selector: 'app-loading-section-ec',
                template: "<div id=\"sectionLoading\" class=\"d-flex flex-column position-absolute top-0 opacity-75 bg-white w-100 h-100 justify-content-center align-items-center\">\n    <app-loading-full-ec></app-loading-full-ec>\n</div>\n",
                styles: [""]
            })
        ], LoadingSectionEcComponent);
        return LoadingSectionEcComponent;
    }());

    var __extends$E = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __assign$p = (this && this.__assign) || function () {
        __assign$p = Object.assign || function(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                    t[p] = s[p];
            }
            return t;
        };
        return __assign$p.apply(this, arguments);
    };
    var __decorate$1d = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var MPCreditEcComponent = /** @class */ (function (_super) {
        __extends$E(MPCreditEcComponent, _super);
        function MPCreditEcComponent(renderer, connection, consts, cartService, toastr) {
            var _this = _super.call(this) || this;
            _this.renderer = renderer;
            _this.connection = connection;
            _this.consts = consts;
            _this.cartService = cartService;
            _this.toastr = toastr;
            _this.ready = new core.EventEmitter();
            _this.installments = [];
            _this.issuers = [];
            _this.doSubmit = false;
            _this.payment_method = '';
            _this.require_issuer = false;
            _this.allready_payed = false;
            _this.doc_type = "DNI";
            _this.finishApi = function () { return 'shop-api/' + _this.consts.getChannel() + '/mercado-pago/' + _this.cartService.cart_token + '/process-payment'; };
            _this.expiryChange = function (event) {
                var fecha = (event.target.value).replace(/ /g, "");
                var fechaSplit = fecha.split('/');
                if (fechaSplit.length == 2) {
                    _this.month = fechaSplit[0];
                    _this.year = fechaSplit[1];
                }
            };
            _this.expiryOnKey = function (event) {
                var key = event.keyCode || event.charCode;
                var fecha = (event.target.value).replace(/ /g, "");
                if (key != 8 && fecha.length == 2) {
                    event.target.value = fecha + '/';
                }
            };
            _this.cardNumberChange = function (event) {
                //console.log('TOMA EL ON CHANGE DE TARJETA');
                _this.restartInstallments();
                _this.guessPaymentMethod(event);
            };
            _this.verifyValidate = function (data) {
                // FALTA SACAR EL PAYMENT METOD OPTTION ID
                var post_data = {
                    token: data.id,
                    issuer_id: _this.issuer_id,
                    installments: _this.installment,
                    merchant_account_id: _this.merchant_account_id,
                    payment_method_option_id: _this.payment_method_option_id,
                    payment_method_id: _this.payment_method_id,
                    processing_mode: _this.processing_mode,
                    email: _this.email,
                    document_type: _this.doc_type,
                    document_number: _this.doc_number,
                };
                //console.log('LA DATA QUE VA A MANDAR: ', post_data);
                _this.connection.post(_this.finishApi(), post_data).toPromise().then(_this.processResponse, _this.processError);
            };
            // Obtener método de pago de la tarjeta
            _this.guessPaymentMethod = function (event) {
                //console.log('SE LLAMA AL GUESS PAYMENT');
                var cardnumber = (event.target.value).replace(/ /g, "");
                _this.setPaymentMethod.bind(_this);
                if (cardnumber.length >= 6) {
                    var bin = cardnumber.substring(0, 6);
                    _this.getPaymentMethod(bin);
                }
            };
            _this.getPaymentMethod = function (bin) {
                var data_to_send = {
                    public_key: _this.public_key,
                    marketplace: 'NONE',
                    status: 'active',
                    js_version: '1.3.1',
                    bins: bin,
                    referer: 'http://enzoshoes.easycommercetech.com'
                };
                _this.connection.getOutsiderWithParams('https://api.mercadopago.com/v1/payment_methods/search', data_to_send).toPromise().then(function (res) {
                    //console.log('LA RESPUESTA DEL SEARCH PAYMENT METHOD: ', res);
                    if (res && res.results && res.results.length) {
                        var payment_data = res.results.find(function (result) { return result.processing_mode == "gateway"; }) || res.results[0];
                        if (payment_data.payment_type_id != "credit_card") {
                            _this.toastr.show('Debe ingresar información de una tarjeta de credito');
                            return;
                        }
                        _this.payment_method = payment_data.id;
                        _this.issuer_id = payment_data.issuer.id;
                        payment_data.payer_costs.forEach(function (payerCost) {
                            _this.installments.push(__assign$p(__assign$p({}, payerCost), { name: ('Cuotas: ' + payerCost.installments + ' - Total: ' + _this.calculateTotal(payerCost)), value: payerCost.installments }));
                        });
                        _this.installment_data = payment_data;
                    }
                    else {
                        _this.toastr.show('El número de tarjeta ingresado no es valido');
                    }
                }).catch(function (err) { return _this.toastr.show('Hubo un error al obtener la información de la tarjeta. Verifique que los datos sean correctos.'); });
            };
            _this.setPaymentMethod = function (status, response) {
                //console.log('SE LLAMA AL SET PAYMENT', response);
                var paymentMethod = response[0];
                _this.payment_method = paymentMethod.id;
                _this.getIssuers.bind(_this);
                _this.getInstallments.bind(_this);
                if (paymentMethod.additional_info_needed.includes("issuer_id")) {
                    _this.getIssuers(paymentMethod.id);
                }
                else {
                    // this.issuer_id = response.issuer
                    _this.getInstallments(paymentMethod.id, _this.total_amount);
                }
            };
            // Obtener banco emisor
            _this.getIssuers = function (paymentMethodId) {
                _this.restartInstallments();
                _this.require_issuer = true;
                //console.log('SE LLAMA AL GET ISSUER');
                _this.setIssuers.bind(_this);
                Mercadopago.getIssuers(paymentMethodId, _this.setIssuers);
            };
            _this.setIssuers = function (status, response) {
                //console.log('SE LLAMA AL SET ISSUER', response);
                _this.getInstallments.bind(_this);
                if (status == 200) {
                    response.forEach(function (issuer) {
                        _this.issuers.push({ name: issuer.name, value: issuer.value });
                    });
                }
                else {
                    _this.toastr.show('Error al obtener proveedores disponibles');
                }
            };
            // UTILS
            _this.restartInstallments = function () {
                _this.installments = [];
                _this.installment_data = null;
                _this.merchant_account_id = null;
                _this.payment_method_option_id = null;
                _this.issuer_id = null;
                _this.payment_method_id = null;
            };
            _this.selectIssuer = function (value) {
                _this.issuer_id = value;
                _this.getInstallments(_this.payment_method, _this.total_amount, _this.issuer_id);
            };
            _this.selectInstallment = function (value) {
                var cost = _this.installments.find(function (installment_cost) { return installment_cost.value == value; });
                _this.installment = cost.value;
                _this.merchant_account_id = _this.installment_data.merchant_account_id;
                _this.payment_method_option_id = cost.payment_method_option_id || (_this.installment_data.agreements && _this.installment_data.agreements[0].merchant_accounts[0].payment_method_option_id);
                _this.issuer_id = _this.installment_data.issuer.id;
                _this.payment_method_id = _this.installment_data.payment_method_id || _this.installment_data.id;
                _this.processing_mode = _this.installment_data.processing_mode;
                //console.log('COMO QUEDAN: ', this.merchant_account_id, this.payment_method_option_id, this.issuer_id, this.payment_method_id, this.installment);
                // this.payme
            };
            // Obtener cantidad de cuotas
            _this.getInstallments = function (paymentMethodId, transactionAmount, issuerId) {
                var payment = paymentMethodId || _this.payment_method;
                var amount = transactionAmount || _this.total_amount;
                //console.log('SE LLAMA AL GET INSTALLMENTS');
                _this.setInstallments.bind(_this);
                var data = {
                    "payment_method_id": payment,
                    "bin": _this.bin.replace(/ /g, ""),
                    "amount": parseFloat(amount),
                    "issuer_id": issuerId ? parseInt(issuerId) : undefined
                };
                //console.log('LO QUE VA A MANDAR AL GET INSTALLMENTS');
                Mercadopago.getInstallments(data, _this.setInstallments);
            };
            _this.setInstallments = function (status, response) {
                //console.log('LA RESPUESTA DEL GET INSTALLMENTS', response);
                if (status == 200 && response.length) {
                    _this.installments = [];
                    response[0].payer_costs.forEach(function (payerCost) {
                        _this.installments.push(__assign$p(__assign$p({}, payerCost), { name: payerCost.recommended_message, value: payerCost.installments }));
                    });
                    _this.installment_data = response[0];
                }
                else {
                    // alert(`installments method info error: ${response}`);
                    _this.toastr.show('Hubo un error al obtener las cuotas disponibles. Vuelva a intentarlo más tarde');
                }
            };
            // Crea el token de la tarjeta
            _this.getCardToken = function (event) {
                //console.log('SE LLAMA AL GET CARD TOKEN');
                event.preventDefault();
                if (!_this.doSubmit) {
                    var $form = document.getElementById('paymentForm');
                    Mercadopago.createToken.bind(_this)($form, _this.setCardTokenAndPay);
                    return false;
                }
            };
            _this.setCardTokenAndPay = function (status, response) {
                //console.log('SE LLAMA AL SET CARD TOKEN AND PAY');
                if (status == 200 || status == 201) {
                    var form = document.getElementById('paymentForm');
                    var card = document.createElement('input');
                    card.setAttribute('name', 'token');
                    card.setAttribute('type', 'hidden');
                    card.setAttribute('value', response.id);
                    form.appendChild(card);
                    _this.token = response.id;
                    _this.doSubmit = true;
                    // form.submit();
                    // TERMINAR
                    _this.verifyValidate(response);
                }
                else {
                    //console.log('EL RESPONSE: ', response);
                    _this.toastr.show(_this.parseErrorMessage(status));
                }
            };
            // UTILS
            _this.isInvalid = function () {
                var result = (!_this.issuer_id ||
                    !_this.payment_method_id ||
                    !_this.payment_method_option_id ||
                    (_this.processing_mode == 'gateway' && !_this.merchant_account_id) ||
                    !_this.installment ||
                    !_this.email ||
                    !_this.doc_type ||
                    !_this.doc_number ||
                    _this.allready_payed ||
                    !_this.code ||
                    !_this.month ||
                    !_this.year ||
                    !_this.cardholder);
                return result;
            };
            _this.calculateTotal = function (cost) {
                var result = _this.total_amount + ((_this.total_amount * cost.installment_rate) / 100);
                result = parseFloat(result).toFixed(2);
                return result;
            };
            _this.processResponse = function (response) {
                if (response.status !== 'rejected') {
                    //console.log('SE PUDO EFECTUAR LA COMPRA');
                    _this.ready.emit('true');
                    return;
                }
                _this.processError(response);
            };
            _this.processError = function (response) {
                _this.allready_payed = false;
                if (response.status_detail) {
                    switch (response.status_detail) {
                        case 'rejected':
                            _this.toastr.show('Revisa el número de tarjeta.');
                            break;
                        case 'rejected':
                            _this.toastr.show('Revisa la fecha de vencimiento.');
                            break;
                        case 'rejected':
                            _this.toastr.show('Revisa los datos.');
                            break;
                        case 'rejected':
                            _this.toastr.show('Revisa el código de seguridad de la tarjeta.');
                            break;
                        case 'rejected':
                            _this.toastr.show('No pudimos procesar tu pago.');
                            break;
                        case 'rejected':
                            _this.toastr.show('Debes autorizar ante payment_method_id el pago de amount.');
                            break;
                        case 'rejected':
                            _this.toastr.show('Llama a payment_method_id para activar tu tarjeta o usa otro medio de pago. El teléfono está al dorso de tu tarjeta.');
                            break;
                        case 'rejected':
                            _this.toastr.show('No pudimos procesar tu pago.');
                            break;
                        case 'rejected':
                            _this.toastr.show('Ya hiciste un pago por ese valor. Si necesitas volver a pagar usa otra tarjeta u otro medio de pago.');
                            break;
                        case 'rejected':
                            _this.toastr.show('Tu pago fue rechazado. Elige otro de los medios de pago, te recomendamos con medios en efectivo.');
                            break;
                        case 'rejected':
                            _this.toastr.show('Tu payment_method_id no tiene fondos suficientes.');
                            break;
                        case 'rejected':
                            _this.toastr.show('payment_method_id no procesa pagos en installments cuotas.');
                            break;
                        case 'rejected':
                            _this.toastr.show('Llegaste al límite de intentos permitidos. Elige otra tarjeta u otro medio de pago.');
                            break;
                        case 'rejected':
                            _this.toastr.show('payment_method_id no procesó el pago.');
                            break;
                    }
                    return;
                }
                _this.toastr.show('Hubo un error al intentar realizar el pago. Vuelva a intentarlo más tarde');
            };
            _this.parseErrorMessage = function (status_code) {
                switch (status_code) {
                    case 205: return ('Ingresa el número de tu tarjeta.');
                    case 208: return ('Elige un mes.');
                    case 209: return ('Elige un año.');
                    case 212: return ('Ingresa tu tipo de documento.');
                    case 213: return ('Ingresa tu documento.');
                    case 214: return ('Ingresa tu documento.');
                    case 220: return ('Ingresa tu banco.');
                    case 221: return ('Ingresa el nombre y apellido.');
                    case 224: return ('Ingresa el código de seguridad.');
                    case 316: return ('Ingresa un nombre válido.');
                    case 322: return ('El tipo de documento es inválido.');
                    case 323: return ('Revisa tu documento.');
                    case 324: return ('El documento es inválido.');
                    case 325: return ('El mes es inválido');
                    case 326: return ('El año es inválido');
                    default: return ('Verifique que los datos sean correctos.');
                }
            };
            _this.getDescripcionCuota = function (itemCuota) {
                //console.log(itemCuota);
                return itemCuota.name;
            };
            _this.ecOnConstruct();
            return _this;
        }
        MPCreditEcComponent.prototype.ngOnInit = function () {
            var _this = this;
            //console.log('SHIPMENT DATA', this.user_data);
            var s = this.renderer.createElement("script");
            this.renderer.setAttribute(s, 'src', 'https://secure.mlstatic.com/sdk/javascript/v1/mercadopago.js');
            this.renderer.appendChild(document.body, s);
            setTimeout(function () {
                Mercadopago.setPublishableKey(_this.public_key);
            }, 1000);
            this.ecOnInit();
        };
        MPCreditEcComponent.ctorParameters = function () { return [
            { type: core.Renderer2 },
            { type: ConnectionService },
            { type: Constants },
            { type: CartService },
            { type: ToastService }
        ]; };
        __decorate$1d([
            core.Input()
        ], MPCreditEcComponent.prototype, "public_key", void 0);
        __decorate$1d([
            core.Input()
        ], MPCreditEcComponent.prototype, "total_amount", void 0);
        __decorate$1d([
            core.Output()
        ], MPCreditEcComponent.prototype, "ready", void 0);
        __decorate$1d([
            core.Input()
        ], MPCreditEcComponent.prototype, "user_data", void 0);
        MPCreditEcComponent = __decorate$1d([
            core.Component({
                selector: '[app-mp-credit-ec]',
                template: "<h3 class=\"text-center\">Detalles del pago</h3>\n<div *ngIf=\"!consts.mobile()\">\n    <div class=\"card-wrapper m-3\"></div>\n</div>\n<form (submit)=\"getCardToken($event)\" method=\"post\" card container=\".card-wrapper\"\n    card-width=\"{{ consts.mobile() ? '100': '350' }}\">\n\n    <div class=\"row\">\n        <div class=\"form-group col-12 col-md-6\">\n            <label for=\"emailForm\">Correo electronico</label>\n            <input class=\"form-control\" id=\"emailForm\" name=\"emailForm\" type=\"email\" [(ngModel)]=\"email\">\n        </div>\n        <div class=\"form-group col-12 col-md-2\">\n            <label for=\"docTypeForm\">Tipo Doc.</label>\n            <select class=\"form-control\" id=\"docTypeForm\" name=\"docTypeForm\" type=\"text\" [(ngModel)]=\"doc_type\">\n                <option selected value=\"DNI\">DNI</option>\n                <option value=\"CUIT\">CUIT</option>\n            </select>\n        </div>\n        <div class=\"form-group col-12 col-md-4\">\n            <label for=\"docNumberForm\">N\u00FAmero Doc.</label>\n            <input class=\"form-control\" id=\"docNumberForm\" name=\"docNumberForm\" type=\"text\" [(ngModel)]=\"doc_number\" />\n        </div>\n    </div>\n    <div class=\"row\">\n        <div class=\"form-group col-12\">\n            <label for=\"cardholderNameForm\">Titular (como figura en la tarjeta)</label>\n            <input class=\"form-control\" id=\"cardholderNameForm\" data-checkout=\"cardholderName\" type=\"text\"\n                [(ngModel)]=\"cardholder\" [ngModelOptions]=\"{standalone: true}\" name=\"first-name\" autocomplete=\"off\"\n                card-name>\n        </div>\n    </div>\n    <div class=\"row\">\n        <div class=\"form-group col-12 col-md-7\">\n            <label for=\"cardNumberForm\">N\u00FAmero de la tarjeta</label>\n            <input class=\"form-control\" type=\"text\" id=\"cardNumberForm\" (change)=\"cardNumberChange($event)\"\n                [(ngModel)]=\"bin\" [ngModelOptions]=\"{standalone: true}\" onselectstart=\"return false\"\n                onpaste=\"return false\" oncopy=\"return false\" oncut=\"return false\" ondrag=\"return false\"\n                ondrop=\"return false\" autocomplete=\"off\" card-number>\n        </div>\n        <div class=\"form-group col-12 col-md-3\">\n            <label for=\"securityCodeForm\">C\u00F3digo de seguridad</label>\n            <input class=\"form-control\" id=\"securityCodeForm\" type=\"text\" name=\"cvc\" onselectstart=\"return false\"\n                onpaste=\"return false\" oncopy=\"return false\" oncut=\"return false\" ondrag=\"return false\"\n                ondrop=\"return false\" autocomplete=\"off\" card-cvc [(ngModel)]=\"code\"\n                [ngModelOptions]=\"{standalone: true}\">\n        </div>\n        <div class=\"form-group col-12 col-md-2\">\n            <label for=\"expiryForm\">Expiraci\u00F3n</label>\n            <input type=\"text\" class=\"form-control\" id=\"expiryForm\" name=\"expiry\" placeholder=\"MM/YY\" maxlength=\"5\"\n                (keyup)=\"expiryOnKey($event)\" (change)=\"expiryChange($event)\" onselectstart=\"return false\"\n                onpaste=\"return false\" oncopy=\"return false\" oncut=\"return false\" ondrag=\"return false\"\n                ondrop=\"return false\" autocomplete=\"off\" card-expiry />\n        </div>\n    </div>\n    <div class=\"row justify-content-md-center\">\n        <div class=\"form-group col-12 col-md-6\" id=\"issuerInput\" *ngIf=\"require_issuer\">\n            <label for=\"issuerForm\">Banco emisor</label>\n            <select class=\"form-control\" id=\"issuerForm\" name=\"issuer\" autocomplete=\"off\" data-checkout=\"issuer\"\n                (change)=\"selectIssuer($event.target.value)\">\n                <option selected>Seleccione el banco</option>\n                <option *ngFor=\"let issuer of issuers\" [value]=\"issuer.value\">{{ issuer.name }}</option>\n            </select>\n        </div>\n        <div class=\"form-group col-12 col-md-6\">\n            <label for=\"installmentsForm\">Cuotas</label>\n            <select class=\"form-control\" type=\"text\" id=\"installmentsForm\" name=\"installments\"\n                (change)=\"selectInstallment($event.target.value)\">\n                <option selected>Seleccione el n\u00FAmero de cuotas</option>\n                <option *ngFor=\"let cost of installments\" [value]=\"cost.value\">{{ getDescripcionCuota(cost) }}\n                </option>\n            </select>\n        </div>\n    </div>\n    <div hidden>\n        <input class=\"form-control\" name=\"transactionAmountt\" id=\"transactionAmountt\" [value]=\"total_amount\" />\n        <input class=\"form-control\" name=\"paymentMethodIdd\" id=\"paymentMethodIdd\" [value]=\"payment_method\" />\n        <input class=\"form-control\" name=\"descriptionn\" id=\"descriptionn\" />\n    </div>\n    <div class=\"row justify-content-md-center\">\n        <div class=\"col-md-auto\">\n            <div class=\"checkout-btn-unique\">\n                <button type=\"submit\" *ngIf=\"!isInvalid()\" class=\"btn valid-btn\">Pagar</button>\n            </div>\n        </div>\n    </div>\n\n</form>\n\n\n\n\n<form (submit)=\"getCardToken($event)\" hidden method=\"post\" id=\"paymentForm\">\n\n    <h3>Detalles del pago</h3>\n    <div class=\"row\">\n        <div class=\"form-group col-12 col-md-4\">\n            <label for=\"email\">Correo electronico</label>\n            <input class=\"form-control\" id=\"email\" name=\"email\" type=\"email\" [(ngModel)]=\"email\">\n        </div>\n        <div class=\"form-group col-12 col-md-4\">\n            <label for=\"docType\">Tipo de documento</label>\n            <select class=\"form-control\" id=\"docType\" name=\"docType\" data-checkout=\"docType\" type=\"text\"\n                [(ngModel)]=\"doc_type\">\n                <option selected value=\"DNI\">DNI</option>\n                <option value=\"CUIT\">CUIT</option>\n            </select>\n        </div>\n        <div class=\"form-group col-12 col-md-4\">\n            <label for=\"docNumber\">N\u00FAmero de documento</label>\n            <input class=\"form-control\" id=\"docNumber\" name=\"docNumber\" data-checkout=\"docNumber\" type=\"text\"\n                [(ngModel)]=\"doc_number\" />\n        </div>\n    </div>\n    <div class=\"row\">\n        <div class=\"form-group col-12 col-md-6\">\n            <label for=\"cardholderName\">Titular (como figura en la tarjeta)</label>\n            <input class=\"form-control\" id=\"cardholderName\" data-checkout=\"cardholderName\" type=\"text\"\n                [(ngModel)]=\"cardholder\" [ngModelOptions]=\"{standalone: true}\" autocomplete=\"off\">\n        </div>\n        <div class=\"form-group col-12 col-md-6\">\n            <label for=\"date\">Fecha de vencimiento</label>\n            <div id=\"date\">\n                <div class=\"\">\n                    <input class=\"form-control col-xs-6 col-md-6 half-width\" type=\"text\" placeholder=\"MM\"\n                        [(ngModel)]=\"month\" [ngModelOptions]=\"{standalone: true}\" id=\"cardExpirationMonth\"\n                        data-checkout=\"cardExpirationMonth\" onselectstart=\"return false\" onpaste=\"return false\"\n                        oncopy=\"return false\" oncut=\"return false\" ondrag=\"return false\" ondrop=\"return false\"\n                        autocomplete=\"off\">\n                    <input class=\"form-control col-xs-6 col-md-6 half-width ml-1\" type=\"text\" placeholder=\"YY\"\n                        [(ngModel)]=\"year\" [ngModelOptions]=\"{standalone: true}\" id=\"cardExpirationYear\"\n                        data-checkout=\"cardExpirationYear\" onselectstart=\"return false\" onpaste=\"return false\"\n                        oncopy=\"return false\" oncut=\"return false\" ondrag=\"return false\" ondrop=\"return false\"\n                        autocomplete=\"off\">\n                </div>\n            </div>\n        </div>\n    </div>\n    <div class=\"row\">\n        <div class=\"form-group col-12 col-md-9\">\n            <label for=\"cardNumber\">N\u00FAmero de la tarjeta</label>\n            <input class=\"form-control\" type=\"text\" id=\"cardNumber\" (change)=\"cardNumberChange($event)\"\n                [(ngModel)]=\"bin\" [ngModelOptions]=\"{standalone: true}\" data-checkout=\"cardNumber\"\n                onselectstart=\"return false\" oncopy=\"return false\" oncut=\"return false\" ondrag=\"return false\"\n                ondrop=\"return false\" autocomplete=\"off\">\n        </div>\n        <div class=\"form-group col-12 col-md-3\">\n            <label for=\"securityCode\">C\u00F3digo de seguridad</label>\n            <input class=\"form-control\" id=\"securityCode\" data-checkout=\"securityCode\" type=\"text\" [(ngModel)]=\"code\"\n                [ngModelOptions]=\"{standalone: true}\" onselectstart=\"return false\" onpaste=\"return false\"\n                oncopy=\"return false\" oncut=\"return false\" ondrag=\"return false\" ondrop=\"return false\"\n                autocomplete=\"off\">\n        </div>\n    </div>\n    <div class=\"row\">\n        <div class=\"form-group col-12 col-md-6\" id=\"issuerInput\" *ngIf=\"require_issuer\">\n            <label for=\"issuer\">Banco emisor</label>\n            <select class=\"form-control\" id=\"issuer\" name=\"issuer\" autocomplete=\"off\" data-checkout=\"issuer\"\n                (change)=\"selectIssuer($event.target.value)\">\n                <option selected>Seleccione el banco</option>\n                <option *ngFor=\"let issuer of issuers\" [value]=\"issuer.value\">{{ issuer.name }}</option>\n            </select>\n        </div>\n        <div class=\"form-group col-12 col-md-6\">\n            <label for=\"installments\">Cuotas</label>\n            <select class=\"form-control\" type=\"text\" id=\"installments\" name=\"installments\"\n                (change)=\"selectInstallment($event.target.value)\">\n                <option selected>Seleccione el n\u00FAmero de cuotas</option>\n                <option *ngFor=\"let cost of installments\" [value]=\"cost.value\">{{ cost.name }}\n                </option>\n            </select>\n        </div>\n    </div>\n    <div hidden>\n        <input class=\"form-control\" name=\"transactionAmount\" id=\"transactionAmount\" [value]=\"total_amount\" />\n        <input class=\"form-control\" name=\"paymentMethodId\" id=\"paymentMethodId\" [value]=\"payment_method\" />\n        <input class=\"form-control\" name=\"description\" id=\"description\" />\n    </div>\n    <div class=\"checkout-btn-unique\">\n        <button type=\"submit\" *ngIf=\"!isInvalid()\" class=\"btn valid-btn\">Pagar</button>\n    </div>\n</form>",
                styles: [".half-width{width:49%!important}.ml-1{margin-left:1%}"]
            })
        ], MPCreditEcComponent);
        return MPCreditEcComponent;
    }(ComponentHelper));

    var __extends$F = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$1e = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var PriceEcComponent = /** @class */ (function (_super) {
        __extends$F(PriceEcComponent, _super);
        function PriceEcComponent(productsService) {
            var _this = _super.call(this) || this;
            _this.productsService = productsService;
            _this.priceSize = true;
            _this.ecOnConstruct();
            return _this;
        }
        PriceEcComponent.prototype.ngOnInit = function () {
            this.ecOnInit();
        };
        PriceEcComponent.ctorParameters = function () { return [
            { type: ProductsService }
        ]; };
        __decorate$1e([
            core.Input()
        ], PriceEcComponent.prototype, "price", void 0);
        __decorate$1e([
            core.Input()
        ], PriceEcComponent.prototype, "saleprice", void 0);
        __decorate$1e([
            core.Input()
        ], PriceEcComponent.prototype, "priceSize", void 0);
        __decorate$1e([
            core.Input()
        ], PriceEcComponent.prototype, "classStrSpacing", void 0);
        PriceEcComponent = __decorate$1e([
            core.Component({
                selector: 'app-price-ec',
                template: "<div *ngIf=\"saleprice; else onlyprice\" class=\"line-height-custom\">\n     <div [class]=\"(priceSize ? 'price-sm':'price')\" *ngIf=\"price && price.split(' - ').length > 1; else simplePriceDel\">\n          <del class=\"tachado\">\n              {{ price.split(' - ')[0] | currency:productsService?.currency:'symbol' }}\n              {{ price.split(' - ')[1] | currency:productsService?.currency:'symbol' }}\n          </del>\n     </div>\n     <div [class]=\"(priceSize ? 'price-sm':'price')\" *ngIf=\"saleprice && saleprice.split(' - ').length > 1; else simpleSalePrice\">\n          {{ saleprice.split(' - ')[0] | currency:productsService?.currency:'symbol' }}\n          {{ saleprice.split(' - ')[1] | currency:productsService?.currency:'symbol' }}\n     </div>\n</div>\n\n<ng-template #onlyprice>\n     <div [class]=\"(priceSize ? 'price-sm':'price')\" *ngIf=\"price && price.split(' - ').length > 1; else simplePrice\">\n         {{ price.split(' - ')[0] | currency:productsService?.currency:'symbol' }} - \n         {{ price.split(' - ')[1] | currency:productsService?.currency:'symbol' }}\n     </div>\n</ng-template>\n\n<ng-template #simplePrice>\n     <div  [class]=\"'uno line-height-custom ' + (priceSize ? 'price-sm':'price')\" >{{ price | currency:productsService?.currency:'symbol' }}  </div>\n</ng-template>\n\n<ng-template #simplePriceDel>\n     <div  [class]=\"'dos line-height-custom ' + (priceSize ? 'price-sm':'price')\" ><span class=\"lnth\">{{ price | currency:productsService?.currency:'symbol' }}</span></div>\n</ng-template>\n\n<ng-template #simpleSalePrice>\n     <div [class]=\"'tres line-height-custom ' + (priceSize ? 'price-sm':'price')\" >{{ saleprice | currency:productsService?.currency:'symbol' }} </div>\n</ng-template>",
                styles: [".price-sm{font-size:13px}.price{font-size:18px}.lnth{text-decoration:line-through;color:gray}"]
            })
        ], PriceEcComponent);
        return PriceEcComponent;
    }(ComponentHelper));

    var __extends$G = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$1f = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __read$7 = (this && this.__read) || function (o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m) return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
        }
        catch (error) { e = { error: error }; }
        finally {
            try {
                if (r && !r.done && (m = i["return"])) m.call(i);
            }
            finally { if (e) throw e.error; }
        }
        return ar;
    };
    var RedsysCatchEcComponent = /** @class */ (function (_super) {
        __extends$G(RedsysCatchEcComponent, _super);
        function RedsysCatchEcComponent(activedRoute, router, checkoutService) {
            var _this = _super.call(this) || this;
            _this.activedRoute = activedRoute;
            _this.router = router;
            _this.checkoutService = checkoutService;
            _this.message = '';
            _this.setStateInLocal = function (mensaje, state) {
                _this.message = mensaje;
                localStorage.setItem('state', state);
                sessionStorage.setItem('modalnews', 'false');
            };
            _this.setStateInSesion = function (mensaje, state) {
                _this.message = mensaje;
                sessionStorage.setItem('state', state);
                localStorage.setItem('state', state);
                sessionStorage.setItem('modalnews', 'false');
            };
            $("header").hide();
            $("footer").hide();
            _this.ecOnConstruct();
            return _this;
        }
        RedsysCatchEcComponent.prototype.ngOnInit = function () {
            var _this = this;
            var state;
            rxjs.combineLatest([this.activedRoute.params, this.activedRoute.queryParams]).subscribe(function (_a) {
                var _b = __read$7(_a, 2), queryRouter = _b[0], queryParams = _b[1];
                state = queryRouter.state;
                state && state == 'statuspayment' && (state = queryParams.status);
                console.log('PARAMETROS STATE  -> ', state);
                switch (state) {
                    case '200':
                        state = 'success';
                        _this.setStateInLocal('Su pago fue procesado con éxito.', state);
                        break;
                    case 'success':
                        _this.setStateInLocal('Su pago fue procesado con éxito.', state);
                        break;
                    case 'pending':
                        _this.setStateInLocal('Su pago fue procesado con éxito.', state);
                        break;
                    case 'failure':
                        _this.setStateInLocal('Se ha cancelado el proceso de pago.', state);
                        break;
                    case 'cancel':
                        _this.setStateInLocal('Se ha cancelado el proceso de pago.', state);
                        break;
                    case 'ok':
                        _this.setStateInSesion('Su pago fue procesado con éxito.', state);
                        break;
                    case 'challenge':
                        _this.setStateInSesion('Redirigiendo a autenticación del banco emisor.', state);
                        break;
                    case 'error':
                        _this.setStateInSesion('Algo no salio bien en la validación de sus datos.', state);
                        break;
                    case '0':
                        state = 'failure';
                        _this.setStateInLocal('Se ha cancelado el proceso de pago.', state);
                        break;
                    default:
                        break;
                }
            });
            this.ecOnInit();
        };
        RedsysCatchEcComponent.ctorParameters = function () { return [
            { type: router.ActivatedRoute },
            { type: router.Router },
            { type: CheckoutService }
        ]; };
        RedsysCatchEcComponent = __decorate$1f([
            core.Component({
                selector: 'app-redsys-catch-ec',
                template: "<div id=\"container\">\n    <div class=\"row\">\n        <div class=\"col align-self-center\">\n            <h4 class=\"titpage center-block text-center font-nexa font-lg my-3\">{{ message | uppercase }}</h4>\n        </div>\n    </div>\n    <div class=\"row\">\n        <div class=\"col align-self-center\">\n            <h5 class=\"center-block text-center font-nexa my-3\">Redirigiendo en segundos...</h5>\n            <br>\n            <div class=\"d-flex flex-column jusitfy-content-center align-items-center\">\n                <app-loading-full-ec></app-loading-full-ec>\n            </div>\n        </div>\n    </div>\n</div>",
                styles: [".loader{border:16px solid #f3f3f3;border-top:16px solid #dc3545;border-radius:50%;width:50px;height:50px;-webkit-animation:2s linear infinite spin;animation:2s linear infinite spin}@-webkit-keyframes spin{0%{transform:rotate(0)}100%{transform:rotate(360deg)}}@keyframes spin{0%{transform:rotate(0)}100%{transform:rotate(360deg)}}.flex-container{display:flex;justify-content:center;align-items:center;height:80vh;width:100%}.flex-container>div{width:90%;height:100px}"]
            })
        ], RedsysCatchEcComponent);
        return RedsysCatchEcComponent;
    }(ComponentHelper));

    var __extends$H = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$1g = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __param$a = (this && this.__param) || function (paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    };
    /** @dynamic */
    var RedSysProEcComponent = /** @class */ (function (_super) {
        __extends$H(RedSysProEcComponent, _super);
        function RedSysProEcComponent(renderer, connection, toastrService, consts, cartService, toastr, document, activedRoute, modalService) {
            var _this = _super.call(this) || this;
            _this.renderer = renderer;
            _this.connection = connection;
            _this.toastrService = toastrService;
            _this.consts = consts;
            _this.cartService = cartService;
            _this.toastr = toastr;
            _this.document = document;
            _this.activedRoute = activedRoute;
            _this.modalService = modalService;
            _this.total_amount = 0;
            _this.ready = new core.EventEmitter();
            _this.intentoRequest = false;
            _this.loading = true;
            _this.isDobleAuth = false;
            _this.urls = [];
            _this.closeModal = '';
            _this.finishApi = function () { return _this.consts.getUrlBase() + 'shop-api/' + _this.consts.getChannel() + '/redsys/' + _this.cartService.cart_token + '/process-payment'; };
            _this.challengeApi = function () { return _this.consts.getUrlBase() + 'shop-api/' + _this.consts.getChannel() + '/redsys/3ds-challenge'; };
            _this.merchantOrder = function () { return _this.consts.getUrlBase() + 'shop-api/' + _this.consts.getChannel() + '/redsys/' + _this.cartService.cart_token + '/ds-merchant-order'; };
            _this.clearStorageState = function () {
                sessionStorage.removeItem('state');
                localStorage.removeItem('state');
            };
            _this.clickClose = function () {
                _this.closeModal = 'cancel';
                _this.modalRef.hide();
                _this.processError('Se cancelo el pago con tarjeta');
            };
            _this.callState = function () {
                var state = _this.closeModal != '' ? _this.closeModal : sessionStorage.getItem('state');
                console.log(state);
                if (state && state != 'challenge') {
                    sessionStorage.removeItem('state');
                    if (state == 'ok') {
                        _this.modalRef.hide();
                        _this.ready.emit(true);
                        return;
                    }
                    if (state == 'menosuno') {
                        _this.modalRef.hide();
                        _this.processError('');
                        return;
                    }
                    if (state == 'cancel') {
                        return;
                    }
                    _this.modalRef.hide();
                    _this.processError('');
                    return;
                }
                setTimeout(function () {
                    _this.callState();
                }, 6000);
            };
            _this.processError = function (err) {
                _this.toastrService.show(err != '' ? err : 'payment-error');
                console.log("ERROR ENVIO BACK  ", err);
            };
            _this.ecOnConstruct();
            return _this;
        }
        RedSysProEcComponent.prototype.ngOnInit = function () {
            this.ecOnInit();
        };
        RedSysProEcComponent.prototype.ngOnDestroy = function () {
            console.log("SE DESTROZA");
        };
        RedSysProEcComponent.prototype.ngOnChanges = function () {
            console.log("SE CAMBIO");
        };
        RedSysProEcComponent.prototype.openModal = function (template) {
            this.clearStorageState();
            sessionStorage.setItem('method', JSON.stringify(this.method));
            sessionStorage.setItem('user_data', JSON.stringify(this.user_data));
            sessionStorage.setItem('finishApi', this.finishApi());
            sessionStorage.setItem('challengeApi', this.challengeApi());
            sessionStorage.setItem('merchantOrder', this.merchantOrder());
            this.modalRef = this.modalService.show(template, { class: 'modal-lg modal-dialog-centered ', keyboard: false, backdrop: 'static', animated: true });
            this.closeModal = '';
            this.callState();
        };
        RedSysProEcComponent.ctorParameters = function () { return [
            { type: core.Renderer2 },
            { type: ConnectionService },
            { type: ToastService },
            { type: Constants },
            { type: CartService },
            { type: ToastService },
            { type: Document, decorators: [{ type: core.Inject, args: [common.DOCUMENT,] }] },
            { type: router.ActivatedRoute },
            { type: modal.BsModalService }
        ]; };
        __decorate$1g([
            core.Input()
        ], RedSysProEcComponent.prototype, "method", void 0);
        __decorate$1g([
            core.Input()
        ], RedSysProEcComponent.prototype, "total_amount", void 0);
        __decorate$1g([
            core.Output()
        ], RedSysProEcComponent.prototype, "ready", void 0);
        __decorate$1g([
            core.Input()
        ], RedSysProEcComponent.prototype, "user_data", void 0);
        __decorate$1g([
            core.ViewChild('formDobleAuthContainer')
        ], RedSysProEcComponent.prototype, "formDobleAuth", void 0);
        __decorate$1g([
            core.ViewChild('template')
        ], RedSysProEcComponent.prototype, "template", void 0);
        RedSysProEcComponent = __decorate$1g([
            core.Component({
                selector: 'app-redsys-pro-ec',
                template: "<div class=\"text-center\">\n    <h3>Continuar con el pago</h3>\n    <button class=\"btn btn-outline-secondary rounded-0 comprar\" (click)=\"openModal(template)\">Pagar con tarjeta</button>\n</div>\n\n\n<ng-template #template>\n    <div class=\"modal-content\">\n        <div class=\"modal-header\">\n            <button type=\"button\" class=\"close pull-right\" aria-label=\"Close\" (click)=\"clickClose()\">\n                <span aria-hidden=\"true\">&times;</span>\n            </button>\n        </div>\n    </div>\n\n    <div class=\"modal-body\">\n        <iframe  src=\"../../../assets/redsysProBase.html\" frameborder=\"0\" class=\"iframeStyle\"></iframe>\n    </div>\n    \n</ng-template>\n",
                providers: [modal.BsModalService],
                styles: [".half-width{width:49%!important}.ml-1{margin-left:1%}#card-form{height:450px}.iframeStyle{height:800px;width:100%;max-height:800px}"]
            }),
            __param$a(6, core.Inject(common.DOCUMENT))
        ], RedSysProEcComponent);
        return RedSysProEcComponent;
    }(ComponentHelper));

    var __extends$I = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$1h = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var RedSysRedirectEcComponent = /** @class */ (function (_super) {
        __extends$I(RedSysRedirectEcComponent, _super);
        function RedSysRedirectEcComponent(renderer, connection, toastrService, consts, cartService, toastr, activedRoute, modalService) {
            var _this = _super.call(this) || this;
            _this.renderer = renderer;
            _this.connection = connection;
            _this.toastrService = toastrService;
            _this.consts = consts;
            _this.cartService = cartService;
            _this.toastr = toastr;
            _this.activedRoute = activedRoute;
            _this.modalService = modalService;
            _this.method = null;
            _this.total_amount = 0;
            _this.ready = new core.EventEmitter();
            _this.user_data = null;
            _this.loading = true;
            _this.isDobleAuth = false;
            _this.urls = [];
            _this.closeModal = '';
            _this.dataRedirect = function () { return _this.consts.getUrlBase() + 'shop-api/' + _this.consts.getChannel() + '/redsys/redirect/' + _this.cartService.cart_token + '/process-payment'; };
            _this.clearStorageState = function () {
                sessionStorage.removeItem('state');
                localStorage.removeItem('state');
            };
            _this.clickClose = function () {
                _this.closeModal = 'cancel';
                _this.modalRef.hide();
                _this.processError('Se cancelo el pago con tarjeta');
            };
            _this.callState = function () {
                var state = _this.closeModal != '' ? _this.closeModal : sessionStorage.getItem('state');
                console.log(state);
                if (state) {
                    sessionStorage.removeItem('state');
                    localStorage.removeItem('state');
                    if (state == 'ok') {
                        _this.modalRef.hide();
                        _this.ready.emit(true);
                        return;
                    }
                    if (state == 'menosuno') {
                        _this.modalRef.hide();
                        _this.processError('');
                        return;
                    }
                    if (state == 'cancel') {
                        return;
                    }
                    _this.modalRef.hide();
                    _this.processError('');
                    return;
                }
                setTimeout(function () {
                    _this.callState();
                }, 6000);
            };
            _this.processError = function (err) {
                _this.toastrService.show(err != '' ? err : 'payment-error');
                console.log("ERROR ENVIO BACK  ", err);
            };
            _this.ecOnConstruct();
            return _this;
        }
        RedSysRedirectEcComponent.prototype.ngOnInit = function () {
            this.ecOnInit();
        };
        RedSysRedirectEcComponent.prototype.ngOnDestroy = function () {
            console.log("SE DESTROZA");
        };
        RedSysRedirectEcComponent.prototype.ngOnChanges = function () {
            console.log("SE CAMBIO");
        };
        RedSysRedirectEcComponent.prototype.openModal = function (template) {
            this.clearStorageState();
            sessionStorage.setItem('dataRedirect', this.dataRedirect());
            this.modalRef = this.modalService.show(template, { class: 'modal-lg modal-dialog-centered ', keyboard: false, backdrop: 'static', animated: true });
            this.closeModal = '';
            this.callState();
        };
        RedSysRedirectEcComponent.ctorParameters = function () { return [
            { type: core.Renderer2 },
            { type: ConnectionService },
            { type: ToastService },
            { type: Constants },
            { type: CartService },
            { type: ToastService },
            { type: router.ActivatedRoute },
            { type: modal.BsModalService }
        ]; };
        __decorate$1h([
            core.Input()
        ], RedSysRedirectEcComponent.prototype, "method", void 0);
        __decorate$1h([
            core.Input()
        ], RedSysRedirectEcComponent.prototype, "total_amount", void 0);
        __decorate$1h([
            core.Output()
        ], RedSysRedirectEcComponent.prototype, "ready", void 0);
        __decorate$1h([
            core.Input()
        ], RedSysRedirectEcComponent.prototype, "user_data", void 0);
        __decorate$1h([
            core.ViewChild('template')
        ], RedSysRedirectEcComponent.prototype, "template", void 0);
        RedSysRedirectEcComponent = __decorate$1h([
            core.Component({
                selector: 'app-redsys-redirect-ec',
                template: "<div class=\"text-center\">\n    <h3>Continuar con el pago</h3>\n    <p *ngIf=\"method\" class=\"px-5\">{{ method?.description }}</p>\n    <p *ngIf=\"method\" class=\"px-5\">{{ method?.instructions }}</p>\n    <button class=\"btn btn-outline-secondary comprar\" (click)=\"openModal(template)\">Pagar con tarjeta</button>\n</div>\n\n<ng-template #template>\n    <div class=\"modal-content\">\n    </div>\n    <div class=\"modal-body\">\n        <iframe src=\"../../../assets/redsysFrameRedirectBase.html\" frameborder=\"0\" class=\"iframeStyle\"></iframe>\n    </div>\n    \n</ng-template>",
                providers: [modal.BsModalService],
                styles: [".half-width{width:49%!important}.ml-1{margin-left:1%}#card-form{height:450px}.iframeStyle{height:800px;width:100%;max-height:800px}"]
            })
        ], RedSysRedirectEcComponent);
        return RedSysRedirectEcComponent;
    }(ComponentHelper));

    var __extends$J = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$1i = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var CecaRedirectEcComponent = /** @class */ (function (_super) {
        __extends$J(CecaRedirectEcComponent, _super);
        function CecaRedirectEcComponent(renderer, connection, toastrService, consts, cartService, toastr, activedRoute, modalService) {
            var _this = _super.call(this) || this;
            _this.renderer = renderer;
            _this.connection = connection;
            _this.toastrService = toastrService;
            _this.consts = consts;
            _this.cartService = cartService;
            _this.toastr = toastr;
            _this.activedRoute = activedRoute;
            _this.modalService = modalService;
            _this.method = null;
            _this.total_amount = 0;
            _this.ready = new core.EventEmitter();
            _this.user_data = null;
            _this.loading = true;
            _this.isDobleAuth = false;
            _this.urls = [];
            _this.closeModal = '';
            _this.dataRedirect = function () { return _this.consts.getUrlBase() + 'shop-api/' + _this.consts.getChannel() + '/cecabank/redirect/' + _this.cartService.cart_token + '/process-payment'; };
            _this.clearStorageState = function () {
                sessionStorage.removeItem('state');
                localStorage.removeItem('state');
            };
            _this.clickClose = function () {
                _this.closeModal = 'cancel';
                _this.modalRef.hide();
                _this.processError('Se cancelo el pago con tarjeta');
            };
            _this.callState = function () {
                var state = _this.closeModal != '' ? _this.closeModal : localStorage.getItem('state');
                console.log(state);
                if (state) {
                    localStorage.removeItem('state');
                    if (state == 'success') {
                        _this.modalRef.hide();
                        _this.ready.emit(true);
                        return;
                    }
                    if (state == 'pending') {
                        _this.modalRef.hide();
                        _this.ready.emit(true);
                        return;
                    }
                    if (state == 'failure') {
                        _this.modalRef.hide();
                        _this.processError('');
                        return;
                    }
                    if (state == 'cancel') {
                        _this.processError('Se cancelo el pago');
                        return;
                    }
                    _this.modalRef.hide();
                    _this.processError('');
                    return;
                }
                setTimeout(function () {
                    _this.callState();
                }, 6000);
            };
            _this.processError = function (err) {
                _this.toastrService.show(err != '' ? err : 'payment-error');
                console.log("ERROR ENVIO BACK  ", err);
            };
            _this.ecOnConstruct();
            return _this;
        }
        CecaRedirectEcComponent.prototype.ngOnInit = function () {
            this.ecOnInit();
        };
        CecaRedirectEcComponent.prototype.ngOnDestroy = function () {
            console.log("SE DESTROZA");
        };
        CecaRedirectEcComponent.prototype.ngOnChanges = function () {
            console.log("SE CAMBIO");
        };
        CecaRedirectEcComponent.prototype.openModal = function (template) {
            this.clearStorageState();
            localStorage.setItem('dataRedirect', this.dataRedirect());
            this.modalRef = this.modalService.show(template, { class: 'modal-lg modal-dialog-centered ', keyboard: false, backdrop: 'static', animated: true });
            this.closeModal = '';
            this.callState();
        };
        CecaRedirectEcComponent.ctorParameters = function () { return [
            { type: core.Renderer2 },
            { type: ConnectionService },
            { type: ToastService },
            { type: Constants },
            { type: CartService },
            { type: ToastService },
            { type: router.ActivatedRoute },
            { type: modal.BsModalService }
        ]; };
        __decorate$1i([
            core.Input()
        ], CecaRedirectEcComponent.prototype, "method", void 0);
        __decorate$1i([
            core.Input()
        ], CecaRedirectEcComponent.prototype, "total_amount", void 0);
        __decorate$1i([
            core.Output()
        ], CecaRedirectEcComponent.prototype, "ready", void 0);
        __decorate$1i([
            core.Input()
        ], CecaRedirectEcComponent.prototype, "user_data", void 0);
        __decorate$1i([
            core.ViewChild('template')
        ], CecaRedirectEcComponent.prototype, "template", void 0);
        CecaRedirectEcComponent = __decorate$1i([
            core.Component({
                selector: 'app-ceca-redirect-ec',
                template: "<div class=\"text-center\">\n    <p *ngIf=\"method\" class=\"px-5\">{{ method?.description }}</p>\n    <p *ngIf=\"method\" class=\"px-5\">{{ method?.instructions }}</p>\n    <button class=\"btn btn-outline-secondary comprar\" (click)=\"openModal(template)\">Pagar con cecabank</button>\n</div>\n\n<ng-template #template>\n    <div class=\"modal-content\">\n    </div>\n    <div class=\"modal-body\">\n        <iframe src=\"../../../assets/cecaFrameRedirectBase.html\" frameborder=\"0\" class=\"iframeStyle\"></iframe>\n    </div>\n    \n</ng-template>",
                providers: [modal.BsModalService],
                styles: [".half-width{width:49%!important}.ml-1{margin-left:1%}#card-form{height:450px}.iframeStyle{height:800px;width:100%;max-height:800px}"]
            })
        ], CecaRedirectEcComponent);
        return CecaRedirectEcComponent;
    }(ComponentHelper));

    var __extends$K = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$1j = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    // import { OwlOptions } from 'projects/ng-easycommerce/src/lib/ec-component/product-detail-ec/node_modules/projects/ng-easycommerce/src/lib/ec-component/home-ec/node_modules/ngx-owl-carousel-o';
    var OrdersEcComponent = /** @class */ (function (_super) {
        __extends$K(OrdersEcComponent, _super);
        function OrdersEcComponent(ordersService, router, consts) {
            var _this = _super.call(this) || this;
            _this.ordersService = ordersService;
            _this.router = router;
            _this.consts = consts;
            _this.loading = true;
            _this.showImage = true;
            /**
             * @description name -> nombre de clave de valuesToSort; asc -> true: ascendente, false: descendente
             */
            _this.currentSort = { name: '', asc: true };
            /**
             * @description true -> ordena de forma ascendente | false -> ordena de forma decreciente
             */
            _this.valuesToSort = {
                number: { asc: true, attribute: 'number' },
                paymentState: { asc: true, attribute: 'state' },
                method: { asc: true, attribute: 'method', subAttribute: 'name' },
                methodState: { asc: true, attribute: 'state' },
                date: { asc: true, attribute: 'checkoutCompletedAt' },
                total: { asc: true, attribute: 'total' }
            };
            _this.sortedByNewest = function (orders) { return orders && orders.length && orders.sort(function (anOrder, otherOrder) { return anOrder.number > otherOrder.number ? -1 : 1; }); };
            _this.goToOrder = function (order) {
                _this.ordersService.setSelectedOrder(order);
                _this.router.navigateByUrl(("account/orders/" + order.number));
            };
            _this.toDate = function (date, format) { return moment(date).format(!format && 'DD/MM/YYYY, h:mm:ss a' || format); };
            _this.optionsBox = {
                loop: true,
                autoplay: true,
                smartSpeed: 950,
                margin: 10,
                dots: false,
                dotsData: false,
                navText: ["", ""],
                responsive: {
                    0: {
                        items: 1,
                    },
                    600: {
                        items: 1,
                    },
                    1000: {
                        items: 1,
                    }
                }
            };
            /**
            * @description Ordena la lista de ordenes
            * @param value recibe una valor que debe coincidir con las claves de la variable valuesToSort
            */
            _this.sortOrders = function (value) {
                _this.sortValue = value;
                _this.setCurrentSort(_this.sortValue, _this.valuesToSort[_this.sortValue].asc);
                var comparator = (_this.valuesToSort[_this.sortValue].asc)
                    ? [-1, 1]
                    : [1, -1];
                _this.valuesToSort[_this.sortValue].asc = !_this.valuesToSort[_this.sortValue].asc;
                var typeValue;
                if (_this.orders.length > 0) {
                    typeValue = typeof (_this.orders[0]);
                }
                var sortFunction = _this.getSortFunction(_this.sortValue);
                _this.orders =
                    _this.sortValue
                        ? _this.orders.sort(function (aOrders, otherOrders) { return sortFunction(aOrders, otherOrders, _this.valuesToSort[_this.sortValue], comparator); })
                        : _this.orders;
            };
            /**
             * @description retorna la funcion que se debe utilizar para el sort del arreglo
             * @param value parametro que indica el tipo de funcion que debe retornar
             * @returns funcion para utilizar en la busqueda
             */
            _this.getSortFunction = function (value) {
                switch (value) {
                    case 'paymentState':
                        return _this.sortPaymentState;
                    case 'method':
                        return _this.sortShipments;
                    case 'methodState':
                        return _this.sortShipments;
                    case 'total':
                        return _this.sortNumber;
                    default:
                        return _this.sortText;
                }
            };
            /* Funciones para ordernar */
            _this.sortPaymentState = function (aOrders, otherOrders, data, comparator) {
                return (aOrders.payments[0][data.attribute] == otherOrders.payments[0][data.attribute])
                    ? _this.tieBreaker(aOrders, otherOrders, comparator)
                    : String(aOrders.payments[0][data.attribute]).toLowerCase() < String(otherOrders.payments[0][data.attribute]).toLowerCase() ? comparator[0] : comparator[1];
            };
            _this.sortShipments = function (aOrders, otherOrders, data, comparator) {
                if (data.subAttribute) {
                    return (aOrders.shipments[0][data.attribute][data.subAttribute] == otherOrders.shipments[0][data.attribute][data.subAttribute])
                        ? _this.tieBreaker(aOrders, otherOrders, comparator)
                        : String(aOrders.shipments[0][data.attribute][data.subAttribute]).toLowerCase() < String(otherOrders.shipments[0][data.attribute][data.subAttribute]).toLowerCase() ? comparator[0] : comparator[1];
                }
                else {
                    return (aOrders.shipments[0][data.attribute] == otherOrders.shipments[0][data.attribute])
                        ? _this.tieBreaker(aOrders, otherOrders, comparator)
                        : String(aOrders.shipments[0][data.attribute]).toLowerCase() < String(otherOrders.shipments[0][data.attribute]).toLowerCase() ? comparator[0] : comparator[1];
                }
            };
            _this.sortNumber = function (aOrders, otherOrders, data, comparator) { return aOrders[data.attribute] < otherOrders[data.attribute] ? comparator[0] : comparator[1]; };
            _this.sortText = function (aOrders, otherOrders, data, comparator) {
                return (aOrders[data.attribute] == otherOrders[data.attribute])
                    ? aOrders.number.toLowerCase() < otherOrders.number.toLowerCase() ? comparator[0] : comparator[1]
                    : String(aOrders[data.attribute]).toLowerCase() < String(otherOrders[data.attribute]).toLowerCase() ? comparator[0] : comparator[1];
            };
            /**
             * @description funcion utilizada para desempate.
             * @param aOrders
             * @param otherOrders
             * @param comparator
             * @returns
             */
            _this.tieBreaker = function (aOrders, otherOrders, comparator) { return aOrders.number.toLowerCase() < otherOrders.number.toLowerCase() ? comparator[0] : comparator[1]; };
            /**
             * @description cambia los valores de la variable currentSort
             * @param name
             * @param asc
             */
            _this.setCurrentSort = function (name, asc) {
                _this.currentSort.name = name;
                _this.currentSort.asc = asc;
            };
            _this.mediaUrl = _this.consts.mediaUrl();
            _this.ecOnConstruct();
            return _this;
        }
        OrdersEcComponent.prototype.ngOnInit = function () {
            var _this = this;
            this.loading = true;
            this.ordersService.updateOrders();
            this.ordersService.orders$.pipe(operators.filter(function (or) { return or; })).subscribe(function (orders) {
                _this.orders = _this.sortedByNewest(orders);
                _this.loading = false;
            }, function (err) {
                _this.loading = false;
                _this.error = 'orders-error';
            });
            this.ecOnInit();
        };
        OrdersEcComponent.ctorParameters = function () { return [
            { type: OrdersService },
            { type: router.Router },
            { type: Constants }
        ]; };
        __decorate$1j([
            core.Input()
        ], OrdersEcComponent.prototype, "showImage", void 0);
        OrdersEcComponent = __decorate$1j([
            core.Component({
                selector: 'app-orders-ec',
                template: "<div class=\"container-fluid\" id=\"ordersEcComponent\">\n    <section id=\"orders\" class=\"w-100\" *ngIf=\"!loading; else loadingView\">\n        <div *ngIf=\"orders && orders.length; else noOrders\">\n            <div class=\"row mb-1 border-bottom\">\n                <div class=\"col-lg-2 col-12\">\n                    <p [class]=\"'st dropdown-toggle cursor-pointer my-2 '+ (currentSort.name == 'number' ? 'applied ' + (!currentSort.asc ? 'asc' : 'desc') : '')\"\n                        (click)=\"sortOrders('number')\">{{ 'order' | translate }}:</p>\n                </div>\n                <div class=\"col-lg-2 col-12\">\n                    <p [class]=\"'st dropdown-toggle cursor-pointer my-2 '+ (currentSort.name == 'paymentState' ? 'applied ' + (!currentSort.asc ? 'asc' : 'desc') : '')\"\n                        (click)=\"sortOrders('paymentState')\">{{ 'payment-state' | translate }}:</p>\n                </div>\n                <div class=\"col-lg-2 col-12\">\n                    <p [class]=\"'st dropdown-toggle cursor-pointer my-2 '+ (currentSort.name == 'method' ? 'applied ' + (!currentSort.asc ? 'asc' : 'desc') : '')\"\n                        (click)=\"sortOrders('method')\">{{ 'shipment-method' | translate }}:</p>\n                </div>\n                <div class=\"col-lg-2 col-12 \">\n                    <p\n                        [class]=\"'st dropdown-toggle cursor-pointer my-2 '+ (currentSort.name == 'methodState' ? 'applied ' + (!currentSort.asc ? 'asc' : 'desc') : '')\"\n                         (click)=\"sortOrders('methodState')\">\n                        {{ 'shipment-state' | translate }}:</p>\n                </div>\n                <div class=\"col-lg-2 col-12\">\n                    <p [class]=\"'st dropdown-toggle cursor-pointer my-2 '+ (currentSort.name == 'date' ? 'applied ' + (!currentSort.asc ? 'asc' : 'desc') : '')\"\n                        (click)=\"sortOrders('date')\">{{ 'date' | translate }}:</p>\n                </div>\n                <div class=\"col-lg-2 col-12\">\n                    <p [class]=\"'st dropdown-toggle cursor-pointer my-2 '+ (currentSort.name == 'total' ? 'applied ' + (!currentSort.asc ? 'asc' : 'desc') : '')\"\n                        (click)=\"sortOrders('total')\">{{ 'total' | translate }}:</p>\n                </div>\n            </div>\n            <div class=\"row item border-bottom py-2\" *ngFor=\"let order of orders\">\n                <div class=\"col-lg-2 col-12\">\n                    <h5 class=\"fw-bold\">\n                        {{ order.number }}\n                    </h5>\n                    <!-- <ng-container *ngIf=\"showImage\">\n                        <ng-container *ngIf=\"order.items[0].product.variants[0]?.images?.length ; else defaultpicture\">\n                            <img class=\"smc maxwidth\" [src]=\"mediaUrl +   order.items[0].product.variants[0].images[0]\" alt=\"\">\n                        </ng-container>\n                        <ng-template #defaultpicture>\n                            <img *ngIf=\"order.items[0].product.picturesdefault\" class=\"smc maxwidth\"\n                                [src]=\"mediaUrl + order.items[0].product.picturesdefault[0]\" alt=\"\">\n                        </ng-template>\n                    </ng-container> -->\n                </div>\n                <div class=\"col-lg-2 col-12\">\n                    <p class=\"price\" *ngIf=\"order.payments && order.payments.length > 0\">\n                        {{ order.payments[0].state | translate | titlecase }}\n                    </p>\n                </div>\n                <div class=\"col-lg-2 col-12\">\n\n                    <p class=\"price\">\n                        {{ order.shipments[0].method.name }}\n                    </p>\n                </div>\n                <div class=\"col-lg-2 col-12\">\n                    <p class=\"price\">\n                        {{ order.shipments[0].state | translate | titlecase }}\n                    </p>\n                    <!-- ACA DEBERIA IR EL LINK DE SEGUIMIENTO -->\n                    <!-- <button class=\"btn btn-outline-dark btnLogout px-3 py-1 font-size-10 w-auto btn-sm\">Ver seguimiento</button> -->\n                    <a *ngIf=\"order.tracking\" [href]=\"order.tracking\" class=\"btn btn-outline-dark btnLogout px-3 py-1 font-size-10 w-auto btn-sm\">Ver seguimiento</a>\n                </div>\n                <div class=\"col-lg-2 col-12\">\n                    <p class=\"price\">\n                        {{ toDate(order.checkoutCompletedAt, 'DD/MM/YYYY') | translate }}<br>\n                        {{ toDate(order.checkoutCompletedAt, 'h:mm:ss a') | translate }}\n                    </p>\n                </div>\n                <div class=\"col-lg-2 col-12\">\n                    <h5 class=\"fw-bold text-nowrap\">\n                        {{ (order.totals.total) | ecCurrencySymbol }}\n                    </h5>\n                    <button class=\"btn px-0 w-100 btdetalle\" (click)=\"goToOrder(order)\">{{\n                        'see-order' | translate }}</button>\n                </div>\n            </div>\n        </div>\n    </section>\n</div>\n\n<ng-template #noOrders>\n    <div class=\"w-100 h-50\">\n        <div class=\"d-flex flex-row justify-content-center align-items-center text-center\">\n            <h5>{{ 'no-orders' | translate }}</h5>\n        </div>\n    </div>\n</ng-template>\n\n<ng-template #errorView>\n    <div class=\"w-100 h-50\">\n        <div class=\"d-flex flex-row justify-content-center align-items-center text-center\">\n            <h4>{{ 'orders-error' | translate }}</h4>\n        </div>\n    </div>\n</ng-template>\n\n<ng-template #loadingView>\n    <div class=\"w-100 h-50 py-5\">\n        <div class=\"d-flex flex-row justify-content-center align-items-center text-center\">\n            <app-loading-full-ec></app-loading-full-ec>\n        </div>\n    </div>\n</ng-template>\n",
                styles: ["#ordersEcComponent .btn.btdetalle{background-color:#000;color:#fff;border-color:#000;border-width:1px;border-radius:10px;padding:10px 0}#ordersEcComponent .btn.btdetalle:hover{background-color:#fff;color:#000;border-color:#000}.asc.dropdown-toggle::after{transform:rotate(180deg)}.applied.dropdown-toggle::after{color:#198754}"]
            })
        ], OrdersEcComponent);
        return OrdersEcComponent;
    }(ComponentHelper));

    var __extends$L = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$1k = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __awaiter$e = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
            function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    };
    var __generator$e = (this && this.__generator) || function (thisArg, body) {
        var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f) throw new TypeError("Generator is already executing.");
            while (_) try {
                if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
                if (y = 0, t) op = [op[0] & 2, t.value];
                switch (op[0]) {
                    case 0: case 1: t = op; break;
                    case 4: _.label++; return { value: op[1], done: false };
                    case 5: _.label++; y = op[1]; op = [0]; continue;
                    case 7: op = _.ops.pop(); _.trys.pop(); continue;
                    default:
                        if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                        if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                        if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                        if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                        if (t[2]) _.ops.pop();
                        _.trys.pop(); continue;
                }
                op = body.call(thisArg, _);
            } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
            if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
        }
    };
    var OrderEcComponent = /** @class */ (function (_super) {
        __extends$L(OrderEcComponent, _super);
        function OrderEcComponent(ordersService, activedRoute, router, consts) {
            var _this = _super.call(this) || this;
            _this.ordersService = ordersService;
            _this.activedRoute = activedRoute;
            _this.router = router;
            _this.consts = consts;
            _this.orderSubject = new rxjs.BehaviorSubject({});
            _this.order$ = _this.orderSubject.asObservable();
            _this.order = null;
            _this.loading = true;
            _this.numberOrder = null;
            _this.toDate = function (date, format) { return moment(date).format(!format && 'DD/MM/YYYY, h:mm:ss a' || format); };
            _this.callError = function () {
                _this.error = '?';
                _this.router.navigateByUrl('account/orders');
            };
            _this.volver = function () { return _this.router.navigateByUrl('account/orders'); };
            _this.ecOnConstruct();
            return _this;
        }
        OrderEcComponent.prototype.ngOnInit = function () {
            var _this = this;
            this.loading = true;
            this.ordersService.selectedOrder$.subscribe(function (res) { return __awaiter$e(_this, void 0, void 0, function () {
                var order;
                return __generator$e(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            if (this.numberOrder == null) {
                                this.numberOrder = this.activedRoute.snapshot.params.number;
                            }
                            if (!res) return [3 /*break*/, 1];
                            order = res;
                            return [3 /*break*/, 3];
                        case 1: return [4 /*yield*/, this.ordersService.findOrder(this.numberOrder)];
                        case 2:
                            order = _a.sent();
                            _a.label = 3;
                        case 3:
                            order && this.orderSubject.next(order);
                            !order && this.callError();
                            this.order = order;
                            this.loading = false;
                            return [2 /*return*/];
                    }
                });
            }); }),
                function (err) {
                    _this.ordersService.error$.toPromise().then(function (res) { return _this.error = res; });
                    _this.loading = false;
                    _this.callError();
                };
            this.ecOnInit();
        };
        OrderEcComponent.ctorParameters = function () { return [
            { type: OrdersService },
            { type: router.ActivatedRoute },
            { type: router.Router },
            { type: Constants }
        ]; };
        __decorate$1k([
            core.Input()
        ], OrderEcComponent.prototype, "numberOrder", void 0);
        OrderEcComponent = __decorate$1k([
            core.Component({
                selector: 'app-order-ec',
                template: "<main class=\"py-5\" id=\"orderEcComponent\">\n    <div class=\"container\">\n        <div class=\"wrap\" *ngIf=\"!loading; else loadingView\">\n            <div *ngIf=\"order; else noOrder\">\n\n                <div class=\"row justify-content-between \">\n                    <div class=\"col-sm-auto col-12 font-brandon\">\n                        <h4 class=\"tit1 fw-bold\">{{ ('order' | translate) + ': ' + order.number }}</h4>\n                    </div>\n                    <ng-container *ngIf=\"order?.invoice\">\n                        <div class=\"col-sm col-12 font-brandon\">\n                            <a target=\"_blank\" [href]=\"consts.getUrlBase().slice(0, -1) + order.invoice\"\n                                class=\"btn btn-link btn-invoice\">\n                                <i class=\"fas fa-file-download me-1\"></i>\n                                {{ 'download' | translate }} {{ 'invoices' | translate | titlecase }}\n                            </a>\n                        </div>\n                    </ng-container>\n                    <a (click)=\"volver()\" class=\"col-auto text-end\">\n                        <button class=\"btn btvolver bg-gray text-white\">{{ 'back-to-orders' | translate }}</button>\n                    </a>\n                </div>\n\n                <section id=\"orders\">\n                    <div class=\"row pt-2\">\n                        <div class=\"col-md-2 col-12\">\n                            <p class=\"st\">{{ 'payment-state' | translate }}:</p>\n                            <p class=\"\">\n                                {{ order.payments[0].state | translate }}\n                            </p>\n                        </div>\n                        <div class=\"col-md-2 col-12 font-brandon\">\n                            <p class=\"st\">{{ 'shipment-state' | translate }}:</p>\n                            <p class=\"\">\n                                {{ order.shipments[0].state | translate }}\n                            </p>\n                        </div>\n                        <div class=\"col-md-2 col-12 font-brandon\">\n                            <p class=\"st\">{{ 'payment-method' | translate }}:</p>\n                            <p class=\"\">\n                                {{ order.payments[0]?.method?.name | translate }}\n                            </p>\n                        </div>\n                        <div class=\"col-md-2 col-12 font-brandon\">\n                            <p class=\"st\">{{ 'shipment-method' | translate }}:</p>\n                            <p class=\"\">\n                                {{ order.shipments[0].method.name }}\n                            </p>\n                            <!-- ACA DEBERIA IR EL LINK DE SEGUIMIENTO -->\n                            <a *ngIf=\"order.tracking\" [href]=\"order.tracking\" class=\"btn btn-outline-dark btnLogout px-3 py-1 font-size-10 w-auto btn-sm\">Ver seguimiento</a>\n                        </div>\n                        <div class=\"col-md-2 col-12 font-brandon\">\n                            <p class=\"st\">{{ 'date' | translate }}:</p>\n                            <p class=\"\">\n                            {{ toDate(order.checkoutCompletedAt, 'DD/MM/YYYY') | translate }}<br>\n                            {{ toDate(order.checkoutCompletedAt, 'h:mm:ss a') | translate }}\n                            </p>\n                        </div>\n                        <div class=\"col-md-2 col-12 font-brandon\">\n                            <p class=\"st\">{{ 'total' | translate }}:</p>\n                            <h5 class=\"fw-bold\">\n                                {{ (order.totals.total) | ecCurrencySymbol}}\n\n                            </h5>\n                        </div>\n                    </div>\n                </section>\n\n                <div class=\"container py-3 border-top border-bottom\">\n                    <div *ngIf=\"order.items.length; else noProducts\" class=\"row\">\n                        <div class=\"col-2 font-sm font-brandon d-none d-md-block\">\n                            {{ 'product' | translate | uppercase }}\n                        </div>\n                        <div class=\"col-4 font-sm font-brandon d-none d-md-block\">\n                            {{ 'description' | translate | uppercase }}\n                        </div>\n                        <div id=\"colLots\" *ngIf=\"ordersService.channelConfig.applyOrderLot\" class=\"col-1 font-sm font-brandon d-none d-md-block\">\n                         <!-- {{ 'description' | translate | uppercase }} -->\n                         {{ 'lots' | translate | uppercase }}\n                         </div>\n                        <div class=\"col-2 text-center font-sm font-brandon d-none d-md-block\">\n                            {{ 'unit-price' | translate | uppercase }}\n                        </div>\n                        <div class=\"col-1 text-center font-sm font-brandon d-none d-md-block\">\n                            {{ 'quantity' | translate | uppercase }}\n                        </div>\n                        <div class=\"col-2 text-end font-sm font-brandon d-none d-md-block\">\n                            {{ 'total' | translate | uppercase }}\n                        </div>\n                    </div>\n                    <ng-container *ngFor=\"let item of order.items; let i = index\">\n                        <div class=\"row cart-items\">\n                            <div class=\"col-5 col-md-2 py-2\">\n                                <ng-container *ngIf=\"item.product.variants[0]?.images?.length ; else defaultpicture\">\n                                    <img class=\"smc maxwidth img-fluid rounded-custom \" [src]=\"consts.mediaUrl() +  item.product.variants[0].images[0]\" alt=\"\">\n                                </ng-container>\n                                <ng-template #defaultpicture>\n                                    <img *ngIf=\"item.product.picturesdefault\" class=\"smc maxwidth img-fluid rounded-custom\"\n                                        [src]=\"consts.mediaUrl() + item.product.picturesdefault[0]\" alt=\"\">\n                                </ng-template>\n                            </div>\n                            <div\n                                class=\"col-md-4 col-7 flex-column flex-md-row justify-content-start d-flex align-items-center\">\n                                <p class=\"font-brandon d-flex w-100 mb-0\">\n                                    {{ item.product.name }} (Cod:{{ item.product.variants[0].code }})\n                                </p>\n                              </div>\n                                <div class=\"col-md-1 col-1 flex-column flex-md-row justify-content-start d-flex align-items-center\" *ngIf=\"ordersService.channelConfig.applyOrderLot\">\n                                   <input type=\"button\" class=\"btn btn-primary btnSeguir m-0 text-center\" type=\"button\" [attr.data-bs-toggle]=\"'collapse'\" [attr.data-bs-target]=\"'#collapseExample'+i\" aria-expanded=\"false\" [attr.aria-controls]=\"'collapseExample'+i\" value=\"{{ 'see' | translate | uppercase }}\">\n                               </div>\n                                <div class=\"container d-md-none\">\n                                    <div class=\"row\">\n                                        <div class=\"col-4\">\n                                            <p class=\"text-center w-100 m-0\"> {{ item.quantity }}</p>\n                                        </div>\n                                        <div class=\"col-4 font-xl\">\n                                            <p class=\"text-center w-100 m-0\"> {{ (item.product.variants[0].saleprice ? item.product.variants[0].saleprice : item.product.variants[0].price) | ecCurrencySymbol}}</p>\n                                        </div>\n                                        <div class=\"col-4 font-xl\">\n                                            <p class=\"text-center w-100 m-0\"> {{ ((item.product.variants[0].saleprice ? item.product.variants[0].saleprice : item.product.variants[0].price) * item.quantity) | ecCurrencySymbol}}</p>\n                                        </div>\n                                    </div>\n                                </div>\n\n                            <div class=\"col-2 d-none d-md-flex align-items-center\">\n                                <p class=\"text-center w-100 m-0\">\n                                    {{ (item.product.variants[0].saleprice ? item.product.variants[0].saleprice  : item.product.variants[0].price) | ecCurrencySymbol}}\n                                </p>\n                            </div>\n                            <div class=\"col-1 d-none d-md-flex align-items-center\">\n                                <p class=\"text-center w-100 m-0\"> {{ item.quantity }}</p>\n                            </div>\n                            <div class=\"col-2 d-none d-md-flex align-items-center\">\n                                <p class=\"text-end w-100 m-0\">\n                                    {{ ((item.product.variants[0].saleprice ? item.product.variants[0].saleprice  : item.product.variants[0].price) * item.quantity) | ecCurrencySymbol}}</p>\n                            </div>\n                            <div class=\"collapse\" [attr.id]=\"'collapseExample'+i\">\n                              <div class=\"card card-body\">\n                                   <table class=\"table table-striped\">\n                                        <thead>\n                                          <tr>\n                                            <th scope=\"col\">#</th>\n                                            <th scope=\"col\">Estado</th>\n                                            <th scope=\"col\">Cantidad</th>\n                                            <th scope=\"col\">Fecha Solicitada</th>\n                                            <th scope=\"col\">Fecha Estimada</th>\n                                            <th scope=\"col\">Sede</th>\n                                            <th scope=\"col\">Nota</th>\n                                            <th scope=\"col\">Total Lote</th>\n                                          </tr>\n                                        </thead>\n                                        <tbody>\n                                             <ng-container *ngFor=\"let lot of item.orderItemLot\">\n                                                  <tr>\n                                                    <th scope=\"row\">{{lot.id}}</th>\n                                                    <td>{{lot.lot_status}}</td>\n                                                    <td>{{lot.quantity}}</td>\n                                                    <td>{{ toDate(lot.date_request, 'DD/MM/YYYY') | translate }}</td>\n                                                    <td *ngIf=\"lot.date_deliver; else sinFechaEstimada\">{{ toDate(lot.date_deliver, 'DD/MM/YYYY') | translate }}</td>\n                                                    <ng-template #sinFechaEstimada>\n                                                       <td>Pendiente</td>\n                                                    </ng-template>\n                                                    <td>{{lot.shipping_address_name}}</td>\n                                                    <td>{{lot.notes}}</td>\n                                                    <td>{{lot.total_lot | ecCurrencySymbol}}</td>\n                                                  </tr>\n                                             </ng-container>\n                                        </tbody>\n                                      </table>\n                              </div>\n                            </div>\n                        </div>\n\n                    </ng-container>\n                </div>\n\n                <div class=\"container\">\n                    <div class=\"row\">\n                        <div class=\"col-12 col-md-6\"></div>\n                        <div class=\"col-12 col-md-6\">\n                            <div class=\"row py-4\">\n                                <div class=\"col-6 font-brandon font-md text-gray border-bottom \">{{ 'total-products' | translate }}</div>\n                                <div class=\"col-6 font-brandon font-md text-gray border-bottom  text-end\">\n                                    {{ (order.totals.items) | ecCurrencySymbol }}\n                                </div>\n\n                                <div class=\"col-6 font-brandon font-md text-gray border-bottom \">{{ 'shipment' | translate }}</div>\n                                <div class=\"col-6 font-brandon font-md text-gray border-bottom  text-end\">\n                                    {{ (order.totals.shipping || '0') | ecCurrencySymbol }}\n\n                                </div>\n\n                                <div *ngIf=\"order.totals.promotion && order.totals.promotion != 0\"\n                                    class=\"col-6 font-brandon font-md text-gray border-bottom \">{{ 'discount' | translate }}</div>\n                                <div *ngIf=\"order.totals.promotion && order.totals.promotion != 0\"\n                                    class=\"col-6 font-brandon font-md text-gray border-bottom  text-end text-end\">\n                                    {{ (order.totals.promotion) | ecCurrencySymbol }}</div>\n\n                                <div *ngIf=\"order.totals.taxes && order.totals.taxes != 0 \" class=\"col-6 font-brandon font-md text-gray border-bottom \">\n                                    {{ 'taxes' | translate }}</div>\n                                <div *ngIf=\"order.totals.taxes && order.totals.taxes != 0\" class=\"col-6 font-brandon font-md text-gray border-bottom  text-end\">\n                                    {{ (order.totals.taxes) | ecCurrencySymbol }}</div>\n\n                                <div class=\"col-6 font-brandon font-md\">{{ 'total' | translate | uppercase }}</div>\n                                <div class=\"col-6 font-brandon font-md text-end\">\n                                    {{ (order.totals.total) | ecCurrencySymbol }}\n                                </div>\n                            </div>\n                        </div>\n                    </div>\n                </div>\n            </div>\n        </div>\n    </div>\n\n</main>\n\n<ng-template #noOrder>\n    <div class=\"w-100 h-50\">\n        <div class=\"d-flex flex-row justify-content-center align-items-center text-center\">\n            <h5>{{ 'no-orders' | translate }}</h5>\n        </div>\n    </div>\n</ng-template>\n\n<ng-template #loadingView>\n    <div class=\"w-100 h-50 py-5\">\n        <div class=\"d-flex flex-row justify-content-center align-items-center text-center\">\n            <app-loading-full-ec></app-loading-full-ec>\n        </div>\n    </div>\n</ng-template>\n",
                styles: [".maxwidth{max-width:100px}"]
            })
        ], OrderEcComponent);
        return OrderEcComponent;
    }(ComponentHelper));

    var __extends$M = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$1l = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var AuthEcComponent = /** @class */ (function (_super) {
        __extends$M(AuthEcComponent, _super);
        function AuthEcComponent(authService, toastr, paramsService, activatedRoute, formBuilder, router) {
            var _this = _super.call(this) || this;
            _this.authService = authService;
            _this.toastr = toastr;
            _this.paramsService = paramsService;
            _this.activatedRoute = activatedRoute;
            _this.formBuilder = formBuilder;
            _this.router = router;
            _this.complete = true;
            _this.data = {
                email: null,
                password: null,
                nombre: null,
                apellido: null,
            };
            _this.redirect = true;
            _this.loading = false;
            _this.register_loading = false;
            _this.params = [];
            _this.setProp = function (prop, event) {
                _this.data[prop] = event.target.value;
            };
            _this.login = function () { return _this.redirect && _this.redirectHome(); };
            _this.redirectHome = function () {
                setTimeout(function () { return _this.router.navigateByUrl('/'); }, 1500);
            };
            _this.register = function (event) {
                event.preventDefault();
                _this.register_loading = true;
                if (_this.registerForm.valid) {
                    _this.authService.signUp(_this.registerForm.value).toPromise().then(function (res) {
                        _this.register_loading = false;
                        _this.toastr.show('register-ok');
                        _this.router.navigateByUrl('home');
                    }, function (error) {
                        _this.register_loading = false;
                        if (error.status == 400) {
                            _this.toastr.show('El email ingresado ya se encuentra registrado.');
                        }
                        else {
                            _this.toastr.show('Error en el registro. Vuelva a intentarlo más tarde.');
                        }
                    });
                }
                else {
                    _this.toastr.show('invalid-form');
                }
            };
            _this.ecOnConstruct();
            return _this;
        }
        AuthEcComponent.prototype.ngOnInit = function () {
            var _this = this;
            this.paramsService.parameters.subscribe(function (res) { return _this.params = res; });
            (this.authService.isAuthenticated() && this.complete) && this.router.navigateByUrl('/');
            this.loginForm = this.formBuilder.group({
                username: ['', forms.Validators.required],
                password: ['', forms.Validators.required]
            });
            this.registerForm = this.formBuilder.group({
                firstName: ['', forms.Validators.required],
                lastName: ['', forms.Validators.required],
                email: ['', forms.Validators.required],
                plainPassword: ['', forms.Validators.required],
                newsletter: [false],
                terms: ['', forms.Validators.required],
            });
            this.activatedRoute.params.subscribe(function (params) {
                var _a;
                if ((_a = params) === null || _a === void 0 ? void 0 : _a.data) {
                    var resul = JSON.parse(atob(params.data));
                    resul && _this.authService.doLoginUser(resul);
                }
            });
            this.ecOnInit();
        };
        AuthEcComponent.prototype.ngOnChanges = function () {
            (this.authService.isAuthenticated() && this.complete) && this.router.navigateByUrl('/');
        };
        AuthEcComponent.ctorParameters = function () { return [
            { type: AuthService },
            { type: ToastService },
            { type: ParametersService },
            { type: router.ActivatedRoute },
            { type: forms.FormBuilder },
            { type: router.Router }
        ]; };
        __decorate$1l([
            core.Input()
        ], AuthEcComponent.prototype, "complete", void 0);
        __decorate$1l([
            core.Input()
        ], AuthEcComponent.prototype, "redirect", void 0);
        AuthEcComponent = __decorate$1l([
            core.Component({
                selector: 'app-auth-ec',
                template: "<!-- banners -->\n<div class=\"row\">\n     <div class=\"col-12 p-0\" id=\"banner-slider-home\">\n          <div id=\"banner-slider\" class=\"owl-carousel h-100 w-100\">\n               <div class=\"item\">\n                    <img src=\"assets/image/login.png\" class=\"w-100 d-none d-md-block\">\n                    <img src=\"assets/image/26912-05-mobile.png\" class=\"w-100 d-block d-md-none\">\n                    <div class=\"caption\">\n                         <h1 class=\"color-white\">Ingresar</h1>\n                    </div>\n               </div>\n          </div>\n     </div>\n</div>\n\n<div class=\"row\" id=\"contacto\">\n     <div class=\"col-12 py-md-5 py-0 px-0\">\n          <div class=\"container\" style=\"background-color: #F1F1F1;\">\n               <div class=\"row\">\n                    <div class=\"col-md-6 px-md-5 px-3 col-12\">\n                         <app-login-form-ec></app-login-form-ec>\n                    </div>\n                    <div class=\"col-md-6 px-md-5 px-3 col-12\">\n                         <app-register-form-ec></app-register-form-ec>\n                    </div>\n               </div>\n          </div>\n     </div>\n</div>",
                styles: [".loading-container-form{margin-top:20px;position:absolute;width:100%}.login-container{background-color:#fff;padding-bottom:80px}#login,#registro{color:#000;font-size:.8rem}"]
            })
        ], AuthEcComponent);
        return AuthEcComponent;
    }(ComponentHelper));

    var __extends$N = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$1m = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var RegisterFormEcComponent = /** @class */ (function (_super) {
        __extends$N(RegisterFormEcComponent, _super);
        function RegisterFormEcComponent(authService, toastr, router, analyticsService, formBuilder) {
            var _this = _super.call(this) || this;
            _this.authService = authService;
            _this.toastr = toastr;
            _this.router = router;
            _this.analyticsService = analyticsService;
            _this.formBuilder = formBuilder;
            _this.isLogged = true;
            _this.darkMode = false;
            _this.redirect = true;
            _this.complete = true;
            _this.ready = new core.EventEmitter();
            _this.success = false;
            _this.campospersonajuridica = false;
            _this.registroUsuario = {
                firstName: '',
                lastName: '',
                email: '',
                plainPassword: '',
                plainPassword2: '',
                newsletter: false,
                terms: false,
            };
            _this.setProp = function (prop, event) {
                _this.registroUsuario[prop] = event.target.value;
            };
            _this.redirectHome = function () {
                _this.router.navigateByUrl('/');
            };
            _this.register = function (event) {
                event.preventDefault();
                _this.register_loading = true;
                if (!_this.registerForm.valid) {
                    _this.toastr.show('Aún hay campos sin completar o invalidos');
                    _this.register_loading = false;
                    return;
                }
                ;
                _this.register_loading = true;
                if (_this.registerForm.value.plainPassword != _this.registerForm.value.plainPassword2) {
                    _this.toastr.show('Las contraseñas no coinciden');
                    _this.register_loading = false;
                    return;
                }
                if (_this.registerForm.valid) {
                    _this.authService.signUp(_this.registerForm.value).toPromise().then(function (res) {
                        _this.register_loading = false;
                        _this.toastr.show('register-ok');
                        _this.analyticsService.callEvent('sign_up', {
                            firstName: _this.registerForm.value.firstName,
                            lastName: _this.registerForm.value.lastName,
                            email: _this.registerForm.value.email
                        });
                        _this.success = true;
                        _this.ready.emit(true);
                        if (_this.redirect) {
                            _this.router.navigateByUrl('home');
                        }
                    }, function (error) {
                        _this.register_loading = false;
                        if (error.status == 400) {
                            _this.toastr.show('El email ingresado ya se encuentra registrado.');
                        }
                        else {
                            _this.toastr.show('Error en el registro. Vuelva a intentarlo más tarde.');
                        }
                    });
                }
                else {
                    _this.toastr.show('invalid-form');
                    _this.register_loading = false;
                }
            };
            _this.ecOnConstruct();
            return _this;
        }
        RegisterFormEcComponent.prototype.ngOnInit = function () {
            this.registerForm = this.formBuilder.group({
                firstName: ['', forms.Validators.required],
                lastName: ['', forms.Validators.required],
                email: ['', forms.Validators.required],
                plainPassword: ['', forms.Validators.required],
                plainPassword2: ['', forms.Validators.required],
                newsletter: [false],
                terms: ['', forms.Validators.required],
            });
            this.ecOnInit();
        };
        RegisterFormEcComponent.ctorParameters = function () { return [
            { type: AuthService },
            { type: ToastService },
            { type: router.Router },
            { type: AnalyticsService },
            { type: forms.FormBuilder }
        ]; };
        __decorate$1m([
            core.Input()
        ], RegisterFormEcComponent.prototype, "darkMode", void 0);
        __decorate$1m([
            core.Input()
        ], RegisterFormEcComponent.prototype, "redirect", void 0);
        __decorate$1m([
            core.Input()
        ], RegisterFormEcComponent.prototype, "complete", void 0);
        __decorate$1m([
            core.Output()
        ], RegisterFormEcComponent.prototype, "ready", void 0);
        RegisterFormEcComponent = __decorate$1m([
            core.Component({
                selector: 'app-register-form-ec',
                template: "<div class=\"w-100 pl-md-5 position-relative\" id=\"register\">\n    <div class=\"py-2\">\n        <h5>CREAR CUENTA</h5>\n    </div>\n    <form id=\"registro\" [formGroup]=\"registerForm\" (submit)=\"register($event)\">\n        <div class=\"form-group\">\n            <label for=\"\" class=\"form-label\">NOMBRE</label>\n            <input formControlName=\"firstName\" class=\"form-control rounded-0\" type=\"text\" placeholder=\"Nombre\">\n        </div>\n        <div class=\"form-group\">\n            <label for=\"\" class=\"form-label\">APELLIDO</label>\n            <input formControlName=\"lastName\" class=\"form-control rounded-0\" type=\"text\" placeholder=\"Apellido\">\n        </div>\n        <div class=\"form-group\">\n            <label for=\"\" class=\"\">CORREO ELECTRONICO</label>\n            <input formControlName=\"email\" email required class=\"form-control rounded-0\" type=\"email\"\n                placeholder=\"Correo electr\u00F3nico\">\n        </div>\n        <div class=\"form-group\">\n            <label for=\"\" class=\"form-label\">CONTRASE\u00D1A</label>\n            <input formControlName=\"plainPassword\" required class=\"form-control rounded-0\" type=\"password\"\n                placeholder=\"Contrase\u00F1a\">\n        </div>\n        <div class=\"form-group\">\n            <label for=\"\" class=\"form-label\">REPETIR CONTRASE\u00D1A</label>\n            <input formControlName=\"plainPassword2\" required class=\"form-control rounded-0\" type=\"password\"\n                placeholder=\"Repetir contrase\u00F1a\">\n        </div>\n\n        <div class=\"custom-control d-flex flex-row form-check custom-checkbox mr-sm-2 mt-4 mb-2\">\n            <input type=\"checkbox\" formControlName=\"terms\" required class=\"custom-control-input form-check-input\" name=\"Color2\"\n                id=\"Color2\">\n            <label class=\"custom-control-label ff-ubuntu-light font-sm form-check-label\" for=\"Color2\"> He\n                le\u00EDdo y acepto las pol\u00EDticas de privacidad y los t\u00E9rminos y\n                condiciones</label>\n        </div>\n\n        <div class=\"custom-control d-flex flex-row form-check custom-checkbox mr-sm-2 mb-4\">\n            <input type=\"checkbox\" formControlName=\"newsletter\" class=\"custom-control-input form-check-input\" name=\"Color3\" id=\"Color3\">\n            <label class=\"custom-control-label form-check-label ff-ubuntu-light font-sm\" for=\"Color3\">\n                Suscripci\u00F3n al Newsletter</label>\n        </div>\n\n        <div class=\"row\">\n            <div class=\"col-12\">\n                <button [disabled]=\"registerForm.invalid\" type=\"submit\"\n                    class=\"btn btn-dark bg-black btn-block px-5 py-2 rounded-0 h-fit\">CREAR</button>\n            </div>\n        </div>\n    </form>\n    <app-loading-section-ec *ngIf=\"register_loading\"></app-loading-section-ec>\n</div>",
                styles: [".loading-container-form{margin-top:20px}#register{color:#000;font-size:.8rem}#register.dark{color:#fff}"]
            })
        ], RegisterFormEcComponent);
        return RegisterFormEcComponent;
    }(ComponentHelper));

    var __extends$O = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$1n = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var LoginFormEcComponent = /** @class */ (function (_super) {
        __extends$O(LoginFormEcComponent, _super);
        function LoginFormEcComponent(authService, toastrService, formBuilder, router) {
            var _this = _super.call(this) || this;
            _this.authService = authService;
            _this.toastrService = toastrService;
            _this.formBuilder = formBuilder;
            _this.router = router;
            _this.darkMode = false;
            _this.redirect = true;
            _this.redirectTo = '/';
            _this.complete = true;
            _this.title = 'login';
            /* @Input() withRoles: UserRoleType[] = [UserRoleType.SELLER, UserRoleType.RETAILER, UserRoleType.WHOLESALER] */
            /* @Input() withRoles: UserRoleType[] = [] */
            _this.ready = new core.EventEmitter();
            _this.loggedIn = false;
            _this.loading = false;
            _this.login = function ($event, withRoles) {
                if (withRoles === void 0) { withRoles = []; }
                $event.preventDefault();
                _this.loading = true;
                if (!_this.loginForm.valid) {
                    _this.toastrService.show('Aún hay datos sin completar');
                    _this.loading = false;
                    return;
                }
                _this.authService.login(_this.loginForm.value, withRoles).toPromise().then(function (res) {
                    if (res == 'ok') {
                        _this.ready.emit(_this.loginForm.value.username);
                        _this.loading = false;
                        _this.loggedIn = true;
                        if (_this.redirect)
                            setTimeout(function () { return _this.redirectHome(); }, 500);
                    }
                    else {
                        if (res == 'error') {
                            _this.toastrService.show('invalid-credentials');
                            _this.loading = false;
                            return;
                        }
                        _this.loading = false;
                    }
                }, function (err) {
                    _this.loading = false;
                });
            };
            _this.redirectHome = function () {
                var resolverFunction = _this.authService.getHomeResolver();
                resolverFunction
                    ? resolverFunction()
                    : _this.router.navigateByUrl(_this.redirectTo);
            };
            _this.ecOnConstruct();
            return _this;
        }
        LoginFormEcComponent.prototype.ngOnInit = function () {
            this.redirect && this.authService.isAuthenticated() && this.redirectHome();
            !this.authService.isAuthenticated() && localStorage.removeItem('mail');
            this.loginForm = this.formBuilder.group({
                username: ['', forms.Validators.required],
                password: ['', forms.Validators.required]
            });
            this.ecOnInit();
        };
        LoginFormEcComponent.ctorParameters = function () { return [
            { type: AuthService },
            { type: ToastService },
            { type: forms.FormBuilder },
            { type: router.Router }
        ]; };
        __decorate$1n([
            core.Input()
        ], LoginFormEcComponent.prototype, "darkMode", void 0);
        __decorate$1n([
            core.Input()
        ], LoginFormEcComponent.prototype, "redirect", void 0);
        __decorate$1n([
            core.Input()
        ], LoginFormEcComponent.prototype, "redirectTo", void 0);
        __decorate$1n([
            core.Input()
        ], LoginFormEcComponent.prototype, "complete", void 0);
        __decorate$1n([
            core.Input()
        ], LoginFormEcComponent.prototype, "title", void 0);
        __decorate$1n([
            core.Output()
        ], LoginFormEcComponent.prototype, "ready", void 0);
        LoginFormEcComponent = __decorate$1n([
            core.Component({
                selector: 'app-login-form-ec',
                template: "<div class=\"d-flex flex-column position-relative\">\n    <h1 class=\"right-line ff-ubuntu-light mb-2\"><span>Ingresar</span></h1>\n    <p class=\"ff-ubuntu-light font-sm pr-4\">\n        Si ya est\u00E1s registrado. Ingresa en tu cuenta con tu email y la\n        contrase\u00F1a adecuada.\n    </p>\n    <div class=\"w-md-50 w-100 text-center\">\n        <form [formGroup]=\"loginForm\" (submit)=\"login($event)\">\n            <input class=\"form-control mb-4 radius-0\" type=\"email\" formControlName=\"username\"\n                placeholder=\"Correo Electr\u00F3nico\">\n            <input class=\"form-control mb-4 radius-0\" type=\"password\" formControlName=\"password\"\n                placeholder=\"Contrase\u00F1a\">\n            \n            <div class=\"row d-flex flex-column\">\n                <div class=\"col-12\">\n                    <button type=\"submit\"\n                        class=\"bg-gray border-0 px-4 py-2 color-white ff-ubuntu-light\">INGRESAR</button>\n                </div>\n                <div class=\"col-12 d-flex justify-content-center align-items-center\">\n                    <a [routerLink]=\"'/auth/forgot-password'\" class=\"font-md ff-ubuntu-light\">\n                            \u00BFOlvid\u00F3 su contrase\u00F1a?\n                    </a>\n                </div>\n            </div>\n    </form>\n    </div>\n    <div *ngIf=\"!loading; else loadingView\"></div>\n</div>\n<ng-template #loadingView>\n    <app-loading-section-ec></app-loading-section-ec>\n</ng-template>\n\n\n<select-channel-ec></select-channel-ec>",
                styles: [".loading-container-form{margin-top:20px}#login{color:#000;font-size:.8rem}#login.dark{color:#fff}"]
            })
        ], LoginFormEcComponent);
        return LoginFormEcComponent;
    }(ComponentHelper));

    var __extends$P = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$1o = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var ForgotPasswordEcComponent = /** @class */ (function (_super) {
        __extends$P(ForgotPasswordEcComponent, _super);
        function ForgotPasswordEcComponent(authService, toastr) {
            var _this = _super.call(this) || this;
            _this.authService = authService;
            _this.toastr = toastr;
            _this.email = "";
            _this.loading = false;
            _this.ready = false;
            _this.recoverPassword = function (event) {
                event.preventDefault();
                if (!_this.validEmail())
                    _this.toastr.show('invalid-email');
                else {
                    _this.loading = true;
                    _this.authService.recoverPassword(_this.email).toPromise()
                        .then(_this.processOk, _this.processOk).catch(_this.processOk);
                }
            };
            _this.processOk = function (response) {
                _this.loading = false;
                _this.ready = true;
            };
            _this.processError = function (response) {
                _this.loading = false;
                (!response || response.error)
                    ? _this.toastr.show('non-existent-email')
                    : _this.toastr.show(response.error);
            };
            _this.validEmail = function () { return _this.email != '' && _this.email.includes('@'); };
            _this.ecOnConstruct();
            return _this;
        }
        ForgotPasswordEcComponent.prototype.ngOnInit = function () {
            this.ecOnInit();
        };
        ForgotPasswordEcComponent.ctorParameters = function () { return [
            { type: AuthService },
            { type: ToastService }
        ]; };
        ForgotPasswordEcComponent = __decorate$1o([
            core.Component({
                selector: 'app-forgot-password-ec',
                template: "<div class=\"container\" id=\"passReset\">\n\n    <div *ngIf=\"!ready; else readyView\">\n        <form (submit)=\"recoverPassword($event)\" class=\"row justify-content-center\">\n            <div class=\"col-12 col-md-10 text-center\">\n                <h3>{{ 'set-forgot-email' | translate }}</h3>\n                <div class=\"element-container\">\n                    <input type=\"email\" [(ngModel)]=\"email\" class=\"form-control\"\n                        [ngModelOptions]=\"{standalone: true}\" />\n                </div>\n                <button class=\"btn btn-primary btn-passreset my-2\" type=\"submit\">{{ 'recover-password' | translate\n                    }}</button>\n\n                <div *ngIf=\"loading\">\n                    <app-loading-inline-ec></app-loading-inline-ec>\n                </div>\n            </div>\n        </form>\n    </div>\n</div>\n\n<ng-template #readyView>\n    <div class=\"row\">\n        <div class=\"col-12 col-md-8\">\n            <div class=\"element-container text-center\">\n                <h3>{{ 'mail-sent' | translate }}</h3>\n            </div>\n            <div class=\"element-container text-center\">\n                <h5 class=\"center-text\">{{ 'check-your-email' | translate }}</h5>\n            </div>\n        </div>\n    </div>\n</ng-template>",
                styles: [""]
            })
        ], ForgotPasswordEcComponent);
        return ForgotPasswordEcComponent;
    }(ComponentHelper));

    var __extends$Q = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$1p = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var ConfirmAccountEcComponent = /** @class */ (function (_super) {
        __extends$Q(ConfirmAccountEcComponent, _super);
        function ConfirmAccountEcComponent(authService, activedRoute) {
            var _this = _super.call(this) || this;
            _this.authService = authService;
            _this.activedRoute = activedRoute;
            _this.ok = false;
            _this.error = false;
            _this.onSuccess = function () {
                _this.ok = true;
            };
            _this.onError = function () {
                _this.error = true;
            };
            _this.ecOnConstruct();
            return _this;
        }
        ConfirmAccountEcComponent.prototype.ngOnInit = function () {
            var token = this.activedRoute.snapshot.queryParams.token;
            this.authService.confirmAccount(token).toPromise().then(this.onSuccess, this.onSuccess).catch(this.onSuccess);
            this.ecOnInit();
        };
        ConfirmAccountEcComponent.ctorParameters = function () { return [
            { type: AuthService },
            { type: router.ActivatedRoute }
        ]; };
        ConfirmAccountEcComponent = __decorate$1p([
            core.Component({
                selector: 'app-confirm-account-ec',
                template: "<div class=\"mt-5 mb-5\">\n     <div class=\"row\">\n          <div class=\"col-md-12 col-12 text-center\">\n               <h4 class=\"confirm-title text-white py-3 text-uppercase d-inline-block\">\n                    {{ ('thanks-for-register' | translate) | uppercase }}</h4>\n          </div>\n     </div>\n     \n     \n     <div class=\"row\">\n          <div class=\"col-md-12 col-12 text-center\">\n               <h4>{{ 'thanks-for-register-detail' | translate }}</h4>\n               <br>\n               <a routerLink=\"/auth/login\">\n                    <button class=\"btn bg-golden color-white radius-0\" type=\"button\">{{ 'login' | translate |\n                         uppercase }}</button>\n               </a>\n               <br>\n               <br>\n          </div>\n     </div>\n</div>",
                styles: [".loading-container-form{margin-top:100px;position:absolute;width:100%}.confirm-title{font-size:26px;border-bottom:1px solid #ccc}"]
            })
        ], ConfirmAccountEcComponent);
        return ConfirmAccountEcComponent;
    }(ComponentHelper));

    var __extends$R = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$1q = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var PasswordResetEcComponent = /** @class */ (function (_super) {
        __extends$R(PasswordResetEcComponent, _super);
        function PasswordResetEcComponent(authService, toastr, activedRoute, router, formBuilder) {
            var _this = _super.call(this) || this;
            _this.authService = authService;
            _this.toastr = toastr;
            _this.activedRoute = activedRoute;
            _this.router = router;
            _this.formBuilder = formBuilder;
            _this.email = "";
            _this.loading = false;
            _this.ready = false;
            _this.sendNewPassword = function (event) {
                event.preventDefault();
                if (_this.invalidForm())
                    return;
                _this.loading = true;
                _this.authService.passwordReset(_this.formGroup.value.first, _this.token).toPromise()
                    .then(_this.processOk)
                    .catch(_this.processError);
            };
            _this.invalidForm = function () {
                if (_this.formGroup.valid) {
                    var passwords = _this.formGroup.value;
                    if (passwords.first == passwords.second)
                        return false;
                    else
                        _this.toastr.show('password-doesnt-match');
                }
                else
                    _this.toastr.show('invalid-form');
                return true;
            };
            _this.processOk = function (response) {
                _this.loading = false;
                _this.ready = true;
            };
            _this.processError = function (response) {
                _this.loading = false;
                (!response || response.error)
                    ? _this.toastr.show('operation-error')
                    : _this.toastr.show(response.error);
            };
            _this.sendToLogin = function () { return _this.router.navigateByUrl('/auth/login'); };
            _this.ecOnConstruct();
            return _this;
        }
        PasswordResetEcComponent.prototype.ngOnInit = function () {
            this.token = this.activedRoute.snapshot.queryParams.token;
            !this.token && this.router.navigateByUrl('/');
            this.formGroup = this.formBuilder.group({
                first: ['', forms.Validators.required],
                second: ['', forms.Validators.required]
            });
            this.ecOnInit();
        };
        PasswordResetEcComponent.ctorParameters = function () { return [
            { type: AuthService },
            { type: ToastService },
            { type: router.ActivatedRoute },
            { type: router.Router },
            { type: forms.FormBuilder }
        ]; };
        PasswordResetEcComponent = __decorate$1q([
            core.Component({
                selector: 'app-password-reset-ec',
                template: "<div class=\"container\">\n    <div class=\"row\">\n     <div *ngIf=\"!ready; else readyView\">\n          <form [formGroup]=\"formGroup\" (submit)=\"sendNewPassword($event)\">\n               <div class=\"col-12 col-md-12\">\n                    <h3>{{ 'set-new-password' | translate }}</h3>\n               </div>\n               <label class=\"form-label\">{{ 'set-password' | translate }}</label>\n               <div class=\"element-container\">\n                    <input type=\"password\" formControlName=\"first\" class=\"form-control\" />\n               </div>\n               <label class=\"form-label\">{{ 'repeat-password' | translate }}</label>\n               <div class=\"element-container\">\n                    <input type=\"password\" formControlName=\"second\" class=\"form-control\" />\n               </div>\n               <div class=\"element-container mt-5\">\n                    <button type=\"submit\" class=\"btn btn-primary\">{{ 'update' | translate }}</button>\n               </div>\n               <div *ngIf=\"loading\">\n                    <app-loading-inline-ec></app-loading-inline-ec>\n               </div>\n          </form>\n     </div>\n     </div>\n</div>\n\n<ng-template #readyView>\n     <div class=\"col-12 col-md-10 col-lg-8\">\n          <div class=\"element-container\">\n               <h3>{{ 'updated-password' | translate }}</h3>\n          </div>\n          <div class=\"element-container mt-5\">\n               <h5 class=\"center-text\">{{ 'updated-password-detail' | translate }}</h5>\n          </div>\n          <div class=\"element-container mt-5\">\n               <button class=\"btn btn-primary\" (click)=\"sendToLogin()\">{{ 'login' | translate }}</button>\n          </div>\n     </div>\n</ng-template>",
                styles: [""]
            })
        ], PasswordResetEcComponent);
        return PasswordResetEcComponent;
    }(ComponentHelper));

    var __extends$S = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$1r = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var RegisterWholesalerFormEcComponent = /** @class */ (function (_super) {
        __extends$S(RegisterWholesalerFormEcComponent, _super);
        function RegisterWholesalerFormEcComponent(authService, toastr, router, consts, paramsService, formBuilder) {
            var _this = _super.call(this) || this;
            _this.authService = authService;
            _this.toastr = toastr;
            _this.router = router;
            _this.consts = consts;
            _this.paramsService = paramsService;
            _this.formBuilder = formBuilder;
            _this.provincesSubject = new rxjs.BehaviorSubject([]);
            _this.countriesSubject = new rxjs.BehaviorSubject([]);
            _this.documentTypesSubject = new rxjs.BehaviorSubject([]);
            _this.provinces$ = _this.provincesSubject.asObservable();
            _this.countries$ = _this.countriesSubject.asObservable();
            _this.documentTypes$ = _this.documentTypesSubject.asObservable();
            _this.isLogged = true;
            _this.darkMode = false;
            _this.redirect = true;
            _this.complete = true;
            _this.ready = new core.EventEmitter();
            _this.success = false;
            _this.requestTerms = false;
            _this.campospersonajuridica = false;
            _this.params = {};
            _this.onCountrySelected = function (value) {
                $('#selectOpPais').attr('disabled', true);
                _this.registerForm.controls['countryCode'].setValue(value);
                _this.registerForm.controls['provinceCode'].setValue('');
                value != '' && _this.provincesSubject.next(_this.countriesSubject.value.find(function (country) { return country.code == value; }).provinces);
            };
            _this.onProvincesSelected = function (value) {
                $('#selectOpProvincia').attr('disabled', true);
                _this.registerForm.controls['provinceName'].setValue(_this.provincesSubject.value.find(function (province) { return province.code == value; }).name);
            };
            _this.onGenderSelected = function (value) {
                $('#selectOpSexo').attr('disabled', true);
            };
            _this.onDocumentTypeSelected = function (value) {
                $('#selectOpDocumentType').attr('disabled', true);
            };
            _this.redirectHome = function () {
                _this.router.navigateByUrl('/');
            };
            _this.register = function (event) {
                event.preventDefault();
                _this.register_loading = true;
                if (!_this.registerForm.valid) {
                    _this.toastr.show('Aún hay campos sin completar o invalidos');
                    _this.register_loading = false;
                    return;
                }
                ;
                _this.register_loading = true;
                if (_this.registerForm.valid) {
                    _this.authService.signUpWholesaler(_this.registerForm.value).toPromise().then(function (res) {
                        _this.register_loading = false;
                        _this.toastr.show('register-ok');
                        _this.success = true;
                        _this.ready.emit(true);
                        if (_this.redirect) {
                            _this.router.navigateByUrl('home');
                        }
                    }, function (error) {
                        _this.register_loading = false;
                        if (error.status == 400) {
                            _this.toastr.show('El email ingresado ya se encuentra registrado.');
                        }
                        else {
                            _this.toastr.show('Error en el registro. Vuelva a intentarlo más tarde.');
                        }
                    });
                }
                else {
                    _this.toastr.show('invalid-form');
                    _this.register_loading = false;
                }
            };
            _this.ecOnConstruct();
            return _this;
        }
        RegisterWholesalerFormEcComponent.prototype.ngOnInit = function () {
            var _this = this;
            this.paramsService.parameters.subscribe(function (res) { return _this.params = res; });
            this.registerForm = this.formBuilder.group({
                firstName: ['', [forms.Validators.required]],
                lastName: ['', [forms.Validators.required]],
                documentType: [null, [forms.Validators.required]],
                documentNumber: ['', [forms.Validators.required]],
                email: ['', [forms.Validators.required, forms.Validators.email]],
                plainPassword: ['', forms.Validators.required],
                plainPassword2: ['', []],
                countryCode: [null, forms.Validators.required],
                street: [null, [forms.Validators.maxLength(50)]],
                city: ['', forms.Validators.required],
                postcode: ['', forms.Validators.required],
                provinceName: ['', forms.Validators.required],
                provinceCode: [null, forms.Validators.required],
                companyName: ['', [forms.Validators.required]],
                phoneNumber: ['', [forms.Validators.required, forms.Validators.pattern('[0-9]+')]],
                gender: [null, []],
                birthday: [null, [forms.Validators.maxLength(11)]],
                taxIdentification: ['', forms.Validators.required],
                comments: ['', []],
                contactFirstName: ['', []],
                contactLastName: ['', []],
                contactCompanyPosition: ['', []],
                contactEmail: ['', []],
                contactDocumentType: ['', []],
                contactDocumentNumber: ['', []],
                subscribedToNewsletter: [false],
                terms: [true, forms.Validators.required],
            });
            this.authService.getCountriesData().then(function (res) {
                _this.countriesSubject.next(res);
                var documentTypes = [];
                res.map(function (paises) {
                    _this.consts.getLocale().toLocaleLowerCase().includes(paises.code.toLocaleLowerCase()) && (documentTypes = paises.documentTypes || []);
                });
                _this.documentTypesSubject.next(documentTypes);
            });
            this.ecOnInit();
        };
        RegisterWholesalerFormEcComponent.ctorParameters = function () { return [
            { type: AuthService },
            { type: ToastService },
            { type: router.Router },
            { type: Constants },
            { type: ParametersService },
            { type: forms.FormBuilder }
        ]; };
        __decorate$1r([
            core.Input()
        ], RegisterWholesalerFormEcComponent.prototype, "darkMode", void 0);
        __decorate$1r([
            core.Input()
        ], RegisterWholesalerFormEcComponent.prototype, "redirect", void 0);
        __decorate$1r([
            core.Input()
        ], RegisterWholesalerFormEcComponent.prototype, "complete", void 0);
        __decorate$1r([
            core.Output()
        ], RegisterWholesalerFormEcComponent.prototype, "ready", void 0);
        RegisterWholesalerFormEcComponent = __decorate$1r([
            core.Component({
                selector: 'app-register-wholesaler-form-ec',
                template: "\n<div class=\"container\">\n    <div class=\"row\">\n        <div class=\"col-12\">\n            <div class=\"\">\n                <div class=\"pt-5 pb-3 border-bottom\">\n                    <h3 class=\"my-auto mx-2 text-left w-fit bold text-beige1 white-space-md-nowrap\">CREAR CUENTA MAYORISTA</h3>\n                </div>\n                <div class=\" py-3\">\n                    <p>Si todavia no tienes una cuenta de grandes consumidores en Vi\u00F1als registrate ingresando estos\n                        datos:</p>\n                </div>\n                <form [formGroup]=\"registerForm\" (submit)=\"register($event)\" class=\"position-relative\">\n                    <div class=\"row w-100 mx-auto d-flex justify-content-center px-0 py-3\">\n            \n                        <div class=\"col-12 col-md-6 px-0 pr-md-1\">\n                            <div class=\"form-group\">\n                                <label for=\"\">Nombre</label>\n                                <input type=\"text\" id=\"\" placeholder=\"Nombre\" required name=\"firstName\"\n                                    formControlName=\"firstName\"\n                                    [class]=\"registerForm.controls.firstName.touched ? (registerForm.controls.firstName.valid && registerForm.controls.firstName.touched) ?  'form-control rounded-0 is-valid' :  'form-control rounded-0 is-invalid' : 'form-control rounded-0'\">\n                                <span class=\"invalid-feedback\">El nombre es un campo obligatorio.</span>\n                            </div>\n                        </div>\n                        <div class=\"col-12 col-md-6 px-0 pl-md-1\">\n                            <div class=\"form-group\">\n                                <label for=\"\">Apellidos</label>\n                                <input type=\"text\" id=\"\" placeholder=\"Apellido\" required\n                                    name=\"lastName\" formControlName=\"lastName\"\n                                    [class]=\"registerForm.controls.lastName.touched ? (registerForm.controls.lastName.valid && registerForm.controls.lastName.touched) ?  'form-control rounded-0 is-valid' :  'form-control rounded-0 is-invalid' : 'form-control rounded-0'\">\n                                <span class=\"invalid-feedback\">El apellido es un campo obligatorio.</span>\n                            </div>\n                        </div>\n            \n                        <div class=\"col-12 col-md-6 px-0 pr-md-1\">\n                            <div class=\"form-group\">\n                                <label for=\"\">Email</label>\n                                <input type=\"email\" id=\"\" placeholder=\"Email\" email required\n                                    name=\"email\" formControlName=\"email\"\n                                    [class]=\"registerForm.controls.email.touched ? (registerForm.controls.email.valid && registerForm.controls.email.touched) ?  'form-control rounded-0 is-valid' :  'form-control rounded-0 is-invalid' : 'form-control rounded-0'\">\n                                <span class=\"invalid-feedback\">El email no posee un formato correcto.</span>\n                            </div>\n                        </div>\n                        <div class=\"col-12 col-md-6 px-0 pl-md-1\">\n                            <div class=\"form-group\">\n                                <label for=\"\">Contrase\u00F1a</label>\n                                <input type=\"password\" id=\"\" placeholder=\"Contrase\u00F1a\" required\n                                    name=\"plainPassword\" formControlName=\"plainPassword\"\n                                    [class]=\"registerForm.controls.plainPassword.touched ? (registerForm.controls.plainPassword.valid && registerForm.controls.plainPassword.touched) ?  'form-control rounded-0 is-valid' :  'form-control rounded-0 is-invalid' : 'form-control rounded-0'\">\n                                <span class=\"invalid-feedback\">La contrase\u00F1a es un campo obligatorio.</span>\n                            </div>\n                        </div>\n            \n                        <div class=\"col-12 col-md-6 px-0 pl-md-1\" *ngIf=\"(countries$ | async) as countries\">\n                            <div class=\"form-group\">\n                                <label for=\"\">{{'country'|translate}}</label>\n                                <select name=\"countryCode\" formControlName=\"countryCode\" required\n                                    (change)=\"onCountrySelected($event.target.value)\"\n                                    [class]=\"registerForm.controls.countryCode.touched ? (registerForm.controls.countryCode.valid && registerForm.controls.countryCode.touched) ?  'form-control rounded-0 is-valid' :  'form-control rounded-0 is-invalid' : 'form-control rounded-0'\">\n                                    <option value=\"null\" id=\"selectOpPais\">Seleccione un pais</option>\n                                    <option *ngFor=\"let country of countries\" [value]=\"country.code\"> {{ country.name }}</option>\n                                </select>\n                                <span class=\"invalid-feedback\">{{'country-help'|translate}}</span>\n                            </div>\n                        </div>\n            \n                        <div class=\"col-12 col-md-6 px-0 pl-md-1\" *ngIf=\"(provinces$ | async) as provinces\">\n                            <div class=\"form-group\">\n                                <label for=\"\">{{'state'|translate}}</label>\n                                <select name=\"provinceCode\" formControlName=\"provinceCode\" required\n                                    (change)=\"onProvincesSelected($event.target.value)\"\n                                    [class]=\"registerForm.controls.countryCode.touched ? (registerForm.controls.countryCode.valid && registerForm.controls.countryCode.touched) ?  'form-control rounded-0 is-valid' :  'form-control rounded-0 is-invalid' : 'form-control rounded-0'\">\n                                    <option value=\"null\" id=\"selectOpProvincia\">Seleccione una provincia</option>\n                                    <option *ngFor=\"let province of provinces\" [value]=\"province.code\">{{ province.name }}</option>\n                                </select>\n                                <span class=\"invalid-feedback\">{{'state-help'|translate}}</span>\n                            </div>\n                        </div>\n            \n                        <div class=\"col-12 col-md-6 px-0 pl-md-1\">\n                            <div class=\"form-group\">\n                                <label for=\"\">{{'address'|translate}}</label>\n                                <input placeholder=\"{{'address'|translate}}\" required type=\"text\" name=\"street\"\n                                    formControlName=\"street\"\n                                    [class]=\"registerForm.controls.street.touched ? (registerForm.controls.street.valid && registerForm.controls.street.touched) ?  'form-control rounded-0 is-valid' :  'form-control rounded-0 is-invalid' : 'form-control rounded-0'\">\n                                <span class=\"invalid-feedback\">{{'address-help1'|translate}}</span>\n                            </div>\n                        </div>\n            \n                        <div class=\"col-12 col-md-6 px-0 pl-md-1\">\n                            <div class=\"form-group\">\n                                <label for=\"\">{{'town-city'|translate}}</label>\n                                <input placeholder=\"{{'town-city'|translate}}\" required type=\"text\" name=\"city\"\n                                    formControlName=\"city\"\n                                    [class]=\"registerForm.controls.city.touched ? (registerForm.controls.city.valid && registerForm.controls.city.touched) ?  'form-control rounded-0 is-valid' :  'form-control rounded-0 is-invalid' : 'form-control rounded-0'\">\n                                <span class=\"invalid-feedback\">{{'town-city-help'|translate}}</span>\n                            </div>\n                        </div>\n            \n            \n                        <div class=\"col-12 col-md-6 px-0 pl-md-1\">\n                            <div class=\"form-group\">\n                                <label for=\"\">{{'postal-code'|translate}}</label>\n                                <input placeholder=\"{{'postal-code'|translate}}\" required type=\"text\" name=\"postcode\"\n                                    formControlName=\"postcode\"\n                                    [class]=\"registerForm.controls.postcode.touched ? (registerForm.controls.postcode.valid && registerForm.controls.postcode.touched) ?  'form-control rounded-0 is-valid' :  'form-control rounded-0 is-invalid' : 'form-control rounded-0'\">\n                                <span class=\"invalid-feedback\">{{'postal-code-help'|translate}}</span>\n                            </div>\n                        </div>\n            \n            \n            \n                        <div class=\"col-12 col-md-6 px-0 pr-md-1\">\n                            <div class=\"form-group\">\n                                <label for=\"\">Nombre compa\u00F1\u00EDa</label>\n                                <input type=\"text\" id=\"\" placeholder=\"Nombre compa\u00F1\u00EDa\" required\n                                    name=\"companyName\" formControlName=\"companyName\"\n                                    [class]=\"registerForm.controls.companyName.touched ? (registerForm.controls.companyName.valid && registerForm.controls.companyName.touched) ?  'form-control rounded-0 is-valid' :  'form-control rounded-0 is-invalid' : 'form-control rounded-0'\">\n                                <span class=\"invalid-feedback\">El nombre compa\u00F1\u00EDa es un campo obligatorio.</span>\n                            </div>\n                        </div>\n            \n                        <div class=\"col-12 col-md-6 px-0 pr-md-1\">\n                            <div class=\"form-group\">\n                                <label for=\"\">{{'phone'|translate}}</label>\n                                <input type=\"text\" id=\"\" placeholder=\"{{'phone'|translate}}\" required\n                                    name=\"phoneNumber\" formControlName=\"phoneNumber\"\n                                    [class]=\"registerForm.controls.phoneNumber.touched ? (registerForm.controls.phoneNumber.valid && registerForm.controls.phoneNumber.touched) ?  'form-control rounded-0 is-valid' :  'form-control rounded-0 is-invalid' : 'form-control rounded-0'\">\n                                <span class=\"invalid-feedback\">El numero de telefono es un campo obligatorio.</span>\n                            </div>\n                        </div>\n            \n                        <div class=\"col-12 col-md-6 px-0 pr-md-1\">\n                            <div class=\"form-group\">\n                                <label for=\"\">Sexo</label>\n                                <select (change)=\"onGenderSelected($event.target.value)\" required name=\"gender\"\n                                    formControlName=\"gender\"\n                                    [class]=\"registerForm.controls.gender.touched ? (registerForm.controls.gender.valid && registerForm.controls.gender.touched) ?  'form-control rounded-0 is-valid' :  'form-control rounded-0 is-invalid' : 'form-control rounded-0'\">\n                                    <option value=\"null\" id=\"selectOpSexo\">Sexo</option>\n                                    <option value=\"u\">Desconocido</option>\n                                    <option value=\"s\">Femenino</option>\n                                    <option value=\"m\">Masculino</option>\n                                </select>\n                                <span class=\"invalid-feedback\">El sexo es un campo obligatorio.</span>\n                            </div>\n                        </div>\n            \n                        <div class=\"col-12 col-md-6 px-0 pr-md-1\">\n                            <div class=\"form-group\">\n                                <label for=\"\">Fecha creacion</label>\n                                <input type=\"date\" id=\"\" placeholder=\"Fecha creacion\" required\n                                    name=\"birthday\" formControlName=\"birthday\"\n                                    [class]=\"registerForm.controls.birthday.touched ? (registerForm.controls.birthday.valid && registerForm.controls.birthday.touched) ?  'form-control rounded-0 is-valid' :  'form-control rounded-0 is-invalid' : 'form-control rounded-0'\">\n                                <span class=\"invalid-feedback\">La fecha de creacion es un campo obligatorio.</span>\n                            </div>\n                        </div>\n            \n                        <div class=\"col-12 col-md-6 px-0 pr-md-1\">\n                            <div class=\"form-group\">\n                                <label for=\"\">Identificacion</label>\n                                <input type=\"text\" id=\"\" placeholder=\"Identificacion\" required\n                                    name=\"taxIdentification\" formControlName=\"taxIdentification\"\n                                    [class]=\"registerForm.controls.taxIdentification.touched ? (registerForm.controls.taxIdentification.valid && registerForm.controls.taxIdentification.touched) ?  'form-control rounded-0 is-valid' :  'form-control rounded-0 is-invalid' : 'form-control rounded-0'\">\n                                <span class=\"invalid-feedback\">La identificacion de la compa\u00F1\u00EDa es un campo obligatorio.</span>\n                            </div>\n                        </div>\n            \n            \n            \n                        <div class=\"col-12 col-md-6 px-0 py-4 pl-md-1 order-1 order-md-2\">\n                            <!-- <div class=\"form-check py-2\">\n                                <input class=\"form-check-input\" type=\"checkbox\" value=\"\" id=\"defaultCheck1\" #terms=\"ngModel\"\n                                    name=\"terms\" [(ngModel)]=\"registroUsuario.terms\" type=\"checkbox\" required\n                                    [class]=\"terms.touched ? (terms.valid && terms.touched && registroUsuario.terms != false) ?  'form-check-input is-valid' :  'form-check-input is-invalid' : 'form-check-input '\" />\n                                <label class=\"form-check-label\" for=\"defaultCheck1\">\n                                    He leido y acepto las <a routerLink=\"/section/politicas-privacidad\" class=\"text\">pol\u00EDticas de\n                                        privacidad</a>\n                                    y los <a routerLink=\"/section/terminos-y-condiciones\" class=\"text\">t\u00E9rminos y condiciones</a>\n                                </label>\n                                <span class=\"invalid-feedback\">Debe aceptar los t\u00E9rminos y condiciones para continuar.</span>\n                            </div> -->\n                            <div class=\"form-check py-2\">\n                                <input class=\"form-check-input\" type=\"checkbox\" value=\"\" id=\"defaultCheck2\"\n                                    name=\"subscribedToNewsletter\" formControlName=\"subscribedToNewsletter\" type=\"checkbox\">\n                                <label class=\"form-check-label\" for=\"defaultCheck2\">\n                                    Suscripci\u00F3n al newsletter\n                                </label>\n                            </div>\n                        </div>\n            \n                        <div class=\"col-12 col-md-6 px-0 py-4 pr-md-1 d-flex justify-content-md-start order-2 order-md-1\">\n                            <button *ngIf=\"!register_loading\" type=\"submit\" role=\"button\"\n                                class=\"btn btn-dark bg-beige1 text-blanco bold rounded-0 px-5 py-2 w-100 w-md-auto h-fit\">REGISTRATE</button>\n                        </div>\n            \n                    </div>\n                    <app-loading-section-ec *ngIf=\"register_loading\"></app-loading-section-ec>\n                </form>\n            </div>\n        </div>\n    </div>\n</div>",
                styles: [".loading-container-form{margin-top:20px}#register{color:#000;font-size:.8rem}#register.dark{color:#fff}#selectOpPais,#selectOpProvincia,#selectOpSexo{color:#666}"]
            })
        ], RegisterWholesalerFormEcComponent);
        return RegisterWholesalerFormEcComponent;
    }(ComponentHelper));

    var __extends$T = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$1s = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var ShareBlockEcComponent = /** @class */ (function (_super) {
        __extends$T(ShareBlockEcComponent, _super);
        function ShareBlockEcComponent(consts, paramsService, renderer, meta, title) {
            var _this = _super.call(this) || this;
            _this.consts = consts;
            _this.paramsService = paramsService;
            _this.renderer = renderer;
            _this.meta = meta;
            _this.title = title;
            _this.url = '';
            _this.mediaimg = '';
            _this.description = '';
            _this.params = {};
            _this.toShareFacebook = function () {
                //return `https://www.facebook.com/share.php?u=${encodeURIComponent(this.url)}`
                return "https://www.facebook.com/share.php?u=" + _this.url;
            };
            _this.toShareTwitter = function () {
                //return `https://twitter.com/share?text=${encodeURIComponent(this.description)};url=${encodeURIComponent(this.url)}`
                return "https://twitter.com/share?text=" + _this.description + "&url=" + _this.url;
            };
            _this.toSharePinterest = function () {
                //return `https://pinterest.com/pin/create/button/?url=${encodeURIComponent(this.url)}&media=${encodeURIComponent(this.mediaimg)}&description=${encodeURIComponent(this.description)}`
                return "https://pinterest.com/pin/create/button/?url=" + _this.url + "&media=" + (_this.consts.mediaUrl() + _this.mediaimg) + "&description=" + _this.description;
            };
            _this.toShareWhatsapp = function (wsp) {
                return "https://wa.me/" + wsp.value + "?text=Me%20interesa%20este%20producto.%20" + _this.url;
            };
            _this.toShareEmail = function (mail) {
                return "mailto:" + mail.value + "?subject=Consulta%20sobre%20el%20producto:%20" + _this.description + "&body=Art\u00EDculo:%20" + _this.url;
            };
            _this.createMetadata = function () {
                //     <meta name="description" content="Cojín JOY, en algodón rústico súper soft, tonos frescos y naturales, y con detalles de borlas para darle un toque divertido.">
                // <meta property="og:site_name" content="MYC HOME LINENS">
                // <meta property="og:url" content="https://myc-homelinens.com/products/cojin-algodon-joy-azul">
                // <meta property="og:title" content="COJÍN JOY - AZUL">
                // <meta property="og:type" content="product">
                // <meta property="og:description" content="Cojín JOY, en algodón rústico súper soft, tonos frescos y naturales, y con detalles de borlas para darle un toque divertido.">
                // <meta property="og:price:amount" content="20,20">
                // <meta property="og:price:currency" content="EUR">
                // <meta property="og:image" content="http://cdn.shopify.com/s/files/1/0054/8179/1603/products/JOYAZUL45FG_f3304197-1c5a-47e2-b993-8bfcde1f9978_1200x630.png?v=1614246269">
                // <meta property="og:image" content="http://cdn.shopify.com/s/files/1/0054/8179/1603/products/JOYAZULTEXTURA_1200x630.png?v=1614246269">
                // <meta property="og:image" content="http://cdn.shopify.com/s/files/1/0054/8179/1603/products/JOYJUNTOSCUADRADA_69e9dcc0-d4d1-42e1-94f8-30f4ea263325_1200x630.png?v=1614246269">
                // <meta property="og:image:secure_url" content="https://cdn.shopify.com/s/files/1/0054/8179/1603/products/JOYAZUL45FG_f3304197-1c5a-47e2-b993-8bfcde1f9978_1200x630.png?v=1614246269">
                // <meta property="og:image:secure_url" content="https://cdn.shopify.com/s/files/1/0054/8179/1603/products/JOYAZULTEXTURA_1200x630.png?v=1614246269">
                // <meta property="og:image:secure_url" content="https://cdn.shopify.com/s/files/1/0054/8179/1603/products/JOYJUNTOSCUADRADA_69e9dcc0-d4d1-42e1-94f8-30f4ea263325_1200x630.png?v=1614246269">
                // <meta name="twitter:site" content="@">
                // <meta name="twitter:card" content="summary_large_image">
                // <meta name="twitter:title" content="COJÍN JOY - AZUL">
                // <meta name="twitter:description" content="Cojín JOY, en algodón rústico súper soft, tonos frescos y naturales, y con detalles de borlas para darle un toque divertido.">
            };
            _this.ecOnConstruct();
            return _this;
        }
        ShareBlockEcComponent.prototype.ngOnInit = function () {
            var _this = this;
            this.url = window.location.href;
            this.mediaimg = this.product.picturesdefault && this.product.picturesdefault[0];
            this.description = this.product.name;
            if (this.description) {
                this.meta.addTags([
                    {
                        name: "description",
                        content: this.description
                    },
                    {
                        property: "og:site_name",
                        content: this.title.getTitle()
                    },
                    {
                        property: "og:url",
                        content: this.url
                    },
                    {
                        property: "og:title",
                        content: this.description
                    },
                    {
                        property: "og:type",
                        content: 'product'
                    },
                    {
                        property: "og:price:amount",
                        content: this.product.price
                    },
                    {
                        property: "og:price:currency",
                        content: this.consts.currency.code
                    },
                    {
                        property: "og:image",
                        content: this.consts.mediaUrl() + this.mediaimg
                    },
                    {
                        property: "og:image:secure_url",
                        content: this.consts.mediaUrl() + this.mediaimg
                    },
                    {
                        property: "witter:site",
                        content: '@'
                    },
                    {
                        property: "twitter:card",
                        content: 'summary_large_image'
                    },
                    {
                        property: "twitter:title",
                        content: this.description
                    },
                    {
                        property: "twitter:description",
                        content: this.description
                    }
                ], true);
            }
            this.paramsService.parameters.subscribe(function (res) {
                var _a;
                _this.params = res != null ? (_a = res) === null || _a === void 0 ? void 0 : _a.filter(function (elem) { return elem.code.includes('share'); }) : [];
            });
            this.ecOnInit();
        };
        ShareBlockEcComponent.ctorParameters = function () { return [
            { type: Constants },
            { type: ParametersService },
            { type: core.Renderer2 },
            { type: platformBrowser.Meta },
            { type: platformBrowser.Title }
        ]; };
        __decorate$1s([
            core.Input()
        ], ShareBlockEcComponent.prototype, "product", void 0);
        ShareBlockEcComponent = __decorate$1s([
            core.Component({
                selector: 'app-share-block-ec',
                template: "<div class=\"w-100 d-flex justify-content-around\">\n    <ng-container *ngIf=\"params && params.length > 0; else default\">\n        <a *ngIf=\"hasParams(params, 'facebook')\" target=\"_blank\" [href]=\"toShareFacebook()\"\n            class=\"social-sharing__link\" title=\"Compartir en Facebook\">\n            <svg aria-hidden=\"true\" focusable=\"false\" role=\"presentation\" class=\"icon icon-facebook\" viewBox=\"0 0 32 32\">\n                <path fill=\"#444\"\n                    d=\"M18.56 31.36V17.28h4.48l.64-5.12h-5.12v-3.2c0-1.28.64-2.56 2.56-2.56h2.56V1.28H19.2c-3.84 0-7.04 2.56-7.04 7.04v3.84H7.68v5.12h4.48v14.08h6.4z\">\n                </path>\n            </svg>\n            <span class=\"social-sharing__title\" aria-hidden=\"true\">Compartir</span>\n        </a>\n        <a *ngIf=\"hasParams(params, 'twitter')\" target=\"_blank\" \n            [href]=\"toShareTwitter()\"\n            class=\"social-sharing__link\" title=\"Tuitear en Twitter\">\n            <svg aria-hidden=\"true\" focusable=\"false\" role=\"presentation\" class=\"icon icon-twitter\" viewBox=\"0 0 32 32\">\n                <path fill=\"#444\"\n                    d=\"M31.281 6.733q-1.304 1.924-3.13 3.26 0 .13.033.408t.033.408q0 2.543-.75 5.086t-2.282 4.858-3.635 4.108-5.053 2.869-6.341 1.076q-5.282 0-9.65-2.836.913.065 1.5.065 4.401 0 7.857-2.673-2.054-.033-3.668-1.255t-2.266-3.146q.554.13 1.206.13.88 0 1.663-.261-2.184-.456-3.619-2.184t-1.435-3.977v-.065q1.239.652 2.836.717-1.271-.848-2.021-2.233t-.75-2.983q0-1.63.815-3.195 2.38 2.967 5.754 4.678t7.319 1.907q-.228-.815-.228-1.434 0-2.608 1.858-4.45t4.532-1.842q1.304 0 2.51.522t2.054 1.467q2.152-.424 4.01-1.532-.685 2.217-2.771 3.488 1.989-.261 3.619-.978z\">\n                </path>\n            </svg>\n            <span class=\"social-sharing__title\" aria-hidden=\"true\">Tuitear</span>\n        </a>\n        <a *ngIf=\"hasParams(params, 'pinterest')\" target=\"_blank\"\n            [href]=\"toSharePinterest()\"\n            class=\"social-sharing__link\" title=\"Pinear en Pinterest\">\n            <svg aria-hidden=\"true\" focusable=\"false\" role=\"presentation\" class=\"icon icon-pinterest\" viewBox=\"0 0 32 32\">\n                <path fill=\"#444\"\n                    d=\"M27.52 9.6c-.64-5.76-6.4-8.32-12.8-7.68-4.48.64-9.6 4.48-9.6 10.24 0 3.2.64 5.76 3.84 6.4 1.28-2.56-.64-3.2-.64-4.48-1.28-7.04 8.32-12.16 13.44-7.04 3.2 3.84 1.28 14.08-4.48 13.44-5.12-1.28 2.56-9.6-1.92-11.52-3.2-1.28-5.12 4.48-3.84 7.04-1.28 4.48-3.2 8.96-1.92 15.36 2.56-1.92 3.84-5.76 4.48-9.6 1.28.64 1.92 1.92 3.84 1.92 6.4-.64 10.24-7.68 9.6-14.08z\">\n                </path>\n            </svg>\n            <span class=\"social-sharing__title\" aria-hidden=\"true\">Hacer pin</span>\n        </a>\n        <a *ngIf=\"hasParams(params, 'whatsapp') as wsp\" target=\"_blank\" [href]=\"toShareWhatsapp(wsp)\" class=\"social-sharing__link\" title=\"Whatsapp\">\n            <svg xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\" role=\"presentation\" fill=\"currentColor\" class=\"bi bi-whatsapp\"\n                viewBox=\"0 0 16 16\">\n                <path\n                    d=\"M13.601 2.326A7.854 7.854 0 0 0 7.994 0C3.627 0 .068 3.558.064 7.926c0 1.399.366 2.76 1.057 3.965L0 16l4.204-1.102a7.933 7.933 0 0 0 3.79.965h.004c4.368 0 7.926-3.558 7.93-7.93A7.898 7.898 0 0 0 13.6 2.326zM7.994 14.521a6.573 6.573 0 0 1-3.356-.92l-.24-.144-2.494.654.666-2.433-.156-.251a6.56 6.56 0 0 1-1.007-3.505c0-3.626 2.957-6.584 6.591-6.584a6.56 6.56 0 0 1 4.66 1.931 6.557 6.557 0 0 1 1.928 4.66c-.004 3.639-2.961 6.592-6.592 6.592zm3.615-4.934c-.197-.099-1.17-.578-1.353-.646-.182-.065-.315-.099-.445.099-.133.197-.513.646-.627.775-.114.133-.232.148-.43.05-.197-.1-.836-.308-1.592-.985-.59-.525-.985-1.175-1.103-1.372-.114-.198-.011-.304.088-.403.087-.088.197-.232.296-.346.1-.114.133-.198.198-.33.065-.134.034-.248-.015-.347-.05-.099-.445-1.076-.612-1.47-.16-.389-.323-.335-.445-.34-.114-.007-.247-.007-.38-.007a.729.729 0 0 0-.529.247c-.182.198-.691.677-.691 1.654 0 .977.71 1.916.81 2.049.098.133 1.394 2.132 3.383 2.992.47.205.84.326 1.129.418.475.152.904.129 1.246.08.38-.058 1.171-.48 1.338-.943.164-.464.164-.86.114-.943-.049-.084-.182-.133-.38-.232z\" />\n            </svg>\n            <span class=\"social-sharing__title\" aria-hidden=\"true\">Whatsapp</span>\n        </a>\n        <a *ngIf=\"hasParams(params, 'email') as email\" target=\"_blank\" [href]=\"toShareEmail(email)\" class=\"social-sharing__link\"\n            title=\"Email\">\n            <svg xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\" role=\"presentation\" fill=\"currentColor\" class=\"bi bi-envelope-fill\"\n                viewBox=\"0 0 16 16\">\n                <path\n                    d=\"M.05 3.555A2 2 0 0 1 2 2h12a2 2 0 0 1 1.95 1.555L8 8.414.05 3.555ZM0 4.697v7.104l5.803-3.558L0 4.697ZM6.761 8.83l-6.57 4.027A2 2 0 0 0 2 14h12a2 2 0 0 0 1.808-1.144l-6.57-4.027L8 9.586l-1.239-.757Zm3.436-.586L16 11.801V4.697l-5.803 3.546Z\" />\n            </svg>\n            <span class=\"social-sharing__title\" aria-hidden=\"true\">Email</span>\n        </a>\n    </ng-container>\n</div>\n\n<!-- VISTA DEFAULT CON LINKS QUE NO REQUIEREN PARAMETROS-->\n<ng-template #default>\n    <a target=\"_blank\" [href]=\"toShareFacebook()\" class=\"social-sharing__link\" title=\"Compartir en Facebook\">\n        <svg aria-hidden=\"true\" focusable=\"false\" role=\"presentation\" class=\"icon icon-facebook\" viewBox=\"0 0 32 32\">\n            <path fill=\"#444\"\n                d=\"M18.56 31.36V17.28h4.48l.64-5.12h-5.12v-3.2c0-1.28.64-2.56 2.56-2.56h2.56V1.28H19.2c-3.84 0-7.04 2.56-7.04 7.04v3.84H7.68v5.12h4.48v14.08h6.4z\">\n            </path>\n        </svg>\n        <span class=\"social-sharing__title\" aria-hidden=\"true\">Compartir</span>\n    </a>\n    <a target=\"_blank\" [href]=\"toShareTwitter()\" class=\"social-sharing__link\" title=\"Tuitear en Twitter\">\n        <svg aria-hidden=\"true\" focusable=\"false\" role=\"presentation\" class=\"icon icon-twitter\" viewBox=\"0 0 32 32\">\n            <path fill=\"#444\"\n                d=\"M31.281 6.733q-1.304 1.924-3.13 3.26 0 .13.033.408t.033.408q0 2.543-.75 5.086t-2.282 4.858-3.635 4.108-5.053 2.869-6.341 1.076q-5.282 0-9.65-2.836.913.065 1.5.065 4.401 0 7.857-2.673-2.054-.033-3.668-1.255t-2.266-3.146q.554.13 1.206.13.88 0 1.663-.261-2.184-.456-3.619-2.184t-1.435-3.977v-.065q1.239.652 2.836.717-1.271-.848-2.021-2.233t-.75-2.983q0-1.63.815-3.195 2.38 2.967 5.754 4.678t7.319 1.907q-.228-.815-.228-1.434 0-2.608 1.858-4.45t4.532-1.842q1.304 0 2.51.522t2.054 1.467q2.152-.424 4.01-1.532-.685 2.217-2.771 3.488 1.989-.261 3.619-.978z\">\n            </path>\n        </svg>\n        <span class=\"social-sharing__title\" aria-hidden=\"true\">Tuitear</span>\n    </a>\n    <a target=\"_blank\" [href]=\"toSharePinterest()\" class=\"social-sharing__link\" title=\"Pinear en Pinterest\">\n        <svg aria-hidden=\"true\" focusable=\"false\" role=\"presentation\" class=\"icon icon-pinterest\" viewBox=\"0 0 32 32\">\n            <path fill=\"#444\"\n                d=\"M27.52 9.6c-.64-5.76-6.4-8.32-12.8-7.68-4.48.64-9.6 4.48-9.6 10.24 0 3.2.64 5.76 3.84 6.4 1.28-2.56-.64-3.2-.64-4.48-1.28-7.04 8.32-12.16 13.44-7.04 3.2 3.84 1.28 14.08-4.48 13.44-5.12-1.28 2.56-9.6-1.92-11.52-3.2-1.28-5.12 4.48-3.84 7.04-1.28 4.48-3.2 8.96-1.92 15.36 2.56-1.92 3.84-5.76 4.48-9.6 1.28.64 1.92 1.92 3.84 1.92 6.4-.64 10.24-7.68 9.6-14.08z\">\n            </path>\n        </svg>\n        <span class=\"social-sharing__title\" aria-hidden=\"true\">Hacer pin</span>\n    </a>\n</ng-template>\n<!-- FIN -->",
                styles: ["a{color:#000}"]
            })
        ], ShareBlockEcComponent);
        return ShareBlockEcComponent;
    }(ComponentHelper));

    var __extends$U = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$1t = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var DetailCheckoutBlockEcComponent = /** @class */ (function (_super) {
        __extends$U(DetailCheckoutBlockEcComponent, _super);
        function DetailCheckoutBlockEcComponent(checkoutService) {
            var _this = _super.call(this) || this;
            _this.checkoutService = checkoutService;
            _this.data = null;
            _this.discountTotal = 0;
            _this.couponTotal = 0;
            _this.getIcon = function (data_item) {
                switch (data_item.type) {
                    case 'coupon': return 'fas fa-ticket-alt fa-3x';
                    case 'discount': return 'fas fa-tags fa-3x';
                    case 'shipment': return 'fas fa-shipping-fast fa-3x';
                    case 'subtotal': return 'fas fa-boxes fa-3x';
                    case 'taxes': return 'fas fa-file-invoice-dollar fa-3x';
                    case 'total': return 'fas fa-shopping-basket fa-3x';
                    default: return 'fas fa-tags fa-3x';
                }
            };
            _this.getIcon2 = function (data_type) {
                switch (data_type) {
                    case 'coupon': return 'fas fa-ticket-alt fa-3x';
                    case 'discount': return 'fas fa-tags fa-3x';
                }
            };
            _this.ecOnConstruct();
            return _this;
        }
        DetailCheckoutBlockEcComponent.prototype.ngOnInit = function () {
            var _this = this;
            this.asociatedData && (this.data = this.asociatedData) ||
                this.checkoutService.asociatedData$.subscribe(function (data) { return _this.data = data; });
            this.calcularTotales();
            this.ecOnInit();
        };
        DetailCheckoutBlockEcComponent.prototype.calcularTotales = function () {
            if (this.data) {
                this.discountTotal = this.data
                    .filter(function (item) { return item.type === 'discount'; })
                    .reduce(function (acc, curr) { return acc + curr.amount; }, 0);
                this.couponTotal = this.data
                    .filter(function (item) { return item.type === 'coupon'; })
                    .reduce(function (acc, curr) { return acc + curr.amount; }, 0);
            }
        };
        DetailCheckoutBlockEcComponent.ctorParameters = function () { return [
            { type: CheckoutService }
        ]; };
        __decorate$1t([
            core.Input()
        ], DetailCheckoutBlockEcComponent.prototype, "asociatedData", void 0);
        DetailCheckoutBlockEcComponent = __decorate$1t([
            core.Component({
                selector: 'app-detail-checkout-block-ec',
                template: "<div id=\"appDetailCheckoutBlockEc\" class=\"d-flex flex-row w-100 justify-content-center flex-wrap\" *ngIf=\"data\">\n     <ng-container *ngFor=\"let item of data; let i = index\">\n          <ng-container *ngIf=\"item.type != 'discount' && item.type != 'coupon'\">\n         <div class=\"d-flex flex-column justify-content-center mx-sm-3 mx-2 text-center mb-4 resumen\">\n             <i ngClass=\"mb-2 colorIconoCheckout\" [class]=\"getIcon(item)\" ></i>\n             <strong class=\"text-center w-100 font-brandon font-md mb-1\">{{ item.type | translate }}</strong>\n             <span class=\"text-center w-100 font-brandon font-md text-gray\">{{ (item.amount != 0 ) ? (item.amount | ecCurrencySymbol) : ('free' | translate) }}</span>\n         </div>\n     </ng-container>\n\n\n     <!-- Mostrar total de descuentos -->\n     <div class=\"d-flex flex-column justify-content-center mx-sm-3 mx-2 text-center mb-4 resumen\" *ngIf=\"this.discountTotal != 0 && i === 1\" >\n          <i ngClass=\"mb-2 colorIconoCheckout\" [class]=\"getIcon2('discount')\"></i>\n          <strong class=\"text-center w-100 font-brandon font-md mb-1\">Descuento</strong>\n          <span class=\"text-center w-100 font-brandon font-md text-gray\">{{ (this.discountTotal | ecCurrencySymbol) }}</span>\n      </div>\n\n     <!-- Mostrar total de cupones -->\n     <div class=\"d-flex flex-column justify-content-center mx-sm-3 mx-2 text-center mb-4 resumen\" *ngIf=\"this.couponTotal != 0 && i === 1\">\n          <i ngClass=\"mb-2 colorIconoCheckout\" [class]=\"getIcon2('coupon')\" ></i>\n          <strong class=\"text-center w-100 font-brandon font-md mb-1\">Cupon</strong>\n          <span class=\"text-center w-100 font-brandon font-md text-gray\">{{(this.couponTotal| ecCurrencySymbol) }}</span>\n      </div>\n     </ng-container>\n </div>\n",
                styles: [""]
            })
        ], DetailCheckoutBlockEcComponent);
        return DetailCheckoutBlockEcComponent;
    }(ComponentHelper));

    var __extends$V = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$1u = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var CheckoutErrorComponent = /** @class */ (function (_super) {
        __extends$V(CheckoutErrorComponent, _super);
        function CheckoutErrorComponent(checkoutErrorService, checkoutService, modalService, router) {
            var _this = _super.call(this) || this;
            _this.checkoutErrorService = checkoutErrorService;
            _this.checkoutService = checkoutService;
            _this.modalService = modalService;
            _this.router = router;
            _this.urlRedireccion = '/cart';
            _this.navigateByUrl = function () {
                _this.router.navigateByUrl(_this.urlRedireccion);
            };
            _this.initializeTemplate = function () {
                if (!_this.template) {
                    setTimeout(function () {
                        _this.initializeTemplate();
                    }, 1000);
                }
                else {
                    _this.subs = _this.checkoutErrorService.error$.pipe(operators.filter(function (res) { return res != null; })).subscribe(function (res) {
                        _this.error = res;
                        _this.bsModalRef = _this.modalService.show(_this.template, { class: 'modal-lg ', keyboard: false, backdrop: 'static', animated: true });
                    });
                    _this.subsModal = _this.modalService.onHide.subscribe(function (onClose) {
                        _this.bsModalRef = null;
                        _this.navigateByUrl();
                    });
                }
            };
            return _this;
        }
        CheckoutErrorComponent.prototype.ngOnInit = function () {
            var _this = this;
            console.log('Componente manejo de errores inicializando');
            this.subs = this.checkoutErrorService.error$.pipe(operators.filter(function (res) { return res != null; })).subscribe(function (res) {
                _this.error = res;
                setTimeout(function () {
                    _this.navigateByUrl();
                }, 3000);
            });
            this.ecOnInit();
        };
        CheckoutErrorComponent.prototype.ngOnDestroy = function () {
            var _a, _b;
            (_a = this.subs) === null || _a === void 0 ? void 0 : _a.unsubscribe();
            (_b = this.subsModal) === null || _b === void 0 ? void 0 : _b.unsubscribe();
        };
        CheckoutErrorComponent.ctorParameters = function () { return [
            { type: ErrorHandlerService },
            { type: CheckoutService },
            { type: modal.BsModalService },
            { type: router.Router }
        ]; };
        __decorate$1u([
            core.ViewChild('template')
        ], CheckoutErrorComponent.prototype, "template", void 0);
        __decorate$1u([
            core.Input()
        ], CheckoutErrorComponent.prototype, "urlRedireccion", void 0);
        CheckoutErrorComponent = __decorate$1u([
            core.Component({
                selector: 'ec-checkout-error',
                template: "<ng-template #template>\n    <div class=\"modal-content\">\n        <div class=\"modal-header\">\n            <h4 class=\"modal-title pull-left\">{{ 'error-during-checkout' | translate }}</h4>\n            <button type=\"button\" class=\"close pull-right\" aria-label=\"Close\" (click)=\"bsModalRef.hide()\">\n                <span aria-hidden=\"true\">&times;</span>\n            </button>\n        </div>\n        <div class=\"modal-body p-5\">\n            {{ error.message }}\n        </div>\n        <div class=\"modal-footer\">\n            <button type=\"button\" class=\"btn btn-default\" (click)=\"bsModalRef.hide()\">Continuar</button>\n        </div>\n    </div>\n</ng-template>\n\n",
                providers: [modal.BsModalService],
                styles: [".capitalize{text-transform:capitalize}"]
            })
        ], CheckoutErrorComponent);
        return CheckoutErrorComponent;
    }(ComponentHelper));

    var __extends$W = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$1v = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var MpRedirectEcComponent = /** @class */ (function (_super) {
        __extends$W(MpRedirectEcComponent, _super);
        function MpRedirectEcComponent(renderer, connection, toastrService, consts, cartService, toastr, activedRoute, sanitizer) {
            var _this = _super.call(this) || this;
            _this.renderer = renderer;
            _this.connection = connection;
            _this.toastrService = toastrService;
            _this.consts = consts;
            _this.cartService = cartService;
            _this.toastr = toastr;
            _this.activedRoute = activedRoute;
            _this.sanitizer = sanitizer;
            _this.method = null;
            _this.total_amount = 0;
            _this.ready = new core.EventEmitter();
            _this.loading = false;
            _this.isDobleAuth = false;
            _this.urls = [];
            _this.closeModal = '';
            _this.dataRedirect = function () { return _this.consts.getUrlBase() + 'shop-api/' + _this.consts.getChannel() + '/redsys/redirect/' + _this.cartService.cart_token + '/process-payment'; };
            _this.iniciar = function () {
                _this.closeModal = '';
                _this.clearStorageState();
                _this.ventana = window.open(_this.url);
                _this.callState();
            };
            _this.clearStorageState = function () {
                sessionStorage.removeItem('state');
                localStorage.removeItem('state');
            };
            _this.clickClose = function () {
                var _a;
                _this.closeModal = 'cancel';
                (_a = _this.ventana) === null || _a === void 0 ? void 0 : _a.close();
            };
            _this.callState = function () {
                var _a, _b, _c, _d, _e;
                var state = _this.closeModal != '' ? _this.closeModal : localStorage.getItem('state');
                !state && _this.ventana.closed && (state = 'cancel');
                _this.loading = true;
                state && console.log(state);
                if (state) {
                    _this.loading = false;
                    localStorage.removeItem('state');
                    if (state == 'success') {
                        (_a = _this.ventana) === null || _a === void 0 ? void 0 : _a.close();
                        _this.ready.emit(true);
                        return;
                    }
                    if (state == 'pending') {
                        (_b = _this.ventana) === null || _b === void 0 ? void 0 : _b.close();
                        _this.ready.emit(true);
                        return;
                    }
                    if (state == 'failure') {
                        (_c = _this.ventana) === null || _c === void 0 ? void 0 : _c.close();
                        _this.processError('');
                        return;
                    }
                    if (state == 'cancel') {
                        (_d = _this.ventana) === null || _d === void 0 ? void 0 : _d.close();
                        _this.processError('Se cancelo el pago con mercado pago');
                        return;
                    }
                    (_e = _this.ventana) === null || _e === void 0 ? void 0 : _e.close();
                    _this.processError('');
                    return;
                }
                setTimeout(function () {
                    _this.callState();
                }, 5000);
            };
            _this.processError = function (err) {
                _this.toastrService.show(err != '' ? err : 'payment-error');
                console.log("ERROR ENVIO BACK  ", err);
            };
            _this.getPreference = function () {
                return _this.paymentServiceInst.getPreference(_this.allData).then(function (res) {
                    _this.preference = res;
                    _this.url = _this.preference.init_point;
                    _this.renderMP(_this.preference);
                }, function (err) { return _this.setError('operation-error'); });
            };
            _this.setError = function (message) {
                //this.error = message;
            };
            _this.renderMP = function (preference) {
                window.addEventListener("message", function (event) {
                    if (event.origin !== 'https://www.mercadopago.com.ar' || !event.data.type) {
                        return;
                    }
                    var dataType = event.data.type;
                    if (dataType === 'submit') {
                        var paymentData = event.data.value;
                        return;
                    }
                });
            };
            _this.ecOnConstruct();
            return _this;
        }
        MpRedirectEcComponent.prototype.ngOnInit = function () {
            this.getPreference();
            this.ecOnInit();
        };
        MpRedirectEcComponent.prototype.ngOnDestroy = function () {
            // console.log("SE DESTROZA");
        };
        MpRedirectEcComponent.prototype.ngOnChanges = function () {
            // console.log("SE CAMBIO");
        };
        MpRedirectEcComponent.ctorParameters = function () { return [
            { type: core.Renderer2 },
            { type: ConnectionService },
            { type: ToastService },
            { type: Constants },
            { type: CartService },
            { type: ToastService },
            { type: router.ActivatedRoute },
            { type: platformBrowser.DomSanitizer }
        ]; };
        __decorate$1v([
            core.Input()
        ], MpRedirectEcComponent.prototype, "method", void 0);
        __decorate$1v([
            core.Input()
        ], MpRedirectEcComponent.prototype, "total_amount", void 0);
        __decorate$1v([
            core.Input()
        ], MpRedirectEcComponent.prototype, "paymentServiceInst", void 0);
        __decorate$1v([
            core.Input()
        ], MpRedirectEcComponent.prototype, "allData", void 0);
        __decorate$1v([
            core.Output()
        ], MpRedirectEcComponent.prototype, "ready", void 0);
        MpRedirectEcComponent = __decorate$1v([
            core.Component({
                selector: 'app-mp-redirect-ec',
                template: "<div class=\"text-center\">\n    <ng-container *ngIf=\"url;else loadingUrl\">\n        <ng-container *ngIf=\"!loading;else loadingTemp\">\n            <button (click)=\"iniciar()\" class=\"btn btn-outline-secondary rounded-0 comprar\">Pagar</button>\n        </ng-container>\n    </ng-container>\n</div>\n\n<ng-template #loadingUrl>\n    <div class=\"d-flex flex-column jusitfy-content-center align-items-center mt-2\">\n        <app-loading-full-ec></app-loading-full-ec>\n    </div>\n</ng-template>\n\n<ng-template #loadingTemp>\n    <div class=\"d-flex flex-column jusitfy-content-center align-items-center mt-2\">\n        <h3>Procesando el pago por mercado pago</h3>\n        <h5>Recuerde hacer click en \"Volver al sitio\" desde mercado pago para finalizar la compra.</h5>\n        <app-loading-full-ec></app-loading-full-ec>\n    </div>\n    <div class=\"container-fluid\">\n        <div class=\"row\">\n            <div class=\"col-5\">\n            <hr>\n            </div>\n            <div class=\"col-2 text-center\">\n            <label for=\"\">o</label>\n            </div>\n            <div class=\"col-5\">\n            <hr>\n            </div>\n        </div>\n    </div>\n    <div class=\"d-flex flex-column jusitfy-content-center align-items-center mt-2\">\n        <button (click)=\"clickClose()\" class=\"btn btn-outline-secondary rounded-0 comprar\">Cancelar pago</button>\n    </div>\n</ng-template>",
                styles: [".half-width{width:49%!important}.ml-1{margin-left:1%}#card-form{height:450px}.iframeStyle{height:800px;width:100%;max-height:800px}"]
            })
        ], MpRedirectEcComponent);
        return MpRedirectEcComponent;
    }(ComponentHelper));

    var __extends$X = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$1w = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var RedSysRedirectOutEcComponent = /** @class */ (function (_super) {
        __extends$X(RedSysRedirectOutEcComponent, _super);
        function RedSysRedirectOutEcComponent(renderer, connection, toastrService, consts, cartService, toastr, activedRoute, sanitizer) {
            var _this = _super.call(this) || this;
            _this.renderer = renderer;
            _this.connection = connection;
            _this.toastrService = toastrService;
            _this.consts = consts;
            _this.cartService = cartService;
            _this.toastr = toastr;
            _this.activedRoute = activedRoute;
            _this.sanitizer = sanitizer;
            _this.method = null;
            _this.total_amount = 0;
            _this.user_data = null;
            _this.ready = new core.EventEmitter();
            _this.loading = false;
            _this.isDobleAuth = false;
            _this.urls = [];
            _this.closeModal = '';
            _this.dataRedirect = function () { return _this.consts.getUrlBase() + 'shop-api/' + _this.consts.getChannel() + '/redsys/redirect/' + _this.cartService.cart_token + '/process-payment'; };
            _this.iniciar = function () {
                _this.closeModal = '';
                _this.clearStorageState();
                localStorage.setItem('dataRedirect', _this.dataRedirect());
                _this.ventana = window.open(_this.url);
                _this.callState();
            };
            _this.clearStorageState = function () {
                sessionStorage.removeItem('state');
                localStorage.removeItem('state');
            };
            _this.clickClose = function () {
                var _a;
                _this.closeModal = 'cancel';
                (_a = _this.ventana) === null || _a === void 0 ? void 0 : _a.close();
            };
            _this.callState = function () {
                var _a, _b, _c, _d, _e;
                var state = _this.closeModal != '' ? _this.closeModal : localStorage.getItem('state');
                !state && _this.ventana.closed && (state = 'cancel');
                _this.loading = true;
                state && console.log(state);
                if (state) {
                    _this.loading = false;
                    localStorage.removeItem('state');
                    if (state == 'success' || state == 'ok') {
                        (_a = _this.ventana) === null || _a === void 0 ? void 0 : _a.close();
                        _this.ready.emit(true);
                        return;
                    }
                    if (state == 'pending' || state == 'ok') {
                        (_b = _this.ventana) === null || _b === void 0 ? void 0 : _b.close();
                        _this.ready.emit(true);
                        return;
                    }
                    if (state == 'failure' || state == 'error') {
                        (_c = _this.ventana) === null || _c === void 0 ? void 0 : _c.close();
                        _this.processError('');
                        return;
                    }
                    if (state == 'cancel') {
                        (_d = _this.ventana) === null || _d === void 0 ? void 0 : _d.close();
                        _this.processError('Se cancelo el pago con redsys');
                        return;
                    }
                    (_e = _this.ventana) === null || _e === void 0 ? void 0 : _e.close();
                    _this.processError('');
                    return;
                }
                setTimeout(function () {
                    _this.callState();
                }, 5000);
            };
            _this.processError = function (err) {
                _this.toastrService.show(err != '' ? err : 'payment-error');
                console.log("ERROR ENVIO BACK  ", err);
            };
            _this.setError = function (message) {
            };
            _this.ecOnConstruct();
            return _this;
        }
        RedSysRedirectOutEcComponent.prototype.ngOnInit = function () {
            var _this = this;
            setTimeout(function () {
                _this.url = "../../../assets/redsysFrameRedirectOutBase.html";
            }, 1000);
            this.ecOnInit();
        };
        RedSysRedirectOutEcComponent.prototype.ngOnDestroy = function () {
            // console.log("SE DESTROZA");
        };
        RedSysRedirectOutEcComponent.prototype.ngOnChanges = function () {
            // console.log("SE CAMBIO");
        };
        RedSysRedirectOutEcComponent.ctorParameters = function () { return [
            { type: core.Renderer2 },
            { type: ConnectionService },
            { type: ToastService },
            { type: Constants },
            { type: CartService },
            { type: ToastService },
            { type: router.ActivatedRoute },
            { type: platformBrowser.DomSanitizer }
        ]; };
        __decorate$1w([
            core.Input()
        ], RedSysRedirectOutEcComponent.prototype, "method", void 0);
        __decorate$1w([
            core.Input()
        ], RedSysRedirectOutEcComponent.prototype, "total_amount", void 0);
        __decorate$1w([
            core.Input()
        ], RedSysRedirectOutEcComponent.prototype, "user_data", void 0);
        __decorate$1w([
            core.Input()
        ], RedSysRedirectOutEcComponent.prototype, "paymentServiceInst", void 0);
        __decorate$1w([
            core.Input()
        ], RedSysRedirectOutEcComponent.prototype, "allData", void 0);
        __decorate$1w([
            core.Output()
        ], RedSysRedirectOutEcComponent.prototype, "ready", void 0);
        RedSysRedirectOutEcComponent = __decorate$1w([
            core.Component({
                selector: 'app-redsys-redirect-out-ec',
                template: "<div class=\"text-center\">\n    <p *ngIf=\"method\" class=\"px-5\">{{ method?.description }}</p>\n    <p *ngIf=\"method\" class=\"px-5\">{{ method?.instructions }}</p>\n    <ng-container *ngIf=\"url;else loadingUrl\">\n        <ng-container *ngIf=\"!loading;else loadingTemp\">\n            <button (click)=\"iniciar()\" class=\"btn btn-outline-secondary rounded-0 comprar\">Pagar</button>\n        </ng-container>\n    </ng-container>\n</div>\n\n<ng-template #loadingUrl>\n    <div class=\"d-flex flex-column jusitfy-content-center align-items-center mt-2\">\n        <app-loading-full-ec></app-loading-full-ec>\n    </div>\n</ng-template>\n\n<ng-template #loadingTemp>\n    <div class=\"d-flex flex-column jusitfy-content-center align-items-center mt-2\">\n        <h3>Procesando el pago por Redsys</h3>\n        <h5>Recuerde hacer click en \"Continuar\" desde Redsys para finalizar la compra.</h5>\n        <app-loading-full-ec></app-loading-full-ec>\n    </div>\n    <div class=\"container-fluid\">\n        <div class=\"row\">\n            <div class=\"col-5\">\n            <hr>\n            </div>\n            <div class=\"col-2 text-center\">\n            <label for=\"\">o</label>\n            </div>\n            <div class=\"col-5\">\n            <hr>\n            </div>\n        </div>\n    </div>\n    <div class=\"d-flex flex-column jusitfy-content-center align-items-center mt-2\">\n        <button (click)=\"clickClose()\" class=\"btn btn-outline-secondary rounded-0 comprar\">Cancelar pago</button>\n    </div>\n</ng-template>",
                styles: [".half-width{width:49%!important}.ml-1{margin-left:1%}#card-form{height:450px}.iframeStyle{height:800px;width:100%;max-height:800px}"]
            })
        ], RedSysRedirectOutEcComponent);
        return RedSysRedirectOutEcComponent;
    }(ComponentHelper));

    var __extends$Y = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$1x = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __awaiter$f = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
            function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    };
    var __generator$f = (this && this.__generator) || function (thisArg, body) {
        var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f) throw new TypeError("Generator is already executing.");
            while (_) try {
                if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
                if (y = 0, t) op = [op[0] & 2, t.value];
                switch (op[0]) {
                    case 0: case 1: t = op; break;
                    case 4: _.label++; return { value: op[1], done: false };
                    case 5: _.label++; y = op[1]; op = [0]; continue;
                    case 7: op = _.ops.pop(); _.trys.pop(); continue;
                    default:
                        if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                        if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                        if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                        if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                        if (t[2]) _.ops.pop();
                        _.trys.pop(); continue;
                }
                op = body.call(thisArg, _);
            } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
            if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
        }
    };
    var PaypalExpressEcComponent = /** @class */ (function (_super) {
        __extends$Y(PaypalExpressEcComponent, _super);
        function PaypalExpressEcComponent(renderer, connection, toastrService, consts, cartService, toastr, activedRoute) {
            var _this = _super.call(this) || this;
            _this.renderer = renderer;
            _this.connection = connection;
            _this.toastrService = toastrService;
            _this.consts = consts;
            _this.cartService = cartService;
            _this.toastr = toastr;
            _this.activedRoute = activedRoute;
            _this.method = null;
            _this.total_amount = 0;
            _this.ready = new core.EventEmitter();
            _this.user_data = null;
            _this.getUrlNotification = function () { return _this.consts.getUrlBase() + 'shop-api/' + _this.consts.getChannel() + '/paypal/redirect/notification'; };
            _this.producto = {
                descripcion: 'producto en venta',
                precio: 10,
                img: 'imagen de tu producto'
            };
            _this.title = 'angular-paypal-payment';
            _this.loading = false;
            _this.cart = null;
            _this.tried = 10;
            _this.renderPayPal = function () {
                if (_this.tried == 0) {
                    return;
                }
                else {
                    _this.tried--;
                }
                setTimeout(function () {
                    try {
                        if ((typeof paypal !== 'undefined') && paypal != undefined && paypal != null) {
                            paypal
                                .Buttons({
                                createOrder: function (data, actions) {
                                    var _a, _b, _c;
                                    return actions.order.create({
                                        purchase_units: [
                                            {
                                                amount: {
                                                    currency_code: ((_a = _this.cart) === null || _a === void 0 ? void 0 : _a.currency) || 'USD',
                                                    value: _this.total_amount || ((_c = (_b = _this.cart) === null || _b === void 0 ? void 0 : _b.totals) === null || _c === void 0 ? void 0 : _c.total)
                                                }
                                            }
                                        ]
                                    });
                                },
                                onApprove: function (data, actions) { return __awaiter$f(_this, void 0, void 0, function () {
                                    var order;
                                    var _this = this;
                                    return __generator$f(this, function (_a) {
                                        switch (_a.label) {
                                            case 0: return [4 /*yield*/, actions.order.capture()];
                                            case 1:
                                                order = _a.sent();
                                                order.purchase_units[0]['reference_id'] = this.cart.tokenValue;
                                                //console.log(order);
                                                this.connection.postOutsider(this.getUrlNotification(), order).toPromise().then(function (res) {
                                                    _this.ready.emit(true);
                                                    console.log('ok');
                                                }).catch(function (res) {
                                                    _this.processError('');
                                                    console.log('error');
                                                });
                                                return [2 /*return*/];
                                        }
                                    });
                                }); },
                                onError: function (err) {
                                    console.log(err);
                                    _this.processError('');
                                }
                            })
                                .render(_this.paypalElement.nativeElement);
                            _this.loading = false;
                        }
                        else {
                            /* console.log('Entro al else'); */
                            _this.renderPayPal();
                        }
                    }
                    catch (error) {
                        /* console.log('Entro al catch'); */
                        _this.renderPayPal();
                    }
                }, 1000);
            };
            _this.processError = function (err) {
                _this.toastrService.show(err != '' ? err : 'payment-error');
                console.log("ERROR ENVIO BACK  ", err);
            };
            _this.setVariables = function () {
                // setTimeout(() => {
                //     if (typeof PAYPAL_CLIENT !== 'undefined'
                //         && typeof PAYPAL_SECRET !== 'undefined'
                //         && typeof PAYPAL_ORDER_API !== 'undefined') {
                //         PAYPAL_CLIENT = this.method.config.public_client_id;
                //         PAYPAL_SECRET = this.method.config.public_client_secret;
                //         PAYPAL_ORDER_API = 'https://api-m.paypal.com/v2/checkout/orders/';
                //     } else {
                //         console.log('no entro al if');
                //         this.setVariables()
                //     }
                // }, 2000);
            };
            _this.ecOnConstruct();
            return _this;
        }
        PaypalExpressEcComponent.prototype.ngOnInit = function () {
            var _this = this;
            this.loading = true;
            this.setVariables();
            this.subsCart = this.cartService.cart.subscribe(function (cart) {
                var _a;
                _this.cart = cart;
                //console.log(this.cart);
                var scriptSdk = _this.renderer.createElement("script");
                _this.renderer.setAttribute(scriptSdk, 'src', 'https://www.paypal.com/sdk/js?client-id=' + _this.method.config.public_client_id + '&currency=' + ((_a = _this.cart) === null || _a === void 0 ? void 0 : _a.currency) || 'USD');
                _this.renderer.appendChild(document.body, scriptSdk);
                _this.renderPayPal();
            });
            this.ecOnInit();
        };
        PaypalExpressEcComponent.prototype.ngOnDestroy = function () {
            this.subsCart.unsubscribe();
        };
        PaypalExpressEcComponent.prototype.ngOnChanges = function () {
        };
        PaypalExpressEcComponent.ctorParameters = function () { return [
            { type: core.Renderer2 },
            { type: ConnectionService },
            { type: ToastService },
            { type: Constants },
            { type: CartService },
            { type: ToastService },
            { type: router.ActivatedRoute }
        ]; };
        __decorate$1x([
            core.Input()
        ], PaypalExpressEcComponent.prototype, "method", void 0);
        __decorate$1x([
            core.Input()
        ], PaypalExpressEcComponent.prototype, "total_amount", void 0);
        __decorate$1x([
            core.Output()
        ], PaypalExpressEcComponent.prototype, "ready", void 0);
        __decorate$1x([
            core.Input()
        ], PaypalExpressEcComponent.prototype, "user_data", void 0);
        __decorate$1x([
            core.ViewChild('template')
        ], PaypalExpressEcComponent.prototype, "template", void 0);
        __decorate$1x([
            core.ViewChild('paypal', { static: true })
        ], PaypalExpressEcComponent.prototype, "paypalElement", void 0);
        PaypalExpressEcComponent = __decorate$1x([
            core.Component({
                selector: 'app-paypal-express-ec',
                template: "<div class=\"text-center\">\n    <p *ngIf=\"method\" class=\"px-5\">{{ method?.description }}</p>\n    <p *ngIf=\"method\" class=\"px-5\">{{ method?.instructions }}</p>\n    <ng-container *ngIf=\"!loading;else loadingTemp\">\n    </ng-container>\n    <div #paypal> </div>\n</div>\n\n<ng-template #loadingTemp>\n    <div class=\"d-flex flex-column jusitfy-content-center align-items-center mt-2\">\n        <app-loading-full-ec></app-loading-full-ec>\n    </div>\n</ng-template>",
                styles: [".half-width{width:49%!important}.ml-1{margin-left:1%}#card-form{height:450px}.iframeStyle{height:800px;width:100%;max-height:800px}"]
            })
        ], PaypalExpressEcComponent);
        return PaypalExpressEcComponent;
    }(ComponentHelper));

    var __extends$Z = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$1y = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var MobbexEcComponent = /** @class */ (function (_super) {
        __extends$Z(MobbexEcComponent, _super);
        function MobbexEcComponent(renderer, connection, toastrService, consts, cartService, toastr, activedRoute, sanitizer, modalService) {
            var _this = _super.call(this) || this;
            _this.renderer = renderer;
            _this.connection = connection;
            _this.toastrService = toastrService;
            _this.consts = consts;
            _this.cartService = cartService;
            _this.toastr = toastr;
            _this.activedRoute = activedRoute;
            _this.sanitizer = sanitizer;
            _this.modalService = modalService;
            _this.method = null;
            _this.total_amount = 0;
            _this.user_data = null;
            _this.ready = new core.EventEmitter();
            _this.loading = false;
            _this.isDobleAuth = false;
            _this.urls = [];
            _this.closeModal = '';
            _this.dataRedirect = function () { return _this.consts.getUrlBase() + 'shop-api/' + _this.consts.getChannel() + '/redsys/redirect/' + _this.cartService.cart_token + '/process-payment'; };
            _this.clearStorageState = function () {
                sessionStorage.removeItem('state');
                localStorage.removeItem('state');
            };
            _this.clickClose = function () {
                _this.closeModal = 'cancel';
                _this.modalRef.hide();
                _this.processError('Se cancelo el pago con mobbex');
            };
            _this.callState = function () {
                try {
                    var state = _this.closeModal != '' ? _this.closeModal : localStorage.getItem('state');
                    _this.loading = true;
                    state && console.log(state);
                    if (state) {
                        _this.loading = false;
                        sessionStorage.removeItem('state');
                        localStorage.removeItem('state');
                        if (state == 'success') {
                            _this.ready.emit(true);
                        }
                        if (state == 'cancel') {
                            return;
                        }
                        if (state == 'failure') {
                            _this.processError('');
                        }
                        _this.modalRef.hide();
                        return;
                    }
                    setTimeout(function () {
                        _this.callState();
                    }, 5000);
                }
                catch (error) {
                    console.error(error);
                }
            };
            _this.processError = function (err) {
                _this.toastrService.show(err != '' ? err : 'payment-error');
                console.log("ERROR ENVIO BACK  ", err);
            };
            _this.getCheckoutMobbex = function () {
                _this.loading = true;
                _this.paymentServiceInst.getCheckoutMobbex(_this.allData).then(function (res) {
                    var _a, _b, _c, _d;
                    _this.dataMobbex = res;
                    _this.url = ((_b = (_a = res) === null || _a === void 0 ? void 0 : _a.data) === null || _b === void 0 ? void 0 : _b.url) && _this.sanitizer.bypassSecurityTrustResourceUrl((_d = (_c = res) === null || _c === void 0 ? void 0 : _c.data) === null || _d === void 0 ? void 0 : _d.url);
                    _this.loading = false;
                }, function (err) {
                    _this.processError('operation-error');
                    _this.loading = false;
                });
            };
            _this.ecOnConstruct();
            return _this;
        }
        MobbexEcComponent.prototype.ngOnInit = function () {
            this.getCheckoutMobbex();
            this.ecOnInit();
        };
        MobbexEcComponent.prototype.ngOnDestroy = function () {
            // console.log("SE DESTROZA");
        };
        MobbexEcComponent.prototype.ngOnChanges = function () {
            // console.log("SE CAMBIO");
        };
        MobbexEcComponent.prototype.openModal = function (template) {
            this.clearStorageState();
            this.modalRef = this.modalService.show(template, { class: 'modal-lg modal-dialog-centered ', keyboard: false, backdrop: 'static', animated: true });
            this.closeModal = '';
            this.callState();
        };
        MobbexEcComponent.ctorParameters = function () { return [
            { type: core.Renderer2 },
            { type: ConnectionService },
            { type: ToastService },
            { type: Constants },
            { type: CartService },
            { type: ToastService },
            { type: router.ActivatedRoute },
            { type: platformBrowser.DomSanitizer },
            { type: modal.BsModalService }
        ]; };
        __decorate$1y([
            core.Input()
        ], MobbexEcComponent.prototype, "paymentServiceInst", void 0);
        __decorate$1y([
            core.Input()
        ], MobbexEcComponent.prototype, "method", void 0);
        __decorate$1y([
            core.Input()
        ], MobbexEcComponent.prototype, "total_amount", void 0);
        __decorate$1y([
            core.Input()
        ], MobbexEcComponent.prototype, "allData", void 0);
        __decorate$1y([
            core.Input()
        ], MobbexEcComponent.prototype, "user_data", void 0);
        __decorate$1y([
            core.Output()
        ], MobbexEcComponent.prototype, "ready", void 0);
        __decorate$1y([
            core.ViewChild('template')
        ], MobbexEcComponent.prototype, "template", void 0);
        MobbexEcComponent = __decorate$1y([
            core.Component({
                selector: 'app-mobbex-ec',
                template: "<div class=\"text-center\">\n    <h3>Continuar con el pago en Mobbex</h3>\n    <p *ngIf=\"method\" class=\"px-5\">{{ method?.description }}</p>\n    <p *ngIf=\"method\" class=\"px-5\">{{ method?.instructions }}</p>\n    <ng-container *ngIf=\"!loading ; else loadingUrl\">\n        <button class=\"btn btn-outline-secondary comprar\" (click)=\"openModal(template)\">Pagar</button>\n    </ng-container>\n</div>\n\n<ng-template #template>\n    <div class=\"modal-content\">\n    </div>\n    <div class=\"modal-body\">\n        <iframe [src]=\"url\" frameborder=\"0\" class=\"iframeStyle\"></iframe>\n    </div>\n</ng-template>\n\n<ng-template #loadingUrl>\n    <div class=\"d-flex flex-column jusitfy-content-center align-items-center mt-2\">\n        <app-loading-full-ec></app-loading-full-ec>\n    </div>\n</ng-template>",
                providers: [modal.BsModalService],
                styles: [".half-width{width:49%!important}.ml-1{margin-left:1%}#card-form{height:450px}.iframeStyle{height:800px;width:100%;max-height:800px}"]
            })
        ], MobbexEcComponent);
        return MobbexEcComponent;
    }(ComponentHelper));

    var __extends$_ = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$1z = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var BancardEcComponent = /** @class */ (function (_super) {
        __extends$_(BancardEcComponent, _super);
        function BancardEcComponent(renderer, connection, toastrService, consts, cartService, toastr, activedRoute, sanitizer, modalService) {
            var _this = _super.call(this) || this;
            _this.renderer = renderer;
            _this.connection = connection;
            _this.toastrService = toastrService;
            _this.consts = consts;
            _this.cartService = cartService;
            _this.toastr = toastr;
            _this.activedRoute = activedRoute;
            _this.sanitizer = sanitizer;
            _this.modalService = modalService;
            _this.method = null;
            _this.total_amount = 0;
            _this.user_data = null;
            _this.ready = new core.EventEmitter();
            _this.loading = false;
            _this.isDobleAuth = false;
            _this.urls = [];
            _this.closeModal = '';
            _this.dataRedirect = function () { return _this.consts.getUrlBase() + 'shop-api/' + _this.consts.getChannel() + '/bancard/' + _this.cartService.cart_token + '/process-payment'; };
            _this.clearStorageState = function () {
                sessionStorage.removeItem('state');
                localStorage.removeItem('state');
            };
            _this.clickClose = function () {
                _this.closeModal = 'cancel';
                _this.modalRef.hide();
                _this.processError('Se cancelo el pago con bancard');
            };
            _this.callState = function () {
                try {
                    var state = _this.closeModal != '' ? _this.closeModal : localStorage.getItem('state');
                    _this.loading = true;
                    state && console.log(state);
                    if (state) {
                        _this.loading = false;
                        sessionStorage.removeItem('state');
                        localStorage.removeItem('state');
                        if (state == 'success') {
                            _this.ready.emit(true);
                        }
                        if (state == 'cancel') {
                            _this.processError('Se cancelo el pago con bancard');
                            return;
                        }
                        if (state == 'failure') {
                            _this.processError('');
                        }
                        _this.modalRef.hide();
                        return;
                    }
                    setTimeout(function () {
                        _this.callState();
                    }, 5000);
                }
                catch (error) {
                    console.error(error);
                }
            };
            _this.processError = function (err) {
                _this.toastrService.show(err != '' ? err : 'payment-error');
                console.log("ERROR ENVIO BACK  ", err);
            };
            _this.getCheckoutBancard = function () {
                _this.loading = true;
                _this.paymentServiceInst.getCheckoutBancard(_this.allData).then(function (res) {
                    var _a, _b, _c, _d;
                    _this.dataBancard = res;
                    _this.url = ((_a = res) === null || _a === void 0 ? void 0 : _a.iframe_link) && _this.sanitizer.bypassSecurityTrustResourceUrl((_b = res) === null || _b === void 0 ? void 0 : _b.iframe_link);
                    ((_c = res) === null || _c === void 0 ? void 0 : _c.iframe_link) || (_this.url = null) && _this.processError('operation-error');
                    ((_d = _this.dataBancard) === null || _d === void 0 ? void 0 : _d.process_id) && localStorage.setItem('dataRedirect', _this.dataBancard.process_id);
                    _this.loading = false;
                }, function (err) {
                    _this.processError('operation-error');
                    _this.loading = false;
                });
            };
            _this.ecOnConstruct();
            return _this;
        }
        BancardEcComponent.prototype.ngOnInit = function () {
            this.getCheckoutBancard();
            this.ecOnInit();
        };
        BancardEcComponent.prototype.ngOnDestroy = function () {
            // console.log("SE DESTROZA");
        };
        BancardEcComponent.prototype.ngOnChanges = function () {
            // console.log("SE CAMBIO");
        };
        BancardEcComponent.prototype.openModal = function (template) {
            this.clearStorageState();
            this.modalRef = this.modalService.show(template, { class: 'modal-lg modal-dialog-centered ', keyboard: false, backdrop: 'static', animated: true });
            this.closeModal = '';
            this.callState();
        };
        BancardEcComponent.ctorParameters = function () { return [
            { type: core.Renderer2 },
            { type: ConnectionService },
            { type: ToastService },
            { type: Constants },
            { type: CartService },
            { type: ToastService },
            { type: router.ActivatedRoute },
            { type: platformBrowser.DomSanitizer },
            { type: modal.BsModalService }
        ]; };
        __decorate$1z([
            core.Input()
        ], BancardEcComponent.prototype, "paymentServiceInst", void 0);
        __decorate$1z([
            core.Input()
        ], BancardEcComponent.prototype, "method", void 0);
        __decorate$1z([
            core.Input()
        ], BancardEcComponent.prototype, "total_amount", void 0);
        __decorate$1z([
            core.Input()
        ], BancardEcComponent.prototype, "allData", void 0);
        __decorate$1z([
            core.Input()
        ], BancardEcComponent.prototype, "user_data", void 0);
        __decorate$1z([
            core.Output()
        ], BancardEcComponent.prototype, "ready", void 0);
        __decorate$1z([
            core.ViewChild('template')
        ], BancardEcComponent.prototype, "template", void 0);
        BancardEcComponent = __decorate$1z([
            core.Component({
                selector: 'app-bancard-ec',
                template: "<div class=\"h-100 text-center\">\n    <h4>Continuar con el pago con Bancard</h4>\n    <p *ngIf=\"method\" class=\"px-5\">{{ method?.description }}</p>\n    <p *ngIf=\"method\" class=\"px-5\">{{ method?.instructions }}</p>\n    <ng-container *ngIf=\"!loading ; else loadingUrl\">\n        <button *ngIf=\"url\" class=\"btn btn-outline-secondary comprar\" (click)=\"openModal(template)\">Pagar</button>\n        <p *ngIf=\"!url\" class=\"px-5\">Actualmente no se encuentra disponible el m\u00E9todo de pago</p>\n    </ng-container>\n</div>\n\n<ng-template #template>\n    <div class=\"modal-content\">\n        <div class=\"modal-header border-none justify-content-end px-1\">\n            <button type=\"button\" class=\"btn bg-none\" (click)=\"clickClose()\">\n                X \n            </button>\n        </div>\n    </div>\n    <div class=\"modal-body\">\n        <iframe src=\"assets/bancardFrameBase.html\" frameborder=\"0\" class=\"iframeStyle\"></iframe>\n    </div>\n</ng-template>\n\n<ng-template #loadingUrl>\n    <div class=\"d-flex flex-column jusitfy-content-center align-items-center mt-2\">\n        <app-loading-full-ec></app-loading-full-ec>\n    </div>\n</ng-template>",
                providers: [modal.BsModalService],
                styles: [".half-width{width:49%!important}.ml-1{margin-left:1%}#card-form{height:450px}.iframeStyle{height:400px;width:100%;max-height:800px}"]
            })
        ], BancardEcComponent);
        return BancardEcComponent;
    }(ComponentHelper));

    var __extends$$ = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$1A = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var BancardRedirectEcComponent = /** @class */ (function (_super) {
        __extends$$(BancardRedirectEcComponent, _super);
        function BancardRedirectEcComponent(renderer, connection, toastrService, consts, cartService, toastr, activedRoute, sanitizer) {
            var _this = _super.call(this) || this;
            _this.renderer = renderer;
            _this.connection = connection;
            _this.toastrService = toastrService;
            _this.consts = consts;
            _this.cartService = cartService;
            _this.toastr = toastr;
            _this.activedRoute = activedRoute;
            _this.sanitizer = sanitizer;
            _this.method = null;
            _this.total_amount = 0;
            _this.user_data = null;
            _this.ready = new core.EventEmitter();
            _this.loading = false;
            _this.isDobleAuth = false;
            _this.urls = [];
            _this.closeModal = '';
            _this.dataRedirect = function () { return _this.consts.getUrlBase() + 'shop-api/' + _this.consts.getChannel() + '/redsys/redirect/' + _this.cartService.cart_token + '/process-payment'; };
            _this.iniciar = function () {
                _this.closeModal = '';
                _this.clearStorageState();
                _this.ventana = window.open(_this.url);
                _this.callState();
            };
            _this.clearStorageState = function () {
                sessionStorage.removeItem('state');
                localStorage.removeItem('state');
            };
            _this.clickClose = function () {
                var _a;
                _this.closeModal = 'cancel';
                (_a = _this.ventana) === null || _a === void 0 ? void 0 : _a.close();
            };
            _this.callState = function () {
                var _a;
                var state = _this.closeModal != '' ? _this.closeModal : localStorage.getItem('state');
                !state && _this.ventana.closed && (state = 'cancel');
                _this.loading = true;
                state && console.log(state);
                if (state) {
                    _this.loading = false;
                    sessionStorage.removeItem('state');
                    localStorage.removeItem('state');
                    if (state == 'success') {
                        _this.ready.emit(true);
                    }
                    if (state == 'cancel') {
                        return;
                    }
                    if (state == 'failure') {
                        _this.processError('');
                    }
                    (_a = _this.ventana) === null || _a === void 0 ? void 0 : _a.close();
                    return;
                }
                setTimeout(function () {
                    _this.callState();
                }, 4000);
            };
            _this.processError = function (err) {
                _this.toastrService.show(err != '' ? err : 'payment-error');
                console.log("ERROR ENVIO BACK  ", err);
            };
            _this.setError = function (message) {
            };
            _this.getCheckoutBancard = function () {
                _this.loading = true;
                _this.paymentServiceInst.getCheckoutBancard(_this.allData).then(function (res) {
                    var _a, _b, _c;
                    _this.dataBancard = res;
                    _this.url = ((_a = res) === null || _a === void 0 ? void 0 : _a.iframe_link) && ((_b = res) === null || _b === void 0 ? void 0 : _b.iframe_link);
                    ((_c = res) === null || _c === void 0 ? void 0 : _c.iframe_link) || (_this.url = null) && _this.processError('operation-error');
                    _this.loading = false;
                }, function (err) {
                    _this.processError('operation-error');
                    _this.loading = false;
                });
            };
            _this.ecOnConstruct();
            return _this;
        }
        BancardRedirectEcComponent.prototype.ngOnInit = function () {
            this.getCheckoutBancard();
            this.ecOnInit();
        };
        BancardRedirectEcComponent.prototype.ngOnDestroy = function () {
            // console.log("SE DESTROZA");
        };
        BancardRedirectEcComponent.prototype.ngOnChanges = function () {
            // console.log("SE CAMBIO");
        };
        BancardRedirectEcComponent.ctorParameters = function () { return [
            { type: core.Renderer2 },
            { type: ConnectionService },
            { type: ToastService },
            { type: Constants },
            { type: CartService },
            { type: ToastService },
            { type: router.ActivatedRoute },
            { type: platformBrowser.DomSanitizer }
        ]; };
        __decorate$1A([
            core.Input()
        ], BancardRedirectEcComponent.prototype, "method", void 0);
        __decorate$1A([
            core.Input()
        ], BancardRedirectEcComponent.prototype, "total_amount", void 0);
        __decorate$1A([
            core.Input()
        ], BancardRedirectEcComponent.prototype, "user_data", void 0);
        __decorate$1A([
            core.Input()
        ], BancardRedirectEcComponent.prototype, "paymentServiceInst", void 0);
        __decorate$1A([
            core.Input()
        ], BancardRedirectEcComponent.prototype, "allData", void 0);
        __decorate$1A([
            core.Output()
        ], BancardRedirectEcComponent.prototype, "ready", void 0);
        BancardRedirectEcComponent = __decorate$1A([
            core.Component({
                selector: 'app-bancard-redirect-ec',
                template: "<div class=\"text-center\">\n    <h4>Continuar con el pago con Bancard</h4>\n    <p *ngIf=\"method\" class=\"px-5\">{{ method?.description }}</p>\n    <p *ngIf=\"method\" class=\"px-5\">{{ method?.instructions }}</p>\n    <ng-container *ngIf=\"url;else loadingUrl\">\n        <ng-container *ngIf=\"!loading;else loadingTemp\">\n            <button (click)=\"iniciar()\" class=\"btn btn-outline-secondary comprar\">Pagar</button>\n        </ng-container>\n    </ng-container>\n</div>\n\n<ng-template #loadingUrl>\n    <div class=\"d-flex flex-column jusitfy-content-center align-items-center mt-2\">\n        <app-loading-full-ec></app-loading-full-ec>\n    </div>\n</ng-template>\n\n<ng-template #loadingTemp>\n    <div class=\"d-flex flex-column jusitfy-content-center align-items-center mt-2\">\n        <h3>Procesando el pago por Bancard</h3>\n        <h5>Recuerde hacer click en \"Finalizar\" desde Bancard para finalizar la compra.</h5>\n        <app-loading-full-ec></app-loading-full-ec>\n    </div>\n    <div class=\"container-fluid\">\n        <div class=\"row\">\n            <div class=\"col-5\">\n            <hr>\n            </div>\n            <div class=\"col-2 text-center\">\n            <label for=\"\">o</label>\n            </div>\n            <div class=\"col-5\">\n            <hr>\n            </div>\n        </div>\n    </div>\n    <div class=\"d-flex flex-column jusitfy-content-center align-items-center mt-2\">\n        <button (click)=\"clickClose()\" class=\"btn btn-outline-secondary rounded-0 comprar\">Cancelar pago</button>\n    </div>\n</ng-template>",
                styles: [".half-width{width:49%!important}.ml-1{margin-left:1%}#card-form{height:450px}.iframeStyle{height:800px;width:100%;max-height:800px}"]
            })
        ], BancardRedirectEcComponent);
        return BancardRedirectEcComponent;
    }(ComponentHelper));

    var __extends$10 = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __assign$q = (this && this.__assign) || function () {
        __assign$q = Object.assign || function(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                    t[p] = s[p];
            }
            return t;
        };
        return __assign$q.apply(this, arguments);
    };
    var __decorate$1B = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var SelectChannelEcComponent = /** @class */ (function (_super) {
        __extends$10(SelectChannelEcComponent, _super);
        function SelectChannelEcComponent(authService, modalService, router) {
            var _this = _super.call(this) || this;
            _this.authService = authService;
            _this.modalService = modalService;
            _this.router = router;
            _this.channels = [];
            _this.navigateByUrl = function () {
                _this.router.navigateByUrl('');
            };
            _this.initializeTemplate = function () {
                if (!_this.template) {
                    setTimeout(function () {
                        _this.initializeTemplate();
                    }, 1000);
                }
                else {
                    _this.bsModalRef = _this.modalService.show(_this.template, { class: 'modal-sm modal-dialog-centered ', keyboard: false, backdrop: 'static', animated: true });
                    _this.subsModal = _this.modalService.onHide.subscribe(function (onClose) {
                        _this.bsModalRef = null;
                    });
                }
            };
            _this.setSelect = function (chanelSelect) {
                _this.channels.map(function (chanel) { return chanel.selected = chanel.code == chanelSelect.code; });
            };
            _this.setChannel = function () {
                if (_this.channels.find(function (chanel) { return chanel.selected; })) {
                    _this.authService.channelAccess(_this.channels.find(function (chanel) { return chanel.selected; }));
                    _this.bsModalRef.hide();
                }
            };
            return _this;
        }
        SelectChannelEcComponent.prototype.ngOnInit = function () {
            var _this = this;
            this.subs = this.authService.channelsUser.pipe(operators.filter(function (res) { return res != null && res.length > 0; })).subscribe(function (res) {
                _this.channels = res.map(function (item) {
                    return __assign$q(__assign$q({}, item), { selected: false });
                });
                _this.initializeTemplate();
            });
            this.ecOnInit();
        };
        SelectChannelEcComponent.prototype.ngOnDestroy = function () {
            var _a, _b;
            (_a = this.subs) === null || _a === void 0 ? void 0 : _a.unsubscribe();
            (_b = this.subsModal) === null || _b === void 0 ? void 0 : _b.unsubscribe();
        };
        SelectChannelEcComponent.ctorParameters = function () { return [
            { type: AuthService },
            { type: modal.BsModalService },
            { type: router.Router }
        ]; };
        __decorate$1B([
            core.ViewChild('template')
        ], SelectChannelEcComponent.prototype, "template", void 0);
        SelectChannelEcComponent = __decorate$1B([
            core.Component({
                selector: 'select-channel-ec',
                template: "<ng-template #template>\n    <div class=\"modal-content\" id=\"modalChanel\">\n        <div class=\"modal-header\">\n            <h5 class=\"modal-title w-100 text-center text-uppercase\">{{ 'select-channel' | translate }}</h5>\n        </div>\n        <div class=\"modal-body px-4\">\n            <div class=\"card p-3 my-2 bg-light\" *ngFor=\"let item of channels; let i = index\">\n                <div class=\"form-check\">\n                    <input class=\"form-check-input\" type=\"radio\" [name]=\"'n-'+i\" [id]=\"i\" [checked]=\"item.selected\" (click)=\"setSelect(item)\">\n                    <h5 class=\"form-check-label\" role=\"button\" (click)=\"setSelect(item)\">{{ 'channel' | translate }}: {{ item.name }}</h5>\n                </div>\n            </div>\n\n            <!-- <div class=\"row\" *ngFor=\"let item of channels; let i = index\">\n                <div class=\"col-1\">\n                    <input class=\"form-check-input\" type=\"radio\" [name]=\"'n-'+i\" [id]=\"i\" [checked]=\"item.selected\"\n                        (click)=\"setSelect(item)\">\n                </div>\n                <div class=\"col-11\">\n                    <h5 role=\"button\" (click)=\"setSelect(item)\">{{ 'channel' | translate }}: {{ item.name }}</h5>\n                </div>\n            </div> -->\n        </div>\n        <div class=\"modal-footer\">\n            <button type=\"button\" class=\"btn btn-primary px-3 py-2\" (click)=\"setChannel()\">{{ 'continue' | translate }}</button>\n        </div>\n    </div>\n</ng-template>",
                providers: [modal.BsModalService],
                styles: [".capitalize{text-transform:capitalize}"]
            })
        ], SelectChannelEcComponent);
        return SelectChannelEcComponent;
    }(ComponentHelper));

    var __extends$11 = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$1C = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __read$8 = (this && this.__read) || function (o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m) return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
        }
        catch (error) { e = { error: error }; }
        finally {
            try {
                if (r && !r.done && (m = i["return"])) m.call(i);
            }
            finally { if (e) throw e.error; }
        }
        return ar;
    };
    var CartLoadEcComponent = /** @class */ (function (_super) {
        __extends$11(CartLoadEcComponent, _super);
        function CartLoadEcComponent(activedRoute, router, checkoutService, cartService) {
            var _this = _super.call(this) || this;
            _this.activedRoute = activedRoute;
            _this.router = router;
            _this.checkoutService = checkoutService;
            _this.cartService = cartService;
            _this.message = '';
            _this.ecOnConstruct();
            return _this;
        }
        CartLoadEcComponent.prototype.ngOnInit = function () {
            var _this = this;
            var token;
            rxjs.combineLatest([this.activedRoute.params, this.activedRoute.queryParams]).subscribe(function (_a) {
                var _b = __read$8(_a, 2), queryRouter = _b[0], queryParams = _b[1];
                token = queryRouter.token;
                console.log('PARAMETROS token  -> ', token);
                _this.cartService.loadCartByToken(token).then(function (res) {
                    _this.router.navigateByUrl('/cart');
                });
            });
            this.ecOnInit();
        };
        CartLoadEcComponent.ctorParameters = function () { return [
            { type: router.ActivatedRoute },
            { type: router.Router },
            { type: CheckoutService },
            { type: CartService }
        ]; };
        CartLoadEcComponent = __decorate$1C([
            core.Component({
                selector: 'app-cart-load-ec',
                template: "<div class=\"container\">\n    <div class=\"row\">\n        <div class=\"col align-self-center\">\n            <h4 class=\"titpage center-block text-center font-nexa font-lg my-3\">{{ 'retrieve-cart' | translate | uppercase }}</h4>\n        </div>\n    </div>\n    <div class=\"row\">\n        <div class=\"col align-self-center mt-2\">\n            <div class=\"d-flex flex-column jusitfy-content-center align-items-center\">\n                <app-loading-full-ec></app-loading-full-ec>\n            </div>\n        </div>\n    </div>\n</div>",
                styles: [".loader{border:16px solid #f3f3f3;border-top:16px solid #dc3545;border-radius:50%;width:50px;height:50px;-webkit-animation:2s linear infinite spin;animation:2s linear infinite spin}@-webkit-keyframes spin{0%{transform:rotate(0)}100%{transform:rotate(360deg)}}@keyframes spin{0%{transform:rotate(0)}100%{transform:rotate(360deg)}}.flex-container{display:flex;justify-content:center;align-items:center;height:80vh;width:100%}.flex-container>div{width:90%;height:100px}"]
            })
        ], CartLoadEcComponent);
        return CartLoadEcComponent;
    }(ComponentHelper));

    var __decorate$1D = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var MagnizoomComponent = /** @class */ (function () {
        function MagnizoomComponent() {
            this.zoomMode = 'COVER';
            this.minZoomFactor = 1.2;
            this.maxZoomFactor = 3;
            this.mousePosition = null;
            this.lensSize = { width: 400, height: 300 };
            this.zoomFactor = 2;
        }
        Object.defineProperty(MagnizoomComponent.prototype, "ImageSrc", {
            set: function (value) {
                this.imageSrc = value;
                this.loadImage(this.imageSrc);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(MagnizoomComponent.prototype, "canvasWidth", {
            get: function () { return this.image && this.image.width || 800; },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(MagnizoomComponent.prototype, "canvasHeight", {
            get: function () { return this.image && this.image.height || 600; },
            enumerable: true,
            configurable: true
        });
        MagnizoomComponent.prototype.ngOnInit = function () {
            this.initContext();
            this.loadImage(this.imageSrc);
        };
        MagnizoomComponent.prototype.initContext = function () {
            this.canvas = this.mainCanvasRef.nativeElement;
            this.context = this.canvas.getContext('2d');
        };
        MagnizoomComponent.prototype.loadImage = function (src) {
            var _this = this;
            this.image = new Image();
            this.image.onload = function () {
                _this.lensSize = { width: _this.image.width / 2, height: _this.image.height / 2 };
                setTimeout(function () { return _this.render(); });
            };
            this.image.src = src;
        };
        MagnizoomComponent.prototype.render = function () {
            this.context.clearRect(0, 0, this.canvasWidth, this.canvasHeight); // clear canvas
            this.context.lineWidth = 1; // border width
            this.context.drawImage(this.image, 0, 0); // bg image
            if (this.mousePosition) {
                switch (this.zoomMode) {
                    case 'LENS':
                        this.renderLensMode();
                        break;
                    case 'COVER':
                        this.renderCoverMode();
                        break;
                }
            }
        };
        MagnizoomComponent.prototype.renderLensMode = function () {
            this.context.lineWidth = 5; // border width
            var zoomRect = this.getZoomRect();
            this.context.fillRect(zoomRect.x, zoomRect.y, zoomRect.w, zoomRect.h); // bg (clear)
            var clippingRect = this.getClippingRect();
            // zoom image
            this.context.drawImage(this.image, clippingRect.x, clippingRect.y, clippingRect.w, clippingRect.h, zoomRect.x, zoomRect.y, zoomRect.w, zoomRect.h);
            this.context.strokeRect(zoomRect.x, zoomRect.y, zoomRect.w, zoomRect.h); // border
        };
        MagnizoomComponent.prototype.renderCoverMode = function () {
            var covertRect = this.getCoverRect();
            this.context.drawImage(this.image, covertRect.x, covertRect.y, covertRect.w, covertRect.h, 0, 0, this.canvasWidth, this.canvasHeight); // cover image
        };
        MagnizoomComponent.prototype.getZoomRect = function () {
            var w = this.lensSize.width;
            var h = this.lensSize.height;
            var x = this.mousePosition.x - (w / 2);
            var y = this.mousePosition.y - (h / 2);
            return this.clampRect(x, y, w, h);
        };
        MagnizoomComponent.prototype.getClippingRect = function () {
            var w = this.lensSize.width / this.zoomFactor;
            var h = this.lensSize.height / this.zoomFactor;
            var x = this.mousePosition.x - (w / 2);
            var y = this.mousePosition.y - (h / 2);
            return this.clampRect(x, y, w, h);
        };
        MagnizoomComponent.prototype.getCoverRect = function () {
            var w = this.canvasWidth / this.zoomFactor;
            var h = this.canvasHeight / this.zoomFactor;
            // const x = this.mousePosition.x - (w / 2);
            // const y = this.mousePosition.y - (h / 2);
            var x = this.mousePosition.x - this.mousePosition.x / this.zoomFactor;
            var y = this.mousePosition.y - this.mousePosition.y / this.zoomFactor;
            return this.clampRect(x, y, w, h);
        };
        MagnizoomComponent.prototype.clampRect = function (x, y, w, h) {
            if (x <= 0) {
                x = 0;
            }
            if (x + w >= this.canvasWidth) {
                x = this.canvasWidth - w;
            }
            if (y < 0) {
                y = 0;
            }
            if (y + h >= this.canvasHeight) {
                y = this.canvasHeight - h;
            }
            return { x: x, y: y, w: w, h: h };
        };
        MagnizoomComponent.prototype.calculateMousePosition = function (clientX, clientY) {
            var boundingRect = this.canvas.getBoundingClientRect();
            var viewToModelX = this.canvasWidth / boundingRect.width;
            var viewToModelY = this.canvasHeight / boundingRect.height;
            var x = (clientX - boundingRect.left) * viewToModelX;
            var y = (clientY - boundingRect.top) * viewToModelY;
            this.mousePosition = { x: x, y: y };
        };
        MagnizoomComponent.prototype.onMouseLeave = function (event) {
            this.mousePosition = null;
            this.render();
        };
        MagnizoomComponent.prototype.onMouseEnterOrMove = function (event) {
            this.calculateMousePosition(event.clientX, event.clientY);
            this.render();
        };
        MagnizoomComponent.prototype.onMouseScroll = function (event) {
            var newZoomFactor = this.zoomFactor;
            newZoomFactor -= event.deltaY / 1000;
            if (newZoomFactor < this.minZoomFactor) {
                newZoomFactor = this.minZoomFactor;
            }
            if (newZoomFactor > this.maxZoomFactor) {
                newZoomFactor = this.maxZoomFactor;
            }
            if (this.zoomFactor !== newZoomFactor) {
                this.zoomFactor = newZoomFactor;
                this.render();
            }
            event.preventDefault();
            event.stopPropagation();
        };
        __decorate$1D([
            core.Input()
        ], MagnizoomComponent.prototype, "ImageSrc", null);
        __decorate$1D([
            core.Input()
        ], MagnizoomComponent.prototype, "zoomMode", void 0);
        __decorate$1D([
            core.Input()
        ], MagnizoomComponent.prototype, "minZoomFactor", void 0);
        __decorate$1D([
            core.Input()
        ], MagnizoomComponent.prototype, "maxZoomFactor", void 0);
        __decorate$1D([
            core.Input()
        ], MagnizoomComponent.prototype, "imageStyle", void 0);
        __decorate$1D([
            core.Input()
        ], MagnizoomComponent.prototype, "imageClass", void 0);
        __decorate$1D([
            core.ViewChild('mainCanvas', { static: true })
        ], MagnizoomComponent.prototype, "mainCanvasRef", void 0);
        MagnizoomComponent = __decorate$1D([
            core.Component({
                selector: '[app-magnizoom-ec]',
                template: "<canvas #mainCanvas\n  class=\"main-canvas\"\n  [ngClass]=\"imageClass\"\n  [ngStyle]=\"imageStyle\"\n  [width]=\"canvasWidth\"\n  [height]=\"canvasHeight\"\n  (mouseleave)=\"onMouseLeave($event)\"\n  (mouseenter)=\"onMouseEnterOrMove($event)\"\n  (mousemove)=\"onMouseEnterOrMove($event)\"\n  (wheel)=\"onMouseScroll($event)\">\n</canvas>\n",
                styles: [""]
            })
        ], MagnizoomComponent);
        return MagnizoomComponent;
    }());

    var __extends$12 = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$1E = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var MultipleItemsToCartEcComponent = /** @class */ (function (_super) {
        __extends$12(MultipleItemsToCartEcComponent, _super);
        function MultipleItemsToCartEcComponent(consts, productService, cartService, toastService) {
            var _this = _super.call(this) || this;
            _this.consts = consts;
            _this.productService = productService;
            _this.cartService = cartService;
            _this.toastService = toastService;
            _this.totalCostItems = new core.EventEmitter();
            _this.totalItems = new core.EventEmitter();
            _this.total = 0;
            _this.countItems = 0;
            _this.optionsProductForVariant = function () { return _this.product.productWithUniqueVariant; };
            _this.setQuantity = function (value, product) {
                var quantity = Number(value) > product.currentOption.stock ? product.currentOption.stock : Number(value);
                product.productToCartItem = {
                    productCode: product.currentOption.productCode,
                    variantCode: product.currentOption.variantCode,
                    quantity: quantity,
                    finalPrice: product.currentOption.finalPrice,
                    totalCost: quantity * product.currentOption.finalPrice,
                };
                _this.total = 0;
                _this.countItems = 0;
                _this.product.productWithUniqueVariant.filter(function (prod) { return prod.productToCartItem; }).map(function (prod) {
                    _this.total += prod.productToCartItem.totalCost;
                    _this.countItems += prod.productToCartItem.quantity;
                });
                _this.totalCostItems.emit(_this.total.toString());
                _this.totalItems.emit(_this.countItems.toString());
            };
            _this.condition = function (value, product) {
                if (Number(value) >= product.currentOption.stock) {
                    return false;
                }
                return true;
            };
            _this.allWithoutTracking = function () { return _this.optionsProductForVariant().some(function (item) { var _a; return ((_a = item.currentOption) === null || _a === void 0 ? void 0 : _a.stock) != 9999; }); };
            _this.getObjectParamsWithVariant = function () {
                return _this.objectWithVariant || _this.getObjectWithVariant();
            };
            _this.getObjectWithVariant = function () {
                return { type: 'color', code: 'color', defaultFirstOption: true, checkIfStock: false };
            };
            _this.ecOnConstruct();
            return _this;
        }
        MultipleItemsToCartEcComponent.prototype.ngOnInit = function () {
            var _a;
            this.product.productWithUniqueVariant = (_a = this.productService) === null || _a === void 0 ? void 0 : _a.getProductWithUniqueVariant(this.product, this.getObjectParamsWithVariant());
            this.ecOnInit();
        };
        MultipleItemsToCartEcComponent.ctorParameters = function () { return [
            { type: Constants },
            { type: ProductDetailService },
            { type: CartService },
            { type: ToastService }
        ]; };
        __decorate$1E([
            core.Input()
        ], MultipleItemsToCartEcComponent.prototype, "product", void 0);
        __decorate$1E([
            core.Input()
        ], MultipleItemsToCartEcComponent.prototype, "objectWithVariant", void 0);
        __decorate$1E([
            core.Output()
        ], MultipleItemsToCartEcComponent.prototype, "totalCostItems", void 0);
        __decorate$1E([
            core.Output()
        ], MultipleItemsToCartEcComponent.prototype, "totalItems", void 0);
        MultipleItemsToCartEcComponent = __decorate$1E([
            core.Component({
                selector: 'app-multiple-items-to-cart-ec',
                template: "<table class=\"table table-hover tablas tabla-curva\">\n    <thead>\n        <tr>\n            <th scope=\"col\">Curva</th>\n            <th *ngFor=\"let item of optionsProductForVariant()\" scope=\"col\">{{item.currentOption?.code}}</th>\n        </tr>\n    </thead>\n    <tbody>\n        <ng-container *ngIf=\"allWithoutTracking()\">\n            <tr>\n                <td>Stock</td>\n                <th *ngFor=\"let item of optionsProductForVariant()\" scope=\"col\">{{(item.currentOption?.stock == 9999)? 'N/A' : item.currentOption?.stock }}</th>\n            </tr>\n        </ng-container>\n        <tr>\n            <td></td>\n            <td *ngFor=\"let item of optionsProductForVariant()\">\n                <div class=\"text-center\">\n                    <input class=\"form-control form-control-sm in-curva\"\n                        (keypress)=\"consts.inputValidationByExpressions($event,'[0-9]{1,9}', condition(inputValue.value,item) )\" #inputValue \n                        (keyup)=\"setQuantity(inputValue.value,item)\" [max]=\"item.currentOption?.stock\"  min=\"0\" type=\"text\"\n                        [value]=\"item?.productToCartItem?.quantity || 0\" id=\"\">\n                </div>\n            </td>\n        </tr>\n    </tbody>\n</table>\n<ng-template #loading>\n     <div class=\"col-12 align-items-center\">\n          <div class=\"d-flex flex-column jusitfy-content-center align-items-center my-5\">\n               <app-loading-full-ec></app-loading-full-ec>\n          </div>\n     </div>\n</ng-template>",
                styles: [".tabla-curva th{background-color:var(--color-section)}.tabla-curva td,.tabla-curva th{text-align:center}.tabla-curva .form-check .form-check-input{float:none}.tabla-curva input.in-curva{font-size:.7rem;font-weight:700;display:inline-block;width:55px}.table.tabla-curva>:not(caption)>*>*{padding:.5rem .2rem}"]
            })
        ], MultipleItemsToCartEcComponent);
        return MultipleItemsToCartEcComponent;
    }(ComponentHelper));

    var __decorate$1F = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    //import * from '../assets/ec-i18n'
    var CaptchaService = /** @class */ (function () {
        /**
         * @description Carga las configuraciones iniciales
         * @param consts Constantes del core
         * @param connection Servicio para realizar las peticiones HTTP al backend
         * @param http Servicio utilizado para obtener archivos estaticos contenidos dentro de la aplicación
         */
        function CaptchaService$1(consts, connection, http, paramsSrv) {
            var _this = this;
            this.consts = consts;
            this.connection = connection;
            this.http = http;
            this.paramsSrv = paramsSrv;
            this.captchaSubject = new rxjs.BehaviorSubject({ siteKey: '' });
            this.captcha = this.captchaSubject.asObservable();
            this.testing = "easycommercetech";
            this.productionEnvironment = false;
            this.recaptchaSiteKeysUrl = './assets/recaptcha/recaptcha-site-keys.json';
            this.recaptchaSitesUrl = './assets/recaptcha/recaptcha-sites.json';
            this.recaptchaSitesUrlProd = './assets/recaptcha/recaptcha-sites-prod.json';
            /**
             *
             * @returns {string} path que contiene la direccion del endpoint referido al captcha
             */
            this.captchaApi = function () { return 'shop-api/channels'; };
            /**
             * @description Devuelve true si la url es de produccion, false en caso contrario.
             * @returns {Boolean}
             */
            this.isProd = function () { return !_this.urlBaseFormat.includes(_this.testing); };
            /**
             * @description Prioriza si existe un parametro desde el backend de nombre 'recaptcha_key_canal',
             * de no existir este busca uno de tipo general de nombre 'recaptcha_key',
             * y en caso de que este no exista se realiza lo siguiente:
             * carga las variables RECAPTCHA_SITES y RECAPTCHA_SITE_KEYS, con los valores
             * de los Json estaticos, para posteriormente obtener la "siteKey"(clave del captcha) en caso
             * de que no venga desde el backend.
             */
            this.initializer = function () {
                var paramThisChannel = _this.params.find(function (param) { return param.code == 'recaptcha_key_' + _this.consts.getChannel(); });
                if (paramThisChannel) {
                    _this.captchaSubject.next({ siteKey: paramThisChannel.value });
                }
                else {
                    var paramGeneral = _this.params.find(function (param) { return param.code == 'recaptcha_key'; });
                    if (paramGeneral) {
                        _this.captchaSubject.next({ siteKey: paramGeneral.value });
                    }
                    else {
                        _this.getRecaptchaSites().pipe(
                        //filter( e => e[this.urlBaseFormat+'ee'] ),
                        operators.map(function (res) { return _this.RECAPTCHA_SITES = res; }), operators.concatMap(function (e) { return _this.getRecaptchaSiteKeys().pipe(operators.map(function (res) { return _this.RECAPTCHA_SITE_KEYS = res; })); })).subscribe(function (e) { return _this.getSiteKey(); });
                    }
                }
            };
            /**
             *
             * @returns {Observable<>} Datos obtenidos del archivo con las claves captcha
             */
            this.getRecaptchaSiteKeys = function () {
                return _this.http.get(_this.recaptchaSiteKeysUrl);
            };
            /**
             * @description Se obtiene los datos segun el entorno en que se ejecute
             * @returns {Observable<>} Datos obtenidos del archivo con las url de los sitios
             */
            this.getRecaptchaSites = function () { return _this.productionEnvironment ? _this.http.get(_this.recaptchaSitesUrlProd) : _this.http.get(_this.recaptchaSitesUrl); };
            /**
             * @description Genera una peticion para recibir la clave del captcha. En caso de no tener exito,
             * utiliza los archivos estaticos para retornar una clave por defecto. Rellena el Observable con
             * los datos generados.
             */
            this.getSiteKey = function () {
                _this.connection.get(_this.captchaApi()).toPromise().then(function (res) { console.log(res); _this.captchaSubject.next({ siteKey: res.siteKey ? res.siteKey : _this.RECAPTCHA_SITE_KEYS[_this.RECAPTCHA_SITES[_this.urlBaseFormat]] }); }, function (err) { console.log('ERROR 1', err); _this.captchaSubject.next({ siteKey: _this.RECAPTCHA_SITES[_this.RECAPTCHA_SITES[_this.urlBaseFormat]] }); }).catch(function (err) { console.log('ERROR 2 ', err, ' Base url:', _this.consts.getUrlBase()); _this.captchaSubject.next({ siteKey: _this.RECAPTCHA_SITE_KEYS[_this.RECAPTCHA_SITES[_this.urlBaseFormat]] }); });
                //console.log(this.captcha)
            };
            /**
             *
             * @returns {string} Clave del captcha.
             */
            this.getKey = function () {
                return _this.captcha.pipe(operators.map(function (elem) { var _a; return (_a = elem) === null || _a === void 0 ? void 0 : _a.siteKey; }));
            };
            /**
             * @description Recibe una url y se encarga de quitarle "http", "/" y las demas rutas, para devolver la url
             * del sitio con una formato limpio. Ejemplo "https://ejemplo.com.ar/ruta1/ruta2/" a "ejemplo.com.ar"
             * @param {string} url url que sera formateada
             * @returns {string} url formateada
             */
            this.formatUrl = function (url) { return url.split("/").filter(function (e) { return e != "/"; }).filter(function (e) { return !e.includes("http"); }).filter(function (e) { return e.length; }).slice(0, 1).pop(); };
            this.paramsSrv.parameters.subscribe(function (param) { return _this.params = param; });
            /**
             * @description Carga la direccion de la pagina actual que sera utilizada como clave para obtener
             * la clave por defecto que pertenece a esta direccion, inicializa la configuracion inicial.
             */
            this.urlBaseFormat = this.formatUrl(location.href);
            this.productionEnvironment = this.isProd();
            this.initializer();
        }
        CaptchaService$1.ctorParameters = function () { return [
            { type: Constants },
            { type: ConnectionService },
            { type: http.HttpClient },
            { type: ParametersService }
        ]; };
        CaptchaService$1.ɵprov = core.ɵɵdefineInjectable({ factory: function CaptchaService_Factory() { return new CaptchaService(core.ɵɵinject(Constants), core.ɵɵinject(ConnectionService), core.ɵɵinject(http.HttpClient), core.ɵɵinject(ParametersService)); }, token: CaptchaService, providedIn: "root" });
        CaptchaService$1 = __decorate$1F([
            core.Injectable({
                providedIn: 'root'
            })
        ], CaptchaService$1);
        return CaptchaService$1;
    }());

    var __decorate$1G = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var RecaptchaEcComponent = /** @class */ (function () {
        function RecaptchaEcComponent(captchaService) {
            var _this = this;
            this.captchaService = captchaService;
            /**
             * @description Actualiza la clave si está es pasada por parametro en la variable siteKey
             * @returns {null}
             */
            this.updateKey = function () { return _this.siteKey ? _this.captcha.siteKey = _this.siteKey : null; };
        }
        RecaptchaEcComponent.prototype.ngOnInit = function () {
            var _this = this;
            // throw new Error('Method not implemented.');
            this.captchaService.captcha.subscribe(function (res) {
                _this.captcha = res;
                _this.updateKey();
            });
        };
        /**
         * @description Carga el campo captcha del formulario pasado con la respuesta luego de completar el captcha.
         * @param {string} captchaResponse obtiene la respuesta que genero el captcha.
         */
        RecaptchaEcComponent.prototype.resolved = function (captchaResponse) {
            this.form.catpcha = captchaResponse;
        };
        RecaptchaEcComponent.ctorParameters = function () { return [
            { type: CaptchaService }
        ]; };
        __decorate$1G([
            core.Input()
        ], RecaptchaEcComponent.prototype, "form", void 0);
        __decorate$1G([
            core.Input()
        ], RecaptchaEcComponent.prototype, "siteKey", void 0);
        RecaptchaEcComponent = __decorate$1G([
            core.Component({
                selector: 're-captcha-ec',
                template: "<ng-container *ngIf=\"captcha.siteKey; else loading\">\n    <re-captcha (resolved)=\"resolved($event)\" siteKey=\"{{captcha.siteKey}}\" [formControl]=\"form.controls['captcha']\">\n    </re-captcha>\n</ng-container>\n<ng-template #loading>\n      <app-loading-full-ec></app-loading-full-ec>\n</ng-template>",
                styles: [""]
            })
        ], RecaptchaEcComponent);
        return RecaptchaEcComponent;
    }());

    var __extends$13 = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$1H = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var DecidirEcComponent = /** @class */ (function (_super) {
        __extends$13(DecidirEcComponent, _super);
        function DecidirEcComponent(renderer, connection, toastrService, consts, cartService, activedRoute, sanitizer, modalService, paramsService) {
            var _this = _super.call(this) || this;
            _this.renderer = renderer;
            _this.connection = connection;
            _this.toastrService = toastrService;
            _this.consts = consts;
            _this.cartService = cartService;
            _this.activedRoute = activedRoute;
            _this.sanitizer = sanitizer;
            _this.modalService = modalService;
            _this.paramsService = paramsService;
            _this.method = null;
            _this.total_amount = 0;
            _this.user_data = null;
            _this.ready = new core.EventEmitter();
            _this.loading = false;
            _this.isDobleAuth = false;
            _this.urls = [];
            _this.closeModal = '';
            _this.paramsMensaje = '';
            _this.dataRedirect = function () { return _this.consts.getUrlBase() + 'shop-api/' + _this.consts.getChannel() + '/decidir/' + _this.cartService.cart_token + '/process-payment'; };
            _this.clearStorageState = function () {
                sessionStorage.removeItem('state');
                localStorage.removeItem('state');
                localStorage.removeItem('dataRedirect');
                localStorage.removeItem('dataDecidir');
                localStorage.removeItem('message');
                localStorage.removeItem('subMessage');
            };
            _this.clickClose = function () {
                _this.closeModal = 'cancel';
                _this.modalRef.hide();
                _this.processError('Se cancelo el pago con Decidir');
            };
            _this.showMessage = function () {
                var message = localStorage.getItem('message') || undefined;
                var subMessage = localStorage.getItem('subMessage') || undefined;
                message && _this.toastrService.show(message, {}, '', { closeButton: true, timeOut: 6000 });
                subMessage && _this.toastrService.show(subMessage, {}, '', { closeButton: true, timeOut: 6000 });
            };
            _this.callState = function () {
                try {
                    var state = _this.closeModal != '' ? _this.closeModal : localStorage.getItem('state');
                    _this.loading = true;
                    state && _this.showMessage();
                    if (state) {
                        _this.loading = false;
                        _this.clearStorageState();
                        if (state == 'success') {
                            _this.ready.emit(true);
                        }
                        if (state == 'partially_authorized') {
                            _this.ready.emit(true);
                            _this.processError(_this.paramsMensaje);
                        }
                        if (state == 'cancel') {
                            return;
                        }
                        if (state == 'failure') {
                            _this.processError('');
                        }
                        _this.modalRef.hide();
                        return;
                    }
                    setTimeout(function () {
                        _this.callState();
                    }, 5000);
                }
                catch (error) {
                    console.error(error);
                }
            };
            _this.processError = function (err) {
                _this.toastrService.show(err != '' ? err : 'payment-error');
                console.log("ERROR ENVIO BACK  ", err);
            };
            _this.getCheckoutDecidir = function () {
                _this.loading = true;
                _this.dataDecidir = _this.method;
                _this.url = _this.sanitizer.bypassSecurityTrustResourceUrl('assets/decidirFormEc.html');
                _this.loading = false;
            };
            _this.resizeIframe = function (obj) {
                obj.style.height = obj.contentWindow.document.body.scrollHeight + 'px';
                obj.style.width = obj.contentWindow.document.body.scrollWidth + 'px';
            };
            _this.ecOnConstruct();
            return _this;
        }
        DecidirEcComponent.prototype.ngOnInit = function () {
            var _this = this;
            this.getCheckoutDecidir();
            this.paramsService.parameters.subscribe(function (res) {
                _this.params = res;
                _this.paramsMensaje = _this.hasParams(res, 'partially_authorized_decidir') || 'Se está procesando el pago con tarjeta.';
            });
            this.ecOnInit();
        };
        DecidirEcComponent.prototype.ngOnDestroy = function () {
            // console.log("SE DESTROZA");
        };
        DecidirEcComponent.prototype.ngOnChanges = function () {
            // console.log("SE CAMBIO");
        };
        DecidirEcComponent.prototype.openModal = function (template) {
            this.clearStorageState();
            localStorage.setItem('dataRedirect', this.dataRedirect());
            localStorage.setItem('dataDecidir', JSON.stringify(this.method));
            this.modalRef = this.modalService.show(template, { class: 'modal-xl modal-dialog-centered ', keyboard: false, backdrop: 'static', animated: true });
            this.closeModal = '';
            this.callState();
        };
        DecidirEcComponent.ctorParameters = function () { return [
            { type: core.Renderer2 },
            { type: ConnectionService },
            { type: ToastService },
            { type: Constants },
            { type: CartService },
            { type: router.ActivatedRoute },
            { type: platformBrowser.DomSanitizer },
            { type: modal.BsModalService },
            { type: ParametersService }
        ]; };
        __decorate$1H([
            core.Input()
        ], DecidirEcComponent.prototype, "paymentServiceInst", void 0);
        __decorate$1H([
            core.Input()
        ], DecidirEcComponent.prototype, "method", void 0);
        __decorate$1H([
            core.Input()
        ], DecidirEcComponent.prototype, "total_amount", void 0);
        __decorate$1H([
            core.Input()
        ], DecidirEcComponent.prototype, "allData", void 0);
        __decorate$1H([
            core.Input()
        ], DecidirEcComponent.prototype, "user_data", void 0);
        __decorate$1H([
            core.Output()
        ], DecidirEcComponent.prototype, "ready", void 0);
        __decorate$1H([
            core.ViewChild('template')
        ], DecidirEcComponent.prototype, "template", void 0);
        DecidirEcComponent = __decorate$1H([
            core.Component({
                selector: 'app-decidir-ec',
                template: "<div class=\"text-center\">\n    <h3>Continuar con el pago en Decidir</h3>\n    <p *ngIf=\"method\" class=\"px-5\">{{ method?.description }}</p>\n    <p *ngIf=\"method\" class=\"px-5\">{{ method?.instructions }}</p>\n    <ng-container *ngIf=\"!loading ; else loadingUrl\">\n        <button class=\"btn btn-outline-secondary comprar\" (click)=\"openModal(template)\">Pagar</button>\n    </ng-container>\n</div>\n\n<ng-template #template>\n    <div class=\"modal-content\">\n        <div class=\"modal-header border-none justify-content-end px-1\">\n            <button type=\"button\" class=\"btn bg-none\" (click)=\"clickClose()\">\n                X \n            </button>\n        </div>\n    </div>\n    <div class=\"modal-body\">\n        <iframe [src]=\"url\" frameborder=\"0\" class=\"iframeStyle\"></iframe>\n    </div>\n</ng-template>\n\n<ng-template #loadingUrl>\n    <div class=\"d-flex flex-column jusitfy-content-center align-items-center mt-2\">\n        <app-loading-full-ec></app-loading-full-ec>\n    </div>\n</ng-template>",
                providers: [modal.BsModalService],
                styles: [".half-width{width:49%!important}.ml-1{margin-left:1%}#card-form{height:450px}.iframeStyle{height:520px;width:100%}@media only screen and (max-width:1024px){.iframeStyle{height:730px;width:100%}}@media only screen and (max-width:680px){.iframeStyle{height:675px;width:100%}}"]
            })
        ], DecidirEcComponent);
        return DecidirEcComponent;
    }(ComponentHelper));

    var __decorate$1I = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __awaiter$g = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
            function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    };
    var __generator$g = (this && this.__generator) || function (thisArg, body) {
        var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f) throw new TypeError("Generator is already executing.");
            while (_) try {
                if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
                if (y = 0, t) op = [op[0] & 2, t.value];
                switch (op[0]) {
                    case 0: case 1: t = op; break;
                    case 4: _.label++; return { value: op[1], done: false };
                    case 5: _.label++; y = op[1]; op = [0]; continue;
                    case 7: op = _.ops.pop(); _.trys.pop(); continue;
                    default:
                        if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                        if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                        if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                        if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                        if (t[2]) _.ops.pop();
                        _.trys.pop(); continue;
                }
                op = body.call(thisArg, _);
            } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
            if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
        }
    };
    var ConcatenatedAssociationsService = /** @class */ (function () {
        function ConcatenatedAssociationsService$1(consts, connection) {
            var _this = this;
            this.consts = consts;
            this.connection = connection;
            this.stepListSubject = new rxjs.BehaviorSubject([]);
            this.currentStepSubject = new rxjs.BehaviorSubject({});
            this.stepList$ = this.stepListSubject.asObservable();
            this.currentStep$ = this.currentStepSubject.asObservable();
            /**
             * @description sujeto para observar los errores.
             */
            this.errorSubject = new rxjs.BehaviorSubject({});
            /**
             * @description observable para el manejo de errores.
             */
            this.error$ = this.errorSubject.asObservable();
            //Lista de endpoints
            this.stepListApi = function (sectionName) { return 'shop-api/' + _this.consts.getChannel() + '/concatenated_associations/' + sectionName; };
            this.applyFilterApi = function () { return 'shop-api/' + _this.consts.getChannel() + '/concatenated_associations/step_by_step/'; };
            /**
             * @description Obtiene la lista de pasos completa, dato que se recibe cuando inicia la carga de datos.
             * @param section Este parametro recibe la seccion de donde se obtendran la lista de pasos
             * @param fatherCode Este parametro recibe el codigo padre de esa seccion, es decir de donde empieza el filtrado de pasos.
             * @returns
             */
            this.getStepList = function (section, fatherCode) { return __awaiter$g(_this, void 0, void 0, function () {
                var _this = this;
                return __generator$g(this, function (_a) {
                    return [2 /*return*/, section && this.connection.post(this.stepListApi(section)).subscribe(function (res) {
                            _this.errorSubject.next({ state: false });
                            //Si existe el codigo del padre
                            if (fatherCode) {
                                var values = res.filter(function (e) { return e[0].code == fatherCode; });
                                //Si obtuvos resultados con la busqueda
                                if (values && values.length) {
                                    _this.initializeStepList(values[0]); //inicializa 
                                }
                                else {
                                    _this.errorSubject.next({ state: true, error: 'error no hay nada con ese codigo' });
                                    console.log('error no hay nada con ese codigo');
                                    _this.initializeStepList([]); //inicializa con un arreglo vacio
                                }
                            }
                            else {
                                //Si no hay codigo del padre, inicializa con el primer valor del arreglo
                                _this.initializeStepList(res[0]);
                            }
                        }, function (e) { return _this.errorSubject.next({ state: true, error: e }); })
                        /**
                         * @description Inicializa la carga de datos al subjeto del observable.
                         * @param response Respuesta recibida desde el backend
                         */
                    ];
                });
            }); };
            /**
             * @description Inicializa la carga de datos al subjeto del observable.
             * @param response Respuesta recibida desde el backend
             */
            this.initializeStepList = function (response) {
                _this.updateStepList(response);
                _this.updateCurrentStep(response[0]);
            };
            /**
             * @description Esta funcion carga
             * @param section
             * @param fatherCode
             */
            this.load = function (section, fatherCode) {
                //console.log('entre load')
                _this.getStepList(section, fatherCode);
            };
            /**
             * @description actualiza la lista de pasos
             * @param value
             */
            this.updateStepList = function (value) {
                //console.log('entre update')
                _this.stepListSubject.next(value);
            };
            /**
             * @decription actualiza el paso actual en donde se encuentra.
             * @param value
             */
            this.updateCurrentStep = function (value) {
                _this.currentStepSubject.next(value);
            };
            /**
             * @description aplica los filtros con los valores dados.
             * @param values
             * @returns
             */
            this.applyFilter = function (values) { return __awaiter$g(_this, void 0, void 0, function () {
                var _this = this;
                return __generator$g(this, function (_a) {
                    return [2 /*return*/, this.connection.post(this.applyFilterApi(), values).toPromise().then(function (res) { return _this.updateCurrentStep(res); })];
                });
            }); };
        }
        ConcatenatedAssociationsService$1.ctorParameters = function () { return [
            { type: Constants },
            { type: ConnectionService }
        ]; };
        ConcatenatedAssociationsService$1.ɵprov = core.ɵɵdefineInjectable({ factory: function ConcatenatedAssociationsService_Factory() { return new ConcatenatedAssociationsService(core.ɵɵinject(Constants), core.ɵɵinject(ConnectionService)); }, token: ConcatenatedAssociationsService, providedIn: "root" });
        ConcatenatedAssociationsService$1 = __decorate$1I([
            core.Injectable({
                providedIn: 'root'
            })
        ], ConcatenatedAssociationsService$1);
        return ConcatenatedAssociationsService$1;
    }());

    var __extends$14 = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$1J = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var BuildYourEcComponent = /** @class */ (function (_super) {
        __extends$14(BuildYourEcComponent, _super);
        function BuildYourEcComponent(concatenated, optionsService, productsService, formBuilder, toastrService, consts, cartService, router) {
            var _this = _super.call(this) || this;
            _this.concatenated = concatenated;
            _this.optionsService = optionsService;
            _this.productsService = productsService;
            _this.formBuilder = formBuilder;
            _this.toastrService = toastrService;
            _this.consts = consts;
            _this.cartService = cartService;
            _this.router = router;
            _this.currentPosition = 0; //Guarda la posicion del paso activo
            _this.selectedValues = {}; //Guarda los valores que se van seleccionando.
            _this.taxonCode = 0;
            _this.itemCurrentSelected = ''; //Para guarda el item selecciondo
            _this.loadingStep = false; //Marca si se esta cargando el paso
            _this.finished = false; //Marca si finalizo la secuencia de pasos
            _this.noMoreCoincidences = false; //Marca si no hay mas coincidencias de productos
            _this.products = []; //Recibe el/los producto/s resultantes
            _this.total = [];
            /**
             * @description Arreglo de funciones para ejecutarse al terminar la carga de pasos.
             * El objeto se arma { function: [Function] , args: [Argumentos] }
             */
            _this.functionsToNextStep = [];
            _this.functionsToPrevStep = [];
            _this.attributes = [];
            _this.values = [];
            /**
             * @description inserta atributos adicionales a los pasos recibidos.
             * current => para indicar cuando el paso esta activo.
             * touched => para indicar cuando el paso fue activado.
             */
            _this.insertAttributes = function () {
                //console.log('attributes', this.stepList)
                _this.stepList.map(function (step, index) {
                    step.current = index == 0;
                    step.touched = false;
                });
            };
            /**
             * @description retorna las opciones del paso segun el tipo de paso que esta recibiendo.
             * @param item step para obtener los datos.
             */
            _this.itemValuesFactory = function (item) {
                item.values = _this.getValuesByFilter(item);
            };
            /**
             * @description retorna los valores del filtro segun el tipo.
             * @param item filtro
             * @returns retorna un arreglo con las opciones del filtro.
             */
            _this.getValuesByFilter = function (item) {
                switch (item.type) {
                    case 'optionProduct':
                        //parche temporal
                        item.productOption.values.forEach(function (elem) {
                            return elem.image.toLowerCase().includes('product_option_value_translation_image/') ?
                                elem.image = elem.image.split('product_option_value_translation_image/')[1] : null;
                        });
                        return item.productOption.values;
                    case 'attribute':
                        return item.attribute.children;
                    case 'taxon':
                        //this.optionsService.categories.subscribe(res => item.values = res)
                        //this.productsService.getProductsForFilter({ latest: true, limit: 10 }, ['category'], '999');
                        break;
                    default:
                        break;
                }
            };
            /**
             * @description cambia el contenido de los valores de los filtros, segun el tipo de filtro.
             * @param item filtro
             * @param values arreglo con los valores de las opciones
             */
            _this.setValuesByFilter = function (item, values) {
                switch (item.type) {
                    case 'optionProduct':
                        item.productOption.values = values;
                        break;
                    case 'attribute':
                        item.attribute.children = values;
                        break;
                    case 'taxon':
                        //this.optionsService.categories.subscribe(res => item.values = res)
                        //this.productsService.getProductsForFilter({ latest: true, limit: 10 }, ['category'], '999');
                        break;
                    default:
                        break;
                }
            };
            /**
             * @description Carga el componente para obtener sus datos iniciales.
             * @param section Seccion asociada con la asociaciones creadas
             * @param fatherCode Codigo del paso de donde se quiere arrancar el filtrado.
             */
            _this.load = function (section, fatherCode) {
                if (section === void 0) { section = ''; }
                _this.concatenated.load(section, fatherCode);
            };
            /**
             * @description carga con el valor seleccionado. Reinicia la condicion de "no más coincidencias"
             * @param value
             */
            _this.setItemCurrentSelected = function (value) {
                _this.noMoreCoincidences = false;
                _this.itemCurrentSelected = value;
            };
            /**
             * @description funcion para ser utilizada como captura del envio de un formulario.
             * @param event
             */
            _this.submitNext = function (event) {
                event.preventDefault();
                if (!_this.stepList[_this.currentPosition].skippeable) {
                    if (_this.itemCurrentSelected && _this.itemCurrentSelected.length) {
                        _this.next(_this.itemCurrentSelected);
                        _this.taxonCode = 0;
                    }
                    else {
                        _this.toastrService.show('Escoja una opción');
                    }
                }
                else {
                    _this.itemCurrentSelected ? _this.next(_this.itemCurrentSelected) : _this.next();
                    _this.taxonCode = 0;
                }
            };
            /**
             * @description evalua el valor que recibe por parametro, realiza la consulta para el filtrado y carga los datos recibidos.
             * @param selectValue valor asociado al codigo de la opcion elegida.
             */
            _this.next = function (selectValue) {
                if (selectValue === void 0) { selectValue = ''; }
                _this.loadingStep = true;
                if (selectValue) {
                    //se envia la peticion con el valor elegido
                    _this.selectedValues[_this.currentPosition] = [selectValue];
                    _this.concatenated.applyFilter({
                        "code": _this.code,
                        "values": _this.selectedValues
                    }).then(function (e) { return _this.setNextStep(selectValue); }).catch(function (e) { e.status == 500 ? _this.noMoreCoincidences = true : null; });
                }
                else {
                    //se envia la peticion con valor skipped=false.. etc
                    _this.selectedValues[_this.currentPosition] = [""];
                    _this.concatenated.applyFilter({
                        "code": _this.code,
                        "values": _this.selectedValues
                    }).then(function (e) { return _this.setNextStep(selectValue); }).catch(function (e) { e.status == 500 ? _this.noMoreCoincidences = true : null; });
                }
                //this.loadingStep = false
                //console.log(this.loadingStep)
            };
            /**
             * @description realiza el transpaso de datos desde el paso actual al siguiente paso de filtrado.
             * @param selectValue valor asociado al codigo de la opcion elegida.
             */
            _this.setNextStep = function (selectValue) {
                _this.stepList[_this.currentPosition].valueSelected = _this.getAssociatedData(selectValue, _this.stepList[_this.currentPosition]);
                _this.stepList[_this.currentPosition].current = false;
                _this.stepList[_this.currentPosition].touched = true;
                _this.currentPosition++;
                // Si es el final de la lista de pasos.
                if (_this.currentPosition == _this.stepList.length) {
                    _this.products = _this.currentStep;
                    _this.finished = true;
                }
                else {
                    _this.stepList[_this.currentPosition].current = true;
                    _this.setValuesByFilter(_this.stepList[_this.currentPosition], _this.getValuesByFilter(_this.currentStep));
                    _this.itemValuesFactory(_this.stepList[_this.currentPosition]);
                    _this.itemCurrentSelected = '';
                    _this.functionsToNextStep.length > 0 ? _this.executeFunctions() : null;
                }
                _this.loadingStep = false;
            };
            /**
             * @description realiza las configuraciones necesarias para el retroceso de un paso.
             * @param index cantidad de pasos que se quiere retroceder, 1 por defecto.
             */
            _this.prev = function (index) {
                if (index === void 0) { index = -1; }
                _this.values.pop();
                _this.attributes.pop();
                _this.total.pop();
                _this.taxonCode = 0;
                _this.noMoreCoincidences = false;
                _this.stepList[_this.currentPosition].current = false;
                _this.stepList[_this.currentPosition].touched = false;
                if (index >= 0) {
                    _this.currentPosition = index;
                    _this.clearItems(index);
                }
                else {
                    _this.currentPosition--;
                }
                _this.stepList[_this.currentPosition].current = true;
                _this.itemCurrentSelected = _this.stepList[_this.currentPosition].valueSelected
                    ? _this.stepList[_this.currentPosition].valueSelected.code
                    : '';
                _this.functionsToNextStep.length > 0 ? _this.executeFunctions('prev') : null;
            };
            /**
             * @description limpia los pasos, volviendo sus valores a los iniciales.
             * Elimina los valores del arreglo de valores seleccionados.
             * @param index
             */
            _this.clearItems = function (index) {
                _this.stepList.map(function (step, i) {
                    if (i > index) {
                        step.current = false;
                        step.touched = false;
                        step.valueSelected = '';
                        delete _this.selectedValues[i];
                    }
                });
            };
            /**
             * @description retorna los datos de los valores de las opciones
             * @param code codigo de la opcion elegida
             * @param item filtro/paso
             * @returns los valores asociados a la opcion elegida
             */
            _this.getAssociatedData = function (code, item) { return _this.getValuesByFilter(item).find(function (elem) { return elem.code == code; }); };
            /**
             * @description actualiza la lista de pasos.
             * @param list
             */
            _this.updateList = function (list) {
                _this.concatenated.updateStepList(list);
            };
            /**
             * @description Ejecuta las funciones que se deben realizar al finalizar el proceso de un paso.
             * @param typeStep
             */
            _this.executeFunctions = function (typeStep) {
                if (typeStep === void 0) { typeStep = 'next'; }
                if (typeStep == 'next') {
                    _this.functionsToNextStep.forEach(function (fn) {
                        fn.function(fn.args);
                    });
                }
                else {
                    _this.functionsToPrevStep.forEach(function (fn) {
                        fn.function(fn.args);
                    });
                }
            };
            _this.load();
            _this.concatenated.stepList$.subscribe(function (res) {
                _this.stepList = res;
                _this.insertAttributes();
                if (_this.stepList[0]) {
                    _this.itemValuesFactory(_this.stepList[0]);
                    _this.code = _this.stepList[0].code;
                    if (_this.stepList[0].values) {
                        if (!_this.stepList[0].skippeable && (_this.stepList[0].values.length == 1)) {
                            _this.setItemCurrentSelected(_this.stepList[0].values[0].code);
                        }
                    }
                }
            });
            _this.concatenated.currentStep$.subscribe(function (res) { return _this.currentStep = res; });
            _this.concatenated.error$.subscribe(function (res) { return _this.error = res; });
            _this.ecOnConstruct();
            return _this;
        }
        BuildYourEcComponent.prototype.ngOnInit = function () {
            //this.load()
            this.ecOnInit();
        };
        BuildYourEcComponent.prototype.filtrar = function (code) {
            this.taxonCode = code;
        };
        BuildYourEcComponent.ctorParameters = function () { return [
            { type: ConcatenatedAssociationsService },
            { type: OptionsService },
            { type: ProductsService },
            { type: forms.FormBuilder },
            { type: ToastService },
            { type: Constants },
            { type: CartService },
            { type: router.Router }
        ]; };
        BuildYourEcComponent = __decorate$1J([
            core.Component({
                selector: 'app-build-your-ec',
                template: "<p>\n  build-your-ec works!\n</p>\n",
                styles: [""]
            })
        ], BuildYourEcComponent);
        return BuildYourEcComponent;
    }(ComponentHelper));

    var __extends$15 = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __assign$r = (this && this.__assign) || function () {
        __assign$r = Object.assign || function(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                    t[p] = s[p];
            }
            return t;
        };
        return __assign$r.apply(this, arguments);
    };
    var __decorate$1K = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var ProductFoundEcComponent = /** @class */ (function (_super) {
        __extends$15(ProductFoundEcComponent, _super);
        function ProductFoundEcComponent(productService, consts, activedRoute, cartService, optionsService, productsService, analyticsService, router, toastrService) {
            var _this = _super.call(this) || this;
            _this.productService = productService;
            _this.consts = consts;
            _this.activedRoute = activedRoute;
            _this.cartService = cartService;
            _this.optionsService = optionsService;
            _this.productsService = productsService;
            _this.analyticsService = analyticsService;
            _this.router = router;
            _this.toastrService = toastrService;
            _this.quantity = 1;
            /**
             * @description agrega el producto al carrito de compras
             */
            _this.addToCart = function () {
                _this.quantity > 0 && _this.productService.addToCart(_this.quantity);
            };
            /**
             * @description suma 1 a la cantidad del producto para agregar al carrito, si es que hay stock disponible
             * @param stock stock del producto que se quiere agregar al carrito
             * @returns
             */
            _this.plus = function (stock) { return _this.quantity < stock ? _this.quantity = _this.quantity + 1 : _this.toastrService.show('out-of-stock-actually'); };
            /**
             * @description resta 1 la cantidad del producto para agregar al carrito.
             * @returns
             */
            _this.less = function () { return _this.quantity > 1 ? _this.quantity = _this.quantity - 1 : null; };
            _this.productService.product$.subscribe(function (res) {
                _this.associatedData = res;
                window.scroll(0, 0);
            });
            _this.productService.product$.pipe(operators.filter(function (data) { return data && data.id && data.id != 0; })).subscribe(function (productParam) {
                _this.analyticsService.callEvent('view_item', __assign$r(__assign$r({}, productParam), { currency: _this.consts.currency.code }));
            });
            _this.ecOnConstruct();
            return _this;
        }
        ProductFoundEcComponent.prototype.ngOnInit = function () {
            this.productService.loadProduct(this.product.code, true);
            this.ecOnInit();
        };
        ProductFoundEcComponent.ctorParameters = function () { return [
            { type: ProductDetailService },
            { type: Constants },
            { type: router.ActivatedRoute },
            { type: CartService },
            { type: OptionsService },
            { type: ProductsService },
            { type: AnalyticsService },
            { type: router.Router },
            { type: ToastService }
        ]; };
        __decorate$1K([
            core.Input()
        ], ProductFoundEcComponent.prototype, "product", void 0);
        ProductFoundEcComponent = __decorate$1K([
            core.Component({
                selector: 'app-product-found-ec',
                template: "<p>\n  product-found works!\n</p>\n",
                providers: [ProductDetailService],
                styles: [""]
            })
        ], ProductFoundEcComponent);
        return ProductFoundEcComponent;
    }(ComponentHelper));

    var __extends$16 = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$1L = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var ComparedProductsEcComponent = /** @class */ (function (_super) {
        __extends$16(ComparedProductsEcComponent, _super);
        function ComparedProductsEcComponent(productsService, analyticsService, consts, router) {
            var _this = _super.call(this) || this;
            _this.productsService = productsService;
            _this.analyticsService = analyticsService;
            _this.consts = consts;
            _this.router = router;
            /**
             * @description valor que se utilizara para cuando un producto no tenga datos
             * en el atributo asignado.
             */
            _this.emptyValue = '';
            /**
             * @description valor que se utilizara para la clase de los estilos de la etiqueta <table>
             */
            _this.classes = '';
            _this.size = '';
            /**
             * @description emite true si se genero algun error en la carga, false caso contrario
             */
            _this.error = new core.EventEmitter();
            _this.comparedProducts = [];
            _this.attributes = {};
            _this.matrixComparedProducts = {};
            _this.loading = false;
            /**
             * @description arreglo con las palabras claves para obtener la asociacion para comparar los productos.
             */
            _this.keywordsToCompare = ['compare', 'comparar', 'comparacion', 'comparación', 'compared'];
            /**
             * @description carga los datos que seran comparados
             * @param product_id
             */
            _this.load = function (product_id) {
                _this.productsService.getRelatedProducts(product_id).subscribe(function (res) {
                    var _a;
                    _this.comparedProducts = (_a = res.find(function (elem) { return _this.includeKeyword(elem.title.toLowerCase()); })) === null || _a === void 0 ? void 0 : _a.items;
                    if (_this.comparedProducts && _this.comparedProducts.length > 0) {
                        _this.mergeAttributes(_this.comparedProducts);
                        _this.matrixComparedProducts = _this.buildMatrix();
                        _this.error.emit(false);
                    }
                    else {
                        _this.error.emit(true);
                    }
                    _this.loading = false;
                    res.map(function (products) { return _this.analyticsService.callEvent('view_item_list', { products: products.items, item_list_name: products.title || 'compared Products', item_list_id: products.id || 'compared-products' }); });
                }, function (err) {
                    console.log(err);
                    _this.loading = false;
                    _this.error.emit(true);
                });
            };
            /**
             * @description hace un merge de todos los atributos que tengan los productos.
             * @param products
             */
            _this.mergeAttributes = function (products) {
                products.forEach(function (product) {
                    product.attributes.forEach(function (attribute) {
                        if (!_this.attributes[attribute.code]) {
                            _this.attributes[attribute.code] = { name: attribute.name };
                        }
                    });
                });
            };
            /**
             * @description genera una matriz de los datos de cada producto para compararlos
             * @returns un objeto cuya clave es el nombre del atributo y sus valores un
             * arreglo con los datos de los productos para ese atributo, en caso de no tener
             * datos en ese atributo se reemplaza por el valor de la variable emptyValue.
             */
            _this.buildMatrix = function () {
                var res = {};
                var _loop_1 = function (attribute) {
                    res[attribute] = [];
                    _this.comparedProducts.forEach(function (product, index) {
                        var item = product.attributes.find(function (elem) { return elem.code == attribute; });
                        item ? res[attribute].push({ pos: index, values: item.children })
                            : res[attribute].push({ pos: index, values: [{ name: _this.emptyValue }] });
                    });
                };
                for (var attribute in _this.attributes) {
                    _loop_1(attribute);
                }
                return res;
            };
            /**
             * @description chequea si la palabra pasada por parametro existe en el arreglo de
             * palabras claves para comparar (keywordsToCompare)
             * @param word
             * @returns un valor booleano, true si existe, false caso contrario
             */
            _this.includeKeyword = function (word) {
                var result = false;
                _this.keywordsToCompare.forEach(function (keyword) {
                    word.includes(keyword) ? result = true : null;
                });
                return result;
            };
            _this.customOptions = {
                loop: true,
                dots: false,
                navSpeed: 950,
                margin: 0,
                navText: ['', ''],
                nav: true,
                responsive: {
                    0: {
                        items: 1,
                        nav: true
                    },
                    600: {
                        items: 3,
                        nav: true
                    },
                    900: {
                        items: 4,
                        nav: true,
                    }
                }
            };
            _this.ecOnConstruct();
            return _this;
        }
        Object.defineProperty(ComparedProductsEcComponent.prototype, "setSize", {
            /**
             * @description tamaño de la tabla responsive (sm | md| lg | xl | xxl)
             */
            set: function (value) {
                this.size = '-' + value;
            },
            enumerable: true,
            configurable: true
        });
        ComparedProductsEcComponent.prototype.ngOnInit = function () {
            this.loading = true;
            this.load(this.product_id);
            this.ecOnInit();
        };
        ComparedProductsEcComponent.prototype.ngOnChanges = function (changes) {
            window.scroll({
                top: 0,
                left: 0,
                behavior: 'smooth'
            });
            this.load(changes.product_id.currentValue);
            //this.doSomething(changes.categoryId.currentValue);
            // You can also use categoryId.previousValue and 
            // categoryId.firstChange for comparing old and new values
        };
        ComparedProductsEcComponent.ctorParameters = function () { return [
            { type: ProductsService },
            { type: AnalyticsService },
            { type: Constants },
            { type: router.Router }
        ]; };
        __decorate$1L([
            core.Input()
        ], ComparedProductsEcComponent.prototype, "product_id", void 0);
        __decorate$1L([
            core.Input()
        ], ComparedProductsEcComponent.prototype, "emptyValue", void 0);
        __decorate$1L([
            core.Input()
        ], ComparedProductsEcComponent.prototype, "classes", void 0);
        __decorate$1L([
            core.Input()
        ], ComparedProductsEcComponent.prototype, "setSize", null);
        __decorate$1L([
            core.Output()
        ], ComparedProductsEcComponent.prototype, "error", void 0);
        ComparedProductsEcComponent = __decorate$1L([
            core.Component({
                selector: 'app-compared-products-ec',
                template: "<ng-container *ngIf=\"!loading; else loadingView\">\n    <ng-container *ngIf=\"comparedProducts && comparedProducts.length\">\n        <div [class]=\"'table-responsive'+size\">\n            <table id=\"table\" [class]=\"'table '+classes\">\n                <thead id=\"thead\">\n                    <tr class=\"thead-tr\">\n                        <th class=\"thead-tr-th\" scope=\"col\"></th>\n                        <th class=\"thead-tr-th\" *ngFor=\"let product of comparedProducts\" scope=\"col\">{{product.id}}</th>\n                    </tr>\n                </thead>\n                <tbody id=\"tbody\">\n                    <tr *ngFor=\"let row of matrixComparedProducts | keyvalue\" class=\"tbody-tr\">\n                        <th class=\"tbody-tr-th\" scope=\"row\">{{attributes[row.key].name}}</th>\n                        <td class=\"tbody-tr-td\" *ngFor=\"let col of row.value\">\n                            <ul>\n                                <li *ngFor=\"let item of col.values\">\n                                    {{ item.name }}\n                                </li>\n                            </ul>\n                        </td>\n                    </tr>\n                </tbody>\n            </table>\n        </div>\n    </ng-container>\n</ng-container>\n<ng-template #loadingView>\n    <div class=\"w-100 h-50 py-5\">\n        <div class=\"d-flex flex-row justify-content-center align-items-center text-center\">\n            <app-loading-full-ec></app-loading-full-ec>\n        </div>\n    </div>\n</ng-template>",
                styles: [""]
            })
        ], ComparedProductsEcComponent);
        return ComparedProductsEcComponent;
    }(ComponentHelper));

    var __extends$17 = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$1M = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var StepEcComponent = /** @class */ (function (_super) {
        __extends$17(StepEcComponent, _super);
        function StepEcComponent(checkoutService, analyticsService) {
            var _this = _super.call(this) || this;
            _this.checkoutService = checkoutService;
            _this.analyticsService = analyticsService;
            _this.isStepReady = function (step_name) { return _this.checkoutService.isStepReady(step_name); };
            _this.metodoEnvio = function (order) { return _this.analyticsService.callEvent('shipping_info', order); };
            _this.ecOnConstruct();
            return _this;
        }
        StepEcComponent.prototype.ngOnInit = function () {
        };
        StepEcComponent.ctorParameters = function () { return [
            { type: CheckoutService },
            { type: AnalyticsService }
        ]; };
        __decorate$1M([
            core.Input()
        ], StepEcComponent.prototype, "lastStep", void 0);
        __decorate$1M([
            core.Input()
        ], StepEcComponent.prototype, "previousStep", void 0);
        __decorate$1M([
            core.Input()
        ], StepEcComponent.prototype, "step_id", void 0);
        __decorate$1M([
            core.Input()
        ], StepEcComponent.prototype, "nextStep", void 0);
        __decorate$1M([
            core.Input()
        ], StepEcComponent.prototype, "goBack", void 0);
        __decorate$1M([
            core.Input()
        ], StepEcComponent.prototype, "id_step", void 0);
        StepEcComponent = __decorate$1M([
            core.Component({
                selector: 'app-step-ec',
                template: "<ng-container [ngSwitch]=\"step_id\">\n\n    <ng-container *ngSwitchCase=\"1\">\n        <app-dataform-ec [step_id]=\"id_step\" [isLastOne]=\"lastStep\" [nextStep]=\"nextStep\">\n        </app-dataform-ec>\n    </ng-container>\n\n    <ng-container *ngSwitchCase=\"2\">\n        <ng-container *ngIf=\"isStepReady('address')\">\n            <app-shipment-ec [step_id]=\"id_step\">\n            </app-shipment-ec>\n            <div class=\"checkout-btn-container mt-2\">\n                <button class=\"btn valid-btn\" (click)=\"goBack()\">{{'back'|translate}}</button>\n                <ng-container *ngIf=\"(checkoutService.order$ | async) as order\">\n                    <button  *ngIf=\"isStepReady('shipment')\" (click)=\"nextStep()\"\n                        class=\"btn valid-btn float-end\" (click)=\"metodoEnvio(order)\">{{ (lastStep ? 'finish-checkout' : 'ready-form') |translate}}\n                    </button>\n                </ng-container>\n            </div>\n        </ng-container>\n    </ng-container>\n\n    <ng-container *ngSwitchCase=\"3\">\n        <ng-container *ngIf=\"isStepReady(previousStep)\">\n            <app-payment-ec [step_id]=\"id_step\">\n            </app-payment-ec>\n            <div class=\"checkout-btn-container mt-2\">\n                <button class=\"btn valid-btn\"\n                    (click)=\"goBack()\">{{'back'|translate}}</button>\n            </div>\n        </ng-container>\n    </ng-container>\n\n</ng-container>\n",
                styles: [".btn:disabled{opacity:.65}.btn.valid-btn{background-color:#000;color:#fff;margin-right:12px}"]
            })
        ], StepEcComponent);
        return StepEcComponent;
    }(ComponentHelper));

    var __decorate$1N = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var CulqiEcComponent = /** @class */ (function () {
        function CulqiEcComponent(renderer, consts, cartService, toastr, connection, paramsService) {
            var _this = this;
            this.renderer = renderer;
            this.consts = consts;
            this.cartService = cartService;
            this.toastr = toastr;
            this.connection = connection;
            this.paramsService = paramsService;
            this.ready = new core.EventEmitter();
            // cliente-test
            /* private apiKey: string = 'pk_test_vcUbO9GKekZcj16z' */
            // proto-local
            /* private apiKey: string = 'pk_test_26972b4e158b8f5b' */
            this.loaded = false;
            this.culqiParams = null;
            this.defaultErrorFeedback = 'Ocurrió un error al procesar su pago';
            this.getParams = function (params) {
                _this.culqiParams = {};
                if (_this.customStyle) {
                    _this.culqiParams['logo'] = _this.consts.mediaUrl() + params.find(function (param) { return param.code.includes('logo'); }).images[0].path;
                    _this.culqiParams['title'] = params.find(function (param) { return param.code.includes('title'); }).value;
                    _this.culqiParams['description'] = params.find(function (param) { return param.code.includes('description'); }).value;
                }
                else {
                    _this.culqiParams['title'] = 'La Pequeteria';
                    _this.culqiParams['description'] = '';
                }
            };
            this.culqi = function () {
                if (Culqi.token) {
                    _this.loaded = false;
                    var data = {
                        "token_id": Culqi.token.id
                    };
                    _this.connection.post(_this.finishApi(), data)
                        .toPromise()
                        .then(_this.processResponse)
                        .catch(function (response) { return _this.processResponse(response); })
                        .finally(function () { return _this.loaded = true; });
                }
                else
                    _this.toastr.show(Culqi.error.user_message || _this.defaultErrorFeedback, null, null, { timeOut: 5000, closeButton: true });
            };
            this.open = function () { console.log(_this.culqiParams, _this.amount); _this.openPayment(_this.culqiParams.description, _this.amount); };
            this.isReady = function () { return _this.amount && _this.culqiParams; };
            this.finishApi = function () { return 'shop-api/' + _this.consts.getChannel() + '/culqi/' + _this.cartService.cart_token + '/process-payment'; };
            this.onSuccess = function () { return _this.ready.emit(true); };
            this.onRejected = function (response) { return _this.toastr.show(response.content.user_message || _this.defaultErrorFeedback, null, null, { timeOut: 5000, closeButton: true }); };
            this.processResponse = function (response) {
                response.code === 201
                    ? _this.onSuccess()
                    : _this.onRejected(response);
            };
        }
        CulqiEcComponent.prototype.configCulqi = function (apiKey, commerce, currency) {
            console.log(apiKey);
            Culqi.publicKey = apiKey;
            this.settings = { title: commerce, currency: currency };
        };
        CulqiEcComponent.prototype.optionCulqi = function (lang, modal, installments) {
            var options = {
                lang: lang,
                modal: modal,
                installments: installments,
                customButton: "",
            };
            if (this.customStyle)
                options['style'] = {
                    maincolor: '#009d56',
                    buttontext: '#ffffff',
                    logo: this.culqiParams.logo
                };
            Culqi.options(options);
        };
        CulqiEcComponent.prototype.openPayment = function (description, amount) {
            console.log('llegue', this.settings, description, amount);
            Culqi.settings({
                title: this.settings["title"],
                currency: this.settings["currency"],
                description: description,
                amount: amount * 100
            });
            console.log(Culqi);
            Culqi.open();
        };
        CulqiEcComponent.prototype.ngAfterViewInit = function () {
            var _this = this;
            if (this.isReady()) {
                console.log('ready');
                var script = this.renderer.createElement("script");
                script.type = 'text/javascript';
                script.src = 'https://checkout.culqi.com/js/v3';
                script.onload = function () {
                    _this.configCulqi(_this.apiKey, _this.culqiParams.title, 'PEN');
                    _this.optionCulqi('es', true, false);
                    _this.loaded = true;
                };
                this.renderer.appendChild(this.anchor.nativeElement, script);
            }
        };
        CulqiEcComponent.prototype.ngOnInit = function () {
            var _this = this;
            window.culqi = this.culqi;
            this.paramsService.parameters
                .subscribe(function (params) { return _this.getParams(params.filter(function (param) { return param.code.includes('culqi'); })); });
        };
        CulqiEcComponent.ctorParameters = function () { return [
            { type: core.Renderer2 },
            { type: Constants },
            { type: CartService },
            { type: ToastService },
            { type: ConnectionService },
            { type: ParametersService }
        ]; };
        __decorate$1N([
            core.Input()
        ], CulqiEcComponent.prototype, "amount", void 0);
        __decorate$1N([
            core.Input()
        ], CulqiEcComponent.prototype, "apiKey", void 0);
        __decorate$1N([
            core.Input()
        ], CulqiEcComponent.prototype, "method", void 0);
        __decorate$1N([
            core.Input()
        ], CulqiEcComponent.prototype, "customStyle", void 0);
        __decorate$1N([
            core.Output()
        ], CulqiEcComponent.prototype, "ready", void 0);
        __decorate$1N([
            core.ViewChild('formContainer')
        ], CulqiEcComponent.prototype, "anchor", void 0);
        CulqiEcComponent = __decorate$1N([
            core.Component({
                selector: 'app-culqi-ec',
                template: "<div class=\"text-center\">\n    <h3 *ngIf=\"method && method?.name\">{{method.name}}</h3>\n    <p *ngIf=\"method\" class=\"px-5\">{{ method?.description }}</p>\n    <p *ngIf=\"method\" class=\"px-5\">{{ method?.instructions }}</p>\n    <form action=\"javascript:void(0)\" #formContainer></form>\n    <button *ngIf=\"loaded; else loading\" (click)=\"open()\" class=\"comprar\">Pagar</button>\n</div>\n\n\n<ng-template #loading>\n    <app-loading-full-ec></app-loading-full-ec>\n</ng-template>",
                styles: [".comprar{background:#009d56;color:#fff;display:inline-block;font-size:18px;font-weight:600;padding:10px 25px;text-decoration:none;text-transform:uppercase;border:none}.comprar :focus{outline:#92debc solid 3px}"]
            })
        ], CulqiEcComponent);
        return CulqiEcComponent;
    }());

    var __extends$18 = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$1O = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var RatingEcComponent = /** @class */ (function (_super) {
        __extends$18(RatingEcComponent, _super);
        function RatingEcComponent() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.type = 'stars';
            _this.score = [0, 0, 0, 0, 0];
            /**
             * @description recibe el valor de rating para procesarlo y posteriormente
             * llenar el arreglo de score.
             * @param value
             */
            _this.processRatingValue = function (value) {
                value = _this.roundToHalf(value);
                if ((value % 1) == 0) {
                    _this.fillScore(value);
                }
                else {
                    _this.fillScore(value, true);
                }
                _this.ratingValue = value;
            };
            /**
             * @description Rellena el array con valor 1 hasta donde indique el campo value.
             * agregar 0.5 si el valor de withDecimal es true.
             * @param value cantidad de casillas de arreglos que debe llenar
             * @param withDecimal true => se agrega 0.5 en la posicion posterior a la que marco value
             */
            _this.fillScore = function (value, withDecimal) {
                if (withDecimal === void 0) { withDecimal = false; }
                for (var index = 0; index < value; index++) {
                    _this.score[index] = 1;
                }
                withDecimal ? _this.score[parseInt(value.toString().split('.')[0])] = 0.5 : null;
                //console.log(this.score, parseInt(value.toString().split('.')[0]))
            };
            /**
             * @description Metodo que redondea un numero a entero o decimal con 0.5.
             * @param value Valor a redondear
             * @returns
             */
            _this.roundToHalf = function (value) {
                var converted = parseFloat(value); // Make sure we have a number 
                var decimal = (converted - parseInt(converted.toString(), 10));
                decimal = Math.round(decimal * 10);
                if (decimal == 5) {
                    return (parseInt(converted.toString(), 10) + 0.5);
                }
                if ((decimal < 3) || (decimal > 7)) {
                    return Math.round(converted);
                }
                else {
                    return (parseInt(converted.toString(), 10) + 0.5);
                }
            };
            return _this;
        }
        RatingEcComponent.prototype.ngOnInit = function () {
            this.ratingValue ? this.processRatingValue(this.ratingValue) : null;
        };
        __decorate$1O([
            core.Input()
        ], RatingEcComponent.prototype, "template", void 0);
        __decorate$1O([
            core.Input()
        ], RatingEcComponent.prototype, "type", void 0);
        __decorate$1O([
            core.Input()
        ], RatingEcComponent.prototype, "ratingValue", void 0);
        RatingEcComponent = __decorate$1O([
            core.Component({
                selector: 'app-rating-ec',
                template: "<ng-container [ngSwitch]=\"type\">\n        <ng-template #stars let-score=\"score\">\n           <ng-container *ngFor=\"let value of score\">\n                <ng-container [ngSwitch]=\"value\">\n                    <i *ngSwitchCase=\"1\" class=\"me-1 bi bi-star-fill text-warning star\"></i>\n                    <i *ngSwitchCase=\"0.5\" class=\"me-1 bi bi-star-half text-warning star\"></i>\n                    <i *ngSwitchCase=\"0\" class=\"me-1 bi bi-star text-muted star\"></i>\n                </ng-container>\n           </ng-container>\n        </ng-template>\n        <ng-container *ngSwitchCase=\"'stars'\"\n            [ngTemplateOutlet]=\"template  ? template : stars\"\n            [ngTemplateOutletContext]=\"{score:score, ratingValue:ratingValue}\">\n        </ng-container>\n</ng-container>\n",
                styles: [""]
            })
        ], RatingEcComponent);
        return RatingEcComponent;
    }(ComponentHelper));

    var __decorate$1P = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var ReviewsService = /** @class */ (function () {
        function ReviewsService$1(connection, constants, pagination) {
            var _this = this;
            this.connection = connection;
            this.constants = constants;
            this.pagination = pagination;
            this.reviewsSubject = new rxjs.BehaviorSubject({});
            this.reviews$ = this.reviewsSubject.asObservable();
            //--Api--
            this.reviewsByCodeApi = function (code) { return 'shop-api/' + _this.constants.getChannel() + '/products/by-code/' + code + '/reviews'; };
            this.reviewsBySlugApi = function (slug) { return 'shop-api/' + _this.constants.getChannel() + '/products/by-slug/' + slug + '/reviews'; };
            /**
             * @description obtiene las reviews por el codigo del producto.
             * @param code codigo del producto
             * @returns
             */
            this.getReviewsByCode = function (code) {
                return _this.connection.get(_this.reviewsByCodeApi(code)).toPromise().then(function (res) { return _this.updateReviews(res); });
            };
            /**
             * @description actualiza las reviews por codigo
             * @param code codigo del producto
             * @returns
             */
            this.updateReviewsByCode = function (code) { return _this.getReviewsByCode(code); };
            /**
             * @description actualiza las reviews
             * @param res
             * @returns
             */
            this.updateReviews = function (res) { return _this.reviewsSubject.next(res); };
            /**
             * @description obtiene las reviews utilizando las url del atributo links de las reviews.
             * @param action self(defecto) | next | first | last
             * @returns
             */
            this.getReviews = function (action) {
                if (action === void 0) { action = 'self'; }
                return _this.connection.get(_this.generateFinalApi(action)).toPromise().then(function (res) { return _this.updateReviews(res); });
            };
            /**
             * @description obtiene las reviews de una pagina en especial.
             * @param code codigo del producto
             * @param page número de pagina
             * @param limit cantidad limite de paginas
             * @returns
             */
            this.getReviewsByPage = function (code, page, limit) {
                return _this.connection.get(_this.generateFinalApiWithPage(code, page, limit)).toPromise().then(function (res) { return _this.updateReviews(res); });
            };
            /**
             * @description genera una url que sera utiliza como endpoint para pedir las reviews utilizando los datos
             * que viene en el atributo links.
             * 'next' => utiliza el atributo next de links
             * 'first' => utiliza el atributo first de links
             * 'last' => utiliza el atributo last de links
             * default => cualquier otro caso, utiliza el atributo self de links.
             * @param action next | first | last
             * @returns
             */
            this.generateFinalApi = function (action) {
                switch (action) {
                    case 'next':
                        return _this.formatUrl(_this.reviewsSubject.getValue().links.next);
                    case 'first':
                        return _this.formatUrl(_this.reviewsSubject.getValue().links.first);
                    case 'last':
                        return _this.formatUrl(_this.reviewsSubject.getValue().links.last);
                    default:
                        return _this.formatUrl(_this.reviewsSubject.getValue().links.self);
                }
            };
            /**
             * @description obtiene las reviews de una pagina en especifico
             * @param code codigo del producto
             * @param page numero de pagina
             * @param limit cantidad limite de paginas
             * @returns
             */
            this.generateFinalApiWithPage = function (code, page, limit) { return _this.reviewsByCodeApi(code) + '?page=' + page + '&limit=' + limit; };
            /**
             * @description formatea la url que sera utilizada de endpoint para obtener las reviews
             * @param url
             * @returns
             */
            this.formatUrl = function (url) { return url.slice(1); };
        }
        ReviewsService$1.ctorParameters = function () { return [
            { type: ConnectionService },
            { type: Constants },
            { type: PaginationService }
        ]; };
        ReviewsService$1.ɵprov = core.ɵɵdefineInjectable({ factory: function ReviewsService_Factory() { return new ReviewsService(core.ɵɵinject(ConnectionService), core.ɵɵinject(Constants), core.ɵɵinject(PaginationService)); }, token: ReviewsService, providedIn: "root" });
        ReviewsService$1 = __decorate$1P([
            core.Injectable({
                providedIn: 'root'
            })
        ], ReviewsService$1);
        return ReviewsService$1;
    }());

    var __extends$19 = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$1Q = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var ReviewsFormEcComponent = /** @class */ (function (_super) {
        __extends$19(ReviewsFormEcComponent, _super);
        function ReviewsFormEcComponent(toastrService, router, consts, formBuilder, productService, authService, reviewsService) {
            var _this = _super.call(this) || this;
            _this.toastrService = toastrService;
            _this.router = router;
            _this.consts = consts;
            _this.formBuilder = formBuilder;
            _this.productService = productService;
            _this.authService = authService;
            _this.reviewsService = reviewsService;
            /**
             * @description para controlar si esta logueado.
             */
            _this.withAuthenticated = true;
            /**
             * @description número maximo de valor de puntuación
             */
            _this.max = 5;
            /**
             * @description para indicar cuando se termino la operación de consulta.
             */
            _this.ready = new core.EventEmitter();
            _this.loading = false;
            _this.form_data = new FormData();
            _this.limit = [];
            /**
             * @description guarda el valor que contiene la puntuación de la reseña.
             * @param value
             */
            _this.setRatingValue = function (value) {
                if (value === void 0) { value = 0; }
                _this.reviews_form.controls['rating'].setValue(value);
            };
            /**
             * @description procesa el formulario con los datos.
             * @param form
             * @param success_message mensaje para que se muestre en el caso de exito.
             */
            _this.sendForm = function (form, success_message) {
                if (form.valid) {
                    _this.withAuthenticated ? _this.reviews_form.controls['email'].setValue(_this.authService.getUserProfileAsUser().email) : null;
                    _this.productService.saveReviews(_this.product.id, form.value).toPromise().then(function (res) {
                        _this.reviews_form.reset();
                        _this.toastrService.show(success_message ? success_message : 'success-review');
                        _this.loading = false;
                        _this.ready.emit(true);
                        // Queda preparado por si algun dia se quiere manejar sincronismo.
                        //this.updateReviews()
                    }, function (err) {
                        _this.toastrService.show('inquiry-error');
                        _this.loading = false;
                        _this.ready.emit(true);
                    });
                }
                else {
                    _this.toastrService.show('invalid-form');
                    _this.loading = false;
                    _this.ready.emit(true);
                }
            };
            /**
             * @descirption controla que el usuario este logueado para comentar. Si la variable withAuthenticated es falso entonces no realiza este control.
             * @param e evento producido por el submit del formulario
             */
            _this.toastReviewsForm = function (e, message) {
                _this.loading = true;
                e.preventDefault();
                if (_this.withAuthenticated) {
                    _this.authService.isAuthenticated() ?
                        _this.sendForm(_this.reviews_form, message ? message : 'success-review') : _this.toastrService.show('authenticated-for-comment');
                }
                else {
                    _this.sendForm(_this.reviews_form, message ? message : 'success-review');
                }
            };
            /**
             * @description actualiza las reviews
             * @returns
             */
            _this.updateReviews = function () { return _this.reviewsService.updateReviewsByCode(_this.product.id); };
            _this.reviews_form = formBuilder.group({
                title: ['', forms.Validators.required],
                comment: ['', forms.Validators.required],
                rating: [0, forms.Validators.required],
                email: ['', _this.withAuthenticated ? [] : [forms.Validators.required, forms.Validators.email]],
            });
            _this.ecOnConstruct();
            return _this;
        }
        ReviewsFormEcComponent.prototype.ngOnInit = function () {
            for (var index = 0; index < this.max; index++) {
                this.limit.push(index + 1);
            }
        };
        ReviewsFormEcComponent.ctorParameters = function () { return [
            { type: ToastService },
            { type: router.Router },
            { type: Constants },
            { type: forms.FormBuilder },
            { type: ProductsService },
            { type: AuthService },
            { type: ReviewsService }
        ]; };
        __decorate$1Q([
            core.Input()
        ], ReviewsFormEcComponent.prototype, "product", void 0);
        __decorate$1Q([
            core.Input()
        ], ReviewsFormEcComponent.prototype, "withAuthenticated", void 0);
        __decorate$1Q([
            core.Input()
        ], ReviewsFormEcComponent.prototype, "max", void 0);
        __decorate$1Q([
            core.Output()
        ], ReviewsFormEcComponent.prototype, "ready", void 0);
        ReviewsFormEcComponent = __decorate$1Q([
            core.Component({
                selector: 'app-reviews-form-ec',
                template: "<p>\n  reviews-form-ec works!\n</p>\n",
                styles: [""]
            })
        ], ReviewsFormEcComponent);
        return ReviewsFormEcComponent;
    }(ComponentHelper));

    var __extends$1a = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$1R = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var ReviewsEcComponent = /** @class */ (function (_super) {
        __extends$1a(ReviewsEcComponent, _super);
        function ReviewsEcComponent(reviewsService, consts) {
            var _this = _super.call(this) || this;
            _this.reviewsService = reviewsService;
            _this.consts = consts;
            _this.next = function () {
                _this.reviewsService.getReviews('next');
            };
            _this.last = function () {
                _this.reviewsService.getReviews('last');
            };
            _this.first = function () {
                _this.reviewsService.getReviews('first');
            };
            _this.self = function () {
                _this.reviewsService.getReviews();
            };
            /**
             * @description genera un arreglo con tamaño igual a la cantidad de paginas que tiene la review.
             * @returns {number[]} un arreglo cuyo contendio es un entero que indica el numero de pagina.
             */
            _this.getPages = function () {
                var pages = [];
                for (var index = 0; index < _this.reviews.pages; index++) {
                    pages.push(index + 1);
                }
                return pages;
            };
            /**
             * @description actualiza las reviews con el contenido asociado a la pagina pasada por parametro
             * @param page
             */
            _this.goPage = function (page) {
                _this.reviewsService.getReviewsByPage(_this.product.id, page, _this.reviews.limit);
            };
            _this.reviewsService.reviews$.subscribe(function (res) { return _this.reviews = res; });
            _this.ecOnConstruct();
            return _this;
        }
        ReviewsEcComponent.prototype.ngOnInit = function () {
            this.reviewsService.getReviewsByCode(this.product.id);
            this.ecOnInit();
        };
        ReviewsEcComponent.ctorParameters = function () { return [
            { type: ReviewsService },
            { type: Constants }
        ]; };
        __decorate$1R([
            core.Input()
        ], ReviewsEcComponent.prototype, "product", void 0);
        ReviewsEcComponent = __decorate$1R([
            core.Component({
                selector: 'app-reviews-ec',
                template: "<p>\n  reviews-ec works!\n</p>\n",
                styles: [""]
            })
        ], ReviewsEcComponent);
        return ReviewsEcComponent;
    }(ComponentHelper));

    var __extends$1b = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$1S = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var BancardCatastroEcComponent = /** @class */ (function (_super) {
        __extends$1b(BancardCatastroEcComponent, _super);
        function BancardCatastroEcComponent(consts, connection, cartService, sanitizer, toastr) {
            var _this = _super.call(this) || this;
            _this.consts = consts;
            _this.connection = connection;
            _this.cartService = cartService;
            _this.sanitizer = sanitizer;
            _this.toastr = toastr;
            _this.method = null;
            _this.total_amount = 0;
            _this.user_data = null;
            _this.ready = new core.EventEmitter();
            _this.loading = false;
            _this.checkingPayment = false;
            _this.registered_cards = [];
            _this.infoPreview = true;
            _this.cardNames = ['visa', 'mastercard', 'bancard'];
            _this.currentCardID = -1;
            _this.sendToPay = {
                alias_token: '',
                number_of_payments: 0
            };
            _this.userCardsRecoveryApi = function () { return 'shop-api/' + _this.consts.getChannel() + '/bancard/' + _this.cartService.cart_token + '/catastro-user-cards-recovery'; };
            _this.newUserCardApi = function () { return 'shop-api/' + _this.consts.getChannel() + '/bancard/' + _this.cartService.cart_token + '/catastro-new-user-card'; };
            _this.toPayApi = function () { return 'shop-api/' + _this.consts.getChannel() + '/bancard/' + _this.cartService.cart_token + '/catastro-token-payment'; };
            _this.deleteCardApi = function () { return 'shop-api/' + _this.consts.getChannel() + '/bancard/' + _this.cartService.cart_token + '/catastro-delete-card'; };
            /**
             * @description obtiene las tarjetas almacenadas para el usuario.
             */
            _this.loadCards = function () {
                _this.loading = true;
                _this.connection.get(_this.userCardsRecoveryApi()).toPromise().then(function (res) {
                    _this.registered_cards = res.registered_cards;
                    console.log('registered cards ', _this.registered_cards);
                    _this.loading = false;
                }, function (err) { console.log(err); _this.loading = false; });
            };
            /**
             * @description obtengo el process ID
             */
            _this.getProcessId = function () {
                _this.connection.get(_this.newUserCardApi()).toPromise().then(function (res) {
                    _this.process_id = res.process_id;
                    //console.log(this.process_id)
                    localStorage.setItem('catastro_data', JSON.stringify(res));
                    setTimeout(function () {
                        _this.infoPreview = false;
                    }, 5000);
                    _this.getIFrameNewCard();
                }, function (err) {
                    console.log(err);
                });
            };
            /**
             * @description Obtengo el IFrame donde se mostrara el formulario para registrar una nueva tarjeta
             */
            _this.getIFrameNewCard = function () {
                _this.loading = true;
                //this.dataDecidir = this.method;
                _this.url = _this.sanitizer.bypassSecurityTrustResourceUrl('assets/bancardCatastro.html');
                _this.loading = false;
            };
            /**
             * @description limpia los datos al cerra el modal
             */
            _this.closeModal = function () {
                localStorage.removeItem('catastro_data');
                _this.url = '';
                _this.infoPreview = true;
            };
            /**
             * @description para saltear el mensaje previo.
             * @returns
             */
            _this.skipInfoPreview = function () { return _this.infoPreview = false; };
            /**
             * @description para obtener la imagen de la tarjeta desde los assets
             * @param name nombre de la tarjeta
             * @returns
             */
            _this.getCardImg = function (name) {
                var urlImg = 'assets/images/';
                _this.cardNames.forEach(function (elem) {
                    //console.log(elem, name.toLocaleLowerCase().includes(elem), urlImg+elem+'.png' )
                    name.toLocaleLowerCase().includes(elem) ? urlImg = urlImg + elem + '.png' : null;
                });
                //console.log(urlImg)
                return urlImg;
            };
            /**
             * @description para guardar el número de pagos
             * @param value
             */
            _this.setNumberOfPayments = function (value) {
                //console.log(value)
                _this.sendToPay.number_of_payments = parseInt(value);
            };
            /**
             * @description Guarda el ID de la tarjeta seleccionada para pagar.
             * @param value
             * @returns
             */
            _this.setCurrentCardID = function (value) {
                _this.currentCardID = value;
                return true;
            };
            /**
             * @description chequea si el valor del número de pagos el mayor a 0
             * @returns
             */
            _this.canPay = function () { return _this.sendToPay.number_of_payments > 0; };
            /**
             * @description funcion para pagar.
             * @param id el ID de la tarjeta.
             */
            _this.toPay = function (id) {
                //console.log('current',this.currentCardID)
                _this.checkingPayment = true;
                var card = _this.registered_cards.find(function (card) { return card.card_id == id; });
                if (card) {
                    _this.sendToPay.alias_token = card.alias_token;
                    card.card_type != 'credit' ? _this.sendToPay.number_of_payments = 1 : null;
                    if (_this.sendToPay.number_of_payments > 0) {
                        _this.connection.post(_this.toPayApi(), _this.sendToPay).toPromise().then(function (res) {
                            _this.processResponse(res);
                            _this.checkingPayment = false;
                        }).catch(function (err) {
                            _this.processError(err);
                            _this.checkingPayment = false;
                        });
                    }
                    else {
                        _this.toastr.show('No se ha elegido el número de cuotas');
                        console.error('No se ha elegido el número de cuotas');
                        _this.checkingPayment = false;
                    }
                }
                else {
                    _this.checkingPayment = false;
                    _this.toastr.show('No se encontro la tarjeta');
                    console.error('No se encontro la tarjeta');
                }
            };
            /**
             * @description elimina una tarjeta.
             * @param id id de la tarjeta a eliminar.
             */
            _this.deleteCard = function (id) {
                var card = _this.registered_cards.find(function (card) { return card.card_id == id; });
                if (card) {
                    _this.connection.post(_this.deleteCardApi(), { alias_token: card.alias_token }).toPromise().then(function (res) {
                        _this.toastr.show('La tarjeta se ha eliminado con éxito');
                        console.log('se elimino', res);
                    }).catch(function (err) {
                        _this.toastr.show('Se produjo un error al eliminar la tarjeta. Por favor intente más tarde.');
                        console.log('Error al eliminar', err);
                    });
                }
            };
            /**
             * @description Procesa las respuesta de un pago
             * @param response
             * @returns
             */
            _this.processResponse = function (response) {
                if (response.status !== 'rejected') {
                    //console.log('SE PUDO EFECTUAR LA COMPRA');
                    _this.ready.emit('true');
                    return;
                }
                _this.processError(response);
            };
            /**
             * @description procesa el error tras un intento de pago
             * @param response
             */
            _this.processError = function (response) {
                console.error('ERROR: ', response);
                switch (response.status) {
                    case 500:
                        _this.toastr.show('Se produjo un error interno. Vuelva a intentarlo más tarde.');
                        break;
                    default:
                        break;
                }
            };
            _this.loadCards();
            return _this;
        }
        BancardCatastroEcComponent.prototype.ngOnInit = function () {
        };
        BancardCatastroEcComponent.ctorParameters = function () { return [
            { type: Constants },
            { type: ConnectionService },
            { type: CartService },
            { type: platformBrowser.DomSanitizer },
            { type: ToastService }
        ]; };
        __decorate$1S([
            core.Input()
        ], BancardCatastroEcComponent.prototype, "paymentServiceInst", void 0);
        __decorate$1S([
            core.Input()
        ], BancardCatastroEcComponent.prototype, "method", void 0);
        __decorate$1S([
            core.Input()
        ], BancardCatastroEcComponent.prototype, "total_amount", void 0);
        __decorate$1S([
            core.Input()
        ], BancardCatastroEcComponent.prototype, "allData", void 0);
        __decorate$1S([
            core.Input()
        ], BancardCatastroEcComponent.prototype, "user_data", void 0);
        __decorate$1S([
            core.Output()
        ], BancardCatastroEcComponent.prototype, "ready", void 0);
        BancardCatastroEcComponent = __decorate$1S([
            core.Component({
                selector: 'app-bancard-catastro-ec',
                template: "<div *ngIf=\"!loading; else loadingView\">\n    <div class=\"row my-3\">\n        <ng-container *ngIf=\"registered_cards && registered_cards.length > 0; else notCards\">\n            <ng-container *ngFor=\"let card of registered_cards; let x=index\">\n                <div class=\"col-12 col-md-6\">\n                    <div class=\"card my-2\">\n                        <div class=\"card-body\">\n                            <div class=\"row\">\n                                <div class=\"col-12 col-md-9\">\n                                    <h5 class=\"card-title\">Terminada en {{card.card_masked_number.slice(-4)}}</h5>\n                                    <!-- <h6 class=\"card-subtitle mb-2 text-muted\">Card subtitle</h6> -->\n                                    <!--                       <p class=\"card-text\">Some quick example text to build on the card title and make up the bulk of the card's content.</p>\n                                                                 -->\n                                    <p class=\"card-text text-muted\">{{card.card_brand}}</p>\n                                    <p class=\"card-text text-muted\">Vencimiento: {{card.expiration_date}}</p>\n                                </div>\n                                <div class=\"col-3 d-none d-md-flex\">\n                                    <div class=\"d-flex flex-column justify-content-between align-items-center w-100\">\n                                        <div class=\"d-flex justify-content-end w-100\">\n                                            <a class=\"cursor-pointer text-primary\" (click)=\"deleteCard(card.card_id)\">\n                                                <svg xmlns=\"http://www.w3.org/2000/svg\" width=\"16\" height=\"16\" fill=\"currentColor\" class=\"bi bi-trash3\"\n                                                    viewBox=\"0 0 16 16\">\n                                                    <path\n                                                        d=\"M6.5 1h3a.5.5 0 0 1 .5.5v1H6v-1a.5.5 0 0 1 .5-.5ZM11 2.5v-1A1.5 1.5 0 0 0 9.5 0h-3A1.5 1.5 0 0 0 5 1.5v1H2.506a.58.58 0 0 0-.01 0H1.5a.5.5 0 0 0 0 1h.538l.853 10.66A2 2 0 0 0 4.885 16h6.23a2 2 0 0 0 1.994-1.84l.853-10.66h.538a.5.5 0 0 0 0-1h-.995a.59.59 0 0 0-.01 0H11Zm1.958 1-.846 10.58a1 1 0 0 1-.997.92h-6.23a1 1 0 0 1-.997-.92L3.042 3.5h9.916Zm-7.487 1a.5.5 0 0 1 .528.47l.5 8.5a.5.5 0 0 1-.998.06L5 5.03a.5.5 0 0 1 .47-.53Zm5.058 0a.5.5 0 0 1 .47.53l-.5 8.5a.5.5 0 1 1-.998-.06l.5-8.5a.5.5 0 0 1 .528-.47ZM8 4.5a.5.5 0 0 1 .5.5v8.5a.5.5 0 0 1-1 0V5a.5.5 0 0 1 .5-.5Z\" />\n                                                </svg>\n                                            </a>\n                                        </div>\n                                        <img [src]=\"getCardImg(card.card_brand)\" class=\"img-card\" />\n                                        \n                                    </div>\n                                </div>\n                            </div>\n                        </div>\n                        <div class=\"card-footer d-flex flex-row justify-content-end\">\n                            <ng-container *ngIf=\"!checkingPayment; else buttonLoading\">\n                                <button *ngIf=\"card.card_type == 'credit'; else debito\" class=\"btn comprar text-white\" data-bs-toggle=\"modal\"\n                                    data-bs-target=\"#modalCuotas\" (click)=\"setCurrentCardID(card.card_id)\">Pagar</button>\n                                <ng-template #debito>\n                                    <button class=\"btn comprar text-white\" (click)=\"toPay(card.card_id)\">Pagar</button>\n                                </ng-template>\n                            </ng-container>\n                        </div>\n                    </div>\n                </div>\n            </ng-container>\n        </ng-container>\n        <ng-template #notCards>\n            <div class=\"col-12 d-flex justify-content-center\">\n                <h6>Usted no posee tarjetas registrada. Para continuar con este m\u00E9todo de pago por favor registre una\n                    tarjeta presionando el bot\u00F3n de <span class=\"text-decoration-underline fs-6\"> Nueva tarjeta</span>\n                </h6>\n            </div>\n        </ng-template>\n    </div>\n    <div class=\"d-flex flex-row w-full justify-content-center\">\n        <button class=\"btn comprar text-white\" data-bs-toggle=\"modal\" data-bs-target=\"#catastro\"\n            (click)=\"getProcessId()\">Nueva Tarjeta</button>\n    </div>\n</div>\n\n<div class=\"modal\" tabindex=\"-1\" id=\"catastro\">\n    <div class=\"modal-dialog\">\n        <div class=\"modal-content\">\n            <div class=\"modal-header\">\n                <!--  <h5 class=\"modal-title\">Modal title</h5> -->\n                <button type=\"button\" class=\"btn-close\" data-bs-dismiss=\"modal\" aria-label=\"Close\"\n                    (click)=\"closeModal()\"></button>\n            </div>\n            <div class=\"modal-body d-flex flex-column justify-content-center align-items-center\">\n                <ng-container *ngIf=\"infoPreview; else iframe\">\n                    <div class=\"alert alert-warning \" role=\"alert\">\n                        <p class=\"mb-0\">Estimado usuario,</p>\n                        <p> A continuaci\u00F3n usted pasar\u00E1 por \u00FAnica vez por un proceso de\n                            validaci\u00F3n con preguntas de seguridad. Para iniciar favor tener en\n                            cuenta las siguientes recomendaciones:</p>\n                        <ol class=\"list-group list-group-numbered\">\n                            <li class=\"list-group-item list-group-item-warning\">Verifique su n\u00FAmero de c\u00E9dula de\n                                identidad</li>\n                            <li class=\"list-group-item list-group-item-warning\">Tenga a mano sus tarjetas de cr\u00E9dito y\n                                d\u00E9bito activas</li>\n                            <li class=\"list-group-item list-group-item-warning\">Verifique el monto y lugar de sus\n                                \u00FAltimas compras en\n                                comercios o extracciones en cajeros</li>\n                        </ol>\n                    </div>\n                    <div class=\"d-flex flex-row w-full justify-content-center\">\n                        <a class=\"cursor-pointer text-dark fs-xs\" (click)=\"skipInfoPreview()\">Saltar</a>\n                    </div>\n                </ng-container>\n                <ng-template #iframe>\n                    <iframe *ngIf=\"url; else loadingView\" [src]=\"url\" frameborder=\"0\" class=\"iframeStyle\"></iframe>\n                </ng-template>\n            </div>\n        </div>\n    </div>\n</div>\n\n\n<!-- Modal -->\n<div class=\"modal fade\" id=\"modalCuotas\" tabindex=\"-1\" aria-labelledby=\"exampleModalLabel\" aria-hidden=\"true\">\n    <div class=\"modal-dialog modal-dialog-centered modal-sm\">\n        <div class=\"modal-content\">\n            <div class=\"modal-header\">\n                <h5 class=\"modal-title\" id=\"exampleModalLabel\">Elija el n\u00FAmero de cuotas</h5>\n                <button type=\"button\" class=\"btn-close\" data-bs-dismiss=\"modal\" aria-label=\"Close\"></button>\n            </div>\n            <div class=\"modal-body\">\n                <select class=\"form-select\" aria-label=\"Default select example\"\n                    (change)=\"setNumberOfPayments($event.target.value)\">\n                    <option selected disabled>Selecciones la cantidad de cuotas</option>\n                    <option value=\"1\">1 cuota</option>\n                    <option value=\"3\">3 cuotas</option>\n                    <option value=\"6\">6 cuotas</option>\n                    <option value=\"12\">12 cuotas</option>\n                </select>\n            </div>\n            <div class=\"modal-footer\" *ngIf=\"canPay()\">\n                <button type=\"button\" class=\"btn comprar text-white\" data-bs-dismiss=\"modal\"\n                    (click)=\"toPay(currentCardID)\">Pagar</button>\n            </div>\n        </div>\n    </div>\n</div>\n\n<ng-template #loadingView>\n    <div>\n        <app-loading-inline-ec></app-loading-inline-ec>\n    </div>\n</ng-template>\n\n<ng-template #buttonLoading>\n    <button type=\"button\" class=\"btn comprar text-white\" data-bs-dismiss=\"modal\"> \n        <app-loading-inline-ec></app-loading-inline-ec>\n    </button>\n</ng-template>",
                styles: [".iframeStyle{min-height:520px!important;width:80%}.img-card{width:90px;height:90px}"]
            })
        ], BancardCatastroEcComponent);
        return BancardCatastroEcComponent;
    }(ComponentHelper));

    var __assign$s = (this && this.__assign) || function () {
        __assign$s = Object.assign || function(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                    t[p] = s[p];
            }
            return t;
        };
        return __assign$s.apply(this, arguments);
    };
    var __decorate$1T = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var CookiesService = /** @class */ (function () {
        function CookiesService(injector) {
            var _this = this;
            this.injector = injector;
            this.cookiesSubject = new rxjs.BehaviorSubject({});
            this.readySubject = new rxjs.BehaviorSubject(false);
            this.ready$ = this.readySubject.asObservable();
            this.cookies$ = this.cookiesSubject.asObservable();
            this.cookies = {};
            this.defaultValues = {
                activated: false,
                message: 'Utilizamos cookies propias y de terceros con finalidades analíticas y para mostrarte publicidad relacionada con tus preferencias a partir de tus hábitos de navegación y tu perfil. Puedes configurar o rechazar las cookies haciendo click en “Configuración de cookies”. También puedes aceptar todas las cookies pulsando el botón “Aceptar todas las cookies”. Para más información puedes visitar nuestra Política de cookies"',
                linkRedirect: '/section/politicas-de-privacidad',
                format: {
                    type: 'sidebar',
                    position: 'bottom'
                },
                others: {
                    btnConfig: 'Configuraciónsss',
                    btnAccept: 'Aceptar cookies',
                    btnSave: 'Guardar',
                    btnAll: 'Aceptar todas'
                }
            };
            /**
             * @description retorna la *cookie* si la encuentra, *false* en caso contrario
             * @param name nombre de la cookie a buscar
             * @returns objecto | false
             */
            this.getCookie = function (name) {
                var nameEQ = name + "=";
                var ca = document.cookie.split(";");
                for (var i = 0; i < ca.length; i++) {
                    var c = ca[i];
                    while (c.charAt(0) === " ")
                        c = c.substring(1, c.length);
                    if (c.indexOf(nameEQ) === 0)
                        return c.substring(nameEQ.length, c.length);
                }
                return null;
            };
            /**
             * @description Construye el objeto que sera utilizado para manejar las cookie.
             * Utiliza el servicio de parametros para tomar los datos que iran llenando el objeto.
             */
            this.buildObject = function () {
                _this.injector.get(ParametersService).parameters.subscribe(function (res) {
                    _this.cookiesParameters = res ? res.filter(function (param) { return param.code.toLocaleLowerCase().includes('cookies'); }) : [];
                    _this.cookiesParameters.length > 0 ? _this.processingCookieParameters(_this.cookiesParameters) : null;
                    //console.log(res, this.cookiesParameters)
                    _this.setDefaultParameters();
                });
                //console.log('Cookies Final', this.cookies)
                _this.cookiesSubject.next(_this.cookies);
            };
            /**
             * @description realiza un merge con los valores por defecto para rellenar el objeto de cookies
             */
            this.setDefaultParameters = function () {
                _this.cookies = __assign$s(__assign$s({}, _this.defaultValues), _this.cookies);
            };
            /**
             * @description procesa el parametro ingresado, para transformarlo en un atributo del objeto de cookies.
             * @param cookiesParameters arreglo proveniente del servicio de parametros que contiene
             * los elementos a transformar en atributos.
             */
            this.processingCookieParameters = function (cookiesParameters) {
                cookiesParameters.forEach(function (element) {
                    //console.log(element)
                    var attrName = element.code.split('_')[1];
                    switch (attrName) {
                        case 'format':
                            _this.cookies[attrName] = _this.formatAttrProcessing(element);
                            break;
                        case 'cookies':
                            !_this.cookies[attrName] ? _this.cookies[attrName] = [] : null;
                            _this.cookies[attrName].push(_this.cookiesAttrProcessing(element));
                            break;
                        case 'others':
                            !_this.cookies[attrName] ? _this.cookies[attrName] = {} : null;
                            _this.cookies[attrName] = __assign$s(__assign$s({}, _this.cookies[attrName]), _this.othersAttrProcessing(element));
                            break;
                        case 'message':
                            _this.cookies[attrName] = _this.messageAttrProcessing(element);
                            break;
                        default:
                            try {
                                _this.cookies[attrName] = element.value;
                            }
                            catch (error) {
                                console.error(error);
                            }
                            break;
                    }
                });
                _this.readySubject.next(true);
            };
            /**
             * @description Procesa el atributo message (*cookies_message*)
             * @param data Objeto parametro
             * @returns {string} el mensaje formateado
             */
            this.messageAttrProcessing = function (data) {
                var message = data.value;
                if (message.indexOf('[') != -1) {
                    message = message.replace('[', "<a href='" + _this.cookies.linkRedirect + "'>");
                    message = message.replace(']', "</a>");
                }
                return message;
            };
            /**
             * @description Procesa la cadena de string del atributo format
             * @param data Datos a ser procesados, objeto del parametro.
             * @returns El objecto formateado en un JSON.
             */
            this.formatAttrProcessing = function (data) {
                var values = data.value.toLocaleLowerCase().split(' ');
                var objReturn = {
                    type: values[0] || 'sidebar'
                };
                values.shift();
                while (values.length > 0) {
                    var value = values.shift();
                    switch (value) {
                        case 'backdrop':
                            objReturn[value] = true;
                            break;
                        case 'scroll':
                            objReturn[value] = true;
                            break;
                        default:
                            //console.log(value)
                            objReturn = __assign$s(__assign$s({}, objReturn), _this.getObjByFormatType(objReturn.type, value));
                            break;
                    }
                }
                return objReturn;
            };
            /**
             * @description Le da formato al atributo format de acuerdo al tipo ingresado por parametro (sidebar | modal | toast)
             * @param type 'sidebar' | 'modal' | 'toast'
             * @param value el valor de ese atributo.
             * @returns el objeto formateado.
             */
            this.getObjByFormatType = function (type, value) {
                var valueReturn = {};
                switch (type) {
                    case 'sidebar':
                        valueReturn = { position: value };
                        break;
                    case 'modal':
                        valueReturn = { size: value };
                        break;
                    case 'toast':
                        valueReturn = (value.includes('end') || value.includes('start')) ? { positionX: value } : { positionY: value };
                        break;
                    default:
                        break;
                }
                return valueReturn;
            };
            /**
             * @description Procesa el objeto parametro, utilizando parte del codigo (a partir del segundo '_') para
             * el titulo y su valor para el mensaje.
             * @param data Datos a ser procesados, objeto parametro
             * @returns El objecto formateado en un JSON.
             */
            this.cookiesAttrProcessing = function (data) {
                //console.log(data)
                var nameFormat = data.code.split('_')[2];
                var objReturn = {
                    name: nameFormat,
                    message: data.value
                };
                return objReturn;
            };
            /**
             * @description Procesa las configuraciones que vienen para el atributo others
             * @param data Datos a ser procesados, objeto parametro
             * @returns Un JSON { clave: valor } para ser añadido al objeto "others"
             */
            this.othersAttrProcessing = function (data) {
                var _a;
                var key = data.code.split('_')[2];
                return _a = {}, _a[key] = data.value, _a;
            };
            this.getCookie('accepted') ? null : this.buildObject();
        }
        CookiesService.ctorParameters = function () { return [
            { type: core.Injector }
        ]; };
        CookiesService.ɵprov = core.ɵɵdefineInjectable({ factory: function CookiesService_Factory() { return new CookiesService(core.ɵɵinject(core.INJECTOR)); }, token: CookiesService, providedIn: "root" });
        CookiesService = __decorate$1T([
            core.Injectable({
                providedIn: 'root'
            })
        ], CookiesService);
        return CookiesService;
    }());

    var __extends$1c = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$1U = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var CookiesEcComponent = /** @class */ (function (_super) {
        __extends$1c(CookiesEcComponent, _super);
        function CookiesEcComponent(consts, cookiesService) {
            var _this = _super.call(this) || this;
            _this.consts = consts;
            _this.cookiesService = cookiesService;
            _this.ready = false;
            _this.cookiesToSave = [];
            /**
             * @description Guarda las cookies configuradas.
             */
            _this.acceptCookies = function () {
                if (_this.cookiesToSave.length > 0) {
                    _this.cookiesToSave.forEach(function (elem) { return elem.enabled ? _this.setCookie(elem.name, elem.value, 30) : null; });
                }
                else {
                    console.error('No hay cookies para guardar, por favor revisa la configuración de las cookies');
                }
            };
            /**
             * @description Carga las cookies que seran guardadas en el navegador. Siempre va a cargar una cookie de nombre
             * *accepted* la cual sera utilizada para ver si se aceptaron o no.
             */
            _this.loadAllCookies = function () {
                _this.cookiesToSave.push({ name: 'accepted', value: true, enabled: true });
                //console.log(this.cookies.cookies, this.cookies, this.ready)
                if (_this.cookies.cookies && _this.cookies.cookies.length > 0) {
                    _this.cookies.cookies.forEach(function (elem) {
                        _this.cookiesToSave.push({ name: elem.name, value: true, enabled: true });
                        //console.log(elem)
                    });
                }
                //console.log(this.cookiesToSave)
            };
            /**
             * @description crea y guarda una cookie en el navegador
             * @param name nombre de la cookie
             * @param value valor que llevara la cookie
             * @param days tiempo de vida en el navegador en dias.
             */
            _this.setCookie = function (name, value, days) {
                var expires = "";
                if (days) {
                    var date = new Date();
                    date.setTime(date.getTime() + days * 24 * 60 * 60 * 1000);
                    expires = "; expires=" + date.toUTCString();
                }
                document.cookie = name + "=" + (value || "") + expires + "; path=/";
            };
            /**
             * @description activa/desactiva una cookie
             * @param name nombre de la cookie
             */
            _this.toggleCookie = function (name) {
                _this.cookiesToSave.forEach(function (elem) {
                    elem.name == name ? elem.enabled = !elem.enabled : null;
                });
            };
            /**
             * @description activa todas las cookies
             */
            _this.saveAllCookies = function () {
                _this.cookiesToSave.forEach(function (elem) {
                    elem.enabled = true;
                });
            };
            /**
             * @description Objeto contenedor de funciones para usar en la configuracion de las cookies
            */
            _this.cookiesFunctions = {
                toggle: _this.toggleCookie,
                acceptAll: _this.saveAllCookies
            };
            _this.cookiesService.cookies$.subscribe(function (res) { return _this.cookies = res; });
            _this.ecOnConstruct();
            return _this;
        }
        CookiesEcComponent.prototype.ngOnInit = function () {
            var _this = this;
            this.cookiesService.ready$.subscribe(function (res) {
                _this.ready = res;
                _this.ready ? _this.loadAllCookies() : null;
            });
            this.ecOnInit();
        };
        CookiesEcComponent.ctorParameters = function () { return [
            { type: Constants },
            { type: CookiesService }
        ]; };
        __decorate$1U([
            core.Input()
        ], CookiesEcComponent.prototype, "templates", void 0);
        CookiesEcComponent = __decorate$1U([
            core.Component({
                selector: 'app-cookies-ec',
                template: "<ng-container *ngIf=\"ready\">\n    <ng-container [ngSwitch]=\"cookies.format.type\">\n        <ng-container *ngSwitchCase=\"'toast'\">\n            <ng-template #toastEcTemplate>\n                <app-toast-cookies-ec [cookies]=\"cookies\" [acceptCookies]=\"acceptCookies\"></app-toast-cookies-ec>\n            </ng-template>\n            <ng-container [ngTemplateOutlet]=\"templates && templates.toast? templates.toast : toastEcTemplate\"\n                [ngTemplateOutletContext]=\"{cookies:cookies, acceptCookies:acceptCookies}\"></ng-container>\n        </ng-container>\n        <ng-container *ngSwitchCase=\"'modal'\">\n            <ng-template #modalEcTemplate>\n                <app-modal-cookies-ec [cookies]=\"cookies\" [acceptCookies]=\"acceptCookies\"></app-modal-cookies-ec>\n            </ng-template>\n            <ng-container [ngTemplateOutlet]=\"templates && templates.modal? templates.modal : modalEcTemplate\"\n                [ngTemplateOutletContext]=\"{cookies:cookies, acceptCookies:acceptCookies}\"></ng-container>\n        </ng-container>\n        <ng-container *ngSwitchCase=\"'sidebar'\">\n            <ng-template #sidebarEcTemplate>\n                <app-sidebar-cookies-ec [cookies]=\"cookies\" [acceptCookies]=\"acceptCookies\"></app-sidebar-cookies-ec>\n            </ng-template>\n            <ng-container [ngTemplateOutlet]=\"templates && templates.sidebar? templates.sidebar : sidebarEcTemplate\"\n                [ngTemplateOutletContext]=\"{cookies:cookies, acceptCookies:acceptCookies}\"></ng-container>\n        </ng-container>\n    </ng-container>\n    <ng-template #configEcTemplate>\n        <app-modal-config-ec [cookies]=\"cookies\" [cookiesToSave]=\"cookiesToSave\"\n            [cookiesFunctions]=\"cookiesFunctions\"></app-modal-config-ec>\n    </ng-template>\n    <ng-container [ngTemplateOutlet]=\"templates && templates.config ? templates.config : configEcTemplate\"\n        [ngTemplateOutletContext]=\"{cookies:cookies, cookiesToSave:cookiesToSave, cookiesFunctions:cookiesFunctions}\"></ng-container>\n</ng-container>",
                styles: [""]
            })
        ], CookiesEcComponent);
        return CookiesEcComponent;
    }(ComponentHelper));

    var __decorate$1V = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var SidebarCookiesEcComponent = /** @class */ (function () {
        function SidebarCookiesEcComponent() {
            this.show = function () {
                $('#offcanvasCookies').offcanvas('show');
            };
        }
        SidebarCookiesEcComponent.prototype.ngOnInit = function () {
            var _this = this;
            setTimeout(function () {
                _this.show();
            }, 2000);
        };
        __decorate$1V([
            core.Input()
        ], SidebarCookiesEcComponent.prototype, "cookies", void 0);
        __decorate$1V([
            core.Input()
        ], SidebarCookiesEcComponent.prototype, "acceptCookies", void 0);
        SidebarCookiesEcComponent = __decorate$1V([
            core.Component({
                selector: 'app-sidebar-cookies-ec',
                template: "<ng-container *ngIf=\"cookies.format.position == 'start' || cookies.format.position == 'end'; else startend\">\n    <div [class]=\"'offcanvas offcanvas-'+cookies.format.position\"\n        [attr.data-bs-scroll]=\"(cookies.format.scrolling != undefined) ? cookies.format.scrolling : true\"\n        [attr.data-bs-backdrop]=\"(cookies.format.backdrop != undefined) ? cookies.format.backdrop : false\" tabindex=\"-1\"\n        id=\"offcanvasCookies\" aria-labelledby=\"offcanvasScrollingLabel\" style=\"height: 20%\">\n        <div class=\"offcanvas-header\">\n            <h5 *ngIf=\"cookies.title\" class=\"offcanvas-title\" id=\"offcanvasScrollingLabel\">{{cookies.title}}</h5>\n            <button type=\"button\" class=\"btn-close text-reset\" data-bs-dismiss=\"offcanvas\" aria-label=\"Close\"></button>\n        </div>\n        <div class=\"offcanvas-body d-flex align-items-start\">\n            <div class=\"row d-flex flex-row justify-content-between cookies-body\">\n                <div class=\"col-lg-12\">\n                    <p [innerHtml]=\"cookies.message | ecSanitizerHtml\"></p>\n                </div>\n                <div class=\"col-lg-12 d-flex flex-row justify-content-center align-items-center\">\n                    <button class=\"btn btn-primary mx-2\" *ngIf=\"cookies.cookies && cookies.cookies.length > 0\"\n                        data-bs-toggle=\"modal\" data-bs-target=\"#config\">{{cookies.others.btnConfig}}</button>\n                    <button class=\"btn btn-primary mx-2\" data-bs-dismiss=\"offcanvas\" (click)=\"acceptCookies()\">{{ cookies.others.btnAccept }}</button>\n                </div>\n            </div>\n        </div>\n    </div>\n</ng-container>\n\n<ng-template #startend>\n    <div [class]=\"'offcanvas offcanvas-'+(cookies.format.position ? cookies.format.position : 'bottom')\"\n        [attr.data-bs-scroll]=\"(cookies.format.scrolling != undefined) ? cookies.format.scrolling : true\"\n        [attr.data-bs-backdrop]=\"(cookies.format.backdrop != undefined) ? cookies.format.backdrop : false\" tabindex=\"-1\"\n        id=\"offcanvasCookies\" aria-labelledby=\"offcanvasScrollingLabel\" style=\"height: 20%\">\n        <div class=\"offcanvas-header\">\n            <h5 *ngIf=\"cookies.title\" class=\"offcanvas-title\" id=\"offcanvasScrollingLabel\">{{cookies.title}}</h5>\n            <button type=\"button\" class=\"btn-close text-reset\" data-bs-dismiss=\"offcanvas\" aria-label=\"Close\"></button>\n        </div>\n        <div class=\"offcanvas-body d-flex align-items-center\">\n            <div class=\"row d-flex flex-row justify-content-between cookies-body w-100\">\n                <div class=\"col-lg-9\">\n                    <p [innerHtml]=\"cookies.message\"></p>\n                </div>\n                <div class=\"col-lg-3 d-flex flex-row justify-content-center align-items-center\" *ngIf=\"cookies.others\">\n                    <button class=\"btn btn-primary mx-2\" *ngIf=\"cookies.cookies && cookies.cookies.length > 0\"\n                        data-bs-toggle=\"modal\" data-bs-target=\"#config\">{{cookies.others.btnConfig}}</button>\n                    <button class=\"btn btn-primary mx-2\"\n                        (click)=\"acceptCookies()\" data-bs-dismiss=\"offcanvas\">{{ cookies.others.btnAccept }}</button>\n                </div>\n            </div>\n        </div>\n    </div>\n</ng-template>\n",
                styles: [""]
            })
        ], SidebarCookiesEcComponent);
        return SidebarCookiesEcComponent;
    }());

    var __decorate$1W = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var ModalCookiesEcComponent = /** @class */ (function () {
        function ModalCookiesEcComponent() {
            this.show = function () {
                $('#modal-cookies').modal('show');
            };
        }
        ModalCookiesEcComponent.prototype.ngOnInit = function () {
            var _this = this;
            setTimeout(function () {
                _this.show();
            }, 2000);
        };
        __decorate$1W([
            core.Input()
        ], ModalCookiesEcComponent.prototype, "cookies", void 0);
        __decorate$1W([
            core.Input()
        ], ModalCookiesEcComponent.prototype, "acceptCookies", void 0);
        ModalCookiesEcComponent = __decorate$1W([
            core.Component({
                selector: 'app-modal-cookies-ec',
                template: "<!-- Modal -->\n<div class=\"modal fade\" id=\"modal-cookies\" tabindex=\"-1\" aria-labelledby=\"exampleModalLabel\" aria-hidden=\"true\">\n    <div [class]=\"'modal-dialog modal-dialog-centered '+(cookies.format.size ? 'modal-'+cookies.format.size : '')\">\n        <div class=\"modal-content\">\n            <div class=\"modal-header\">\n                <h5 *ngIf=\"cookies.title\" class=\"modal-title\" id=\"exampleModalLabel\">{{cookies.title}}</h5>\n                <button type=\"button\" class=\"btn-close\" data-bs-dismiss=\"modal\" aria-label=\"Close\"></button>\n            </div>\n            <div class=\"modal-body\">\n                <div class=\"row\">\n                    <div class=\"col-md-12\">\n                        <p [innerHtml]=\"cookies.message\"></p>\n                    </div>\n                </div>\n            </div>\n            <div class=\"modal-footer d-flex justify-content-between\" *ngIf=\"cookies.others\">\n                <button type=\"button\" class=\"btn btn-primary\" *ngIf=\"cookies.cookies && cookies.cookies.length > 0\"\n                    data-bs-toggle=\"modal\" data-bs-target=\"#config\">{{cookies.others.btnConfig}}</button>\n                <button type=\"button\" class=\"btn btn-primary\" data-bs-dismiss=\"modal\" (click)=\"acceptCookies()\">{{cookies.others.btnAccept}}</button>\n            </div>\n        </div>\n    </div>\n</div>\n",
                styles: [""]
            })
        ], ModalCookiesEcComponent);
        return ModalCookiesEcComponent;
    }());

    var __decorate$1X = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var ToastCookiesEcComponent = /** @class */ (function () {
        function ToastCookiesEcComponent() {
            this.show = function () {
                $('#cookieToast').toast('show');
            };
        }
        ToastCookiesEcComponent.prototype.ngOnInit = function () {
            var _this = this;
            setTimeout(function () {
                _this.show();
                _this.acceptCookies();
            }, 2000);
        };
        __decorate$1X([
            core.Input()
        ], ToastCookiesEcComponent.prototype, "cookies", void 0);
        __decorate$1X([
            core.Input()
        ], ToastCookiesEcComponent.prototype, "acceptCookies", void 0);
        ToastCookiesEcComponent = __decorate$1X([
            core.Component({
                selector: 'app-toast-cookies-ec',
                template: "<div [class]=\"'position-fixed p-3 '+(cookies.format?.positionY ? cookies.format.positionY : 'top-0')+' '+(cookies.format?.positionX ? cookies.format.positionX : 'start-0')\" style=\"z-index: 9999\">\n    <div id=\"cookieToast\" class=\"toast\" role=\"alert\" aria-live=\"assertive\" aria-atomic=\"true\">\n        <div class=\"toast-header bg-primary\">\n            <!-- <img src=\"...\" class=\"rounded me-2\" alt=\"...\"> -->\n            <strong *ngIf=\"cookies.title\" class=\"me-auto\">{{cookies.title}}</strong>\n            <button type=\"button\" class=\"btn-close\" data-bs-dismiss=\"toast\" aria-label=\"Close\"></button>\n        </div>\n        <div class=\"toast-body\">\n            <p [innerHtml]=\"cookies.message\"></p>\n        </div>\n        <!--   <div class=\"toast-footer\" *ngIf=\"cookies.others\">\n            <button type=\"button\" class=\"btn btn-primary\" *ngIf=\"cookies.cookies && cookies.cookies.length > 0\"\n                data-bs-toggle=\"modal\" data-bs-target=\"#config\">{{cookies.others.btnConfig}}</button>\n            <button type=\"button\" class=\"btn btn-primary\" (click)=\"acceptCookies()\">{{cookies.others.btnAccept}}</button>\n        </div> -->\n    </div>\n</div>",
                styles: [""]
            })
        ], ToastCookiesEcComponent);
        return ToastCookiesEcComponent;
    }());

    var __decorate$1Y = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var ModalConfigEcComponent = /** @class */ (function () {
        function ModalConfigEcComponent() {
            var _this = this;
            this.checkCookie = function (name) { return _this.cookiesToSave.find(function (elem) { return elem.name == name; }); };
        }
        ModalConfigEcComponent.prototype.ngOnInit = function () {
        };
        __decorate$1Y([
            core.Input()
        ], ModalConfigEcComponent.prototype, "cookies", void 0);
        __decorate$1Y([
            core.Input()
        ], ModalConfigEcComponent.prototype, "cookiesToSave", void 0);
        __decorate$1Y([
            core.Input()
        ], ModalConfigEcComponent.prototype, "cookiesFunctions", void 0);
        ModalConfigEcComponent = __decorate$1Y([
            core.Component({
                selector: 'app-modal-config-ec',
                template: "<!-- Modal -->\n<div class=\"modal fade\" id=\"config\" tabindex=\"-1\" aria-labelledby=\"configModalLabel\" aria-hidden=\"true\">\n    <div class=\"modal-dialog modal-dialog-centered modal-lg\">\n        <div class=\"modal-content\">\n            <div class=\"modal-header\">\n                <h5 *ngIf=\"cookies.title\" class=\"modal-title\" id=\"configModalLabel\">{{cookies.title}}</h5>\n                <button *ngIf=\"cookies.format.type == 'modal'; else close\" type=\"button\" class=\"btn-close\" data-bs-toggle=\"modal\" data-bs-target=\"#modal-cookies\" aria-label=\"Close\"></button>\n                <ng-template #close>\n                    <button type=\"button\" class=\"btn-close\" data-bs-dismiss=\"modal\" aria-label=\"Close\"></button>\n                </ng-template>\n            </div>\n            <div class=\"modal-body px-0 d-flex justify-content-center\">\n                <!--Vertical Pill-->\n                <div class=\"row w-100\">\n                    <div class=\"col-12 col-md-4 p-0 m-0\">\n                        <div class=\"nav flex-column nav-pills me-3\" id=\"v-pills-tab\" role=\"tablist\" aria-orientation=\"vertical\">\n                            <button *ngFor=\"let cookie of cookies.cookies; let x = index\"\n                                [class]=\"'btn rounded-0 btn-primary   '+ (x==0 ? 'active' : '')\"\n                                [id]=\"'v-pills-'+cookie.name+'-tab'\" data-bs-toggle=\"pill\"\n                                [attr.data-bs-target]=\"'#v-pills-'+cookie.name\" type=\"button\" role=\"tab\"\n                                [attr.aria-controls]=\"'v-pills-'+cookie.name\" [attr.aria-selected]=\"x==0\">\n                                {{cookie.name.replaceAll('-',' ')}}\n                            </button>\n                        </div>\n                    </div>\n                    <div class=\"col-12 col-md-8 p-0 m-0\">\n                        <div class=\"tab-content\" id=\"v-pills-tabContent\">\n                            <div *ngFor=\"let cookie of cookies.cookies; let x = index\"\n                                [class]=\"'tab-pane fade '+ (x==0 ? 'show active ' : '')\" [id]=\"'v-pills-'+cookie.name\"\n                                role=\"tabpanel\" [attr.aria-labelledby]=\"'v-pills-'+cookie.name+'-tab'\">\n                                <div class=\"d-flex justify-content-between w-100\">\n                                    <h5 class=\"title-cookie\">{{cookie.name.replaceAll('-',' ')}}</h5>\n                                    <div class=\"form-check\" *ngIf=\"checkCookie(cookie.name) as info\">\n                                        <input class=\"form-check-input\" type=\"radio\" [name]=\"'flexRadio'+x\" [id]=\"'flexRadioDefault'+x\"\n                                            [checked]=\"info.enabled\" (click)=\"cookiesFunctions.toggle(cookie.name)\">\n                                    </div>\n                                </div>\n                                \n                                <div class=\"h-100 overflow-scroll text-content\">\n                                    <p class=\"text-cookie\">{{cookie.message}}</p>\n                                </div>\n                                \n                            </div>\n                        </div>\n                    </div>\n                </div>\n                <!--End-->\n            </div>\n            <div class=\"modal-footer d-flex justify-content-between\">\n                <ng-container *ngIf=\"cookies.format.type == 'modal'; else default\">\n                    <button type=\"button\" class=\"btn btn-secondary\" data-bs-toggle=\"modal\" data-bs-target=\"#modal-cookies\">{{cookies.others.btnSave}}</button>\n                    <button type=\"button\" class=\"btn btn-primary\" data-bs-toggle=\"modal\" data-bs-target=\"#modal-cookies\"\n                        (click)=\"cookiesFunctions.acceptAll()\">{{cookies.others.btnAll}}</button>\n                </ng-container>\n                <ng-template #default>\n                    <button type=\"button\" class=\"btn btn-secondary\" data-bs-dismiss=\"modal\">{{cookies.others.btnSave}}</button>\n                    <button type=\"button\" class=\"btn btn-primary\" data-bs-dismiss=\"modal\"\n                        (click)=\"cookiesFunctions.acceptAll()\">{{cookies.others.btnAll}}</button>\n                </ng-template>\n            </div>\n        </div>\n    </div>\n</div>\n",
                styles: [""]
            })
        ], ModalConfigEcComponent);
        return ModalConfigEcComponent;
    }());

    var __extends$1d = (this && this.__extends) || (function () {
        var extendStatics = function (d, b) {
            extendStatics = Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
                function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
            return extendStatics(d, b);
        };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate$1Z = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var BambooEcComponent = /** @class */ (function (_super) {
        __extends$1d(BambooEcComponent, _super);
        function BambooEcComponent(sanitizer, modalService, toastrService, consts, connection, injector, cartService) {
            var _this = _super.call(this) || this;
            _this.sanitizer = sanitizer;
            _this.modalService = modalService;
            _this.toastrService = toastrService;
            _this.consts = consts;
            _this.connection = connection;
            _this.injector = injector;
            _this.cartService = cartService;
            _this.method = null;
            _this.total_amount = 0;
            _this.user_data = null;
            _this.ready = new core.EventEmitter();
            _this.loading = false;
            _this.closeModal = '';
            //private paymentNotification = () => 'shop-api/' + this.consts.getChannel() + '/bamboo/payment-notification';
            /* endpoint para mandar datos: /bamboo/payment-notification */
            _this.processPaymentApi = function () { return _this.consts.getUrlBase() + 'shop-api/' + _this.consts.getChannel() + '/bamboo/' + _this.cartService.cart_token + '/process-payment'; };
            /**
             * @description Inicializa el formulario de bamboo
             */
            _this.getCheckoutBamboo = function () {
                _this.loading = true;
                _this.dataBamboo = _this.method;
                _this.url = _this.sanitizer.bypassSecurityTrustResourceUrl('assets/bamboo.html');
                _this.loading = false;
            };
            /**
             * @description Configura la ventana en la que se abrira el formulario
             * @returns {string} configuraciones para un objeto proveniente de window.open
             */
            _this.popupSettings = function () {
                var settings = 'width=300, height=550, toolbar=no, titlebar=no, top=200';
                var left = parseInt((window.screen.width / 2).toFixed()) - (300 / 2);
                settings = settings + ",left=" + left;
                return settings;
            };
            /**
             * @description limpio el localStorage
             */
            _this.clearStorageState = function () {
                sessionStorage.removeItem('state');
                localStorage.removeItem('state');
                localStorage.removeItem('dataRedirect');
                localStorage.removeItem('dataBamboo');
                localStorage.removeItem('message');
                localStorage.removeItem('subMessage');
                localStorage.removeItem('pwCheckouProperties');
            };
            _this.clickClose = function () {
                _this.closeModal = 'cancel';
                _this.modalRef.hide();
                _this.processError('Se cancelo el pago con Decidir');
            };
            _this.showMessage = function () {
                var message = localStorage.getItem('message') || undefined;
                var subMessage = localStorage.getItem('subMessage') || undefined;
                message && _this.toastrService.show(message, {}, '', { closeButton: true, timeOut: 6000 });
                subMessage && _this.toastrService.show(subMessage, {}, '', { closeButton: true, timeOut: 6000 });
            };
            _this.callState = function () {
                var _a, _b, _c, _d, _e;
                var state = _this.closeModal != '' ? _this.closeModal : localStorage.getItem('state');
                !state && _this.ventana.closed && (state = 'cancel');
                _this.loading = true;
                state && console.log(state);
                if (state) {
                    _this.loading = false;
                    localStorage.removeItem('state');
                    if (state == 'success') {
                        (_a = _this.ventana) === null || _a === void 0 ? void 0 : _a.close();
                        //console.log(JSON.parse(localStorage.getItem('data')))
                        _this.ready.emit(true);
                        //let data = JSON.parse(localStorage.getItem('data'));
                        _this.clearStorageState();
                        return;
                    }
                    if (state == 'pending') {
                        (_b = _this.ventana) === null || _b === void 0 ? void 0 : _b.close();
                        _this.ready.emit(true);
                        _this.clearStorageState();
                        return;
                    }
                    if (state == 'failure') {
                        (_c = _this.ventana) === null || _c === void 0 ? void 0 : _c.close();
                        _this.processError('');
                        _this.clearStorageState();
                        return;
                    }
                    if (state == 'cancel') {
                        (_d = _this.ventana) === null || _d === void 0 ? void 0 : _d.close();
                        _this.processError('Se cancelo el pago con mercado pago');
                        _this.clearStorageState();
                        return;
                    }
                    (_e = _this.ventana) === null || _e === void 0 ? void 0 : _e.close();
                    _this.processError('');
                    return;
                }
                setTimeout(function () {
                    _this.callState();
                }, 5000);
            };
            _this.processError = function (err) {
                _this.toastrService.show(err != '' ? err : 'payment-error');
                console.log("ERROR ENVIO BACK  ", err);
            };
            _this.pwCheckoutProperties = function () {
                return {
                    name: window.location.hostname.split('.')[0],
                    button_label: "Pagar",
                    currency: 'UYU',
                    orderToken: _this.cartService.cart_token
                };
            };
            _this.closeWindow = function () {
                var _a;
                (_a = _this.ventana) === null || _a === void 0 ? void 0 : _a.close();
                _this.clearStorageState();
            };
            _this.iniciar = function () {
                _this.closeModal = '';
                _this.clearStorageState();
                localStorage.setItem('pwCheckouProperties', JSON.stringify(_this.pwCheckoutProperties()));
                localStorage.setItem('dataRedirect', _this.processPaymentApi());
                localStorage.setItem('dataBamboo', JSON.stringify(_this.method));
                window.addEventListener('beforeunload', _this.closeWindow);
                _this.ventana = window.open('assets/bamboo.html', 'Bamboo', _this.popupSettings());
                _this.callState();
            };
            _this.cartService.cart.subscribe(function (res) { return _this.cart = res; });
            return _this;
        }
        BambooEcComponent.prototype.ngOnInit = function () {
            /*  console.log(this.method, this.user_data) */
            /* this.connection.get(this.dataBambooApi()).toPromise().then(
                res => console.log(res)
            ).catch(
                err => console.log(err)
            )
                console.log(this.pwCheckoutProperties()) */
            this.getCheckoutBamboo();
        };
        BambooEcComponent.prototype.openModal = function (template) {
            this.clearStorageState();
            //localStorage.setItem('dataRedirect', this.dataRedirect())
            //localStorage.setItem('dataDecidir', JSON.stringify(this.method))
            this.modalRef = this.modalService.show(template, { class: 'modal-xl modal-dialog-centered ', keyboard: false, backdrop: 'static', animated: true });
            this.closeModal = '';
            this.callState();
        };
        BambooEcComponent.ctorParameters = function () { return [
            { type: platformBrowser.DomSanitizer },
            { type: ngxBootstrap.BsModalService },
            { type: ToastService },
            { type: Constants },
            { type: ConnectionService },
            { type: core.Injector },
            { type: CartService }
        ]; };
        __decorate$1Z([
            core.Input()
        ], BambooEcComponent.prototype, "paymentServiceInst", void 0);
        __decorate$1Z([
            core.Input()
        ], BambooEcComponent.prototype, "method", void 0);
        __decorate$1Z([
            core.Input()
        ], BambooEcComponent.prototype, "total_amount", void 0);
        __decorate$1Z([
            core.Input()
        ], BambooEcComponent.prototype, "allData", void 0);
        __decorate$1Z([
            core.Input()
        ], BambooEcComponent.prototype, "user_data", void 0);
        __decorate$1Z([
            core.Output()
        ], BambooEcComponent.prototype, "ready", void 0);
        __decorate$1Z([
            core.ViewChild('template')
        ], BambooEcComponent.prototype, "template", void 0);
        BambooEcComponent = __decorate$1Z([
            core.Component({
                selector: 'app-bamboo-ec',
                template: "<div class=\"text-center\">\n    <h3>Continuar con el pago en Bamboo</h3>\n    <p *ngIf=\"method\" class=\"px-5\">{{ method?.description }}</p>\n    <p *ngIf=\"method\" class=\"px-5\">{{ method?.instructions }}</p>\n    <ng-container *ngIf=\"!loading ; else loadingUrl\">\n        <button class=\"btn btn-outline-secondary comprar\" (click)=\"iniciar()\">Pagar</button>\n    </ng-container>\n</div>\n\n<ng-template #template>\n    <div class=\"modal-content\">\n        <div class=\"modal-header\">\n            <h5 class=\"modal-title\">Modal title</h5>\n            <button type=\"button\" class=\"btn-close\" (click)=\"clickClose()\"></button>\n        </div>\n        <div class=\"modal-body d-flex justify-content-center\" *ngIf=\"url\">\n            <iframe [src]=\"url\" frameborder=\"0\" class=\"iframeStyle\"></iframe>\n        </div>\n        <!-- <div class=\"modal-footer\">\n          <button type=\"button\" class=\"btn btn-secondary\" data-bs-dismiss=\"modal\">Close</button>\n          <button type=\"button\" class=\"btn btn-primary\">Save changes</button>\n        </div> -->\n    </div>\n</ng-template>\n\n<ng-template #loadingUrl>\n    <div class=\"d-flex flex-column jusitfy-content-center align-items-center mt-2\">\n        <app-loading-full-ec></app-loading-full-ec>\n    </div>\n</ng-template>",
                styles: [""]
            })
        ], BambooEcComponent);
        return BambooEcComponent;
    }(ComponentHelper));

    // //Component base
    var components = [
        BlockBannerBoxesEcComponent,
        BlockBannerFullEcComponent,
        BlockFormContactEcComponent,
        BlockHtmlEcComponent,
        ContactFormNewsEcComponent,
        BlockProductsEcComponent,
        BlocksEcComponent,
        CartEcComponent,
        DataFormEcComponent,
        PaymentEcComponent,
        ShipmentEcComponent,
        StepEcComponent,
        SuccessEcComponent,
        CheckoutEcComponent,
        CollectionEcComponent,
        CouponEcComponent,
        FaqsContentEcComponent,
        FiltersEcComponent,
        FiltersTopEcComponent,
        FooterEcComponent,
        HeaderEcComponent,
        LoginEcComponent,
        ProductEcComponent,
        RelatedProductsEcComponent,
        ComparedProductsEcComponent,
        SectionContainerEcComponent,
        StoresEcComponent,
        VariantsEcComponent,
        SellerDashboardContainerEcComponent,
        BuildYourEcComponent,
        ProductFoundEcComponent,
        LoadingInlineEcComponent,
        LoadingFullEcComponent,
        LoadingSectionEcComponent,
        MPCreditEcComponent,
        PriceEcComponent,
        RedsysCatchEcComponent,
        RedSysProEcComponent,
        RedSysRedirectEcComponent,
        HomeEcComponent,
        ProductDetailEcComponent,
        AccountEcComponent,
        OrdersEcComponent,
        OrderEcComponent,
        AuthEcComponent,
        RegisterFormEcComponent,
        LoginFormEcComponent,
        SelectChannelEcComponent,
        ForgotPasswordEcComponent,
        ConfirmAccountEcComponent,
        PasswordResetEcComponent,
        CecaRedirectEcComponent,
        RegisterWholesalerFormEcComponent,
        ShareBlockEcComponent,
        DetailCheckoutBlockEcComponent,
        CheckoutErrorComponent,
        MpRedirectEcComponent,
        RedSysRedirectOutEcComponent,
        PaypalExpressEcComponent,
        MobbexEcComponent,
        BancardEcComponent,
        BancardRedirectEcComponent,
        DecidirEcComponent,
        CulqiEcComponent,
        BancardCatastroEcComponent,
        BambooEcComponent,
        CartLoadEcComponent,
        MultipleItemsToCartEcComponent,
        MagnizoomComponent,
        RecaptchaEcComponent,
        RatingEcComponent,
        ReviewsFormEcComponent,
        ReviewsEcComponent,
        CookiesEcComponent,
        SidebarCookiesEcComponent,
        ModalCookiesEcComponent,
        ToastCookiesEcComponent,
        ModalConfigEcComponent,
    ];

    var __decorate$1_ = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __param$b = (this && this.__param) || function (paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    };
    var ParamsContext = /** @class */ (function () {
        function ParamsContext() {
        }
        return ParamsContext;
    }());
    var AddActionRedirectDirective = /** @class */ (function () {
        function AddActionRedirectDirective(document, elementRef, renderer, blocksService, router) {
            var _this = this;
            this.document = document;
            this.elementRef = elementRef;
            this.renderer = renderer;
            this.blocksService = blocksService;
            this.router = router;
            this.redirectUrl = '';
            this.linstenEvent = null;
            this.transparent = true;
            this.redirectFromUrl = function (evt) {
                _this.router.navigateByUrl(_this.redirectUrl);
            };
        }
        Object.defineProperty(AddActionRedirectDirective.prototype, "ecAddActionRedirect", {
            set: function (value) {
                this.banner = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(AddActionRedirectDirective.prototype, "classStrSpacing", {
            set: function (value) {
                this.classStr = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(AddActionRedirectDirective.prototype, "isTransparent", {
            set: function (value) {
                this.transparent = value;
            },
            enumerable: true,
            configurable: true
        });
        AddActionRedirectDirective.prototype.ngOnInit = function () { };
        AddActionRedirectDirective.prototype.ngOnChanges = function (changes) {
            var _this = this;
            var _a;
            this.transparent && this.renderer.setStyle(this.elementRef.nativeElement, 'color', 'transparent');
            this.renderer.setAttribute(this.elementRef.nativeElement, "role", "button");
            (_a = this.classStr) === null || _a === void 0 ? void 0 : _a.split(" ").forEach(function (cl) {
                try {
                    _this.renderer.addClass(_this.elementRef.nativeElement, cl);
                }
                catch (error) {
                    console.log('add class directive -> ', error);
                }
            });
            this.redirectUrl = this.banner.url ? this.banner.url : this.blocksService.formUrl(this.banner);
            this.banner.url ?
                this.renderer.setProperty(this.elementRef.nativeElement, "href", this.banner.url)
                :
                    this.linstenEvent = this.renderer.listen(this.elementRef.nativeElement, 'click', this.redirectFromUrl);
        };
        AddActionRedirectDirective.prototype.ngOnDestroy = function () {
            this.linstenEvent && this.linstenEvent();
        };
        AddActionRedirectDirective.ctorParameters = function () { return [
            { type: undefined, decorators: [{ type: core.Inject, args: [common.DOCUMENT,] }] },
            { type: core.ElementRef },
            { type: core.Renderer2 },
            { type: BlocksService },
            { type: router.Router }
        ]; };
        __decorate$1_([
            core.Input()
        ], AddActionRedirectDirective.prototype, "ecAddActionRedirect", null);
        __decorate$1_([
            core.Input()
        ], AddActionRedirectDirective.prototype, "classStrSpacing", null);
        __decorate$1_([
            core.Input()
        ], AddActionRedirectDirective.prototype, "isTransparent", null);
        AddActionRedirectDirective = __decorate$1_([
            core.Directive({
                selector: "[ecAddActionRedirect]",
            }),
            __param$b(0, core.Inject(common.DOCUMENT))
        ], AddActionRedirectDirective);
        return AddActionRedirectDirective;
    }());

    var __decorate$1$ = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var ProductStockDirective = /** @class */ (function () {
        function ProductStockDirective(templateRef, viewContainer) {
            var _this = this;
            this.templateRef = templateRef;
            this.viewContainer = viewContainer;
            this.productDirective = null;
            this.validateStock = function () {
                if (_this.productDirective.special_mark == undefined || _this.productDirective.variants == undefined) {
                    setTimeout(function () {
                        return _this.validateStock();
                    }, 1000);
                }
                else {
                    return _this.checkValuesForStock();
                }
            };
            this.checkValuesForStock = function () {
                var existMark = false;
                _this.productDirective.special_mark.forEach(function (special_mark) {
                    switch (special_mark.type) {
                        case 'out_of_stock':
                            existMark = true;
                            break;
                    }
                });
                if (!existMark) {
                    existMark = _this.productDirective.variant_id ?
                        _this.productDirective.variants.find(function (v) { return v.code == _this.productDirective.variant_id && v.stock > 0; }) == undefined :
                        _this.productDirective.variants.find(function (v) { return v.stock > 0; }) == undefined;
                }
                return existMark;
            };
        }
        Object.defineProperty(ProductStockDirective.prototype, "ecProductStock", {
            set: function (product) {
                this.productDirective = product;
                this.viewContainer.clear();
                if (this.validateStock()) {
                    if (this.ecProductStockElse) {
                        this.viewContainer.createEmbeddedView(this.ecProductStockElse);
                    }
                    else {
                        console.error('falta definir el template de agotado');
                    }
                }
                else {
                    this.viewContainer.createEmbeddedView(this.templateRef);
                }
            },
            enumerable: true,
            configurable: true
        });
        ProductStockDirective.prototype.ngOnInit = function () { };
        ProductStockDirective.prototype.ngOnDestroy = function () { };
        ProductStockDirective.prototype.ngOnChanges = function () { };
        ProductStockDirective.ctorParameters = function () { return [
            { type: core.TemplateRef },
            { type: core.ViewContainerRef }
        ]; };
        __decorate$1$([
            core.Input()
        ], ProductStockDirective.prototype, "ecProductStockElse", void 0);
        __decorate$1$([
            core.Input()
        ], ProductStockDirective.prototype, "ecProductStock", null);
        ProductStockDirective = __decorate$1$([
            core.Directive({
                selector: "[ecProductStock]"
            })
        ], ProductStockDirective);
        return ProductStockDirective;
    }());

    var __decorate$20 = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __param$c = (this && this.__param) || function (paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    };
    var ParamsContext$1 = /** @class */ (function () {
        function ParamsContext() {
        }
        return ParamsContext;
    }());
    var ProductOffDirective = /** @class */ (function () {
        function ProductOffDirective(document, elementRef, renderer) {
            var _this = this;
            this.document = document;
            this.elementRef = elementRef;
            this.renderer = renderer;
            this.customMessageStr = "{discount}% OFF";
            this.hasDiscount = function (product) {
                var _a, _b, _c, _d, _e, _f, _g, _h;
                if (!product.saleprice) {
                    return null;
                }
                if (((_a = product.price) === null || _a === void 0 ? void 0 : _a.toString().includes("-")) && ((_b = product.saleprice) === null || _b === void 0 ? void 0 : _b.toString().includes("-"))) {
                    var prices = (_c = product.price) === null || _c === void 0 ? void 0 : _c.toString().split('-');
                    var saleprices = (_d = product.saleprice) === null || _d === void 0 ? void 0 : _d.toString().split('-');
                    var saleBf = _this.generateDiscount((_e = prices[1]) === null || _e === void 0 ? void 0 : _e.trim(), (_f = saleprices[1]) === null || _f === void 0 ? void 0 : _f.trim());
                    var saleLt = _this.generateDiscount((_g = prices[0]) === null || _g === void 0 ? void 0 : _g.trim(), (_h = saleprices[0]) === null || _h === void 0 ? void 0 : _h.trim());
                    if (!saleBf && !saleLt) {
                        return null;
                    }
                    if (saleBf && saleLt && saleBf == saleLt) {
                        return "" + saleBf;
                    }
                    if (saleBf && !saleLt) {
                        return "" + saleBf;
                    }
                    if (!saleBf && saleLt) {
                        return "" + saleLt;
                    }
                    return saleBf + " - " + saleLt;
                }
                else {
                    if (parseInt(product.price) > parseInt(product.saleprice)) {
                        return _this.generateDiscount(product.price, product.saleprice);
                    }
                }
                // console.log(product.price?.toString().includes("-"));
                // console.log(product.saleprice?.toString().includes("-"));
                // console.log(' PRECIO ', product.price);
                // console.log(' SALE ', product.saleprice);
                // if (
                //     !product.price.toString().includes("-") &&
                //     product.saleprice &&
                //     parseInt(product.price) > parseInt(product.saleprice)
                // ) {
                //     let result =
                //         ((parseInt(product.price) - parseInt(product.saleprice)) /
                //             parseInt(product.price)) *
                //         100;
                //     if (Number.isNaN(result)) {
                //         return null;
                //     } else return Math.floor(result);
                // }
                // return null;
            };
            this.generateDiscount = function (price, saleprice) {
                if (parseFloat(price) > parseFloat(saleprice)) {
                    var result = ((parseFloat(price) - parseFloat(saleprice)) /
                        parseFloat(price)) *
                        100;
                    if (Number.isNaN(result)) {
                        return null;
                    }
                    else
                        return Math.round(result); //Math.floor(result);
                }
                return null;
            };
            this.createImage = function (discount) {
                var _a;
                var popover = _this.renderer.createElement("a");
                _this.customMessageStr = _this.customMessageStr.replace('{discount}', discount);
                _this.renderer.setProperty(popover, "innerHTML", _this.customMessageStr);
                (_a = _this.classStr) === null || _a === void 0 ? void 0 : _a.split(" ").forEach(function (cl) {
                    try {
                        _this.renderer.addClass(popover, cl);
                    }
                    catch (error) {
                        console.log('add class directive -> ', error);
                    }
                });
                return popover;
            };
        }
        Object.defineProperty(ProductOffDirective.prototype, "ecProductOff", {
            set: function (value) {
                this.product = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(ProductOffDirective.prototype, "classStrSpacing", {
            set: function (value) {
                this.classStr = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(ProductOffDirective.prototype, "customMessage", {
            set: function (value) {
                this.customMessageStr = value;
            },
            enumerable: true,
            configurable: true
        });
        ProductOffDirective.prototype.ngOnInit = function () { };
        ProductOffDirective.prototype.ngOnChanges = function (changes) {
            var _this = this;
            if (this.product.price) {
                var discount = this.hasDiscount(this.product);
                this.elementRef.nativeElement.childNodes.forEach(function (node) {
                    _this.renderer.removeChild(_this.elementRef.nativeElement, node);
                });
                if (discount) {
                    this.renderer.appendChild(this.elementRef.nativeElement, this.createImage(discount));
                }
                // else {
                //     this.renderer.removeChild(this.elementRef.nativeElement.parentElement, this.elementRef.nativeElement);
                // }
            }
        };
        ProductOffDirective.prototype.ngOnDestroy = function () { };
        ProductOffDirective.ctorParameters = function () { return [
            { type: undefined, decorators: [{ type: core.Inject, args: [common.DOCUMENT,] }] },
            { type: core.ElementRef },
            { type: core.Renderer2 }
        ]; };
        __decorate$20([
            core.Input()
        ], ProductOffDirective.prototype, "ecProductOff", null);
        __decorate$20([
            core.Input()
        ], ProductOffDirective.prototype, "classStrSpacing", null);
        __decorate$20([
            core.Input()
        ], ProductOffDirective.prototype, "customMessage", null);
        ProductOffDirective = __decorate$20([
            core.Directive({
                selector: "[ecProductOff]",
            }),
            __param$c(0, core.Inject(common.DOCUMENT))
        ], ProductOffDirective);
        return ProductOffDirective;
    }());

    var __decorate$21 = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var ProductMiniStandardDirective = /** @class */ (function () {
        function ProductMiniStandardDirective(elementRef, viewContainer, renderer, constants) {
            var _this = this;
            this.elementRef = elementRef;
            this.viewContainer = viewContainer;
            this.renderer = renderer;
            this.constants = constants;
            this.idConteiner = null;
            this.setMarkStandar = function (special_mark) {
                var containerImg = document.getElementById(_this.idConteiner);
                if (!containerImg) {
                    var containerImg_1 = _this.renderer.createElement('div');
                    _this.renderer.setAttribute(containerImg_1, 'id', _this.idConteiner);
                    _this.renderer.addClass(containerImg_1, 'container-img-marks-standard');
                    _this.renderer.appendChild(_this.elementRef.nativeElement, containerImg_1);
                }
                _this.renderer.appendChild(document.getElementById(_this.idConteiner), _this.createImage(special_mark));
            };
            this.createImage = function (data) {
                var image = (data.images && data.images.length) && data.images[0];
                if (!image)
                    return null;
                var image_view = _this.renderer.createElement('img');
                _this.renderer.setAttribute(image_view, 'src', _this.constants.mediaUrl() + image);
                return image_view;
            };
        }
        Object.defineProperty(ProductMiniStandardDirective.prototype, "ecProductMiniStandard", {
            set: function (productParam) {
                this.special_marks = productParam.special_mark;
                this.product = productParam;
                this.idConteiner = "container-img-marks-standard-" + this.product.id;
            },
            enumerable: true,
            configurable: true
        });
        ProductMiniStandardDirective.prototype.ngOnInit = function () {
        };
        ProductMiniStandardDirective.prototype.ngOnChanges = function (changes) {
            var _this = this;
            (this.special_marks && this.special_marks.length)
                &&
                    (this.special_marks.filter(function (special_mark) { return special_mark.type.includes('standard'); }))
                        .map(function (special_mark) { return _this.setMarkStandar(special_mark); });
        };
        ProductMiniStandardDirective.prototype.ngOnDestroy = function () { };
        ProductMiniStandardDirective.ctorParameters = function () { return [
            { type: core.ElementRef },
            { type: core.ViewContainerRef },
            { type: core.Renderer2 },
            { type: Constants }
        ]; };
        __decorate$21([
            core.Input()
        ], ProductMiniStandardDirective.prototype, "ecProductMiniStandard", null);
        ProductMiniStandardDirective = __decorate$21([
            core.Directive({
                selector: '[ecProductMiniStandard]'
            })
        ], ProductMiniStandardDirective);
        return ProductMiniStandardDirective;
    }());

    var __decorate$22 = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var AuthWholesalerDirective = /** @class */ (function () {
        function AuthWholesalerDirective(templateRef, viewContainer, authService) {
            this.templateRef = templateRef;
            this.viewContainer = viewContainer;
            this.authService = authService;
            this.auth = true;
            this.user = null;
            this.productDirective = null;
        }
        Object.defineProperty(AuthWholesalerDirective.prototype, "ecAuthWholesaler", {
            set: function (authparams) {
                var _this = this;
                this.auth = authparams;
                if (this.auth) {
                    this.authService.userAuth.subscribe(function (user) {
                        var _a;
                        _this.viewContainer.clear();
                        _this.user = user;
                        _this.viewContainer.createEmbeddedView(((_a = user) === null || _a === void 0 ? void 0 : _a.isWholesaler()) ? _this.templateRef : _this.ecAuthWholesalerElse);
                    });
                }
                else {
                    this.viewContainer.clear();
                    this.viewContainer.createEmbeddedView(this.templateRef);
                }
            },
            enumerable: true,
            configurable: true
        });
        AuthWholesalerDirective.prototype.ngOnInit = function () { };
        AuthWholesalerDirective.prototype.ngOnDestroy = function () { };
        AuthWholesalerDirective.prototype.ngOnChanges = function () { };
        AuthWholesalerDirective.ctorParameters = function () { return [
            { type: core.TemplateRef },
            { type: core.ViewContainerRef },
            { type: AuthService }
        ]; };
        __decorate$22([
            core.Input()
        ], AuthWholesalerDirective.prototype, "ecAuthWholesalerElse", void 0);
        __decorate$22([
            core.Input()
        ], AuthWholesalerDirective.prototype, "ecAuthWholesaler", null);
        AuthWholesalerDirective = __decorate$22([
            core.Directive({
                selector: "[ecAuthWholesaler]"
            })
        ], AuthWholesalerDirective);
        return AuthWholesalerDirective;
    }());

    var __decorate$23 = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var ReloadViewDirective = /** @class */ (function () {
        function ReloadViewDirective(templateRef, viewContainerRef) {
            this.templateRef = templateRef;
            this.viewContainerRef = viewContainerRef;
            this.viewContainerRef.createEmbeddedView(templateRef);
        }
        ReloadViewDirective.prototype.ngOnChanges = function (changes) {
            if (changes['ecReloadView']) {
                this.viewContainerRef.clear();
                this.viewContainerRef.createEmbeddedView(this.templateRef);
            }
        };
        ReloadViewDirective.ctorParameters = function () { return [
            { type: core.TemplateRef },
            { type: core.ViewContainerRef }
        ]; };
        __decorate$23([
            core.Input()
        ], ReloadViewDirective.prototype, "ecReloadView", void 0);
        ReloadViewDirective = __decorate$23([
            core.Directive({
                selector: '[ecReloadView]'
            })
        ], ReloadViewDirective);
        return ReloadViewDirective;
    }());

    //Directives base
    var directives = [
        // ProductButtonBaseDirective,
        // ProductContactBaseDirective,
        // ProductMiniBaseDirective,
        // ProductOffDetailBaseDirective,
        // ProductPriceBaseDirective,
        ProductMiniStandardDirective,
        ProductOffDirective,
        AddActionRedirectDirective,
        ProductStockDirective,
        AuthWholesalerDirective,
        ReloadViewDirective,
    ];

    var __decorate$24 = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var ecCurrencySymbolPipe = /** @class */ (function () {
        function ecCurrencySymbolPipe(productsService, currencyPipe, consts, currencyService, injector) {
            var _this = this;
            this.productsService = productsService;
            this.currencyPipe = currencyPipe;
            this.consts = consts;
            this.currencyService = currencyService;
            this.injector = injector;
            this.changeSymbolTransform = function (valor) {
                try {
                    return _this.positionSymbol(_this.checkingWithoutDecimals(_this.clearSymbol(valor)));
                }
                catch (error) {
                    console.error('Errores en custom pipe -> ', error);
                    return valor;
                }
            };
            this.clearSymbol = function (value) { return value.replace('$', ''); };
            this.positionSymbol = function (value) { var _a, _b, _c; return ((_a = _this.consts) === null || _a === void 0 ? void 0 : _a.currency.position.toUpperCase()) == 'LEFT' ? _this.currency.symbol + " " + ((_b = value) === null || _b === void 0 ? void 0 : _b.trim()) : ((_c = value) === null || _c === void 0 ? void 0 : _c.trim()) + " " + _this.currency.symbol; };
            this.checkingWithoutDecimals = function (value) {
                var _a, _b, _c;
                if ((_a = _this.consts) === null || _a === void 0 ? void 0 : _a.currency.withoutDecimal) {
                    var val = (_b = value) === null || _b === void 0 ? void 0 : _b.split(',');
                    return val[0];
                    //?.trim() == "00" && value.trim().slice(0, value.trim().length - 3) || value
                }
                else {
                    var val = (_c = value) === null || _c === void 0 ? void 0 : _c.split(',');
                    (val[1] && val[1].length > 2) ? val[1] = val[1].slice(0, 2) : val[1] = "00";
                    value = val[0] + ',' + val[1];
                    return value;
                }
            };
            this.currencyService.currency$.subscribe(function (res) {
                _this.currency = res;
            });
        }
        ecCurrencySymbolPipe.prototype.transform = function (value) {
            var _a;
            var formatter = new Intl.NumberFormat('de-DE', { style: 'currency', currency: 'USD' });
            var valueTransform = '';
            if (value) {
                value = this.currencyService.calculateConvetibility(value, this.currency.ratio).toString();
                valueTransform = this.changeSymbolTransform((_a = formatter.format(value)) === null || _a === void 0 ? void 0 : _a.toString());
            }
            return valueTransform;
        };
        ecCurrencySymbolPipe.ctorParameters = function () { return [
            { type: ProductsService },
            { type: common.CurrencyPipe },
            { type: Constants },
            { type: CurrencyService },
            { type: core.Injector }
        ]; };
        ecCurrencySymbolPipe = __decorate$24([
            core.Pipe({
                name: 'ecCurrencySymbol',
            })
        ], ecCurrencySymbolPipe);
        return ecCurrencySymbolPipe;
    }());

    var __decorate$25 = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var EcSanitizerHtmlPipe = /** @class */ (function () {
        function EcSanitizerHtmlPipe(sanitizer) {
            this.sanitizer = sanitizer;
        }
        EcSanitizerHtmlPipe.prototype.transform = function (value) {
            return this.sanitizer.bypassSecurityTrustHtml(value);
        };
        EcSanitizerHtmlPipe.ctorParameters = function () { return [
            { type: platformBrowser.DomSanitizer }
        ]; };
        EcSanitizerHtmlPipe = __decorate$25([
            core.Pipe({
                name: 'ecSanitizerHtml'
            })
        ], EcSanitizerHtmlPipe);
        return EcSanitizerHtmlPipe;
    }());

    var __decorate$26 = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var EcSanitizerUrlPipe = /** @class */ (function () {
        function EcSanitizerUrlPipe(sanitizer) {
            this.sanitizer = sanitizer;
        }
        EcSanitizerUrlPipe.prototype.transform = function (value) {
            return this.sanitizer.bypassSecurityTrustResourceUrl(value);
        };
        EcSanitizerUrlPipe.ctorParameters = function () { return [
            { type: platformBrowser.DomSanitizer }
        ]; };
        EcSanitizerUrlPipe = __decorate$26([
            core.Pipe({
                name: 'ecSanitizerUrl'
            })
        ], EcSanitizerUrlPipe);
        return EcSanitizerUrlPipe;
    }());

    //Pipes base
    var pipes = [
        ecCurrencySymbolPipe,
        EcSanitizerHtmlPipe,
        EcSanitizerUrlPipe
    ];

    var __decorate$27 = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var NgEasycommerceModule = /** @class */ (function () {
        function NgEasycommerceModule() {
        }
        NgEasycommerceModule_1 = NgEasycommerceModule;
        NgEasycommerceModule.forRoot = function (environment) {
            return {
                ngModule: NgEasycommerceModule_1,
                providers: [
                    Constants,
                    {
                        provide: 'env',
                        useValue: environment
                    },
                    WINDOW_PROVIDERS,
                    ProductsService,
                    BannerService,
                    CartService,
                    OrdersService,
                    PaginationService,
                    ConnectionService,
                    AuthService,
                    OptionsService,
                    ShipmentService,
                    CheckoutService,
                    OptionsOfProductListDataReceiverService,
                    DataformService,
                    BlocksService,
                    StoresService,
                    AnalyticsService,
                    // Utils
                    Constants,
                    UtilsService,
                    ShipmentDataTransformer,
                    PaymentUtils,
                    OptionsOfProductListDataReceiverService,
                    ToastService,
                    AddressingService,
                    FacebookPixelService,
                    GoogleAnalyticsService,
                    GTMService,
                    DopplerService,
                    ConcatenatedAssociationsService,
                    FiltersService,
                    // Guards
                    AuthGuardService,
                    AbleBuyerGuardService,
                    UserRoleGuardService,
                    LoggedInGuard,
                    CheckoutReadyGuard,
                    OrderUtilityService,
                    pipes,
                    common.CurrencyPipe,
                    ChannelConfigService,
                    BlocksRepositoryService,
                    ErrorHandlerService,
                    CaptchaService,
                    {
                        provide: ngRecaptcha.RECAPTCHA_SETTINGS,
                        useValue: { siteKey: '6LcPPbUZAAAAAB8tKJ-UozPs1PztvGTEXnC26aY3' },
                    },
                    // Others
                    {
                        provide: http.HTTP_INTERCEPTORS,
                        useClass: AuthInterceptor,
                        multi: true
                    },
                    {
                        provide: http.HTTP_INTERCEPTORS,
                        useClass: CustomerInterceptor,
                        multi: true
                    }
                ]
            };
        };
        NgEasycommerceModule.forChild = function () {
            return {
                ngModule: NgEasycommerceModule_1,
                providers: []
            };
        };
        var NgEasycommerceModule_1;
        NgEasycommerceModule = NgEasycommerceModule_1 = __decorate$27([
            core.NgModule({
                exports: [
                    OrderByPipe,
                    components,
                    directives,
                    pipes,
                ],
                imports: [
                    common.CommonModule,
                    router.RouterModule,
                    core$1.TranslateModule,
                    http.HttpClientModule,
                    ngxInfiniteScroll.InfiniteScrollModule,
                    ngxToastr.ToastrModule,
                    forms.FormsModule,
                    forms.ReactiveFormsModule,
                    ngRecaptcha.RecaptchaFormsModule,
                    ngRecaptcha.RecaptchaModule,
                    ngxCard.CardModule,
                    modal.ModalModule,
                    ngxOwlCarouselO.CarouselModule
                ],
                declarations: [
                    OrderByPipe,
                    components,
                    directives,
                    pipes,
                    EcSanitizerHtmlPipe,
                    EcSanitizerUrlPipe,
                ],
                providers: []
            })
        ], NgEasycommerceModule);
        return NgEasycommerceModule;
    }());

    var __decorate$28 = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var GiftCardService = /** @class */ (function () {
        function GiftCardService$1(consts, cartService, connection) {
            var _this = this;
            this.consts = consts;
            this.cartService = cartService;
            this.connection = connection;
            this.stateSubject = new rxjs.BehaviorSubject({ doing: false, ok: false, data: null });
            this.baseUrl = this.consts.getUrlBase() + 'shop-api/' + this.consts.getChannel() + '/';
            this.couponApi = function () { return _this.baseUrl + 'carts/' + _this.cartService.getCartToken() + '/coupon'; };
            this.state = this.stateSubject.asObservable();
            this.setCoupon = function (coupon) {
                _this.stateSubject.next({ doing: true, ok: false, data: null });
                _this.connection.put(_this.couponApi(), { coupon: coupon }).subscribe(function (res) { return _this.handleResponse(res, coupon); });
            };
            this.removeCoupon = function () { return _this.stateSubject.getValue().data.coupon && _this.deleteCoupon(); };
            this.deleteCoupon = function () {
                _this.stateSubject.next({ doing: true, ok: false, data: null });
                _this.connection.delete(_this.couponApi());
            };
            this.handleResponse = function (response, coupon) {
                response.code ?
                    _this.stateSubject.next({
                        doing: false,
                        ok: false,
                        data: { message: response.message, discount: '' }
                    }) :
                    _this.stateSubject.next({
                        doing: false,
                        ok: true,
                        data: { message: 'coupon-ready', discount: 'APPLIED DISCOUNT', coupon: coupon }
                    });
            };
            this.avoidCoupon = function () {
                _this.stateSubject.next({ doing: false, ok: true, data: { discount: null, message: 'avoided', coupon: null } });
            };
        }
        GiftCardService$1.ctorParameters = function () { return [
            { type: Constants },
            { type: CartService },
            { type: ConnectionService }
        ]; };
        GiftCardService$1.ɵprov = core.ɵɵdefineInjectable({ factory: function GiftCardService_Factory() { return new GiftCardService(core.ɵɵinject(Constants), core.ɵɵinject(CartService), core.ɵɵinject(ConnectionService)); }, token: GiftCardService, providedIn: "root" });
        GiftCardService$1 = __decorate$28([
            core.Injectable({
                providedIn: 'root'
            })
        ], GiftCardService$1);
        return GiftCardService$1;
    }());

    var __decorate$29 = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    // Get product from Localstorage
    var products$1 = JSON.parse(localStorage.getItem("wishlistItem")) || [];
    var WishlistService = /** @class */ (function () {
        // Initialize 
        function WishlistService$1(toastrService) {
            this.toastrService = toastrService;
            // wishlist array
            this.wishlistProducts = new rxjs.BehaviorSubject([]);
            this.wishlistProducts.subscribe(function (products) { return products = products; });
        }
        // Get  wishlist Products
        WishlistService$1.prototype.getProducts = function () {
            var itemsStream = new rxjs.Observable(function (observer) {
                observer.next(products$1);
                observer.complete();
            });
            return itemsStream;
        };
        // If item is aleready added In wishlist
        WishlistService$1.prototype.hasProduct = function (product) {
            var item = products$1.find(function (item) { return item.id === product.id; });
            return item !== undefined;
        };
        // Add to wishlist
        WishlistService$1.prototype.addToWishlist = function (product) {
            var item = false;
            if (this.hasProduct(product)) {
                item = products$1.filter(function (item) { return item.id === product.id; })[0];
                var index = products$1.indexOf(item);
            }
            else {
                products$1.push(product);
            }
            this.toastrService.success('This product added to Wishlist.'); // toasr services
            localStorage.setItem("wishlistItem", JSON.stringify(products$1));
            return item;
        };
        // Removed Product
        WishlistService$1.prototype.removeFromWishlist = function (product) {
            if (product === undefined) {
                return;
            }
            var index = products$1.indexOf(product);
            products$1.splice(index, 1);
            localStorage.setItem("wishlistItem", JSON.stringify(products$1));
        };
        WishlistService$1.ctorParameters = function () { return [
            { type: ngxToastr.ToastrService }
        ]; };
        WishlistService$1.ɵprov = core.ɵɵdefineInjectable({ factory: function WishlistService_Factory() { return new WishlistService(core.ɵɵinject(ngxToastr.ToastrService)); }, token: WishlistService, providedIn: "root" });
        WishlistService$1 = __decorate$29([
            core.Injectable({
                providedIn: 'root'
            })
        ], WishlistService$1);
        return WishlistService$1;
    }());

    var __decorate$2a = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __param$d = (this && this.__param) || function (paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    };
    var StandardReuseStrategy = /** @class */ (function () {
        function StandardReuseStrategy(env) {
            this.env = env;
            this.routes = [];
            this.storedRoutes = new Map();
        }
        StandardReuseStrategy.prototype.shouldDetach = function (route) {
            this.routes = (this.routes.length && this.routes) || (this.env.routes || []);
            var result = route.data.key && this.routes.includes(route.data.key);
            return result;
        };
        StandardReuseStrategy.prototype.store = function (route, handle) {
            this.storedRoutes.set(route.data.key, handle);
        };
        StandardReuseStrategy.prototype.shouldAttach = function (route) {
            return !!this.storedRoutes.get(route.data.key);
        };
        StandardReuseStrategy.prototype.retrieve = function (route) {
            return this.storedRoutes.get(route.data.key);
        };
        StandardReuseStrategy.prototype.shouldReuseRoute = function (future, curr) {
            return future.routeConfig === curr.routeConfig;
        };
        StandardReuseStrategy.ctorParameters = function () { return [
            { type: undefined, decorators: [{ type: core.Inject, args: ['env',] }] }
        ]; };
        StandardReuseStrategy = __decorate$2a([
            core.Injectable(),
            __param$d(0, core.Inject('env'))
        ], StandardReuseStrategy);
        return StandardReuseStrategy;
    }());

    exports.AbleBuyerGuardService = AbleBuyerGuardService;
    exports.AccountEcComponent = AccountEcComponent;
    exports.AddActionRedirectDirective = AddActionRedirectDirective;
    exports.AddressingService = AddressingService;
    exports.AnalyticsService = AnalyticsService;
    exports.AttributesFilter = AttributesFilter;
    exports.AuthEcComponent = AuthEcComponent;
    exports.AuthGuardService = AuthGuardService;
    exports.AuthInterceptor = AuthInterceptor;
    exports.AuthService = AuthService;
    exports.AuthWholesalerDirective = AuthWholesalerDirective;
    exports.BambooEcComponent = BambooEcComponent;
    exports.BancardEcComponent = BancardEcComponent;
    exports.BancardRedirectEcComponent = BancardRedirectEcComponent;
    exports.BannerService = BannerService;
    exports.BlockBannerBoxesEcComponent = BlockBannerBoxesEcComponent;
    exports.BlockBannerFullEcComponent = BlockBannerFullEcComponent;
    exports.BlockFormContactEcComponent = BlockFormContactEcComponent;
    exports.BlockHtmlEcComponent = BlockHtmlEcComponent;
    exports.BlockProductsEcComponent = BlockProductsEcComponent;
    exports.BlocksEcComponent = BlocksEcComponent;
    exports.BlocksService = BlocksService;
    exports.BrowserWindowRef = BrowserWindowRef;
    exports.BuildYourEcComponent = BuildYourEcComponent;
    exports.CaptchaService = CaptchaService;
    exports.CartEcComponent = CartEcComponent;
    exports.CartLoadEcComponent = CartLoadEcComponent;
    exports.CartService = CartService;
    exports.CategoryFilter = CategoryFilter;
    exports.CecaRedirectEcComponent = CecaRedirectEcComponent;
    exports.ChannelConfigService = ChannelConfigService;
    exports.CheckoutEcComponent = CheckoutEcComponent;
    exports.CheckoutErrorComponent = CheckoutErrorComponent;
    exports.CheckoutReadyGuard = CheckoutReadyGuard;
    exports.CheckoutService = CheckoutService;
    exports.CollectionEcComponent = CollectionEcComponent;
    exports.ConcatenatedAssociationsService = ConcatenatedAssociationsService;
    exports.ConfirmAccountEcComponent = ConfirmAccountEcComponent;
    exports.ConnectionService = ConnectionService;
    exports.Constants = Constants;
    exports.ContactFormNewsEcComponent = ContactFormNewsEcComponent;
    exports.CookiesEcComponent = CookiesEcComponent;
    exports.CouponEcComponent = CouponEcComponent;
    exports.CurrencyService = CurrencyService;
    exports.DataFormEcComponent = DataFormEcComponent;
    exports.DataformService = DataformService;
    exports.DecidirEcComponent = DecidirEcComponent;
    exports.DetailCheckoutBlockEcComponent = DetailCheckoutBlockEcComponent;
    exports.DynamicsFilter = DynamicsFilter;
    exports.EcSanitizerHtmlPipe = EcSanitizerHtmlPipe;
    exports.EcSanitizerUrlPipe = EcSanitizerUrlPipe;
    exports.FaqsContentEcComponent = FaqsContentEcComponent;
    exports.Filter = Filter;
    exports.FiltersEcComponent = FiltersEcComponent;
    exports.FiltersService = FiltersService;
    exports.FiltersTopEcComponent = FiltersTopEcComponent;
    exports.FooterEcComponent = FooterEcComponent;
    exports.ForgotPasswordEcComponent = ForgotPasswordEcComponent;
    exports.GiftCardService = GiftCardService;
    exports.HeaderEcComponent = HeaderEcComponent;
    exports.HomeEcComponent = HomeEcComponent;
    exports.LoadingFullEcComponent = LoadingFullEcComponent;
    exports.LoadingInlineEcComponent = LoadingInlineEcComponent;
    exports.LoadingSectionEcComponent = LoadingSectionEcComponent;
    exports.LoggedInGuard = LoggedInGuard;
    exports.LoginEcComponent = LoginEcComponent;
    exports.LoginFormEcComponent = LoginFormEcComponent;
    exports.MPCreditEcComponent = MPCreditEcComponent;
    exports.MobbexEcComponent = MobbexEcComponent;
    exports.ModalConfigEcComponent = ModalConfigEcComponent;
    exports.ModalCookiesEcComponent = ModalCookiesEcComponent;
    exports.MpRedirectEcComponent = MpRedirectEcComponent;
    exports.MultipleItemsToCartEcComponent = MultipleItemsToCartEcComponent;
    exports.NgEasycommerceModule = NgEasycommerceModule;
    exports.OptionsService = OptionsService;
    exports.OrderEcComponent = OrderEcComponent;
    exports.OrdersEcComponent = OrdersEcComponent;
    exports.OrdersService = OrdersService;
    exports.PaginationService = PaginationService;
    exports.ParametersService = ParametersService;
    exports.ParamsContext = ParamsContext;
    exports.PasswordResetEcComponent = PasswordResetEcComponent;
    exports.PaymentEcComponent = PaymentEcComponent;
    exports.PaymentService = PaymentService;
    exports.PaypalExpressEcComponent = PaypalExpressEcComponent;
    exports.PriceEcComponent = PriceEcComponent;
    exports.ProductDetailEcComponent = ProductDetailEcComponent;
    exports.ProductDetailService = ProductDetailService;
    exports.ProductEcComponent = ProductEcComponent;
    exports.ProductFoundEcComponent = ProductFoundEcComponent;
    exports.ProductMiniStandardDirective = ProductMiniStandardDirective;
    exports.ProductStockDirective = ProductStockDirective;
    exports.ProductsService = ProductsService;
    exports.RatingEcComponent = RatingEcComponent;
    exports.RedSysProEcComponent = RedSysProEcComponent;
    exports.RedSysRedirectEcComponent = RedSysRedirectEcComponent;
    exports.RedSysRedirectOutEcComponent = RedSysRedirectOutEcComponent;
    exports.RedsysCatchEcComponent = RedsysCatchEcComponent;
    exports.RegisterFormEcComponent = RegisterFormEcComponent;
    exports.RegisterWholesalerFormEcComponent = RegisterWholesalerFormEcComponent;
    exports.RelatedProductsEcComponent = RelatedProductsEcComponent;
    exports.ReviewsEcComponent = ReviewsEcComponent;
    exports.ReviewsFormEcComponent = ReviewsFormEcComponent;
    exports.ReviewsService = ReviewsService;
    exports.SectionContainerEcComponent = SectionContainerEcComponent;
    exports.SelectChannelEcComponent = SelectChannelEcComponent;
    exports.ShareBlockEcComponent = ShareBlockEcComponent;
    exports.ShipmentEcComponent = ShipmentEcComponent;
    exports.ShipmentService = ShipmentService;
    exports.SidebarCookiesEcComponent = SidebarCookiesEcComponent;
    exports.SortFilter = SortFilter;
    exports.StandardReuseStrategy = StandardReuseStrategy;
    exports.Step = Step;
    exports.StoresEcComponent = StoresEcComponent;
    exports.StoresService = StoresService;
    exports.SuccessEcComponent = SuccessEcComponent;
    exports.ToastCookiesEcComponent = ToastCookiesEcComponent;
    exports.ToastService = ToastService;
    exports.User = User;
    exports.UserRoleGuardService = UserRoleGuardService;
    exports.UtilsService = UtilsService;
    exports.VariantsEcComponent = VariantsEcComponent;
    exports.WINDOW = WINDOW;
    exports.WINDOW_PROVIDERS = WINDOW_PROVIDERS;
    exports.WindowRef = WindowRef;
    exports.WishlistService = WishlistService;
    exports.browserWindowProvider = browserWindowProvider;
    exports.ecCurrencySymbolPipe = ecCurrencySymbolPipe;
    exports.windowFactory = windowFactory;
    exports.windowProvider = windowProvider;
    exports.ɵa = OrderByPipe;
    exports.ɵb = components;
    exports.ɵba = PaymentUtils;
    exports.ɵbb = CustomerInterceptor;
    exports.ɵc = SellerDashboardContainerEcComponent;
    exports.ɵd = MagnizoomComponent;
    exports.ɵe = RecaptchaEcComponent;
    exports.ɵf = ComparedProductsEcComponent;
    exports.ɵg = StepEcComponent;
    exports.ɵh = CulqiEcComponent;
    exports.ɵi = BancardCatastroEcComponent;
    exports.ɵj = ComponentHelper;
    exports.ɵk = BlocksRepositoryService;
    exports.ɵl = FacebookPixelService;
    exports.ɵm = GoogleAnalyticsService;
    exports.ɵn = GTMService;
    exports.ɵo = MetricoolPixelService;
    exports.ɵp = DopplerService;
    exports.ɵq = OrderUtilityService;
    exports.ɵr = StepService;
    exports.ɵs = ErrorHandlerService;
    exports.ɵt = ShipmentDataTransformer;
    exports.ɵu = CookiesService;
    exports.ɵv = directives;
    exports.ɵw = ProductOffDirective;
    exports.ɵx = ReloadViewDirective;
    exports.ɵy = pipes;
    exports.ɵz = OptionsOfProductListDataReceiverService;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=ng-easycommerce.umd.js.map
