import { Pipe, InjectionToken, Injectable, PLATFORM_ID, Inject, ɵɵdefineInjectable, ɵɵinject, RendererFactory2, Injector, INJECTOR, Component, Input, Renderer2, ViewChild, EventEmitter, Output, ElementRef, Directive, TemplateRef, ViewContainerRef, NgModule } from '@angular/core';
import { isPlatformBrowser, DOCUMENT, CurrencyPipe, CommonModule } from '@angular/common';
import { TranslateService, TranslateModule } from '@ngx-translate/core';
import { Router, NavigationEnd, ActivatedRoute, NavigationStart, RouterModule } from '@angular/router';
import { HttpHeaders, HttpParams, HttpClient, HTTP_INTERCEPTORS, HttpClientModule } from '@angular/common/http';
import { InfiniteScrollModule } from 'ngx-infinite-scroll';
import { ToastrService, ToastrModule } from 'ngx-toastr';
import { ReplaySubject, of, BehaviorSubject, combineLatest, Observable, throwError } from 'rxjs';
import 'rxjs/add/operator/map';
import { take, map, catchError, filter, mapTo, skipWhile, concatMap } from 'rxjs/operators';
import 'rxjs/add/operator/catch';
import 'rxjs/add/observable/of';
import * as moment from 'moment';
import { Validators, FormBuilder, FormsModule, ReactiveFormsModule } from '@angular/forms';
import { DomSanitizer, Meta, Title } from '@angular/platform-browser';
import { BsModalService, ModalModule } from 'ngx-bootstrap/modal';
import Stepper from 'bs-stepper';
import _ from 'lodash';
import Fuse from 'fuse.js';
import { BsModalService as BsModalService$1 } from 'ngx-bootstrap';
import { RECAPTCHA_SETTINGS, RecaptchaFormsModule, RecaptchaModule } from 'ng-recaptcha';
import { CardModule } from 'ngx-card';
import { CarouselModule } from 'ngx-owl-carousel-o';

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let OrderByPipe = class OrderByPipe {
    transform(array, val = 'desc') {
        if (!val || val.trim() == "") {
            return array;
        }
        //ascending
        if (val == 'asc') {
            return Array.from(array).sort((item1, item2) => {
                return this.orderByComparator(item1['id'], item2['id']);
            });
        }
        else if (val == 'desc') { // desc
            return Array.from(array).sort((item1, item2) => {
                return this.orderByComparator(item2['id'], item1['id']);
            });
        }
        else if (val == 'a-z') { // a-z
            return Array.from(array).sort((a, b) => {
                if (a['name'] < b['name']) {
                    return -1;
                }
                else if (a['name'] > b['name']) {
                    return 1;
                }
                else {
                    return 0;
                }
            });
        }
        else if (val == 'z-a') { // z-a
            return Array.from(array).sort((a, b) => {
                if (a['name'] > b['name']) {
                    return -1;
                }
                else if (a['name'] < b['name']) {
                    return 1;
                }
                else {
                    return 0;
                }
            });
        }
        else if (val == 'low') { // low to high
            return Array.from(array).sort((a, b) => {
                if (a['price'] < b['price']) {
                    return -1;
                }
                else if (a['price'] > b['price']) {
                    return 1;
                }
                else {
                    return 0;
                }
            });
        }
        else if (val == 'high') { // high to low
            return Array.from(array).sort((a, b) => {
                if (a['price'] > b['price']) {
                    return -1;
                }
                else if (a['price'] < b['price']) {
                    return 1;
                }
                else {
                    return 0;
                }
            });
        }
    }
    orderByComparator(a, b) {
        if ((isNaN(parseFloat(a)) || !isFinite(a)) || (isNaN(parseFloat(b)) || !isFinite(b))) {
            //Isn't a number so lowercase the string to properly compare
            if (a.toLowerCase() < b.toLowerCase())
                return -1;
            if (a.toLowerCase() > b.toLowerCase())
                return 1;
        }
        else {
            //Parse strings as numbers to compare properly
            if (parseFloat(a) < parseFloat(b))
                return -1;
            if (parseFloat(a) > parseFloat(b))
                return 1;
        }
        return 0; //equal each other
    }
};
OrderByPipe = __decorate([
    Pipe({
        name: 'orderBy'
    })
], OrderByPipe);

var __decorate$1 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
/* Create a new injection token for injecting the window into a component. */
const WINDOW = new InjectionToken('WindowToken');
/* Define abstract class for obtaining reference to the global window object. */
class WindowRef {
    get nativeWindow() {
        throw new Error('Not implemented.');
    }
}
/* Define class that implements the abstract class and returns the native window object. */
let BrowserWindowRef = class BrowserWindowRef extends WindowRef {
    constructor() {
        super();
    }
    get nativeWindow() {
        return window;
    }
};
BrowserWindowRef = __decorate$1([
    Injectable()
], BrowserWindowRef);
/* Create an factory function that returns the native window object. */
function windowFactory(browserWindowRef, platformId) {
    if (isPlatformBrowser(platformId)) {
        return browserWindowRef.nativeWindow;
    }
    return new Object();
}
/* Create a injectable provider for the WindowRef token that uses the BrowserWindowRef class. */
const browserWindowProvider = {
    provide: WindowRef,
    useClass: BrowserWindowRef
};
/* Create an injectable provider that uses the windowFactory function for returning the native window object. */
const windowProvider = {
    provide: WINDOW,
    useFactory: windowFactory,
    deps: [WindowRef, PLATFORM_ID]
};
/* Create an array of providers. */
const WINDOW_PROVIDERS = [
    browserWindowProvider,
    windowProvider
];

var __decorate$2 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
let Constants = class Constants {
    constructor(translate, router, env) {
        this.translate = translate;
        this.router = router;
        this.env = env;
        this.LOCALE = 'LOCALE';
        this.CHANNEL = 'CHANNEL';
        this.channelConfigSubject = new ReplaySubject();
        this.channelConfig$ = this.channelConfigSubject.asObservable();
        this.channelConfigAPI = (channel) => '/shop-api/' + channel + 'channel';
        this.browserWindow = window || {};
        this.browserWindowEnv = this.browserWindow['__env'] || {};
        //     private urlBase: string = 'http://testing.backend.easycommercetech.com/';
        this.urlBase = this.browserWindowEnv['apiUrl'] ? this.browserWindowEnv['apiUrl'] : (this.env.apiUrl || 'http://backend.easycommerce.devp/');
        this.urlAssets = this.browserWindowEnv['urlAssets'] ? this.browserWindowEnv['urlAssets'] : (this.env.urlAssets || this.urlBase);
        this.urlFrontend = this.browserWindowEnv['urlFrontend'] ? this.browserWindowEnv['urlFrontend'] : (this.env.urlFrontend || 'https://elden.easycommercetech.com/');
        this.locale = localStorage.getItem(this.LOCALE) ? localStorage.getItem(this.LOCALE) : this.browserWindowEnv['locale'] ? this.browserWindowEnv['locale'] : (this.env.locale || 'es_AR');
        this.channel = localStorage.getItem(this.CHANNEL) ? localStorage.getItem(this.CHANNEL) : this.browserWindowEnv['channel'] ? this.browserWindowEnv['channel'] : (this.env.channel || 'minorista');
        this.blocksCacheTime = this.browserWindowEnv['blocksCacheTime'] ? this.browserWindowEnv['blocksCacheTime'] : (this.env.blocksCacheTime || null);
        this.modalConfig = { title: 'Example', class: 'modal-xl modal-dialog-centered', keyboard: false };
        this.setModalConfig = (config) => this.modalConfig = config;
        this.getModalConfig = () => this.modalConfig;
        this.version = 'v1';
        this.routes = [/^home$/g, /^(\/?)collection(\/?)([\w\.\/\?]*)$/g, /^contact$/g];
        /* Get rid of this ASAP! */
        this.masterChannel = null;
        this.getMasterChannel = () => {
            if (!this.masterChannel)
                this.masterChannel = localStorage.getItem('MASTER_CHANNEL');
            return this.masterChannel;
        };
        this.setMasterChannel = channel => {
            this.masterChannel = channel;
            localStorage.setItem('MASTER_CHANNEL', channel);
        };
        this.isProduction = () => this.browserWindowEnv['production'] ? this.browserWindowEnv['production'] : (this.env.production || false);
        this.setUrlBase = (url) => this.urlBase = url;
        this.setUrlAssets = (url) => this.urlAssets = url;
        /**
         * @param next Function to execute
         * @param params That function needs
         *
         * Execute the function passed as params, if the frontend is in production mode
         */
        this.onlyIfProduction = (next, params) => this.isProduction() && next(params);
        /**
         * @description Devuelve la url base donde se alojan los archivos multimedia
         * @param postMedia carpeta donde se guardan los archivos
         * @returns
         */
        this.mediaUrl = (postMedia) => this.urlAssets + (this.urlAssets == this.urlBase ? 'media/' : '') + (postMedia ? postMedia : "image/");
        this.mediaBannerUrl = () => this.urlAssets + (this.urlAssets == this.urlBase ? 'media/' : '') + "banner-image/";
        this.mediaStoreUrl = () => this.urlAssets + (this.urlAssets == this.urlBase ? 'media/' : '') + "store-image/";
        this.getProductsListRoute = () => 'collection/';
        this.getSectionsRoute = () => 'section/';
        this.getUrlBase = () => this.urlBase;
        this.getUrlFrontend = () => this.urlFrontend;
        this.getBlocksCacheTime = () => this.blocksCacheTime && parseInt(this.blocksCacheTime);
        // getLocale = () => this.locale;
        // setLocale = (locale) => this.locale = locale;
        this.getLocale = () => {
            if (localStorage.getItem(this.LOCALE)) {
                this.locale = localStorage.getItem(this.LOCALE);
            }
            return this.locale;
        };
        this.getLocaleTranslate = () => {
            return this.getLocale().split('_')[0];
        };
        this.setLocale = locale => {
            localStorage.setItem(this.LOCALE, locale);
            this.translate.use(locale.split('_')[0]);
            this.locale = locale;
        };
        this.getChannel = () => {
            if (localStorage.getItem(this.CHANNEL)) {
                this.channel = localStorage.getItem(this.CHANNEL);
            }
            return this.channel;
        };
        this.setChannel = channel => {
            localStorage.setItem(this.CHANNEL, channel);
            this.channel = channel;
        };
        this.getVersion = () => this.version;
        this.loginExtraData = () => {
            return {
                client_id: 'demo_client',
                client_secret: 'secret_demo_client',
                grant_type: 'password'
            };
        };
        this.isCollection = (path) => (/^(\/?)collection(\/?)([\w\.\/\?]*)$/g).test(path);
        /**
         * Utilities
         */
        this.mobile = () => window.innerWidth < 750;
        this.strictTypeChannel = () => this.env.strictTypeChannel || 'b2b2c';
        this.toDecimal = (total) => (total - Math.floor(total) == 0) ? total / 100 : total;
        /**
         * Elementos para manejo de lista de rutas reutilizables
         */
        this.addRouteToReuse = (route) => route && this.routes.push(route);
        this.removeRouteToReuse = (route) => {
            const index = this.routes.indexOf(route);
            if (index > -1) {
                this.routes.splice(index, 1);
            }
        };
        this.getRoutesToReuse = () => this.routes;
        /**
         *  @public ejemplo de uso <img *ngFor="let item of consts.getRatingStar(product.rating,'assets/images/star.png','assets/images/notStar.png')" [src]="item">
         *  @description funcion que dado un valor entre 1 .. 5, y star: notStar:
         *      (deben ser el path del archivo local a la implementacion).
         *      retorna un arreglo con con la valoracion correspondiente.
         */
        this.getRatingStar = (rating, star, notStar) => {
            try {
                let urlStar = [];
                let cantStar = Number(rating) || 0;
                for (let index = 0; index < 5; index++) {
                    urlStar.push(cantStar > 0
                        ? star
                        : notStar);
                    cantStar--;
                }
                return urlStar;
            }
            catch (error) {
                console.error("getRatingStar produjo un error -> ", error);
            }
        };
        /**
         *  @public ejemplo de uso (keypress)="inputValidationByExpressions($event,'[0-9]{1,9}')" en el DOM.
         *  @description funcion que dado un manejandor de evento, y una expresion regular esta es
         *          evaluada sobre los valores que el manejador de eventos nos envia.
         *          En el caso en el que se envie el parametro 'condition' este puede ser para
         *          anular el evento como condicion adicional a la evaluacion de la entrada.
         */
        this.inputValidationByExpressions = (e, patron, condition = null) => {
            try {
                let tecla = (document) ? e.keyCode : e.which;
                if (tecla == 8)
                    return true;
                let patronReg = new RegExp(patron);
                let tecla_final = String.fromCharCode(tecla);
                if (condition != null) {
                    return patronReg.test(tecla_final) && condition;
                }
                return patronReg.test(tecla_final);
            }
            catch (error) {
                console.error("inputValidationByExpressions produjo un error -> ", error);
            }
        };
        /**
         * Propiedad que se utiliza para tomar como configuración para el tipo de moneda que se utiliza en el sitio.
         * Estos valores son utilizados para el pipe currencyPrice
         */
        this.currency = {
            code: 'ARG',
            symbol: '$',
            position: 'Left',
            withoutDecimal: false
        };
        /**
         * Arreglo de valores usados para el pipe currencyPrice
         */
        this.currencyTypeConfig = [
            {
                code: 'EUR',
                symbol: '€',
                position: 'Right',
                withoutDecimal: false
            },
            {
                code: 'ARG',
                symbol: '$',
                position: 'Left',
                withoutDecimal: false
            },
            {
                code: 'ARS',
                symbol: '$',
                position: 'Left',
                withoutDecimal: false
            },
            {
                code: 'USD',
                symbol: '$',
                position: 'Left',
                withoutDecimal: false
            },
            {
                code: 'PYG',
                symbol: 'Gs.',
                position: 'Left',
                withoutDecimal: false
            },
            {
                code: 'PEN',
                symbol: 'S/',
                position: 'Left',
                withoutDecimal: false
            },
            {
                code: 'SEK',
                symbol: 'SEK',
                position: 'Right',
                withoutDecimal: true
            },
        ];
        this.setCurrencyTypeConfig = (currencyTypeConfig) => {
            this.currencyTypeConfig = currencyTypeConfig;
        };
        /**
         * @description Reemplaza los valores de una moneda.
         * @param currencyTypeFind Tipo de currency que se desea modificar
         * @param customType Los nuevos valores. Todas las key son opcionales
         * @example customType = { code: 'ARG', symbol: '$', position: 'Left' , withoutDecimal: false }
         */
        this.replaceCurrencyTypeConfig = (currencyTypeFind, customType) => {
            var _a, _b, _c, _d;
            let currencyType = this.currencyTypeConfig.find(type => type.code == currencyTypeFind);
            if (currencyType) {
                currencyType.symbol = ((_a = customType) === null || _a === void 0 ? void 0 : _a.symbol) || currencyType.symbol;
                currencyType.code = ((_b = customType) === null || _b === void 0 ? void 0 : _b.code) || currencyType.code;
                currencyType.position = ((_c = customType) === null || _c === void 0 ? void 0 : _c.position) || currencyType.position;
                currencyType.withoutDecimal = ((_d = customType) === null || _d === void 0 ? void 0 : _d.withoutDecimal) || currencyType.withoutDecimal;
            }
            //Reveer en el futuro si se empiezan a agregar otro tipos de monedas
            /* else{
                this.currencyTypeConfig.push({...customType })
            } */
        };
        /**
         *
         * @param currencyTypeFind Definir el code del tipo de moneda que se quiera utilizar.
         * Si el tipo es CUSTOM se toman los valores del segundo parametro donde se puede definir la simbología y posesión que se quiera.
         * @param customType Formato del parámetro ejemplo { code: 'ARG', symbol: '$', position: 'L' , withoutDecimals: false } ,
         * todas las key son opcionales y por defecto se toman los valores del ejemplo.
         * @returns se retorna la configuración que se seteo a la propiedad currency del servicio.
         */
        this.setCurrency = (currencyTypeFind, customType) => {
            this.currency = this.currencyTypeConfig.find(ct => ct.code == currencyTypeFind.toUpperCase()) || this.currency;
            customType && (this.currency = Object.assign(Object.assign({}, this.currency), customType));
            return this.currency;
        };
        this.modifyChannelConfig = channelConfig => {
            if (channelConfig.channel || channelConfig.code)
                this.setChannel(channelConfig.channel || channelConfig.code);
            if (channelConfig.locale || channelConfig.locales.code)
                this.setLocale(channelConfig.locale || channelConfig.locales.code);
            if (channelConfig.currency || channelConfig.baseCurrency)
                this.setCurrency(channelConfig.currency || channelConfig.baseCurrency);
            return channelConfig;
        };
        /**
         * @description Se utiliza para configurar los filtros por defecto que se aplicaran en la seccion 'Collection'
         * cuando se ingresa a la misma.
         */
        this.defaultFilters = [];
        /**
         * @description Settea el valor de la variable defaulFilters.
         * @param filters
         */
        this.setDefaultFilters = (filters) => {
            this.defaultFilters = filters;
        };
        this.getDefaultFilters = () => this.defaultFilters;
        /**
         * @description Se utiliza para configurar tanto los filtros por defectos que ya seran aplicados, como tambien
         * los filtros que se mostraran en la seccion collection, su orden, etc.
         */
        this.filterConfig = {
            defaultFilters: [],
            filters: ['category', 'attributes', 'dynamics']
        };
        this.setFilterConfig = (filterConfig) => {
            filterConfig.defaultFilters ? this.filterConfig.defaultFilters = filterConfig.defaultFilters : null;
            filterConfig.filters ? this.filterConfig.filters = filterConfig.filters : null;
        };
        this.getFilterConfig = () => this.filterConfig.filters;
        /**
         * @description contiene un arreglo de string cuyo contenido son los codigos de los paises.
         * @example ['AR','ES','GB']
         */
        this.countries = [];
        /**
         *
         * @param countries debe contener los codigos de los paises que se quiere mostrar
         * @example ['AR','ES','GB']
         * @returns
         */
        this.setCountries = (countries) => this.countries = countries;
        this.getCountries = () => this.countries;
        /**
         * @description esta variable se utiliza para configurar los parametros cuando se desea mostrar
         * variantes el listado de productos.
         * @param {string}type tipo de options
         * @param {string}code codigo de options
         * @param {boolean}defaultFirstOption `true` toma el primer option del producto en general
         * @param {boolean}checkIfStock `true` se realiza un chequeo de si la variante tiene stock para mostrarla
         * @example  ```javascript
         * {
            type: 'color',
            code: 'color',
            defaultFirstOption: false ,
            checkIfStock:true
            } ```
         */
        this.paramsProductsWithUniqueVariant = {
            type: 'color',
            code: 'color',
            defaultFirstOption: false,
            checkIfStock: true
        };
        this.setParamsProductsWithUniqueVariant = (value) => {
            this.paramsProductsWithUniqueVariant = Object.assign(Object.assign({}, this.paramsProductsWithUniqueVariant), value);
        };
        this.getParamsProductsWithUniqueVariant = () => this.paramsProductsWithUniqueVariant;
        /**
         * @description se utiliza para configurar que filtros del tipo `SortFilter` se quiere mostrar en la vista.
         * Se usan los codigo de los filtros para indicar cuales se deben mostrar.
         */
        this.sortFilters = ['price', 'order-alph', 'recent'];
        /**
         *
         * @param filtersCode arreglo de strings con los codigos de los filtros.
         * Si se le pasa el parametro **all** este mostrara todos.
         * @example price | order-alph | recent | update | all
         * @returns
         */
        this.setSortFilters = (filtersCode = ['all']) => this.sortFilters = filtersCode;
        this.getSortFilters = () => this.sortFilters;
    }
    /**
     *
     * @param needles (agujas) object con claves valor a filtrar
     * @param haystack (pajar) objecto en el que buscar
     *
     * @description funcion que busca en el haystack (pajar) todos los objetos que contentan
     * todas las claves de los needles(agujas) que contengan el mismo valor
     */
    containsAll(needles, haystack) {
        let result = true;
        if (!!needles && !!haystack) {
            Object.entries(needles).forEach(value => {
                if (!(haystack.hasOwnProperty(value[0]) && haystack[value[0]] == value[1]))
                    result = false;
            });
        }
        return result;
    }
    /**
     * devuelve true si existe el elemento "search" en el array de parametros "params"
     *
     * @param params Array de parametros entre los que buscar
     * @param searched Elemento que buscar
     * @param prefix prefijo del string a buscar (ejemplo: "link_")
     * @param suffix sufijo del string a buscar (ejemplo: "link_")
     * @param casesensitive determina si se evalua con sensibilidad entre mayuscula y minuscula
     * @returns retorna true o false si se encontro o no el parametro en el array
     */
    hasParams(params, searched, prefix = '', suffix = '', casesensitive = false) {
        return casesensitive ? params.find(param => (param.code).toLowerCase() == (prefix + searched + suffix).toLowerCase() || (param.code).toLowerCase() == (searched).toLowerCase())
            : params.find(param => param.code == (prefix + searched + suffix) || param.code == searched);
    }
    ;
};
Constants.ctorParameters = () => [
    { type: TranslateService },
    { type: Router },
    { type: undefined, decorators: [{ type: Inject, args: ['env',] }] }
];
Constants.ɵprov = ɵɵdefineInjectable({ factory: function Constants_Factory() { return new Constants(ɵɵinject(TranslateService), ɵɵinject(Router), ɵɵinject("env")); }, token: Constants, providedIn: "root" });
Constants = __decorate$2([
    Injectable({
        providedIn: 'root'
    }),
    __param(2, Inject('env'))
], Constants);

var __decorate$3 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let ConnectionService = class ConnectionService {
    constructor(http, translate, consts) {
        this.http = http;
        this.translate = translate;
        this.consts = consts;
        this.formUrl = (api) => {
            return window.location.protocol == 'https:' && !this.url.includes('https') ? (this.url.replace('http', 'https')) + api : this.url + api;
        };
        this.url = this.consts.getUrlBase();
    }
    /** POST */
    post(api, data) {
        return this.http.post(this.url + api, data || {}).pipe(take(1));
    }
    postOutsider(api, data) {
        return this.http.post(api, data).pipe(take(1));
    }
    /** GET */
    get(api, data) {
        return this.http.get(this.formUrl(api), { params: Object.assign({}, data) }).catch(err => of(null)).pipe(take(1));
    }
    getOutsider(api) {
        return this.http.get(api).pipe(take(1));
    }
    getErrorNotHandler(api) {
        return this.http.get(this.url + api).pipe(take(1));
    }
    getOutsiderWithParams(api, data) {
        return this.http.get(api, { params: Object.assign({}, data) });
    }
    getHTML(api) {
        let httpHeaders = new HttpHeaders({ Accept: 'text/plain, text/html' });
        return this.http.get(this.url + api, { responseType: 'text', headers: httpHeaders }).pipe(take(1));
    }
    getWithLimit(api, limit) {
        let params = new HttpParams();
        params = params.append('limit', limit);
        return this.http.get(this.url + api, { params }).pipe(take(1));
    }
    getPaginated(api, limit, page) {
        let params = new HttpParams();
        params = params.append('limit', limit);
        params = params.append('page', page);
        return this.http.get(this.url + api, { params }).pipe(take(1));
    }
    /** PUT */
    put(api, data) {
        return this.http.put(this.url + api, data).pipe(take(1));
    }
    /** DELETE */
    delete(api) {
        return this.http.delete(this.url + api).pipe(take(1));
    }
};
ConnectionService.ctorParameters = () => [
    { type: HttpClient },
    { type: TranslateService },
    { type: Constants }
];
ConnectionService = __decorate$3([
    Injectable()
], ConnectionService);

var __decorate$4 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let PaginationService = class PaginationService {
    constructor(connection, constants) {
        this.connection = connection;
        this.constants = constants;
        this.nextSubject = new BehaviorSubject([]);
        this.finishedSubject = new BehaviorSubject(false);
        this.total = 0;
        this.waiting = false;
        this.next = this.nextSubject.asObservable();
        this.finished$ = this.finishedSubject.asObservable();
        this.updatePageData = (response) => {
            this.api = this.cleanRoute(response.links.next);
            this.finished = response.page == response.pages;
            this.total = response.total;
            this.finishedSubject.next((response.page == response.pages));
            this.nextSubject.next(response.items);
            this.waiting = false;
        };
        this.finalize = (response) => {
            this.finished = true;
            this.finishedSubject.next(true);
            this.nextSubject.next(response.items);
            this.waiting = false;
        };
        this.cleanRoute = (route) => route.slice(1);
        this.isFinished = () => this.finished;
    }
    initialize(api, limit, initialValues) {
        this.api = api;
        this.limit = limit || this.limit || 10;
        this.finished = false;
        this.nextSubject.next([]);
    }
    getNext(next) {
        this.waiting = true;
        this.api = this.api.replace('%20', ' '); //-
        let nextProducts = !this.api.includes('page=')
            ? this.connection.get(this.api, { limit: this.limit, page: 1 })
            : this.connection.get(this.api);
        !this.finished && nextProducts.subscribe(response => {
            response.links ? this.updatePageData(response) : this.finalize(response);
            next && next(response);
        });
        return true;
    }
    getPage(totalItems, currentPage = 1, pageSize = 8) { }
};
PaginationService.ctorParameters = () => [
    { type: ConnectionService },
    { type: Constants }
];
PaginationService = __decorate$4([
    Injectable()
], PaginationService);

class Filter {
    constructor() {
        this.generated_url = '';
        this.data = [];
        this.multi = false;
        this.type = () => null;
        this.getContent = () => null;
        this.toUrlParams = () => null;
        this.setContent = (options) => null;
        this.setSelected = (element, value) => {
            ((element.multi != undefined) && !element.multi) ? this.cleanFilter(this.data, element) : null;
            this.setSelectedValue(element, value);
        };
        this.cleanFilter = (data, element_to_change) => {
            element_to_change && data.forEach(element => {
                element_to_change != element ? element.selected = false : null;
                (element.children && element.children.length > 0) && this.cleanFilter(element.children, element_to_change);
            });
        };
        this.reset = (children) => {
            let data = children || this.data;
            data.forEach(element => {
                element.selected = false;
                (element.children && element.children.length > 0) && this.reset(element.children);
            });
        };
        this.setSelectedValue = (element, value, sublist, multi) => {
            let elements = sublist || this.data;
            let index = elements.findIndex(subelement => {
                return (element.code || element) == subelement.code;
            });
            if (index >= 0) {
                elements[index].selected = elements[index].selected ? false : true;
                !multi && elements.forEach((child, i) => {
                    if (i != index)
                        child.selected = false;
                });
                return {
                    elements,
                    founded: true
                };
            }
            else {
                elements.some(elem => elem.type == 'sub') && elements.some(filter => {
                    let founded = false;
                    if (filter.type == 'sub') {
                        const result = this.setSelectedValue(element, value, filter.children, filter.multi);
                        if (result && result.founded) {
                            filter.children = result.elements;
                            founded = true;
                        }
                    }
                    return founded;
                });
            }
        };
        this.getSelectedList = () => this.findSelected(this.data, []);
        this.findSelected = (elements, result) => {
            let element = elements.find(elem => elem.selected);
            if (element) {
                result.push(element.code);
                return result;
            }
            elements.forEach(elem => {
                if (elem.children && elem.children.length) {
                    let new_result = this.findSelected(elem.children, result);
                    if (new_result)
                        result = new_result;
                }
            });
            return result;
        };
    }
}

class CategoryFilter extends Filter {
    constructor(categories$, formatter, initial_value) {
        super();
        this.categories$ = categories$;
        this.data = [];
        this.multi = false;
        this.type = () => 'category';
        this.setContent = (categories, original, initial_value) => {
            categories.forEach((filter, i) => filter = this.createElement(filter, original[i], initial_value));
            this.data = categories;
        };
        this.createElement = (filter, original, initial_value) => {
            var _a, _b, _c, _d;
            if (filter.type == 'sub') {
                filter.multi = false;
                filter.shape = 'text';
                filter.value = original.code;
                filter.selected = (initial_value && this.removeAccents((_a = original.slug) === null || _a === void 0 ? void 0 : _a.toLowerCase()) == this.removeAccents((_b = initial_value) === null || _b === void 0 ? void 0 : _b.toLowerCase()));
                filter.children = filter.children.map((child, i) => this.createElement(child, original.children[i], initial_value));
            }
            else {
                filter.value = original.code;
                filter.selected = (initial_value && this.removeAccents((_c = original.slug) === null || _c === void 0 ? void 0 : _c.toLowerCase()) == this.removeAccents((_d = initial_value) === null || _d === void 0 ? void 0 : _d.toLowerCase()));
            }
            return filter;
        };
        this.getContent = () => this.data;
        this.toUrlParams = (actual_url = '', sublist) => {
            let elements = sublist || this.data;
            elements.forEach(element => {
                if (element.type == 'sub' && !element.selected) {
                    const result = this.toUrlParams('', element.children);
                    !actual_url.includes(result) ? actual_url += result : null;
                }
                else if (element.selected) {
                    if (actual_url == '')
                        actual_url = '&category=' + element.value;
                    else
                        actual_url = element.value;
                }
            });
            return actual_url;
        };
        this.removeAccents = (str) => {
            return str.normalize("NFD").replace(/[\u0300-\u036f]/g, "");
        };
        this.categories$.subscribe(res => {
            this.raw_data = res;
            this.setContent(formatter(res), res, initial_value);
        });
    }
}

var __decorate$5 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
let OptionsService = class OptionsService {
    constructor(connection, constants) {
        this.connection = connection;
        this.constants = constants;
        this.filtersSubject = new BehaviorSubject([]);
        this.categoriesSubject = new BehaviorSubject([]);
        this.attributesSubject = new BehaviorSubject([]);
        this.sectionsSubject = new BehaviorSubject([]);
        this.readySubject = new BehaviorSubject({ options: { categories: false, attributes: false, sections: false }, readyAll: false });
        this.data = [];
        this.categories = this.categoriesSubject.asObservable();
        this.attributes = this.attributesSubject.asObservable();
        this.sections = this.sectionsSubject.asObservable();
        this.ready = this.readySubject.asObservable();
        this.getAllData = () => {
            this.getCategories();
            this.getAttributes();
            this.getSections();
        };
        this.getSectionContentByLink = (link) => this.connection.getHTML(this.pageContentByCodeApi(link)).pipe(map(html => html.split('</head>')[html.split('</head>').length - 1]), catchError(e => of(false)));
        this.getSectionContentByLinkAsPromise = (link) => this.connection.getHTML(this.pageContentByCodeApi(link)).pipe(map(html => html.split('</head>')[html.split('</head>').length - 1])).toPromise().catch(e => null);
        this.getFAQ = () => {
            return this.connection.get(this.faqsApi()).pipe(map(response => {
                let result = [];
                response.forEach(response_faq => {
                    let faqs = {
                        code: response_faq.code,
                        position: response_faq.position,
                        title: response_faq.translations[this.constants.getLocale()].topic,
                        questions: response_faq.frequentlyAskedQuestions.map(asked_question => ({
                            code: asked_question.code,
                            position: asked_question.position,
                            question: asked_question.translations[this.constants.getLocale()] ? asked_question.translations[this.constants.getLocale()].question : '',
                            answer: asked_question.translations[this.constants.getLocale()] ? asked_question.translations[this.constants.getLocale()].answer : '',
                        }))
                    };
                    result.push(faqs);
                });
                return result;
            }));
        };
        this.isSubElement = (array, code) => {
            let element = array.find(element => element.code == code);
            return (element && element.code) || (array.children && this.isSubElement(array.chidren, code));
        };
        this.findCode = (slug, elements) => {
            let element = elements.find(elem => elem.slug == slug);
            if (element)
                return element.code;
            elements.some(elem => {
                if (elem.children && elem.children.length) {
                    element = this.findCode(slug, elem.children);
                }
                return element || false;
            });
            return element;
        };
        this.getCodeBySlug = (slug) => {
            let code = this.findCode(slug, this.generateMenu(this.categoriesSubject.value));
            if (!code)
                code = this.findCode(slug, this.generateMenu(this.attributesSubject.value));
            return code || slug;
        };
        this.getHigher = (code) => {
            let higher_code;
            higher_code = this.data.find(element => !(element.code == code) && !this.isSubElement(element.children, code)).code;
            return higher_code || 'default';
        };
        /**
         * @private
         * APIS
         */
        this.cmsBase = () => 'cms/' + this.constants.getLocale();
        this.cmsChannel = () => 'cms/' + this.constants.getChannel();
        this.shopApi = () => 'shop-api/' + this.constants.getChannel();
        this.faqsApi = () => 'cms/' + this.constants.getChannel() + '/faq';
        // private sectionsApi = () => this.cmsBase() + '/sections/';
        this.sectionsApi = () => this.cmsChannel() + '/sections/' + '?locale=' + this.constants.getLocale();
        this.sectionByCodeApi = (code) => this.cmsBase() + '/pages/' + code;
        // private pageContentByCodeApi = (code) => this.cmsBase() + '/' + this.constants.getChannel() + '/page/' + code;
        this.pageContentByCodeApi = (code) => this.cmsBase() + '/' + this.constants.getChannel() + '/page/' + code;
        this.taxonsApi = () => this.shopApi() + '/taxons/' + '?locale=' + this.constants.getLocale();
        this.attributesApi = () => this.shopApi() + '/attributes-list' + '?locale=' + this.constants.getLocale();
        this.attributesApi2 = (filters = '') => 'shop-api/' + this.constants.getChannel() + '/product-search/' + '?locale=' + this.constants.getLocale() + '&limit=1&page=1' + filters;
        /**
         * @public
         * UTILS
         */
        this.addAttributesSlug = (attributes) => attributes.map(attribute => { return Object.assign(Object.assign({}, attribute), { children: attribute.children.map(child => { return Object.assign(Object.assign({}, child), { slug: this.slugify(child.name) }); }) }); });
        this.slugify = (text) => this.removeAccents(text.toLowerCase().replace(/ & /g, ' ').replace(/ /g, '-').replace(/\//g, '-').replace(/ñ/g, 'n'));
        this.generateMenu = (elements) => {
            return elements.map(subelement => {
                let result;
                (subelement.children && subelement.children.length == 0) ? result = Object.assign(Object.assign({}, subelement), { title: subelement.name, path: subelement.path, type: 'link' })
                    : result = Object.assign(Object.assign({}, subelement), { title: subelement.name, type: 'sub', path: subelement.path, children: (subelement.children ? this.generateMenu(subelement.children) : []) });
                return result;
            });
        };
        this.removeAccents = (str) => {
            return str.normalize("NFD").replace(/[\u0300-\u036f]/g, "");
        };
        this.getBreadcrumb = (code) => {
            if (!code)
                return null;
            let breadcrumb = this.generateBreadcrumb(code, this.generateMenu(this.categoriesSubject.value), []);
            if (!breadcrumb || !breadcrumb.length)
                breadcrumb = this.generateBreadcrumb(code, this.generateMenu(this.attributesSubject.value), []);
            return (breadcrumb && breadcrumb.length) && breadcrumb.reverse();
        };
        this.getBreadcrumbByFilters = (filters) => {
            let final_result = [];
            filters.forEach(filter => {
                let result = filter.getSelectedList();
                if (!result || !result.length)
                    return;
                if (filter.type() == 'category')
                    final_result.unshift(...this.generateBreadcrumb(result[0], filter.data, []).reverse());
                else
                    result.forEach(code => {
                        let breadcrumb = this.generateBreadcrumb(code, filter.data, []);
                        breadcrumb.length && final_result.push(breadcrumb[0]);
                    });
            });
            return final_result;
        };
        this.generateBreadcrumb = (code, elements, result) => {
            let element = elements.find(elem => elem.code == code);
            if (element) {
                result.push(element);
            }
            else {
                elements.some(elem => {
                    if (elem.children && elem.children.length) {
                        const length = result.length;
                        let new_result = this.generateBreadcrumb(code, elem.children, result);
                        if (new_result.length > length) {
                            result = new_result;
                            result.push(elem);
                            return true;
                        }
                    }
                    return false;
                });
            }
            return result;
        };
        this.getAllData();
        // this.authService.loggedIn.subscribe(res => res && this.getAllData());
    }
    getCategories() {
        return __awaiter(this, void 0, void 0, function* () {
            yield this.connection.get(this.taxonsApi()).pipe(take(1), map(response => this.appendPaths(true, response)))
                .toPromise().then(response => {
                response.forEach(element => this.data.push(element));
                this.categoriesSubject.next(response);
            }).catch(() => this.categoriesSubject.next([]));
            this.optionLoaded('categories');
        });
    }
    getAttributes() {
        return __awaiter(this, void 0, void 0, function* () {
            yield this.connection.get(this.attributesApi2()).pipe(map(response => this.appendPaths(false, (response.attributes[0] || response))))
                .toPromise().then(response => {
                response.forEach(element => this.data.push(element));
                this.attributesSubject.next(this.addAttributesSlug(response));
            }).catch(() => this.attributesSubject.next([]));
            this.optionLoaded('attributes');
        });
    }
    getAttributes2(extra_params) {
        return __awaiter(this, void 0, void 0, function* () {
            yield this.connection.get(this.attributesApi2(extra_params)).pipe(map(response => this.appendPaths(false, (response.attributes[0] || response))))
                .toPromise().then(response => {
                response.forEach(element => this.data.push(element));
                this.attributesSubject.next(this.addAttributesSlug(response));
            }).catch(() => this.attributesSubject.next([]));
            this.optionLoaded2('attributes');
        });
    }
    appendPaths(isCategory, response) {
        let result = response.map(subelement => {
            if (!subelement.children || subelement.children.length == 0) {
                subelement.children = [];
                subelement.path = isCategory ? this.constants.getProductsListRoute() + 'categories/' + this.slugify((subelement.slug ? this.slugify(subelement.slug) : subelement.name))
                    : this.constants.getProductsListRoute() + 'attributes/' + this.slugify((subelement.slug ? this.slugify(subelement.slug) : subelement.name));
            }
            else if (subelement.children) {
                subelement.slug = subelement.slug || this.slugify(subelement.name);
                subelement.children = this.appendPaths(isCategory, subelement.children);
            }
            isCategory ? subelement.path = this.constants.getProductsListRoute() + 'categories/' + this.slugify((subelement.slug ? this.slugify(subelement.slug) : subelement.name))
                : subelement.path = this.constants.getProductsListRoute() + 'attributes/' + this.slugify((subelement.slug ? this.slugify(subelement.slug) : subelement.name));
            return subelement;
        });
        return result;
    }
    getSections() {
        return __awaiter(this, void 0, void 0, function* () {
            yield this.connection.get(this.sectionsApi()).toPromise().then(response => {
                let sections = response.filter(item => item.code != 'home');
                sections = sections.map(section => this.appendSection(section));
                this.sectionsSubject.next(sections);
            }).catch(() => this.categoriesSubject.next([]));
            this.optionLoaded('sections');
        });
    }
    appendSection(section) {
        var _a;
        let data = {};
        if ((_a = section.pages) === null || _a === void 0 ? void 0 : _a.length) {
            data.type = 'sub';
            data.children = section.pages.map(page => {
                return {
                    code: page.code,
                    name: page.name,
                    type: 'link',
                    path: this.constants.getSectionsRoute() + (page.slug ? page.slug : page.code),
                };
            });
            data.title = section.name;
            data.name = section.name;
            data.path = this.constants.getSectionsRoute() + (section.slug ? section.slug : section.code);
            data.code = section.code;
        }
        else {
            data.code = section.code;
            data.title = section.name;
            data.type = 'link';
            data.children = [];
            data.path = this.constants.getSectionsRoute() + (section.slug ? section.slug : section.code);
        }
        return data;
    }
    optionLoaded(key) {
        const allReady = (options) => Object.keys(options).every(option_key => state.options[option_key]);
        let state = this.readySubject.value;
        state.options[key] = true;
        this.readySubject.next({ options: state.options, readyAll: allReady(state.options) });
    }
    optionLoaded2(key) {
        const allReady = (options) => Object.keys(options).every(option_key => state.options[option_key]);
        let state = this.readySubject.value;
        state.options[key] = true;
        // this.readySubject.next({ options: state.options, readyAll: allReady(state.options) })
    }
};
OptionsService.ctorParameters = () => [
    { type: ConnectionService },
    { type: Constants }
];
OptionsService = __decorate$5([
    Injectable()
], OptionsService);

class AttributesFilter extends Filter {
    constructor(attributes$, formatter, initial_value) {
        super();
        this.attributes$ = attributes$;
        this.data = [];
        this.multi = false;
        this.setContent = (attributes, original, initial_value) => {
            attributes.forEach((filter, i) => filter = this.createElement(filter, original[i], initial_value));
            this.data = attributes;
        };
        this.createElement = (filter, original, initial_value) => {
            var _a, _b;
            if (filter.type == 'sub') {
                filter.multi = false;
                filter.shape = 'text';
                filter.value = original.code;
                filter.children = filter.children.map((child, i) => this.createElement(child, original.children[i], initial_value));
            }
            else {
                filter.value = original.code;
                filter.selected = (initial_value && this.removeAccents((_a = original.slug) === null || _a === void 0 ? void 0 : _a.toLowerCase()) == this.removeAccents((_b = initial_value) === null || _b === void 0 ? void 0 : _b.toLowerCase()));
            }
            return filter;
        };
        this.type = () => 'attributes';
        this.getContent = () => this.data;
        this.toUrlParams = (actual_url = '&attributeCodes=', sublist, already) => {
            let elements = sublist || this.data;
            let aux_url = '';
            elements.forEach(element => {
                if (element.type == 'sub') {
                    let result = this.toUrlParams('', element.children, (actual_url != '&attributeCodes=' && actual_url != ''));
                    if (!actual_url.includes(result))
                        actual_url += this.cleanResult(result);
                }
                else if (element.selected) {
                    if (actual_url == '&attributeCodes=' && aux_url == '') {
                        aux_url = element.value;
                    }
                    else {
                        if (aux_url == '')
                            aux_url = (already ? '<and>' : '') + element.value;
                        else
                            aux_url += ('<and>' + element.value);
                    }
                }
            });
            return actual_url + aux_url;
        };
        this.cleanResult = (text) => text.replace('&attributeCodes=', '');
        this.removeAccents = (str) => {
            return str.normalize("NFD").replace(/[\u0300-\u036f]/g, "");
        };
        this.attributes$.subscribe(res => {
            this.raw_data = res;
            this.setContent(formatter(res), res, initial_value);
        });
    }
}

class DynamicsFilter extends Filter {
    constructor() {
        super(...arguments);
        this.generated_url = '';
        this.data = [];
        this.multi = true;
        this.type = () => 'dynamics';
        this.setContent = (options) => {
            options = options.map(option => option = this.createElement(option));
            this.data = options;
        };
        this.createElement = (option) => {
            option = {
                title: option.label, type: 'sub', multi: false, code: option.code, shape: option.type, children: option.values.map(value => {
                    return {
                        title: value.code,
                        description: value.name,
                        code: (option.code + ' ' + value.name),
                        type: 'child',
                        value: value.code,
                        selected: false
                    };
                })
            };
            return option;
        };
        this.holi = () => {
        };
        this.getContent = () => this.data;
        this.toUrlParams = (actual_url = '&optionCodes=', sublist, already) => {
            let elements = sublist || this.data;
            let aux_url = '';
            elements.forEach(element => {
                if (element.type == 'sub') {
                    let result = this.toUrlParams('', element.children, (actual_url != '&optionCodes=' && actual_url != ''));
                    if (!actual_url.includes(result))
                        actual_url += this.cleanResult(result);
                }
                else if (element.selected) {
                    if (actual_url == '&optionCodes=' && aux_url == '') {
                        aux_url = element.value;
                    }
                    else {
                        if (aux_url == '')
                            aux_url = (already ? '<and>' : '') + element.value;
                        else
                            aux_url += ('<and>' + element.value);
                    }
                }
            });
            return actual_url + aux_url;
        };
        this.cleanResult = (text) => text.replace('&optionCodes=', '');
    }
}

class SortFilter extends Filter {
    constructor(consts) {
        super();
        this.consts = consts;
        this.data = [];
        this.multi = true;
        this.type = () => 'sort';
        this.setContent = () => {
            this.data = [
                {
                    title: 'price', type: 'sub', multi: false, code: 'price', shape: 'text', children: [
                        { title: 'cheapest-first', code: 'price chip', type: 'child', value: 'asc', selected: false, multi: false, },
                        { title: 'most-expensive-first', code: 'price expensive', type: 'child', value: 'desc', selected: false, multi: false, }
                    ]
                },
                {
                    title: 'alphabetical-order', type: 'sub', code: 'order-alph', multi: false, shape: 'text', children: [
                        // { title: 'order-alph', type: 'child', code: 'alpha default', value: '', selected: false, multi: false },
                        { title: 'ascendancy', type: 'child', code: 'alpha asc', value: 'asc', selected: false, multi: false, },
                        { title: 'descendant', type: 'child', code: 'alpha desc', value: 'desc', selected: false, multi: false, }
                    ]
                },
                {
                    title: 'created-date',
                    type: 'sub',
                    code: 'recent',
                    multi: false,
                    shape: 'text',
                    children: [
                        { title: 'order-date', type: 'child', code: 'recent default', value: '', selected: false, multi: false },
                        { title: 'newest-first', type: 'child', code: 'recent desc', value: 'desc', selected: false, multi: false },
                        { title: 'oldest-first', type: 'child', code: 'recent asc', value: 'asc', selected: false, multi: false },
                    ]
                },
                {
                    title: 'date-created',
                    type: 'sub',
                    code: 'update',
                    multi: false,
                    shape: 'text',
                    children: [
                        { noUrl: true, title: 'newest-first', type: 'child', code: 'update asc', value: 'asc', selected: false, multi: false },
                        { noUrl: true, title: 'oldest-first', type: 'child', code: 'update desc', value: 'desc', selected: false, multi: false },
                    ]
                }
            ];
            if (!this.consts.getSortFilters().includes('all')) {
                this.data = this.data.filter(elem => this.consts.getSortFilters().includes(elem.code));
            }
        };
        this.getContent = () => this.data;
        this.toUrlParams = (actual_url = '', sublist, father) => {
            let elements = sublist || this.data;
            elements.forEach(element => {
                if (!element.noUrl) { //Si es sin url, no se hace nada. Osea el filtrado es en la vista.
                    if (element.type == 'sub') {
                        const result = this.toUrlParams(actual_url, element.children, element.title);
                        !actual_url.includes(result) ? actual_url += result : null;
                    }
                    else if (element.selected) {
                        actual_url = ('&sorting[' + this.translate(father) + ']=' + element.value);
                    }
                }
            });
            return actual_url;
        };
        // UTILS
        this.translate = (value) => {
            switch (value) {
                case 'price': return 'price';
                case 'created-date': return 'dateCreate';
                case 'alphabetical-order': return 'name';
            }
        };
        this.setContent();
    }
}

var __decorate$6 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let FiltersService = class FiltersService {
    constructor(options, route) {
        this.options = options;
        this.route = route;
        this.filtersSubject = new BehaviorSubject([]);
        this.readySubject = new BehaviorSubject({ options: { categories: false, attributes: false, sections: false }, readyAll: false });
        this.filters$ = this.filtersSubject.asObservable();
        this.ready$ = this.readySubject.asObservable();
        /**
         * @description Carga los filtros segun los datos recibidos por parametros.
         * @param filters Tipos de filtros, por defecto es 'all'
         * @param defaultFilters Filtros que se aplican por defecto
         * @param products Productos utilizados para armar los filtros dinamicos.
         * @returns {Observable<Filter[]>} Un observable de filtros.
         */
        this.loadFilters = (filters = ['all'], defaultFilters, products) => {
            this.setFilters(filters, defaultFilters, products);
            return this.filters$;
        };
        /**
         * @description Crea los filtros.
         * @param filters Tipos de filtros, por defecto es 'all'
         * @param defaultFilters Filtros que se aplican por defecto
         * @param products Productos utilizados para armar los filtros dinamicos.
         */
        this.setFilters = (filters, defaultFilters, products) => {
            var _a, _b, _c;
            let final_filters = [];
            if ((_a = filters) === null || _a === void 0 ? void 0 : _a.includes('all'))
                filters = ['attributes', 'category', 'dynamics', 'sort'];
            (_b = filters) === null || _b === void 0 ? void 0 : _b.forEach(filter => final_filters.push(this.getFilterInstance(filter, products)));
            (_c = defaultFilters) === null || _c === void 0 ? void 0 : _c.forEach(filterDefault => {
                let filter = final_filters.find(filter => filter.type() == filterDefault.filter_type);
                filter && filterDefault.codes.forEach(value => filter.setSelected(value));
            });
            this.filtersSubject.next(final_filters);
        };
        /**
         * @description Fabrica de filtros segun el filtro.
         * @param filter
         * @param products
         * @returns
         */
        this.getFilterInstance = (filter, products) => {
            let instance;
            switch (filter) {
                case 'category':
                    instance = new CategoryFilter(this.options.categories, this.options.generateMenu);
                    break;
                case 'attributes':
                    instance = new AttributesFilter(this.options.attributes, this.options.generateMenu);
                    break;
                case 'sort':
                    instance = new SortFilter();
                    break;
                case 'dynamics':
                    instance = new DynamicsFilter();
                    break;
            }
            return instance;
        };
        /**
         * @description retorna los filtros segun los tipos de filtros ingresado por parametros.
         * @param types Tipos de filtros => 'category' | 'attributes' | 'dynamics' | 'sort' | 'all'
         * @returns Arreglo de Filter
         */
        this.getSpecificFilters = (types) => {
            let result = [];
            //console.log('getValue',this.filtersSubject.getValue())
            types.forEach(type => {
                let result_filter = this.filtersSubject.getValue().find(filter => filter.type() == type);
                if (result_filter)
                    result.push(result_filter);
                return result;
            });
            return result;
        };
        /**
         * @description redirecciona segun la url del filtro.
         * @param filterElem No hace nada por ahora, es para mantener el mismo formato que como se usa en collection
         * @param data Filtro que se usa para redireccion
         */
        this.setFilterSelectedByPath = (filterElem, data) => {
            //console.log(filterElem,data)
            this.route.navigateByUrl(data.path);
        };
        this.ready$ = this.options.ready;
    }
};
FiltersService.ctorParameters = () => [
    { type: OptionsService },
    { type: Router }
];
FiltersService.ɵprov = ɵɵdefineInjectable({ factory: function FiltersService_Factory() { return new FiltersService(ɵɵinject(OptionsService), ɵɵinject(Router)); }, token: FiltersService, providedIn: "root" });
FiltersService = __decorate$6([
    Injectable({
        providedIn: 'root'
    })
], FiltersService);

var __decorate$7 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
// Get product from Localstorage
let products = {};
let ProductsService = class ProductsService {
    constructor(connection, constants, pagination, options, filtersService) {
        this.connection = connection;
        this.constants = constants;
        this.pagination = pagination;
        this.options = options;
        this.filtersService = filtersService;
        this.productsSubject = new BehaviorSubject([]);
        this.filtersSubject = new BehaviorSubject([]);
        this.filtersInViewSubject = new BehaviorSubject(null);
        this.currency = 'USD';
        this.catalogMode = false;
        this.products$ = this.productsSubject.asObservable();
        this.filters$ = this.filtersSubject.asObservable();
        this.filtersInView$ = this.filtersInViewSubject.asObservable();
        /** APIS */
        this.latestProductsByCategoryApi = (category) => 'shop-api/' + this.constants.getChannel() + '/taxon-products/by-code/' + category;
        this.latestProductsApi = () => 'shop-api/' + this.constants.getChannel() + '/product-latest/';
        this.specificProductApi = (code, variant) => 'shop-api/' + this.constants.getChannel() + '/products/by-code/' + (variant ? 'variant/' : '') + code + '?locale=' + this.constants.getLocale();
        this.productsBySpecialMarkApi = (specialmark) => 'shop-api/' + this.constants.getVersion() + '/' + this.constants.getChannel() + '/special-marks/' + specialmark + '/products/';
        this.relatedProductsApi = (key) => 'shop-api/' + this.constants.getChannel() + '/products/related/by-code/' + key + '?locale=' + this.constants.getLocale();
        this.productVariantApi = (code) => 'shop-api/' + this.constants.getChannel() + '/products/by-code/variant/' + code;
        this.latestProductsByAttributeApi = (attribute) => 'shop-api/' + this.constants.getChannel() + '/products/by-attribute/' + attribute;
        this.productSearchApi = () => 'shop-api/' + this.constants.getChannel() + '/product-search/';
        this.cmsRelatedProductsApi = (page) => 'cms/' + this.constants.getLocale() + '/' + this.constants.getChannel() + '/page/' + page + '/product-related';
        this.productsFilterApi = (filters = '') => 'shop-api/' + this.constants.getChannel() + '/product-search/' + '?locale=' + this.constants.getLocale() + filters;
        this.saveProductReviewsApi = (code) => 'shop-api/' + this.constants.getChannel() + '/products/by-code/' + code + '/reviews';
        /** FUNCTIONS */
        this.getLatestProducts = (limit = '0') => limit == '0' ? this.connection.get(this.latestProductsApi()) :
            this.connection.getWithLimit(this.latestProductsApi(), limit);
        this.getLatestProductsByCategory = (category, limit = '0') => limit == '0' ? this.connection.get(this.latestProductsByCategoryApi(category)) :
            this.connection.getWithLimit(this.latestProductsByCategoryApi(category), limit);
        this.getPaginated = (limit, page) => this.connection.getPaginated(this.latestProductsApi(), limit, page);
        this.getSpecificProduct = (code, variant) => this.connection.get(this.specificProductApi(code, variant));
        this.getProductsBySpecialMark = (specialmark, limit = '0') => limit == '0' ? this.connection.get(this.productsBySpecialMarkApi(specialmark)) :
            this.connection.getWithLimit(this.productsBySpecialMarkApi(specialmark), limit);
        this.getRelatedProducts = (key) => this.connection.get(this.relatedProductsApi(key));
        this.getProductVariant = (code) => this.connection.get(this.productVariantApi(code));
        this.getlatestProductsByAttribute = (attribute) => this.connection.get(this.latestProductsByAttributeApi(attribute));
        this.getSearchedProducts = (content) => {
            var _a;
            this.productsSubject.next([]);
            this.pagination.initialize(this.generateFinalApi(content), ((_a = products) === null || _a === void 0 ? void 0 : _a.limit) || 8);
            this.subscription = this.pagination.next.subscribe(res => this.productsSubject.next(res), err => this.productsSubject.next(null));
        };
        this.getCMSRelatedProducts = (page) => this.connection.get(this.cmsRelatedProductsApi(page)).catch((err) => of(null));
        this.getProductsSearched = (search_value, filters) => {
            this.getProductsForFilter(null, filters, search_value);
        };
        /**
         * @description Guarda la reseña de un producto.
         * @param code
         * @param form_data
         * @returns
         */
        this.saveReviews = (code, form_data) => this.connection.post(this.saveProductReviewsApi(code), form_data);
        /**
         * @param products
         * @param filters
         * @param search_value
         * @param defaultFilters
         */
        this.getProductsForFilter = (products, filters, search_value, defaultFilters) => {
            var _a;
            this.productsSubject.next([]);
            search_value ? this.search_value = search_value : this.search_value = '';
            filters && this.setFilters(products, filters, defaultFilters);
            this.pagination.initialize(this.generateFinalApi(search_value), ((_a = products) === null || _a === void 0 ? void 0 : _a.limit) || 8);
            this.subscription && this.subscription.unsubscribe();
            this.subscription = this.pagination.next.subscribe(res => this.productsSubject.next(res), err => this.productsSubject.next(null));
            this.filtersSubject.value.some(filter => filter.type() == 'dynamics')
                ? this.pagination.getNext(this.updateDynamicFilters)
                : this.pagination.getNext();
        };
        this.setFilters = (products, filters, defaultFilters) => {
            var _a, _b, _c;
            let final_filters = [];
            if ((_a = filters) === null || _a === void 0 ? void 0 : _a.includes('all'))
                filters = ['attributes', 'category', 'dynamics', 'sort'];
            (_b = filters) === null || _b === void 0 ? void 0 : _b.forEach(filter => final_filters.push(this.getFilterInstance(filter, products)));
            (_c = defaultFilters) === null || _c === void 0 ? void 0 : _c.forEach(filterDefault => {
                let filter = final_filters.find(filter => filter.type() == filterDefault.filter_type);
                filter && filterDefault.codes.forEach(value => filter.setSelected(value));
            });
            this.filtersSubject.next(final_filters);
        };
        this.getFilterInstance = (filter, products) => {
            let instance;
            switch (filter) {
                case 'category':
                    instance = new CategoryFilter(this.options.categories, this.options.generateMenu, products ? (products.type == 'categories' && products.value) : null);
                    break;
                case 'attributes':
                    instance = new AttributesFilter(this.options.attributes, this.options.generateMenu, products ? (products.type == 'attributes' && products.value) : null);
                    break;
                case 'sort':
                    instance = new SortFilter(this.constants);
                    break;
                case 'dynamics':
                    instance = new DynamicsFilter();
                    break;
            }
            return instance;
        };
        this.updateDynamicFilters = (request) => {
            if (!request.options)
                return;
            let final_filters = this.filtersSubject.value;
            let index = final_filters.findIndex(filter => filter.type() == 'dynamics');
            index && final_filters[index].setContent(request.options);
            this.filtersSubject.next(final_filters);
        };
        this.getNext = () => !this.pagination.isFinished() && this.pagination.getNext();
        this.setFilterSelected = (filterObj, filterElem) => {
            let final_filters = this.filtersSubject.value;
            let index = final_filters.findIndex(filter => filter.type() == filterObj.type());
            final_filters[index].setSelected(filterElem, filterElem.value);
            /**
             * @description Esta parte del codigo lo que hace es chequear se sea un filtro de la vista, para cargar el observable
             * con los datos del mismo. De lo contrario se lo carga con null. Este observable esta hecho para que en collection se
             * pueda detectar si es necesario hacer un filtrado en la vista.
             * Aclaración: hacer este tipo de filtrados esta mal, si crece mucho la performance va a bajar, lo ideal seria que
             * desde backend se puedan proveer endpoints para poder filtrar sobre los campos deseados y mantener la misma logica con
             * la que se viene trabajando.
             */
            (filterElem.noUrl != undefined && filterElem.noUrl) ? this.filtersInViewSubject.next(filterElem) : this.filtersInViewSubject.next(null);
            this.filtersSubject.next(final_filters);
            this.updateProductsForFilter();
        };
        this.updateProductsForFilter = () => {
            this.pagination.waiting = true;
            this.productsSubject.next([]);
            this.pagination.initialize(this.search_value ? this.generateFinalApi(this.search_value) : this.generateFinalApi());
            this.pagination.getNext();
            // SI SE ACTUALIZARAN LOS FILTROS DINAMICOS EN EL FUTURO
            // let filtersObj = this.filtersSubject.value;
            // filtersObj.some(filter => filter.type() == 'dynamics')
            //      ? this.pagination.getNext(this.updateDynamicFilters)
            //      : this.pagination.getNext();
        };
        /**
         *
         * @param products  Array. Lista de productos.
         * @param withOption 'type' tipo de opción, code: código de la opción. 'defaultFirstOption': en caso de que no se pueda desdoblar por la opción indicada si el valor es verdadero se intentara desdoblar por la primera opción asociada al producto.
         * 'checkIfStock': en caso de que esta valor sea verdadero se realiza un control de que la variantes cuenten con stock para ser un producto desdoblado por la variante, si el valor es falso no se realiza dicho control y el producto se desdoblara con stock en 0.
         * @returns arreglo con los productos desdoblados por la opción solicitada.
         * (opción por defecto que se intenta hacer el desdoblamiento 'color', o bien si en le parámetro withOption el atributo 'defaultFirstOption' es verdadero se desdobla por la primera opción asociada al producto )
         *
         * @description Recibe una lista de productos y retorna los mismos productos tantas veces como variantes tenga.
         * cada producto retornado tendrá una única variante.
         */
        this.getProductsWithUniqueVariant = (products, withOption = { type: 'color', code: 'color', defaultFirstOption: false, checkIfStock: true }) => {
            !withOption['code'] && withOption['type'] && (withOption['code'] = withOption['type']) || !withOption['code'] && (withOption['code'] = 'color');
            !withOption['type'] && withOption['code'] && (withOption['type'] = withOption['code']) || !withOption['type'] && (withOption['type'] = 'color');
            !withOption.hasOwnProperty('defaultFirstOption') && (withOption['defaultFirstOption'] = false);
            !withOption.hasOwnProperty('checkIfStock') && (withOption['checkIfStock'] = true);
            let productsUniqueVariant = [];
            products.forEach(product => {
                var _a, _b;
                let variants = [...(_a = product) === null || _a === void 0 ? void 0 : _a.variants];
                let option = product.options.find(opt => opt.type.toLowerCase() === withOption.type.toLowerCase());
                if (option) {
                    option.values.forEach(optionValue => {
                        let modified_product = JSON.parse(JSON.stringify(product));
                        modified_product.options.find(option => option.type.toLowerCase() == withOption.type.toLowerCase()).values = [{ code: optionValue.code, name: optionValue.name }];
                        //busco una variante con ese code para asignarle la lista de imagenes
                        let variantAux = variants.find(variant => ((withOption.checkIfStock && variant.stock > 0) || withOption.checkIfStock == false)
                            && variant.options.length
                            && variant.options.some(op => (op.hasOwnProperty(withOption.code.toLowerCase()) || op.hasOwnProperty(withOption.code.toUpperCase()))
                                && (op[withOption.code.toLowerCase()] || op[withOption.code.toUpperCase()]) === optionValue.code));
                        variantAux && productsUniqueVariant.push(this.productWithVariantValues(modified_product, variantAux, optionValue));
                    });
                }
                else {
                    /**
                     * se modifica el caso para cuando se toma el primer `option` del producto para
                     * armar la lista de productos con variantes.
                     */
                    if (withOption.defaultFirstOption && ((_b = product.options) === null || _b === void 0 ? void 0 : _b.length)) {
                        let firstOptions = product.options[0];
                        product.options[0].values.forEach(optionValue => {
                            let modified_product = JSON.parse(JSON.stringify(product));
                            modified_product.options.find(option => option.type == firstOptions.type).values = [{ code: optionValue.code, name: optionValue.name }];
                            let variantAux = variants.find(variant => {
                                return variant.options.find(elem => elem[firstOptions.code] == optionValue.code);
                            });
                            if (variantAux && variantAux.images.length == 0) {
                                variantAux.images = product.picturesdefault;
                            }
                            if (withOption.checkIfStock) {
                                (variantAux && variantAux.stock > 0) ? productsUniqueVariant.push(this.productWithVariantValues(modified_product, variantAux, optionValue)) : null;
                            }
                            else {
                                variantAux && productsUniqueVariant.push(this.productWithVariantValues(modified_product, variantAux, optionValue));
                            }
                        });
                    }
                    else {
                        productsUniqueVariant.push(product);
                    }
                }
            });
            return productsUniqueVariant.length > 0 ? productsUniqueVariant : products;
        };
        this.productWithVariantValues = (product, variant, optionValue) => {
            product.picturesdefault = variant.images;
            product.variant_id = variant.code; //lo dejo aca hasta asegurarnos de que no se estaba usando en otra parte.
            product.stock = variant.stock || 0; //lo dejo aca hasta asegurarnos de que no se estaba usando en otra parte.
            product.currentOption = Object.assign(Object.assign({}, optionValue), { productCode: product.id, variantCode: variant.code, stock: variant.stock || 0, finalPrice: variant.saleprice || variant.price || 0 });
            return product;
        };
        this.cleanAllFilters = () => {
            let final_filters = this.filtersSubject.value;
            final_filters.forEach(filter => filter.reset());
            this.filtersSubject.next(final_filters);
            this.updateProductsForFilter();
        };
        /** UTILS AND FILTERING */
        this.isWaiting = () => this.pagination.waiting;
        this.isFinished = () => this.pagination.isFinished();
        this.generateFinalApi = (search_value) => {
            let extra_params = '';
            this.filtersSubject.value.forEach(filter => {
                const extra = filter.toUrlParams();
                extra.split('=')[1] != '' ? extra_params += extra : null;
            });
            if (search_value)
                extra_params += ('&criteria[search][type]=contains&criteria[search][value]=' + search_value);
            if (extra_params != '' && !extra_params.includes('attributeCodes')) {
                this.options.getAttributes2(extra_params);
            }
            return this.productsFilterApi(extra_params);
        };
        this.finished = () => this.pagination.finished$;
        this.getTotal = () => this.pagination.total;
    }
};
ProductsService.ctorParameters = () => [
    { type: ConnectionService },
    { type: Constants },
    { type: PaginationService },
    { type: OptionsService },
    { type: FiltersService }
];
ProductsService = __decorate$7([
    Injectable()
], ProductsService);

var __decorate$8 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let BannerService = class BannerService {
    constructor(connection, constants, optionsService) {
        this.connection = connection;
        this.constants = constants;
        this.optionsService = optionsService;
        this.bannerSubject = new BehaviorSubject({ banners: [], button_route: '' });
        this.banner = this.bannerSubject.asObservable();
        this.bannersByTaxonApi = (taxon) => 'api/' + this.constants.getVersion() + '/banners/by-taxon/' + taxon;
        this.bannersByAttributeApi = (attribute) => 'api/' + this.constants.getVersion() + '/banners/by-attribute/' + attribute;
        this.getBanner = (type, code) => {
            this.type = type;
            this.code = code;
            if (type && code) {
                if (type == 'taxon' || type == 'categories') {
                    this.loadBannersByTaxon(code);
                }
                else {
                    this.loadBannersByAtrribute(code);
                }
            }
        };
        this.getImage = (banner) => (this.mobile() && banner.mobileImageName && banner.mobileImageName != '') ? banner.mobileImageName : banner.imageName;
        this.getImageFull = (banner) => this.constants.getUrlBase() + ((this.mobile() && banner.mobileImageName && banner.mobileImageName != '') ? banner.mobileImageName : banner.imageName);
        this.mobile = () => window.innerWidth < 750;
        // Get available methods of instance, and update this.methods
    }
    getBannersByTaxon(taxon) {
        return this.connection.get(this.bannersByTaxonApi(taxon)).pipe(catchError(err => this.connection.get(this.bannersByTaxonApi(this.optionsService.getHigher(taxon)))));
    }
    getBannersByAttribute(attribute) {
        return this.connection.get(this.bannersByAttributeApi(attribute)).pipe(catchError(err => this.connection.get(this.bannersByTaxonApi(this.optionsService.getHigher(attribute)))));
    }
    loadBannersByTaxon(taxon) {
        this.getBannersByTaxon(taxon).catch(err => of([])).subscribe(res => {
            res && this.procesateBanners(res);
        });
    }
    loadBannersByAtrribute(attribute) {
        this.getBannersByAttribute(attribute).catch(err => of([])).subscribe(res => {
            res && this.procesateBanners(res);
        });
    }
    procesateBanners(banners) {
        let final_banners = [];
        banners.forEach(banner => final_banners.push(banner.translations.filter(res => res['locale'] == this.constants.getLocale())[0]));
        let button_route = '/collection/' + (this.type == 'taxon' ? 'categories' : 'attributes') + '/' + this.code;
        this.bannerSubject.next({ banners: final_banners, button_route });
    }
};
BannerService.ctorParameters = () => [
    { type: ConnectionService },
    { type: Constants },
    { type: OptionsService }
];
BannerService = __decorate$8([
    Injectable()
], BannerService);

class User {
    constructor() {
        this.USER = 'USER';
        this.type = 'loguedin';
        this.config = {};
        this.client_id = 'demo_client';
        this.client_secret = 'secret_demo_client';
        this.grant_type = 'password';
        this.email = '';
        this.username = '';
        this.password = '';
        this.first_name = '';
        this.last_name = '';
        this.address = { country: '', city: '', state: '', address: '', postcode: '' };
        this.birthday = '';
        this.gender = '';
        this.phone_number = '';
        this.suscribed_to_newsletter = true;
        this.document_type = '';
        this.preferred_card = '';
        this.document_number = '';
        this.channels = [];
        this.customers = [];
        this.token = '';
        this.typeUser = null;
        this.initilized = res => {
            this.token = res.token;
            this.typeUser = res.hasOwnProperty('type') ? res.type : 'retail_customer';
            this.username = res.username;
            this.email = res.username;
            this.channels = res.channels || [];
            this.customers = res.customers || [];
        };
        this.isWholesaler = () => this.typeUser && (this.typeUser == 'wholesaler_customer' || this.typeUser == 'seller') || false;
        this.isSeller = () => this.typeUser && this.typeUser == 'seller' || false;
        this.isRetailCustomer = () => this.typeUser && this.typeUser == 'retail_customer' || false;
        this.toForm = () => {
            return {
                firstName: this.first_name,
                lastName: this.last_name,
                phoneNumber: this.phone_number,
                email: this.email,
                documentType: this.document_type,
                documentNumer: this.document_number,
                street: this.address.address,
                countryCode: this.address.country,
                city: this.address.city,
                provinceName: this.address.state,
                postcode: this.address.postcode
            };
        };
        this.persistInStorage = (key = this.USER) => {
            try {
                const json = this.jsonify();
                const str = JSON.stringify(json);
                localStorage.setItem(key, JSON.stringify(this.jsonify()));
                return true;
            }
            catch (error) {
                console.error(error);
                return false;
            }
        };
        this.loadFromStorage = (key = this.USER) => {
            if (localStorage.getItem(key)) {
                this.deserialize(JSON.parse(localStorage.getItem(key)));
                return true;
            }
            return false;
        };
        this.removeFromStorage = (key = this.USER) => {
            try {
                localStorage.removeItem(key);
                console.log('usuario removido');
                return true;
            }
            catch (error) {
                console.error(error);
                return false;
            }
        };
        this.setChannels = (...channels) => this.channels = channels;
    }
    deserialize(input) {
        return Object.assign(this, input);
    }
    jsonify() {
        return {
            client_id: this.client_id,
            client_secret: this.client_secret,
            grant_type: this.grant_type,
            username: this.username,
            email: this.email,
            password: this.password,
            token: this.token,
            typeUser: this.typeUser,
            channels: this.channels,
            customers: this.customers
        };
    }
    removePassword() {
        this.password = '';
    }
    needsAuth() {
        return this.type == 'loguedin';
    }
}

class Step {
    constructor(name, priority) {
        this.state = 'pending';
        this.doing = () => {
            this.data = null;
            this.state = 'doing';
        };
        this.restart = () => {
            this.data = null;
            this.state = 'pending';
        };
        this.ready = (data) => {
            this.data = data;
            this.state = 'ready';
        };
        this.isPending = () => this.state == 'pending' || this.state == 'doing';
        this.isReady = () => this.state == 'ready' && this.data;
        this.name = name;
        this.priority = priority;
    }
}

var __decorate$9 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let OrderUtilityService = class OrderUtilityService {
    constructor() {
        /**
         * @param cart Objeto carrito o orden, indistintamente, ya que poseen el mismo formato
         * @param forCart Si la solicitud de promociones proviene del carrito, suprime el subtotal y el total
         * @description Devuelve un listado con todas las promociones que posee el carro/orden
         */
        this.getPromotions = (cart, forCart = false) => {
            if (cart.checkoutState && cart.checkoutState == "completed")
                return;
            let new_state = [];
            let subtotal = { type: 'subtotal', name: 'subtotal', amount: cart.totals.items };
            let total = { type: 'total', name: 'total', amount: cart.totals.total };
            !forCart && new_state.push(subtotal);
            //    console.log(cart.cartDiscounts);
            for (let index = 0; index < cart.cartDiscounts.length; index++) {
                cart.cartDiscounts[index].type = this.formatType(cart.cartDiscounts[index].type);
                new_state.push({
                    type: cart.cartDiscounts[index].type,
                    name: (cart.cartDiscounts[index].type != 'coupon') ? cart.cartDiscounts[index].name : 'coupon',
                    amount: this.getAmount(cart.cartDiscounts[index], cart)
                });
            }
            //    cart.cartDiscounts.forEach(cartDiscount => {
            //        cartDiscount.type = this.formatType(cartDiscount.type);
            //        new_state.push({
            //            type: cartDiscount.type,
            //            name: (cartDiscount.type != 'coupon') ? cartDiscount.name : 'coupon',
            //            amount: this.getAmount(cartDiscount, cart)
            //        });
            //    });
            !forCart && new_state.push(total);
            return new_state;
        };
        this.getAmount = (discount, cart) => {
            if (discount.type != 'shipment')
                return discount.amount;
            return cart.totals.shipping;
        };
        this.formatType = (type) => {
            let result;
            switch (type) {
                case 'order_promotion':
                    result = 'discount';
                    break;
                case 'order_shipping_promotion':
                    result = 'shipment';
                    break;
                case 'order_coupon_promotion':
                    result = 'coupon';
                    break;
                case 'order_unit_promotion':
                    result = 'discount';
                    break;
            }
            !result && (result = type.includes('promotion') || type.includes('discount') ? 'discount' : type);
            return result || type;
        };
    }
};
OrderUtilityService = __decorate$9([
    Injectable()
], OrderUtilityService);

var __decorate$a = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __param$1 = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
let DopplerService = class DopplerService {
    constructor(rendererFactory, document) {
        this.rendererFactory = rendererFactory;
        this.document = document;
        this.isLoaded = false;
        this.initialize = (pixelSrc) => {
            this.isLoaded = true;
            let scriptInsert = this.renderer.createElement("script");
            this.renderer.setAttribute(scriptInsert, 'type', 'text/javascript');
            this.renderer.setAttribute(scriptInsert, 'async', 'async');
            this.renderer.setAttribute(scriptInsert, 'src', pixelSrc);
            this.renderer.appendChild(this.document.body, scriptInsert);
        };
        this.renderer = this.rendererFactory.createRenderer(null, null);
    }
};
DopplerService.ctorParameters = () => [
    { type: RendererFactory2 },
    { type: undefined, decorators: [{ type: Inject, args: [DOCUMENT,] }] }
];
DopplerService = __decorate$a([
    Injectable(),
    __param$1(1, Inject(DOCUMENT))
], DopplerService);

var __decorate$b = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __param$2 = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
let FacebookPixelService = class FacebookPixelService {
    constructor(rendererFactory, document) {
        this.rendererFactory = rendererFactory;
        this.document = document;
        this.enabled = false;
        this.initialize = (pixel_id) => {
            if (!this.document.getElementById('facebook_pixel')) {
                let new_analityc_script = this.renderer.createElement('script');
                new_analityc_script.id = "facebook_pixel";
                new_analityc_script.type = 'text/javascript';
                new_analityc_script.text = `!function(f,b,e,v,n,t,s) {if(f.fbq)return;n=f.fbq=function(){n.callMethod? n.callMethod.apply(n,arguments):n.queue.push(arguments)}; if(!f._fbq)f._fbq=n;n.push=n;n.loaded=!0;n.version='2.0'; n.queue=[];t=b.createElement(e);t.async=!0; t.src=v;s=b.getElementsByTagName(e)[0]; s.parentNode.insertBefore(t,s)}(window, document,'script', 'https://connect.facebook.net/en_US/fbevents.js'); fbq('init', ${pixel_id});`;
                this.renderer.appendChild(this.document.body, new_analityc_script);
                this.enabled = true;
            }
            setTimeout(() => this.callEvent('initialize'), 1000);
        };
        this.callEvent = (event_name, data = {}) => {
            if (!this.enabled)
                return;
            let event = this.translateEventName(event_name);
            event && fbq('track', this.translateEventName(event_name), this.evalEvent(event_name, data));
        };
        this.translateEventName = (event_name) => {
            switch (event_name) {
                case 'initialize': return 'PageView';
                case 'view_item': return 'ViewContent';
                case 'checkout_init': return 'InitiateCheckout';
                case 'payment_info': return 'AddPaymentInfo';
                case 'purchase': return 'Purchase';
                case 'add_to_cart': return 'AddToCart';
                default: return null;
            }
        };
        this.evalEvent = (event_name, data) => {
            switch (event_name) {
                case 'initialize': return data;
                case 'view_item': return this.toViewContent(data);
                case 'checkout_init': return this.toCheckoutInit(data);
                case 'payment_info': return this.toPaymentInfo(data);
                case 'purchase': return this.toPurchase(data);
                case 'add_to_cart': return this.toAddToCart(data);
                default: return data;
            }
        };
        this.callCustomEvent = (event_name, data = {}) => {
            if (!this.enabled)
                return;
            fbq('trackCustom', event_name, data);
        };
        this.disable = () => this.enabled = false;
        this.toViewContent = (data) => {
            var _a, _b, _c, _d;
            let lastProduct = ((_a = data) === null || _a === void 0 ? void 0 : _a.name) || 'not-product';
            return {
                content_type: 'product',
                content_name: lastProduct,
                content_ids: [(_b = data.variants[0]) === null || _b === void 0 ? void 0 : _b.code],
                currency: data.currency || "USD",
                value: ((_c = data.variants[0]) === null || _c === void 0 ? void 0 : _c.saleprice) || ((_d = data.variants[0]) === null || _d === void 0 ? void 0 : _d.price),
            };
        };
        this.toPurchase = (data) => {
            var _a;
            return {
                currency: data.currency || "USD",
                value: ((_a = data.totals) === null || _a === void 0 ? void 0 : _a.total) || 0,
                content_type: 'product_group',
                contents: this.getContents(data),
            };
        };
        this.toCheckoutInit = (data) => {
            var _a, _b;
            return {
                //content_category : "inicio checkout",
                content_type: 'product_group',
                contents: this.getContents(data),
                content_ids: this.getContentIds(data),
                currency: data.currency || "USD",
                num_items: ((_a = data.items) === null || _a === void 0 ? void 0 : _a.length) || 0,
                value: ((_b = data.totals) === null || _b === void 0 ? void 0 : _b.total) || 0,
            };
        };
        this.toPaymentInfo = (data) => {
            var _a;
            return {
                //content_category : "inicio checkout",
                content_type: 'product_group',
                contents: this.getContents(data),
                content_ids: this.getContentIds(data),
                currency: data.currency || "USD",
                value: ((_a = data.totals) === null || _a === void 0 ? void 0 : _a.total) || 0,
            };
        };
        this.toAddToCart = (data) => {
            var _a, _b, _c, _d;
            let lastProduct = ((_a = data.items) === null || _a === void 0 ? void 0 : _a.length) && ((_c = (_b = data.items[data.items.length - 1]) === null || _b === void 0 ? void 0 : _b.product) === null || _c === void 0 ? void 0 : _c.name) || 'not-product';
            return {
                content_name: lastProduct,
                content_type: 'product',
                contents: this.getContents(data),
                content_ids: this.getContentIds(data),
                currency: data.currency || "USD",
                value: ((_d = data.totals) === null || _d === void 0 ? void 0 : _d.total) || 0,
            };
        };
        this.getContents = (data) => {
            return data.items.map(item => {
                var _a;
                return {
                    id: (_a = item.product.variants[0]) === null || _a === void 0 ? void 0 : _a.code,
                    quantity: item.quantity
                };
            });
        };
        this.getContentIds = (data) => {
            return data.items.map(item => { var _a; return (_a = item.product.variants[0]) === null || _a === void 0 ? void 0 : _a.code; });
        };
        this.renderer = this.rendererFactory.createRenderer(null, null);
    }
};
FacebookPixelService.ctorParameters = () => [
    { type: RendererFactory2 },
    { type: undefined, decorators: [{ type: Inject, args: [DOCUMENT,] }] }
];
FacebookPixelService = __decorate$b([
    Injectable(),
    __param$2(1, Inject(DOCUMENT))
], FacebookPixelService);

var __decorate$c = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __param$3 = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
let GoogleAnalyticsService = class GoogleAnalyticsService {
    constructor(rendererFactory, document, router, productsService) {
        this.rendererFactory = rendererFactory;
        this.document = document;
        this.router = router;
        this.productsService = productsService;
        this.enabled = false;
        this.startListeningPageViews = (gtm_id) => {
            this.router.events.pipe(filter(event => event instanceof NavigationEnd)).subscribe((event) => {
                gtag('config', gtm_id, {
                    'page_path': event.urlAfterRedirects
                });
            });
        };
        this.callEvent = (event_name, data = {}) => {
            if (!this.enabled)
                return;
            let event = this.translateEventName(event_name);
            event && gtag('event', this.translateEventName(event_name), this.evalEvent(event_name, data));
        };
        this.translateEventName = (event_name) => {
            switch (event_name) {
                case 'view_item': return 'view_item';
                case 'view_item_list': return 'view_item_list';
                case 'checkout_init': return 'begin_checkout';
                case 'shipping_info': return 'add_shipping_info';
                case 'add_payment_info': return 'add_payment_info';
                case 'purchase': return 'purchase';
                case 'add_to_cart': return 'add_to_cart';
                case 'remove_from_cart': return 'remove_from_cart';
                case 'sign_up': return 'sign_up';
                default: return null;
                //default: return event_name;
            }
        };
        this.evalEvent = (event_name, data) => {
            switch (event_name) {
                case 'view_item': return this.toViewItem(data);
                case 'view_item_list': return this.toViewItemList(data);
                case 'checkout_init': return this.toCheckoutInit(data);
                case 'shipping_info': return this.toShippingInfo(data);
                case 'add_payment_info': return this.toPaymentInfo(data);
                case 'purchase': return this.toPurchase(data);
                case 'add_to_cart': return this.toAddToCart(data);
                case 'remove_from_cart': return this.toRemoveToCart(data);
                case 'sign_up': return this.toSignUp(data);
                default: return data;
            }
        };
        this.toPurchase = (data) => {
            // console.log('toPurchese', {
            //     coupon: this.toCartDiscount(data),
            //     currency: data.currency,
            //     shipping: data.totals.shipping,
            //     tax: data.totals.taxes,
            //     value: data.totals.total,
            //     transaction_id: data.number,
            //     items: data.items.map(item => ({
            //         id: item.product.id,
            //         name: item.product.name,
            //         category: item.product.category,
            //         price: item.total,
            //         quantity: item.quantity
            //     }))
            // });
            return {
                coupon: this.toCartDiscount(data),
                currency: data.currency,
                shipping: data.totals.shipping,
                tax: data.totals.taxes,
                value: data.totals.total,
                transaction_id: data.number,
                items: data.items.map(item => ({
                    id: item.product.id,
                    name: item.product.name,
                    category: item.product.category,
                    price: item.total,
                    quantity: item.quantity
                }))
            };
        };
        this.toCheckoutInit = (data) => {
            var _a;
            // console.log('toInitcheckout', {
            //     coupon: this.toCartDiscount(data),
            //     currency: data.currency || "USD",
            //     items: data.items.map(item => ({
            //         id: item.product.id,
            //         name: item.product.name,
            //         category: item.product.category,
            //         price: item.total,
            //         quantity: item.quantity
            //     })),
            //     value: data.totals?.total || 0,
            // });
            return {
                coupon: this.toCartDiscount(data),
                currency: data.currency || "USD",
                items: data.items.map(item => ({
                    id: item.product.id,
                    name: item.product.name,
                    category: item.product.category,
                    price: item.total,
                    quantity: item.quantity
                })),
                value: ((_a = data.totals) === null || _a === void 0 ? void 0 : _a.total) || 0,
            };
        };
        this.toCartDiscount = (data) => {
            let strDiscount = '';
            strDiscount = data.cartDiscounts.map(itemDiscount => { var _a; return (_a = itemDiscount) === null || _a === void 0 ? void 0 : _a.type; }).join();
            return strDiscount == '' ? 'not-discount' : strDiscount;
        };
        this.toAddToCart = (data) => {
            var _a;
            let lastProduct = ((_a = data.items) === null || _a === void 0 ? void 0 : _a.length) && data.items[data.items.length - 1];
            return {
                currency: data.currency || "USD",
                items: [this.toItem(Object.assign({ quantity: lastProduct.quantity }, lastProduct.product))],
                value: lastProduct.total || 0,
            };
            // console.log('addtocart', {
            //     data,
            //     currency: data.currency || "USD",
            //     items: [this.toItem({ quantity: lastProduct.quantity, ...lastProduct.product })],
            //     value: lastProduct.total || 0,
            // });
        };
        this.disable = () => this.enabled = false;
        this.toViewItem = (product) => {
            var _a, _b;
            return {
                currency: product.currency,
                items: [this.toItem(product)],
                value: ((_a = product.variants[0]) === null || _a === void 0 ? void 0 : _a.saleprice) || ((_b = product.variants[0]) === null || _b === void 0 ? void 0 : _b.price),
            };
            // console.log('view ', {
            //     currency: product.currency,
            //     items: [this.toItem(product)],
            //     value: product.variants[0]?.saleprice || product.variants[0]?.price,
            // });
        };
        this.toViewItemList = (data) => {
            return {
                items: data.products.map(product => this.toItem(product)),
                item_list_name: data.item_list_name || 'Collection',
                item_list_id: data.item_list_id || 'collection'
            };
            // console.log('toViewItemList ', {
            //     items: data.products.map(product => this.toItem(product)),
            //     item_list_name: data.item_list_name || 'Collection',
            //     item_list_id: data.item_list_id || 'collection'
            // });
        };
        this.toRemoveToCart = (product) => {
            var _a, _b;
            let productParam = product.product;
            return {
                currency: product.currency || "USD",
                items: [this.toItem(Object.assign({ quantity: product.quantity }, productParam))],
                value: (((_a = productParam.variants[0]) === null || _a === void 0 ? void 0 : _a.saleprice) || ((_b = productParam.variants[0]) === null || _b === void 0 ? void 0 : _b.price)) * product.quantity || 1,
            };
            // console.log('remove_from_cart ', {
            //     currency: product.currency || "USD",
            //     items: [this.toItem({ quantity: product.quantity, ...productParam })],
            //     value: (productParam.variants[0]?.saleprice || productParam.variants[0]?.price) * product.quantity || 1,
            // });
        };
        this.toItem = (product) => {
            var _a, _b, _c;
            return ({
                item_name: product.name,
                item_id: product.id,
                item_brand: ((_a = product.attributes) === null || _a === void 0 ? void 0 : _a.length) ? product.attributes[0].name : '',
                item_category: product.category,
                price: ((_b = product.variants[0]) === null || _b === void 0 ? void 0 : _b.saleprice) || ((_c = product.variants[0]) === null || _c === void 0 ? void 0 : _c.price),
                quantity: product.quantity || 1,
            });
        };
        this.toPaymentInfo = (data) => {
            var _a, _b, _c;
            return {
                coupon: this.toCartDiscount(data),
                currency: data.currency || "USD",
                items: data.items.map(item => ({
                    id: item.product.id,
                    name: item.product.name,
                    category: item.product.category,
                    price: item.total,
                    quantity: item.quantity
                })),
                payment_type: ((_b = (_a = data.payments[0]) === null || _a === void 0 ? void 0 : _a.method) === null || _b === void 0 ? void 0 : _b.code) || 'not-payments',
                value: ((_c = data.totals) === null || _c === void 0 ? void 0 : _c.total) || 0,
            };
        };
        this.toShippingInfo = (data) => {
            var _a, _b, _c;
            return {
                coupon: this.toCartDiscount(data),
                currency: data.currency || "USD",
                items: data.items.map(item => ({
                    id: item.product.id,
                    name: item.product.name,
                    category: item.product.category,
                    price: item.total,
                    quantity: item.quantity
                })),
                shipping_tier: ((_b = (_a = data.shipments[0]) === null || _a === void 0 ? void 0 : _a.method) === null || _b === void 0 ? void 0 : _b.code) || 'not-shipping',
                value: ((_c = data.totals) === null || _c === void 0 ? void 0 : _c.total) || 0,
            };
        };
        this.toSignUp = (data) => {
            return Object.assign({}, data);
        };
        this.renderer = this.rendererFactory.createRenderer(null, null);
    }
    initialize(gtm_id) {
        if (!document.getElementById('google_tag_manager')) {
            console.log('hay elemento');
            const declaration = this.renderer.createElement('script');
            declaration.async = true;
            declaration.id = 'google_tag_manager';
            declaration.src = `https://www.googletagmanager.com/gtag/js?id=${gtm_id}`;
            const initialization = this.renderer.createElement('script');
            initialization.text = `window.dataLayer = window.dataLayer || []; function gtag(){dataLayer.push(arguments);} gtag('js', new Date()); gtag('config', '${gtm_id}')`;
            this.renderer.appendChild(this.document.head, initialization);
            this.renderer.appendChild(this.document.head, declaration);
            this.enabled = true;
        }
        setTimeout(() => this.startListeningPageViews(gtm_id), 1000);
    }
};
GoogleAnalyticsService.ctorParameters = () => [
    { type: RendererFactory2 },
    { type: undefined, decorators: [{ type: Inject, args: [DOCUMENT,] }] },
    { type: Router },
    { type: ProductsService }
];
GoogleAnalyticsService.ɵprov = ɵɵdefineInjectable({ factory: function GoogleAnalyticsService_Factory() { return new GoogleAnalyticsService(ɵɵinject(RendererFactory2), ɵɵinject(DOCUMENT), ɵɵinject(Router), ɵɵinject(ProductsService)); }, token: GoogleAnalyticsService, providedIn: "root" });
GoogleAnalyticsService = __decorate$c([
    Injectable({
        providedIn: 'root'
    }),
    __param$3(1, Inject(DOCUMENT))
], GoogleAnalyticsService);

var __decorate$d = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let GTMService = class GTMService {
    constructor(router) {
        this.router = router;
        this.isLoaded = false;
        this.enabled = false;
        this.config = { id: null };
        this.browserGlobals = {
            windowRef() {
                return window;
            },
            documentRef() {
                return document;
            }
        };
        this.initialize = (config) => {
            this.config = config || this.config;
            this.addGtmToDom().then(() => {
                this.router.events.forEach(item => {
                    if (item instanceof NavigationEnd) {
                        const gtmTag = {
                            event: 'page',
                            pageName: item.url
                        };
                        this.pushTag(gtmTag);
                    }
                });
            });
        };
        this.callEvent = (event_name, data = {}) => {
            if (!this.isLoaded)
                return;
            let event = this.translateEventName(event_name);
            event && this.pushTag({ ecommerce: null });
            event && this.pushTag({ 'event': this.translateEventName(event_name), ecommerce: this.evalEvent(event_name, data) });
        };
        this.translateEventName = (event_name) => {
            switch (event_name) {
                case 'view_item': return 'view_item';
                case 'view_item_list': return 'view_item_list';
                case 'checkout_init': return 'begin_checkout';
                case 'shipping_info': return 'add_shipping_info';
                case 'add_payment_info': return 'add_payment_info';
                case 'purchase': return 'purchase';
                case 'add_to_cart': return 'add_to_cart';
                case 'remove_from_cart': return 'remove_from_cart';
                case 'sign_up': return 'sign_up';
                case 'select_promotion': return 'select_promotion';
                case 'select_item': return 'select_item';
                default: return null;
            }
        };
        this.evalEvent = (event_name, data) => {
            switch (event_name) {
                case 'view_item': return this.toViewItem(data);
                case 'view_item_list': return this.toViewItemList(data);
                case 'checkout_init': return this.toCheckoutInit(data);
                case 'shipping_info': return this.toShippingInfo(data);
                case 'add_payment_info': return this.toPaymentInfo(data);
                case 'purchase': return this.toPurchase(data);
                case 'add_to_cart': return this.toAddToCart(data);
                case 'remove_from_cart': return this.toRemoveToCart(data);
                case 'sign_up': return this.toSignUp(data);
                case 'select_promotion': return this.toSelectPromotion(data);
                case 'select_item': return this.toSelectItem(data);
                default: return data;
            }
        };
        this.toPurchase = (data) => {
            var _a;
            return {
                coupon: this.toCartDiscount(data),
                currency: data.currency,
                shipping: data.totals.shipping,
                tax: data.totals.taxes,
                value: data.totals.total,
                transaction_id: data.number,
                countItems: ((_a = data.items) === null || _a === void 0 ? void 0 : _a.length) || 0,
                items: data.items.map(item => {
                    var _a, _b, _c, _d;
                    return ({
                        item_id: item.product.id,
                        item_name: item.product.name,
                        //coupon:'',
                        discount: item.product.discount || 0,
                        //index:'',
                        item_brand: ((_a = item.product.attributes) === null || _a === void 0 ? void 0 : _a.length) ? item.product.attributes[0].name : '',
                        item_category: item.product.category,
                        // item_category2: product.category,
                        // item_category3: product.category,
                        // item_category4: product.category,
                        // item_category5: product.category,
                        //item_list_id: '',
                        //item_list_name: '',
                        item_variant: ((_b = item.product.variants[0]) === null || _b === void 0 ? void 0 : _b.code) || '',
                        //location_id: '',
                        price: ((_c = item.product.variants[0]) === null || _c === void 0 ? void 0 : _c.saleprice) || ((_d = item.product.variants[0]) === null || _d === void 0 ? void 0 : _d.price),
                        quantity: item.quantity || 1,
                    });
                })
            };
        };
        this.toCheckoutInit = (data) => {
            var _a;
            return {
                coupon: this.toCartDiscount(data),
                currency: data.currency || "USD",
                items: data.items.map(item => {
                    var _a, _b, _c, _d;
                    return ({
                        item_id: item.product.id,
                        item_name: item.product.name,
                        //coupon:'',
                        discount: item.product.discount || 0,
                        //index:'',
                        item_brand: ((_a = item.product.attributes) === null || _a === void 0 ? void 0 : _a.length) ? item.product.attributes[0].name : '',
                        item_category: item.product.category,
                        // item_category2: product.category,
                        // item_category3: product.category,
                        // item_category4: product.category,
                        // item_category5: product.category,
                        //item_list_id: '',
                        //item_list_name: '',
                        item_variant: ((_b = item.product.variants[0]) === null || _b === void 0 ? void 0 : _b.code) || '',
                        //location_id: '',
                        price: ((_c = item.product.variants[0]) === null || _c === void 0 ? void 0 : _c.saleprice) || ((_d = item.product.variants[0]) === null || _d === void 0 ? void 0 : _d.price),
                        quantity: item.quantity || 1,
                    });
                }),
                value: ((_a = data.totals) === null || _a === void 0 ? void 0 : _a.total) || 0,
            };
        };
        this.toCartDiscount = (data) => {
            let strDiscount = '';
            strDiscount = data.cartDiscounts.map(itemDiscount => { var _a; return (_a = itemDiscount) === null || _a === void 0 ? void 0 : _a.type; }).join();
            return strDiscount == '' ? 'not-discount' : strDiscount;
        };
        this.toAddToCart = (data) => {
            var _a;
            let lastProduct = ((_a = data.items) === null || _a === void 0 ? void 0 : _a.length) && data.items[data.items.length - 1];
            return {
                currency: data.currency || "USD",
                items: [this.toItem(Object.assign({ quantity: lastProduct.quantity }, lastProduct.product))],
                value: lastProduct.total || 0,
            };
        };
        this.disable = () => this.enabled = false;
        this.toViewItem = (product) => {
            return {
                currency: product.currency,
                value: product.price,
                items: [this.toItem(product)]
            };
        };
        this.toViewItemList = (data) => {
            return {
                items: data.products.map(product => this.toItem(product)),
                item_list_name: data.item_list_name || 'Collection',
                item_list_id: data.item_list_id || 0
            };
        };
        this.toRemoveToCart = (product) => {
            var _a, _b;
            let productParam = product.product;
            return {
                currency: product.currency || "USD",
                items: [this.toItem(Object.assign({ quantity: product.quantity }, productParam))],
                value: (((_a = productParam.variants[0]) === null || _a === void 0 ? void 0 : _a.saleprice) || ((_b = productParam.variants[0]) === null || _b === void 0 ? void 0 : _b.price)) * product.quantity || 1,
            };
        };
        this.toItem = (product) => {
            var _a, _b, _c, _d;
            return ({
                item_id: product.id,
                item_name: product.name,
                //coupon:'',
                discount: product.discount || 0,
                //index:'',
                item_brand: ((_a = product.attributes) === null || _a === void 0 ? void 0 : _a.length) ? product.attributes[0].name : '',
                item_category: product.category,
                // item_category2: product.category,
                // item_category3: product.category,
                // item_category4: product.category,
                // item_category5: product.category,
                //item_list_id: '',
                //item_list_name: '',
                item_variant: ((_b = product.variants[0]) === null || _b === void 0 ? void 0 : _b.code) || '',
                //location_id: '',
                price: ((_c = product.variants[0]) === null || _c === void 0 ? void 0 : _c.saleprice) || ((_d = product.variants[0]) === null || _d === void 0 ? void 0 : _d.price),
                quantity: product.quantity || 1,
            });
        };
        this.toPaymentInfo = (data) => {
            var _a, _b, _c;
            return {
                coupon: this.toCartDiscount(data),
                currency: data.currency || "USD",
                payment_type: ((_b = (_a = data.payments[0]) === null || _a === void 0 ? void 0 : _a.method) === null || _b === void 0 ? void 0 : _b.code) || 'not-payments',
                value: ((_c = data.totals) === null || _c === void 0 ? void 0 : _c.total) || 0,
                items: data.items.map(item => {
                    var _a, _b, _c, _d;
                    return ({
                        item_id: item.product.id,
                        item_name: item.product.name,
                        //coupon:'',
                        discount: item.product.discount || 0,
                        //index:'',
                        item_brand: ((_a = item.product.attributes) === null || _a === void 0 ? void 0 : _a.length) ? item.product.attributes[0].name : '',
                        item_category: item.product.category,
                        // item_category2: product.category,
                        // item_category3: product.category,
                        // item_category4: product.category,
                        // item_category5: product.category,
                        //item_list_id: '',
                        //item_list_name: '',
                        item_variant: ((_b = item.product.variants[0]) === null || _b === void 0 ? void 0 : _b.code) || '',
                        //location_id: '',
                        price: ((_c = item.product.variants[0]) === null || _c === void 0 ? void 0 : _c.saleprice) || ((_d = item.product.variants[0]) === null || _d === void 0 ? void 0 : _d.price),
                        quantity: item.quantity || 1,
                    });
                }),
            };
        };
        this.toShippingInfo = (data) => {
            var _a, _b, _c;
            return {
                coupon: this.toCartDiscount(data),
                currency: data.currency || "USD",
                shipping_tier: ((_b = (_a = data.shipments[0]) === null || _a === void 0 ? void 0 : _a.method) === null || _b === void 0 ? void 0 : _b.code) || 'not-shipping',
                value: ((_c = data.totals) === null || _c === void 0 ? void 0 : _c.total) || 0,
                items: data.items.map(item => {
                    var _a, _b, _c, _d;
                    return ({
                        item_id: item.product.id,
                        item_name: item.product.name,
                        //coupon:'',
                        discount: item.product.discount || 0,
                        //index:'',
                        item_brand: ((_a = item.product.attributes) === null || _a === void 0 ? void 0 : _a.length) ? item.product.attributes[0].name : '',
                        item_category: item.product.category,
                        // item_category2: product.category,
                        // item_category3: product.category,
                        // item_category4: product.category,
                        // item_category5: product.category,
                        //item_list_id: '',
                        //item_list_name: '',
                        item_variant: ((_b = item.product.variants[0]) === null || _b === void 0 ? void 0 : _b.code) || '',
                        //location_id: '',
                        price: ((_c = item.product.variants[0]) === null || _c === void 0 ? void 0 : _c.saleprice) || ((_d = item.product.variants[0]) === null || _d === void 0 ? void 0 : _d.price),
                        quantity: item.quantity || 1,
                    });
                }),
            };
        };
        this.toSignUp = (data) => {
            return Object.assign({}, data);
        };
        this.toSelectPromotion = (data) => {
            console.log(data);
            return {
                promotion_id: data.id || '',
                promotion_name: data.code || data.name,
                promotion_title: data.subtitle,
                location_id: data.priority || 0
            };
        };
        this.toSelectItem = (data) => {
            console.log(data);
            return {
                items: this.toItem(data)
            };
        };
    }
    getDataLayer() {
        const window = this.browserGlobals.windowRef();
        window.dataLayer = window.dataLayer || [];
        return window.dataLayer;
    }
    pushOnDataLayer(obj) {
        const dataLayer = this.getDataLayer();
        dataLayer.push(obj);
    }
    addGtmToDom() {
        return new Promise((resolve, reject) => {
            if (this.isLoaded) {
                return resolve(this.isLoaded);
            }
            const doc = this.browserGlobals.documentRef();
            this.pushOnDataLayer({ 'gtm.start': new Date().getTime(), event: 'gtm.js' });
            const gtmScript = doc.createElement('script');
            gtmScript.id = 'GTMscript';
            gtmScript.async = true;
            gtmScript.src = this.applyGtmQueryParams(this.config.gtm_resource_path ? this.config.gtm_resource_path : 'https://www.googletagmanager.com/gtm.js');
            gtmScript.addEventListener('load', () => {
                return resolve(this.isLoaded = true);
            });
            gtmScript.addEventListener('error', () => {
                return reject(false);
            });
            doc.head.insertBefore(gtmScript, doc.head.firstChild);
        });
    }
    pushTag(item) {
        return new Promise((resolve, reject) => {
            if (!this.isLoaded) {
                this.addGtmToDom().then(() => {
                    this.pushOnDataLayer(item);
                    return resolve();
                }).catch(() => reject());
            }
            else {
                this.pushOnDataLayer(item);
                return resolve();
            }
        });
    }
    applyGtmQueryParams(url) {
        if (url.indexOf('?') === -1) {
            url += '?';
        }
        return (url + Object.keys(this.config).filter((k) => this.config[k]).map((k) => `${k}=${this.config[k]}`).join('&'));
    }
};
GTMService.ctorParameters = () => [
    { type: Router }
];
GTMService.ɵprov = ɵɵdefineInjectable({ factory: function GTMService_Factory() { return new GTMService(ɵɵinject(Router)); }, token: GTMService, providedIn: "root" });
GTMService = __decorate$d([
    Injectable({ providedIn: 'root' })
], GTMService);

var __decorate$e = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __param$4 = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
let MetricoolPixelService = class MetricoolPixelService {
    constructor(rendererFactory, document) {
        this.rendererFactory = rendererFactory;
        this.document = document;
        this.isLoaded = false;
        this.initialize = (pixel_hash) => {
            let new_analityc_script = this.renderer.createElement('script');
            new_analityc_script.type = 'text/javascript';
            new_analityc_script.text = `
        function loadScript(a) {
            var b = document.getElementsByTagName("head")[0], c = document.createElement("script");
            c.type = "text/javascript",
                c.src = "https://tracker.metricool.com/resources/be.js",
                c.onreadystatechange = a,
                c.onload = a, b.appendChild(c)
        } loadScript(function () {
            beTracker.t({ hash: "${pixel_hash}" })
        });
        `;
            this.renderer.appendChild(this.document.body, new_analityc_script);
        };
        this.renderer = this.rendererFactory.createRenderer(null, null);
    }
};
MetricoolPixelService.ctorParameters = () => [
    { type: RendererFactory2 },
    { type: undefined, decorators: [{ type: Inject, args: [DOCUMENT,] }] }
];
MetricoolPixelService.ɵprov = ɵɵdefineInjectable({ factory: function MetricoolPixelService_Factory() { return new MetricoolPixelService(ɵɵinject(RendererFactory2), ɵɵinject(DOCUMENT)); }, token: MetricoolPixelService, providedIn: "root" });
MetricoolPixelService = __decorate$e([
    Injectable({ providedIn: 'root' }),
    __param$4(1, Inject(DOCUMENT))
], MetricoolPixelService);

var __decorate$f = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let AnalyticsService = class AnalyticsService {
    constructor(facebookAnalitycs, googleAnalytics, gtmAnalytics, metricoolAnalytics, dopplerAnalytics) {
        this.facebookAnalitycs = facebookAnalitycs;
        this.googleAnalytics = googleAnalytics;
        this.gtmAnalytics = gtmAnalytics;
        this.metricoolAnalytics = metricoolAnalytics;
        this.dopplerAnalytics = dopplerAnalytics;
        this.services = [];
        this.initializeFacebook = (value) => {
            this.facebookAnalitycs.initialize(value);
        };
        this.initializeGoogle = (value) => {
            this.googleAnalytics.initialize(value);
        };
        this.initializeGTM = (value) => {
            this.gtmAnalytics.initialize({ id: value });
        };
        this.initializeMetricool = (value) => {
            this.metricoolAnalytics.initialize(value);
        };
        this.initializeDoppler = (value) => {
            this.dopplerAnalytics.initialize(value);
        };
        this.callEvent = (event_name, data = {}) => {
            this.services.forEach(service => {
                service.callEvent(event_name, data);
            });
        };
        this.services.push(this.facebookAnalitycs);
        this.services.push(this.googleAnalytics);
        this.services.push(this.gtmAnalytics);
    }
};
AnalyticsService.ctorParameters = () => [
    { type: FacebookPixelService },
    { type: GoogleAnalyticsService },
    { type: GTMService },
    { type: MetricoolPixelService },
    { type: DopplerService }
];
AnalyticsService = __decorate$f([
    Injectable()
], AnalyticsService);

var __decorate$g = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let ErrorHandlerService = class ErrorHandlerService {
    constructor(cartService, toastrService, injector, consts) {
        this.cartService = cartService;
        this.toastrService = toastrService;
        this.injector = injector;
        this.consts = consts;
        this.errorSubject = new BehaviorSubject(null);
        this.error$ = this.errorSubject.asObservable();
        this.outOfStock = (error) => {
            this.cartService.updateItemsOnError(error.content, error.code);
            this.otherErrors(error);
        };
        this.channeAccessPermissionDenied = (error) => {
            this.injector.get(AuthService).logout();
            this.otherErrors(error);
        };
        this.otherErrors = (error) => {
            error && error.message && this.errorSubject.next(error);
            this.toastrService.show(error.message, '', { closeButton: true, timeOut: 6000 });
            this.clearError();
        };
        this.clearError = () => {
            setTimeout(() => {
                this.errorSubject.next(null);
            }, 3000);
        };
        this.handlerErrorResponse = (error) => {
            switch (error.code) {
                case 'out_of_stock':
                    this.outOfStock(error);
                    break;
                case 'items_with_product_or_product_variant_not_enabled':
                    this.outOfStock(error);
                    break;
                case 'channel_access_permission_denied':
                    this.channeAccessPermissionDenied(error);
                    break;
                case 'user_disabled':
                    this.otherErrors(error);
                    break;
                default:
                    this.otherErrors(error);
                    break;
            }
        };
    }
};
ErrorHandlerService.ctorParameters = () => [
    { type: CartService },
    { type: ToastrService },
    { type: Injector },
    { type: Constants }
];
ErrorHandlerService.ɵprov = ɵɵdefineInjectable({ factory: function ErrorHandlerService_Factory() { return new ErrorHandlerService(ɵɵinject(CartService), ɵɵinject(ToastrService), ɵɵinject(INJECTOR), ɵɵinject(Constants)); }, token: ErrorHandlerService, providedIn: "root" });
ErrorHandlerService = __decorate$g([
    Injectable({ providedIn: 'root' })
], ErrorHandlerService);

var __decorate$h = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let ToastService = class ToastService {
    constructor(translation, toastrService) {
        this.translation = translation;
        this.toastrService = toastrService;
        /**
         * @description Cambia el tiempo que se muestra el mensaje.
         * @param time
         */
        this.setTimeMessage = (time) => {
            this.configToast = {
                timeOut: time
            };
        };
        this.show = (message, interpolateParams = {}, title = '', configToastr = this.configToast) => {
            this.translation.get(message, interpolateParams).pipe(take(1)).subscribe(res => this.toastrService.show((res ? res : message), title, configToastr));
        };
        this.configToast = {};
    }
};
ToastService.ctorParameters = () => [
    { type: TranslateService },
    { type: ToastrService }
];
ToastService = __decorate$h([
    Injectable()
], ToastService);

var __decorate$i = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __awaiter$1 = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
let CheckoutService = class CheckoutService {
    constructor(connection, cartService, consts, toastrService, orderUtils, analyticsService, authService, router, errorHandler) {
        this.connection = connection;
        this.cartService = cartService;
        this.consts = consts;
        this.toastrService = toastrService;
        this.orderUtils = orderUtils;
        this.analyticsService = analyticsService;
        this.authService = authService;
        this.router = router;
        this.errorHandler = errorHandler;
        this.baseApi = () => 'shop-api/' + this.consts.getChannel() + '/checkout/' + this.cartService.getCartToken();
        this.getPaymentMethodsApi = () => this.baseApi() + '/payment';
        this.putAddressApi = () => this.baseApi() + '/address';
        this.putPaymentApi = (method) => this.baseApi() + '/payment/' + method;
        this.completeApi = () => this.baseApi() + '/complete';
        this.persistShipmentApi = () => '';
        this.getPreferenceApi = () => 'shop-api/' + this.consts.getChannel() + '/mercado-pago/' + this.cartService.getCartToken() + '/preference';
        this.getHasPurchaseConditions = () => 'shop-api/' + this.consts.getChannel() + '/carts/' + this.cartService.getCartToken() + '/has_purchase_conditions';
        this.canCheckoutSubject = new ReplaySubject();
        this.onReadySubject = new BehaviorSubject(false);
        this.stateSubject = new BehaviorSubject(null);
        this.loadingSubject = new BehaviorSubject(false);
        this.orderSubject = new BehaviorSubject(null);
        this.asociatedDataSubject = new BehaviorSubject(null);
        this.checkout_data = {};
        this.order$ = this.orderSubject.asObservable();
        this.state$ = this.stateSubject.asObservable();
        this.loading$ = this.loadingSubject.asObservable();
        this.canCheckout$ = this.canCheckoutSubject.asObservable();
        this.asociatedData$ = this.asociatedDataSubject.asObservable();
        this.onReady$ = this.onReadySubject.asObservable();
        this.updateOrder = (order) => order && this.orderSubject.next(order);
        this.getStepData = (step_name) => {
            let step_result = this.stateSubject.getValue().find(step => step.name == step_name);
            return (step_result && step_result.data);
        };
        this.setSteps = (steps, autohandle = true) => {
            let final_steps = [];
            steps.forEach((step, i) => final_steps.push(new Step(step.name, step.priority || (i + 1))));
            this.stateSubject.next(final_steps);
            this.connection.getErrorNotHandler(this.getHasPurchaseConditions()).toPromise().then(res => {
                var _a, _b;
                this.analyticsService.callEvent('checkout_init', Object.assign(Object.assign({}, this.cartLocal), { currency: (_a = this.cartLocal) === null || _a === void 0 ? void 0 : _a.currency, value: (_b = this.cartLocal) === null || _b === void 0 ? void 0 : _b.total }));
            });
        };
        this.setStepReady = (step_number, data, order, automatic) => __awaiter$1(this, void 0, void 0, function* () {
            yield this.restartAllStepsFrom(step_number);
            setTimeout(() => {
                let steps = this.stateSubject.getValue();
                steps.find(step => step.priority == step_number).ready(data);
                this.stateSubject.next(steps);
                if (order) {
                    this.orderSubject.next(order);
                    this.total = order.totals.total;
                }
                if (this.isCheckoutReady()) {
                    if (steps[steps.length - 1].name == 'shipment') {
                    }
                    else {
                        setTimeout(() => {
                            this.onReadySubject.next(true);
                        }, 500);
                    }
                }
            }, 150);
            return true;
        });
        this.setStepDoing = (step_number) => __awaiter$1(this, void 0, void 0, function* () {
            let steps = this.stateSubject.getValue();
            steps = yield this.restartAllStepsFrom(step_number, false, false);
            steps.find(step => step.priority == step_number).doing();
            this.stateSubject.next(steps);
            return true;
        });
        this.restartAllStepsFrom = (step_number, included = true, update = true) => {
            let steps = this.stateSubject.getValue();
            steps = steps.map((step) => {
                included
                    ? (step.priority >= step_number) && step.restart()
                    : (step.priority > step_number) && step.restart();
                return step;
            });
            update && this.stateSubject.next(steps);
            return steps;
        };
        this.isCheckoutReady = () => {
            let steps = this.stateSubject.value;
            const step_missing = steps.find(step => step.isPending());
            return !step_missing;
        };
        this.isStepReady = (step_name) => {
            return this.stateSubject.getValue().find(step => step.name == step_name).isReady();
        };
        this.setOrder = (order) => { this.order = order, this.orderSubject.next(order); };
        this.getOrder = () => this.order || this.orderSubject.value;
        this.completeOrder = () => this.connection.put(this.completeApi(), { email: this.checkout_data.email, notes: this.checkout_data.notes || '' }).toPromise();
        this.complete = () => __awaiter$1(this, void 0, void 0, function* () {
            this.loadingSubject.next(true);
            let result = yield this.completeOrder();
            if (result && result.error) {
                this.cartService.changeHaveToUpdate(false);
                this.loadingSubject.next(false);
                return ({ ok: false, require_login: true, message: 'not-completed' });
            }
            this.setOrder(result);
            this.analyticsService.callEvent('purchase', Object.assign(Object.assign({}, result), { currency: result.currency, value: result.total }));
            this.cartService.clearAndResetCart();
            this.canCheckoutSubject.next(false);
            this.onReadySubject.next(false);
            this.loadingSubject.next(false);
            return ({ ok: true, require_login: false, message: '' });
        });
        this.updateAsociatedData = (cart) => {
            var _a, _b, _c;
            let result = this.orderUtils.getPromotions(cart);
            if (((_a = this.authService.getUserProfileAsUser()) === null || _a === void 0 ? void 0 : _a.isWholesaler()) && cart.totals.taxes != 0) {
                let total = Object.assign({}, result[result.length - 1]);
                result[result.length - 1] = {
                    type: 'taxes',
                    name: 'taxes',
                    amount: cart.totals.taxes
                };
                result.push(total);
            }
            let shipment = (_b = result) === null || _b === void 0 ? void 0 : _b.find(promotion => promotion.type == "shipment");
            if (!shipment && cart.totals.shipping != 0) {
                if (((_c = result) === null || _c === void 0 ? void 0 : _c.length) && !result.find(item => item.type === "shipment")) {
                    let total = Object.assign({}, result[result.length - 1]);
                    result[result.length - 1] = {
                        type: 'shipment',
                        name: 'shipment',
                        amount: cart.totals.shipping
                    };
                    result.push(total);
                }
            }
            this.asociatedDataSubject.next(result);
        };
        this.restartCheckout = () => { };
        combineLatest([this.cartService.cartItems, this.cartService.loading]).subscribe(([items, loading]) => {
            if (!loading && items.length > 0) {
                this.canCheckoutSubject.next(true);
                this.cartService.getTotalAmount().subscribe(res => {
                    this.total = res;
                });
            }
        });
        this.cartService.cart.subscribe(cart => cart && (this.cartLocal = cart) && this.updateAsociatedData(cart));
        this.order$.subscribe(order => order && this.updateAsociatedData(order));
        this.authService.getUserProfile().subscribe(user => this.user = user);
        this.errorHandler.error$.pipe(filter(res => res != null)).subscribe(res => {
            if (res.code == 'out_of_stock' || res.code == 'items_with_product_or_product_variant_not_enabled') {
                this.toastrService.show('redirect-cart');
                setTimeout(() => {
                    this.router.navigateByUrl('/cart');
                }, 3000);
            }
        });
    }
    ngOnInit() {
    }
};
CheckoutService.ctorParameters = () => [
    { type: ConnectionService },
    { type: CartService },
    { type: Constants },
    { type: ToastService },
    { type: OrderUtilityService },
    { type: AnalyticsService },
    { type: AuthService },
    { type: Router },
    { type: ErrorHandlerService }
];
CheckoutService.ɵprov = ɵɵdefineInjectable({ factory: function CheckoutService_Factory() { return new CheckoutService(ɵɵinject(ConnectionService), ɵɵinject(CartService), ɵɵinject(Constants), ɵɵinject(ToastService), ɵɵinject(OrderUtilityService), ɵɵinject(AnalyticsService), ɵɵinject(AuthService), ɵɵinject(Router), ɵɵinject(ErrorHandlerService)); }, token: CheckoutService, providedIn: "root" });
CheckoutService = __decorate$i([
    Injectable({
        providedIn: 'root'
    })
], CheckoutService);

var __awaiter$2 = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
class StepService {
    constructor(checkout) {
        this.checkout = checkout;
        /** Persistir el id del paso para luego indicarle al CheckoutService quien le habla */
        this.initialize = (step_id) => {
            this.step_id = step_id;
        };
        /** Reinicia información en CheckoutService del paso */
        this.restartStep = () => this.checkout.setStepDoing(this.step_id);
        /**
         * Obtener información obtenida en el paso de datos asociados al usuario y a la facturación
         */
        this.getUserData = () => this.checkout.getStepData('address');
        /**
         * Obtener información obtenida en el paso de envío
         */
        this.getShipmentData = () => this.checkout.getStepData('shipment');
        /**
         * Obtener información obtenida en el paso de pago
         */
        this.getPaymentData = () => this.checkout.getStepData('payment');
        /**
         *
         * @param step_data Información obtenida en el paso
         * @param order Información de la orden que devolvió el backend al terminar el paso
         */
        this.setStepReady = (step_data, order) => __awaiter$2(this, void 0, void 0, function* () { return (yield this.restartStep()) && this.checkout.setStepReady(this.step_id, step_data, order); });
    }
}

var __decorate$j = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __awaiter$3 = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
let AddressingService = class AddressingService extends StepService {
    constructor(connection, consts, cartService, checkoutService, analyticsService) {
        super(checkoutService);
        this.connection = connection;
        this.consts = consts;
        this.cartService = cartService;
        this.checkoutService = checkoutService;
        this.analyticsService = analyticsService;
        this.baseApi = () => 'shop-api/' + this.consts.getChannel() + '/' + 'checkout/' + this.cartService.getCartToken();
        this.countriesApi = () => 'shop-api/' + this.consts.getChannel() + '/countries';
        this.zonesApi = () => 'shop-api/' + this.consts.getChannel() + '/zones';
        this.provincesApi = () => 'shop-api/' + this.consts.getChannel() + '/provinces';
        this.putAddressApi = () => this.baseApi() + '/address';
        this.addressBookApi = () => 'shop-api/' + this.consts.getChannel() + '/address-book';
        this.headquarterApi = () => 'shop-api/' + this.consts.getChannel() + '/checkout/' + this.cartService.getCartToken() + '/headquarter';
        this.typeForms = 'ARG';
        this.modeSelectAddress = 'LOAD_ADDRESS_AND_SELECTION';
        this.countriesList = [];
        this.documentTypes = [];
        this.provinceList = [];
        this.getAddressingData = () => __awaiter$3(this, void 0, void 0, function* () { return this.connection.get(this.countriesApi()).pipe(map(res => { var _a, _b; return (_b = (_a = res) === null || _a === void 0 ? void 0 : _a._embedded) === null || _b === void 0 ? void 0 : _b.items; })).toPromise(); });
        this.getAddressBook = () => __awaiter$3(this, void 0, void 0, function* () { return this.connection.get(this.addressBookApi()).pipe(map(res => { var _a; return ((_a = res) === null || _a === void 0 ? void 0 : _a.length) && res.map(addres => { return addres && Object.assign(Object.assign({}, addres), { selected: addres.default }); }) || null; })).toPromise(); });
        this.setHeadquarter = (sede) => {
            return this.connection.put(this.headquarterApi(), sede.selected)
                .pipe(map(order => {
                if (order && order.error) {
                    this.cartService.changeHaveToUpdate(false);
                    return false;
                }
                this.setStepReady(sede, order);
                this.analyticsService.callEvent('payment_info', order);
                return order;
            })).toPromise().then(res => res, err => {
                return new Promise((resolve, reject) => reject(new Error(err.error)));
            }).catch(err => console.error(err));
        };
        this.setAddress = (user_data) => {
            user_data.locale = this.consts.getLocale();
            return this.connection.put(this.putAddressApi(), user_data).pipe(map(order => {
                if (order && order.error) {
                    this.cartService.changeHaveToUpdate(false);
                    return false;
                }
                this.setStepReady(user_data, order);
                this.analyticsService.callEvent('payment_info', order);
                return order;
            })).toPromise().then(res => res, err => {
                return new Promise((resolve, reject) => reject(new Error(err.error)));
            }).catch(err => console.error(err));
        };
        this.putAddressAndHandle = (user_data, next, onError) => {
            user_data.locale = this.consts.getLocale();
            let data = { shippingAddress: Object.assign({}, user_data.data) };
            this.connection.put(this.putAddressApi(), data).toPromise().then(res => {
                this.setStepReady(user_data, res);
                this.analyticsService.callEvent('payment_info', res);
                next && next();
            }, err => onError && onError(err));
        };
        this.getTypeForm = () => {
            let formsTypeCofig = [
                {
                    code: 'EUR',
                    configForm: {
                        formAddres: {
                            firstName: ['', [Validators.required]],
                            lastName: ['', [Validators.required]],
                            phoneNumber: ['', [Validators.required, Validators.pattern('[0-9]+')]],
                            email: ['', [Validators.required, Validators.email]],
                            documentType: ['', []],
                            documentNumber: ['', []],
                            street: ['', [Validators.required, Validators.maxLength(50)]],
                            countryCode: [null, [Validators.required]],
                            city: ['', Validators.required],
                            provinceCode: [null, [Validators.required]],
                            postcode: ['', Validators.required],
                            terms: [null, Validators.required],
                            notes: ['']
                        },
                        formBilling: {
                            firstName: ['', [Validators.required]],
                            lastName: ['', [Validators.required]],
                            phoneNumber: ['', [Validators.required, Validators.pattern('[0-9]+')]],
                            email: ['', [Validators.required, Validators.email]],
                            documentType: ['', []],
                            documentNumber: ['', []],
                            street: ['', [Validators.required, Validators.maxLength(50)]],
                            countryCode: [null, [Validators.required]],
                            city: ['', Validators.required],
                            provinceCode: [null, [Validators.required]],
                            postcode: ['', Validators.required],
                            notes: ['']
                        }
                    },
                    viewForms: {
                        firstName: { enabled: true, required: true, values: [] },
                        lastName: { enabled: true, required: true, values: [] },
                        phoneNumber: { enabled: true, required: true, values: [] },
                        email: { enabled: true, required: true, values: [] },
                        documentType: { enabled: true, required: false, values: this.documentTypes },
                        documentNumber: { enabled: true, required: false, values: [] },
                        street: { enabled: true, required: true, values: [] },
                        countryCode: { enabled: true, required: true, values: [] },
                        city: { enabled: true, required: true, values: [] },
                        provinceCode: { enabled: true, required: true, values: [] },
                        postcode: { enabled: true, required: true, values: [] },
                        terms: { enabled: true, required: true, values: [] },
                        notes: { enabled: true, required: false, values: [] }
                    }
                },
                {
                    code: 'ARG',
                    configForm: {
                        formAddres: {
                            firstName: ['', [Validators.required]],
                            lastName: ['', [Validators.required]],
                            phoneNumber: ['', [Validators.required, Validators.pattern('[0-9]+')]],
                            email: ['', [Validators.required, Validators.email]],
                            documentType: ['', [Validators.required]],
                            documentNumber: ['', [Validators.required]],
                            street: ['', [Validators.required, Validators.maxLength(50)]],
                            countryCode: [null, [Validators.required]],
                            city: ['', Validators.required],
                            provinceCode: [null, [Validators.required]],
                            postcode: ['', Validators.required],
                            notes: ['']
                        },
                        formBilling: {
                            firstName: ['', [Validators.required]],
                            lastName: ['', [Validators.required]],
                            phoneNumber: ['', [Validators.required, Validators.pattern('[0-9]+')]],
                            email: ['', [Validators.required, Validators.email]],
                            documentType: ['', [Validators.required]],
                            documentNumber: ['', [Validators.required]],
                            street: ['', [Validators.required, Validators.maxLength(50)]],
                            countryCode: [null, [Validators.required]],
                            city: ['', Validators.required],
                            provinceCode: [null, [Validators.required]],
                            postcode: ['', Validators.required],
                            notes: ['']
                        }
                    },
                    viewForms: {
                        firstName: { enabled: true, required: true, values: [] },
                        lastName: { enabled: true, required: true, values: [] },
                        phoneNumber: { enabled: true, required: true, values: [] },
                        email: { enabled: true, required: true, values: [] },
                        documentType: { enabled: true, required: true, values: this.documentTypes },
                        documentNumber: { enabled: true, required: true, values: [] },
                        street: { enabled: true, required: true, values: [] },
                        countryCode: { enabled: true, required: true, values: [] },
                        city: { enabled: true, required: true, values: [] },
                        provinceCode: { enabled: true, required: true, values: [] },
                        postcode: { enabled: true, required: true, values: [] },
                        terms: { enabled: false, required: false, values: [] },
                        notes: { enabled: true, required: false, values: [] }
                    }
                }
            ];
            return formsTypeCofig.find(ct => ct.code == this.typeForms);
        };
        this.setTypeSelectAddress = (type) => {
            this.modeSelectAddress = type && type || 'LOAD_ADDRESS_AND_SELECTION';
        };
        this.setTypeForms = (type) => {
            this.typeForms = type && type || 'ARG';
        };
        this.getAddressingData().then(res => {
            var _a, _b;
            if (res) {
                this.documentTypes = ((_a = (res.find(paises => this.consts.getLocale().toLocaleLowerCase().includes(paises.code.toLocaleLowerCase())))) === null || _a === void 0 ? void 0 : _a.documentTypes) || [];
                this.provinceList = ((_b = (res.find(paises => this.consts.getLocale().toLocaleLowerCase().includes(paises.code.toLocaleLowerCase())))) === null || _b === void 0 ? void 0 : _b.provinces) || [];
                this.countriesList = res;
            }
        });
    }
    ngOnInit() {
    }
};
AddressingService.ctorParameters = () => [
    { type: ConnectionService },
    { type: Constants },
    { type: CartService },
    { type: CheckoutService },
    { type: AnalyticsService }
];
AddressingService.ɵprov = ɵɵdefineInjectable({ factory: function AddressingService_Factory() { return new AddressingService(ɵɵinject(ConnectionService), ɵɵinject(Constants), ɵɵinject(CartService), ɵɵinject(CheckoutService), ɵɵinject(AnalyticsService)); }, token: AddressingService, providedIn: "root" });
AddressingService = __decorate$j([
    Injectable({
        providedIn: 'root'
    })
], AddressingService);

var __decorate$k = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __param$5 = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
let ChannelConfigService = class ChannelConfigService {
    constructor(consts, env, connection, injector) {
        this.consts = consts;
        this.env = env;
        this.connection = connection;
        this.injector = injector;
        this.channelConfigApi = () => 'shop-api/' + this.consts.getChannel() + '/channel';
        this.localesApi = () => 'shop-api/' + this.consts.getChannel() + '/locales';
        this.channelsApi = () => 'shop-api/channels';
        this.channelConfigSubject = new ReplaySubject();
        this.channelConfig$ = this.channelConfigSubject.asObservable();
        this.channelsSubject = new BehaviorSubject([]);
        this.channels = this.channelsSubject.asObservable();
        this.localesSubject = new BehaviorSubject([]);
        this.locales = this.localesSubject.asObservable();
        this.getChannelConfig = () => {
            this.connection.get(this.channelConfigApi()).toPromise().then(res => { this.channelConfigSubject.next(res), res && this.setChannelInfo(res); }, err => this.channelConfigSubject.next({})).catch(err => this.channelConfigSubject.next(null));
        };
        this.getChannels = () => {
            this.connection.get(this.channelsApi()).toPromise()
                .then(res => this.channelsSubject.next(res))
                .catch(err => this.channelsSubject.next([]));
        };
        this.getActiveChannel = () => {
            return this.channel;
        };
        this.getLocales = () => {
            this.connection.get(this.localesApi()).toPromise()
                .then(res => this.localesSubject.next(res.items))
                .catch(err => this.localesSubject.next([]));
        };
        this.changeChannel = channelObj => {
            this.consts.modifyChannelConfig({
                channel: channelObj.code,
                currency: channelObj.baseCurrency,
                locale: channelObj.locales.code
            });
            this.injector.get(AddressingService).setTypeSelectAddress(channelObj.headquarterSelectionOnly || 'LOAD_ADDRESS_AND_SELECTION');
        };
        this.setChannelInfo = channelObj => {
            this.consts.setChannel(channelObj.code);
            this.consts.setCurrency(channelObj.baseCurrency);
            this.channel = channelObj;
            this.injector.get(AddressingService).setTypeSelectAddress(channelObj.headquarterSelectionOnly || 'LOAD_ADDRESS_AND_SELECTION');
        };
        /**
         * @description cambian de canal segun el hostname que recibe por parametro.
         * @warning  esta funcion es util para el caso en que se necesite manejar url distintas,
         * cada una con su configuración de canal, pero utilizando el mismo frontend.
         * En cualquier otro caso, utilizar las demas herramientas.
         * @param {string} hostname hostname del canal que se requiere utilizar.
         */
        this.changeChannelByHostname = (hostname) => {
            //console.log(this.channelsSubject.getValue())
            this.connection.get(this.channelsApi()).toPromise().then(res => {
                let channel = res.filter(elem => elem.hostname == hostname);
                if (channel) {
                    if (channel[0].code != this.consts.getChannel()) {
                        console.log(channel[0]);
                        this.changeChannel(channel[0]);
                        window.location.href = window.location.href;
                    }
                }
                else {
                    console.log("El hostname no coincide con ninguno que venga en los canales");
                }
            });
            //return channel
        };
        this.getChannelConfig();
        this.getChannels();
        this.getLocales();
    }
};
ChannelConfigService.ctorParameters = () => [
    { type: Constants },
    { type: undefined, decorators: [{ type: Inject, args: ['env',] }] },
    { type: ConnectionService },
    { type: Injector }
];
ChannelConfigService.ɵprov = ɵɵdefineInjectable({ factory: function ChannelConfigService_Factory() { return new ChannelConfigService(ɵɵinject(Constants), ɵɵinject("env"), ɵɵinject(ConnectionService), ɵɵinject(INJECTOR)); }, token: ChannelConfigService, providedIn: "root" });
ChannelConfigService = __decorate$k([
    Injectable({
        providedIn: 'root'
    }),
    __param$5(1, Inject('env'))
], ChannelConfigService);

var __decorate$l = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __awaiter$4 = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
let AuthService = class AuthService {
    constructor(connection, toastrService, constants, injector) {
        this.connection = connection;
        this.toastrService = toastrService;
        this.constants = constants;
        this.injector = injector;
        this.JWT_TOKEN = 'JWT_TOKEN';
        this.REFRESH_TOKEN = 'REFRESH_TOKEN';
        this.EXPIRATES_IN = 'EXPIRATES_IN';
        this.USER = 'USER';
        this.MAIL = 'mail';
        this.LOCALE = 'LOCALE';
        this.CHANNEL = 'CHANNEL';
        this.CUSTOMER = 'CUSTOMER';
        this.CHANNELSELLER = 'CHANNELSELLER';
        /* activeChannelSwitch? */
        this.activeChannelChange = false;
        this.loggedInSubject = new BehaviorSubject(false);
        this.loggingInSubject = new BehaviorSubject(false);
        this.userInSubject = new BehaviorSubject(null);
        this.channelsUserSubject = new BehaviorSubject([]);
        /* private customerSubject = new BehaviorSubject<any>(null) */
        this.user = null;
        // APIS
        this.tokenApi = () => 'shop-api/login_check';
        this.registerApi = () => 'shop-api/' + this.constants.getChannel() + '/register';
        this.registerWholesalerApi = () => 'shop-api/' + this.constants.getChannel() + '/register-wholesaler';
        this.confirmAccountApi = (token) => 'shop-api/' + this.constants.getChannel() + '/verify-account?token=' + token;
        this.resetPasswordApi = (token) => 'shop-api/' + this.constants.getChannel() + '/password-reset/' + token;
        this.recoverPasswordApi = () => 'shop-api/' + this.constants.getChannel() + '/request-password-reset';
        this.countriesApi = () => 'shop-api/' + this.constants.getChannel() + '/countries';
        // Atributos utiles
        this.waiting = false;
        this.loggedIn = this.loggedInSubject.asObservable();
        this.loggingIn = this.loggingInSubject.asObservable();
        this.userAuth = this.userInSubject.asObservable();
        this.channelsUser = this.channelsUserSubject.asObservable();
        /* private customer = this.channelsUserSubject.asObservable() */
        this.customer = null;
        this.channel = null;
        this.channels = [];
        this.homeResolver = null;
        this.channelAccessPermission = (res) => {
            var _a, _b, _c;
            this.channelsUserSubject.next([]);
            /* Please remove this ASAP - Needs *channels* array in user object ALWAYS */
            /* if (UserRoleType.SELLER == res.type as UserRoleType) return true */
            /* No authorized channels */
            if (((_a = res.channels) === null || _a === void 0 ? void 0 : _a.length) == 0) {
                return false;
            }
            /* Some authorized channel(s) including current channel */
            if (res.channels.find(userchannel => userchannel.code === this.channel.code)) {
                /* Multiple authorized channels including current channel */
                if (((_b = res.channels) === null || _b === void 0 ? void 0 : _b.length) > 1 && this.activeChannelChange)
                    this.channelsUserSubject.next(res.channels);
                return true;
            }
            /* One authorized channel not including current channel */
            if (((_c = res.channels) === null || _c === void 0 ? void 0 : _c.length) == 1 && this.activeChannelChange) {
                delete res.password;
                this.channelAccess(res.channels[0], res);
                return true;
            }
            /* Multiple authorized channels not including current channel */
            if (this.activeChannelChange) {
                this.channelsUserSubject.next(res.channels);
                return true;
            }
            return false;
        };
        this.channelAccess = (channel, user = null) => {
            if (window.location.hostname != channel.hostname) {
                let encoded = btoa(JSON.stringify(user != null ? user : this.user));
                window.location.replace(`${window.location.protocol}//${channel.hostname}/auth/redirect/${encoded}`);
            }
            else {
                this.constants.modifyChannelConfig(channel);
                window.location.reload();
            }
        };
        /**
         * @desc Devuelve una promesa
         * @param user Objeto que contiene username y password
         */
        this.doLogin = (user) => {
            this.loggingInSubject.next(true);
            user = Object.assign(Object.assign({}, user), this.constants.loginExtraData());
            return this.connection.post(this.tokenApi(), user).pipe(map(res => this.doLoginUser(res)), mapTo('ok'), catchError(err => {
                this.loggingInSubject.next(false);
                return of(err.toString());
            })).toPromise();
        };
        this.signUp = (data) => this.connection.post(this.registerApi(), data);
        this.confirmAccount = (token) => this.connection.get(this.confirmAccountApi(token));
        this.passwordReset = (new_password, token) => {
            const data = { password: { first: new_password, second: new_password } };
            return this.connection.put(this.resetPasswordApi(token), data);
        };
        this.recoverPassword = (email) => this.connection.put(this.recoverPasswordApi(), { email });
        this.isTokenExpired = () => {
            const fecha_expiracion = this.getExpiratesAt();
            const result = moment() >= moment(fecha_expiracion);
            return result;
        };
        this.getExpiratesAt = () => localStorage.getItem(this.EXPIRATES_IN);
        this.hasToRefresh = () => this.getRefreshToken();
        this.signUpWholesaler = (data) => this.connection.post(this.registerWholesalerApi(), data);
        this.getCountriesData = () => __awaiter$4(this, void 0, void 0, function* () { return this.connection.get(this.countriesApi()).pipe(map(res => res._embedded.items)).toPromise(); });
        this.setActiveChannelChange = (activelyChangeChannelsOnLogin) => this.activeChannelChange = activelyChangeChannelsOnLogin;
        this.isAllowedRole = (allowedRoles, role) => {
            return allowedRoles.length
                ? allowedRoles.includes(role)
                : true;
        };
        /* Please remove this ASAP - Needs *channels* array in user object ALWAYS */
        this.forceChannelsForSeller = tokens => {
            var _a;
            if ("seller" /* SELLER */ == tokens.type)
                ((_a = this.channels) === null || _a === void 0 ? void 0 : _a.length) ? this.user.setChannels(...this.channels)
                    : this.user.setChannels(this.channel);
        };
        /**
         * @description Cambia de canal
         * @param channelConfig debe ser un objeto que contenga al menos las keys channel y locale.
         */
        this.changeChannel = (channelConfig) => {
            this.constants.modifyChannelConfig({
                channel: channelConfig.channel,
                locale: channelConfig.locale
            });
        };
        /**
         * @description Carga el cliente con el que se realizaran pedidos. Si recibe el valor null
         * se vuelve a cargar el vendedor para su uso.
         * @param customer
         */
        this.setCustomer = customer => {
            let refreshPage = false;
            this.customer = customer;
            localStorage.setItem(this.CUSTOMER, JSON.stringify(customer));
            let sameChannel = customer ? this.sameChannel(customer.channels[0].code, customer.channels[0].locales.code) : null;
            if (customer) {
                if (!sameChannel) {
                    !localStorage.getItem(this.CHANNELSELLER) ?
                        localStorage.setItem(this.CHANNELSELLER, JSON.stringify({
                            channel: this.constants.getChannel(),
                            locale: this.constants.getLocale()
                        })) : null;
                    this.changeChannel({
                        channel: customer.channels[0].code,
                        locale: customer.channels[0].locales.code
                    });
                    refreshPage = true;
                }
            }
            else {
                let res = JSON.parse(localStorage.getItem(this.CHANNELSELLER));
                if (res) {
                    if (!this.sameChannel(res.channel, res.locale)) {
                        this.changeChannel(res);
                        refreshPage = true;
                    }
                    localStorage.removeItem(this.CHANNELSELLER);
                }
            }
            this.injector.get(CartService).clearAndResetCustomerCart();
            refreshPage ? location.href = location.href : null;
        };
        /**
         * @description Comprueba si los valores del canal actual son iguales a los ingresado por parametros.
         * @param {string} channel Nombre del canal
         * @param {string} locale  Locale del canal
         * @returns {boolean} True si es el mismo canal, False caso contrario.
         */
        this.sameChannel = (channel, locale) => (channel == this.constants.getChannel()) && (locale == this.constants.getLocale());
        /* public getCustomer = () => Observable.of(JSON.parse(localStorage.getItem(this.CUSTOMER))) */
        this.getCustomer = () => {
            /* this.customerSubject.next(JSON.parse(localStorage.getItem(this.CUSTOMER)))
            return this.customer */
            return this.customer || JSON.parse(localStorage.getItem(this.CUSTOMER));
        };
        this.setHomeResolver = resolverFunction => this.homeResolver = resolverFunction;
        this.getHomeResolver = () => this.homeResolver;
        this.isAbleToBuy = () => { var _a; return !((_a = this.getUserProfileAsUser()) === null || _a === void 0 ? void 0 : _a.isSeller()) || !!this.getCustomer(); };
        /**
         * @description Evalua si el valor que ingresa por parámetro es mayor o igual al mínimo de compra
         * que el usuario tiene asignado a ese canal, diferenciando si es mayorista o minorista.
         * @param {number} value
         * @returns {boolean} true si excede el monto, false caso contrario
         */
        this.exceedsMinimumAmount = (value = 0) => this.user.isWholesaler() ? this.user.channels.find(channel => this.constants.getChannel() == channel.code).wholesalerMinimumPurchaseAmount <= value
            : this.user.channels.find(channel => this.constants.getChannel() == channel.code).retailerMinimumPurchaseAmount <= value;
        this.isAuthenticated() && this.loggedInSubject.next(true);
    }
    /**
     * @desc Devuelve un observable
     * @param user Objeto que contiene username y password
     */
    login(user, withRoles = []) {
        this.injector.get(ChannelConfigService).channelConfig$.subscribe(ch => this.channel = ch);
        this.injector.get(ChannelConfigService).channels.subscribe(ch => this.channels = ch);
        this.loggingInSubject.next(true);
        user = Object.assign(Object.assign({}, user), this.constants.loginExtraData());
        let result = this.connection.post(this.tokenApi(), user).pipe(map(res => {
            if (this.channelAccessPermission(Object.assign(Object.assign({}, user), res)) && this.isAllowedRole(withRoles, res.type)) {
                this.doLoginUser(Object.assign(Object.assign({}, user), res));
                return 'ok';
            }
            return 'error';
        }), catchError(err => {
            this.loggingInSubject.next(false);
            return of(err.toString());
        }));
        return result;
    }
    getUserProfile() {
        return (this.user && Observable.of(this.user)) || this.getCurrentUser();
    }
    getUserProfileAsUser() {
        return this.user || this.getCurrentUserAsUser();
    }
    getCurrentUserAsUser() {
        var _a;
        this.user = new User();
        if (!this.user.loadFromStorage()) {
            this.user = null;
        }
        else if ((_a = this.user) === null || _a === void 0 ? void 0 : _a.channels.find(userchannel => { var _a; return ((_a = userchannel) === null || _a === void 0 ? void 0 : _a.code) === this.constants.getChannel(); })) {
            return this.user;
        }
        else {
            this.logout();
        }
        return this.user;
    }
    getCurrentUser() {
        this.user = new User();
        if (!this.user.loadFromStorage()) {
            this.user = null;
        }
        return Observable.of(this.user);
    }
    isAuthenticated() {
        if (this.isTokenExpired()) {
            this.doLogoutUser();
        }
        this.getCurrentUserAsUser();
        this.userInSubject.next(this.user);
        return this.getToken() && !this.isTokenExpired() && this.user != null;
    }
    /* TOKEN */
    logout() {
        this.doLogoutUser();
    }
    refreshToken() {
        let data = Object.assign(Object.assign({}, this.constants.loginExtraData()), { refresh_token: this.getRefreshToken() });
        return this.connection.post(this.tokenApi(), data).pipe(map(res => this.doLoginUser(res)));
    }
    getToken() {
        return localStorage.getItem(this.JWT_TOKEN);
    }
    doLoginUser(tokens) {
        this.user = new User();
        this.user.initilized(tokens);
        this.forceChannelsForSeller(tokens);
        this.user.persistInStorage();
        localStorage.setItem(this.EXPIRATES_IN, moment(tokens.expires_in).add(1, 'h').format());
        localStorage.setItem(this.REFRESH_TOKEN, moment(tokens.expires_in).add(1, 'h').format());
        localStorage.setItem(this.JWT_TOKEN, tokens.token);
        localStorage.setItem(this.MAIL, tokens.username);
        this.userInSubject.next(this.user);
        this.loggedInSubject.next(true);
        this.loggingInSubject.next(false);
    }
    doLogoutUser() {
        this.user = null;
        localStorage.removeItem(this.USER);
        localStorage.removeItem(this.EXPIRATES_IN);
        localStorage.removeItem(this.JWT_TOKEN);
        localStorage.removeItem(this.REFRESH_TOKEN);
        localStorage.removeItem('cart_token');
        localStorage.removeItem(this.MAIL);
        localStorage.removeItem(this.CHANNEL);
        localStorage.removeItem(this.CHANNELSELLER);
        localStorage.removeItem(this.LOCALE);
        localStorage.removeItem(this.CUSTOMER);
        localStorage.removeItem('MASTER_CHANNEL');
        this.loggedInSubject.next(false);
        this.userInSubject.next(this.user);
        this.channelsUserSubject.next([]);
    }
    getRefreshToken() {
        return localStorage.getItem(this.REFRESH_TOKEN);
    }
};
AuthService.ctorParameters = () => [
    { type: ConnectionService },
    { type: ToastrService },
    { type: Constants },
    { type: Injector }
];
AuthService.ɵprov = ɵɵdefineInjectable({ factory: function AuthService_Factory() { return new AuthService(ɵɵinject(ConnectionService), ɵɵinject(ToastrService), ɵɵinject(Constants), ɵɵinject(INJECTOR)); }, token: AuthService, providedIn: "root" });
AuthService = __decorate$l([
    Injectable({
        providedIn: 'root'
    })
], AuthService);

var __decorate$m = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __awaiter$5 = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
let CartService = class CartService {
    constructor(connection, toastrService, consts, authService, orderUtils, analyticsService, channelConfigService) {
        this.connection = connection;
        this.toastrService = toastrService;
        this.consts = consts;
        this.authService = authService;
        this.orderUtils = orderUtils;
        this.analyticsService = analyticsService;
        this.channelConfigService = channelConfigService;
        this.cartItemsSubject = new BehaviorSubject([]);
        this.couponSubject = new BehaviorSubject(null);
        this.cartSubject = new BehaviorSubject(null);
        this.requestInProcess = new BehaviorSubject(false);
        this.promotionsSubject = new BehaviorSubject([]);
        this.items = [];
        this.count = 0;
        this.locale = "";
        this.logged_in = false;
        this.have_to_update = true;
        this.channelConfig = {};
        this.cart_baseUrl = 'shop-api/' + this.consts.getChannel() + '/carts';
        this.cartItemsApi = () => this.cart_baseUrl + '?locale=' + this.consts.getLocale();
        this.addItemApi = () => this.cart_baseUrl + '/' + this.cart_token + '/items' + '?locale=' + this.consts.getLocale();
        this.addAllItemsApi = () => this.cart_baseUrl + '/' + this.cart_token + '/multiple-items' + '?locale=' + this.consts.getLocale();
        this.updateItemQuantityApi = (item_id) => this.cart_baseUrl + '/' + this.cart_token + '/items/' + item_id + '?locale=' + this.consts.getLocale();
        this.deleteItemApi = (item_id) => this.cart_baseUrl + '/' + this.cart_token + '/items/' + item_id + '?locale=' + this.consts.getLocale();
        this.couponApi = () => this.cart_baseUrl + '/' + this.cart_token + '/coupon';
        this.addressBookApi = () => 'shop-api/' + this.consts.getChannel() + '/address-book';
        this.taxesApi = () => 'shop-api/' + this.consts.getChannel() + '/carts/tax';
        this.cartItems = this.cartItemsSubject.asObservable().pipe(map(items => this.switchPriceInCartItem(items)));
        this.coupon = this.couponSubject.asObservable();
        this.loading = this.requestInProcess.asObservable();
        this.cart = this.cartSubject.asObservable();
        this.promotions = this.promotionsSubject.asObservable();
        this.deleting = false;
        this.getAddressBook = () => __awaiter$5(this, void 0, void 0, function* () { return this.connection.get(this.addressBookApi()).pipe(map(res => { var _a; return ((_a = res) === null || _a === void 0 ? void 0 : _a.length) && res.map(addres => { return addres && Object.assign(Object.assign({}, addres), { selected: addres.default }); }) || null; })).toPromise(); });
        this.getTaxes = () => __awaiter$5(this, void 0, void 0, function* () { return this.connection.post(this.taxesApi(), { token: this.cart_token }).subscribe(res => res); });
        this.getCart = () => __awaiter$5(this, void 0, void 0, function* () {
            return this.connection.post(this.cartItemsApi(), ((this.cart_token && this.items.length >= 1) && { token: this.cart_token })).subscribe(res => this.initializeCart(res));
        });
        this.getCartByToken = () => __awaiter$5(this, void 0, void 0, function* () {
            return this.connection.post(this.cartItemsApi(), ((this.cart_token) && { token: this.cart_token })).subscribe(res => this.initializeCart(res));
        });
        this.getCartByCustomer = () => __awaiter$5(this, void 0, void 0, function* () {
            return this.connection.post(this.cartItemsApi()).subscribe(res => this.initializeCart(res));
        });
        /**
         *  @private
         *  CART CRUD SERVER'S SYNCRONIZED
         */
        this.initializeCart = (response) => {
            this.cart_token = response.tokenValue;
            localStorage.setItem('cart_token', this.cart_token);
            this.locale = response.locale;
            /* let localeFromStorage = localStorage.getItem('LOCALE')
            console.log(localeFromStorage)
            this.locale = localeFromStorage ? localeFromStorage : response.locale;
            response.locale = this.locale */
            this.updateCartObj(response, false);
            this.updateCartItems(this.transformItems(response.items));
            this.requestInProcess.next(false);
            return true;
        };
        this.switchPriceInCartItem = (items) => {
            //return items;
            return items.map(item => {
                if (item.product) {
                    item.product.price = item.product.variants[0].saleprice ? item.product.variants[0].saleprice : item.product.variants[0].price;
                }
                return item;
            });
        };
        this.stepCart = (res) => {
            res.items.length > 0 && res.items.forEach(item => !this.isItemInLocal(item.id) && this.deleteCartItem(item, false));
            this.addAllToCart(this.items.filter(item => !res.items.some(external_item => external_item.id == item.item_id)));
        };
        this.updateCartItems = (items) => {
            this.items = items;
            this.count = items.length;
            this.cartItemsSubject.next(this.items);
            this.updateLocalCart();
            this.requestInProcess.next(false);
        };
        this.updateCartItemQuantity = (variant_id, quantity) => {
            let newQuantity = this.items.find(item => item.variant_id == variant_id).quantity = quantity;
            this.cartItemsSubject.next(this.items);
            this.requestInProcess.next(false);
            this.updateLocalCart();
            this.toastrService.show('product-updated', { quantity: newQuantity });
        };
        this.appendToCart = (cart) => {
            this.updateCartObj(cart);
            this.items = this.transformItems(cart.items);
            this.count = this.items.length;
            this.requestInProcess.next(false);
            this.updateLocalCart();
            //    this.toastrService.show('product-added');
            this.cartItemsSubject.next(this.items);
        };
        this.removeCartItem = (cart, product, toast = true) => {
            this.updateCartObj(cart, false);
            this.items.splice(this.items.findIndex(item => item.item_id == product.item_id), 1);
            this.cartItemsSubject.next(this.items);
            toast && this.requestInProcess.next(false);
            toast && this.toastrService.show('product-removed');
            this.updateLocalCart();
            // this.googleAnalytics.removeFromCart(product);
            this.analyticsService.callEvent('remove_from_cart', Object.assign(Object.assign({}, product), { currency: this.consts.currency.code }));
        };
        this.addIfAllreadyExists = (product, variant_id, quantityAdd = 1) => this.items.find((item, index) => {
            if (item.product.id == product.id && item.variant_id == variant_id) {
                this.updateItemQuantity(item, this.findItem(product.id).quantity + quantityAdd);
                return true;
            }
            return false;
        });
        this.updateLocalCart = () => {
            localStorage.setItem('cart', JSON.stringify(this.items));
        };
        this.resetCart = (next) => {
            this.items = [];
            this.cartSubject.next(null);
            this.cart_token = null;
            this.cartItemsSubject.next([]);
            this.count = 0;
            localStorage.setItem('cart', "[]");
            localStorage.removeItem('cart_token');
            next && next();
        };
        this.updateCartObj = (cart, emitEvent = true) => {
            this.cartSubject.next(cart);
            emitEvent && this.analyticsService.callEvent('add_to_cart', cart);
            this.promotionsSubject.next(this.orderUtils.getPromotions(cart, true));
            cart.couponCode
                ? this.formatCoupon(cart)
                : this.couponSubject.next(null);
            return true;
        };
        this.isItemInLocal = (item_id) => this.items.some(item => item.item_id == item_id);
        /**
         *  @public
         *  CART CRUD
         */
        this.addToCart = (product, quantity, variant_id) => {
            if (!this.authService.isAbleToBuy()) {
                this.toastrService.show('must-select-customer');
                return;
            }
            this.requestInProcess.next(true);
            let added = this.addIfAllreadyExists(product, variant_id, quantity);
            if (!added) {
                this.connection.post(this.addItemApi(), { productCode: product.id, quantity: quantity, variantCode: variant_id })
                    .subscribe(res => {
                    // Manejar la respuesta HTTP exitosa (código 200)
                    this.appendToCart(res);
                    this.toastrService.show('product-added');
                }, err => {
                    // Manejar el error de la llamada HTTP (código 500 u otro error)
                    if (err.status === 500) {
                        // Código de error 500 (timeout)
                        this.handleError(err);
                        this.toastrService.show('Ha ocurrido un error al agregar al carrito. Vuelva a intentarlo.');
                    }
                    else {
                        // Otro código de error
                        this.handleError(err);
                        this.toastrService.show('Error inesperado. Vuelva a intentarlo');
                    }
                });
            }
        };
        this.addToLot = (product, quantity, variant_id, id, order_item_id, lot_quantity, unit_price, unit_total, ajustement_total, total_lot, lot_status, date_request, notes, shipping_address_id, shipping_address_name, action) => {
            if (!this.authService.isAbleToBuy()) {
                this.toastrService.show('must-select-customer');
                return;
            }
            let added = '';
            !added && this.connection.post(this.addItemApi(), { productCode: product.id, quantity: quantity, variantCode: variant_id, id: id || '', order_item_id: order_item_id || '', lot_quantity: lot_quantity || '', unit_price: unit_price || '', unit_total: unit_total || '', ajustement_total: ajustement_total || '', total_lot: total_lot || '', lot_status: lot_status || '', date_request: date_request || '', notes: notes || '', shipping_address_id: shipping_address_id || '', shipping_address_name: shipping_address_name || '', action: action || 'newlot' })
                .subscribe(res => this.appendToCart(res), err => this.handleError(err));
        };
        this.addToCartPromise = (product, quantity, variant_id) => __awaiter$5(this, void 0, void 0, function* () {
            if (!this.authService.isAbleToBuy()) {
                this.toastrService.show('must-select-customer');
                return;
            }
            this.requestInProcess.next(true);
            let added = this.addIfAllreadyExists(product, variant_id, quantity);
            if (!added) {
                let result = yield (this.connection.post(this.addItemApi(), { productCode: product.id, quantity: quantity, variantCode: variant_id }).toPromise());
                if (!result || result.error)
                    this.handleError(result.error);
                else {
                    this.appendToCart(result);
                    return { error: false };
                }
            }
            return { error: true };
        });
        this.addAllToCart = (items) => {
            if (!this.authService.isAbleToBuy()) {
                this.toastrService.show('must-select-customer');
                return;
            }
            this.requestInProcess.next(true);
            const params = { items: this.mergeItemsAddAllToCart(items) };
            this.connection.post(this.addAllItemsApi(), params)
                .toPromise().then(res => {
                this.updateCartObj(res.cart) && this.updateCartItems(this.transformItems(res.cart.items));
                res.cart_response.status == 'success' && this.toastrService.show('products-added');
            }, err => {
                this.handleError(err);
            }).catch(err => {
                this.handleError(err);
            });
        };
        this.mergeItemsAddAllToCart = (items) => {
            let paramsMerge = [];
            this.items.forEach(item => {
                let itemInterno = items.find(itemParam => itemParam.variantCode == item.variant_id);
                paramsMerge.push({
                    productCode: item.product.id,
                    variantCode: item.variant_id,
                    quantity: itemInterno && itemInterno.quantity || item.quantity
                });
            });
            items = items.filter(itemParam => !this.items.find(item => itemParam.variantCode == item.variant_id));
            return [...items, ...paramsMerge];
        };
        this.updateItemQuantity = (item, quantity) => {
            if (this.validateQuantity(item, quantity)) {
                this.connection.put(this.updateItemQuantityApi(this.findItemByIdVariant(item.variant_id)), { 'quantity': Number(quantity) }).subscribe(res => this.updateCartObj(res) && this.updateCartItemQuantity(item.variant_id, Number(quantity)), err => this.handleError(err));
            }
        };
        this.validateQuantity = (item, quantity) => {
            if ((this.getCountFromItemInCart(item.productCode) + quantity) > item.product.variants[0].maximumItemsQuantity) {
                this.toastrService.show('maximum-items-quantity', { quantity: item.product.variants[0].maximumItemsQuantity });
                return false;
            }
            if ((this.getCountFromItemInCart(item.productCode) + quantity) < item.product.variants[0].minimumItemsQuantity) {
                this.toastrService.show('minimum-items-quantity', { quantity: item.product.variants[0].minimumItemsQuantity });
                return false;
            }
            return true;
        };
        this.calculateStockCounts = (item, quantity) => {
            if (item.product.stock < item.quantity + quantity) {
                // this.toastrService.show('out-of-stock');
                return false;
            }
            return true;
        };
        this.deleteCartItem = (item, toast = true) => {
            let id_buscado = this.findItemByIdVariant(item.variant_id);
            this.requestInProcess.next(true);
            //    this.connection.post(this.addItemApi(), { productCode: item.product.id, quantity: 0, variantCode: item.variant_id, id: '', order_item_id: item.item_id, lot_quantity: '', unit_price: '', unit_total: '', ajustement_total: '', total_lot: '', lot_status: '', date_request: '', notes:  '', shipping_address_id: '', shipping_address_name: '', action:  'deleteorderitem'})
            //        .subscribe(
            //            res => this.removeCartItem(res, item, toast),
            //            err => this.handleError(err)
            //        );
            this.connection.delete(this.deleteItemApi(id_buscado)).subscribe(res => { this.removeCartItem(res, item, toast); this.requestInProcess.next(false); }, err => { this.handleError(err); this.requestInProcess.next(false); });
        };
        this.handleError = (error) => {
            this.toastrService.show('operation-error-param');
            this.requestInProcess.next(false);
        };
        this.getCountFromItemInCart = (codeVariant) => { var _a; return ((_a = this.items.find(item => item.variant_id == codeVariant)) === null || _a === void 0 ? void 0 : _a.quantity) || 0; };
        this.findItemByIdVariant = (variant_id) => this.items.find(item => item.variant_id == variant_id).item_id;
        this.findItem = (product_id) => this.items.find(item => item.product.id == product_id);
        /** DATA FOR OTHER SERVICES */
        this.getCartToken = () => this.cart_token;
        this.getLocale = () => this.locale;
        this.getTotalAmount = () => this.cart.pipe(map((cart) => { var _a, _b; return (_b = (_a = cart) === null || _a === void 0 ? void 0 : _a.totals) === null || _b === void 0 ? void 0 : _b.total; }));
        this.getCountCartItems = () => this.cartItems.pipe(map((cartItems) => { var _a; return (_a = cartItems) === null || _a === void 0 ? void 0 : _a.length; }));
        this.getTaxesAmount = () => this.cart.pipe(map((cart) => { var _a, _b, _c, _d; return ((_b = (_a = cart) === null || _a === void 0 ? void 0 : _a.totals) === null || _b === void 0 ? void 0 : _b.taxes) > 0 ? (_d = (_c = cart) === null || _c === void 0 ? void 0 : _c.totals) === null || _d === void 0 ? void 0 : _d.taxes : 0; }));
        this.getSubTotalAmount = () => this.cart.pipe(map((cart) => { var _a, _b; return (_b = (_a = cart) === null || _a === void 0 ? void 0 : _a.totals) === null || _b === void 0 ? void 0 : _b.items; }));
        this.toDecimal = (total) => (total - Math.floor(total) == 0) ? total / 100 : total;
        this.addCoupon = (code) => __awaiter$5(this, void 0, void 0, function* () {
            try {
                let result = yield this.connection.put(this.couponApi(), { coupon: code }).toPromise();
                if (result.error || result.errors)
                    return { error: true, message: 'invalid-coupon' };
                this.updateCartObj(result, false);
                return { error: false, message: 'ok' };
            }
            catch (e) {
                return { error: true, message: 'invalid-coupon' };
            }
        });
        this.removeCoupon = () => __awaiter$5(this, void 0, void 0, function* () { return this.connection.delete(this.couponApi()).pipe(map(res => this.updateCartObj(res, false))).toPromise(); });
        this.formatCoupon = (cart) => {
            let current_coupon = this.couponSubject.value;
            let coupon = { code: cart.couponCode };
            try {
                const key = Object.keys(cart.cartDiscounts)[0];
                coupon = Object.assign(Object.assign({}, coupon), { amount: (cart.cartDiscounts && cart.cartDiscounts[key].amount.current) || 0, name: (cart.cartDiscounts && cart.cartDiscounts[key].name) || 'no-name' });
            }
            catch (e) { }
            (coupon != current_coupon) && this.couponSubject.next(coupon);
        };
        this.changeHaveToUpdate = (value) => this.have_to_update = value;
        this.readyForCheckout = (successCallback, errorCallback) => {
            let cart = this.cartSubject.value;
            let items = this.cartItemsSubject.value;
            let result = { ok: true };
            if (items.length < this.channelConfig.minimumQuantityPurchaseItems) {
                result.ok = false;
                result.reasons.push({ message: 'not-enought-items' });
            }
            if (cart.totals.total < this.channelConfig.minimumPurchaseAmount) {
                result.ok = false;
                result.reasons.push({ message: 'not-enought-amount' });
            }
            if (successCallback || errorCallback) {
                result.ok
                    ? successCallback && successCallback()
                    : errorCallback && errorCallback();
            }
            return result;
        };
        this.updateItemsOnError = (itemsWithError, code) => {
            // console.log(itemsWithError);
            // console.log(this.items);
            let itemsUpdated = this.items.map(item => {
                let itemWithError = itemsWithError.find(failedItem => item.item_id == failedItem.id);
                if (itemWithError) {
                    item.failed = true;
                    item.error = code;
                }
                return item;
            });
            // console.log(itemsUpdated);
            this.updateCartItems(itemsUpdated);
        };
        this.loadCartByToken = (token) => __awaiter$5(this, void 0, void 0, function* () {
            this.cart_token = token;
            let result = yield this.getCartByToken();
            return result;
        });
        /**
         *  UTILS
         */
        this.transformItems = (server_item) => server_item.map(item => {
            item = {
                product: item.product,
                variant_id: item.product.variants[0].code,
                lot: item.orderItemLot,
                quantity: item.quantity,
                item_id: item.id,
                total: item.total
            };
            // console.log(item.product.variants[0]);
            // console.log(item.product.variants[0].saleprice);
            // console.log(item.product.variants[0].price);
            // console.log(item.product.variants[0].saleprice > 0 ? item.product.variants[0].seleprice : item.product.variants[0].price);
            // setTimeout(() => {
            //     item.product.price = item.total / item.quantity// ? item.product.variants[0].seleprice : item.product.variants[0].price;
            // }, 100);
            return item;
        });
        this.requestInProcess.next(true);
        this.items = JSON.parse(localStorage.getItem('cart')) || [];
        this.cart_token = localStorage.getItem('cart_token') || null;
        this.authService.loggedIn.subscribe(res => this.getCart());
        this.channelConfigService.channelConfig$.subscribe(res => this.channelConfig = res);
    }
    getCart2() {
        return this.cartItemsSubject.value;
    }
    clearCart() {
        //solucion provisaoria
        let items = [...this.items];
        while (items && items.length > 0) {
            this.deleteCartItem(items.pop(), false);
        }
        //this.resetCart(this.getCart);
    }
    clearAndResetCart() {
        this.resetCart(this.getCart);
    }
    clearAndResetCustomerCart() {
        console.log("Clearing and reseting...");
        this.resetCart(this.getCartByCustomer);
    }
    getDiscount() {
        return this.cartItems.pipe(map((product) => {
            let total = this.items.reduce((prev, curr) => {
                return prev + curr.product.saleprice * curr.quantity;
            }, 0);
            let subtotal = this.items.reduce((prev, curr) => {
                return prev + curr.product.price * curr.quantity;
            }, 0);
            return subtotal - total;
        }));
    }
};
CartService.ctorParameters = () => [
    { type: ConnectionService },
    { type: ToastService },
    { type: Constants },
    { type: AuthService },
    { type: OrderUtilityService },
    { type: AnalyticsService },
    { type: ChannelConfigService }
];
CartService.ɵprov = ɵɵdefineInjectable({ factory: function CartService_Factory() { return new CartService(ɵɵinject(ConnectionService), ɵɵinject(ToastService), ɵɵinject(Constants), ɵɵinject(AuthService), ɵɵinject(OrderUtilityService), ɵɵinject(AnalyticsService), ɵɵinject(ChannelConfigService)); }, token: CartService, providedIn: "root" });
CartService = __decorate$m([
    Injectable({
        providedIn: 'root'
    })
], CartService);

var __decorate$n = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let OrdersService = class OrdersService {
    constructor(connection, cartService, router, consts) {
        // this.updateOrders();
        this.connection = connection;
        this.cartService = cartService;
        this.router = router;
        this.consts = consts;
        this.channelConfig = {};
        this.ordersSubject = new BehaviorSubject(null);
        this.errorSubject = new BehaviorSubject(null);
        this.selectedOrderSubject = new BehaviorSubject(null);
        this.orders$ = this.ordersSubject.asObservable();
        this.error$ = this.errorSubject.asObservable();
        this.selectedOrder$ = this.selectedOrderSubject.asObservable();
        this.loading = false;
        this.ordersListapi = () => `shop-api/${this.consts.getChannel()}/orders`;
        this.updateOrders = () => {
            this.loading = true;
            this.connection.get(this.ordersListapi())
                .pipe(map(res => {
                let orders = this.mapOrdersAndAddInfo(res);
                return orders;
            }))
                .subscribe(response => {
                this.ordersSubject.next(response);
                this.loading = false;
            }, err => {
                this.errorSubject.next({ message: 'unable-get-orders' });
            });
        };
        this.mapOrdersAndAddInfo = (orders) => orders.map(order => {
            order.total = order.payments.reduce((a, b) => a + b.price.current, 0);
            return order;
        });
        this.findOrder = (order_number) => this.ordersSubject.value ? this.getOrderByNumber(order_number) : this.waitUntilOrders(order_number, this.getOrderByNumber);
        this.getOrderByNumber = (order_number) => {
            // El dia de mañana, cuando vengan paginadas y haya que preguntarle al servidor, se cambia este metodo
            const orders = this.ordersSubject.value;
            let order = orders.find(order => order.number == order_number);
            return order;
        };
        this.waitUntilOrders = (order_number, next) => {
            this.orders$.toPromise().then(orders => {
                if (!orders) {
                    if (!this.loading)
                        this.updateOrders();
                    this.waitUntilOrders(order_number, next);
                }
                this.getOrderByNumber(order_number);
            });
        };
    }
    setSelectedOrder(order) {
        this.selectedOrderSubject.next(order);
        this.channelConfig = (this.cartService.channelConfig);
    }
    reBuy(order) {
        // this.cartService.clearCart();
        order.items.map(item => {
            this.cartService.addToCart(this.formatProduct(item.product, item.product.discount), item.quantity, item.variant_id);
        });
        this.router.navigateByUrl('/cart');
    }
    formatProduct(product, discount) {
        let percentaje = parseFloat('0.' + discount.toString()).toFixed(2);
        product.price = product.variants[0].price;
        product.saleprice = (product.price - (product.price * parseFloat(percentaje)));
        product.options = {};
        product.variants[0].options.forEach(option => product.options = Object.assign(Object.assign({}, product.options), option));
        return product;
    }
};
OrdersService.ctorParameters = () => [
    { type: ConnectionService },
    { type: CartService },
    { type: Router },
    { type: Constants }
];
OrdersService.ɵprov = ɵɵdefineInjectable({ factory: function OrdersService_Factory() { return new OrdersService(ɵɵinject(ConnectionService), ɵɵinject(CartService), ɵɵinject(Router), ɵɵinject(Constants)); }, token: OrdersService, providedIn: "root" });
OrdersService = __decorate$n([
    Injectable({
        providedIn: 'root'
    })
], OrdersService);

var __decorate$o = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let ShipmentDataTransformer = class ShipmentDataTransformer {
    constructor() {
        this.getData = (method, response) => {
            switch (method) {
                case 'andreani': return response;
                case 'oca': return response.newDataSet;
            }
        };
        this.getApi = (method) => {
            switch (method) {
                case 'andreani': return 'https://api.andreani.com/v1/sucursales';
                case 'oca': return 'http://webservice.oca.com.ar/oep_tracking/Oep_Track.asmx/GetCentrosImposicion';
            }
        };
        this.appendShipmentExtra = (contract, data) => {
            let result = {};
            switch (contract) {
                case 'domicilio':
                    result = Object.assign({}, data);
                    break;
                // case 'sucursal': result = { ...data, codigo_sucursal: data. }; break;
                // case 'local': result = { ...data, codigo_local: data. }
            }
            if (contract == 'domicilio') {
                result = Object.assign({}, data);
            }
            else {
                result = { codigo_sucursal: data.id };
            }
            return data;
        };
        // Andreni
        this.getMethodDetail = (method, branch) => {
            let result = '';
            branch.direccion.componentesDeDireccion.forEach(component => result += (component.meta + ' ' + component.contenido + ' '));
            return result;
        };
        this.transformAndreani = (response) => {
            let result = [];
            response.forEach(element => {
                let data = {};
                data.name = element.descripcion;
                data.label = element.descripcion;
                data.latitude = element.geocoordenadas && element.geocoordenadas.latitud;
                data.longitude = element.geocoordenadas && element.geocoordenadas.longitud;
                data.atencion = element.horarioDeAtencion;
                data.address = element.direccion.componentesDeDireccion.map(data => data.contenido).join(' ');
                data.info = 'Sucursal ' + data.name + ' - ' + data.address + ' - ' + data.atencion;
                result.push(data);
            });
            return result;
        };
    }
};
ShipmentDataTransformer = __decorate$o([
    Injectable()
], ShipmentDataTransformer);

var __decorate$p = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let StoresService = class StoresService {
    constructor(connection, consts) {
        this.connection = connection;
        this.consts = consts;
        this.storesSubject = new BehaviorSubject([]);
        this.stores = this.storesSubject.asObservable();
        this.getAllStoresApi = () => 'shop-api/' + this.consts.getChannel() + '/stores';
        this.connection.get(this.getAllStoresApi()).toPromise().then(res => {
            res.length && this.storesSubject.next(res);
            !res.length && this.storesSubject.next(null);
        });
    }
};
StoresService.ctorParameters = () => [
    { type: ConnectionService },
    { type: Constants }
];
StoresService.ɵprov = ɵɵdefineInjectable({ factory: function StoresService_Factory() { return new StoresService(ɵɵinject(ConnectionService), ɵɵinject(Constants)); }, token: StoresService, providedIn: "root" });
StoresService = __decorate$p([
    Injectable({
        providedIn: 'root'
    })
], StoresService);

var __decorate$q = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __awaiter$6 = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
let ShipmentService = class ShipmentService extends StepService {
    constructor(connection, transformer, analyticsService, consts, cartService, storesService, checkoutService) {
        super(checkoutService);
        this.connection = connection;
        this.transformer = transformer;
        this.analyticsService = analyticsService;
        this.consts = consts;
        this.cartService = cartService;
        this.storesService = storesService;
        this.checkoutService = checkoutService;
        this.stateSubject = new BehaviorSubject({ doing: false, ok: false, data: null });
        this.methodsSubject = new BehaviorSubject([]);
        this.costsSubject = new BehaviorSubject([]);
        this.baseApi = () => 'shop-api/' + this.consts.getChannel() + '/' + 'checkout/' + this.cartService.getCartToken();
        this.state = this.stateSubject.asObservable();
        this.methods = this.methodsSubject.asObservable();
        this.costs = this.costsSubject.asObservable();
        this.shipmentMethodsApi = () => this.baseApi() + '/shipping';
        this.persistShipmentApi = () => 'shop-api/' + this.consts.getChannel() + '/andreani/' + this.cartService.getCartToken() + '/ship';
        this.putShipmentApi = () => this.baseApi() + '/shipping/' + this.stateSubject.getValue().data.method;
        this.putContractApi = () => 'shop-api/' + this.consts.getChannel() + '/checkout/' + this.cartService.getCartToken() + '/shipping-contract';
        this.calculatedCostsApi = () => 'shop-api/' + this.consts.getChannel() + '/carts/' + this.cartService.getCartToken() + '/multiple-estimated-shipping-cost';
        this.getShipmentMethods = () => {
            // this.connection.get(this.shipmentMethodsApi()).toPromise().then(
            //     res => this.methodsSubject.next(this.responseToList(res))
            // ).catch(err => this.methodsSubject.next([]))
            this.connection.getErrorNotHandler(this.shipmentMethodsApi()).toPromise().then(res => {
                this.methodsSubject.next(this.responseToList(res));
            }, err => {
                this.methodsSubject.next([]);
            }).catch(err => {
                this.methodsSubject.next([]);
            });
        };
        this.setMethod = (method) => __awaiter$6(this, void 0, void 0, function* () {
            this.costsSubject.next([]);
            this.stateSubject.next({ doing: true, ok: false, data: { method } });
            this.putShipment().then((res) => __awaiter$6(this, void 0, void 0, function* () {
                this.checkoutService.updateAsociatedData(res);
                this.order = res;
                const costs = yield this.getCalculatedCosts();
                this.modifyCostsResponse(costs, this.getUserData().shippingAddress.postcode, method);
            }), err => {
                return new Promise((resolve, reject) => reject(new Error(err.error)));
            }).catch(err => console.error(err));
        });
        this.putShipment = () => this.connection.put(this.putShipmentApi(), { method: this.stateSubject.getValue().data.method }).toPromise();
        this.getCalculatedCosts = () => this.connection.get(this.calculatedCostsApi()).toPromise();
        this.setContract = (contract) => __awaiter$6(this, void 0, void 0, function* () {
            const data = Object.assign(Object.assign({}, contract), this.otherParamsForContract(contract));
            return yield this.connection.put(this.putContractApi(), data)
                .toPromise().then(order => {
                //  this.analyticsService.callEvent('shipping_info', order);
                return this.setStepReady(data, order);
            }, err => {
                return new Promise((resolve, reject) => reject(new Error(err.error)));
            }).catch(err => console.error(err));
        });
        // UTILS
        /**
         * @param response De api de solicitud de costos por metodo de envío seleccionado
         * @param post_code Indicado en el paso de Addressing (datos personales y de facturación)
         * @param method Metodo de envío seleccionado
         */
        this.modifyCostsResponse = (response, post_code, method) => __awaiter$6(this, void 0, void 0, function* () {
            response = response.multiplePrices;
            let branch_delivery = response.findIndex(submethod => submethod.name == 'branch_delivery');
            if (branch_delivery != -1) {
                response[branch_delivery].contracts = response[branch_delivery].contracts.map(contract => {
                    let branch_property = contract.branch_property || {};
                    let address_data = branch_property.address || {};
                    return Object.assign(Object.assign(Object.assign({ contract: 'branch_delivery', name: contract.name, price: contract.price }, address_data), branch_property), { computed: (address_data.street || '') + ' N° ' + (address_data.number || '') });
                });
                this.costsSubject.next(response);
            }
            if (method.includes('pickup_store')) {
                let final_method_data = response;
                this.subscription = this.storesService.stores.subscribe(stores => {
                    if (stores.length) {
                        final_method_data.forEach(pickup_store => {
                            pickup_store.contracts.forEach(contract => {
                                const current_store = stores.find(store => store.code == contract.name);
                                if (!current_store)
                                    contract.detail = 'Sin información';
                                else
                                    contract.detail = current_store.name + ' - ' + current_store.address;
                                return contract;
                            });
                        });
                        this.costsSubject.next(final_method_data);
                    }
                });
            }
            else {
                this.costsSubject.next(response);
            }
        });
        this.responseToList = (response) => (response.shipments && response.shipments.length > 0) && Object.keys(response.shipments[0].methods).map(key => response.shipments[0].methods[key]);
        this.otherParamsForContract = (contract) => {
            return {
                shipping_method_contract: contract.shipping_method_contract
                    ? contract.shipping_method_contract
                    : contract.contract + '_' + contract.name,
                shipping_method_branch_code: contract.shipping_method_branch_code
                    ? contract.shipping_method_branch_code
                    : (contract.contract && contract.contract == "branch_delivery") ? contract.number : contract.name
            };
        };
        this.getBranchOffices = (method) => this.connection.getOutsider(this.transformer.getApi(method.toLowerCase())).toPromise();
        this.formatUnnecesaryDocument = (data) => {
            var _a, _b, _c, _d, _e, _f;
            if (((_b = (_a = data.shippingAddress) === null || _a === void 0 ? void 0 : _a.documentNumber) === null || _b === void 0 ? void 0 : _b.length) == 0) {
                data.shippingAddress.documentNumber = '00000000';
            }
            if (((_d = (_c = data.shippingAddress) === null || _c === void 0 ? void 0 : _c.documentType) === null || _d === void 0 ? void 0 : _d.length) == 0) {
                data.shippingAddress.documentType = 'XXX';
            }
            if (data.billingAddress && ((_e = data.billingAddress.documentNumber) === null || _e === void 0 ? void 0 : _e.length) == 0) {
                data.billingAddress.documentNumber = '00000000';
            }
            if (data.billingAddress && ((_f = data.billingAddress.documentType) === null || _f === void 0 ? void 0 : _f.length) == 0) {
                data.billingAddress.documentType = 'XXX';
            }
            return data;
        };
    }
    ngOnDestroy() {
        this.subscription && this.subscription.unsubscribe();
    }
};
/**
 * @param moreInfoInMethod por defecto su estado es false, si se desea que visualice información adicional de cada método de envió asignar true.
 */
ShipmentService.moreInfoInMethod = false;
ShipmentService.ctorParameters = () => [
    { type: ConnectionService },
    { type: ShipmentDataTransformer },
    { type: AnalyticsService },
    { type: Constants },
    { type: CartService },
    { type: StoresService },
    { type: CheckoutService }
];
ShipmentService = __decorate$q([
    Injectable()
], ShipmentService);

var FilterOptionTypes;
(function (FilterOptionTypes) {
    FilterOptionTypes["oneSelect"] = "one-select";
    FilterOptionTypes["multiSelect"] = "multi-select";
})(FilterOptionTypes || (FilterOptionTypes = {}));

var __decorate$r = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let OptionsOfProductListDataReceiverService = class OptionsOfProductListDataReceiverService {
    constructor() { }
    getData() {
        return {
            sortOptions: [
                {
                    name: 'Alphabetical order',
                    value: 'name',
                    type: FilterOptionTypes.oneSelect,
                    selectedOption: null,
                    options: [
                        {
                            name: 'Ascendancy',
                            value: 'asc',
                            selected: false,
                        },
                        {
                            name: 'Descendant',
                            value: 'desc',
                            selected: false,
                        }
                    ]
                },
                {
                    name: 'Created date',
                    value: 'createdAt',
                    type: FilterOptionTypes.oneSelect,
                    selectedOption: null,
                    options: [
                        {
                            name: 'Oldest first',
                            value: 'asc',
                            selected: false,
                        },
                        {
                            name: 'Newest first',
                            value: 'desc',
                            selected: false,
                        }
                    ]
                },
                {
                    name: 'Price',
                    value: 'price',
                    type: FilterOptionTypes.oneSelect,
                    selectedOption: null,
                    options: [
                        {
                            name: 'Cheapest first',
                            value: 'asc',
                            selected: false,
                        },
                        {
                            name: 'Most expensive first',
                            value: 'desc',
                            selected: false,
                        }
                    ]
                },
            ],
            filterOptions: [
                {
                    name: 'Vigencia',
                    value: 'enabled',
                    type: FilterOptionTypes.oneSelect,
                    selectedOption: null,
                    options: [
                        {
                            name: 'Habilitados',
                            value: 'true',
                            selected: false,
                        },
                        {
                            name: 'Deshabilitados',
                            value: 'false',
                            selected: false,
                        }
                    ]
                }
            ],
        };
    }
};
OptionsOfProductListDataReceiverService = __decorate$r([
    Injectable()
], OptionsOfProductListDataReceiverService);

var __decorate$s = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let DataformService = class DataformService {
    constructor(fb, authService) {
        this.fb = fb;
        this.authService = authService;
        this.stateSubject = new BehaviorSubject({ doing: false, ok: false, data: null });
        this.state = this.stateSubject.asObservable();
        this.isValid = () => this.checkoutForm.valid;
        this.change = () => {
            this.checkoutForm.valid ? this.stateSubject.next({ doing: false, ok: true, data: this.checkoutForm.value })
                : this.stateSubject.next({ doing: true, ok: false, data: null });
        };
        this.checkoutForm = this.fb.group({
            firstName: ['', [Validators.required]],
            lastName: ['', [Validators.required]],
            phoneNumber: ['', [Validators.required, Validators.pattern('[0-9]+')]],
            email: ['', [Validators.required, Validators.email]],
            documentType: ['', [Validators.required]],
            documentNumber: ['', [Validators.required]],
            street: ['', [Validators.required, Validators.maxLength(50)]],
            countryCode: ['', Validators.required],
            city: ['', Validators.required],
            provinceName: ['', Validators.required],
            postcode: ['', Validators.required]
        });
        this.authService.getUserProfile().subscribe(res => this.checkoutForm.patchValue(res.toForm()));
    }
};
DataformService.ctorParameters = () => [
    { type: FormBuilder },
    { type: AuthService }
];
DataformService = __decorate$s([
    Injectable()
], DataformService);

var __decorate$t = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __awaiter$7 = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
let BlocksRepositoryService = class BlocksRepositoryService {
    constructor(consts, connection) {
        this.consts = consts;
        this.connection = connection;
        this.data = [];
        this.blocksAPI = (section) => 'cms/' + this.consts.getChannel() + '/blocks/section/' + section + '?locale=' + this.consts.getLocale();
        this.getBlocks = (section) => __awaiter$7(this, void 0, void 0, function* () {
            var _a;
            return ((_a = this.hasSectionBlocks(section)) === null || _a === void 0 ? void 0 : _a.blocks) || this.connection.get(this.blocksAPI(this.getSection(section)))
                .toPromise().then(res => this.appendBlock(res.items, section) && res.items, err => new Promise((resolve, reject) => reject()) // Va por callback error, el servicio define el valor a setear
            ).catch(err => new Promise((resolve, reject) => reject(new Error(null))));
        }); //Queda pendiente ver como manejar el error de este lado
        this.hasSectionBlocks = (section) => this.data.find(block_info => block_info.section == section);
        this.appendBlock = (blocks, section) => {
            const new_block = { section, blocks };
            this.data.push(new_block);
            return true;
        };
        this.restartBlocks = () => this.data = [];
        this.consts.getBlocksCacheTime() && setInterval(this.restartBlocks, this.consts.getBlocksCacheTime());
    }
    getSection(section) {
        // Definir la expresión regular para obtener la palabra antes del primer "?"
        const patron = /([^?]+)\?/;
        // Realizar la búsqueda del patrón en la cadena
        var resultado = section.match(patron);
        // Devolver la palabra antes del primer "?"
        if (resultado) {
            return resultado[1];
        }
        else {
            return section;
        }
    }
};
BlocksRepositoryService.ctorParameters = () => [
    { type: Constants },
    { type: ConnectionService }
];
BlocksRepositoryService = __decorate$t([
    Injectable()
], BlocksRepositoryService);

var __decorate$u = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
/**
 * @description Servicio de manejo de Bloques. Cada sección posee N bloques asociados, ordenados por posición y con tu tipo y datos correspondientes
 * (chequear interfaz de IBlock)
 */
let BlocksService = class BlocksService {
    constructor(consts, connection, blocksRepo) {
        this.consts = consts;
        this.connection = connection;
        this.blocksRepo = blocksRepo;
        this.blocksSubject = new BehaviorSubject([]);
        this.blocks = this.blocksSubject.asObservable();
        this.blocksAPI = (section) => 'cms/' + this.consts.getChannel() + '/blocks/section/' + section + '?locale=' + this.consts.getLocale();
        this.contactFormResponseAPI = () => 'cms/' + this.consts.getLocale() + '/contact-form/response';
        this.getBlocks = (section) => {
            this.blocksRepo.getBlocks(section).then(res => this.blocksSubject.next(this.orderedAndModified(res)), err => this.blocksSubject.next(null));
        };
        this.orderedAndModified = (result) => {
            let result_ordered = result.sort((a, b) => a.priority - b.priority);
            return (result_ordered.length ? result_ordered : null);
        };
        this.getBlockByCode = (code) => this.blocksSubject.value && this.blocksSubject.value.find(block => block.code.includes(code));
        // getBannerImage = (banner) => (this.consts.mobile() && banner.mobileImageName && banner.mobileImageName != '') ? banner.mobileImageName : banner.imageName;
        this.getBannerImage = (banner) => (this.consts.mobile() && banner.translations[this.consts.getLocale()].mobileImageName && banner.translations[this.consts.getLocale()].mobileImageName != '')
            ? banner.translations[this.consts.getLocale()].mobileImageName
            : banner.translations[this.consts.getLocale()].imageName;
        this.getImage = (banner) => (this.consts.mediaBannerUrl() +
            (this.consts.mobile() && banner.translations[this.consts.getLocale()].mobileImageName && banner.translations[this.consts.getLocale()].mobileImageName != '')
            ? banner.translations[this.consts.getLocale()].mobileImageName
            : banner.translations[this.consts.getLocale()].imageName);
        this.formUrl = (banner) => {
            let resultado = "/";
            const element = (banner.redirectionType == 'attribute' ? 'attributes' : 'categories');
            try {
                let asociacion = banner[(element == 'categories' ? 'taxons' : element)];
                asociacion = asociacion.length && asociacion[0];
                if (asociacion)
                    resultado = '/collection/' + element + '/' + (asociacion.slug || asociacion.translations[this.consts.getLocale()].slug);
            }
            catch (e) {
            }
            return resultado;
        };
        this.sendResponse = (response_obj) => this.connection.post(this.contactFormResponseAPI(), this.prepareData(response_obj));
        this.prepareData = (obj) => {
            // Para el futuro, cuando haya que toquetear antes de mandar
            // attachmentFile
            return obj;
        };
    }
};
BlocksService.ctorParameters = () => [
    { type: Constants },
    { type: ConnectionService },
    { type: BlocksRepositoryService }
];
BlocksService = __decorate$u([
    Injectable()
], BlocksService);

var __decorate$v = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let UtilsService = class UtilsService {
    constructor() { }
    titleCaseWord(word) {
        if (!word)
            return word;
        return word[0].toUpperCase() + word.substr(1).toLowerCase();
    }
};
UtilsService = __decorate$v([
    Injectable()
], UtilsService);

var __decorate$w = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let PaymentUtils = class PaymentUtils {
    constructor() {
        this.mp_error_codes = {
            'pending_contingency': 'Estamos procesando el pago. En menos de 2 días hábiles te enviaremos por e-mail el resultado.',
            'pending_review_manual': 'Estamos procesando el pago. En menos de 2 días hábiles te diremos por e-mail si se acreditó o si necesitamos más información.',
            'cc_rejected_bad_filled_card_number': 'Revisa el número de tarjeta.',
            'cc_rejected_bad_filled_date': 'Revisa la fecha de vencimiento.',
            'cc_rejected_bad_filled_other': 'Revisa los datos.',
            'cc_rejected_bad_filled_security_code': 'Revisa el código de seguridad.',
            'cc_rejected_blacklist': 'No pudimos procesar tu pago.',
            'cc_rejected_call_for_authorize': 'Debes autorizar ante payment_method_id el pago de amount a Mercado Pago',
            'cc_rejected_card_disabled': 'Llama a payment_method_id para que active tu tarjeta. El teléfono está al dorso de tu tarjeta.',
            'cc_rejected_card_error': 'No pudimos procesar tu pago.',
            'cc_rejected_duplicated_payment': 'Ya hiciste un pago por ese valor. Si necesitas volver a pagar usa otra tarjeta u otro medio de pago.',
            'cc_rejected_high_risk': 'Tu pago fue rechazado. Elige otro de los medios de pago, te recomendamos con medios en efectivo.',
            'cc_rejected_insufficient_amount': 'Tu payment_method_id no tiene fondos suficientes.',
            'cc_rejected_invalid_installments': 'El metodo de pago no procesa pagos en cuotas.',
            'cc_rejected_max_attempts': 'Llegaste al límite de intentos permitidos. Elige otra tarjeta u otro medio de pago.',
            'cc_rejected_other_reason': 'No procesó el pago.'
        };
        this.getErrorMessage = (code) => this.mp_error_codes[code];
    }
};
PaymentUtils = __decorate$w([
    Injectable()
], PaymentUtils);

var __decorate$x = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let AuthGuardService = class AuthGuardService {
    constructor(auth, router) {
        this.auth = auth;
        this.router = router;
    }
    canActivate(routeSnapshot) {
        const redirectTo = routeSnapshot.data.redirectTo || '/';
        if (!this.auth.isAuthenticated())
            this.router.navigateByUrl(redirectTo);
        return this.auth.isAuthenticated();
    }
};
AuthGuardService.ctorParameters = () => [
    { type: AuthService },
    { type: Router }
];
AuthGuardService.ɵprov = ɵɵdefineInjectable({ factory: function AuthGuardService_Factory() { return new AuthGuardService(ɵɵinject(AuthService), ɵɵinject(Router)); }, token: AuthGuardService, providedIn: "root" });
AuthGuardService = __decorate$x([
    Injectable({
        providedIn: 'root'
    })
], AuthGuardService);

var __decorate$y = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let AbleBuyerGuardService = class AbleBuyerGuardService {
    constructor(auth, router) {
        this.auth = auth;
        this.router = router;
    }
    canActivate(routeSnapshot) {
        const redirectTo = routeSnapshot.data.redirectSellerTo || '/';
        if (!this.auth.isAbleToBuy())
            this.router.navigateByUrl(redirectTo);
        return this.auth.isAbleToBuy();
    }
};
AbleBuyerGuardService.ctorParameters = () => [
    { type: AuthService },
    { type: Router }
];
AbleBuyerGuardService.ɵprov = ɵɵdefineInjectable({ factory: function AbleBuyerGuardService_Factory() { return new AbleBuyerGuardService(ɵɵinject(AuthService), ɵɵinject(Router)); }, token: AbleBuyerGuardService, providedIn: "root" });
AbleBuyerGuardService = __decorate$y([
    Injectable({
        providedIn: 'root'
    })
], AbleBuyerGuardService);

var __decorate$z = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let UserRoleGuardService = class UserRoleGuardService {
    constructor(auth, router) {
        this.auth = auth;
        this.router = router;
    }
    canActivate(routeSnapshot) {
        var _a;
        const redirectTo = routeSnapshot.data.redirectTo || '/';
        const authorizedRoles = routeSnapshot.data.authorizedRoles || [];
        if (!authorizedRoles.includes((_a = this.auth.getUserProfileAsUser()) === null || _a === void 0 ? void 0 : _a.typeUser))
            this.router.navigateByUrl(redirectTo);
        return this.auth.isAuthenticated();
    }
};
UserRoleGuardService.ctorParameters = () => [
    { type: AuthService },
    { type: Router }
];
UserRoleGuardService.ɵprov = ɵɵdefineInjectable({ factory: function UserRoleGuardService_Factory() { return new UserRoleGuardService(ɵɵinject(AuthService), ɵɵinject(Router)); }, token: UserRoleGuardService, providedIn: "root" });
UserRoleGuardService = __decorate$z([
    Injectable({
        providedIn: 'root'
    })
], UserRoleGuardService);

var __decorate$A = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let LoggedInGuard = class LoggedInGuard {
    constructor(auth, router) {
        this.auth = auth;
        this.router = router;
    }
    canActivate() {
        if (!this.auth.isAuthenticated()) {
            this.router.navigate(['/login']);
        }
        return this.auth.isAuthenticated();
    }
};
LoggedInGuard.ctorParameters = () => [
    { type: AuthService },
    { type: Router }
];
LoggedInGuard.ɵprov = ɵɵdefineInjectable({ factory: function LoggedInGuard_Factory() { return new LoggedInGuard(ɵɵinject(AuthService), ɵɵinject(Router)); }, token: LoggedInGuard, providedIn: "root" });
LoggedInGuard = __decorate$A([
    Injectable({
        providedIn: 'root'
    })
], LoggedInGuard);

var __decorate$B = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let CheckoutReadyGuard = class CheckoutReadyGuard {
    constructor(router, checkoutService) {
        this.router = router;
        this.checkoutService = checkoutService;
    }
    canActivate() {
        if (!this.checkoutService.isCheckoutReady()) {
            this.router.navigate(['/']);
        }
        return this.checkoutService.isCheckoutReady();
    }
};
CheckoutReadyGuard.ctorParameters = () => [
    { type: Router },
    { type: CheckoutService }
];
CheckoutReadyGuard.ɵprov = ɵɵdefineInjectable({ factory: function CheckoutReadyGuard_Factory() { return new CheckoutReadyGuard(ɵɵinject(Router), ɵɵinject(CheckoutService)); }, token: CheckoutReadyGuard, providedIn: "root" });
CheckoutReadyGuard = __decorate$B([
    Injectable({
        providedIn: 'root'
    })
], CheckoutReadyGuard);

var __decorate$C = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let AuthInterceptor = class AuthInterceptor {
    constructor(injector) {
        this.injector = injector;
    }
    intercept(req, next) {
        if (this.injector.get(AuthService).isAuthenticated()
            && req.url.includes(this.injector.get(Constants).getUrlBase())
            && !req.url.includes('shop-api/login_check')) {
            let headers = {
                setHeaders: {
                    'Content-Type': 'application/json',
                    Authorization: `Bearer ${this.injector.get(AuthService).getToken()}`,
                },
            };
            if (req.url.includes('contact-form/response'))
                delete headers.setHeaders["Content-Type"];
            /* if (this.injector.get(AuthService).getCustomer())
                delete headers.setHeaders["Authorization"] */
            let authReq = req.clone(headers);
            return next.handle(authReq).pipe(catchError(catchErr => this.handleErrors(catchErr)));
        }
        return next.handle(req).pipe(catchError(catchErr => this.handleErrors(catchErr)));
    }
    handleErrors(err) {
        if (err.status === 403) {
            this.injector.get(AuthService).doLogoutUser();
            return of(err);
        }
        if (err.status === 450 || err.status === 401) {
            this.injector.get(ErrorHandlerService).handlerErrorResponse(err.error);
            return of(err.error);
        }
        return throwError(err);
    }
};
AuthInterceptor.ctorParameters = () => [
    { type: Injector }
];
AuthInterceptor = __decorate$C([
    Injectable()
], AuthInterceptor);

var __decorate$D = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let CustomerInterceptor = class CustomerInterceptor {
    constructor(injector) {
        this.injector = injector;
    }
    intercept(req, next) {
        const customer = this.injector.get(AuthService).getCustomer();
        if (customer) {
            const headers = {
                setHeaders: {
                    'customer': String(customer.id)
                }
            };
            let authReq = req.clone(headers);
            return next.handle(authReq).pipe(catchError(catchErr => this.handleErrors(catchErr)));
        }
        return next.handle(req).pipe(catchError(catchErr => this.handleErrors(catchErr)));
    }
    handleErrors(err) {
        if (err.status === 403) {
            this.injector.get(AuthService).doLogoutUser();
            return of(err);
        }
        if (err.status === 450 || err.status === 401) {
            this.injector.get(ErrorHandlerService).handlerErrorResponse(err.error);
            return of(err.error);
        }
        return throwError(err);
    }
};
CustomerInterceptor.ctorParameters = () => [
    { type: Injector }
];
CustomerInterceptor = __decorate$D([
    Injectable()
], CustomerInterceptor);

class ComponentHelper {
    constructor() {
        this.ecOnInit = (params = {}) => {
        };
        this.ecOnConstruct = (params = {}) => {
        };
        this.hasParams = (params, searched) => params && params != null && params.find(param => { var _a; return (_a = param.code) === null || _a === void 0 ? void 0 : _a.toLowerCase().includes(searched.toLowerCase()); });
        this.ecOnConstruct();
    }
    navigateOnRouter(router, url) {
        router.navigateByUrl(`/${url}`);
    }
}

var __decorate$E = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let ParametersService = class ParametersService {
    constructor(connection, constants, analyticsService) {
        this.connection = connection;
        this.constants = constants;
        this.analyticsService = analyticsService;
        this.parametersSubject = new BehaviorSubject(null);
        this.readyParamsSubject = new ReplaySubject(1);
        this.parameters = this.parametersSubject.asObservable();
        this.ready$ = this.readyParamsSubject.asObservable();
        this.getAllParametersAPI = () => 'shop-api/' + (this.constants.getMasterChannel() || this.constants.getChannel()) + '/parameters';
        this.insertAnalitycs = () => {
            this.parametersSubject.value
                ? this.constants.onlyIfProduction(this.initializeAnalytics, this.parametersSubject.value)
                : this.waitUntilData(this.initializeAnalytics);
        };
        this.initializeAnalytics = (params) => {
            let facebook = params.find(param => param.code.includes("_" + this.constants.getChannel() + "_") && param.code.includes('facebook') && param.code.includes('id'));
            !facebook && (facebook = params.find(param => param.code.includes('facebook') && param.code.includes('id')));
            facebook && this.analyticsService.initializeFacebook(facebook.value);
            let google = params.find(param => param.code.includes("_" + this.constants.getChannel() + "_") && param.code.includes('google') && param.code.includes('id'));
            !google && (google = params.find(param => param.code.includes('google') && param.code.includes('id')));
            google && this.analyticsService.initializeGoogle(google.value);
            let gtm = params.find(param => param.code.includes("_" + this.constants.getChannel() + "_") && param.code.includes('gtm') && param.code.includes('id'));
            !gtm && (gtm = params.find(param => param.code.includes('gtm') && param.code.includes('id')));
            gtm && this.analyticsService.initializeGTM(gtm.value);
            let metricool = params.find(param => param.code.includes("_" + this.constants.getChannel() + "_") && param.code.includes('metricool') && param.code.includes('id'));
            !metricool && (metricool = params.find(param => param.code.includes('metricool') && param.code.includes('id')));
            metricool && this.analyticsService.initializeMetricool(metricool.value);
            let doppler = params.find(param => param.code.includes("_" + this.constants.getChannel() + "_") && param.code.includes('doppler') && param.code.includes('id'));
            !doppler && (doppler = params.find(param => param.code.includes('doppler') && param.code.includes('id')));
            doppler && this.analyticsService.initializeDoppler(doppler.value);
        };
        this.waitUntilData = (next) => {
            const subscription = this.parameters.subscribe(res => {
                if (res) {
                    next(res);
                    subscription.unsubscribe();
                }
            });
        };
        this.connection.get(this.getAllParametersAPI()).toPromise().then(res => {
            this.parametersSubject.next(res);
            this.readyParamsSubject.next(true);
        });
    }
};
ParametersService.ctorParameters = () => [
    { type: ConnectionService },
    { type: Constants },
    { type: AnalyticsService }
];
ParametersService.ɵprov = ɵɵdefineInjectable({ factory: function ParametersService_Factory() { return new ParametersService(ɵɵinject(ConnectionService), ɵɵinject(Constants), ɵɵinject(AnalyticsService)); }, token: ParametersService, providedIn: "root" });
ParametersService = __decorate$E([
    Injectable({
        providedIn: 'root'
    })
], ParametersService);

var __decorate$F = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let AccountEcComponent = class AccountEcComponent extends ComponentHelper {
    constructor(authService, router, paramsService) {
        super();
        this.authService = authService;
        this.router = router;
        this.paramsService = paramsService;
        this.params = null;
        this.logout = (path = '/home') => {
            this.authService.logout();
            this.router.navigateByUrl(path);
        };
        this.paramsService.parameters.subscribe(p => {
            this.params = p;
        });
        this.ecOnConstruct();
    }
    ngOnInit() {
        this.ecOnInit();
    }
};
AccountEcComponent.ctorParameters = () => [
    { type: AuthService },
    { type: Router },
    { type: ParametersService }
];
AccountEcComponent = __decorate$F([
    Component({
        selector: 'app-account-ec',
        template: "<section class=\"perfil mt-5\" id=\"accountEcComponent\">\n    <div class=\"container row w-100 mx-auto py-md-3\">\n        <div class=\"col-12 py-3\">\n            <div class=\"row w-100 mx-auto border-bottom justify-content-between align-items-center py-3\">\n                <h3 class=\"text-black w-auto\">MIS PEDIDOS</h3>\n                <button class=\"btn btn-outline-dark btnLogout px-3 py-1 font-size-10 w-auto\" (click)=\"logout()\">CERRAR\n                    SESI\u00D3N</button>\n            </div>\n            <app-orders-ec></app-orders-ec>\n        </div>\n    </div>\n</section>",
        styles: [".font-size-10{font-size:10px!important}"]
    })
], AccountEcComponent);

var __decorate$G = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let BlockBannerBoxesEcComponent = class BlockBannerBoxesEcComponent extends ComponentHelper {
    constructor(blocksService, consts, analyticsService) {
        super();
        this.blocksService = blocksService;
        this.consts = consts;
        this.analyticsService = analyticsService;
        this.dots = false;
        this.nav = false;
        this.loop = false;
        this.margin = 10;
        this.big_ones = [0, 3, 4, 7, 8, 11, 12, 15, 16];
        this.getImage = (banner) => this.blocksService.getBannerImage(banner);
        this.formUrl = (banner) => this.blocksService.formUrl(banner);
        this.columnSize = (i) => {
            if (!this.consts.mobile()) {
                if (this.big_ones.includes(i))
                    return 'col-md-8';
                else if (!((i + 1) == this.banners.length))
                    return 'col-md-4';
                else if (((i + 1) == this.banners.length) && this.esImpar(i))
                    return 'col-md-4';
            }
            return 'col-md-12';
        };
        this.esImpar = (number) => (number % 2) == 1;
        this.boxesInlcudesCode = (box) => this.meta.code.toUpperCase().includes(box.toUpperCase());
        this.options = {
            loop: true,
            autoplay: false,
            smartSpeed: 950,
            margin: 50,
            dots: false,
            navText: ["<i class='fas fa-angle-left'></i>", "<i class='fas fa-angle-right'></i>"],
            nav: true,
            responsive: {
                0: {
                    items: 1,
                },
                400: {
                    items: 4,
                },
                600: {
                    items: 4,
                },
                1000: {
                    items: 4,
                }
            }
        };
        this.ecOnConstruct();
    }
    ngOnInit() {
        var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m;
        this.banners = this.banners.map(banner => { return Object.assign(Object.assign({}, banner), banner.translations[this.consts.getLocale()]); });
        this.meta = Object.assign(Object.assign({}, this.meta), this.meta.translations[this.consts.getLocale()]);
        this.ecOnInit();
        this.options = {
            loop: this.loop,
            //autoplay: false,
            autoplay: true,
            smartSpeed: 950,
            margin: this.margin,
            dots: this.dots,
            navText: ["<i class='fas fa-chevron-left'></i>", "<i class='fas fa-chevron-right'></i>"],
            items: 1,
            nav: this.nav,
            responsive: {
                0: {
                    items: ((_a = this.meta) === null || _a === void 0 ? void 0 : _a.styles.carrousel) ? (((_c = (_b = this.meta) === null || _b === void 0 ? void 0 : _b.styles) === null || _c === void 0 ? void 0 : _c.items) ? (_d = this.meta) === null || _d === void 0 ? void 0 : _d.styles.items.sm : 1) : 1,
                    nav: true,
                },
                400: {
                    items: ((_e = this.meta) === null || _e === void 0 ? void 0 : _e.styles.carrousel) ? (((_g = (_f = this.meta) === null || _f === void 0 ? void 0 : _f.styles) === null || _g === void 0 ? void 0 : _g.items) ? (_h = this.meta) === null || _h === void 0 ? void 0 : _h.styles.items.md : 2) : 2,
                    nav: true,
                },
                1000: {
                    items: ((_j = this.meta) === null || _j === void 0 ? void 0 : _j.styles.carrousel) ? (((_l = (_k = this.meta) === null || _k === void 0 ? void 0 : _k.styles) === null || _l === void 0 ? void 0 : _l.items) ? (_m = this.meta) === null || _m === void 0 ? void 0 : _m.styles.items.lg : 4) : 4,
                    nav: true,
                }
            }
        };
    }
    trimClassBlock(code) {
        return (code.split('-').length > 1) ? code.split('-')[1].toLowerCase() : '';
    }
    selectPromotion(banner) {
        this.analyticsService.callEvent('select_promotion', banner);
    }
};
BlockBannerBoxesEcComponent.ctorParameters = () => [
    { type: BlocksService },
    { type: Constants },
    { type: AnalyticsService }
];
__decorate$G([
    Input()
], BlockBannerBoxesEcComponent.prototype, "banners", void 0);
__decorate$G([
    Input()
], BlockBannerBoxesEcComponent.prototype, "meta", void 0);
__decorate$G([
    Input()
], BlockBannerBoxesEcComponent.prototype, "dots", void 0);
__decorate$G([
    Input()
], BlockBannerBoxesEcComponent.prototype, "nav", void 0);
__decorate$G([
    Input()
], BlockBannerBoxesEcComponent.prototype, "loop", void 0);
__decorate$G([
    Input()
], BlockBannerBoxesEcComponent.prototype, "margin", void 0);
BlockBannerBoxesEcComponent = __decorate$G([
    Component({
        selector: 'app-block-banner-boxes-ec',
        template: "<section [ngClass]=\"trimClassBlock(meta.code) + ' container-fluid'\" *ngIf=\"banners.length\"\n    [style.background-color]=\"meta.styles?.backgroundColor\"\n    [style.background-image]=\"meta.styles?.backgroundImage ? 'url(' + consts.mediaUrl() + meta.styles?.backgroundImage +')' : 'inherit'\">\n\n\n    <div class=\"block-boxes\">\n        <div class=\"row\" *ngIf=\"meta.name\">\n            <div class=\"col-12 mt-4\">\n                <h2  class=\"font-weight-normal font-gd\">\n                    <span>{{meta.name}}</span>\n                </h2>\n            </div>\n        </div>\n\n        <!-- Si es formato fijo -->\n        <ng-container *ngIf=\"meta.styles && meta.styles.carrousel == false ; else carrousel\">\n\n            <div class=\"banner-content\">\n\n                <div class=\"row g-0\">\n                    <div [class]=\"'item '+ ' col-md-6 ' + ' col-lg-' + (12/banners.length) \"\n                        *ngFor=\"let banner of banners; let i = index\" [id]=\"i\">\n                        <img class=\"img-fluid\" [src]=\"consts.mediaBannerUrl() + getImage(banner)\" alt=\"\">\n                        <div class=\"position-absolute w-100 top-0 start-0 h-100\">\n                        <h2 [class]=\"'item-title  px-2 item-position-vertical-'+ (banner.styles?.description?.position)\" \n                            [style.color]=\"(banner.styles?.description?.color) ? banner.styles?.description?.color : '#000'\">\n                            {{banner.title}}\n                        </h2>\n                        <p *ngIf=\"banner.subtitle\"\n                            [style.color]=\"(banner.styles?.description?.color) ? banner.styles?.description?.color : '#000' \"\n                            [class]=\"'px-4 item-subtitle item-position-vertical-' + (banner.styles?.description?.position)\">\n                            {{banner.subtitle}}\n                        </p>\n                        <div [class]=\"'item-position-vertical-' + (banner.styles?.button?.position)\">\n                            <a *ngIf=\"banner.styles?.button?.text\" href=\"{{banner.url}}\"\n                                [class]=\"'item-button btn btn-light'\">\n                                {{banner.styles.button.text}}\n                            </a>\n                        </div>\n                    </div>\n\n                    </div>\n                </div>\n            </div>\n\n        </ng-container>\n\n        <!-- Si es Carrousel -->\n        <ng-template #carrousel>\n\n\n            <!-- carrousel mobile -->\n            <ng-container *ngIf=\"consts.mobile(); else carrouselNormal\">\n                <div class=\"banner-content mobile carrousel\">\n\n                    <div class=\"row my-2\">\n\n                        <div class=\"col-12 item-carrousel\" *ngFor=\"let banner of banners; let i = index\" [id]=\"i\">\n                            <a href=\"{{banner.url}}\">\n                                <img class=\"img-fluid\" [src]=\"consts.mediaBannerUrl() + getImage(banner)\" alt=\"\">\n                                    <div class=\"position-absolute w-100 top-0 start-0 h-100\">\n                                    <h2 *ngIf=\"banner.title\" [class]=\"'item-title-fullpx-2 item-position-vertical-'+ (banner.styles?.description?.position)\"\n                                    [style.color]=\"(banner.styles?.description?.color) ? banner.styles?.description?.color : '#fff' \">\n                                        {{banner.title}}\n                                    </h2>\n                                    <p *ngIf=\"banner.subtitle\"\n                                        [style.color]=\"(banner.styles?.description?.color) ? banner.styles?.description?.color : '#000' \"\n                                        [class]=\"'px-4 item-subtitle item-position-vertical-' + (banner.styles?.description?.position)\">\n                                        {{banner.subtitle}}\n                                    </p>\n                                    <div [class]=\"'item-position-vertical-' + (banner.styles?.button?.position)\">\n                                        <a *ngIf=\"banner.styles?.button?.text\" href=\"{{banner.url}}\"\n                                            [class]=\"'item-button btn btn-light'\">\n                                            {{banner.styles.button.text}}\n                                        </a>\n                                    </div>\n                                </div>\n                            </a>\n\n                        </div>\n\n                    </div>\n                </div>\n            </ng-container>\n\n            <!-- carrousel desktop -->\n            <ng-template #carrouselNormal>\n\n                <owl-carousel-o [options]=\"options\">\n                    <ng-template carouselSlide *ngFor=\"let banner of banners; let i = index\" [id]=\"i\">\n\n                        <div class=\"banner-content carrousel\">\n                            <img [src]=\"consts.mediaBannerUrl() + getImage(banner)\" alt=\"\">\n                            <div class=\"position-absolute w-100 top-0 start-0 h-100\">\n                                <h2 *ngIf=\"banner.title\" \n                                    [class]=\"'item-title-full px-2 item-position-vertical-'+ (banner.styles?.description?.position)\"\n                                    style=\"color:#fff\">\n                                    {{banner.title}}\n                                </h2>\n                                <p *ngIf=\"banner.subtitle\"\n                                    [style.color]=\"(banner.styles?.description?.color) ? banner.styles?.description?.color : '#000' \"\n                                    [class]=\"'px-4 item-subtitle-full item-position-vertical-' + (banner.styles?.description?.position)\">\n                                    {{banner.subtitle}}\n                                </p>\n                                <div [class]=\"'item-position-vertical-' + (banner.styles?.button?.position)\">\n                                    <a *ngIf=\"banner.styles?.button?.text\" href=\"{{banner.url}}\"\n                                        [style.background-color]=\"(banner.styles?.button?.color) ? banner.styles?.button?.color : '#fff' \"\n                                        [class]=\"'item-button-full btn btn-light'\">\n                                        {{banner.styles.button.text}}\n                                    </a>\n                                </div>\n                            </div>\n                        </div>\n                        <!-- <div *ngIf=\"!banner.url; else externalUrl\" class=\"item-carrousel\">\n                            <a [routerLink]=\"formUrl(banner)\">\n                                <img [src]=\"consts.mediaBannerUrl() + getImage(banner)\" alt=\"\"></a>\n                        </div>\n                        <ng-template #externalUrl>\n                            <div class=\"item-carrousel\">\n                                <a href=\"{{banner.url}}\">\n                                    <img [src]=\"consts.mediaBannerUrl() + getImage(banner)\" alt=\"\">\n                                    <div class=\"bottom-left\">\n                                        {{banner.title}}\n                                    </div>\n\n                                </a>\n                            </div>\n                        </ng-template> -->\n                    </ng-template>\n                </owl-carousel-o>\n\n            </ng-template>\n\n        </ng-template>\n    </div>\n</section>",
        styles: [".item{position:relative}.item-title{top:30%}.item-title-full{top:50%}.item-subtitle-full{top:60%}.item-subtitle{top:40%}.item-button{top:60%}.item-button.item-position-vertical-center{left:50%;transform:translate(-50%)}.item-button.item-position-vertical-left{left:10%}.item-button.item-position-vertical-right{right:5%;transform:translate(-50%)}.item-button-full{top:70%}.item-button-full.item-position-vertical-center{left:50%;transform:translate(-50%)}.item-button-full.item-position-vertical-left{left:10%}.item-button-full.item-position-vertical-right{right:5%;transform:translate(-50%)}.item-position-vertical-left{text-align:left}.item-position-vertical-center{text-align:center}.item-position-vertical-right{text-align:right}h2.item-title-full::after{content:none}"]
    })
], BlockBannerBoxesEcComponent);

var __decorate$H = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let BlockBannerFullEcComponent = class BlockBannerFullEcComponent extends ComponentHelper {
    // public options: any;
    constructor(blocksService, consts, router, analyticsService) {
        super();
        this.blocksService = blocksService;
        this.consts = consts;
        this.router = router;
        this.analyticsService = analyticsService;
        this.dots = false;
        this.nav = false;
        this.loop = false;
        this.margin = 10;
        this.getImage = (banner) => this.blocksService.getBannerImage(banner);
        this.formUrl = (banner) => this.blocksService.formUrl(banner);
        this.options = {
            loop: true,
            autoplay: true,
            smartSpeed: 1050,
            margin: 10,
            dots: false,
            navSpeed: 700,
            navText: ["<i class='fas fa-angle-left'></i>", "<i class='fas fa-angle-right'></i>"],
            items: 1,
            nav: false,
            responsive: {
                0: { autoWidth: true, items: 1 },
                576: { autoWidth: true, items: 1 },
                768: { autoWidth: true, items: 1 },
                992: { autoWidth: true, items: 1 },
                1200: { autoWidth: true, items: 1 }
            }
        };
        this.ecOnConstruct();
    }
    ngOnInit() {
        this.banners = this.banners.map(banner => { return Object.assign(Object.assign({}, banner), banner.translations[this.consts.getLocale()]); });
        this.ecOnInit();
        //    this.options = {
        //        loop: this.loop,
        //        //autoplay: false,
        //        autoplay: true,
        //        smartSpeed: 950,
        //        margin: this.margin,
        //        dots: this.dots,
        //        navText: ["<i class='fas fa-angle-left'></i>", "<i class='fas fa-angle-right'></i>"],
        //        items:1,
        //        nav:this.nav,
        //        responsive: {
        //           0: { autoWidth: true, items: 1 },
        //           576: { autoWidth: true, items: 1},
        //           768: { autoWidth: true, items: 1},
        //           992: { autoWidth: true, items: 1 },
        //           1200: { autoWidth: true, items: 1}}
        //     }
    }
    handlePage(page) {
        return this.router.url.includes(page);
    }
    trimClassBlock(code) {
        return (code.split('-').length > 1) ? code.split('-')[1].toLowerCase() : '';
    }
    selectPromotion(banner) {
        this.analyticsService.callEvent('select_promotion', banner);
    }
};
BlockBannerFullEcComponent.ctorParameters = () => [
    { type: BlocksService },
    { type: Constants },
    { type: Router },
    { type: AnalyticsService }
];
__decorate$H([
    Input()
], BlockBannerFullEcComponent.prototype, "banners", void 0);
__decorate$H([
    Input()
], BlockBannerFullEcComponent.prototype, "meta", void 0);
__decorate$H([
    Input()
], BlockBannerFullEcComponent.prototype, "dots", void 0);
__decorate$H([
    Input()
], BlockBannerFullEcComponent.prototype, "nav", void 0);
__decorate$H([
    Input()
], BlockBannerFullEcComponent.prototype, "loop", void 0);
__decorate$H([
    Input()
], BlockBannerFullEcComponent.prototype, "margin", void 0);
BlockBannerFullEcComponent = __decorate$H([
    Component({
        selector: 'app-block-banner-full-ec',
        template: "<section [ngClass]=\"trimClassBlock(meta.code) + ' container-fluid px-0'\" *ngIf=\"banners.length\"\n    [style.background-color]=\"meta.styles?.backgroundColor\"\n    [style.background-image]=\"meta.styles?.backgroundImage ? 'url(' + consts.mediaUrl() + meta.styles?.backgroundImage +')' : 'inherit'\">\n\n\n    <!-- si es formato fijo -->\n    <ng-container *ngIf=\"banners.length == 1;else carrousel \">\n\n        <div class=\"row justify-content-center\">\n            <!-- banner sin boton -->\n            <a *ngIf=\"!banners[0].styles?.button?.text; else fullwithButton\" href=\"{{banners[0].url}}\">\n                <div class=\"item col-12\">\n                    <img class=\"img-fluid\" [src]=\"consts.mediaBannerUrl() + getImage(banners[0])\" alt=\"\">\n                    <div class=\"position-absolute w-100 h-100 start-0 top-0\">\n                        <h2 *ngIf=\"banners[0].title\" [class]=\"'item-title-full px-2 item-position-vertical-' + (banners[0].styles?.description?.position)\"\n                        [style.color]=\"(banners[0].styles?.description?.color) ? banners[0].styles?.description?.color : '#fff' \">\n                            {{banners[0].title}}\n                        </h2>\n                        <p *ngIf=\"banners[0].subtitle\"\n                            [style.color]=\"(banners[0].styles?.description?.color) ? banners[0].styles?.description?.color : '#000' \"\n                            [class]=\"'px-4 item-subtitle-full item-position-vertical-' + (banners[0].styles?.description?.position)\">\n                            {{banners[0].subtitle}}\n                        </p>\n                    </div>\n                </div>\n            </a>\n\n            <!-- banner fijo con boton -->\n            <ng-template #fullwithButton>\n                <div class=\"item col-12\">\n                    <img class=\"img-fluid\" [src]=\"consts.mediaBannerUrl() + getImage(banners[0])\" alt=\"\">\n                    <div class=\"position-absolute w-100 h-100 start-0 top-0\">\n                        <h2 *ngIf=\"banners[0].title\" [class]=\"'item-title-full px-2 item-position-vertical-' + (banners[0].styles?.description?.position)\"\n                        [style.color]=\"(banners[0].styles?.description?.color) ? banners[0].styles?.description?.color : '#000' \">\n                            {{banners[0].title}}\n                        </h2>\n                        <p *ngIf=\"banners[0].subtitle\"\n                            [style.color]=\"(banners[0].styles?.description?.color) ? banners[0].styles?.description?.color : '#000' \"\n                            [class]=\"'px-4 item-subtitle-full item-position-vertical-' + (banners[0].styles?.description?.position)\">\n                            {{banners[0].subtitle}}\n                        </p>\n                        <div [class]=\"'item-position-vertical-' + (banners[0].styles?.button?.position)\">\n                            <a *ngIf=\"banners[0].styles?.button?.text\" href=\"{{banners[0].url}}\"\n                                [class]=\"'item-button-full btn btn-light '\">\n                                {{banners[0].styles.button.text}}\n                            </a>\n                        </div>\n                    </div>\n                </div>\n\n            </ng-template>\n        </div>\n    </ng-container>\n\n\n    <!-- si es carrousel -->\n    <ng-template #carrousel>\n\n        <owl-carousel-o [options]=\"options\">\n            <ng-template carouselSlide *ngFor=\"let banner of banners\" [id]=\"banner.id\">\n\n                <!-- banner sin boton -->\n                <div class=\"item\" *ngIf=\"!banner.styles?.button?.text; else carrouselwithButton\">\n                    <a *ngIf=\"banner.url; else onlyImage\" href=\"{{banner.url}}\">\n                        <img [src]=\"consts.mediaBannerUrl() + getImage(banner)\" alt=\"\">\n                    </a>\n                    <ng-template #onlyImage>\n                        <img [src]=\"consts.mediaBannerUrl() + getImage(banner)\" alt=\"\">\n                    </ng-template>\n                </div>\n\n                <!-- banner con boton -->\n                <ng-template #carrouselwithButton>\n                    <div class=\"item\">\n                        <img [src]=\"consts.mediaBannerUrl() + getImage(banner)\" alt=\"\">\n                        <div class=\"position-absolute w-100 h-100 start-0 top-0\">\n                            <h2 *ngIf=\"banner.title\"\n                                [class]=\"'item-title-full px-2 item-position-vertical-'+ (banner.styles?.description?.position)\"\n                                [style.color]=\"(banner.styles?.description?.color) ? banner.styles?.description?.color : '#000' \">\n                                {{banner.title}}\n                            </h2>\n                            <p *ngIf=\"banner.subtitle\"\n                                [style.color]=\"(banner.styles?.description?.color) ? banner.styles?.description?.color : '#000' \"\n                                [class]=\"'px-4 item-subtitle-full item-position-vertical-' + (banner.styles?.description?.position)\">\n                                {{banner.subtitle}}\n                            </p>\n                            <div [class]=\"'item-position-vertical-' + (banner.styles?.button?.position)\">\n                                <a *ngIf=\"banner.styles?.button?.text\" href=\"{{banner.url}}\"\n                                    [class]=\"'item-button-full btn btn-light'\">\n                                    {{banner.styles.button.text}}\n                                </a>\n                            </div>\n                        </div>\n                        <!-- <a *ngIf=\"!banner.url && (formUrl(banner) != '/')\" [routerLink]=\"formUrl(banner)\"\n                                class=\"btn btn-outline-light rounded-0 py-3 px-4 btn-conoce btn-caption-banner\">\n                                Conoc&eacute; Mas</a>\n                            <a *ngIf=\"banner.url\" href=\"{{banner.url}}\"\n                                class=\"btn btn-outline-light rounded-0 py-3 px-4 btn-conoce btn-caption-banner\">\n                                Conoc&eacute; Mas</a> -->\n                    </div>\n                </ng-template>\n\n\n                <!-- <div class=\"item\">\n                    <a *ngIf=\"banner.url; else onlyImage\" href=\"{{banner.url}}\">\n                        <img [src]=\"consts.mediaBannerUrl() + getImage(banner)\" alt=\"\">\n                    </a>\n                    <ng-template #onlyImage>\n                        <img [src]=\"consts.mediaBannerUrl() + getImage(banner)\" alt=\"\">\n                    </ng-template>\n                    <div class=\"carousel-caption d-block\">\n                        <a *ngIf=\"!banner.url && (formUrl(banner) != '/')\" [routerLink]=\"formUrl(banner)\"\n                            class=\"btn btn-outline-light rounded-0 py-3 px-4 btn-conoce btn-caption-banner\">\n                            Conoc&eacute; Mas</a>\n                        <a *ngIf=\"banner.url\" href=\"{{banner.url}}\"\n                            class=\"btn btn-outline-light rounded-0 py-3 px-4 btn-conoce btn-caption-banner\">\n                            Conoc&eacute; Mas</a>\n                    </div>\n                </div> -->\n            </ng-template>\n        </owl-carousel-o>\n    </ng-template>\n</section>\n",
        styles: [".owl-theme .owl-nav{background:0 0!important}.item{position:relative}.item-title{top:30%}.item-title-full{top:50%}.item-subtitle-full{top:60%}.item-subtitle{top:40%}.item-button{top:60%}.item-button.item-position-vertical-center{left:50%;transform:translate(-50%)}.item-button.item-position-vertical-left{left:10%}.item-button.item-position-vertical-right{right:5%;transform:translate(-50%)}.item-button-full{top:70%}.item-button-full.item-position-vertical-center{left:50%;transform:translate(-50%)}.item-button-full.item-position-vertical-left{left:10%}.item-button-full.item-position-vertical-right{right:5%;transform:translate(-50%)}.item-position-vertical-left{text-align:left}.item-position-vertical-center{text-align:center}.item-position-vertical-right{text-align:right}h2.item-title-full::after{content:none}"]
    })
], BlockBannerFullEcComponent);

var __decorate$I = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let BlockFormContactEcComponent = class BlockFormContactEcComponent extends ComponentHelper {
    constructor(toastrService, router, consts, formBuilder, blocksService) {
        super();
        this.toastrService = toastrService;
        this.router = router;
        this.consts = consts;
        this.formBuilder = formBuilder;
        this.blocksService = blocksService;
        this.redirect = true;
        this.form_data = new FormData();
        this.loading = false;
        this.sendForm = (form, success_message) => {
            if (form.valid && (form.value.email.includes('@'))) {
                const formData = new FormData();
                formData.append('mailText', form.value.body);
                formData.append('form_code', this.block.code);
                this.sendValue('name') && formData.append('name', this.contact_form.get('name').value);
                this.sendValue('email') && formData.append('email', this.contact_form.get('email').value);
                this.sendValue('telephone') && formData.append('telephone', this.contact_form.get('telephone').value);
                this.sendValue('subject') && formData.append('subject', this.contact_form.get('subject').value);
                this.sendValue('body') && formData.append('body', this.contact_form.get('body').value);
                this.sendValue('attachments') && formData.append('attachment', this.contact_form.get('attachment').value);
                this.blocksService.sendResponse(formData).toPromise().then(res => {
                    this.contact_form.reset();
                    this.toastrService.show(this.success_message || success_message);
                    this.loading = false;
                    this.redirect && this.router.navigateByUrl('/home');
                }, err => {
                    this.toastrService.show('inquiry-error');
                    this.loading = false;
                });
            }
            else {
                this.toastrService.show('invalid-form');
                this.loading = false;
            }
        };
        this.setSubject = () => {
            this.contact_form.setValue(Object.assign(Object.assign({}, this.contact_form.value), { subject: this.subject }));
        };
        this.subscribe = () => {
            // PEDIR AL SERVICIO SE LO SUBSCRIBA, Y RESPONDA SI LO SUBSCRIBIÓ O YA ESTABA SUBSCRIPTO
        };
        this.toastNewsletterForm = (e) => {
            this.loading = true;
            e.preventDefault();
            this.sendForm(this.newsletter_form, 'newsletter-thanks');
        };
        this.toastCompleteForm = (e) => {
            this.loading = true;
            e.preventDefault();
            this.sendForm(this.contact_form, 'inquiry-sent');
        };
        this.sendValue = (key) => {
            try {
                let keysearch = key[0].toUpperCase() + key.slice(1).toLowerCase();
                return this.block && this.block['send' + keysearch] || false;
            }
            catch (error) {
                console.error(error);
                return false;
            }
        };
        this.contact_form = this.formBuilder.group({
            name: ['', []],
            email: ['', Validators.required],
            telephone: ['', []],
            subject: ['', []],
            body: ['', []],
            attachment: [''],
            captcha: ['', Validators.required],
        });
        this.newsletter_form = this.formBuilder.group({
            email: ['', Validators.required],
        });
        this.ecOnConstruct();
    }
    trimClassBlock(code) {
        return (code.split('-').length > 1) ? code.split('-')[1].toLowerCase() : '';
    }
    uploadFile(event) {
        if (event.target.files.length > 0) {
            const file = event.target.files[0];
            this.contact_form.get('attachment').setValue(file);
        }
    }
    ngOnChanges() { }
    ngOnInit() {
        this.block = Object.assign(Object.assign({}, this.block), this.block.translations[this.consts.getLocale()]);
        this.subject && this.setSubject();
        this.ecOnInit();
    }
    resolved(captchaResponse) {
        this.form_data.catpcha = captchaResponse;
    }
};
BlockFormContactEcComponent.ctorParameters = () => [
    { type: ToastService },
    { type: Router },
    { type: Constants },
    { type: FormBuilder },
    { type: BlocksService }
];
__decorate$I([
    Input()
], BlockFormContactEcComponent.prototype, "block", void 0);
__decorate$I([
    Input()
], BlockFormContactEcComponent.prototype, "success_message", void 0);
__decorate$I([
    Input()
], BlockFormContactEcComponent.prototype, "redirect", void 0);
__decorate$I([
    Input()
], BlockFormContactEcComponent.prototype, "subject", void 0);
BlockFormContactEcComponent = __decorate$I([
    Component({
        selector: 'app-block-form-contact-ec',
        template: "<!-- banners -->\n<!-- <div class=\"row\">\n     <div class=\"col-12 p-0\" id=\"banner-slider-home\">\n          <div id=\"banner-slider\" class=\"h-100 w-100\">\n               <div class=\"item\">\n                    <img src=\"assets/image/login.png\" class=\"w-100 d-none d-md-block\">\n                    <img src=\"assets/image/26912-05-mobile.png\" class=\"w-100 d-block d-md-none\">\n                    <div class=\"caption position-absolute center-item\">\n                         <h1 class=\"color-white\">Contacto</h1>\n                    </div>\n               </div>\n          </div>\n     </div>\n</div>\n\n<div class=\"row\" id=\"contacto\">\n     <div class=\"col-12 py-md-5 py-0 px-0\">\n          <div class=\"container\" style=\"background-color: #F1F1F1;\">\n               <div class=\"row d-flex justify-content-center\">\n                    <div class=\"col-md-7 px-md-5 px-3 col-12\">\n                         <h1 class=\"right-line font-mg ff-ubuntu-light mb-2\"><span>Tomamos nota y te</span>\n                         </h1>\n                         <h1 class=\"font-mg ff-ubuntu-semi-bold mb-2\">respondemos lo antes posible</h1>\n                         <form (submit)=\"toastCompleteForm($event)\">\n                              <div class=\"row\">\n                                   <div class=\"col-md-6 col-12 mt-2\" *ngIf=\"block.sendName\">\n                                        <input class=\"form-control mb-4 radius-0 border-0\" type=\"text\"\n                                             [formControl]=\"contact_form.controls['name']\" placeholder=\"Nombre\">\n                                   </div>\n                                   <div class=\"col-md-6 col-12 mt-2\" *ngIf=\"block.sendEmail\">\n                                        <input class=\"form-control mb-4 radius-0 border-0\" type=\"text\"\n                                             [formControl]=\"contact_form.controls['email']\"\n                                             placeholder=\"Correo electr\u00F3nico\">\n                                   </div>\n                                   <div class=\"col-md-6 col-12 mt-2\" *ngIf=\"block.sendTelephone\">\n                                        <input class=\"form-control mb-4 radius-0 border-0\" type=\"text\"\n                                             [formControl]=\"contact_form.controls['telephone']\"\n                                             placeholder=\"Numero de tel\u00E9fno\">\n                                   </div>\n                                   <div class=\"col-md-6 col-12 mt-2\" *ngIf=\"block.sendSubject\">\n                                        <input class=\"form-control mb-4 radius-0 border-0\" type=\"text\"\n                                             [formControl]=\"contact_form.controls['subject']\" placeholder=\"Asunto\">\n                                   </div>\n                                   <div class=\"col-12 mt-2\" *ngIf=\"block.sendBody\">\n                                        <textarea class=\"form-control mb-4 radius-0 border-0\"\n                                             [formControl]=\"contact_form.controls['body']\"\n                                             placeholder=\"Comentarios\"></textarea>\n                                   </div>\n                                   <div class=\"col-12 mt-2\">\n                                     \n                                        <re-captcha class=\"g-recaptcha\" (resolved)=\"resolved($event)\"\n                                             [formControl]=\"contact_form.controls['captcha']\">\n                                        </re-captcha>\n                                   </div>\n                                   <div class=\"col-12 mb-5\">\n                                        <button [disabled]=\"contact_form.invalid\" type=\"submit\"\n                                             class=\"bg-gray border-0 px-4 py-2 color-white ff-ubuntu-light\">ENVIAR</button>\n                                   </div>\n                              </div>\n                         </form>\n                    </div>\n               </div>\n          </div>\n     </div>\n</div> -->\n\n<div [ngClass]=\"trimClassBlock(block.code) + ' container-fluid'\"  *ngIf=\"block\">\n    <div class=\"row justify-content-center\">\n        <div class=\"col-12 col-md-12\">\n            <div class=\"row w-100 m-auto\">\n                <h5>{{block.name || 'Dejanos tu consulta'}}</h5>\n                <p class=\"w-100\">{{ block.description || 'Completa el siguiente formulario y responderemos tu consulta a\n                    la brevedad' }}</p>\n            </div>\n            <form (submit)=\"toastCompleteForm($event)\" class=\"position-relative\">\n                <div class=\"form-group\" *ngIf=\"block.sendName\">\n                    <label class=\"sr-only\" for=\"nombre\">Nombre</label>\n                    <input [formControl]=\"contact_form.controls['name']\" type=\"text\"\n                        class=\"form-control form-control-sm required\" id=\"nombre\" placeholder=\"Nombre\">\n                </div>\n\n                <div class=\"form-group\" *ngIf=\"block.sendEmail\">\n                    <label class=\"sr-only\" for=\"mail\">Email</label>\n                    <input [formControl]=\"contact_form.controls['email']\" type=\"email\"\n                        class=\"form-control form-control-sm required\" id=\"mail\" placeholder=\"Email\">\n                </div>\n\n                <div class=\"form-group\" *ngIf=\"block.sendTelephone\">\n                    <label class=\"sr-only\" for=\"telefono\">Tel\u00E9fono</label>\n                    <input [formControl]=\"contact_form.controls['telephone']\" type=\"text\"\n                        class=\"form-control form-control-sm required\" id=\"telefono\" placeholder=\"Tel\u00E9fono\">\n                </div>\n\n                <div class=\"form-group\" *ngIf=\"block.sendSubject\">\n                    <label class=\"sr-only\" for=\"subject\">Asunto</label>\n                    <input [formControl]=\"contact_form.controls['subject']\" type=\"text\"\n                        class=\"form-control form-control-sm required\" id=\"subject\" placeholder=\"Asunto\">\n                </div>\n\n                <div class=\"form-group\" *ngIf=\"block.sendBody\">\n                    <label class=\"sr-only\" for=\"mensaje\">Mensaje</label>\n                    <textarea [formControl]=\"contact_form.controls['body']\" name=\"mensaje\" id=\"mensaje \" cols=\"30\"\n                        rows=\"5\" placeholder=\"Dejanos tu mensaje\"\n                        class=\"form-control form-control-sm required\"></textarea>\n                </div>\n\n                <div class=\"boxContenidoCapcha mb-3\">\n                    <div class=\"contenedorCaptcha\">\n                        <re-captcha-ec [form]=\"contact_form\"></re-captcha-ec>\n                    </div>\n                </div>\n\n\n\n                <button type=\"submit\" class=\"btn btn-dark text-uppercase px-5\"\n                    [disabled]=\"contact_form.invalid\">ENVIAR</button>\n                \n                <app-loading-section-ec *ngIf=\"loading\"></app-loading-section-ec>\n            </form>\n        </div>\n\n       <!--  <div class=\"col-12 col-md-4 py-3\">\n            <div *ngIf=\"block && block.additionalInformation; else noHTMLContentView\"\n                [innerHTML]=\"block.additionalInformation\">\n            </div>\n        </div> -->\n    </div>\n</div>",
        styles: [".center-item{top:50%;right:50%}"]
    })
], BlockFormContactEcComponent);

var __decorate$J = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let BlockHtmlEcComponent = class BlockHtmlEcComponent extends ComponentHelper {
    constructor(sanitizer) {
        super();
        this.sanitizer = sanitizer;
        this.ecOnConstruct();
    }
    ngOnInit() {
        this.html_content = this.sanitizer.bypassSecurityTrustHtml(this.html_content);
        this.ecOnInit();
    }
    trimClassBlock(code) {
        return (code.split('-').length > 1) ? code.split('-')[1].toLowerCase() : '';
    }
};
BlockHtmlEcComponent.ctorParameters = () => [
    { type: DomSanitizer }
];
__decorate$J([
    Input()
], BlockHtmlEcComponent.prototype, "html_content", void 0);
BlockHtmlEcComponent = __decorate$J([
    Component({
        selector: 'app-block-html-ec',
        template: "<div [innerHTML]=\"html_content\"></div>",
        styles: [""]
    })
], BlockHtmlEcComponent);

var __decorate$K = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __param$6 = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
let ContactFormNewsEcComponent = class ContactFormNewsEcComponent extends ComponentHelper {
    constructor(toastrService, router, consts, paramsService, formBuilder, blocksService, env) {
        super();
        this.toastrService = toastrService;
        this.router = router;
        this.consts = consts;
        this.paramsService = paramsService;
        this.formBuilder = formBuilder;
        this.blocksService = blocksService;
        this.env = env;
        this.complete = false;
        this.codeBlock = 'newsletter_block';
        this.blocks = [];
        this.blockContact = null;
        this.form_data = {};
        this.sendForm = (form, success_message) => {
            console.log('enviando...');
            if (form.valid && (form.value.email.includes('@'))) {
                const formData = new FormData();
                formData.append('form_code', this.block.code);
                this.sendValue('name') && formData.append('name', form.get('name').value);
                this.sendValue('email') && formData.append('email', form.get('email').value);
                this.sendValue('telephone') && formData.append('telephone', form.get('telephone').value);
                this.sendValue('subject') && formData.append('subject', form.get('subject').value);
                this.sendValue('body') && formData.append('body', form.get('body').value);
                this.sendValue('attachments') && formData.append('attachment', form.get('attachment').value);
                this.blocksService.sendResponse(formData).toPromise().then(res => {
                    this.newsletter_form.reset();
                    this.toastrService.show(this.success_message || success_message);
                }, err => {
                    this.toastrService.show('inquiry-error');
                });
            }
            else {
                this.toastrService.show('invalid-form');
            }
        };
        this.subscribeBlockNews = (block) => {
        };
        this.setSubject = () => {
            this.contact_form.setValue(Object.assign(Object.assign({}, this.contact_form.value), { subject: this.subject }));
        };
        this.subscribe = () => {
            // PEDIR AL SERVICIO SE LO SUBSCRIBA, Y RESPONDA SI LO SUBSCRIBIÓ O YA ESTABA SUBSCRIPTO
        };
        this.toastNewsletterForm = (e) => {
            e.preventDefault();
            this.sendForm(this.newsletter_form, 'newsletter-thanks');
        };
        this.sendValue = (key) => {
            try {
                let keysearch = key[0].toUpperCase() + key.slice(1).toLowerCase();
                return this.block && this.block['send' + keysearch] || false;
            }
            catch (error) {
                console.error(error);
                return false;
            }
        };
        this.newsletter_form = this.formBuilder.group({
            name: ['', []],
            email: ['', Validators.required],
            telephone: ['', []],
            subject: ['', []],
            body: ['', []],
            captcha: ['', []],
            terms: ['', Validators.required],
        });
        this.ecOnConstruct();
    }
    ngOnChanges() {
    }
    ngOnInit() {
        if (!this.block) {
            this.blocksService.getBlocks('home');
            this.blocksService.blocks.pipe(filter((blocks) => (blocks && blocks.length > 0))).subscribe(blocks => {
                this.block = this.blocksService.getBlockByCode(this.codeBlock);
                if (this.block.contactForm) {
                    this.block = this.block.contactForm;
                }
                this.block = Object.assign(Object.assign({}, this.block), this.block.translations[this.consts.getLocale()]);
                this.subscribeBlockNews(this.block);
            });
        }
        else {
            this.block = Object.assign(Object.assign({}, this.block), this.block.translations[this.consts.getLocale()]);
        }
        this.subject && this.setSubject();
        this.ecOnInit();
    }
    resolved(captchaResponse, res) {
        this.form_data.catpcha = captchaResponse;
    }
    trimClassBlock(code) {
        return (code.split('-').length > 1) ? code.split('-')[1].toLowerCase() : '';
    }
};
ContactFormNewsEcComponent.ctorParameters = () => [
    { type: ToastService },
    { type: Router },
    { type: Constants },
    { type: ParametersService },
    { type: FormBuilder },
    { type: BlocksService },
    { type: undefined, decorators: [{ type: Inject, args: ['env',] }] }
];
__decorate$K([
    Input()
], ContactFormNewsEcComponent.prototype, "block", void 0);
__decorate$K([
    Input()
], ContactFormNewsEcComponent.prototype, "complete", void 0);
__decorate$K([
    Input()
], ContactFormNewsEcComponent.prototype, "success_message", void 0);
__decorate$K([
    Input()
], ContactFormNewsEcComponent.prototype, "subject", void 0);
__decorate$K([
    Input()
], ContactFormNewsEcComponent.prototype, "codeBlock", void 0);
ContactFormNewsEcComponent = __decorate$K([
    Component({
        selector: 'app-contact-form-news-ec',
        template: "<div class=\"row\">\n    <div class=\"col-12 p-md-5 p-0\">\n        <div class=\"row d-flex flex-row justify-content-center\" id=\"newsletter\">\n\n            <form (submit)=\"toastNewsletterForm($event)\" id=\"form-suscripcion\" name=\"form-suscripcion\">\n                <h4>{{block.name || 'Suscr\u00EDbete a nuestras novedades'}}</h4>\n\n                <div class=\"input-group mb-3\">\n                    <input type=\"email\" class=\"form-control\" placeholder=\"Tu Email\"  [formControl]=\"newsletter_form.controls['email']\">\n                    <button class=\"btn btn-secondary\" type=\"submit\" id=\"button-addon\">Enviar</button>\n                </div>\n                <div class=\"form-check\">\n                    <input class=\"form-check-input\" type=\"checkbox\" value=\"\" id=\"flexCheck\"  [formControl]=\"newsletter_form.controls['terms']\">\n                    <label class=\"form-check-label\" for=\"flexCheck\">\n                        Acepto que he le\u00EDdo la <a routerLink=\"/section/terminos-y-condiciones\">pol\u00EDtica de\n                            privacidad y condiciones</a>\n                    </label>\n                </div>\n                <!-- <input type=\"text\" name=\"email-suscripcion\" id=\"email-suscripcion\" placeholder=\"Tu e-mail\"\n                    data-bs-bvalidator=\"email,required\" data-bs-bvalidator-msg=\"Completar\" required email\n                    [formControl]=\"newsletter_form.controls['email']\">\n                <button type=\"submit\" value=\"Enviar\">Enviar</button>\n                <br />\n                <div class=\"d-flex flex-row align-items-end\">\n                    <input class=\"form-check-input justify-content-star\" type=\"checkbox\" required\n                        [formControl]=\"newsletter_form.controls['terms']\" id=\"flexCheckDefault\">\n                    <label class=\"form-check-label\" for=\"flexCheckDefault\">\n                        Acepto que he le\u00EDdo la <a routerLink=\"/section/terminos-y-condiciones\"\n                            class=\"text-white text-underline d-inline\">pol\u00EDtica de\n                            privacidad y condiciones</a>\n                    </label>\n                </div> -->\n            </form>\n\n        </div>\n    </div>\n</div>",
        providers: [BlocksService],
        styles: [""]
    }),
    __param$6(6, Inject('env'))
], ContactFormNewsEcComponent);

var __decorate$L = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let BlockProductsEcComponent = class BlockProductsEcComponent extends ComponentHelper {
    constructor(consts, analyticsService) {
        super();
        this.consts = consts;
        this.analyticsService = analyticsService;
        this.dots = false;
        this.nav = false;
        this.loop = false;
        this.margin = 10;
        this.optionsOwl = {
            loop: false,
            autoplay: false,
            smartSpeed: 950,
            margin: 10,
            dots: false,
            navText: ["<i class='fas fa-angle-left'></i>", "<i class='fas fa-angle-right'></i>"],
            responsive: {
                0: {
                    items: 4,
                    nav: true,
                },
                400: {
                    items: 4,
                    nav: true,
                },
                1000: {
                    items: 4,
                    nav: true,
                }
            }
        };
        this.boxesInlcudesCode = (box) => this.meta.code.toUpperCase().includes(box.toUpperCase());
        this.ecOnConstruct();
    }
    ngOnInit() {
        var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m, _o, _p;
        this.meta = Object.assign(Object.assign({}, this.meta), (this.meta.translations ? this.meta.translations[this.consts.getLocale()] : { name: null }));
        this.analyticsService.callEvent('view_item_list', { products: this.products, item_list_name: this.meta.name || 'Block Products', item_list_id: ((_b = (_a = this.meta.name) === null || _a === void 0 ? void 0 : _a.toLowerCase()) === null || _b === void 0 ? void 0 : _b.replace(' ', '-')) || 'block-products' });
        this.optionsOwl = {
            loop: this.loop,
            autoplay: false,
            smartSpeed: 950,
            margin: this.margin,
            dots: this.dots,
            navText: ["<i class='fas fa-angle-left'></i>", "<i class='fas fa-angle-right'></i>"],
            nav: this.nav,
            responsive: {
                0: {
                    items: ((_c = this.meta) === null || _c === void 0 ? void 0 : _c.styles.carrousel) ? (((_e = (_d = this.meta) === null || _d === void 0 ? void 0 : _d.styles) === null || _e === void 0 ? void 0 : _e.items) ? (_f = this.meta) === null || _f === void 0 ? void 0 : _f.styles.items.sm : 1) : 1,
                    nav: true,
                },
                400: {
                    items: ((_g = this.meta) === null || _g === void 0 ? void 0 : _g.styles.carrousel) ? (((_j = (_h = this.meta) === null || _h === void 0 ? void 0 : _h.styles) === null || _j === void 0 ? void 0 : _j.items) ? (_k = this.meta) === null || _k === void 0 ? void 0 : _k.styles.items.md : 2) : 2,
                    nav: true,
                },
                1000: {
                    items: ((_l = this.meta) === null || _l === void 0 ? void 0 : _l.styles.carrousel) ? (((_o = (_m = this.meta) === null || _m === void 0 ? void 0 : _m.styles) === null || _o === void 0 ? void 0 : _o.items) ? (_p = this.meta) === null || _p === void 0 ? void 0 : _p.styles.items.lg : 4) : 4,
                    nav: true,
                }
            }
        };
        this.ecOnInit();
    }
    ngOnChanges() {
    }
    getKeyByValue(object, value) {
        return Object.keys(object).find(key => object[key] === value);
    }
    trimClassBlock(code) {
        return (code.split('-').length > 1) ? code.split('-')[1].toLowerCase() : '';
    }
    selectPromotion(banner) {
        this.analyticsService.callEvent('select_promotion', banner);
    }
};
BlockProductsEcComponent.ctorParameters = () => [
    { type: Constants },
    { type: AnalyticsService }
];
__decorate$L([
    Input()
], BlockProductsEcComponent.prototype, "appProduct", void 0);
__decorate$L([
    Input()
], BlockProductsEcComponent.prototype, "products", void 0);
__decorate$L([
    Input()
], BlockProductsEcComponent.prototype, "meta", void 0);
__decorate$L([
    Input()
], BlockProductsEcComponent.prototype, "dots", void 0);
__decorate$L([
    Input()
], BlockProductsEcComponent.prototype, "nav", void 0);
__decorate$L([
    Input()
], BlockProductsEcComponent.prototype, "loop", void 0);
__decorate$L([
    Input()
], BlockProductsEcComponent.prototype, "margin", void 0);
BlockProductsEcComponent = __decorate$L([
    Component({
        selector: 'app-block-products-ec',
        template: "<!-- <div class=\"row\">\n     <div class=\"col-12 text-center mt-4\">\n          <h1 class=\"ff-source-bold color-golden\">\n               {{ meta.name || 'NOVEDADES'}}\n          </h1>\n     </div>\n     <div class=\"col-12 p-0\">\n          <div class=\"container\">\n               <owl-carousel-o [options]=\"options\" class=\" py-3 px-md-5 px-0\">\n                    <ng-container *ngFor=\"let product of products\">\n                         <ng-template carouselSlide>\n                              <div class=\"px-4 py-0 text-center\">\n                                   <app-product [product]=\"product\"></app-product>\n                              </div>\n                         </ng-template>\n                    </ng-container>\n               </owl-carousel-o>\n          </div>\n     </div>\n</div> -->\n<section [ngClass]=\"trimClassBlock(meta.code) + ' container-fluid'\">\n\n\n    <div class=\"blockProduct block-product\">\n        <div *ngIf=\"meta.name\" class=\"row\">\n            <div class=\"col-12 mt-4\">\n                <h2  class=\"font-weight-normal font-gd\">\n                    <span>{{meta.name}}</span>\n                </h2>\n            </div>\n        </div>\n\n        <ng-container *ngIf=\"meta.styles && meta.styles.carrousel == false ; else carrousel\">\n\n            <div class=\"row \">\n                <div [class]=\"'item '+ ' col-'+ (meta.styles.items.sm) + ' col-md-' + (meta.styles.items.md)  + ' col-lg-' + (meta.styles.items.lg)  + ' px-2'\"\n                    *ngFor=\"let product of products; let i = index\" [id]=\"i\">\n\n\n                    <!-- verifica que si vienen un template para un custom appProduct llamado \"appProduct\" con un objeto \"product\"- sino usa por defecto el del core -->\n                    <ng-container [ngTemplateOutlet]=\"appProduct ? appProduct : defaultAppProduct\" [ngTemplateOutletContext]=\"{product:product}\"  ></ng-container>\n                   \n                  \n                </div>\n            </div>\n\n        </ng-container>\n\n        <ng-template #carrousel>\n\n\n            <owl-carousel-o [options]=\"optionsOwl\">\n                <ng-template carouselSlide *ngFor=\"let product of products; let i = index\" [id]=\"i\">\n\n                    <ng-container [ngTemplateOutlet]=\"appProduct ? appProduct : defaultAppProduct\" [ngTemplateOutletContext]=\"{product:product}\"  ></ng-container>\n\n                    <!-- <app-product-ec [product]=\"product\"></app-product-ec> -->\n                </ng-template>\n            </owl-carousel-o>\n\n\n        </ng-template>\n    </div>\n</section>\n\n\n<!-- componente por defecto (tomara como producto el contexto pasado como \"product\") -->\n<ng-template #defaultAppProduct let-product=\"product\" > \n    <!-- <app-product [product]=\"product\"></app-product> -->\n    <app-product-ec [product]=\"product\"></app-product-ec>\n</ng-template>",
        styles: [".item{position:relative}.item-title{top:30%}.item-title-full{top:50%}.item-subtitle-full{top:60%}.item-subtitle{top:40%}.item-button{top:60%}.item-button.item-position-vertical-center{left:50%;transform:translate(-50%)}.item-button.item-position-vertical-left{left:10%}.item-button.item-position-vertical-right{right:5%;transform:translate(-50%)}.item-button-full{top:70%}.item-button-full.item-position-vertical-center{left:50%;transform:translate(-50%)}.item-button-full.item-position-vertical-left{left:10%}.item-button-full.item-position-vertical-right{right:5%;transform:translate(-50%)}.item-position-vertical-left{text-align:left}.item-position-vertical-center{text-align:center}.item-position-vertical-right{text-align:right}h2.item-title-full::after{content:none}"]
    })
], BlockProductsEcComponent);

var __decorate$M = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let BlocksEcComponent = class BlocksEcComponent extends ComponentHelper {
    constructor(blocksService, consts, analyticsService) {
        super();
        this.blocksService = blocksService;
        this.consts = consts;
        this.analyticsService = analyticsService;
        this.strsection = null;
        this.show_loading = true;
        this.getHTMLContent = (block) => block.translations[this.consts.getLocale()].content;
        this.showBlock = (block) => this.blockFilters ? this.blockFilters.includes(block.code) : true;
        this.isNewsletter = (block) => block.contactForm.code.includes('news');
        this.ecOnConstruct();
    }
    set section(paramsstrsection) {
        this.strsection = paramsstrsection;
        this.strsection && this.blocksService.getBlocks(this.strsection);
    }
    ngOnInit() {
        // this.blocksService.getBlocks(this.section);
        this.ecOnInit();
    }
    trimClassBlock(code) {
        return (code.split('-').length > 1) ? code.split('-')[1].toLowerCase() : '';
    }
    selectPromotion(block) {
        console.log('hola');
        this.analyticsService.callEvent('select_promotion', block);
    }
};
BlocksEcComponent.ctorParameters = () => [
    { type: BlocksService },
    { type: Constants },
    { type: AnalyticsService }
];
__decorate$M([
    Input()
], BlocksEcComponent.prototype, "appProduct", void 0);
__decorate$M([
    Input()
], BlocksEcComponent.prototype, "templates", void 0);
__decorate$M([
    Input()
], BlocksEcComponent.prototype, "blockFilters", void 0);
__decorate$M([
    Input()
], BlocksEcComponent.prototype, "section", null);
__decorate$M([
    Input()
], BlocksEcComponent.prototype, "show_loading", void 0);
BlocksEcComponent = __decorate$M([
    Component({
        selector: 'app-blocks-ec',
        template: "<div *ngIf=\"blocksService.blocks | async as blocks\">\n    <div *ngIf=\"blocks\">\n        <div class=\"container-fluid px-0\" *ngIf=\"blocks.length >= 1; else loading\">\n            <div class=\"row\">\n\n                <ng-container *ngFor=\"let block of blocks\">\n                    <ng-container [ngSwitch]=\"block.contentType\">\n                        <!-- Block Banner-->\n                        <ng-container *ngSwitchCase=\"'banner'\">\n                            <!--Banner Full-->\n                            <ng-template #appBlockBannerFullEc let-block=\"block\">\n                                <app-block-banner-full-ec\n                                    [class]=\"block.styles && block.styles?.items ? ('col-sm-' + block.styles?.items.sm + ' col-md-' + block.styles?.items.md + ' col-lg-' + block.styles?.items.lg) : ' col-12'\"\n                                    [banners]=\"block.banners\" [margin]=\"0\" [meta]=\"block\">\n                                </app-block-banner-full-ec>\n                            </ng-template>\n                            <ng-container *ngIf=\"block.design == 'full'\"\n                                [ngTemplateOutlet]=\"templates && templates.appBlockBannerFull ? templates.appBlockBannerFull : appBlockBannerFullEc\"\n                                [ngTemplateOutletContext]=\"{block:block}\">\n                            </ng-container>\n                            <!---->\n                            <!--Banner Box-->\n                            <ng-template #appBlockBannerBoxesEc let-block=\"block\">\n                                <app-block-banner-boxes-ec\n                                    [class]=\"block.styles && block.styles?.items ? ('col-sm-' + block.styles?.items.sm + ' col-md-' + block.styles?.items.md + ' col-lg-' + block.styles?.items.lg) : ' col-12'\"\n                                    [banners]=\"block.banners\" [meta]=\"block\">\n                                </app-block-banner-boxes-ec>\n                            </ng-template>\n                            <ng-container *ngIf=\"block.design == 'boxes'\"\n                                [ngTemplateOutlet]=\"templates && templates.appBlockBannerBoxes? templates.appBlockBannerBoxes : appBlockBannerBoxesEc\"\n                                [ngTemplateOutletContext]=\"{block:block}\">\n                            </ng-container>\n                            <!---->\n                        </ng-container>\n                        <!-- End Block Banner -->\n\n                        <!--Block Html -->\n                        <ng-template #appBlockHtmlEc let-block=\"block\">\n                            <app-block-html-ec class=\"col-12\" [html_content]=\"getHTMLContent(block)\">\n                            </app-block-html-ec>\n                        </ng-template>\n                        <ng-container *ngSwitchCase=\"'html'\">\n                            <ng-container *ngIf=\"showBlock(block)\"\n                                [ngTemplateOutlet]=\"templates && templates.appBlockHtml ? templates.appBlockHtml : appBlockHtmlEc\"\n                                [ngTemplateOutletContext]=\"{block:block}\">\n                            </ng-container>\n                        </ng-container>\n                        <!--End Block Html-->\n\n                        <!--Block Products-->\n                        <ng-template #appBlockProductsEc let-block=\"block\">\n                            <app-block-products-ec\n                                [class]=\"block.styles && block.styles?.items ? ('col-sm-' + block.styles?.items.sm + ' col-md-' + block.styles?.items.md + ' col-lg-' + block.styles?.items.lg) : ' col-12'\"\n                                [products]=\"block.products.items\" [meta]=\"block\" [appProduct]=\"appProduct\">\n                            </app-block-products-ec>\n                        </ng-template>\n\n                        <ng-container *ngSwitchCase=\"'products'\"\n                            [ngTemplateOutlet]=\"templates && templates.appBlockProducts ? templates.appBlockProducts : appBlockProductsEc\"\n                            [ngTemplateOutletContext]=\"{block:block}\"></ng-container>\n                        <!--End Blocks Products-->\n\n                        <!-- Contact Form/Newsletter -->\n                        <ng-container *ngSwitchCase=\"'contact_form'\">\n                            <!--Newsletter-->\n                            <ng-container *ngIf=\"isNewsletter(block); else completeForm\">\n                                <ng-template #appContactFormNewsEc let-block=\"block\">\n                                    <app-contact-form-news-ec [block]=\"block.contactForm\">\n                                    </app-contact-form-news-ec>\n                                </ng-template>\n                                <ng-container\n                                    [ngTemplateOutlet]=\"templates && templates.appContactFormNews ? templates.appContactFormNews : appContactFormNewsEc\"\n                                    [ngTemplateOutletContext]=\"{block:block}\"></ng-container>\n                            </ng-container>\n                            <!---->\n                            <!--Contact Form-->\n                            <ng-template #completeForm>\n                                <ng-template #appBlockFormContactEc let-block=\"block\">\n                                    <app-block-form-contact-ec [block]=\"block.contactForm\"></app-block-form-contact-ec>\n                                </ng-template>\n                                <ng-container\n                                    [ngTemplateOutlet]=\"templates && templates.appBlockFormContact ? templates.appBlockFormContact : appBlockFormContactEc\"\n                                    [ngTemplateOutletContext]=\"{block:block}\"></ng-container>\n                            </ng-template>\n                            <!---->\n                        </ng-container>\n                        <!-- End Contact Form/Newsletter-->\n                    </ng-container>\n                </ng-container>\n            </div>\n        </div>\n        <ng-template #loading>\n            <div *ngIf=\"show_loading\">\n                <div class=\"loading-container\">\n                    <app-loading-full-ec [hole_height]=\"true\"></app-loading-full-ec>\n                </div>\n            </div>\n        </ng-template>\n    </div>\n</div>",
        providers: [BlocksService],
        styles: [".item{position:relative}.item-title{top:30%}.item-title-full{top:50%}.item-subtitle-full{top:60%}.item-subtitle{top:40%}.item-button{top:60%}.item-button.item-position-vertical-center{left:50%;transform:translate(-50%)}.item-button.item-position-vertical-left{left:10%}.item-button.item-position-vertical-right{right:5%;transform:translate(-50%)}.item-button-full{top:70%}.item-button-full.item-position-vertical-center{left:50%;transform:translate(-50%)}.item-button-full.item-position-vertical-left{left:10%}.item-button-full.item-position-vertical-right{right:5%;transform:translate(-50%)}.item-position-vertical-left{text-align:left}.item-position-vertical-center{text-align:center}.item-position-vertical-right{text-align:right}h2.item-title-full::after{content:none}"]
    })
], BlocksEcComponent);

var __decorate$N = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __awaiter$8 = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
let CartEcComponent = class CartEcComponent extends ComponentHelper {
    constructor(cartService, authService, consts, productsService, router, modalService, toastrService, addressingService) {
        super();
        this.cartService = cartService;
        this.authService = authService;
        this.consts = consts;
        this.productsService = productsService;
        this.router = router;
        this.modalService = modalService;
        this.toastrService = toastrService;
        this.addressingService = addressingService;
        this.isLoggedIn = false;
        this.mediaUrl = '';
        this.promotions = [];
        this.cargando = false;
        this.toDecimal = (amount) => this.consts.toDecimal(amount);
        this.actualizarCantidad = (item, cantidad, stock, id) => {
            if (id) {
                document.getElementById(id).disabled = true;
                cantidad > 0 && cantidad <= stock ? this.cartService.updateItemQuantity(item, cantidad) : this.toastrService.show('out-of-stock-actually');
                setTimeout(function () { document.getElementById(id).disabled = false; }, 500);
            }
            else {
                cantidad > 0 && cantidad <= stock ? this.cartService.updateItemQuantity(item, cantidad) : this.toastrService.show('out-of-stock-actually');
            }
        };
        this.redirectCheckout = () => this.router.navigateByUrl(`/checkout`);
        this.redirectRegister = () => this.router.navigateByUrl(`/auth/login`);
        this.ecOnConstruct();
        this.isLoggedIn = this.authService.isAuthenticated();
        this.mediaUrl = this.consts.mediaUrl();
    }
    ngOnChanges() {
        this.isLoggedIn = this.authService.isAuthenticated();
    }
    updateLoggedIn() {
        this.isLoggedIn = this.authService.isAuthenticated();
    }
    ngOnInit() {
        window.scroll(0, 0);
        this.cartService.promotions.subscribe(promotions => this.promotions = promotions);
        //    console.log(this.cartService.getTaxes());
        this.ecOnInit();
    }
    openModal(template) {
        this.modalRef = this.modalService.show(template, { class: 'modal-xl', keyboard: false });
    }
    redirectDetailProduct(product) {
        let variant = product.variants[0];
        let path = '/product/';
        path += variant.code;
        path += variant.options.length ? "?variant=true" : "";
        this.router.navigateByUrl(path);
    }
    formatDate(date) {
        var d = new Date(date), month = '' + (d.getMonth() + 1), day = '' + d.getDate(), year = d.getFullYear();
        if (month.length < 2)
            month = '0' + month;
        if (day.length < 2)
            day = '0' + day;
        return [year, month, day].join('-');
    }
    cargaModal(item) {
        return __awaiter$8(this, void 0, void 0, function* () {
            // Obtiene las sedes del cliente
            const sedes = yield this.cartService.getAddressBook();
            // Creo una serie de variables que voy a necesitar, id para controlar las vueltas que da y cuantas lineas hay y allID para almacenar los ID de los lotes.
            var id = 1;
            var this_ = this;
            var allID = [];
            // Añade los datos al encabezado del Modal
            document.getElementById('encabezadoModal').innerHTML = '<a class="title text-dark text-decoration-none h5 d-block m-0 p-0 m-0 p-0"><p class="nombre mb-0" id="productName">' + item['product']['name'] + '</p><small class="text-secondary ps-2 ms-1" id="productRef">Ref:' + item['variant_id'] + '</small></a>';
            // Borramos todos los datos de los lotes anteriores
            var bodyTable = document.getElementById("lot_body_table");
            bodyTable.innerHTML = '';
            // Recorre todos los articulos y encuentra si tienen lotes o no, si tiene crea las lineas
            this_.cartService.getCart2().forEach(i => {
                if (i['item_id'] == item.item_id && i['lot'] != '') {
                    bodyTable.innerHTML = '';
                    i['lot'].forEach(lot => {
                        var row = bodyTable.insertRow(bodyTable.rows.length);
                        var cell1 = row.insertCell(0);
                        var cell2 = row.insertCell(1);
                        var cell3 = row.insertCell(2);
                        var cell4 = row.insertCell(3);
                        var cell5 = row.insertCell(4);
                        var cell6 = row.insertCell(5);
                        var date = new Date(Date.parse(lot['date_request']));
                        cell1.innerHTML = '<input id="id' + id + '"  style="border: 0;" value="' + lot.id + '" disabled>';
                        cell2.innerHTML = '<input type="number" id="quantity' + id + '" value= "' + lot.quantity + '"class="form-control w-50" max="' + lot.quantity + '">';
                        cell3.innerHTML = '<input type="date" value="' + this.formatDate(date) + '" id="deliveryDate' + id + '" class="form-control w-75">';
                        var opciones = "";
                        sedes.forEach(sede => {
                            if (sede.id == lot.shipping_address_id) {
                                opciones += '<option value="' + sede.id + '" selected>' + sede.city + ' - ' + sede.street + '</option>';
                            }
                            else {
                                opciones += '<option value="' + sede.id + '">' + sede.city + ' - ' + sede.street + '</option>';
                            }
                        });
                        cell4.innerHTML = '<select  id="shippingAddress' + id + '" class="form-control w-75">' + opciones + '</select>';
                        cell5.innerHTML = '<input type="button" class="btn btn-primary btnSeguir" type="button" data-bs-toggle="collapse" data-bs-target="#collapseExample' + id + '" aria-expanded="false" aria-controls="collapseExample' + id + '" value="Ver"></input>';
                        cell6.innerHTML = '<div class="col-1 flex-grow-0 text-right btnBorrar d-none d-md-block d-none d-md-block"><button value="' + lot.id + '" class="btn" id="botonBorrar"><img src="./assets/maquetado/img/ic-borrar.svg" alt=""> </button></div>';
                        var row2 = bodyTable.insertRow(bodyTable.rows.length);
                        var fila2 = row2.insertCell(0);
                        fila2.colSpan = 6;
                        fila2.innerHTML = '<div class="collapse" id="collapseExample' + id + '"><input id="notes' + id + '" class="form-control" value="' + lot.notes + '" placeholder="Ingrese un comentario en caso de que sea necesario." type="text"/></div>';
                        id = id + 1;
                        allID.push(lot['id']);
                    });
                }
            });
            document.getElementById('botonAgregar').onclick = function () {
                // // Se calcula la cantidad y el contador para que no exceda la cantidad de la linea al crear un nuevo lote.
                var cantidadActual = 0;
                for (let index = 1; index < id; index++) {
                    if (document.getElementById("quantity" + index)) {
                        cantidadActual = cantidadActual + parseInt(document.getElementById("quantity" + index).value);
                    }
                }
                // Se añade la linea siempre y cuando la cantidad restante no sea cero.
                if (cantidadActual < item['quantity']) {
                    var row = bodyTable.insertRow(bodyTable.rows.length);
                    var cell1 = row.insertCell(0);
                    var cell2 = row.insertCell(1);
                    var cell3 = row.insertCell(2);
                    var cell4 = row.insertCell(3);
                    var cell5 = row.insertCell(4);
                    var cell6 = row.insertCell(5);
                    cell1.innerHTML = '<input id="id' + id + '"  style="border: 0;" value="Pendt." disabled>';
                    cell2.innerHTML = '<input type="number" id="quantity' + id + '" value= "' + (item['quantity'] - cantidadActual) + '"class="form-control w-50" max="' + (item['quantity'] - cantidadActual) + '">';
                    cell3.innerHTML = '<input type="date" id="deliveryDate' + id + '" class="form-control w-75">';
                    var opciones = "";
                    sedes.forEach(sede => { opciones += '<option value="' + sede.id + '">' + sede.city + ' - ' + sede.street + '</option>'; });
                    cell4.innerHTML = '<select  id="shippingAddress' + id + '" class="form-control w-75">' + opciones + '</select>';
                    cell5.innerHTML = '<input type="button" class="btn btn-primary btnSeguir" type="button" data-bs-toggle="collapse" data-bs-target="#collapseExample' + id + '" aria-expanded="false" aria-controls="collapseExample' + id + '" value="Ver"></input>';
                    cell6.innerHTML = '<div class="col-1 flex-grow-0 text-right btnBorrar d-none d-md-block d-none d-md-block"><button class="btn" id="botonBorrar"><img src="./assets/maquetado/img/ic-borrar.svg" alt=""> </butt></div>';
                    var row2 = bodyTable.insertRow(bodyTable.rows.length);
                    var fila2 = row2.insertCell(0);
                    fila2.colSpan = 6;
                    fila2.innerHTML = '<div class="collapse" id="collapseExample' + id + '"><input id="notes' + id + '" class="form-control" placeholder="Ingrese un comentario en caso de que sea necesario." type="text"/></div>';
                    id = id + 1;
                }
                else {
                    this_.toastrService.show('lot-max-quantity');
                }
            };
            // Cuando se pulsa el boton para guardar el lote recorre la funcion y el for , recorre linea a linea y lanza el endpoint con una pausa para que no se pierda ninguno y no se quede pillado.
            document.getElementById('botonGuardar').onclick = function () {
                this_.toastrService.show('lot-saving');
                this_.cargando = true;
                var lotID = '';
                var cantidadLotes = 0;
                //Controla que las cantidades de los lotes no sea superior a la del producto en el carrito.
                for (let index = 1; index < id; index++) {
                    if (document.getElementById("quantity" + index)) {
                        cantidadLotes = cantidadLotes + parseInt(document.getElementById("quantity" + index).value);
                    }
                }
                if (item.quantity >= cantidadLotes) {
                    // console.log(cantidadLotes);
                    var y = 0;
                    for (let index = 1; index < id; index++) {
                        if (document.getElementById("quantity" + index)) {
                            var quantity = parseInt(document.getElementById("quantity" + index).value);
                            var deliveryDate = document.getElementById("deliveryDate" + index).value;
                            var shippingAddress = $("#shippingAddress" + index).val();
                            var notes = $("#notes" + index).val();
                            var shippingAddressName = $('#shippingAddress' + index + ' option:selected').text();
                        }
                        if (document.getElementById("id" + index)) {
                            lotID = document.getElementById("id" + index).value;
                            var myIndex = allID.indexOf(parseInt(lotID));
                            if (myIndex !== -1) {
                                allID.splice(myIndex, 1);
                            }
                        }
                        if (lotID == 'Pendt.') {
                            // console.log('nuevo');
                            this_.cartService.addToLot(item.product, 0, item.variant_id, 0, item.item_id, quantity, item.product.price, item.quantity, item.discount, item.product.price * quantity, 'new', deliveryDate, notes, parseInt(shippingAddress), shippingAddressName, 'newlot');
                        }
                        else if (lotID != '') {
                            console.log(lotID);
                            this_.cartService.addToLot(item.product, 0, item.variant_id, parseInt(lotID), item.item_id, quantity, item.product.price, item.quantity, item.discount, item.product.price * quantity, 'edited', deliveryDate, notes, parseInt(shippingAddress), shippingAddressName, 'editlot');
                        }
                        y = index;
                    }
                    allID.forEach(element => {
                        //   console.log('borrar');
                        this_.cartService.addToLot(item.product, 0, item.variant_id, element, 0, 0, 0, 0, 0, 0, 'delete', 0, '', 0, 'delete', 'deletelot');
                    });
                    setTimeout(function () { this_.cartService.loadCartByToken(this_.cartService.getCartToken()); }, 300 * y);
                    setTimeout(function () { this_.toastrService.show('lot-saved'); }, 300 * y);
                    setTimeout(function () { this_.cargando = false; }, 300 * y);
                }
                else {
                    this_.toastrService.show('La cantidad de los lotes es superior a la cantidad del producto.');
                }
            };
            $(document).on('click', '#botonBorrar', function (event) {
                event.preventDefault();
                // console.log(this);
                $(this).closest('tr').remove();
            });
        });
    }
    closeModal(id) {
        $('#' + id).modal('hide');
    }
};
CartEcComponent.ctorParameters = () => [
    { type: CartService },
    { type: AuthService },
    { type: Constants },
    { type: ProductsService },
    { type: Router },
    { type: BsModalService },
    { type: ToastService },
    { type: AddressingService }
];
CartEcComponent = __decorate$N([
    Component({
        selector: 'app-cart-ec',
        template: "",
        styles: [""]
    })
], CartEcComponent);

var __decorate$O = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let CheckoutEcComponent = class CheckoutEcComponent extends ComponentHelper {
    constructor(checkoutService, toastrService, router, cartService, productsService, channelService) {
        super();
        this.checkoutService = checkoutService;
        this.toastrService = toastrService;
        this.router = router;
        this.cartService = cartService;
        this.productsService = productsService;
        this.channelService = channelService;
        this.loadingSubject = new BehaviorSubject(true);
        this.canCheckout = false;
        this.require_login = false;
        this.steps = [];
        this.loading$ = this.loadingSubject.asObservable();
        this.initializeCheckout = () => {
            var _a, _b, _c, _d;
            this.canCheckout = true;
            let steps = [];
            //console.log('channel', this.channel)
            steps.push({ name: 'address' });
            ((_a = this.channel) === null || _a === void 0 ? void 0 : _a.isSkippingShippingStepAllowed) ? null : steps.push({ name: 'shipment' });
            ((_b = this.channel) === null || _b === void 0 ? void 0 : _b.isSkippingPaymentStepAllowed) ? null : steps.push({ name: 'payment' });
            /* steps.push({ name: 'shipment' });
            steps.push({ name: 'payment' }); */
            //console.log(steps)
            this.checkoutService.setSteps(steps);
            this.setStepper();
            this.loadingSubject.next(false);
            if (((_c = this.channel) === null || _c === void 0 ? void 0 : _c.isSkippingShippingStepAllowed) != true || ((_d = this.channel) === null || _d === void 0 ? void 0 : _d.isSkippingPaymentStepAllowed) != true) {
                this.subReady = this.checkoutService.onReady$.pipe(filter(ready => ready)).subscribe(res => { res && this.endCheckout(); });
            }
        };
        this.goBack = () => this.stepper.previous();
        this.isStepReady = (step_name) => this.checkoutService.isStepReady(step_name);
        this.endCheckout = () => {
            this.checkoutService.complete().then(res => res.ok && this.router.navigate(['checkout/order_success']), err => this.toastrService.show('operation-error'));
        };
        this.setStepper = () => {
            setTimeout(() => {
                if (document.querySelector('#stepper') != null) {
                    this.stepper = new Stepper(document.querySelector('#stepper'), {
                        linear: true,
                        animation: true
                    });
                }
                else {
                    this.setStepper();
                }
            }, 1000);
            //console.log(this.stepper)
        };
        this.next = () => {
            //console.log(this.stepper)
            this.stepper.next();
            //console.log(this.stepper)
            window.scrollTo({
                top: 0,
                behavior: 'smooth',
            });
        };
        this.error = (error_value) => this.toastrService.show(error_value);
        this.getIcon = (data_item) => {
            switch (data_item.type) {
                case 'coupon': return 'assets/images/coupon.png';
                case 'discount': return 'assets/images/discount.png';
                case 'shipment': return 'assets/images/ico-envio.png';
                case 'subtotal': return 'assets/images/products.png';
                case 'total': return 'assets/images/ico-carrito.png';
                default: return 'assets/images/ico-carrito.png';
            }
        };
        this.initializeSteps = () => {
            var _a, _b;
            //El paso de elegir dirección siempre esta
            this.steps.push({ step: 1, label: 'billing-details', name: 'address' });
            //El paso de elegir metodo de envio
            ((_a = this.channel) === null || _a === void 0 ? void 0 : _a.isSkippingShippingStepAllowed) ? null : this.steps.push({ step: 2, label: 'shipment-method', name: 'shipment' });
            //El paso de elegir metodo de pago
            ((_b = this.channel) === null || _b === void 0 ? void 0 : _b.isSkippingPaymentStepAllowed) ? null : this.steps.push({ step: 3, label: 'payment', name: 'payment' });
            //console.log(this.steps)
        };
        this.stepEnabled = (stepNumber) => this.steps.find(step => step.step == stepNumber) ? true : false;
        this.getClassToStepper = (index) => {
            if (index == 0) {
                return 'linea';
            }
            else {
                return this.steps[index + 1] ? 'text-center' : 'text-end';
            }
        };
        this.channelService.channelConfig$.subscribe(res => {
            this.channel = res;
            this.initializeSteps();
            //console.log(this.stepEnabled(3))
        });
        this.ecOnConstruct();
    }
    ngOnInit() {
        this.subCan = this.checkoutService.canCheckout$.pipe(take(1)).subscribe(contain_items => {
            if (contain_items)
                this.initializeCheckout();
            else
                this.canCheckout = false;
        });
        this.ecOnInit();
    }
    ngOnDestroy() {
        var _a, _b;
        (_a = this.subCan) === null || _a === void 0 ? void 0 : _a.unsubscribe();
        (_b = this.subReady) === null || _b === void 0 ? void 0 : _b.unsubscribe();
    }
};
CheckoutEcComponent.ctorParameters = () => [
    { type: CheckoutService },
    { type: ToastService },
    { type: Router },
    { type: CartService },
    { type: ProductsService },
    { type: ChannelConfigService }
];
CheckoutEcComponent = __decorate$O([
    Component({
        selector: 'app-checkout-ec',
        template: "<main class=\"py-4\" id=\"appCheckoutEc\">\n    <div *ngIf=\"canCheckout; else cartEmpty\">\n        <app-detail-checkout-block-ec></app-detail-checkout-block-ec>\n        <div class=\"container\">\n            <div class=\"row\">\n                <div class=\"col-md-12 col-12\">\n                    <div id=\"stepper\" class=\"bs-stepper\" *ngIf=\"(checkoutService.state$ | async) as state\">\n\n                        <div class=\"row mb-3 position-relative stepperContainer\">\n                            <ng-container *ngFor=\"let step of steps; let x=index\">\n                                <div [class]=\"'px-0 col-'+(12 / steps.length)\">\n                                    <div [class]=\"'step ' +  getClassToStepper(x)\" [attr.data-target]=\"'#test-l-'+step.step\">\n                                        <button class=\"step-trigger\">\n                                            <span class=\"bs-stepper-circle\">{{x+1}}</span>\n                                            <span class=\"bs-stepper-label\">{{ step.label |translate}}</span>\n                                        </button>\n                                    </div>\n                                </div>\n                            </ng-container>\n                        </div>\n\n                        <!-- CONTENT -->\n                        <div class=\"bs-stepper-content margin-bottom-i\">\n                            <div *ngIf=\"(checkoutService.state$ | async) as checkoutState\">\n                                <ng-container *ngFor=\"let step of steps; let x=index\">\n                                    <div [id]=\"'test-l-'+step.step\" class=\"content\">\n                                     <app-step-ec [step_id]=\"step.step\" [id_step]=\"x+1\" [previousStep]=\"steps[x-1] ? steps[x-1].name : step.name\"  [nextStep]=\"steps[x+1] ? next : endCheckout\" [goBack]=\"goBack\" [lastStep]=\"steps[x+1] ? false : true\">  \n                                     </app-step-ec>   \n                                    </div>\n                                </ng-container>\n                            </div>\n                        </div>\n                    </div>\n                </div>\n                <ng-container *ngIf=\"(checkoutService.loading$ | async) as load\">\n                    <div class=\"col-md-12 col-12\">\n                        <div *ngIf=\"load\" class=\"d-flex flex-column jusitfy-content-center align-items-center mt-2\">\n                            <app-loading-full-ec></app-loading-full-ec>\n                            <h5>{{ 'processing-payment' | translate }}</h5>\n                        </div>\n                    </div>\n                </ng-container>\n            </div>\n        </div>\n    </div>\n</main>\n\n<ng-template #cartEmpty>\n    <div class=\"wrap\">\n        <div *ngIf=\"(loading$ | async) as load\">\n            <app-loading-full-ec *ngIf=\"canCheckout\"></app-loading-full-ec>\n        </div>\n        <section id=\"cart\" *ngIf=\"!canCheckout\">\n            <section id=\"cart bg-white h-50\">\n                <div class=\"d-flex flex-column justify-content-center align-items-center text-center\">\n                    <h4>{{ 'empty-cart' | translate }}</h4>\n                    <h5>{{ 'empty-cart-detail' | translate }}</h5>\n                </div>\n            </section>\n        </section>\n    </div>\n</ng-template>\n\n<ng-template #loading>\n    <app-loading-full-ec></app-loading-full-ec>\n</ng-template>\n\n<ng-template #requireLoginView>\n</ng-template>\n\n\n<!-- <ec-checkout-error></ec-checkout-error> -->",
        styles: [".switch{position:relative;display:inline-block;width:16%!important;height:34px}.switch input{opacity:0;width:0;height:0}.slider{position:absolute;cursor:pointer;top:0;left:0;right:0;bottom:0;background-color:#ccc;transition:.4s}.slider:before{position:absolute;content:\"\";height:26px;width:26px;left:4px;bottom:4px;background-color:#fff;transition:.4s}input:checked+.slider{background-color:#000}input:focus+.slider{box-shadow:0 0 1px #000}input:checked+.slider:before{transform:translateX(26px)}.slider.round{border-radius:34px}.slider.round:before{border-radius:50%}.bg-white{background-color:#fff}.active .bs-stepper-circle{background-color:#000}.Main{margin-top:140px;min-height:60vh}.btn:disabled{opacity:.65}.btn.valid-btn{background-color:#000;color:#fff;margin-right:12px}.co-data-icon{height:50px;-o-object-fit:contain;object-fit:contain}.checkout-btn-container{display:flex;justify-content:space-between}.margin-bottom-i{margin-bottom:3%}.loading-container-line{display:flex;flex-direction:row;justify-content:center}.stepperContainer::after{content:\"\";border-top:1px solid #000;position:absolute;width:95%;top:48%;left:10px;margin:auto;z-index:-1}.bs-stepper .step-trigger{background-color:#fff}.bs-stepper .step-trigger.disabled,.bs-stepper .step-trigger:disabled{opacity:1}@media screen and (max-width:992px){.stepperContainer::after{display:none}.step{text-align:left!important}}@media screen and (max-width:576px){.step{text-align:center!important}.resumen i{font-size:2em}.resumen strong{font-size:.8em}.resumen span{font-size:1em}}@media screen and (max-width:768px){.step-trigger .bs-stepper-label{font-size:.75rem}.content.fade.active.dstepper-block{padding-top:1rem}}"]
    })
], CheckoutEcComponent);

var __decorate$P = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __awaiter$9 = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
let DataFormEcComponent = class DataFormEcComponent extends ComponentHelper {
    constructor(authService, fb, toast, addressingService, cartService, modalService, paramsService, consts) {
        super();
        this.authService = authService;
        this.fb = fb;
        this.toast = toast;
        this.addressingService = addressingService;
        this.cartService = cartService;
        this.modalService = modalService;
        this.paramsService = paramsService;
        this.consts = consts;
        this.isLastOne = false;
        this.countriesSubject = new BehaviorSubject([]);
        this.provincesSubject = new BehaviorSubject([]);
        this.documentTypesSubject = new BehaviorSubject([]);
        this.countriesFacturacionSubject = new BehaviorSubject([]);
        this.provincesFacturacionSubject = new BehaviorSubject([]);
        this.documentTypesFacturacionSubject = new BehaviorSubject([]);
        this.countries$ = this.countriesSubject.asObservable();
        this.provinces$ = this.provincesSubject.asObservable();
        this.documentTypes$ = this.documentTypesSubject.asObservable();
        this.countriesFacturacion$ = this.countriesFacturacionSubject.asObservable();
        this.provincesFacturacion$ = this.provincesFacturacionSubject.asObservable();
        this.documentTypesFacturacion$ = this.documentTypesFacturacionSubject.asObservable();
        this.require_login = false;
        this.loading = false;
        this.form_ready = false;
        this.allready_data = false;
        this.addressBook = [];
        this.addressBookSelected = { id: 0, notes: "" };
        this.finish = false; //Esta variable se usa para mostrar el boton de finalizar.
        this.validado = false;
        this.viewDataFacturacion = true;
        this.params = {};
        this.selectAddres = false;
        /**
         * @description filtra los paises de acuerdo al a los codigos retornados en la funcion getCountries.
         * Casos de usos: Si getCountries es vacio, retorna el arreglo que ingresa por parametro.
         * Si getCountries contiene valores que no coinciden, retorna el arreglo que ingresa por parametro.
         * De lo contrario retorna los valores filtrados.
         * @param countries Arreglo que contiene los countries recibidos en la subscripcion del observable.
         * @returns un arreglo de countries.
         */
        this.filterCountryByCode = (countries) => {
            if (this.consts.getCountries().length > 0) {
                let countriesFiltered = countries.filter(elem => this.consts.getCountries().includes(elem.code));
                if (countriesFiltered.length > 0) {
                    return countriesFiltered;
                }
                else {
                    console.error('El/los codigo/s ingresado/s no coinciden con los provistos desde el backend');
                    return countries;
                }
            }
            else {
                return countries;
            }
        };
        this.showFormFacturacion = () => {
            this.viewDataFacturacion = !this.viewDataFacturacion;
            if (!this.viewDataFacturacion) {
                this.countriesFacturacion$.subscribe(res => {
                    var _a, _b, _c, _d;
                    if (res && res.length > 0) {
                        this.checkoutFormFacturacion.controls['countryCode'].setValue(res[0].code);
                        // Provincia
                        this.checkoutFormFacturacion.controls['provinceCode'].setValue((_a = res[0]) === null || _a === void 0 ? void 0 : _a.provinces[0].code);
                        this.provincesFacturacionSubject.next((_b = res[0]) === null || _b === void 0 ? void 0 : _b.provinces);
                        // Documento
                        this.checkoutFormFacturacion.controls['documentType'].setValue((_c = res[0]) === null || _c === void 0 ? void 0 : _c.documentTypes[0].code);
                        this.documentTypesFacturacionSubject.next((_d = res[0]) === null || _d === void 0 ? void 0 : _d.documentTypes);
                    }
                });
            }
            this.onFormChange();
            return this.viewDataFacturacion;
        };
        this.onFormValid = () => {
        };
        this.onInputChange = () => this.form_ready = false;
        this.onCountrySelected = (value) => {
            this.checkoutForm.controls['countryCode'].setValue(value == 'null' ? null : value);
            this.checkoutForm.controls['provinceCode'].setValue(null);
            this.checkoutForm.controls['documentType'].setValue('');
            //Provinces
            let provinces = value && value != 'null' ?
                this.countriesSubject.value.find(country => country.code == value).provinces
                :
                    [];
            this.provincesSubject.next(provinces);
            this.checkoutForm.controls['provinceCode'].setValue(provinces[0].code);
            //Document types
            let documentTypes = value && value != 'null' ?
                this.countriesSubject.value.find(country => country.code == value).documentTypes
                :
                    [];
            this.documentTypesSubject.next(documentTypes);
            this.checkoutForm.controls['documentType'].setValue(documentTypes[0].code);
        };
        this.onCountrySelectedFacturacion = (value) => {
            this.checkoutFormFacturacion.controls['countryCode'].setValue(value == 'null' ? null : value);
            this.checkoutFormFacturacion.controls['provinceCode'].setValue(null);
            this.checkoutFormFacturacion.controls['documentType'].setValue('');
            //Provinces
            let provinces = value && value != 'null' ?
                this.countriesFacturacionSubject.value.find(country => country.code == value).provinces
                :
                    [];
            this.provincesFacturacionSubject.next(provinces);
            this.checkoutFormFacturacion.controls['provinceCode'].setValue(provinces[0].code);
            //Document types
            let documentTypes = value && value != 'null' ?
                this.countriesFacturacionSubject.value.find(country => country.code == value).documentTypes
                :
                    [];
            this.documentTypesFacturacionSubject.next(documentTypes);
            this.checkoutFormFacturacion.controls['documentType'].setValue(documentTypes[0].code);
        };
        this.onProvincesSelected = (value) => this.checkoutForm.controls['provinceCode'].setValue(value == 'null' ? null : value);
        this.onProvincesSelectedFacturacion = (value) => this.checkoutFormFacturacion.controls['provinceCode'].setValue(value == 'null' ? null : value);
        this.onDocumentTypesSelected = (value) => this.checkoutForm.controls['documentType'].setValue(value == '' ? '' : value);
        this.onDocumentTypesSelectedFacturacion = (value) => this.checkoutForm.controls['documentType'].setValue(value == '' ? '' : value);
        this.verifyValidate = (e, items) => __awaiter$9(this, void 0, void 0, function* () {
            //console.log("Verifying: ", e)
            this.require_login = false;
            if (e) {
                this.checkoutForm.controls['email'].setValue(e);
                this.authService.isAuthenticated() && this.checkoutForm.get('email').disable({ onlySelf: true });
            }
            if (this.checkoutForm.valid) {
                // if (this.cartService.channelConfig.applyOrderLot){
                //  items.forEach(item => {
                //       if (!item.lot[0]){
                //      //    console.log(this.checkoutForm.controls['city']['value'])
                //          this.cartService.addToLot(item.product,0,item.variant_id,0,item.item_id,item.quantity,item.product.price,item.quantity,item.discount,item.product.price*item.quantity,'new','','',0,this.checkoutForm.controls['city']['value']+ ' - ' + this.checkoutForm.controls['street']['value'], 'newlot');
                //       }
                //   });
                // }
                this.emitResult();
            }
            else
                this.showError('invalid-form');
        });
        this.showError = (error_message) => { this.toast.show(error_message); return true; };
        this.emitResult = () => __awaiter$9(this, void 0, void 0, function* () {
            this.loading = true;
            let data = { shippingAddress: Object.assign(Object.assign({}, this.checkoutForm.getRawValue()), { phoneNumber: this.checkoutForm.value.phoneNumber.toString() }), notes: (this.checkoutForm.getRawValue()).notes };
            if (!this.viewDataFacturacion && this.checkoutFormFacturacion.valid)
                data = Object.assign(Object.assign({}, data), { notes: data.notes, billingAddress: this.checkoutFormFacturacion.getRawValue() });
            try {
                let result = yield this.addressingService.setAddress(data);
                if (result === false) {
                    this.require_login = true;
                    this.toast.show('El email ya está registrado, inicie sesión.');
                }
                else if (result !== false && result !== undefined) {
                    this.form_ready = true;
                    this.allready_data = true;
                    this.nextStep();
                }
            }
            catch (e) {
                this.toast.show('operation-error');
            }
            this.loading = false;
        });
        this.setSelectAddress = (addressSelect) => {
            this.addressBook.map(address => address.selected = address.id === addressSelect.id);
            this.addressBookSelected.id = this.addressBook.find(address => address.selected).id || 0;
        };
        this.selectAddress = (items) => __awaiter$9(this, void 0, void 0, function* () {
            this.loading = true;
            let addressSelected = this.addressBook.find(address => address.selected);
            if (addressSelected) {
                try {
                    if (!this.addressBookSelected.id) {
                        this.addressBookSelected.id = addressSelected.id || 0;
                    }
                    const request = {
                        selected: this.addressBookSelected,
                        shippingAddress: addressSelected
                    };
                    const resultSede = yield this.addressingService.setHeadquarter(request);
                    if (resultSede) {
                        if (this.cartService.channelConfig.applyOrderLot) {
                            items.forEach(item => {
                                if (!item.lot[0]) {
                                    // console.log(item)
                                    this.cartService.addToLot(item.product, 0, item.variant_id, 0, item.item_id, item.quantity, item.product.price, item.quantity, item.discount, item.product.price * item.quantity, 'new', '', '', 0, resultSede.shippingAddress.city + ' - ' + resultSede.shippingAddress.street, 'newlot');
                                }
                            });
                        }
                        this.form_ready = true;
                        this.allready_data = true;
                        this.nextStep();
                    }
                    else {
                        this.toast.show('operation-error');
                    }
                }
                catch (e) {
                    this.toast.show('operation-error');
                }
            }
            else {
                this.showError('invalid-form');
            }
            this.loading = false;
        });
        this.getMode = () => {
            switch (this.addressingService.modeSelectAddress) {
                case 'ONLY_LOAD_ADDRESS':
                    return true;
                case 'ONLY_ADDRESS_SELECTION':
                    if (this.authService.isAuthenticated()) {
                        return false;
                    }
                    return true;
                case 'LOAD_ADDRESS_AND_SELECTION':
                    if (this.authService.isAuthenticated()) {
                        return this.selectAddres;
                    }
                    return true;
            }
        };
        this.setMode = (mode) => this.selectAddres = mode == "carga";
        this.getCountry = (code) => { var _a; return ((_a = this.addressingService.countriesList.find(paises => paises.code.toLocaleLowerCase().includes(code.toLocaleLowerCase()))) === null || _a === void 0 ? void 0 : _a.name) || ""; };
        this.getProvince = (code) => { var _a; return ((_a = this.addressingService.provinceList.find(ct => ct.code == code)) === null || _a === void 0 ? void 0 : _a.name) || ""; };
        this.getDocumentType = (code) => { var _a; return ((_a = this.addressingService.documentTypes.find(dt => dt.code == code)) === null || _a === void 0 ? void 0 : _a.name) || ""; };
        this.getLabelNotesParam = () => this.hasParams(this.params, 'label_notes_' + this.consts.getChannel() + '_' + this.consts.getLocale().split('_')[0]);
        this.getParamByChannelAndLanguage = (nameParam) => this.hasParams(this.params, nameParam + this.consts.getChannel() + '_' + this.consts.getLocale().split('_')[0]);
        this.ecOnConstruct();
        this.checkoutForm = this.fb.group(this.addressingService.getTypeForm().configForm.formAddres);
        this.checkoutForm.statusChanges
            .pipe(filter(() => { this.onFormChange(); return this.checkoutForm.valid; }))
            .subscribe(() => this.onFormValid());
        this.checkoutFormFacturacion = this.fb.group(this.addressingService.getTypeForm().configForm.formBilling);
        this.checkoutFormFacturacion.statusChanges
            .pipe(filter(() => { this.onFormChange(); return this.checkoutFormFacturacion.valid; }))
            .subscribe(() => this.onFormValid());
    }
    ngOnInit() {
        var _a;
        this.paramsService.parameters.subscribe(res => this.params = res);
        this.addressingService.initialize(this.step_id);
        const localEmail = localStorage.getItem('mail');
        this.authService.isAuthenticated() && this.checkoutForm.controls['email'].setValue(((_a = this.authService.getCustomer()) === null || _a === void 0 ? void 0 : _a.email) || localEmail);
        this.authService.isAuthenticated() && this.checkoutForm.get('email').disable({ onlySelf: true });
        this.addressingService.getAddressingData().then(res => {
            let countries = this.filterCountryByCode(res);
            this.countriesSubject.next(countries);
            this.countriesFacturacionSubject.next(countries);
        });
        (this.addressingService.modeSelectAddress == 'LOAD_ADDRESS_AND_SELECTION' || this.addressingService.modeSelectAddress == 'ONLY_ADDRESS_SELECTION')
            && this.addressingService.getAddressBook().then(res => {
                this.addressBook = res && res || null;
                this.addressBook == null && this.setMode('carga');
            });
        this.countries$.subscribe(res => {
            var _a, _b, _c, _d;
            if (res && res.length > 0) {
                this.checkoutForm.controls['countryCode'].setValue(res[0].code);
                // Provincia
                this.checkoutForm.controls['provinceCode'].setValue((_a = res[0]) === null || _a === void 0 ? void 0 : _a.provinces[0].code);
                this.provincesSubject.next((_b = res[0]) === null || _b === void 0 ? void 0 : _b.provinces);
                // Documento
                this.checkoutForm.controls['documentType'].setValue((_c = res[0]) === null || _c === void 0 ? void 0 : _c.documentTypes[0].code);
                this.documentTypesSubject.next((_d = res[0]) === null || _d === void 0 ? void 0 : _d.documentTypes);
            }
        });
        this.ecOnInit();
    }
    onFormChange() {
        if (this.checkoutForm.valid) {
            if (!this.viewDataFacturacion && this.checkoutFormFacturacion.valid) {
                this.validado = true;
                return;
            }
            if (this.viewDataFacturacion && this.checkoutForm.valid) {
                this.validado = true;
                return;
            }
        }
        this.validado = false;
    }
    openModal(template) {
        this.modalRef = this.modalService.show(template, { class: 'modal-lg ', keyboard: false, backdrop: 'static' });
    }
};
DataFormEcComponent.ctorParameters = () => [
    { type: AuthService },
    { type: FormBuilder },
    { type: ToastService },
    { type: AddressingService },
    { type: CartService },
    { type: BsModalService },
    { type: ParametersService },
    { type: Constants }
];
__decorate$P([
    Input()
], DataFormEcComponent.prototype, "step_id", void 0);
__decorate$P([
    Input()
], DataFormEcComponent.prototype, "isLastOne", void 0);
__decorate$P([
    Input()
], DataFormEcComponent.prototype, "nextStep", void 0);
DataFormEcComponent = __decorate$P([
    Component({
        selector: 'app-dataform-ec',
        template: "<ng-container *ngIf=\"this.addressingService.modeSelectAddress == 'LOAD_ADDRESS_AND_SELECTION' && this.authService.isAuthenticated() && this.addressBook != null\">\n    <div class=\"container card p-4 mb-3\">\n        <div class=\"row justify-content-center\">\n            <div class=\"col-12 col-md-10 col-lg-8 text-center\">\n                <div class=\"btn-group btn-group-toggle\" data-bs-toggle=\"buttons\">\n                    <label [class]=\"'btn btn-outline-secondary ' + (!getMode() ? 'active' : '')\">\n                        <input type=\"radio\" name=\"options\" id=\"option1\" autocomplete=\"off\" checked\n                            (change)=\"setMode('seleccion')\"> {{'select-address' | translate | titlecase}}\n                    </label>\n\n                    <label [class]=\"'btn btn-outline-secondary ' + (getMode() ? 'active' : '')\" *ngIf=\"!getParamByChannelAndLanguage('btn_new_address_')\">\n                        <input type=\"radio\" name=\"options\" id=\"option2\" autocomplete=\"off\" (change)=\"setMode('carga')\">\n                        {{ 'new-address' | translate | titlecase}}\n                    </label>\n\n                    <label [class]=\"'btn btn-outline-secondary ' + (selectAddress ? 'active' : '')\" *ngIf=\"getParamByChannelAndLanguage('btn_new_address_') as param\">\n                        <input type=\"radio\" name=\"options\" id=\"option2\" autocomplete=\"off\" (change)=\"setMode('carga')\">\n                        {{ param.value}}\n                    </label>\n\n                </div>\n            </div>\n        </div>\n    </div>\n</ng-container>\n\n<ng-container *ngIf=\"getMode(); else addressSelection\">\n    <div *ngIf=\"!require_login; else requireLoginView\">\n\n        <ng-container *ngIf=\"this.addressingService.modeSelectAddress == 'ONLY_LOAD_ADDRESS'\">\n            <div class=\"checkout-title  my-2\">\n                <h3>{{'billing-details'|translate}}</h3>\n            </div>\n        </ng-container>\n\n        <form (submit)=\"verifyValidate(false,this.cartService.items)\">\n            <div class=\"row mt-df\"><!--Fila 1-->\n                <div class=\"form-group col-12 col-md-6\"\n                    *ngIf=\"this.addressingService.getTypeForm().viewForms.firstName.enabled\">\n                    <label class=\"field-label\">{{'first-name'|translate}}<span\n                            *ngIf=\"this.addressingService.getTypeForm().viewForms.firstName.required\"\n                            class=\"required\">*</span></label>\n                    <input class=\"form-control\" type=\"text\" name=\"firstName\"\n                        [formControl]=\"checkoutForm.controls['firstName']\" value=\"\" placeholder=\"\" autocomplete=\"off\">\n                    <div class=\"text-danger-container\"\n                        *ngIf=\"checkoutForm.controls.firstName.touched && checkoutForm.controls.firstName.errors?.required\">\n                        <span class=\"text-danger\">{{'first-name-help1'|translate}}</span>\n\n                    </div>\n                    <div class=\"text-danger-container\"\n                        *ngIf=\"checkoutForm.controls.firstName.touched && checkoutForm.controls.firstName.errors?.pattern\">\n                        <span class=\"text-danger\">\n                            {{'first-name-help2'|translate}}\n                        </span>\n                    </div>\n                </div>\n                <div class=\"form-group col-12 col-md-6\"\n                    *ngIf=\"this.addressingService.getTypeForm().viewForms.lastName.enabled\">\n                    <label class=\"field-label\">{{'last-name'|translate}}<span\n                            *ngIf=\"this.addressingService.getTypeForm().viewForms.lastName.required\"\n                            class=\"required\">*</span></label>\n                    <input class=\"form-control\" type=\"text\" name=\"lastName\"\n                        [formControl]=\"checkoutForm.controls['lastName']\" value=\"\" placeholder=\"\" autocomplete=\"off\">\n                    <div class=\"text-danger-container\"\n                        *ngIf=\"checkoutForm.controls.lastName.touched && checkoutForm.controls.lastName.errors?.required\">\n                        <span class=\"text-danger\">{{'last-name-help1'|translate}}</span>\n                    </div>\n                    <div class=\"text-danger-container\"\n                        *ngIf=\"checkoutForm.controls.lastName.touched && checkoutForm.controls.lastName.errors?.pattern\">\n                        <span class=\"text-danger\">{{'last-name-help2'|translate}}</span>\n                    </div>\n                </div>\n            </div>\n            <div class=\"row mt-df\"><!--Fila 2-->\n                <div class=\"form-group col-12 col-md-6\"\n                    *ngIf=\"this.addressingService.getTypeForm().viewForms.phoneNumber.enabled\">\n                    <label class=\"field-label\">{{'phone'|translate}}<span\n                            *ngIf=\"this.addressingService.getTypeForm().viewForms.phoneNumber.required\"\n                            class=\"required\">*</span></label>\n                    <input (change)=\"onInputChange()\" class=\"form-control\" type=\"text\" name=\"phoneNumber\"\n                        [formControl]=\"checkoutForm.controls['phoneNumber']\" value=\"\" placeholder=\"\" autocomplete=\"off\">\n                    <div class=\"text-danger-container\"\n                        *ngIf=\"checkoutForm.controls.phoneNumber.touched && checkoutForm.controls.phoneNumber.errors?.required\">\n                        <span class=\"text-danger\">\n\n                            {{'phone-help1'|translate}}\n                        </span>\n                    </div>\n                    <div class=\"text-danger-container\"\n                        *ngIf=\"checkoutForm.controls.phoneNumber.touched && checkoutForm.controls.phoneNumber.errors?.pattern\">\n                        <span class=\"text-danger\">\n                            {{'phone-help2'|translate}}\n                        </span>\n                    </div>\n                </div>\n                <div class=\"form-group col-12 col-md-6\"\n                    *ngIf=\"this.addressingService.getTypeForm().viewForms.email.enabled\">\n                    <label class=\"field-label\">{{'email-address'|translate}}<span\n                            *ngIf=\"this.addressingService.getTypeForm().viewForms.email.required\"\n                            class=\"required\">*</span></label>\n                    <input (change)=\"onInputChange()\" class=\"form-control\" type=\"email\" name=\"email\"\n                        [formControl]=\"checkoutForm.controls['email']\" value=\"\" placeholder=\"\" autocomplete=\"off\">\n                    <div class=\"text-danger-container\"\n                        *ngIf=\"checkoutForm.controls.email.touched && checkoutForm.controls.email.errors?.required\">\n                        <span class=\"text-danger\">\n                            {{'email-address-help1'|translate}}\n                        </span>\n                    </div>\n                    <div class=\"text-danger-container\"\n                        *ngIf=\"checkoutForm.controls.email.touched && checkoutForm.controls.email.errors?.email\">\n                        <span class=\"text-danger\">\n                            {{'email-address-help2'|translate}}\n                        </span>\n                    </div>\n                </div>\n            </div>\n\n            <div class=\"row mt-df\"><!--Fila 3-->\n                <ng-container *ngIf=\"this.addressingService.getTypeForm().viewForms.countryCode.enabled\">\n                    <div class=\"form-group col-12 col-md-4\" *ngIf=\"(countries$ | async) as countries\">\n                        <label class=\"field-label\">{{'country'|translate}}<span\n                                *ngIf=\"this.addressingService.getTypeForm().viewForms.countryCode.required\"\n                                class=\"required\">*</span></label>\n                        <select class=\"form-select\" name=\"countryCode\"\n                            [formControl]=\"checkoutForm.controls['countryCode']\"\n                            (change)=\"onCountrySelected($event.target.value)\">\n                          <!--   <option selected [value]=\"countries[0].code\">{{ 'choose-country' | translate }}</option> -->\n                            <option *ngFor=\"let country of countries\" [value]=\"country.code\">{{ country.name }}</option>\n                        </select>\n                        <div *ngIf=\"checkoutForm.controls.countryCode.touched && checkoutForm.controls.countryCode.errors?.required\"\n                            class=\"text text-danger\">\n                            {{'country-help'|translate}}\n                        </div>\n                    </div>\n                </ng-container>\n                <ng-container *ngIf=\"this.addressingService.getTypeForm().viewForms.provinceCode.enabled\">\n                    <div class=\"form-group col-12 col-md-4\" *ngIf=\"(provinces$ | async) as provinces\">\n                        <label class=\"field-label\">{{'state'|translate}}<span\n                                *ngIf=\"this.addressingService.getTypeForm().viewForms.provinceCode.required\"\n                                class=\"required\">*</span></label>\n                        <select class=\"form-select\" name=\"provinceCode\"\n                            (change)=\"onProvincesSelected($event.target.value)\"\n                            [formControl]=\"checkoutForm.controls['provinceCode']\">\n<!--                             <option selected [value]=\"null\">{{ 'choose-province' | translate }}</option>\n -->                            <option *ngFor=\"let province of provinces\" [value]=\"province.code\">{{ province.name }}\n                            </option>\n                        </select>\n                        <div *ngIf=\"checkoutForm.controls.provinceCode.touched && checkoutForm.controls.provinceCode.errors?.required\"\n                            class=\"text text-danger\">\n                            {{'state-help'|translate}}\n                        </div>\n                    </div>\n                </ng-container>\n                <div class=\"form-group col-12 col-md-4\"\n                    *ngIf=\"this.addressingService.getTypeForm().viewForms.city.enabled\">\n                    <label class=\"field-label\">{{'town-city'|translate}}<span\n                            *ngIf=\"this.addressingService.getTypeForm().viewForms.city.required\"\n                            class=\"required\">*</span></label>\n                    <input (change)=\"onInputChange()\" class=\"form-control\" type=\"text\" name=\"city\"\n                        [formControl]=\"checkoutForm.controls['city']\" value=\"\" placeholder=\"\" autocomplete=\"off\">\n                    <div class=\"text-danger-container\"\n                        *ngIf=\"checkoutForm.controls.city.touched && checkoutForm.controls.city.errors?.required\">\n                        <span class=\"text-danger\">{{'town-city-help'|translate}}</span>\n                    </div>\n                </div>\n            </div>\n\n            <div class=\"row mt-df\"><!--Fila 4-->\n                <div class=\"form-group col-12 col-md-8\"\n                    *ngIf=\"this.addressingService.getTypeForm().viewForms.street.enabled\">\n                    <label class=\"field-label\">{{'address'|translate}}<span\n                            *ngIf=\"this.addressingService.getTypeForm().viewForms.street.required\"\n                            class=\"required\">*</span></label>\n                    <input (change)=\"onInputChange()\" class=\"form-control\" type=\"text\" name=\"street\"\n                        [formControl]=\"checkoutForm.controls['street']\" value=\"\" placeholder=\"\" autocomplete=\"off\">\n                    <div class=\"text-danger-container\"\n                        *ngIf=\"checkoutForm.controls.street.touched && checkoutForm.controls.street.errors?.required\">\n                        <span class=\"text-danger\">{{'address-help1'|translate}}</span>\n                    </div>\n                    <div class=\"text-danger-container\"\n                        *ngIf=\"checkoutForm.controls.street.touched && checkoutForm.controls.street.errors?.maxlength\">\n                        <span class=\"text-danger\">{{'address-help2'|translate}}</span>\n                    </div>\n                </div>\n\n                <div class=\"form-group col-12 col-md-4\"\n                    *ngIf=\"this.addressingService.getTypeForm().viewForms.postcode.enabled\">\n                    <label class=\"field-label\">{{'postal-code'|translate}}<span\n                            *ngIf=\"this.addressingService.getTypeForm().viewForms.postcode.required\"\n                            class=\"required\">*</span></label>\n                    <input (change)=\"onInputChange()\" class=\"form-control\" type=\"text\" name=\"postcode\"\n                        [formControl]=\"checkoutForm.controls['postcode']\" value=\"\" placeholder=\"\" autocomplete=\"off\">\n                    <div class=\"text-danger-container\"\n                        *ngIf=\"checkoutForm.controls.postcode.touched && checkoutForm.controls.postcode.errors?.required\">\n                        <span class=\"text-danger\">{{'postal-code-help'|translate}}</span>\n                    </div>\n                </div>\n            </div>\n\n            <div class=\"row mt-df\"><!--Fila 5-->\n                <ng-container *ngIf=\"this.addressingService.getTypeForm().viewForms.documentType.enabled\">\n                    <div class=\"form-group col-12 col-md-4\" *ngIf=\"(documentTypes$ | async) as documentTypes\">\n                        <label class=\"field-label\">{{'document-type'|translate}}<span\n                                *ngIf=\"this.addressingService.getTypeForm().viewForms.documentType.required\"\n                                class=\"required\">*</span></label>\n                        <select name=\"documentType\" class=\"form-select\"\n                            (change)=\"onDocumentTypesSelected($event.target.value)\"\n                            [formControl]=\"checkoutForm.controls['documentType']\">\n<!--                             <option [value]=\"''\" selected>{{'document-type'|translate}}</option>\n -->                            <option *ngFor=\"let item of documentTypes\" [value]=\"item.code\">{{item.name}}</option>\n                        </select>\n                        <div class=\"text-danger-container\"\n                            *ngIf=\"checkoutForm.controls.documentType.touched && checkoutForm.controls.documentType.errors?.required\">\n                            <span class=\"text-danger\">\n                                {{'type-document-help'|translate}}\n                            </span>\n                        </div>\n                    </div>\n                </ng-container>\n                <div class=\"form-group col-12 col-md-4\"\n                    *ngIf=\"this.addressingService.getTypeForm().viewForms.documentNumber.enabled\">\n                    <label class=\"field-label\">{{'document-number'|translate}}<span\n                            *ngIf=\"this.addressingService.getTypeForm().viewForms.documentNumber.required\"\n                            class=\"required\">*</span></label>\n                    <input (change)=\"onInputChange()\" class=\"form-control\"\n                        [type]=\"'text'\" name=\"documentNumber\"\n                        [formControl]=\"checkoutForm.controls['documentNumber']\" min=\"1\" max=\"99999999999\" value=\"\"\n                        placeholder=\"\" autocomplete=\"off\">\n                    <div class=\"text-danger-container\"\n                        *ngIf=\"checkoutForm.controls.documentNumber.touched && checkoutForm.controls.documentNumber.errors?.required\">\n                        <span class=\"text-danger\">\n                            {{'document-number-help'|translate}}\n                        </span>\n                    </div>\n                </div>\n            </div>\n\n            <div class=\"row mt-df\"><!--Fila 6-->\n                <div class=\"form-group col-12 col-md-12\"\n                    *ngIf=\"this.addressingService.getTypeForm().viewForms.notes.enabled\">\n\n                    <label class=\"field-label\" *ngIf=\"!getLabelNotesParam()\">{{'notes'|translate}} <span\n                            *ngIf=\"this.addressingService.getTypeForm().viewForms.notes.required\"\n                            class=\"required\">*</span></label>\n                    <label class=\"field-label\" *ngIf=\"getLabelNotesParam() as labelnotes\">{{labelnotes.value}} <span\n                            *ngIf=\"this.addressingService.getTypeForm().viewForms.notes.required\"\n                            class=\"required\">*</span></label>\n\n                    <!-- <label class=\"field-label\">{{'notes'|translate}}<span *ngIf=\"this.addressingService.getTypeForm().viewForms.notes.required\" class=\"required\">*</span></label> -->\n                    <input (change)=\"onInputChange()\" class=\"form-control\" type=\"text\" name=\"notes\"\n                        [formControl]=\"checkoutForm.controls['notes']\" value=\"\" placeholder=\"\" autocomplete=\"off\">\n                </div>\n            </div>\n            <div class=\"row mt-df\"><!--Fila 7-->\n                <div class=\"form-group col-12 col-md-12\">\n                    <label for=\"formFact\"><b>{{ 'same-billing-address' | translate }}</b> <input type=\"checkbox\"\n                            class=\"ms-2\" [checked]=\"viewDataFacturacion\" (change)=\"showFormFacturacion()\"\n                            id=\"formFact\"></label>\n                </div>\n            </div>\n            <div class=\"row mt-df\">\n                <div class=\"col-12\">\n                    <p>\n                        <span class=\"required\">*</span>\n                        <label class=\"required text-underline\"> {{ 'required-fields' | translate }}</label>\n                    </p>\n                </div>\n            </div>\n            <div class=\"row mt-df\">\n                <div class=\"form-group col-12 col-md-12\"\n                    *ngIf=\"this.addressingService.getTypeForm().viewForms.terms.enabled\">\n                    <span *ngIf=\"this.addressingService.getTypeForm().viewForms.terms.required\"\n                        class=\"required\">*</span>\n                    <label class=\"\" for=\"\"> {{ 'accept-terms' | translate }} <input class=\"ms-2\" name=\"terms\"\n                            [formControl]=\"checkoutForm.controls['terms']\" type=\"checkbox\" required\n                            (change)=\"onInputChange()\" /> </label><br />\n                    <a (click)=\"openModal(template)\" role=\"button\" class=\"ms-3 nota-input text-dark\">{{ 'whats-this' |\n                        translate }}</a>\n                    <div class=\"text-danger-container\"\n                        *ngIf=\"checkoutForm.controls.terms.touched && !checkoutForm.controls.terms.value\">\n                        <span class=\"text-danger\">{{ 'must-accept-terms' | translate }}</span>\n                    </div>\n                </div>\n            </div>\n            <div class=\"row\" *ngIf=\"viewDataFacturacion ; else datosFormFacturacion\"> </div>\n            <div class=\"checkout-btn-unique text-end\">\n                <button type=\"submit\" [disabled]=\"!validado\" class=\"btn valid-btn mt-2\">\n                    {{(isLastOne ? 'finish-checkout' : (allready_data ? 'update' :\n                    'ready-form')) | translate}}</button>\n\n\n            </div>\n            <div *ngIf=\"loading\" class=\"d-flex flex-column jusitfy-content-center align-items-center\">\n                <app-loading-full-ec></app-loading-full-ec>\n            </div>\n        </form>\n    </div>\n</ng-container>\n\n<ng-template #addressSelection>\n\n    <ng-container *ngIf=\"this.addressingService.modeSelectAddress == 'ONLY_ADDRESS_SELECTION'\">\n        <div class=\"checkout-title my-2\">\n            <h3>{{'address-selection'|translate}}</h3>\n        </div>\n    </ng-container>\n\n    <ng-container *ngIf=\"this.addressBook; else addressBookNotResult\">\n\n        <ng-container *ngIf=\"this.addressBook?.length ;else addressBookLoading\">\n            <div class=\"container\">\n                <div class=\"row\">\n                    <div class=\"col-sm-6 col-12 my-3\" *ngFor=\"let item of addressBook; let i = index\">\n                        <div class=\"card p-3\">\n                            <input class=\"ms-1 mt-3 form-check-input input-size-lg\" type=\"radio\" [name]=\"'n-'+i\" [id]=\"i\"\n                                [checked]=\"item.selected\" (click)=\"setSelectAddress(item)\" (change)=\"onInputChange()\">\n                            <div class=\"ms-5\">\n                                <h4 class=\"card-title\">\n                                    <strong>{{'address'|translate}}</strong><br>\n                                    <span class=\"text-uppercase h3\">{{item.street}}</span>\n                                </h4>\n                                <div class=\"row\">\n                                    <h5 class=\"card-subtitle mb-2 text-muted col-auto\">\n                                        <strong>{{'country'|translate}}</strong> {{getCountry(item.countryCode)}}\n                                    </h5>\n                                    <h5 class=\"card-subtitle mb-2 text-muted col-auto\">\n                                        <strong>{{'state'|translate}}</strong> {{getProvince(item.provinceCode)}}\n                                    </h5>\n                                    <h5 class=\"card-subtitle mb-2 text-muted col-auto\">\n                                        <strong>{{'town-city'|translate}}</strong> {{item.city}}\n                                    </h5>\n                                    <h5 class=\"card-subtitle mb-2 text-muted col-auto\">\n                                        <strong>{{'postal-code'|translate}}</strong> {{item.postcode}}\n                                    </h5>\n                                </div>\n                                <div class=\"row px-3\">\n                                    <div class=\"card p-2 bg-light w-100\">\n                                        <div class=\"card-body\">\n                                            <h5 class=\"card-title\">{{'address-contact'|translate}}</h5>\n                                            <h6 class=\"card-subtitle mb-2 text-muted\">\n                                                <strong>{{'first-name'|translate}}</strong>\n                                                {{item.addressContact.firstName}}\n                                            </h6>\n                                            <h6 class=\"card-subtitle mb-2 text-muted\">\n                                                <strong>{{'last-name'|translate}}</strong> {{item.addressContact.lastName}}\n                                            </h6>\n                                            <h6 class=\"card-subtitle mb-2 text-muted\">\n                                                <strong>{{'document-type'|translate}}</strong>\n                                                {{getDocumentType(item.addressContact.documentType)}}\n                                            </h6>\n                                            <h6 class=\"card-subtitle mb-2 text-muted\">\n                                                <strong>{{'document-number'|translate}}</strong>\n                                                {{item.addressContact.documentNumber}}\n                                            </h6>\n                                            <h6 class=\"card-subtitle mb-2 text-muted\">\n                                                <strong>{{'email-address'|translate}}</strong> {{item.addressContact.email}}\n                                            </h6>\n                                        </div>\n                                    </div>\n                                </div>\n                            </div>\n                        </div>\n                    </div>\n\n                </div>\n\n                <div class=\"w-100\">\n                    <div class=\"row mt-df\">\n                        <div class=\"form-group col-12 col-md-12\">\n                            <label class=\"field-label\" *ngIf=\"!getLabelNotesParam()\">{{'notes'|translate}}</label>\n                            <label class=\"field-label\"\n                                *ngIf=\"getLabelNotesParam() as labelnotes\">{{labelnotes.value}}</label>\n                            <input (change)=\"onInputChange()\" class=\"form-control\" type=\"text\" name=\"notes\"\n                                [(ngModel)]=\"this.addressBookSelected.notes\" #ctrl=\"ngModel\" value=\"\" placeholder=\"\"\n                                autocomplete=\"off\">\n                        </div>\n                    </div>\n                </div>\n                <div class=\"checkout-btn-unique text-end\">\n                    <button (click)=\"selectAddress(this.cartService.items)\" class=\"btn valid-btn mt-2\">\n                        {{(isLastOne ? 'finish-checkout' : (allready_data ? 'update' :\n                    'ready-form')) | translate}}\n                    </button>\n                </div>\n                <div *ngIf=\"loading\" class=\"d-flex flex-column jusitfy-content-center align-items-center\">\n                    <app-loading-full-ec></app-loading-full-ec>\n                </div>\n            </div>\n        </ng-container>\n    </ng-container>\n\n</ng-template>\n\n\n<ng-template #requireLoginView>\n    <div id=\"loginCheckout\">\n        <div class=\"d-flex flex-column jusitfy-content-center align-items-center\" *ngIf=\"require_login\">\n            <div class=\"col-12\">\n                <app-login-form-ec (ready)=\"verifyValidate($event)\" [redirect]=\"false\" [title]=\"'need-login'\">\n                </app-login-form-ec>\n            </div>\n        </div>\n    </div>\n</ng-template>\n\n\n\n<ng-template #datosFormFacturacion>\n    <div class=\"container-fluid px-0 px-md-2\">\n        <div class=\"row\">\n            <div class=\"col-12\">\n                <div class=\"card \">\n                    <div class=\"card-header text-dark text-center\">\n                        <h3>{{'billing-details'|translate}}</h3>\n                    </div>\n                    <div class=\"card-body\">\n                        <form (submit)=\"verifyValidate()\">\n                            <div class=\"row mt-df\">\n                                <!--Fila 1-->\n                                <div class=\"form-group col-12 col-md-6\"\n                                    *ngIf=\"this.addressingService.getTypeForm().viewForms.firstName.enabled\">\n                                    <label class=\"field-label\">{{'first-name'|translate}}<span\n                                            *ngIf=\"this.addressingService.getTypeForm().viewForms.firstName.required\"\n                                            class=\"required\">*</span></label>\n                                    <input class=\"form-control\" type=\"text\" name=\"firstName\"\n                                        [formControl]=\"checkoutFormFacturacion.controls['firstName']\" value=\"\"\n                                        placeholder=\"\" autocomplete=\"off\">\n                                    <div class=\"text-danger-container\"\n                                        *ngIf=\"checkoutFormFacturacion.controls.firstName.touched && checkoutFormFacturacion.controls.firstName.errors?.required\">\n                                        <span class=\"text-danger\">{{'first-name-help1'|translate}}</span>\n\n                                    </div>\n                                    <div class=\"text-danger-container\"\n                                        *ngIf=\"checkoutFormFacturacion.controls.firstName.touched && checkoutFormFacturacion.controls.firstName.errors?.pattern\">\n                                        <span class=\"text-danger\">\n                                            {{'first-name-help2'|translate}}\n                                        </span>\n                                    </div>\n                                </div>\n                                <div class=\"form-group col-12 col-md-6\"\n                                    *ngIf=\"this.addressingService.getTypeForm().viewForms.lastName.enabled\">\n                                    <label class=\"field-label\">{{'last-name'|translate}}<span\n                                            *ngIf=\"this.addressingService.getTypeForm().viewForms.lastName.required\"\n                                            class=\"required\">*</span></label>\n                                    <input class=\"form-control\" type=\"text\" name=\"lastName\"\n                                        [formControl]=\"checkoutFormFacturacion.controls['lastName']\" value=\"\"\n                                        placeholder=\"\" autocomplete=\"off\">\n                                    <div class=\"text-danger-container\"\n                                        *ngIf=\"checkoutFormFacturacion.controls.lastName.touched && checkoutFormFacturacion.controls.lastName.errors?.required\">\n                                        <span class=\"text-danger\">{{'last-name-help1'|translate}}</span>\n                                    </div>\n                                    <div class=\"text-danger-container\"\n                                        *ngIf=\"checkoutFormFacturacion.controls.lastName.touched && checkoutFormFacturacion.controls.lastName.errors?.pattern\">\n                                        <span class=\"text-danger\">{{'last-name-help2'|translate}}</span>\n                                    </div>\n                                </div>\n                            </div>\n                            <div class=\"row mt-df\">\n                                <!--Fila 2-->\n                                <div class=\"form-group col-12 col-md-6\"\n                                    *ngIf=\"this.addressingService.getTypeForm().viewForms.phoneNumber.enabled\">\n                                    <label class=\"field-label\">{{'phone'|translate}}<span\n                                            *ngIf=\"this.addressingService.getTypeForm().viewForms.phoneNumber.required\"\n                                            class=\"required\">*</span></label>\n                                    <input (change)=\"onInputChange()\" class=\"form-control\" type=\"text\"\n                                        name=\"phoneNumber\"\n                                        [formControl]=\"checkoutFormFacturacion.controls['phoneNumber']\" value=\"\"\n                                        placeholder=\"\" autocomplete=\"off\">\n                                    <div class=\"text-danger-container\"\n                                        *ngIf=\"checkoutFormFacturacion.controls.phoneNumber.touched && checkoutFormFacturacion.controls.phoneNumber.errors?.required\">\n                                        <span class=\"text-danger\">\n                                            {{'phone-help1'|translate}}\n                                        </span>\n                                    </div>\n                                    <div class=\"text-danger-container\"\n                                        *ngIf=\"checkoutFormFacturacion.controls.phoneNumber.touched && checkoutFormFacturacion.controls.phoneNumber.errors?.pattern\">\n                                        <span class=\"text-danger\">\n                                            {{'phone-help2'|translate}}\n                                        </span>\n                                    </div>\n                                </div>\n                                <div class=\"form-group col-12 col-md-6\"\n                                    *ngIf=\"this.addressingService.getTypeForm().viewForms.email.enabled\">\n                                    <label class=\"field-label\">{{'email-address'|translate}}<span\n                                            *ngIf=\"this.addressingService.getTypeForm().viewForms.email.required\"\n                                            class=\"required\">*</span></label>\n                                    <input (change)=\"onInputChange()\" class=\"form-control\" type=\"email\" name=\"email\"\n                                        [formControl]=\"checkoutFormFacturacion.controls['email']\" value=\"\"\n                                        placeholder=\"\" autocomplete=\"off\">\n                                    <div class=\"text-danger-container\"\n                                        *ngIf=\"checkoutFormFacturacion.controls.email.touched && checkoutFormFacturacion.controls.email.errors?.required\">\n                                        <span class=\"text-danger\">\n                                            {{'email-address-help1'|translate}}\n                                        </span>\n                                    </div>\n                                    <div class=\"text-danger-container\"\n                                        *ngIf=\"checkoutFormFacturacion.controls.email.touched && checkoutFormFacturacion.controls.email.errors?.email\">\n                                        <span class=\"text-danger\">\n                                            {{'email-address-help2'|translate}}\n                                        </span>\n                                    </div>\n                                </div>\n                            </div>\n                            <div class=\"row mt-df\">\n                                <!--Fila 3-->\n\n                                <ng-container\n                                    *ngIf=\"this.addressingService.getTypeForm().viewForms.countryCode.enabled\">\n\n                                    <div class=\"form-group col-12 col-md-4\"\n                                        *ngIf=\"(countriesFacturacion$ | async) as countries\">\n                                        <label class=\"field-label\">{{'country'|translate}}<span\n                                                *ngIf=\"this.addressingService.getTypeForm().viewForms.countryCode.required\"\n                                                class=\"required\">*</span></label>\n                                        <select class=\"form-select\" name=\"countryCode\"\n                                            [formControl]=\"checkoutFormFacturacion.controls['countryCode']\"\n                                            (change)=\"onCountrySelectedFacturacion($event.target.value)\">\n                                            <!-- <option selected [value]=\"null\">{{ 'choose-country' | translate }}</option> -->\n                                            <option *ngFor=\"let country of countries\" [value]=\"country.code\">\n                                                {{ country.name }}</option>\n                                        </select>\n                                        <div *ngIf=\"checkoutFormFacturacion.controls.countryCode.touched && checkoutFormFacturacion.controls.countryCode.errors?.required\"\n                                            class=\"text text-danger\">\n                                            {{'country-help'|translate}}\n                                        </div>\n                                    </div>\n                                </ng-container>\n                                <ng-container\n                                    *ngIf=\"this.addressingService.getTypeForm().viewForms.provinceCode.enabled\">\n\n                                    <div class=\"form-group col-12 col-md-4\"\n                                        *ngIf=\"(provincesFacturacion$ | async) as provinces\">\n                                        <label class=\"field-label\">{{'state'|translate}}<span\n                                                *ngIf=\"this.addressingService.getTypeForm().viewForms.provinceCode.required\"\n                                                class=\"required\">*</span></label>\n                                        <select class=\"form-select\" name=\"provinceCode\"\n                                            (change)=\"onProvincesSelectedFacturacion($event.target.value)\"\n                                            [formControl]=\"checkoutFormFacturacion.controls['provinceCode']\">\n                                            <!-- <option selected [value]=\"null\">{{ 'choose-province' | translate }}</option> -->\n                                            <option *ngFor=\"let province of provinces\" [value]=\"province.code\">\n                                                {{ province.name }}\n                                            </option>\n                                        </select>\n                                        <div *ngIf=\"checkoutFormFacturacion.controls.provinceCode.touched && checkoutFormFacturacion.controls.provinceCode.errors?.required\"\n                                            class=\"text text-danger\">\n                                            {{'state-help'|translate}}\n                                        </div>\n                                    </div>\n                                </ng-container>\n                                <div class=\"form-group col-12 col-md-4\"\n                                    *ngIf=\"this.addressingService.getTypeForm().viewForms.city.enabled\">\n                                    <label class=\"field-label\">{{'town-city'|translate}}<span\n                                            *ngIf=\"this.addressingService.getTypeForm().viewForms.city.required\"\n                                            class=\"required\">*</span></label>\n                                    <input (change)=\"onInputChange()\" class=\"form-control\" type=\"text\" name=\"city\"\n                                        [formControl]=\"checkoutFormFacturacion.controls['city']\" value=\"\" placeholder=\"\"\n                                        autocomplete=\"off\">\n                                    <div class=\"text-danger-container\"\n                                        *ngIf=\"checkoutFormFacturacion.controls.city.touched && checkoutFormFacturacion.controls.city.errors?.required\">\n                                        <span class=\"text-danger\">{{'town-city-help'|translate}}</span>\n                                    </div>\n                                </div>\n                            </div>\n                            <div class=\"row mt-df\">\n                                <!--Fila 4-->\n                                <div class=\"form-group col-12 col-md-8\"\n                                    *ngIf=\"this.addressingService.getTypeForm().viewForms.street.enabled\">\n                                    <label class=\"field-label\">{{'address'|translate}}<span\n                                            *ngIf=\"this.addressingService.getTypeForm().viewForms.street.required\"\n                                            class=\"required\">*</span></label>\n                                    <input (change)=\"onInputChange()\" class=\"form-control\" type=\"text\" name=\"street\"\n                                        [formControl]=\"checkoutFormFacturacion.controls['street']\" value=\"\"\n                                        placeholder=\"\" autocomplete=\"off\">\n                                    <div class=\"text-danger-container\"\n                                        *ngIf=\"checkoutFormFacturacion.controls.street.touched && checkoutFormFacturacion.controls.street.errors?.required\">\n                                        <span class=\"text-danger\">{{'address-help1'|translate}}</span>\n                                    </div>\n                                    <div class=\"text-danger-container\"\n                                        *ngIf=\"checkoutFormFacturacion.controls.street.touched && checkoutFormFacturacion.controls.street.errors?.maxlength\">\n                                        <span class=\"text-danger\">{{'address-help2'|translate}}</span>\n                                    </div>\n                                </div>\n                                <div class=\"form-group col-12 col-md-4\"\n                                    *ngIf=\"this.addressingService.getTypeForm().viewForms.postcode.enabled\">\n                                    <label class=\"field-label\">{{'postal-code'|translate}}<span\n                                            *ngIf=\"this.addressingService.getTypeForm().viewForms.postcode.required\"\n                                            class=\"required\">*</span></label>\n                                    <input (change)=\"onInputChange()\" class=\"form-control\" type=\"text\" name=\"postcode\"\n                                        [formControl]=\"checkoutFormFacturacion.controls['postcode']\" value=\"\"\n                                        placeholder=\"\" autocomplete=\"off\">\n                                    <div class=\"text-danger-container\"\n                                        *ngIf=\"checkoutFormFacturacion.controls.postcode.touched && checkoutFormFacturacion.controls.postcode.errors?.required\">\n                                        <span class=\"text-danger\">{{'postal-code-help'|translate}}</span>\n                                    </div>\n                                </div>\n                            </div>\n                            <div class=\"row mt-df\">\n                                <!--Fila 5-->\n                                <ng-container *ngIf=\"this.addressingService.getTypeForm().viewForms.documentType.enabled\">\n                                <div class=\"form-group col-12 col-md-4\" *ngIf=\"(documentTypesFacturacion$ | async) as documentTypes\">\n                                    <label class=\"field-label\">{{'document-type'|translate}}<span\n                                            *ngIf=\"this.addressingService.getTypeForm().viewForms.documentType.required\"\n                                            class=\"required\">*</span></label>\n                                    <select name=\"documentType\" class=\"form-select\"\n                                        [formControl]=\"checkoutFormFacturacion.controls['documentType']\">\n                                        <!-- <option [value]=\"''\" selected>{{'document-type'|translate}}</option> -->\n                                        <option\n                                            *ngFor=\"let item of documentTypes\"\n                                            [value]=\"item.code\">{{item.name}}</option>\n                                    </select>\n                                    <div class=\"text-danger-container\"\n                                        *ngIf=\"checkoutFormFacturacion.controls.documentType.touched && checkoutFormFacturacion.controls.documentType.errors?.required\">\n                                        <span class=\"text-danger\">\n                                            {{'type-document-help'|translate}}\n                                        </span>\n                                    </div>\n                                </div>\n                                <div class=\"form-group col-12 col-md-4\"\n                                    *ngIf=\"this.addressingService.getTypeForm().viewForms.documentNumber.enabled\">\n                                    <label class=\"field-label\">{{'document-number'|translate}}<span\n                                            *ngIf=\"this.addressingService.getTypeForm().viewForms.documentNumber.required\"\n                                            class=\"required\">*</span></label>\n                                    <input (change)=\"onInputChange()\" class=\"form-control\"\n                                        [type]=\"(this.addressingService.typeForms == 'EUR' ? 'text' : 'number') \"\n                                        name=\"documentNumber\"\n                                        [formControl]=\"checkoutFormFacturacion.controls['documentNumber']\" min=\"1\"\n                                        max=\"99999999999\" value=\"\" placeholder=\"\" autocomplete=\"off\">\n                                    <div class=\"text-danger-container\"\n                                        *ngIf=\"checkoutFormFacturacion.controls.documentNumber.touched && checkoutFormFacturacion.controls.documentNumber.errors?.required\">\n                                        <span class=\"text-danger\">\n                                            {{'document-number-help'|translate}}\n                                        </span>\n                                    </div>\n                                </div>\n                                </ng-container>\n                            </div>\n                            <div class=\"row mt-df\">\n                                <div class=\"form-group col-12 col-md-12\"\n                                    *ngIf=\"this.addressingService.getTypeForm().viewForms.notes.enabled\">\n                                    <label class=\"field-label\" *ngIf=\"!getLabelNotesParam()\">{{'notes'|translate}} <span\n                                            *ngIf=\"this.addressingService.getTypeForm().viewForms.notes.required\"\n                                            class=\"required\">*</span></label>\n                                    <label class=\"field-label\"\n                                        *ngIf=\"getLabelNotesParam() as labelnotes\">{{labelnotes.value}} <span\n                                            *ngIf=\"this.addressingService.getTypeForm().viewForms.notes.required\"\n                                            class=\"required\">*</span></label>\n                                    <!-- <label class=\"field-label\">{{'notes'|translate}}<span *ngIf=\"this.addressingService.getTypeForm().viewForms.notes.required\" class=\"required\">*</span></label> -->\n                                    <input (change)=\"onInputChange()\" class=\"form-control\" type=\"text\" name=\"notes\"\n                                        [formControl]=\"checkoutFormFacturacion.controls['notes']\" value=\"\"\n                                        placeholder=\"\" autocomplete=\"off\">\n                                </div>\n                            </div>\n                        </form>\n                    </div>\n\n                </div>\n            </div>\n        </div>\n    </div>\n</ng-template>\n\n\n\n<ng-template #template>\n    <div class=\"modal-content\">\n        <div class=\"modal-header\">\n            <button type=\"button\" class=\"btn-close float-end\" aria-label=\"Close\" (click)=\"modalRef.hide()\">\n            </button>\n        </div>\n    </div>\n\n    <div class=\"modal-body scrol-if\">\n        <app-section-container-ec [name]=\"'terminos-y-condiciones'\"> </app-section-container-ec>\n    </div>\n\n</ng-template>\n\n\n<ng-template #addressBookNotResult>\n    <div class=\"container\">\n        <div class=\"row\">\n            <div class=\"col-12 text-center my-2\">\n                <h4> {{'address-book-not-result' | translate }} </h4>\n            </div>\n        </div>\n    </div>\n</ng-template>\n\n<ng-template #addressBookLoading>\n    <div class=\"container\">\n        <div class=\"row\">\n            <div class=\"col-12 text-center my-2\">\n                <div class=\"d-flex flex-column jusitfy-content-center align-items-center\">\n                    <app-loading-full-ec></app-loading-full-ec>\n                </div>\n            </div>\n        </div>\n    </div>\n</ng-template>\n",
        providers: [BsModalService],
        styles: [".mt-df{margin:10px auto 0}.btn.btn-outline-secondary.active,.btn.btn-outline-secondary:hover{color:#fff!important}.required{color:red}.field-label{color:#000}.btn.valid-btn{background-color:#000;color:#fff;margin-right:-3px;margin-bottom:10px}label{color:#000}.input-size-lg{width:1.8rem;height:1.8rem}"]
    })
], DataFormEcComponent);

var __decorate$Q = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __awaiter$a = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
let PaymentService = class PaymentService extends StepService {
    constructor(connection, toastrService, cartService, consts, checkoutService, analyticsService) {
        super(checkoutService);
        this.connection = connection;
        this.toastrService = toastrService;
        this.cartService = cartService;
        this.consts = consts;
        this.checkoutService = checkoutService;
        this.analyticsService = analyticsService;
        this.paymentMethodsSubject = new BehaviorSubject([]);
        this.methods$ = this.paymentMethodsSubject.asObservable();
        this.baseApi = () => 'shop-api/' + this.consts.getChannel() + '/' + 'checkout/' + this.cartService.getCartToken();
        this.getPaymentMethodsApi = () => this.baseApi() + '/payment';
        this.getPreferenceApi = () => 'shop-api/' + this.consts.getChannel() + '/mercado-pago/' + this.cartService.getCartToken() + '/preference';
        this.getCheckoutMobbexApi = () => 'shop-api/' + this.consts.getChannel() + '/mobbex/' + this.cartService.getCartToken() + '/process-payment';
        this.getCheckoutBancardApi = () => 'shop-api/' + this.consts.getChannel() + '/bancard/' + this.cartService.getCartToken() + '/process-payment'; //?testOrderNumber=' + this.getRandomArbitrary()
        this.getCheckoutBambooApi = () => 'shop-api/' + this.consts.getChannel() + '/bamboo/' + this.cartService.getCartToken() + '/process-payment';
        this.putPaymentApi = (method) => this.baseApi() + '/payment/' + method;
        this.getPaymentMethods = () => __awaiter$a(this, void 0, void 0, function* () {
            return this.connection.get(this.getPaymentMethodsApi()).toPromise().then(res => { var _a; return ((_a = res.payments) === null || _a === void 0 ? void 0 : _a.length) && this.paymentMethodsSubject.next(Object.keys(res.payments[0].methods).map(key => res.payments[0].methods[key])); }, err => this.toastrService.show('operation-error'));
        });
        // putPayment = (method) => this.connection.put(this.putPaymentApi(method), { method }).toPromise();
        this.putPayment = (method) => this.connection
            .put(this.putPaymentApi(method), { method })
            .toPromise()
            .then(res => {
            this.analyticsService.callEvent('add_payment_info', res);
            return res;
        }, err => {
            return new Promise((resolve, reject) => reject(new Error(err.error)));
        }).catch(err => console.error(err));
        this.getPreference = (shipment_data) => this.connection.post(this.getPreferenceApi(), shipment_data).pipe(map(res => (res.preference || res))).toPromise();
        this.getCheckoutMobbex = (shipment_data) => this.connection.post(this.getCheckoutMobbexApi(), shipment_data).toPromise();
        this.getCheckoutBancard = (shipment_data) => this.connection.get(this.getCheckoutBancardApi(), shipment_data).toPromise();
        this.getCheckoutBamboo = (shipment_data) => this.connection.get(this.getCheckoutBambooApi(), shipment_data).toPromise();
        this.getRandomArbitrary = () => Math.round(Math.random() * (Number(9999999) - Number(2000003)) + Number(2000003));
        this.getPaymentMethods();
    }
};
PaymentService.ctorParameters = () => [
    { type: ConnectionService },
    { type: ToastService },
    { type: CartService },
    { type: Constants },
    { type: CheckoutService },
    { type: AnalyticsService }
];
PaymentService = __decorate$Q([
    Injectable()
], PaymentService);

var __decorate$R = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __awaiter$b = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
let PaymentEcComponent = class PaymentEcComponent extends ComponentHelper {
    constructor(renderer, toastr, paymentService, checkoutService) {
        super();
        this.renderer = renderer;
        this.toastr = toastr;
        this.paymentService = paymentService;
        this.checkoutService = checkoutService;
        this.methodDataSubject = new BehaviorSubject(null);
        this.loadingSubject = new BehaviorSubject(false);
        this.loading_internal = false;
        this.loading = true;
        this.loading_internal_mp = false;
        this.method_data$ = this.methodDataSubject.asObservable();
        this.loading$ = this.loadingSubject.asObservable();
        this.allData = () => (Object.assign(Object.assign({}, this.paymentService.getUserData().shippingAddress), this.paymentService.getShipmentData()));
        this.setError = (message) => {
            this.error = message;
        };
        this.emitResult = () => __awaiter$b(this, void 0, void 0, function* () {
            this.paymentService.setStepReady(this.methodDataSubject.getValue(), null).then(res => {
                this.setLoading(false);
            });
        });
        this.setLoading = (estado = true) => {
            this.loadingSubject.next(estado);
            return true;
        };
        this.verifyValidate = () => {
            this.setLoading();
            setTimeout(r => this.emitResult(), 1000);
        };
        this.setMethod = (method) => __awaiter$b(this, void 0, void 0, function* () {
            this.methodDataSubject.next(null);
            let result = yield this.paymentService.putPayment(method.code);
            this.methodDataSubject.next(method);
            // this.isMP(method.code) && this.getPreference();
        });
        this.submitForm = (event) => {
            try {
                //console.log("EVENT", event);
                event.preventDefault();
                return false;
            }
            catch (e) {
                //console.log('SE ROMOPIO EL PREVENT DEFAULT')
            }
        };
        this.getPK = (method) => (method.config.public_key || method.public_key);
        this.isRedirectRedsys = (code) => code && code.toLocaleLowerCase().includes('redsys_redirect');
        this.isRedirectCecaBank = (code) => code && code.toLocaleLowerCase().includes('ceca_bank_redirect');
        this.isMP = (code) => code && code.toLocaleLowerCase().includes('mercado_pago') && !code.toLocaleLowerCase().includes('credit');
        this.isMPTarjetaDeCredito = (code) => code && code.toLocaleLowerCase().includes('credit');
        this.isMethodOffline = (code) => code && code.toLocaleLowerCase().includes('offline');
        this.isPeyPalExpress = (code) => code && code.toLocaleLowerCase().includes('paypal') && code.toLocaleLowerCase().includes('express');
        this.isMobbex = (code) => code && code.toLocaleLowerCase().includes('mobbex');
        this.isBancard = (code) => code && code.toLocaleLowerCase().includes('bancard');
        this.isDecidir = (code) => code && code.toLocaleLowerCase().includes('decidir');
        this.isCulqi = (code) => code && code.toLocaleLowerCase().includes('culqi');
        this.isBankTransfer = (code) => code && code.toLocaleLowerCase().includes('bank_transfer');
        this.isCatastro = (code) => code && code.toLocaleLowerCase().includes('catastro');
        this.isBamboo = (code) => code && code.toLocaleLowerCase().includes('bamboo');
        this.getPKCulqi = method => {
            return window.location.href.includes('easycommercetech')
                ? method.config.public_testing_key
                : method.config.public_production_key;
        };
        this.ecOnConstruct();
    }
    ngOnChanges() { }
    ngOnInit() {
        this.paymentService.initialize(this.step_id);
        this.checkoutService.asociatedData$.subscribe((data) => this.total_amount = (data.find(item => item.type == 'total')).amount);
        this.ecOnInit();
    }
    setActive(e) {
        const parent = e.target.parentElement.children;
        for (const button of parent) {
            if (button.classList.contains('active')) {
                button.classList.remove('active');
            }
        }
        e.target.classList.add("active");
    }
};
PaymentEcComponent.ctorParameters = () => [
    { type: Renderer2 },
    { type: ToastService },
    { type: PaymentService },
    { type: CheckoutService }
];
__decorate$R([
    Input()
], PaymentEcComponent.prototype, "step_id", void 0);
__decorate$R([
    ViewChild('formContainer')
], PaymentEcComponent.prototype, "mercadopago_button", void 0);
PaymentEcComponent = __decorate$R([
    Component({
        selector: 'app-payment-ec',
        template: "<div class=\"container-fluid\" *ngIf=\"(paymentService.methods$ | async) as methods\">\n\n    <div class=\"row\">\n        <div class=\"col-12\">\n            <div class=\"card \">\n                <div class=\"card-header text-dark text-center\">\n                    <h4>{{ 'select-method' | translate }}</h4>\n                    <div class=\"btn-toolbar justify-content-center\" role=\"toolbar\" aria-label=\"Envios toolbar\">\n                        <div class=\"\" role=\"group\" aria-label=\"Grupo botones envio\">\n                            <div class=\"d-flex align-content-start justify-content-center flex-wrap\">\n                                <button type=\"button\" class=\"btn btn-outline-secondary mx-1 mb-1\"\n                                    *ngFor=\"let method of methods; let x = index\"\n                                    (click)=\"setMethod(method) ; setActive($event)\">\n                                    {{ method.name | translate }}\n                                </button>\n                            </div>\n                        </div>\n                    </div>\n                </div>\n                <div class=\"card-body text-center\">\n                    <div class=\"row justify-content-center\" *ngIf=\"(method_data$ | async) as method\">\n                        <ng-container *ngIf=\"!loading_internal ; else loading\">\n                            <div class=\"method-container text-dark\" *ngIf=\"isMP(method.code)\">\n                                <p id=\"faqs\" class=\"qt px-5 \">{{ method.description }}</p>\n                                <p class=\"px-5\">{{ method.instructions }}</p>\n                                <app-mp-redirect-ec (ready)=\"verifyValidate($event)\" [method]=\"method\" [paymentServiceInst]=\"paymentService\" [allData]=\"allData()\"></app-mp-redirect-ec>\n                            </div>\n                            <div class=\"method-container text-dark text-left\" *ngIf=\"isMPTarjetaDeCredito(method.code)\">\n                                <div class=\"row\">\n                                    <div class=\"col-12\">\n                                        <p id=\"faqs\" class=\"qt px-5 \">{{ method.description }}</p>\n                                        <p class=\"px-5\">{{ method.instructions }}</p>\n                                        <div app-mp-credit-ec (ready)=\"verifyValidate()\" [public_key]=\"getPK(method)\"\n                                            [user_data]=\"allData()\" [total_amount]=\"total_amount\">\n                                        </div>\n                                    </div>\n                                </div>\n                            </div>\n                            <div class=\"method-container text-dark text-start\"\n                                *ngIf=\"isRedirectRedsys(method.code)\">\n                                <div class=\"row\">\n                                    <div class=\"col-12\">\n                                        <ng-container *ngIf=\"!method.code.includes('bizum') && !method.code.includes('_out_')\">\n                                            <app-redsys-redirect-ec (ready)=\"verifyValidate($event)\" [method]=\"method\" [user_data]=\"allData()\">\n                                            </app-redsys-redirect-ec>\n                                        </ng-container>\n                                        <ng-container *ngIf=\"method.code.includes('bizum') || method.code.includes('_out_')\">\n                                            <app-redsys-redirect-out-ec (ready)=\"verifyValidate($event)\" [method]=\"method\" [user_data]=\"allData()\">\n                                            </app-redsys-redirect-out-ec>\n                                        </ng-container>\n                                    </div>\n                                </div>\n                            </div>\n                            <div class=\"method-container text-dark text-start\" *ngIf=\"isRedirectCecaBank(method.code)\">\n                                <div class=\"row\">\n                                    <div class=\"col-12\">\n                                        <app-ceca-redirect-ec (ready)=\"verifyValidate($event)\" [method]=\"method\" [user_data]=\"allData()\">\n                                        </app-ceca-redirect-ec>\n                                    </div>\n                                </div>\n                            </div>\n                            <div class=\"method-container text-dark text-start\" *ngIf=\"isPeyPalExpress(method.code)\">\n                                <div class=\"container\">\n                                    <div class=\"row justify-content-center\">\n                                        <div class=\"col-12\">\n                                            <app-paypal-express-ec (ready)=\"verifyValidate($event)\" [method]=\"method\" [user_data]=\"allData()\"\n                                                [total_amount]=\"total_amount\">\n                                            </app-paypal-express-ec>\n                                        </div>\n                                    </div>\n                                </div>\n                            </div>\n                            <div class=\"method-container text-dark text-start\" *ngIf=\"isMobbex(method.code)\">\n                                <div class=\"container\">\n                                    <div class=\"row justify-content-center\">\n                                        <div class=\"col-12\">\n                                            <app-mobbex-ec (ready)=\"verifyValidate($event)\" [method]=\"method\" [user_data]=\"allData()\" [paymentServiceInst]=\"paymentService\"\n                                                [total_amount]=\"total_amount\">\n                                            </app-mobbex-ec>\n                                        </div>\n                                    </div>\n                                </div>\n                            </div>\n                            <div class=\"method-container text-dark text-start\" *ngIf=\"isBancard(method.code)\">\n                                <div class=\"container\">\n                                    <div class=\"row justify-content-center\">\n                                        <div class=\"col-12\">\n                                            <app-bancard-ec (ready)=\"verifyValidate($event)\" [method]=\"method\" [user_data]=\"allData()\"\n                                                [paymentServiceInst]=\"paymentService\" [total_amount]=\"total_amount\">\n                                            </app-bancard-ec>\n                                        </div>\n                                    </div>\n                                </div>\n                            </div>\n                            <div class=\"method-container text-dark text-start\" *ngIf=\"isDecidir(method.code)\">\n                                <div class=\"container\">\n                                    <div class=\"row justify-content-center\">\n                                        <div class=\"col-12\">\n                                            <app-decidir-ec (ready)=\"verifyValidate($event)\" [method]=\"method\" [user_data]=\"allData()\" [paymentServiceInst]=\"paymentService\"\n                                                [total_amount]=\"total_amount\">\n                                            </app-decidir-ec>\n                                        </div>\n                                    </div>\n                                </div>\n                            </div>\n                            <div class=\"method-container text-dark\" *ngIf=\"isMethodOffline(method.code)\">\n                                <p id=\"faqs\" class=\"qt px-5\">{{ method.description }}</p>\n                                <p class=\"px-5\">{{ method.instructions }}</p>\n                                <div class=\"end-button\">\n                                    <button class=\"btn comprar\" (click)=\"setLoading() && verifyValidate()\">{{  ('pay-with-offline'| translate) }}</button>\n                                </div>\n                                <ng-container *ngIf=\"(loading$ | async) as load\">\n                                    <div class=\"mt-2\" *ngIf=\"load\">\n                                        <app-loading-inline-ec></app-loading-inline-ec>\n                                    </div>\n                                </ng-container>\n                            </div>\n                            <div class=\"method-container text-dark text-start\" *ngIf=\"isCulqi(method.code)\">\n                                <div class=\"container\">\n                                    <div class=\"row justify-content-center\">\n                                        <div class=\"col-12\">\n                                            <!-- <app-mobbex-ec (ready)=\"verifyValidate($event)\" [method]=\"method\" [user_data]=\"allData()\" [paymentServiceInst]=\"paymentService\"\n                                                [total_amount]=\"total_amount\">\n                                            </app-mobbex-ec> -->\n                                            <app-culqi-ec [apiKey]=\"getPKCulqi(method)\" [method]=\"method\" [amount]=\"total_amount\" [customStyle]=\"true\" (ready)=\"verifyValidate()\"></app-culqi-ec>\n                                        </div>\n                                    </div>\n                                </div>\n                            </div>\n                            <div class=\"method-container text-dark text-start\" *ngIf=\"isCatastro(method.code)\">\n                                <div class=\"container\">\n                                    <div class=\"row justify-content-center\">\n                                        <div class=\"col-12\">\n                                           <app-bancard-catastro-ec (ready)=\"verifyValidate($event)\" [method]=\"method\" [user_data]=\"allData()\"\n                                           [paymentServiceInst]=\"paymentService\" [total_amount]=\"total_amount\"></app-bancard-catastro-ec>\n                                        </div>\n                                    </div>\n                                </div>\n                            </div>\n                            <div class=\"method-container text-dark text-start\" *ngIf=\"isBamboo(method.code)\">\n                                <div class=\"container\">\n                                    <div class=\"row justify-content-center\">\n                                        <div class=\"col-12\">\n                                           <app-bamboo-ec (ready)=\"verifyValidate($event)\" [method]=\"method\" [user_data]=\"allData()\"\n                                           [paymentServiceInst]=\"paymentService\" [total_amount]=\"total_amount\"></app-bamboo-ec>\n                                        </div>\n                                    </div>\n                                </div>\n                            </div>\n                            <div class=\"method-container text-dark\" *ngIf=\"isBankTransfer(method.code)\">\n                                <div class=\"row px-0 description-cont\">\n                                    <ng-container *ngFor=\"let line of method.description.split('\\r\\n'); let i=index\">\n                                        <p [id]=\"'faqs-'+i\" [class]=\"'qt px-5 m-0 line-'+i\">{{ line }}</p>\n                                    </ng-container>\n                                </div>\n                                <hr *ngIf=\"method.instructions\">\n                                <div *ngIf=\"method.instructions\" class=\"row px-0 instructions-cont mb-1\">\n                                    <h5 class=\"instructions-title\">{{ ('instructions' | translate) }}</h5>\n                                    <ng-container *ngFor=\"let line of method.instructions.split('\\r\\n'); let i=index\">\n                                        <p [class]=\"'px-5 m-0 instructions-text line-'+i \">{{ line }}</p>\n                                    </ng-container>\n                                </div>\n                               \n                                <div class=\"end-button\">\n                                    <button class=\"btn comprar\" (click)=\"setLoading() && verifyValidate()\">{{\n                                        ('pay-with-transfer'\n                                        | translate) }}</button>\n                                </div>\n                                <ng-container *ngIf=\"(loading$ | async) as load\">\n                                    <div class=\"mt-2\" *ngIf=\"load\">\n                                        <app-loading-inline-ec></app-loading-inline-ec>\n                                    </div>\n                                </ng-container>\n                            </div>\n                        </ng-container>\n                    </div>\n                </div>\n            </div>\n        </div>\n    </div>\n</div>\n\n<ng-template #mercadoPago>\n    <div class=\"row \">\n        <div class=\"col-12 text-center\">\n            <app-loading-inline-ec *ngIf=\"loading_internal_mp\"></app-loading-inline-ec>\n            <form action=\"javascript:void(0)\" #formContainer></form>\n        </div>\n    </div>\n</ng-template>\n\n<ng-template #loading>\n    <app-loading-inline-ec></app-loading-inline-ec>\n</ng-template>",
        providers: [PaymentService],
        styles: ["div.col-12 form{text-align:center}.option-container>div{margin-bottom:15px}@media only screen and (min-width:600px){.option-container{display:flex;justify-content:space-between;margin-top:20px}}.method-container{width:100%}.active{background-color:#000!important;color:#fff!important}.comprar{background:#000;color:#fff;display:inline-block;font-size:18px;font-weight:600;padding:10px 25px;text-decoration:none;text-transform:uppercase}"]
    })
], PaymentEcComponent);

var __decorate$S = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let ShipmentEcComponent = class ShipmentEcComponent extends ComponentHelper {
    constructor(shipmentService, toastrService, productsService, checkoutService) {
        super();
        this.shipmentService = shipmentService;
        this.toastrService = toastrService;
        this.productsService = productsService;
        this.checkoutService = checkoutService;
        this.loading_internal = false;
        this.points = [];
        this.costos = null;
        this.costs = [];
        this.contracts = [];
        this.emitResult = (method_name, contract_data) => {
            contract_data = Object.assign(Object.assign({}, contract_data), { shipping_method_contract: method_name + '_' + contract_data.name, shipping_method_branch_code: method_name == "branch_delivery" ? contract_data.sucursal_id : contract_data.name });
            this.shipmentService.setContract(contract_data);
        };
        this.verifyValidate = (contract, data) => {
            try {
                this.costs.forEach(cost => cost.contracts.forEach(co => co.selected = false));
                this.costs.find(cost => cost.name == contract).contracts.find(contra => contra.name == data.name).selected = true;
            }
            catch (error) {
                console.log("error al buscar contrato", error);
            }
            this.emitResult(contract, data);
        };
        this.toTraducible = (name) => name.replace(/_/g, '-');
        this.deleteUPS = (methods) => methods.filter(method => method.name != 'UPS');
        this.setMethod = (method) => {
            this.methodSelect = method;
            this.loading_internal = true;
            this.shipmentService.restartStep();
            setTimeout(() => {
                this.shipmentService.setMethod(method.code).then(res => this.loading_internal = false);
            }, 1000);
        };
        this.validName = (name) => isNaN(name);
        this.showResponse = (costs) => console.log(costs);
        this.ecOnConstruct();
    }
    ngOnInit() {
        this.shipmentService.initialize(this.step_id);
        this.shipmentService.getShipmentMethods();
        this.checkoutService.asociatedData$.subscribe(data => {
            this.costos = data && data.find(value => value.type == "shipment") || null;
        });
        this.shipmentService.costs.subscribe(cos => {
            var _a, _b;
            this.costs = cos.map(cost => { return Object.assign(Object.assign({}, cost), { contracts: cost.contracts.map(co => { return Object.assign(Object.assign({}, co), { selected: false }); }) }); });
            if (this.costs.length && ((_a = this.costs[0]) === null || _a === void 0 ? void 0 : _a.name) && ((_b = this.costs[0]) === null || _b === void 0 ? void 0 : _b.contracts[0])) {
                this.verifyValidate(this.costs[0].name, this.costs[0].contracts[0]);
            }
        });
        this.moreInfoInMethod = true; //ShipmentService.moreInfoInMethod;
        this.ecOnInit();
    }
    ngOnChanges() {
        this.shipmentService.getShipmentMethods();
    }
    setActive(e) {
        const parent = e.target.parentElement.children;
        for (const button of parent) {
            if (button.classList.contains('active')) {
                button.classList.remove('active');
            }
        }
        e.target.classList.add("active");
    }
};
ShipmentEcComponent.ctorParameters = () => [
    { type: ShipmentService },
    { type: ToastService },
    { type: ProductsService },
    { type: CheckoutService }
];
__decorate$S([
    Input()
], ShipmentEcComponent.prototype, "step_id", void 0);
ShipmentEcComponent = __decorate$S([
    Component({
        selector: 'app-shipment-ec',
        template: "<!-- <div class=\"checkout-title\">\n    <h3>{{'shipment-methods'|translate}}</h3>\n</div> -->\n\n<div class=\"container-fluid\">\n    <div class=\"col-12\">\n        <div class=\"card text-center\">\n            <div class=\"card-header text-dark\">\n                <h4>{{ 'select-method' | translate }}</h4>\n                <div class=\"btn-toolbar justify-content-center\" role=\"toolbar\" aria-label=\"Envios toolbar\"\n                    *ngIf=\"(shipmentService.methods | async) as methods; else noMethods\">\n                    <div class=\"\" role=\"group\" aria-label=\"Grupo botones envio\">\n                        <div class=\"d-flex align-content-start justify-content-center flex-wrap\">\n                            <button type=\"button\" class=\"btn btn-outline-secondary mx-1 mb-1\"\n                                *ngFor=\"let method of deleteUPS(methods); let x = index\"\n                                (click)=\"setMethod(method, post_code); setActive($event)\">\n                                {{ method.name | translate }}\n                            </button>\n                        </div>\n\n\n                    </div>\n                </div>\n            </div>\n            <div class=\"card-body\">\n                <div class=\"row justify-content-center mb-2\" *ngIf=\"moreInfoInMethod && methodSelect && methodSelect.description\">\n                    <div class=\"col-12 col-md-6 col-lg-4 d-flex flex-column mb-2\" [id]=\"methodSelect.code\">\n                      <ng-container *ngFor=\"let line of methodSelect.description.split('\\r\\n'); let i=index\">\n                        <span [id]=\"methodSelect.code+'-'+i\" [class]=\"'line-'+i\">{{line}}</span>\n                      </ng-container>\n                    </div>\n                    <!--<span> <b>{{ 'information' | translate }}:</b>  {{methodSelect.description}} </span>-->\n                </div>\n                <div class=\"row justify-content-center\" *ngIf=\"this.costs\">\n                    <ng-container *ngIf=\"!loading_internal ; else loading\">\n                        <div class=\"col-auto text-dark\" *ngFor=\"let cost of costs; let y = index\">\n                            <ng-container *ngIf=\"cost.contracts.length > 0\">\n                              <ng-container *ngIf=\"costs.length > 1; else uniqueShipment\">\n                                <span><b>{{ cost.name | translate }}</b></span>\n                                <hr />\n                                   </ng-container>\n                                   <ng-template #uniqueShipment>\n                              <span><b>{{ methodSelect.name | translate }}</b></span>\n                                <hr />\n                                   </ng-template>\n                                <div class=\"option\" *ngFor=\"let contract of cost.contracts; let i = index\">\n                                    <div class=\"form-check current-contract\">\n                                        <input class=\"form-check-input\" [checked]=\"(y === 0 && i === 0) ? true : contract.selected\" type=\"radio\" name=\"card\" [id]=\"cost.name + i\"\n                                            value=\"dark\" (click)=\"verifyValidate(cost.name, contract)\">\n                                        <label class=\"form-check-label\" [for]=\"cost.name + i\" aria-label=\"Dark grey\">\n                                            <span\n                                                [class]=\"(cost.name == 'home_delivery') ? 'shipment-contractname home_delivery' : 'shipment-contractname' \"\n                                                *ngIf=\"validName(contract.name)\">{{ contract.name | translate }}</span>\n                                            <span *ngIf=\"contract.computed\"><br class=\"shipment-contractname\">{{ contract.computed | translate }}<br\n                                                    class=\"shipment-contractname\"></span>\n                                            <div *ngIf=\"contract.detail\" class=\"contract-detail\">\n                                                <div *ngFor=\"let line of contract.detail.split(' - '); let i = index\" [class]=\"'contrat-item-'+i\">\n                                                    <span *ngIf=\"i == 0\"><b>{{ line }}</b></span>\n                                                    <span class=\"inside-detail\" *ngIf=\"i > 0\">{{ line }}</span>\n                                                </div>\n                                            </div>\n                                            <span *ngIf=\"contract.price > 0\" [class]=\"'inside-detail ' + ( costos?.amount == 0 ? ' free ' : '') \">\n                                                <br class=\"shipment-contractname\" *ngIf=\"!contract.computed\">\n                                                {{ ('price'|translate) + ': ' + (contract.price | ecCurrencySymbol) }}</span>\n                                            <!-- <span *ngIf=\"contract.price == 0\" [class]=\"'inside-detail ' + ( costos?.amount == 0 ? ' free ' : '') \">\n                                                <br class=\"shipment-contractname\" *ngIf=\"!contract.computed\"> {{ ('free'|translate) }}</span> -->\n                                            <br>\n                                        </label>\n                                    </div>\n                                </div>\n                            </ng-container>\n                        </div>\n                    </ng-container>\n                </div>\n            </div>\n\n        </div>\n    </div>\n\n</div>\n\n<ng-template #noMethods>\n    <div class=\"d-flex flex-row w-100 justify-content-center mt-2\">\n        <h5 class=\"text-secondary\">{{'no-shipment-methods'|translate}}</h5>\n    </div>\n</ng-template>\n\n<ng-template #loading>\n    <app-loading-full-ec></app-loading-full-ec>\n</ng-template>\n",
        providers: [ShipmentService],
        styles: [".shipment-container{width:100%;max-height:500px!important}.points-container{margin-top:10px;max-height:300px;overflow:scroll}agm-map{height:300px}.ancho-100{width:200px}.ancho-50{width:100px}.group-shipping{margin:10px 0}.option-container>div{margin-bottom:15px}@media only screen and (min-width:600px){.option-container{display:flex;justify-content:space-between;margin-top:20px}}hr{margin-top:0!important}.option{display:flex;align-items:flex-start;margin-bottom:20px}.option label{margin:0 0 0 10px}.inside-detail{color:gray!important;font-weight:400}.inside-detail.free{text-decoration:line-through}.active{color:#fff!important}"]
    })
], ShipmentEcComponent);

var __decorate$T = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let SuccessEcComponent = class SuccessEcComponent extends ComponentHelper {
    constructor(activedRoute, cartService, router, checkoutService, blocksService, consts) {
        super();
        this.activedRoute = activedRoute;
        this.cartService = cartService;
        this.router = router;
        this.checkoutService = checkoutService;
        this.blocksService = blocksService;
        this.consts = consts;
        this.orderDetails = {};
        this.params = {};
        this.from_mp = true;
        /**
         * @description Chequea si existe un bloque recibido por parametro.
         * @param codeBlock codigo del bloque.
         * @returns el bloque si lo encontro.
         */
        this.containsBlock = (codeBlock) => this.blocks.find(block => block.code == codeBlock);
        this.ecOnConstruct();
    }
    ngOnInit() {
        this.checkoutService.order$.subscribe(res => {
            var _a, _b;
            //console.log('LO QUE LLEGA EN ORDEN', res);
            ((_a = res) === null || _a === void 0 ? void 0 : _a.number) ? this.params = {
                external_reference: res.number,
            } : null;
            //this.payments = [{method:{code:'bank_transsfer'}}]
            this.payments = ((_b = res) === null || _b === void 0 ? void 0 : _b.payments) ? res.payments : null;
        });
        this.blocksService.getBlocks('info_metodo_pago');
        this.blocksService.blocks.subscribe(res => this.blocks = res);
        this.ecOnInit();
    }
};
SuccessEcComponent.ctorParameters = () => [
    { type: ActivatedRoute },
    { type: CartService },
    { type: Router },
    { type: CheckoutService },
    { type: BlocksService },
    { type: Constants }
];
SuccessEcComponent = __decorate$T([
    Component({
        selector: 'app-order-success-ec',
        template: "<div id=\"container\" class=\"flex-center generalContainer container-xl\">\n    <div class=\"Main card my-2\"  *ngIf=\"this.payments && this.payments[0].method.code; else loading\">\n        <ng-container *ngIf=\"this.blocks && this.blocks.length > 0; else notInfoToMethod\">\n            <ng-container *ngIf=\"containsBlock(this.payments[0].method.code) as bloque; else notInfoToMethod\">\n                <div class=\"wrap my-4 card-body\" [id]=\"bloque.code\">\n                    <div class=\"row\">\n                        <div class=\"col-md-12 col-12\">\n                            <h5 [class]=\"bloque.code+'-title'\">{{ (bloque?.translations[consts.getLocale()]?.name ?\n                                bloque.translations[consts.getLocale()].name :\n                                'thanks-for-buying') | translate\n                                | uppercase }}</h5>\n                        </div>\n                    </div>\n                    <div class=\"row\">\n                        <div class=\"col-md-12 col-12 text-start\">\n                            <app-blocks-ec [section]=\"'info_metodo_pago'\" [blockFilters]=\"this.payments[0].method.code\">\n                            </app-blocks-ec>\n                            <div class=\"d-flex flex-column details\">\n                                <p class=\"card-text\">{{ ('number' | translate) + ': ' + params.external_reference }}</p>\n                                <p class=\"card-text\">{{((params.payment_status || 'pending') | translate)}}</p>\n                            </div>\n                        </div>\n                    </div>\n                </div>\n            </ng-container>\n        </ng-container>\n        <ng-template #notInfoToMethod>\n            <ng-template #defaultMessage>\n                <div class=\"wrap my-4 card-body\">\n                    <div class=\"row\">\n                        <div class=\"col-md-12 col-12\">\n                            <h5 class=\"card-title titpage center-block text-center\">\n                                {{ 'thanks-for-buying' | translate | uppercase }}\n                            </h5>\n                        </div>\n                    </div>\n                    <div class=\"row\">\n                        <div class=\"col-md-12 col-12 text-center py-3\">\n                            <h4 class=\"thanks-details\">{{ 'thanks-details' | translate }}</h4>\n                            <h5 class=\"number\">{{ ('number' | translate) + ': ' + params.external_reference }}</h5>\n                            <h5 class=\"pending\">{{ ((params.payment_status || 'pending') | translate) }}</h5>\n                            <!-- <h5 *ngIf=\"!from_mp\">{{ ('will_contact' | translate) }}</h5> -->\n\n                            <!-- <a routerLink=\"/collection\"><button class=\"comprar\">{{ 'continue-shopping' | translate }}</button></a> -->\n                        </div>\n                    </div>\n                </div>\n            </ng-template>\n            <ng-container [ngTemplateOutlet]=\"notInfoToMethodTemplate ? notInfoToMethodTemplate : defaultMessage\"\n                [ngTemplateOutletContext]=\"{params:params}\">\n            </ng-container>\n        </ng-template>\n    </div>\n</div>\n\n<ng-template #loading>\n    <app-loading-full-ec></app-loading-full-ec>\n</ng-template>",
        styles: [""]
    })
], SuccessEcComponent);

var __decorate$U = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let CollectionEcComponent = class CollectionEcComponent extends ComponentHelper {
    constructor(productsService, paramsSrv, activeRoute, optionsService, authService, analyticsService, cartService, consts, filtersService) {
        super();
        this.productsService = productsService;
        this.paramsSrv = paramsSrv;
        this.activeRoute = activeRoute;
        this.optionsService = optionsService;
        this.authService = authService;
        this.analyticsService = analyticsService;
        this.cartService = cartService;
        this.consts = consts;
        this.filtersService = filtersService;
        this.filters = [];
        this.filtersConfig = { filters: [] };
        this.finished = false;
        this.loading = true;
        this.breadcrumb = [];
        this.isCollection = true;
        this.productsWithUniqueVariant = false;
        this.optionsFilters = ['all'];
        /**
         * @description Realiza un sort de productos por el campo dateCreate de la variante
         * @param a Producto a
         * @param b Producto b
         * @param type si es `asc` | `desc`
         * @returns {number} **1** para `true` | **0** para `false`
         */
        this.sortProducts = (a, b, type = 'asc') => {
            this.loading = true;
            let toCompareA = a.variants && a.variants.length > 0 ? a.variants[0]['dateCreate'] : null;
            let toCompareB = b.variants && b.variants.length > 0 ? b.variants[0]['dateCreate'] : null;
            if (toCompareA && toCompareB) {
                let dateA = new Date(toCompareA);
                let dateB = new Date(toCompareB);
                switch (type) {
                    case 'desc':
                        return (dateA >= dateB) ? 1 : 0;
                        break;
                    case 'asc':
                        return (dateA <= dateB) ? 1 : 0;
                        break;
                    default: return 0;
                }
            }
            else {
                return 0;
            }
        };
        /**
         * @description aplica el filtro en la vista.
         */
        this.applyFiltersInView = () => {
            var _a;
            if ((_a = this.filterInView) === null || _a === void 0 ? void 0 : _a.noUrl) {
                this.products = this.products.sort((a, b) => this.sortProducts(a, b, this.filterInView.value));
                this.loading = false;
            }
        };
        this.getSpecificFilters = (filters, types) => {
            let result = [];
            types.forEach(type => {
                let result_filter = filters.find(filter => filter.type() == type);
                if (result_filter)
                    result.push(result_filter);
                return result;
            });
            return result;
        };
        this.areProducts = () => this.products.length > 0;
        this.isWaiting = () => this.productsService.isWaiting();
        this.setFinished = () => this.finished = true;
        this.changeFilter = (e) => {
            if (!this.isCollection) {
                this.isCollection = true;
            }
        };
        this.addAllProductosToCart = (products = null) => {
            var _a;
            let items = [];
            (products || this.products).map(prod => prod.productWithUniqueVariant.map(p => items.push(p)));
            items = items.filter(prod => prod.productToCartItem).map(prod => prod.productToCartItem);
            ((_a = items) === null || _a === void 0 ? void 0 : _a.length) && this.cartService.addAllToCart(items);
        };
        this.getObjectWithVariant = () => {
            return this.consts.getParamsProductsWithUniqueVariant();
        };
        this.paramsSrv.parameters.subscribe(param => this.params = param);
        this.defaultFilters = this.consts.getDefaultFilters();
        this.filtersConfig.filters = this.consts.getFilterConfig();
        this.productsService.filtersInView$.subscribe(res => this.filterInView = res);
        this.ecOnConstruct();
    }
    ngOnInit() {
        window.scroll(0, 0);
        this.products = [];
        this.ecOnInit();
        this.getProductsAndSubscribe();
    }
    getProductsAndSubscribe() {
        combineLatest([this.activeRoute.params, this.optionsService.ready, this.activeRoute.queryParams]).subscribe(([params, ready, queryParams]) => {
            if (ready.readyAll) {
                let cambio = false;
                this.products = [];
                if (!params['type'] || !params['value']) {
                    this.productsService.getProductsForFilter({ latest: true, limit: 10 }, this.optionsFilters, queryParams.search, this.defaultFilters);
                }
                else {
                    this.productsService.getProductsForFilter({ type: params.type, value: params.value }, this.optionsFilters, queryParams.search, this.defaultFilters);
                    cambio = true;
                    this.type = params['type'];
                    this.value = params['value'];
                }
                try {
                    this.suscripcion.unsubscribe();
                }
                catch (e) { }
                ;
                this.suscripcion = this.productsService.products$.subscribe(res => {
                    this.loading = false;
                    if (res.length == 0) {
                        this.products = [];
                        this.finished = this.productsService.isFinished();
                    }
                    else {
                        if (this.productsWithUniqueVariant) {
                            if (cambio) {
                                this.products = this.productsService.getProductsWithUniqueVariant(res, this.getObjectWithVariant());
                                this.applyFiltersInView();
                                cambio = false;
                            }
                            else {
                                res = this.productsService.getProductsWithUniqueVariant(res, this.getObjectWithVariant());
                                this.products.push(...res);
                                this.applyFiltersInView();
                            }
                            ;
                        }
                        else {
                            if (cambio) {
                                this.products = res;
                                this.applyFiltersInView();
                                cambio = false;
                            }
                            else {
                                this.products.push(...res);
                                this.applyFiltersInView();
                            }
                        }
                    }
                    this.analyticsService.callEvent('view_item_list', { products: this.products, item_list_name: 'Collection', item_list_id: 0 });
                });
                this.productsService.filters$.subscribe(res => {
                    this.breadcrumb = this.optionsService.getBreadcrumbByFilters(res);
                    this.filters = this.getSpecificFilters(res, this.filtersConfig.filters);
                    this.filters_top = this.getSpecificFilters(res, ['sort']);
                });
                this.productsService.finished().subscribe(res => this.finished = res);
                this.loading = false;
            }
        });
    }
    onScroll() {
        this.loading = true;
        if (!this.productsService.isWaiting() && !this.productsService.getNext()) {
            this.finished = true;
            this.loading = false;
        }
    }
};
CollectionEcComponent.ctorParameters = () => [
    { type: ProductsService },
    { type: ParametersService },
    { type: ActivatedRoute },
    { type: OptionsService },
    { type: AuthService },
    { type: AnalyticsService },
    { type: CartService },
    { type: Constants },
    { type: FiltersService }
];
__decorate$U([
    Input()
], CollectionEcComponent.prototype, "type", void 0);
__decorate$U([
    Input()
], CollectionEcComponent.prototype, "value", void 0);
__decorate$U([
    Input()
], CollectionEcComponent.prototype, "productsWithUniqueVariant", void 0);
__decorate$U([
    Input()
], CollectionEcComponent.prototype, "optionsFilters", void 0);
CollectionEcComponent = __decorate$U([
    Component({
        selector: 'app-collection-ec',
        template: "\n<div>\n    <div class=\"collection\">\n        <ng-content select=\"[collection]\"> </ng-content>\n    </div>\n\n    <div class=\"all\">\n        <ng-content select=\"[all]\"> </ng-content>\n    </div>\n</div>\n\n<app-blocks-ec [section]=\"'collection'\"></app-blocks-ec>",
        styles: [".h1-custom{color:#00f}"]
    })
], CollectionEcComponent);

var __decorate$V = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let CouponEcComponent = class CouponEcComponent extends ComponentHelper {
    constructor(cartService, toastr) {
        super();
        this.cartService = cartService;
        this.toastr = toastr;
        this.coupon_value = "";
        this.aplied = false;
        this.loading = false;
        this.addCoupon = () => {
            this.validCoupon() && this.cartService.addCoupon(this.coupon_value).then(res => {
                res.error ? this.invalidCoupon() : this.applyCoupon();
            });
        };
        this.invalidCoupon = () => {
            this.toastr.show('invalid-coupon');
            this.coupon_value = '';
            this.loading = false;
        };
        this.applyCoupon = () => {
            this.aplied = true;
            this.loading = false;
        };
        this.setLoading = () => this.loading = true;
        this.validCoupon = () => this.coupon_value && /^([A-Za-z\-0-9]*)\w+$/.test(this.coupon_value);
        this.ecOnConstruct();
    }
    ngOnInit() {
        this.ecOnInit();
    }
};
CouponEcComponent.ctorParameters = () => [
    { type: CartService },
    { type: ToastService }
];
CouponEcComponent = __decorate$V([
    Component({
        selector: 'app-coupon-ec',
        template: "<!-- <div class=\"input-group mb-3 border-golden\" *ngIf=\"!aplied\">\n     <input type=\"text\" class=\"form-control radius-0\" placeholder=\"\u00A1Tengo un cup\u00F3n de descuento!\"\n          aria-label=\"\u00A1Tengo un cup\u00F3n de descuento!\" aria-describedby=\"basic-addon2\"\n          [disabled]=\"aplied\" [(ngModel)]=\"coupon_value\">\n     <div class=\"input-group-append\">\n          <button class=\"btn bg-golden color-white radius-0\" \n               (click)=\"setLoading() && addCoupon()\" \n               [disabled]=\"!validCoupon() || loading\" \n               type=\"button\">APLICAR</button>\n     </div>\n</div> -->",
        styles: [""]
    })
], CouponEcComponent);

var __decorate$W = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let FaqsContentEcComponent = class FaqsContentEcComponent extends ComponentHelper {
    constructor(optionsService, toastr) {
        super();
        this.optionsService = optionsService;
        this.toastr = toastr;
        this.empty_faqs = false;
        this.changeFAQ = (new_index) => this.actual_index = new_index;
        this.ecOnConstruct();
    }
    ngOnInit() {
        this.optionsService.getFAQ().toPromise().then(faqs => {
            console.log('LAS FAQS; ', faqs);
            if (faqs.length > 0) {
                this.faqs = faqs;
                this.actual_index = 0;
            }
            else {
                this.empty_faqs = true;
            }
        }, error => {
            console.log(error);
            this.toastr.show('No fue posible encontrar la sección solicitada');
        }).catch(err => this.toastr.show('empty-faqs'));
        this.ecOnInit();
    }
};
FaqsContentEcComponent.ctorParameters = () => [
    { type: OptionsService },
    { type: ToastService }
];
FaqsContentEcComponent = __decorate$W([
    Component({
        selector: 'app-faqs-content-ec',
        template: "<section class=\"formulario container\" *ngIf=\"faqs; else loading\">\n\n    <div *ngIf=\"!empty_faqs; else emptyFaqsView\">\n        <div class=\"row w-100 mx-auto my-4 px-3 bb-s bt-md-s py-1\">\n            <strong>{{ 'FAQ' | translate }}</strong>\n        </div>\n\n        <div class=\"row w-100 m-auto\">\n            <div class=\"col-12 col-md-4 col-lg-3 col-xl-2\">\n                <div class=\"nav flex-column nav-pills\" id=\"v-pills-tab\" role=\"tablist\" aria-orientation=\"vertical\">\n                    <a [class]=\"'nav-link radius-0 text-dark bb-solid ' +  (i == 0 ? 'active' : '')\" data-bs-toggle=\"pill\"\n                        role=\"tab\" [id]=\"'v-pills-tab-'+i\" [href]=\"'#v-pills-'+i\" [attr.data-bs-target]=\"'#v-pills-'+i\"\n                        *ngFor=\"let faq of faqs; let i = index\">{{ faq.title | translate }}</a>\n                </div>\n            </div>\n            <div class=\"col-12 col-md-8 col-lg-9 col-xl-10\">\n                <div class=\"tab-content mt-5 mt-md-0\" id=\"v-pills-tabContent\">\n                    <div [class]=\"'tab-pane fade ' +  (i == 0 ? 'show active' : '')\" role=\"tabpanel\"\n                        *ngFor=\"let faq of faqs; let i = index\" [id]=\"'v-pills-'+i\">\n                        <h3>{{ faq.title | translate }}</h3>\n                        <div *ngFor=\"let question of faq.questions\">\n                            <h5><strong>{{ question.question | translate }}</strong></h5>\n                            <p>{{ question.answer | translate }}</p>\n                        </div>\n                    </div>\n                </div>\n\n            </div>\n        </div>\n    </div>\n\n</section>\n\n<ng-template #loading>\n    <div class=\"container\">\n        <div class=\"row\">\n            <div class=\"col-12 align-items-center\">\n                <div class=\"d-flex flex-column jusitfy-content-center align-items-center my-5\">\n                    <app-loading-full-ec></app-loading-full-ec>\n                </div>\n            </div>\n        </div>\n    </div>\n</ng-template>\n\n<ng-template #emptyFaqsView>\n    <div>\n        {{ 'empty_faqs' | translate }}\n    </div>\n</ng-template>",
        styles: [".faqs-container{background-color:#fff;padding:0!important;min-height:60vh}"]
    })
], FaqsContentEcComponent);

var __decorate$X = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __param$7 = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
/** @dynamic */
let FiltersEcComponent = class FiltersEcComponent extends ComponentHelper {
    constructor(consts, document, filtersService) {
        super();
        this.consts = consts;
        this.document = document;
        this.filtersService = filtersService;
        this.expand = true;
        //  close = () => {
        //       this.document.getElementById("filtros").classList.remove('in');
        //       return true;
        //  };
        this.close = (accordion_id) => {
            // this.consts.mobile()
            //      ? this.document.getElementById("accordionExample").classList.remove('show')
            //      : this.document.getElementById(accordion_id).classList.remove('show');
            return true;
        };
        this.ecOnConstruct();
    }
    ngOnChanges(changes) {
        //console.log(changes['filters'])
    }
    ngOnInit() {
        this.expand = !this.consts.mobile();
        this.ecOnInit();
    }
    uniqueSelection(filter, filterChild) {
        filter.data.forEach(filterElement => {
            if (filterElement.selected) {
                filterElement.selected = false;
            }
            filterElement.children.forEach(filterChildren => {
                if (filterChildren != filterChild && filterChildren.selected) {
                    filterChildren.selected = false;
                }
            });
        });
    }
};
FiltersEcComponent.ctorParameters = () => [
    { type: Constants },
    { type: Document, decorators: [{ type: Inject, args: [DOCUMENT,] }] },
    { type: FiltersService }
];
__decorate$X([
    Input()
], FiltersEcComponent.prototype, "setSelected", void 0);
__decorate$X([
    Input()
], FiltersEcComponent.prototype, "filters", void 0);
FiltersEcComponent = __decorate$X([
    Component({
        selector: 'app-filters-ec',
        template: "",
        styles: [""]
    }),
    __param$7(1, Inject(DOCUMENT))
], FiltersEcComponent);

var __decorate$Y = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __param$8 = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
/** @dynamic */
let FiltersTopEcComponent = class FiltersTopEcComponent extends ComponentHelper {
    constructor(consts, document) {
        super();
        this.consts = consts;
        this.document = document;
        this.full = true;
        this.changeFilter = new EventEmitter();
        this.selectedFilter = [];
        this.expand = true;
        this.mid = (filter, filterChild, value) => {
            // console.log("FILTER ", filter);
            // console.log("HIJO ", filterChild);
            // console.log("VALOR ", value);
            this.changeFilter.emit(value);
            return true;
        };
        this.close = () => {
            //this.document.getElementById("filtros").classList.remove('in');
            return true;
        };
        this.getDescripcion = (title) => {
            switch (title) {
                case 'most-expensive-first':
                    return '+';
                case 'cheapest-first':
                    return '-';
                case 'ascendancy':
                    return 'Asc';
                case 'descendant':
                    return 'Desc';
                default:
                    return title;
            }
        };
        this.getStyles = (state) => {
            console.log(state);
            return (state) ? 'btn btn-secondary btn-sm active' : 'btn btn-secondary btn-sm';
        };
        this.setSeleccion = (values) => {
            //console.log('SELECIOTOTOT => ', values);
            let valores = values.split('@');
            let filter = this.filters.find(f => f.type() == valores[0]);
            let opChild = {};
            if (valores[1] == 'sub') {
                opChild = (filter.data.find(f => f.children.find(c => c.selected))).children.find(c => c.selected);
            }
            else {
                opChild = (filter.data.find(f => f.children.find(c => c.value == valores[2]))).children.find(c => c.value == valores[2]);
            }
            this.setSelected(filter, opChild);
        };
        this.createValue = (filter, filterItem) => filter.type() + '@' + filterItem.type + '@' + filterItem.value;
        this.ecOnConstruct();
    }
    ngOnInit() {
        this.expand = !this.consts.mobile();
        this.full = !this.consts.mobile();
        this.ecOnInit();
    }
    ngOnChanges() {
    }
};
FiltersTopEcComponent.ctorParameters = () => [
    { type: Constants },
    { type: Document, decorators: [{ type: Inject, args: [DOCUMENT,] }] }
];
__decorate$Y([
    Input()
], FiltersTopEcComponent.prototype, "setSelected", void 0);
__decorate$Y([
    Input()
], FiltersTopEcComponent.prototype, "filters", void 0);
__decorate$Y([
    Input()
], FiltersTopEcComponent.prototype, "full", void 0);
__decorate$Y([
    Output()
], FiltersTopEcComponent.prototype, "changeFilter", void 0);
FiltersTopEcComponent = __decorate$Y([
    Component({
        selector: 'app-filters-top-ec',
        template: "",
        styles: [".min-width-large{min-width:150px}"]
    }),
    __param$8(1, Inject(DOCUMENT))
], FiltersTopEcComponent);

var __decorate$Z = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let FooterEcComponent = class FooterEcComponent extends ComponentHelper {
    constructor(optionsService, paramsService, consts) {
        super();
        this.optionsService = optionsService;
        this.paramsService = paramsService;
        this.consts = consts;
        this.menuItemsCategories = [];
        this.menuItemsSections = [];
        this.menuItemsAttributes = [];
        this.sections = [];
        this.categories = [];
        this.attributes = [];
        this.params = {};
        this.updateCategories = (categories) => {
            this.menuItemsCategories = this.optionsService.generateMenu(categories);
            this.menuItemsCategories = this.ecUpdateMenuItemCategories(this.menuItemsCategories);
            this.categories = this.menuItemsCategories;
        };
        this.updateAttributes = (attributes) => {
            this.menuItemsAttributes = this.optionsService.generateMenu(attributes);
            this.menuItemsAttributes = this.ecUpdateMenuItemAttributes(this.menuItemsAttributes);
            this.attributes = this.menuItemsAttributes;
        };
        this.updateMenuItem = (elements) => {
            this.menuItemsSections = this.optionsService.generateMenu(elements);
            this.menuItemsSections = this.ecUpdateMenuItemSection(this.menuItemsSections);
            this.sections = this.menuItemsSections;
        };
        this.hasParams = (params, searched) => params && params.find(param => param.code.toLowerCase().includes(searched));
        this.mobile = () => this.consts.mobile();
        this.addChildren = (menuItems, code, item, stackPlace = 'end') => {
            var _a, _b;
            (stackPlace == 'start')
                ? (_a = menuItems.find(item => { var _a; return (_a = item.code) === null || _a === void 0 ? void 0 : _a.toLowerCase().includes(code); })) === null || _a === void 0 ? void 0 : _a.children.unshift(Object.assign({ code: 'sd', name: 'sd', path: '/home', title: 'sd' }, item)) : (_b = menuItems.find(item => { var _a; return (_a = item.code) === null || _a === void 0 ? void 0 : _a.toLowerCase().includes(code); })) === null || _b === void 0 ? void 0 : _b.children.push(Object.assign({ code: 'sd', name: 'sd', path: '/home', title: 'sd' }, item));
        };
        this.ecUpdateMenuItemSection = (menuItems) => {
            return menuItems;
        };
        this.ecUpdateMenuItemCategories = (menuItems) => {
            return menuItems;
        };
        this.ecUpdateMenuItemAttributes = (menuItems) => {
            return menuItems;
        };
        this.optionsService.sections.subscribe(res => (res.length > 0) && this.updateMenuItem(res));
        this.optionsService.categories.subscribe(res => (res.length > 0) && this.updateCategories(res));
        this.optionsService.attributes.subscribe(res => (res.length > 0) && this.updateAttributes(res));
        this.mediaUrl = this.consts.mediaUrl();
        this.ecOnConstruct();
    }
    ngOnInit() {
        this.paramsService.parameters.subscribe(res => this.params = res);
        this.ecOnInit();
    }
};
FooterEcComponent.ctorParameters = () => [
    { type: OptionsService },
    { type: ParametersService },
    { type: Constants }
];
FooterEcComponent = __decorate$Z([
    Component({
        selector: 'app-footer-ec',
        template: "",
        styles: [""]
    })
], FooterEcComponent);

var __decorate$_ = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let HeaderEcComponent = class HeaderEcComponent extends ComponentHelper {
    constructor(router, consts, cartService, optionsService, paramsService, productsService, authService, translate, renderer) {
        super();
        this.router = router;
        this.consts = consts;
        this.cartService = cartService;
        this.optionsService = optionsService;
        this.paramsService = paramsService;
        this.productsService = productsService;
        this.authService = authService;
        this.translate = translate;
        this.renderer = renderer;
        //og elden
        this.menuItems = [];
        this.menuItemsSections = [];
        this.sections = [];
        this.attributes = [];
        this.categories = [];
        this.envetUrlTransparent = ["/home", "/"];
        this.params = {};
        this.toggled = false;
        this.updateMenuItemSection = (elements) => {
            this.menuItemsSections = this.optionsService.generateMenu(elements);
            this.menuItemsSections = this.ecUpdateMenuItemSection(this.menuItemsSections);
            this.sections = this.menuItemsSections;
        };
        this.ecUpdateMenuItemSection = (menuItems) => {
            return menuItems;
        };
        this.updateMenuItem = (title, elements) => {
            const index = this.menuItems.findIndex(element => element.title == title);
            if (index != null && index >= 0) {
                this.menuItems[index].children = this.optionsService.generateMenu(elements);
            }
            else {
                if (title == 'attributes') {
                    this.attributes.push(...this.optionsService.generateMenu(elements));
                    this.attributes = this.updateMenuItemLastCreated(this.attributes);
                }
                if (title == 'categories') {
                    this.categories.push(...this.optionsService.generateMenu(elements));
                    this.categories = this.updateMenuItemLastCreated(this.categories);
                }
            }
        };
        this.nagivate = (url) => this.router.navigateByUrl(`/${url}`);
        /**
         * @description Termina la sesion del usuario y redirige por defecto al home
         * @param path para indicar a donde redireccionar.
         */
        this.logout = (path = 'home') => {
            this.authService.logout();
            this.router.navigateByUrl(path);
        };
        this.setSearchValue = (event, afterSearch, ...args) => {
            event.key == 'Enter' && this.getCollectionSearch() && (afterSearch ? afterSearch(args) : null);
            this.searchValue = event.target.value;
        };
        this.getCollectionSearch = () => this.router.navigateByUrl('/collection?search=' + this.searchValue);
        this.toogleToolbar = () => {
            console.log('LLAMA AL TOOGLE');
            if (this.menu_button.nativeElement.classList.contains('d-none')) {
                this.renderer.removeClass(this.menu_button, 'd-none');
                this.renderer.addClass(this.menu_button, 'active-mobile');
            }
            else {
                this.renderer.addClass(this.menu_button, 'd-none');
                this.renderer.removeClass(this.menu_button, 'active-mobile');
            }
        };
        this.changeLanguage = (lang) => {
            this.consts.setLocale(lang);
            window.location.reload();
        };
        this.changeUrlTransparent = (urlTransparent = []) => urlTransparent;
        this.subscribeAttributes = (arrayAttributes) => {
        };
        this.subscribeCategories = (arrayCategories) => {
        };
        this.updateMenuItemLastCreated = (arrayMenu) => arrayMenu;
        this.changeUrlNavigation = (url) => { };
        this.addChildren = (menuItems, code, item, stackPlace = 'end') => {
            var _a, _b;
            (stackPlace == 'start')
                ? (_a = menuItems.find(item => { var _a; return (_a = item.code) === null || _a === void 0 ? void 0 : _a.toLowerCase().includes(code); })) === null || _a === void 0 ? void 0 : _a.children.unshift(Object.assign({ code: 'sd', name: 'sd', path: '/home', title: 'sd' }, item)) : (_b = menuItems.find(item => { var _a; return (_a = item.code) === null || _a === void 0 ? void 0 : _a.toLowerCase().includes(code); })) === null || _b === void 0 ? void 0 : _b.children.push(Object.assign({ code: 'sd', name: 'sd', path: '/home', title: 'sd' }, item));
        };
        this.hasParams = (params, searched) => params && params.find(param => param.code.toLowerCase().includes(searched));
        this.envetUrlTransparent = this.changeUrlTransparent(this.envetUrlTransparent);
        this.router.events.subscribe((event) => {
            if (event instanceof NavigationStart) {
                const url = event.url;
                this.changeUrlNavigation(url);
                this.envetUrlTransparent.find(evUrl => evUrl === url) != undefined
                    ? this.transparent = true
                    : this.transparent = false;
            }
        });
        // menu
        this.optionsService.categories.pipe(filter(cat => cat.length > 0)).subscribe(res => {
            this.updateMenuItem('categories', res);
            this.subscribeCategories(res);
        });
        this.optionsService.attributes.pipe(filter(atr => atr.length > 0)).subscribe(res => {
            this.updateMenuItem('attributes', res);
            this.subscribeAttributes(res);
        });
        this.optionsService.sections.subscribe(res => (res.length > 0) && this.updateMenuItemSection(res));
        this.ecOnConstruct();
        this.mediaUrl = this.consts.mediaUrl();
    }
    ngOnInit() {
        this.paramsService.parameters.subscribe(res => this.params = res);
        const mediaQuery = window.matchMedia('(max-width: 992px)');
        this.mediaMenu = mediaQuery.matches;
        this.ecOnInit();
    }
};
HeaderEcComponent.ctorParameters = () => [
    { type: Router },
    { type: Constants },
    { type: CartService },
    { type: OptionsService },
    { type: ParametersService },
    { type: ProductsService },
    { type: AuthService },
    { type: TranslateService },
    { type: Renderer2 }
];
__decorate$_([
    ViewChild("menu")
], HeaderEcComponent.prototype, "menu_button", void 0);
HeaderEcComponent = __decorate$_([
    Component({
        selector: 'app-header-ec',
        template: "<!-- <header [class]=\"(!transparent ? 'no-banner' : '')\" id=\"header-principal\">\n     <div class=\"row border-color-buttom-gray m-0 d-none d-md-block\" id=\"novedades\">\n          <div class=\"col-12 py-2\">\n               {{ (params && params.header) || 'Sin informaci\u00F3n de cabecera' }}\n          </div>\n     </div>\n     <div class=\"row encabezado-superior m-0 d-flex justify-content-center\" id=\"top-menu-principal\">\n          <div class=\"col-md-6 col-3 p-md-3 p-2\">\n               <a routerLink=\"/home\">\n                    <img src=\"assets/image/logo.png\" id=\"logo-superior\" class=\"ml-md-4 ml-1\">\n               </a>\n          </div>\n          <div class=\"col-md-6 col-9 px-md-5 px-2 d-flex align-items-center justify-content-end\">\n               <ul class=\"nav d-flex align-items-center justify-content-end\">\n                    <li class=\"px-2 outside-menu\">\n                         <div class=\"order-3 order-lg-1 input-search pt-3\">\n                              <form (submit)=\"$event.preventDefault()\" class=\"navbar-form navbar-left m-1\">\n                                   <div class=\"input-group input-group-sm mb-3\" >\n                                        <input type=\"text\" class=\"form-control input-rounded bg-transparent border-left-none\" placeholder=\"Buscar producto\"\n                                             aria-label=\"Username\" aria-describedby=\"basic-addon1\"  (keyup)=\"setSearchValue($event)\">\n                                        <div class=\"input-group-prepend\" (click)=\"getCollectionSearch()\" role=\"button\">\n                                             <span class=\"input-group-text icon-rounded bg-transparent border-right-none\" id=\"basic-addon1\">\n                                                  <a class=\"color-white\"><img src=\"assets/svg/search.svg\"></a>\n                                             </span>\n                                        </div>\n                                   </div>\n                              </form>\n                         </div>\n                    </li>\n                    <li class=\"px-2 outside-menu\">\n                         <a routerLink=\"cart\" class=\"color-white\"><img src=\"assets/svg/cart.svg\"></a>\n                    </li>\n                    <li class=\"px-2 outside-menu\">\n                         <a [routerLink]=\"'/account'\" *ngIf=\"(authService.loggedIn | async); else sessionOptionsViewMobile\" class=\"color-white\"><img src=\"assets/svg/user.svg\"></a>\n                         <ng-template #sessionOptionsViewMobile>\n                              <a [routerLink]=\"'/auth/login'\" class=\"color-white\"><img src=\"assets/svg/user.svg\"></a>\n                         </ng-template>\n                    </li>\n                    <li class=\"px-2 outside-menu\">\n                         <a disabled style=\"vertical-align: -webkit-ecline-middle;\"\n                              class=\"color-white ff-ubuntu-light font-sm\">ES</a>\n                    </li>\n                    <li class=\"px-2 d-inline-block d-md-none\">\n                         <a id=\"openMenu\" class=\"color-white\" (click)=\"toogleToolbar()\">\n                              <img src=\"assets/svg/menu.svg\" class=\"open-m\" >\n                              <img src=\"assets/svg/close.svg\" class=\"close-m\">\n                         </a>\n                    </li>\n               </ul>\n          </div>\n          <div class=\"col-11 border-color-buttom-gray d-none d-md-block\"></div>\n     </div>\n     <nav class=\"py-md-3 py-0 w-100 d-none d-md-block\" id=\"menu-principal\" #menu>\n          <ul class=\"nav d-flex flex-md-row flex-column justify-content-center\">\n               <li class=\"dropdown separador-left\">\n                    <a class=\"dropdown-toggle color-white color-hover-golden ff-ubuntu-light py-md-2 py-3 px-4 font-sm\"\n                         data-toggle=\"dropdown\" aria-haspopup=\"true\" aria-expanded=\"false\" data-target=\"#buscador\"\n                         role=\"button\">\n                         CAT\u00C1LOGO\n                    </a>\n                    <ul class=\"dropdown-menu mega-menu dropdown-menu-right mt-md-2 mt-0\" role=\"menu\">\n                         <div class=\"flex-md-row flex-column py-0 d-flex align-items-start justify-content-center\">\n                              <div class=\"row mega-menu-center px-md-3 px-0\">\n                                   <div class=\"col-sm py-3 box-submenu\"\n                                        *ngFor=\"let category of categories; let i = index\">\n                                        <div class=\"row\">\n                                             <div class=\"col-3 col-md-4 p-0\">\n                                                  <img [src]=\"consts.mediaUrl() + category.images[0].path\"\n                                                       class=\"w-100\">\n                                             </div>\n                                             <div class=\"col-9 col-md-8 py-2 pr-0\">\n                                                  <a [routerLink]=\"category.path\">\n                                                       <h5 class=\"ff-ubuntu-semi-bold font-xl\">{{ category.title }}</h5>\n                                                  </a>\n                                                  <ul\n                                                       class=\"nav d-md-flex d-none flex-column font-ss ff-ubuntu color-white submenu\">\n                                                       <li class=\"text-uppercase mb-2\"\n                                                            *ngFor=\"let child of category.children\">\n                                                            <a [routerLink]=\"child.path\">\n                                                                 {{ child.title }}\n                                                            </a>\n                                                       </li>\n                                                  </ul>\n                                             </div>\n                                        </div>\n                                   </div>\n                              </div>\n                         </div>\n                    </ul>\n               </li>\n               <li class=\"dropdown separador-left\">\n                    <a [routerLink]=\"'collection/'\"\n                         class=\"color-white color-hover-golden ff-ubuntu-light py-md-2 py-3 px-4 font-sm\"\n                         role=\"button\">\n                         NOVEDADES\n                    </a>\n               </li>\n               <li class=\"dropdown separador-left\">\n                    <a [routerLink]=\"'/collection/attributes/ofertas'\"\n                         class=\"color-white color-hover-golden ff-ubuntu-light py-md-2 py-3 px-4 font-sm\"\n                         role=\"button\">\n                         OFERTAS\n                    </a>\n               </li>\n               <li class=\"dropdown separador-left\">\n                    <a [routerLink]=\"'/section/quienes-somos'\"\n                         class=\"color-white color-hover-golden ff-ubuntu-light py-md-2 py-3 px-4 font-sm\"\n                         role=\"button\">\n                         QUIENES SOMOS\n                    </a>\n               </li>\n               <li class=\"dropdown separador-left\">\n                    <a [routerLink]=\"'/contact'\"\n                         class=\"color-white color-hover-golden ff-ubuntu-light py-md-2 py-3 px-4 font-sm\"\n                         role=\"button\">\n                         CONTACTO\n                    </a>\n               </li>\n          </ul>\n     </nav>\n</header> -->",
        styles: [".no-banner{position:relative!important}"]
    })
], HeaderEcComponent);

var __decorate$$ = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let HomeEcComponent = class HomeEcComponent extends ComponentHelper {
    constructor(blocksService, consts) {
        super();
        this.blocksService = blocksService;
        this.consts = consts;
        this.getHTMLContent = (block) => block.translations[this.consts.getLocale()].content;
        this.noNewsletter = (block) => !block.code.includes('newsletter');
        this.ecOnConstruct();
    }
    ngOnInit() {
        this.blocksService.getBlocks('home');
        this.ecOnInit();
    }
};
HomeEcComponent.ctorParameters = () => [
    { type: BlocksService },
    { type: Constants }
];
HomeEcComponent = __decorate$$([
    Component({
        selector: 'app-home-ec',
        template: "<app-blocks-ec [section]=\"'home'\"></app-blocks-ec>",
        styles: [""]
    })
], HomeEcComponent);

var __decorate$10 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let LoginEcComponent = class LoginEcComponent extends ComponentHelper {
    constructor(authService, toastrService, formBuilder, router) {
        super();
        this.authService = authService;
        this.toastrService = toastrService;
        this.formBuilder = formBuilder;
        this.router = router;
        this.redirect = true;
        this.title = 'login';
        this.buyButton = false;
        this.withRoles = [];
        this.ready = new EventEmitter();
        this.loggedIn = new EventEmitter();
        this.loading = false;
        this.redirectHome = () => {
            $('#collapse_login5').collapse('hide');
            this.router.navigateByUrl('/home');
        };
        this.login = ($event) => {
            $event.preventDefault();
            this.loading = true;
            this.authService.login(this.loginForm.value, this.withRoles).toPromise().then(res => {
                $('#collapse_login5').collapse('hide');
                if (res == 'ok') {
                    localStorage.setItem('mail', this.loginForm.value.username);
                    $('#collapse_login5').collapse('hide');
                    if (this.redirect) {
                        this.redirectHome();
                    }
                    else {
                        this.loggedIn.emit('true');
                        this.ready.emit(this.loginForm.value.username);
                    }
                }
                else {
                    this.loading = false;
                }
            }, err => {
                $('#collapse_login5').collapse('hide');
                this.loading = false;
            });
        };
        this.ecOnConstruct();
    }
    ngOnInit() {
        !this.authService.isAuthenticated() && localStorage.removeItem('mail');
        this.loginForm = this.formBuilder.group({
            username: ['', Validators.required],
            password: ['', Validators.required]
        });
        this.ecOnInit();
    }
    nagivate(url) {
        $('#collapse_login5').collapse('hide');
        this.router.navigateByUrl(`/${url}`);
    }
};
LoginEcComponent.ctorParameters = () => [
    { type: AuthService },
    { type: ToastService },
    { type: FormBuilder },
    { type: Router }
];
__decorate$10([
    Input()
], LoginEcComponent.prototype, "redirect", void 0);
__decorate$10([
    Input()
], LoginEcComponent.prototype, "title", void 0);
__decorate$10([
    Input()
], LoginEcComponent.prototype, "buyButton", void 0);
__decorate$10([
    Input()
], LoginEcComponent.prototype, "withRoles", void 0);
__decorate$10([
    Output()
], LoginEcComponent.prototype, "ready", void 0);
__decorate$10([
    Output()
], LoginEcComponent.prototype, "loggedIn", void 0);
LoginEcComponent = __decorate$10([
    Component({
        selector: 'app-login-ec',
        template: "<div class=\"card card-body container content_menu h-100\">\n    <div class=\"row w-100 mx-auto\">\n        <div class=\"col-12 pb-3 d-flex justify-content-between\">\n            <h3>{{title | translate }}</h3>\n        </div>\n\n        <div class=\"col-12 pb-3\">\n            <form [formGroup]=\"loginForm\" (submit)=\"login($event)\">\n                <div class=\"form-group\">\n                    <input type=\"email\" class=\"form-control rounded-0\" formControlName=\"username\"\n                        autocomplete=\"username\" placeholder=\"Email\">\n                </div>\n                <div class=\"form-group\">\n                    <input type=\"password\" class=\"form-control rounded-0\" formControlName=\"password\"\n                        autocomplete=\"current-password\" placeholder=\"Contrase\u00F1a\">\n                </div>\n                <button *ngIf=\"!loading\" [disabled]=\"!loginForm.valid\"\n                    class=\"btn btn-dark bg-black rounded-0 w-100\">INICIAR SESI\u00D3N</button>\n                <div class=\"loading-container-form\" *ngIf=\"loading\">\n                    <div id=\"loading\"></div>\n                </div>\n                <h6 class=\"text-center mb-0 mt-3\">\n                    Olvidaste tu contrase\u00F1a?\n                    <br>\n                    <a [routerLink]=\"'/auth/forgot-password'\" class=\"d-contents\">Recuperala aqui</a>\n                </h6>\n            </form>\n        </div>\n        <div class=\"col-12 pt-3 border-top text-center\">\n\n            <ng-container *ngIf=\"!buyButton;else invited\">\n\n                Todavia no ten\u00E9s tu cuenta?\n                <br>\n                Creala desde <a (click)=\"nagivate('/register')\" class=\"d-contents\">aqui</a>\n            </ng-container>\n\n\n            <ng-template #invited>\n                <a routerLink=\"/cart/checkout\" class=\"btn bg-black btn-finalizar-compra text-blanco mt-4\">\n                    {{ 'invited-checkout' | translate }}\n                </a>\n            </ng-template>\n        </div>\n    </div>\n</div>",
        styles: [""]
    })
], LoginEcComponent);

var __decorate$11 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __awaiter$c = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
let CurrencyService = class CurrencyService {
    constructor(consts, connection, toastr, injector) {
        this.consts = consts;
        this.connection = connection;
        this.toastr = toastr;
        this.injector = injector;
        this.currencySubject = new BehaviorSubject({});
        this.updateSubject = new BehaviorSubject(false);
        this.currencyListSubject = new BehaviorSubject([]);
        this.currency$ = this.currencySubject.asObservable();
        this.update$ = this.updateSubject.asObservable();
        this.currencyList$ = this.currencyListSubject.asObservable();
        this.enableApplyCurrencyExchange = true;
        this.getCurrencyListApi = () => 'shop-api/currencies';
        this.getConvertibilityApi = (baseCurrency, targetCurrency) => 'shop-api/currencies?baseCurrency=' + baseCurrency + '&targetCurrency=' + targetCurrency;
        /**
         * @description Se carga la moneda por defecto.
         */
        this.loadDefaultCurrency = (currency) => {
            this.consts.setCurrency(currency);
            this.load();
        };
        /**
         * @description calcula la convetibilidad del precio  pasado por paramentro segun esta formula:
         * **c = a * b** donde *c=moneda despues del cambio*, *a=valor que quiero cambiar* y *b=ratio de cambio*.
         * @param price Precio a cambiar
         * @param ratio Ratio de cambio
         * @returns Si el ratio no es null, retorna el precio cambiado, sino retorna el precio sin cambios.
         */
        this.calculateConvetibility = (price, ratio) => {
            return ratio ? price * ratio : price;
        };
        /**
         * @param code Codigo de moneda a la que se desea cambiar
         */
        this.setCurrency = (code) => __awaiter$c(this, void 0, void 0, function* () {
            this.getConvertibility(this.consts.currency.code, code);
        });
        /**
         * @description Carga la lista de monedas/currencies.
         */
        this.loadCurrencyList = () => {
            this.connection.get(this.getCurrencyListApi()).toPromise().then(res => {
                this.currencyListSubject.next(res);
                this.consts.setCurrencyTypeConfig(res);
                this.load();
            });
        };
        /**
         * @description genera la carga y configuración de la moneda elegida para la conversion.
         * @param currency Moneda a convertir.
         */
        this.loadCurrency = (currency) => {
            this.currencySubject.next(currency);
            this.consts.setCurrency(currency.code);
            let update = this.updateSubject.getValue();
            this.updateSubject.next(!update);
            localStorage.setItem('currency', JSON.stringify(this.consts.currency));
        };
        /**
         * @description Genera la convertibilidad de la moneda base a la nueva. Si baseCurrency no tiene valor
         * entonces utiliza la moneda base del canal.
         * @param currency Objeto de la moneda destino.
         * @param baseCurrency Codigo de la moneda base. *Ej: USD | ARS | EUR |...*
         */
        this.generateConvertibility = (currency, baseCurrency) => __awaiter$c(this, void 0, void 0, function* () {
            if (!baseCurrency) {
                try {
                    baseCurrency = yield this.injector.get(ChannelConfigService).getActiveChannel().baseCurrency;
                }
                catch (error) {
                    //console.error(error)
                    baseCurrency = 'USD';
                }
            }
            if (currency.code == baseCurrency) {
                this.loadCurrency(currency);
            }
            else {
                this.getConvertibility(baseCurrency, currency.code);
            }
        });
        /**
         * @description Obtiene la conversion desde la moneda base a la destino. Recibe un objeto de tipo CurrencyConfig.
         * Si la conversion retorna resultado realiza el cambio, de lo contrario emite un mensaje de error.
         * @param baseCurrency Codigo de la moneda base.
         * @param targetCurrency Codigo de la moneda destino.
         */
        this.getConvertibility = (baseCurrency, targetCurrency) => {
            this.connection.get(this.getConvertibilityApi(baseCurrency, targetCurrency))
                .toPromise().then(res => {
                if (res) {
                    let tempCurrency = res[0];
                    this.loadCurrency(tempCurrency);
                }
                else {
                    console.error('Error la variable res no contiene valor, asegurese de que esta conversión este configurada en el backoffice');
                    this.toastr.show('error-convertibility');
                }
            }, err => {
                console.log(err);
            }).catch(err => console.log(err));
        };
        /**
         * @description Carga la moneda, si hay una en el localstorage toma esa y realiza la conversion.
         * de lo contrario solo setea en el observable currencySubject el valor por defecto cargado en las constantes.
         */
        this.load = () => {
            let localStorageCurrency = localStorage.getItem('currency');
            if (localStorageCurrency) {
                let currency = JSON.parse(localStorageCurrency);
                this.generateConvertibility(currency);
            }
            else {
                this.currencySubject.next(this.consts.currency);
            }
        };
        this.injector.get(ChannelConfigService).channelConfig$.subscribe(channel => {
            console.log(channel);
            channel.applyCurrencyExchange ? this.loadCurrencyList() : this.loadDefaultCurrency(channel.baseCurrency);
            console.log(this.enableApplyCurrencyExchange);
        });
    }
};
CurrencyService.ctorParameters = () => [
    { type: Constants },
    { type: ConnectionService },
    { type: ToastService },
    { type: Injector }
];
CurrencyService.ɵprov = ɵɵdefineInjectable({ factory: function CurrencyService_Factory() { return new CurrencyService(ɵɵinject(Constants), ɵɵinject(ConnectionService), ɵɵinject(ToastService), ɵɵinject(INJECTOR)); }, token: CurrencyService, providedIn: "root" });
CurrencyService = __decorate$11([
    Injectable({
        providedIn: 'root'
    })
], CurrencyService);

var __decorate$12 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __awaiter$d = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
let ProductDetailService = class ProductDetailService {
    constructor(productsService, cartService, toastrService, constants, analyticsService, currencyService) {
        this.productsService = productsService;
        this.cartService = cartService;
        this.toastrService = toastrService;
        this.constants = constants;
        this.analyticsService = analyticsService;
        this.currencyService = currencyService;
        this.productSubject = new BehaviorSubject({});
        this.optionsSubject = new BehaviorSubject({});
        this.asociatedDataSubject = new BehaviorSubject({ price: '', stock: 0, picture: '' });
        this.variants = [];
        this.product$ = this.productSubject.asObservable();
        this.options$ = this.optionsSubject.asObservable();
        this.asociatedData$ = this.asociatedDataSubject.asObservable();
        /**
        * @param code Identificador del producto
        * @param variant Indica si se está solicitando un producto por su codigo, o por el codigo correspondiente a una de sus variantes
        *
        * Carga el producto solicitado asyncronicamente sin respuesta
        */
        this.loadProduct = (code, variant = false) => this.productsService.getSpecificProduct(code, variant).toPromise().then(res => variant ? this.initialize(res, code) : this.initialize(res), err => this.productSubject.next(null));
        /**
         * @param product_id Identificador del producto
         * @param variant Indica si se está solicitando un producto por su codigo, o por el codigo correspondiente a una de sus variantes
         * @async
         *
         * A diferencia del metodo loadProduct, este retorna un valor cuando termina
         */
        this.getProduct = (product_id, variant = false) => __awaiter$d(this, void 0, void 0, function* () {
            let result = yield this.productsService.getSpecificProduct(product_id, variant).toPromise();
            if (!result || result.error)
                this.productSubject.next(null);
            else
                variant ? this.initialize(result, product_id) : this.initialize(result);
            return true;
        });
        this.initialize = (product, variant_code) => {
            this.productSubject.next(product);
            this.optionsSubject.next(this.getOptions());
            variant_code ? this.updateVariants(variant_code) : this.updateVariants();
            this.variants.length && this.generateAsociatedDataFromVariants();
            //this.analyticsService.callEvent('view_item', { ...product, currency: this.constants.currency.code })
            // variant_code && this.analyticsService.callEvent('view_item', { ...product, currency: this.constants.currency.code })
        };
        this.setProduct = (product) => this.isProductValid(product) && this.initialize(product);
        this.isReady = () => this.variants.length == 1;
        this.setOption = (option_code, option_value) => {
            let options = this.optionsSubject.value;
            let option = options.find(element => element.code == option_code).values.find(value => value.name == option_value);
            option.selected = !option.selected;
            options.find(element => element.code == option_code).values.forEach(value => { if (value.name != option.name)
                value.selected = false; });
            this.optionsSubject.next(options);
            this.updateVariants();
            this.variants.length > 0 ? this.generateAsociatedDataFromVariants() : this.toastrService.show('selection-not-available');
        };
        this.changePicture = (picture) => {
            let data = this.asociatedDataSubject.value;
            data.picture = picture;
            this.asociatedDataSubject.next(data);
        };
        this.handleError = (error) => {
            // Whathever we need to do with error
        };
        this.addToCartPromise = (quantity) => __awaiter$d(this, void 0, void 0, function* () {
            quantity = parseInt(quantity);
            if (!this.variants.length) {
                return { error: true, message: 'cant-buy' };
            }
            let product_selected = _.clone(this.productSubject.value);
            if (this.variants.length > 1 || this.variants.length == 0 || this.asociatedDataSubject.value.stock == 0) {
                if (this.variants.length == 0)
                    return { error: true, message: 'no-variants' };
                else if (this.variants.length > 1 && this.asociatedDataSubject.value.stock > 0)
                    return { error: true, message: 'variants-left' };
                else if (this.variants.length != 0 && this.asociatedDataSubject.value.stock == 0)
                    return { error: true, message: 'out-of-stock' };
            }
            if (!this.validateQuantity(quantity))
                return;
            let result = yield this.cartService.addToCartPromise(this.makeAffordableProduct(product_selected), quantity, this.variants[0].code);
            return (result && !(result.error));
        });
        this.getOptions = (product_received) => {
            let product = product_received || this.productSubject.value;
            let options = [];
            product.options.forEach(element => {
                options.push(this.toOption(element));
            });
            return options;
        };
        this.toOption = (preoption) => {
            return {
                name: preoption.label,
                code: preoption.code,
                type: preoption.type,
                values: preoption.values.map(value => ({ name: value.code, description: value.name, image: value.image, mobileImage: value.mobileImage, selected: false }))
            };
        };
        this.updateVariants = (code) => {
            let variants = this.productSubject.value.variants;
            if (!code) {
                this.optionsSubject.value.forEach(option => {
                    option.values.forEach(value => {
                        if (value.selected) {
                            variants = variants.filter(variant => {
                                return variant.options.some(variant_option => {
                                    return (option.code in variant_option && variant_option[option.code] == value.name);
                                });
                            });
                        }
                    });
                });
            }
            else {
                variants = variants.filter(variant => variant.code == code);
            }
            this.variants = variants;
            code && this.updateOptions();
        };
        this.updateOptions = () => {
            let { options } = this.variants.length && this.variants[0];
            options && options.forEach(option => Object.keys(option).forEach(key => this.setOption(key, option[key])));
        };
        this.generateAsociatedDataFromVariants = () => {
            var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m, _o, _p, _q, _r, _s;
            let asociated = {};
            if (this.isReady()) {
                asociated.stock = this.variants[0].stock;
                asociated.price = this.variants[0].price.toString();
                asociated.saleprice = this.variants[0].saleprice && this.variants[0].saleprice.toString() || undefined;
                asociated.discount = ((_a = this.variants[0]) === null || _a === void 0 ? void 0 : _a.discount) || undefined;
                asociated.properties = this.variants[0].properties ? this.beautifyProperties(this.variants[0].properties) : undefined;
                asociated.uniqueExternalCode = ((_b = this.variants[0]) === null || _b === void 0 ? void 0 : _b.uniqueExternalCode) || undefined;
                asociated.multipleQuantity = ((_c = this.variants[0]) === null || _c === void 0 ? void 0 : _c.multipleQuantity) || undefined;
            }
            else {
                asociated.price = this.cratePrice();
                asociated.saleprice = this.crateSalePrice();
                asociated.stock = (this.variants.map(variant => variant.stock)).reduce((a, b) => a + b);
                asociated.discount = this.crateDiscount();
            }
            ('images' in this.variants[0] && this.variants[0].images.length > 0)
                ? asociated.picture = this.variants[0].images[0]
                : asociated.picture = (this.asociatedDataSubject.value.picture || this.productSubject.value.picturesdefault[0]);
            asociated.maximumAmount = ((_d = this.variants[0]) === null || _d === void 0 ? void 0 : _d.maximumAmount) || 0;
            asociated.minimumAmount = ((_e = this.variants[0]) === null || _e === void 0 ? void 0 : _e.minimumAmount) || 0;
            asociated.maximumItemsQuantity = ((_f = this.variants[0]) === null || _f === void 0 ? void 0 : _f.stock) > 0 && 'maximumItemsQuantity' in this.variants[0] ? (_g = this.variants[0]) === null || _g === void 0 ? void 0 : _g.maximumItemsQuantity : (_h = this.variants[0]) === null || _h === void 0 ? void 0 : _h.stock;
            asociated.minimumItemsQuantity = ((_j = this.variants[0]) === null || _j === void 0 ? void 0 : _j.stock) > 0 && 'minimumItemsQuantity' in this.variants[0]
                && ((_k = this.variants[0]) === null || _k === void 0 ? void 0 : _k.minimumItemsQuantity) > 0 ? (_l = this.variants[0]) === null || _l === void 0 ? void 0 : _l.minimumItemsQuantity : (((_m = this.variants[0]) === null || _m === void 0 ? void 0 : _m.multipleQuantity) ? (_o = this.variants[0]) === null || _o === void 0 ? void 0 : _o.multipleQuantity : 1);
            asociated.finalConsumer = {
                finalConsumerPrice: (_p = this.variants[0]) === null || _p === void 0 ? void 0 : _p.final_consumer_price,
                originalFinalConsumerPrice: (_q = this.variants[0]) === null || _q === void 0 ? void 0 : _q.original_final_consumer_price,
            };
            asociated.taxes = {
                taxIncluded: (_r = this.variants[0]) === null || _r === void 0 ? void 0 : _r.taxIncluded,
                taxCategory: (_s = this.variants[0]) === null || _s === void 0 ? void 0 : _s.taxCategory,
            };
            this.asociatedDataSubject.next(asociated);
        };
        /**
         * @description Recibe las propiedades de una variante y por cada item arma un objeto con
         * el name=clave y value=valor de ese item.
         * @param properties
         * @returns Un arreglo con las propiedades de la forma { name = ... , value = ...}
         */
        this.beautifyProperties = (properties) => {
            let beautifyData = [];
            properties.forEach(prop => {
                for (let key in prop) {
                    beautifyData.push({ name: key, value: prop[key] });
                }
            });
            return beautifyData;
        };
        this.crateDiscount = () => {
            try {
                let all_discount = '';
                this.variants.forEach(variant => {
                    variant.discount && (all_discount = all_discount + ', ' + variant.discount);
                });
                if (all_discount == '') {
                    return undefined;
                }
                return all_discount;
            }
            catch (error) {
                return undefined;
            }
        };
        this.cratePrice = () => {
            let min_price = 0;
            let max_price = 0;
            let all_prices = [];
            this.variants.forEach(variant => {
                all_prices.push(variant.price);
            });
            min_price = all_prices.reduce((a, b) => Math.min(a, b));
            max_price = all_prices.reduce((a, b) => Math.max(a, b), 0);
            return min_price == max_price ? max_price.toString() : min_price + ' - ' + max_price;
        };
        this.crateSalePrice = () => {
            let min_price = 0;
            let max_price = 0;
            let all_prices = [];
            this.variants.forEach(variant => {
                variant.saleprice && all_prices.push(variant.saleprice);
            });
            if (!all_prices.length) {
                return undefined;
            }
            min_price = all_prices.reduce((a, b) => Math.min(a, b));
            max_price = all_prices.reduce((a, b) => Math.max(a, b), 0);
            return min_price == max_price ? max_price.toString() : min_price + ' - ' + max_price;
        };
        this.inRange = (quantity, min, max) => ((quantity - min) * (quantity - max) <= 0);
        this.validateQuantity = (quantity) => {
            const actualQuantity = this.cartService.getCountFromItemInCart(this.variants[0].code);
            const asociatedData = this.asociatedDataSubject.value;
            console.log('La cantidad que llego: ', quantity, ' y la cantidad actual: ', actualQuantity);
            if ((actualQuantity + quantity) > asociatedData.maximumItemsQuantity) {
                this.toastrService.show('maximum-items-quantity', { quantity: asociatedData.maximumItemsQuantity });
                return false;
            }
            if ((actualQuantity + quantity) < asociatedData.minimumItemsQuantity) {
                this.toastrService.show('minimum-items-quantity', { quantity: asociatedData.minimumItemsQuantity });
                return false;
            }
            return true;
        };
        // Cuando haya modelos de respuesta, validamos que no se intente cargar un producto incompleto
        this.isProductValid = (product) => true;
        /**
         *
         * @param product producto el cual se quiere desdoblar por variantes por una opción.
         * @param withOption 'type' tipo de opción, code: código de la opción. 'defaultFirstOption': en caso de que no se pueda desdoblar por la opción indicada si el valor es verdadero se intentara desdoblar por la primera opción asociada al producto.
         * 'checkIfStock': en caso de que esta valor sea verdadero se realiza un control de que la variantes cuenten con stock para ser un producto desdoblado por la variante, si el valor es falso no se realiza dicho control y el producto se desdoblara con stock en 0.
         * @returns arreglo con el producto desdoblado por la variante solicitada.
         * (opción por defecto que se intenta hacer el desdoblamiento 'color', o bien si en le parámetro withOption el atributo 'defaultFirstOption' es verdadero se desdobla por la primera opción asociada al producto )
         */
        this.getProductWithUniqueVariant = (product, withOption) => {
            return this.productsService.getProductsWithUniqueVariant([product], withOption);
        };
    }
    /**
     * @description agrega/actualiza un item en el carrito
     * @param quantity cantidad a agregar
     * @param variant_code **(opcional)** codigo de la variante seleccionada del producto.
     * @returns
     */
    addToCart(quantity, variant_code) {
        quantity = parseInt(quantity);
        if (!this.variants.length) {
            this.toastrService.show('cant-buy');
            return;
        }
        let product_selected = _.clone(this.productSubject.value);
        let variant;
        switch (this.variants.length) {
            case 0:
                this.toastrService.show('no-variants');
                break;
            case 1:
                this.asociatedDataSubject.value.stock == 0 ?
                    this.toastrService.show('out-of-stock') :
                    variant = this.variants[0];
                break;
            default:
                if (variant_code) {
                    variant = this.variants.find(variant => variant.code === variant_code);
                    if (variant.stock == 0) {
                        this.toastrService.show('out-of-stock');
                        variant = undefined;
                    }
                }
                else {
                    this.toastrService.show('variants-left');
                }
                break;
        }
        if (!variant)
            return;
        if (!this.validateQuantity(quantity))
            return;
        this.cartService.addToCart(this.makeAffordableProduct(product_selected), quantity, variant.code);
    }
    ;
    makeAffordableProduct(product_selected) {
        product_selected.price = parseFloat(this.asociatedDataSubject.value.price);
        product_selected.saleprice = parseFloat(this.asociatedDataSubject.value.price);
        product_selected.options = {};
        this.variants[0].options.forEach(option => product_selected.options = Object.assign(Object.assign({}, product_selected.options), option));
        return product_selected;
    }
    /**
     *
     * @param options Array de Variantes y sus valores
     *
     * @description Retorna una lista filtrada de las variantes que estan seleccionadas
     */
    getVariantsSelected(options, optionsException) {
        let variantsSelected = [];
        options.forEach(v => {
            if (v.values && v.values.length) {
                v.values.forEach(val => {
                    if (val.selected && !optionsException.find(op => op.toUpperCase() == v.code.toUpperCase())) {
                        variantsSelected[v.code] = val.name;
                    }
                });
            }
        });
        return variantsSelected;
    }
    /**
     *
     * @param options Array de Variantes y sus valores
     * @param variants Todas las variantes disponibles del producto
     *
     * @description retorna todas las variantes disponibles a seleccion y su stock
     */
    getVariantsAvailable(options, variants, optionsException) {
        let variantsSelected = this.getVariantsSelected(options, optionsException);
        let variantsAvailable = [];
        variants.map(v => {
            let aux = {};
            if (v.options && v.options.length) {
                v.options.map(op => {
                    Object.assign(aux, op, { stock: v.stock });
                });
            }
            variantsAvailable.push(aux);
        });
        return variantsAvailable.filter(va => this.constants.containsAll(Object.assign({}, variantsSelected), va));
    }
    /**
     *
     * @param options Array de variantes y sus valores
     * @param code Codigo de la variante a buscar
     * @param name nombre de la variante a buscar
     * @param variants variantes del producto
     *
     * @description busca en la lista de variantes disponibles si hay de ese codigo, ese nombre y con stock
     */
    existVariantAndHasStock(options, code, name, variants, optionsException = []) {
        return this.getVariantsAvailable(options, variants, optionsException).find(va => va.hasOwnProperty(code) && va[code] === name && va.stock > 0);
    }
};
ProductDetailService.ctorParameters = () => [
    { type: ProductsService },
    { type: CartService },
    { type: ToastService },
    { type: Constants },
    { type: AnalyticsService },
    { type: CurrencyService }
];
ProductDetailService = __decorate$12([
    Injectable()
], ProductDetailService);

var __decorate$13 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let ProductDetailEcComponent = class ProductDetailEcComponent extends ComponentHelper {
    constructor(productService, consts, activedRoute, cartService, optionsService, productsService, analyticsService, router, toastrService, meta) {
        super();
        this.productService = productService;
        this.consts = consts;
        this.activedRoute = activedRoute;
        this.cartService = cartService;
        this.optionsService = optionsService;
        this.productsService = productsService;
        this.analyticsService = analyticsService;
        this.router = router;
        this.toastrService = toastrService;
        this.meta = meta;
        this.show = false;
        this.quantity = 1;
        this.breadcrumb = [];
        this.code = null;
        this.focusImage = null;
        this.owlOptions = {};
        this.addToCart = () => {
            this.quantity > 0 && this.productService.addToCart(this.quantity);
        };
        this.addAllProductosToCart = () => {
            var _a, _b;
            let items = (_a = this.product.productWithUniqueVariant) === null || _a === void 0 ? void 0 : _a.filter(prod => prod.productToCartItem).map(prod => prod.productToCartItem);
            ((_b = items) === null || _b === void 0 ? void 0 : _b.length) && this.cartService.addAllToCart(items);
        };
        this.saveRef = (carousel) => {
            this.carousel = carousel;
        };
        /**
         * @description actualiza la variable quantity sumandole 'x' contenido.
         * @param stock debe recibir un number que contenga el stock disponible.
         * @param multipleQuantity debe recibir el multiplo de cantidad que se quiera incrementar.
         */
        this.plus = (stock, multipleQuantity) => {
            if (multipleQuantity && multipleQuantity > 0) {
                stock ? (this.quantity < stock ? this.quantity = this.quantity + multipleQuantity : this.toastrService.show('out-of-stock-actually'))
                    : this.quantity = this.quantity + multipleQuantity;
            }
            else {
                stock ? (this.quantity < stock ? this.quantity = this.quantity + 1 : this.toastrService.show('out-of-stock-actually'))
                    : this.quantity = this.quantity + 1;
            }
        };
        /**
        * @description actualiza la varible quantity restandole 'x' contenido.
        * @param multipleQuantity debe recibir el multiplo de cantidad que se quiera decrementar.
        */
        this.less = (multipleQuantity) => {
            if (multipleQuantity && multipleQuantity > 0) {
                this.quantity > multipleQuantity ? this.quantity = this.quantity - multipleQuantity : null;
            }
            else {
                this.quantity > 1 ? this.quantity = this.quantity - 1 : null;
            }
        };
        this.showContact = () => this.show = true;
        this.hideContact = () => this.show = false;
        this.thereIsMoreInfo = (product) => {
            var _a, _b, _c, _d;
            let result;
            if (((_a = product) === null || _a === void 0 ? void 0 : _a.special_mark) && ((_b = product) === null || _b === void 0 ? void 0 : _b.special_mark.length)) {
                result = (_d = (_c = product) === null || _c === void 0 ? void 0 : _c.special_mark) === null || _d === void 0 ? void 0 : _d.find(special_mark => special_mark.type == 'more_info');
            }
            return result;
        };
        this.changeImgFocus = (img) => {
            this.focusImage = img;
        };
        this.mediaUrl = this.consts.mediaUrl();
        this.activedRoute.params.subscribe(queryParams => {
            let variant = (this.activedRoute.snapshot.queryParamMap.get('variant'));
            let code = queryParams.id;
            this.productService.loadProduct(code, variant);
            this.code = queryParams.id;
        });
        this.productService.product$.subscribe(res => {
            this.product = res;
            window.scroll(0, 0);
            this.breadcrumb = this.optionsService.getBreadcrumb(this.product.category);
            if (this.product.name) {
                this.meta.updateTag({ property: 'og:title', content: this.product.name });
                this.meta.updateTag({ property: 'og:description', content: this.deleteHTML(this.product.description) });
                this.meta.updateTag({ property: 'og:image', content: this.consts.mediaUrl() + this.product.picturesdefault[0] });
                this.meta.updateTag({ property: 'og:type', content: 'product' });
                this.meta.updateTag({ property: 'og:url', content: window.location.href });
            }
        });
        this.productService.product$.pipe(filter(data => data && data.id && data.id != 0)).subscribe((productParam) => {
            this.analyticsService.callEvent('view_item', Object.assign(Object.assign({}, productParam), { currency: this.consts.currency.code }));
            this.changeImgFocus(productParam.picturesdefault[0]);
        });
        this.ecOnConstruct();
    }
    deleteHTML(cadena) {
        // Expresión regular para buscar etiquetas HTML
        const expresionRegular = /<[^>]*>/g;
        // Reemplaza todas las etiquetas HTML por una cadena vacía
        return cadena.replace(expresionRegular, '');
    }
    ngOnInit() {
        this.ecOnInit();
    }
    scroll() {
        let el = this.contact.nativeElement;
        el.scrollIntoView();
    }
};
ProductDetailEcComponent.ctorParameters = () => [
    { type: ProductDetailService },
    { type: Constants },
    { type: ActivatedRoute },
    { type: CartService },
    { type: OptionsService },
    { type: ProductsService },
    { type: AnalyticsService },
    { type: Router },
    { type: ToastService },
    { type: Meta }
];
__decorate$13([
    ViewChild('contact')
], ProductDetailEcComponent.prototype, "contact", void 0);
ProductDetailEcComponent = __decorate$13([
    Component({
        selector: 'app-product-detail-ec',
        template: "",
        providers: [ProductDetailService],
        styles: ["::-webkit-scrollbar{width:0;background:0 0}.img-container{overflow:scroll;max-height:60vh}#img-container-div{height:649px!important}@media (max-width:768px){#img-container-div{height:593px!important}}.carrousel-custom{height:200px;width:100%;overflow:auto;white-space:nowrap}.carrousel-item-custom{max-height:178px}"]
    })
], ProductDetailEcComponent);

var __decorate$14 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let ProductEcComponent = class ProductEcComponent extends ComponentHelper {
    constructor(consts, router, productService, authService, toastrService, analyticsService) {
        super();
        this.consts = consts;
        this.router = router;
        this.productService = productService;
        this.authService = authService;
        this.toastrService = toastrService;
        this.analyticsService = analyticsService;
        this.quantity = 1;
        this.stock = 0;
        this.data = null;
        /**
         * @description variable utilizada mutar de la vista de lista, a la de box.
         */
        this.isProductBox = false;
        this.canBuy = () => false;
        this.buyOrRedirect = (variant = false) => {
            var _a;
            let idredirect = variant && ((_a = this.product.variants.find(v => v.stock > 0)) === null || _a === void 0 ? void 0 : _a.code);
            if (!idredirect) {
                idredirect = this.product.id;
                variant = false;
            }
            else {
                if (idredirect.includes("/")) {
                    idredirect = this.product.id;
                    variant = false;
                }
            }
            this.router.navigateByUrl(`/product/${idredirect}${variant ? '?variant=true' : ''}`);
        };
        /**
         * @description actualiza la variable quantity sumandole 'x' contenido.
         * @param stock debe recibir un number que contenga el stock disponible.
         * @param multipleQuantity debe recibir el multiplo de cantidad que se quiera incrementar.
         */
        this.plus = (stock, multipleQuantity) => {
            if (multipleQuantity && multipleQuantity > 0) {
                stock ? (this.quantity < stock ? this.quantity = this.quantity + multipleQuantity : this.toastrService.show('out-of-stock-actually'))
                    : this.quantity = this.quantity + multipleQuantity;
            }
            else {
                stock ? (this.quantity < stock ? this.quantity = this.quantity + 1 : this.toastrService.show('out-of-stock-actually'))
                    : this.quantity = this.quantity + 1;
            }
        };
        /**
         * @description actualiza la varible quantity restandole 'x' contenido.
         * @param multipleQuantity debe recibir el multiplo de cantidad que se quiera decrementar.
         */
        this.less = (multipleQuantity) => {
            if (multipleQuantity && multipleQuantity > 0) {
                this.quantity > multipleQuantity ? this.quantity = this.quantity - multipleQuantity : null;
            }
            else {
                this.quantity > 1 ? this.quantity = this.quantity - 1 : null;
            }
        };
        /**
         * @description Agrega el producto al carrito. Si es una variante se enviara el codigo de la variante.
         */
        this.addToCart = () => {
            this.product.currentOption ? this.productService.addToCart(+this.quantity, this.product.currentOption.variantCode) : this.productService.addToCart(+this.quantity);
        };
        this.getBrandName = product => {
            if (product && product.attributes)
                return product.attributes
                    .filter(attribute => attribute.code === 'marca')
                    .map(attribute => attribute.children[0].name);
        };
        this.ecOnConstruct();
    }
    ngOnInit() {
        this.productService.setProduct(this.product);
        this.productService.asociatedData$.subscribe(res => { this.data = res; this.stock = res.stock; });
        this.ecOnInit();
    }
    ngOnChanges() {
    }
    selectItem(product) {
        console.log('entro');
        this.analyticsService.callEvent('select_item', product);
    }
};
ProductEcComponent.ctorParameters = () => [
    { type: Constants },
    { type: Router },
    { type: ProductDetailService },
    { type: AuthService },
    { type: ToastService },
    { type: AnalyticsService }
];
__decorate$14([
    Input()
], ProductEcComponent.prototype, "isProductBox", void 0);
__decorate$14([
    Input()
], ProductEcComponent.prototype, "product", void 0);
ProductEcComponent = __decorate$14([
    Component({
        selector: 'app-product-ec',
        template: "",
        providers: [ProductDetailService],
        styles: [""]
    })
], ProductEcComponent);

var __decorate$15 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let RelatedProductsEcComponent = class RelatedProductsEcComponent extends ComponentHelper {
    constructor(productsService, analyticsService, consts, router) {
        super();
        this.productsService = productsService;
        this.analyticsService = analyticsService;
        this.consts = consts;
        this.router = router;
        this.relatedProducts = [];
        this.name = null;
        this.keywordsToCompare = ['compare', 'comparar', 'comparacion', 'comparación', 'compared'];
        this.includeKeyword = (word) => {
            let result = false;
            this.keywordsToCompare.forEach(keyword => {
                word.includes(keyword) ? result = true : null;
            });
            return result;
        };
        this.customOptions = {
            loop: true,
            dots: false,
            navSpeed: 950,
            margin: 0,
            navText: ['', ''],
            nav: true,
            responsive: {
                0: {
                    items: 1,
                    nav: true
                },
                600: {
                    items: 3,
                    nav: true
                },
                900: {
                    items: 4,
                    nav: true,
                }
            }
        };
        this.ecOnConstruct();
    }
    ngOnInit() {
        this.load(this.product_id);
        this.ecOnInit();
    }
    load(product_id) {
        this.productsService.getRelatedProducts(product_id).pipe(take(1)).subscribe(res => {
            this.relatedProducts = res.filter(elem => !this.includeKeyword(elem.title.toLowerCase()));
            res.map(products => this.analyticsService.callEvent('view_item_list', { products: products.items, item_list_name: products.title || 'Related Products', item_list_id: products.id || 'related-products' }));
        });
    }
    ngOnChanges(changes) {
        window.scroll({
            top: 0,
            left: 0,
            behavior: 'smooth'
        });
        this.load(changes.product_id.currentValue);
        //this.doSomething(changes.categoryId.currentValue);
        // You can also use categoryId.previousValue and 
        // categoryId.firstChange for comparing old and new values
    }
};
RelatedProductsEcComponent.ctorParameters = () => [
    { type: ProductsService },
    { type: AnalyticsService },
    { type: Constants },
    { type: Router }
];
__decorate$15([
    Input()
], RelatedProductsEcComponent.prototype, "product_id", void 0);
RelatedProductsEcComponent = __decorate$15([
    Component({
        selector: 'app-related-products-ec',
        template: "<!-- <div *ngFor=\"let products of relatedProducts\" >\n    <section class=\"destacados\"  id=\"destacados\"> \n        <div class=\"container-fluid mx-auto py-5\">\n            <div class=\"row mx-auto d-flex justify-content-start px-3 py-3\">\n                <h3 class=\"my-auto mx-2 text-left w-fit bold text-beige1\">\n                    {{ products.title ? products.title  : 'PRODUCTOS RECOMENDADOS' | uppercase}}\n                </h3>\n            </div>\n    \n            <owl-carousel-o [options]=\"customOptionsDestacados\" class=\"row mx-auto d-flex justify-content-center p-3  pb-1\">\n                <ng-template carouselSlide *ngFor=\"let product of products.items\">\n                     <app-product-destacados [product]=\"product\" [isValorados]=\"false\"></app-product-destacados>\n                </ng-template>\n           </owl-carousel-o>\n           \n            <div class=\"row mx-auto d-flex justify-content-center pb-3 d-md-none\">\n                <a routerLink=\"/collection\" role=\"button\" class=\"btn btn-dark bg-beige1 text-blanco bold rounded-pill px-5 py-2\">IR A LA TIENDA</a>\n            </div>\n        </div>\n    </section>\n</div> -->",
        styles: [""]
    })
], RelatedProductsEcComponent);

var __decorate$16 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let SectionContainerEcComponent = class SectionContainerEcComponent extends ComponentHelper {
    constructor(activatedRoute, optionsService, toastrService, sanitizer) {
        super();
        this.activatedRoute = activatedRoute;
        this.optionsService = optionsService;
        this.toastrService = toastrService;
        this.sanitizer = sanitizer;
        this.content_html = "<p>Sin información</p>";
        this.loadSection = false;
        this.sanitizeHtml = false;
        this.name = null;
        this.getSection = (link) => {
            this.loadSection = false;
            this.optionsService.getSectionContentByLink(link).toPromise().then(html => {
                if (html)
                    this.content_html =
                        this.sanitizeHtml
                            ? html
                            : this.sanitizer.bypassSecurityTrustHtml(html);
                this.loadSection = true;
            }, error => {
                console.log(error);
                this.loadSection = true;
                this.content_html = "<p>Sin información</p>";
                this.toastrService.show('No fue posible encontrar la sección solicitada');
            }).catch(error => {
                this.content_html = "<p>Sin información</p>";
                this.loadSection = true;
            });
        };
        this.getDataSection = (code) => {
            this.dataSection = this.sections.find(section => section.code == code);
        };
        this.optionsService.sections.subscribe(res => this.sections = res);
        this.ecOnConstruct();
    }
    ngOnInit() {
        if (this.name) {
            this.getSection(this.name);
            this.getDataSection(this.name);
            //console.log('con parametro')
        }
        else {
            this.activatedRoute.params.subscribe(params => {
                this.name = params.name;
                this.getSection(this.name);
                this.getDataSection(this.name);
                //console.log('sin parametro', this.name)
            });
        }
        this.ecOnInit();
    }
};
SectionContainerEcComponent.ctorParameters = () => [
    { type: ActivatedRoute },
    { type: OptionsService },
    { type: ToastrService },
    { type: DomSanitizer }
];
__decorate$16([
    Input()
], SectionContainerEcComponent.prototype, "sanitizeHtml", void 0);
__decorate$16([
    Input()
], SectionContainerEcComponent.prototype, "name", void 0);
SectionContainerEcComponent = __decorate$16([
    Component({
        selector: 'app-section-container-ec',
        template: "<div class=\"container-fluid\">\n    <div class=\"row\">\n        <div class=\"col-12\">\n            <div class=\"scrol-if\">\n                <div *ngIf=\"loadSection; else notBlockContact\" [innerHtml]=\"content_html\"></div>\n            </div>\n        </div>\n    </div>\n</div>\n\n<app-blocks-ec [section]=\"name\"></app-blocks-ec>\n\n\n<ng-template #notBlockContact>\n<div class=\"col-12 align-items-center\">\n    <div  class=\"d-flex flex-column jusitfy-content-center align-items-center my-5\">\n        <app-loading-full-ec></app-loading-full-ec>\n    </div>\n</div>\n</ng-template>",
        styles: [".custom-page{background-color:#fff!important;padding-top:5%!important;padding-bottom:5%!important}.scrol-if{overflow:auto}"]
    })
], SectionContainerEcComponent);

var __decorate$17 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let StoresEcComponent = class StoresEcComponent extends ComponentHelper {
    constructor(storesService, consts, sanitizer) {
        super();
        this.storesService = storesService;
        this.consts = consts;
        this.sanitizer = sanitizer;
        this.filterStores = null;
        this.storesAll = null;
        this.exclusiveStores = null;
        this.imageMap = true;
        this.stores = [];
        this.provinces = [];
        this.markers = [];
        this.ultimoElementoSeleccionado = null;
        this.locations = [];
        /**
         * @description Obtiene todas la provincias que figuren en el arreglo
         * @param stores Arreglo de tiendas
         * @returns {Array} Arreglo de provincias
         */
        this.getProvices = (stores) => {
            let provincesOpt = [];
            stores.forEach(store => {
                if (provincesOpt.find(s => s.code == store.province.code) == undefined) {
                    provincesOpt.push(store.province);
                }
            });
            return provincesOpt;
        };
        /**
         * @description Retorna un arreglo de objetos formado por las claves
         *      "province"(contiene un objeto provincia) y
         *      "stores" (contiene un arreglo de tiendas pertenecientes a la provincia)
         * @param stores Opcional, arreglo de tiendas a la que se le quiere aplicar la division por provincia
         * @returns {Array<{"province", "stores"}>}
         */
        this.getStoresByProvinces = (stores = this.stores) => {
            let storesByProvinces = [];
            if (stores) {
                let provinces = this.getProvices(stores);
                provinces.forEach(elem => {
                    var _a;
                    let aux = (_a = stores) === null || _a === void 0 ? void 0 : _a.filter(store => store.province.code == elem.code);
                    storesByProvinces.push({ province: elem, stores: aux });
                });
            }
            return storesByProvinces;
        };
        /**
         * @description Retorna las tiendas con/sin retiro en el local
         * @param stores Opcional, arreglo de tiendas
         * @param cond Opcional, Si es "true" obtiene las tiendas con retiro local caso contrario "false"
         * @returns {Array<Store>} Arreglo de Store
         */
        this.getPickupStores = (stores = this.stores, cond = true) => stores && stores.filter(store => cond == store.pickupStore);
        /**
         * @description Metodo que devuelve las tiendas que NO son exclusivas.
         * @returns {Array<Store>} Arreglo de Store
         */
        this.getNonExclusiveStores = () => this.stores.filter(store => !store.exclusive);
        this.selectChange = (select) => {
            this.filterStores = select != '' && this.storesAll.filter(store => store.province.code == select) || this.storesAll;
            return true;
        };
        this.urlmap = this.sanitizer.bypassSecurityTrustResourceUrl('https://www.google.com/maps/embed?pb=!1m10!1m8!1m3!1d13137.519688957545!2d-58.3888163!3d-34.5945533!3m2!1i1024!2i768!4f13.1!5e0!3m2!1ses-419!2sar!4v1523889204148');
        this.storesService.stores.pipe(filter(store => store && store.length > 0)).subscribe(stores => {
            this.storesAll = stores;
            this.stores = stores;
            this.exclusiveStores = stores.filter(store => store.exclusive);
            this.selectChange('');
        });
        this.ecOnConstruct();
    }
    ngOnInit() {
        this.ecOnInit();
    }
    updateMap(url) {
        url = url.includes('embed') ? url : 'https://www.google.com/maps/embed?pb=!1m10!1m8!1m3!1d13137.519688957545!2d-58.3888163!3d-34.5945533!3m2!1i1024!2i768!4f13.1!5e0!3m2!1ses-419!2sar!4v1523889204148';
        this.urlmap = this.sanitizer.bypassSecurityTrustResourceUrl(url);
    }
    initMap() {
        this.storesService.stores.pipe(skipWhile(stores => stores.length === 0) // Omitir valores vacíos
        ).subscribe((res) => {
            this.stores = res;
            this.stores.forEach(store => {
                let datos = {
                    id: store.code,
                    lat: parseFloat(store.latitude),
                    lng: parseFloat(store.longitude),
                    title: store.name + ' - ' + store.address,
                    description: store.phone,
                };
                // console.log(datos)
                this.locations.push(datos);
            });
            const bounds = new google.maps.LatLngBounds();
            this.locations.forEach(location => {
                bounds.extend(new google.maps.LatLng(location.lat, location.lng));
            });
            const center = bounds.getCenter();
            const style = [{ "elementType": "geometry", "stylers": [{ "color": "#212121" }] }, { "elementType": "labels.icon", "stylers": [{ "visibility": "off" }] }, { "elementType": "labels.text.fill", "stylers": [{ "color": "#757575" }] }, { "elementType": "labels.text.stroke", "stylers": [{ "color": "#212121" }] }, { "featureType": "administrative", "elementType": "geometry", "stylers": [{ "color": "#757575" }] }, { "featureType": "administrative.country", "elementType": "labels.text.fill", "stylers": [{ "color": "#9e9e9e" }] }, { "featureType": "administrative.locality", "elementType": "labels.text.fill", "stylers": [{ "color": "#bdbdbd" }] }, { "featureType": "poi", "elementType": "labels.text.fill", "stylers": [{ "color": "#757575" }] }, { "featureType": "poi.business", "stylers": [{ "visibility": "off" }] }, { "featureType": "poi.park", "elementType": "geometry", "stylers": [{ "color": "#181818" }] }, { "featureType": "poi.park", "elementType": "labels.text.fill", "stylers": [{ "color": "#616161" }] }, { "featureType": "poi.park", "elementType": "labels.text.stroke", "stylers": [{ "color": "#1b1b1b" }] }, { "featureType": "road", "elementType": "geometry.fill", "stylers": [{ "color": "#2c2c2c" }] }, { "featureType": "road", "elementType": "labels.icon", "stylers": [{ "visibility": "off" }] }, { "featureType": "road", "elementType": "labels.text.fill", "stylers": [{ "color": "#8a8a8a" }] }, { "featureType": "road.arterial", "elementType": "geometry", "stylers": [{ "color": "#373737" }] }, { "featureType": "road.arterial", "elementType": "labels", "stylers": [{ "visibility": "off" }] }, { "featureType": "road.highway", "elementType": "geometry", "stylers": [{ "color": "#3c3c3c" }] }, { "featureType": "road.highway", "elementType": "labels", "stylers": [{ "visibility": "off" }] }, { "featureType": "road.highway.controlled_access", "elementType": "geometry", "stylers": [{ "color": "#4e4e4e" }] }, { "featureType": "road.local", "stylers": [{ "visibility": "off" }] }, { "featureType": "road.local", "elementType": "labels.text.fill", "stylers": [{ "color": "#616161" }] }, { "featureType": "transit", "stylers": [{ "visibility": "off" }] }, { "featureType": "transit", "elementType": "labels.text.fill", "stylers": [{ "color": "#757575" }] }, { "featureType": "water", "elementType": "geometry", "stylers": [{ "color": "#000000" }] }, { "featureType": "water", "elementType": "labels.text.fill", "stylers": [{ "color": "#3d3d3d" }] }];
            this.map = new google.maps.Map(document.getElementById('map'), {
                zoom: 12,
                center: center,
                styles: style // Aplica los estilos personalizados
            });
            this.locations.forEach(location => {
                const marker = new google.maps.Marker({
                    position: { lat: location.lat, lng: location.lng },
                    map: this.map,
                    title: location.title,
                    icon: {
                        url: "../../../assets/location.svg",
                        scaledSize: new google.maps.Size(30, 30)
                    }
                });
                marker.set('id', location.id); // Associate marker with its ID
                this.markers.push(marker);
                marker.addListener('click', () => {
                    const elemento = $('#' + location.id);
                    const contenedor = $('#home');
                    if (elemento.length && contenedor.length) {
                        contenedor.animate({
                            scrollTop: elemento.offset().top - contenedor.offset().top + contenedor.scrollTop()
                        }, 1000);
                    }
                    if (this.ultimoElementoSeleccionado !== null) {
                        // Quitar la clase del último elemento seleccionado
                        this.ultimoElementoSeleccionado.removeClass('selected');
                    }
                    // Agregar una clase al nuevo elemento seleccionado
                    elemento.addClass('selected');
                    this.ultimoElementoSeleccionado = elemento;
                    this.stopBounce();
                    marker.setAnimation(google.maps.Animation.BOUNCE);
                });
                this.map.fitBounds(bounds);
            }, (error) => {
                console.error('Error al obtener las tiendas:', error);
            });
        });
    }
    showStoreOnMap(storeCode) {
        this.stopBounce();
        const marker = this.markers.find(m => m.get('id') === storeCode);
        const elemento = $('#' + storeCode);
        if (this.ultimoElementoSeleccionado !== null) {
            // Quitar la clase del último elemento seleccionado
            this.ultimoElementoSeleccionado.removeClass('selected');
        }
        // Agregar una clase al nuevo elemento seleccionado
        elemento.addClass('selected');
        this.ultimoElementoSeleccionado = elemento;
        if (marker) {
            // this.map.panTo(marker.getPosition());
            // this.map.setZoom(15);
            marker.setAnimation(google.maps.Animation.BOUNCE);
        }
    }
    stopBounce() {
        this.markers.forEach(marker => {
            marker.setAnimation(null);
        });
    }
};
StoresEcComponent.ctorParameters = () => [
    { type: StoresService },
    { type: Constants },
    { type: DomSanitizer }
];
StoresEcComponent = __decorate$17([
    Component({
        selector: 'app-store-ec',
        template: "<div class=\"row w-100 mx-auto my-4 px-3 bb-s bt-md-s py-1\">\n    <strong>{{ 'stores' | translate }}</strong>\n</div>\n\n<section class=\"formulario container-fluid\" *ngIf=\"stores ; else noStores\">\n    <div *ngIf=\"stores.length; else loading\">\n\n        <div class=\"row\" *ngIf=\"stores && stores.length > 0; else noStores\">\n            <div class=\"col-12 col-md-3 order-1 order-md-1\">\n                <div class=\"row\">\n                    <div class=\"form-group w-100\">\n                        <select (change)=\"selectChange($event.target.value)\"\n                            class=\"rounded-0 form-control form-control-sm\" id=\"exampleFormControlSelect1\">\n                            <option selected [value]=\"''\">Seleccione provincia</option>\n                            <option [value]=\"item.code\" *ngFor=\"let item of getProvices(stores)\"> {{item.name}}\n                            </option>\n                        </select>\n                    </div>\n                </div>\n            </div>\n            <div class=\"col-12 col-md-3 order-3 order-md-2\">\n                <div class=\"container-fluid scrolleable\" *ngIf=\"filterStores && filterStores.length\">\n                    <div class=\"row mb-1\" *ngFor=\"let store of filterStores; let i = index\">\n                        <div class=\"col-12\">\n                            <h6 class=\"\"><strong>{{ store.name }}</strong></h6>\n                            <label>{{ store.address }}</label>\n                            <label>{{ store.phone }}</label>\n                            <div [innerHtml]=\"store.note\"></div>\n                            <div class=\"text-right\">\n                                <!-- <a [href]=\"store.urlMap\" target=\"_blank\" class=\"custom-a\">Ver mapa</a> -->\n                                <a  *ngIf=\"store.urlMap\" (click)=\"updateMap (store.urlMap)\" class=\"custom-a\">Ver mapa</a>\n                            </div>\n                        </div>\n                    </div>\n                </div>\n            </div>\n            <div class=\"col-12 col-md-6 order-2 order-md-3 my-4 mt-md-0\">\n                    <!-- <img *ngIf=\"imageMap\" src=\"../../../assets/images/recurso (21).png\" alt=\"\" class=\"w-100\"> -->\n                    <!-- <iframe *ngIf=\"!imageMap\" [src]=\"urlMap\" frameborder=\"0\" style=\"width: 100%; height: 500px;\"></iframe> -->\n                    <iframe id=\"map-iframe\" [src]=\"urlmap\" frameborder=\"0\"></iframe>\n            </div>\n        </div>\n    </div>\n</section>\n\n\n<ng-template #noStores>\n\n    <div class=\"d-flex flex-row justify-content-center my-5 align-items-center alto-total\">\n        <h5 class=\"text-center\">{{ 'no-stores' | translate }}</h5>\n    </div>\n\n</ng-template>\n\n<ng-template #loading>\n    <div class=\"container\">\n        <div class=\"row\">\n            <div class=\"col-12 align-items-center\">\n                <div class=\"d-flex flex-column justify-content-center align-items-center my-5\">\n                    <app-loading-full-ec></app-loading-full-ec>\n                </div>\n            </div>\n        </div>\n    </div>\n</ng-template>",
        styles: [".scrolleable{height:70vh;overflow:auto}@media screen and (max-width:768px){.scrolleable{height:auto}}.background-white{background-color:#fff}.alto-total{height:60vh}.custom-a{color:#000}#map-iframe{width:100%;border:0;height:100%}@media screen and (max-width:425px){#map-iframe{height:400px}}"]
    })
], StoresEcComponent);

var __decorate$18 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let VariantsEcComponent = class VariantsEcComponent extends ComponentHelper {
    constructor(consts, productService) {
        super();
        this.consts = consts;
        this.productService = productService;
        this.setSeleccion = (values) => {
            $('#op').attr('disabled', true);
            let valores = values.split(',');
            if (valores.length != 2)
                return;
            console.log(values);
            console.log(valores);
            this.setOption(valores[0], valores[1]);
        };
        this.view = (length, options) => {
            //   console.log('LAS OPCIONES', options);
            return length > 1;
        };
        this.ecOnConstruct();
    }
    ngOnInit() {
        this.ecOnInit();
    }
};
VariantsEcComponent.ctorParameters = () => [
    { type: Constants },
    { type: ProductDetailService }
];
__decorate$18([
    Input()
], VariantsEcComponent.prototype, "product", void 0);
__decorate$18([
    Input('options')
], VariantsEcComponent.prototype, "options$", void 0);
__decorate$18([
    Input()
], VariantsEcComponent.prototype, "setOption", void 0);
VariantsEcComponent = __decorate$18([
    Component({
        selector: 'app-product-variants-ec',
        template: "<div *ngIf=\"(options$ | async) as options ; else loading\">\n     <div *ngIf=\"options && options.length && view(options.length, options)\">\n          <div *ngFor=\"let option of options; let i = index\" class=\"mb-2\">\n               <h5 class=\"text-lowercase\">{{option.name | titlecase}}</h5>\n               <div [ngSwitch]=\"option.type\">\n                    <div *ngSwitchCase=\"'color'\">\n                         <div class=\"row w-100 mx-auto pb-3 mb-2\">\n                              <a *ngFor=\"let value of option.values; let x = index\" role=\"buttom\"\n                                   (click)=\"setOption(option.code, value.name)\"\n                                   [class]=\"'rounded-0 color-item mr-2 ' + (value.selected ? 'shadow' : '')\"\n                                   [id]=\"x + value.name\" [style.background]=\"'#' + value.name\"\n                                   [style.border]=\"(value.selected ? '1px black solid' : '1px gray solid')\"></a>\n                         </div>\n                    </div>\n                    <div *ngSwitchCase=\"'size'\">\n                         <div class=\"row w-100 mx-auto pb-3\">\n                              <select (change)=\"setSeleccion($event.target.value)\" class=\"form-control pr-5\">\n                                   <option id=\"op\" value=\"\">Seleccione {{option.name | lowercase}}</option>\n                                   <option *ngFor=\"let value of option.values; let x = index\" role=\"buttom\"\n                                        [value]=\"option.code +','+ value.name\" [id]=\"x + value.name\"\n                                        [selected]=\"value.selected\">\n                                        {{ value.name  }}\n                                   </option>\n                              </select>\n                              <!-- <a *ngFor=\"let value of option.values; let x = index\" role=\"buttom\"\n                                   (click)=\"setOption(option.code, value.name)\"\n                                   [id]=\"x + value.name\"\n                                   [class]=\"'btn btn-outline-dark rounded-0 talle-item m-1 ' + (value.selected ? 'selected-size' : 'unselected-size')\">\n                                   {{ value.name }}\n                              </a> -->\n                         </div>\n                    </div>\n                    <div *ngSwitchDefault>\n                        <select (change)=\"setSeleccion($event.target.value)\" class=\"form-control \">\n                            <option id=\"op\" value=\"\">Seleccione {{option.name | lowercase}}</option>\n                            <option *ngFor=\"let value of option.values; let x = index\" role=\"buttom\"\n                                 [value]=\"option.code +','+ value.name\" [id]=\"x + value.name\"\n                                 [selected]=\"value.selected\">\n                                 {{ value.name  }}\n                            </option>\n                       </select>\n                    </div>\n               </div>\n          </div>\n     </div>\n</div>\n\n<ng-template #loading>\n     <div class=\"col-12 align-items-center\">\n          <div class=\"d-flex flex-column jusitfy-content-center align-items-center my-5\">\n               <app-loading-full-ec></app-loading-full-ec>\n          </div>\n     </div>\n</ng-template>",
        styles: ["*{font-size:15px}.selected-size{background-color:#343a40;color:#fff}.unselected-size{color:#000;background-color:#fff}.color-item{height:18px;width:18px;border-radius:1rem!important}"]
    })
], VariantsEcComponent);

var __decorate$19 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __param$9 = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
let SellerDashboardContainerEcComponent = class SellerDashboardContainerEcComponent extends ComponentHelper {
    constructor(authService, toastrService, constants, env) {
        super();
        this.authService = authService;
        this.toastrService = toastrService;
        this.constants = constants;
        this.env = env;
        this.UIComponents = [];
        this.user = null;
        this.activeCustomer = null;
        this.sortValue = '';
        this.searchInput = '';
        this.customers = [];
        this.filteredCustomers = [];
        this.fuseOptions = {
            isCaseSensitive: false,
            shouldSort: false,
            tokenize: true,
            threshold: 0.2,
            location: 0,
            distance: 100,
            maxPatternLength: 32,
            minMatchCharLength: 0,
            keys: ['firstName', 'lastName', 'email', 'id']
        };
        this.fuse = new Fuse(this.customers, this.fuseOptions);
        this.updateCustomers = () => {
            this.filteredCustomers = this.customers;
            this.fuse.setCollection(this.filteredCustomers);
            this.filteredCustomers =
                this.searchInput
                    ? this.fuse
                        .search(this.searchInput)
                        .map(customer => customer.item)
                    : this.customers;
            this.fuse.setCollection(this.filteredCustomers);
            this.sortCustomers(this.sortValue);
        };
        /**
         * @description Ordena la lista de clientes
         * @param value recibe una cadena que de estar formada de la forma "tipoOrdenacion_atributoPorOrdenar"
         * Ejemplo: "asc_firstName" o "desc_id" ...
         */
        this.sortCustomers = value => {
            this.sortValue = value;
            let values = value.split('_');
            let sortType = values[0];
            let attribute = values[1];
            const comparator = (sortType == 'asc')
                ? [-1, 1]
                : [1, -1];
            let typeValue;
            if (this.filteredCustomers.length > 0) {
                typeValue = typeof (this.filteredCustomers[0][attribute]);
            }
            let sortFunction = typeValue == 'number' ? this.sortNumber : this.sortText;
            this.filteredCustomers =
                this.sortValue
                    ? this.filteredCustomers.sort((aCustomer, otherCustomer) => sortFunction(aCustomer, otherCustomer, attribute, comparator))
                    : this.filteredCustomers;
        };
        this.sortNumber = (aCustomer, otherCustomer, attribute, comparator) => aCustomer[attribute] < otherCustomer[attribute] ? comparator[0] : comparator[1];
        this.sortText = (aCustomer, otherCustomer, attribute, comparator) => {
            return (aCustomer[attribute] == otherCustomer[attribute])
                ? aCustomer.lastName.toLowerCase() < otherCustomer.lastName.toLowerCase() ? comparator[0] : comparator[1]
                : String(aCustomer[attribute]).toLowerCase() < String(otherCustomer[attribute]).toLowerCase() ? comparator[0] : comparator[1];
        };
        this.changeCustomer = customer => {
            this.authService.setCustomer(customer);
            customer
                ? this.toastrService.show('start-impersonating', { customer: customer.firstName + ' ' + customer.lastName })
                : this.toastrService.show('stop-impersonating');
        };
        this.hasHeader = () => this.hasUIComponent('HEADER_TAB') ||
            this.hasUIComponent('GENERATE_BUDGET_BTN') ||
            this.hasUIComponent('MANAGE_ORDERS_BTN') ||
            this.hasUIComponent('SORT_SELECT') ||
            this.hasUIComponent('SEARCH_FORM');
        this.navigateExternal = url => window.open(url);
        this.hasUIComponent = (UIComponent) => this.UIComponents.includes(UIComponent);
        this.isActive = (customer) => { var _a; return ((_a = this.authService.getCustomer()) === null || _a === void 0 ? void 0 : _a.id) == customer.id; };
        this.ecOnConstruct();
    }
    ngOnInit() {
        this.authService.getUserProfile()
            .pipe(take(1))
            .subscribe(user => {
            this.user = user;
            this.customers = user.customers;
            this.filteredCustomers = this.customers;
            this.fuse.setCollection(this.filteredCustomers);
            this.sortCustomers('desc_ordersNotApproved');
        });
    }
};
SellerDashboardContainerEcComponent.ctorParameters = () => [
    { type: AuthService },
    { type: ToastService },
    { type: Constants },
    { type: undefined, decorators: [{ type: Inject, args: ['env',] }] }
];
__decorate$19([
    Input()
], SellerDashboardContainerEcComponent.prototype, "UIComponents", void 0);
SellerDashboardContainerEcComponent = __decorate$19([
    Component({
        selector: 'app-seller-dashboard-container',
        template: "<section *ngIf=\"user\" id=\"seller-dashboard\">\n    <div class=\"section-content mt-5 mb-2 tablaVendedores\">\n        <div class=\"container-xl\">\n            <div class=\"row\">\n                <main class=\"col-md-12\">\n\n                    <ul *ngIf=\"hasHeader()\" class=\"nav nav-tabs\">\n                        <li class=\"nav-item col-12 col-lg-2\">\n                            <a *ngIf=\"hasUIComponent('HEADER_TAB')\" class=\"nav-link active cursor-pointer px-4\"\n                                aria-current=\"page\">\n                                {{ 'my-clients' | translate }}\n                            </a>\n                        </li>\n                        <li class=\"ms-auto row\">\n                            <div\n                                class=\"d-flex justify-content-end justify-content-lg-end justify-content-xl-end col-12 col-md-12 col-lg-auto\">\n                                <ng-container *ngIf=\"hasUIComponent('GENERATE_BUDGET_BTN') \">\n                                    <a *ngIf=\"authService.getCustomer()?.id; else withoutCustomer\"\n                                        [routerLink]=\"'/collection'\"\n                                        class=\"btn btn-seller-primary text-white btnGestionar d-flex align-items-center\"><i\n                                            class=\"bi bi-file-earmark me-2 mr-2\"></i>{{ 'generate-budget' | translate }}\n                                    </a>\n                                    <ng-template #withoutCustomer>\n                                        <a class=\"btn btn-seller-primary text-white btnGestionar d-flex align-items-center\"\n                                            (click)=\"toastrService.show('must-select-customer')\">\n                                            <i class=\"bi bi-file-earmark me-2 mr-2\"></i>{{ 'generate-budget' | translate\n                                            }}\n                                        </a>\n                                    </ng-template>\n                                </ng-container>\n                                <a *ngIf=\"hasUIComponent('MANAGE_ORDERS_BTN')\"\n                                    (click)=\"navigateExternal(constants.getUrlBase())\"\n                                    class=\"btn btn-seller-primary text-white btnGestionar d-flex align-items-center me- me-lg-4 mr- mr-lg-4\"><i\n                                        class=\"bi bi-archive-fill me-2 mr-2\"></i>{{ 'manage-orders' | translate }}</a>\n                            </div>\n                            <div class=\"d-flex camposVendedores col-12 col-md-12 col-lg-auto justify-content-end\">\n                                <select *ngIf=\"hasUIComponent('SORT_SELECT')\" id=\"customerSort\" name=\"customerSort\"\n                                    (change)=\"sortCustomers($event.target.value)\" class=\"mb-1 ordenarVendedores form-select\">\n                                    <option selected hidden disabled>{{ 'order-by' | translate }}</option>\n                                    <option value='asc_firstName'>{{ 'client' | translate }} (A-Z)</option>\n                                    <option value='desc_firstName'>{{ 'client' | translate }} (Z-A)</option>\n                                    <option value='asc_id'>Menor a Mayor c\u00F3digo</option>\n                                    <option value='desc_id'>Mayor a Menor c\u00F3digo</option>\n                                </select>\n                                <form *ngIf=\"hasUIComponent('SEARCH_FORM')\"\n                                    class=\"col-lg-auto mb-lg-0 d-flex ms-3 ml-3 d-flex buscadorVendedores\">\n                                    <input type=\"text\" name=\"searchInput\" class=\"form-control\"\n                                        placeholder=\"{{ 'search' | translate }}\" [(ngModel)]=\"searchInput\"\n                                        (keyup.enter)=\"updateCustomers()\">\n                                    <button class=\"btn btn-primary ms-1 ml-1 bg-white border-dark btnSearch\"><i\n                                            class=\"bi bi-search text-dark\" (click)=\"updateCustomers()\"></i></button>\n                                </form>\n                            </div>\n                        </li>\n                    </ul>\n\n                    <ng-container *ngIf=\"user.customers?.length; else noCustomers\">\n\n                        <article class=\"card card-body mb-1 carritoProductoHeader m-0 py-0 mt-4\">\n                            <div class=\"row align-items-center font-bold border-bottom\">\n                                <div class=\"col-3 col-md-2 text-left\">\n                                    <small>{{ 'code' | translate | uppercase }}</small>\n                                </div>\n                                <div class=\"col-5 col-md-3 mb-md-0\">\n                                    <small>{{ 'client' | translate | uppercase }}</small>\n                                </div>\n                                <div class=\"col-4 col-md-3 text-left d-none d-md-block\">\n                                    <small>{{ 'user' | translate | uppercase }}</small>\n                                </div>\n                                <div class=\"col-4 col-md-2 text-left\">\n                                    <small>{{ 'new-orders' | translate | uppercase }}</small>\n                                </div>\n                                <div class=\"col-2 col-md-2 text-left d-none d-md-block\">\n                                    <small></small>\n                                </div>\n\n                            </div>\n                        </article>\n\n                        <article *ngFor=\"let customer of filteredCustomers\" [class]=\"'card card-body mb-3 cadaVendedor ' + (isActive(customer) ? 'activo':'')\">\n                            <div class=\"row d-flex align-items-center\">\n                                <div class=\"col-3 col-md-2 text-left ps-2 pl-2\">\n                                    <div class=\"price h6 pb-0 mb-0 ps-3 pl-1\">\n                                        {{ customer.managementSystemInternalCode || 'n/a' }}\n                                    </div>\n                                </div>\n                                <div class=\"col-5 col-md-3 text-left\">\n                                    <div class=\"price h6 fw-normal ps-2 pl-2 pb-0 mb-0\">\n                                        {{ customer.firstName }} {{ customer.lastName }}\n                                        <p class=\"d-block d-md-none fs-6 mt-1 mb-0 p-0 userMobile\">\n                                            {{ customer.email }}\n                                        </p>\n                                    </div>\n                                </div>\n                                <div class=\"col-4 col-md-3 text-left d-none d-md-block\">\n                                    <div class=\"price h6 fw-normal pb-0 mb-0 ps-2 pl-2\">\n                                        {{ customer.email }}\n                                    </div>\n                                </div>\n                                <div class=\"col-4 col-md-2 text-left ps-2 pl-2\">\n                                    <div *ngIf=\"true\" class=\"contNumero\">\n                                        {{ customer.ordersNotApproved }}\n                                    </div>\n                                </div>\n                                <div class=\"col-12 col-md-2 btnIngresar\">\n\n                                    <ng-container\n                                        *ngIf=\"authService.getCustomer()?.id == customer.id; else noActiveCustomer\">\n                                        <a (click)=\"changeCustomer(null)\"\n                                            class=\"btn btn-seller-primary justify-content-center\">\n                                            <i class=\"bi bi-box-arrow-left me-2 mr-2\"></i>\n                                            <small class=\"me-2 mr-2 d-none d-md-block\">\n                                                {{ 'exit' | translate | uppercase }}\n                                            </small>\n                                        </a>\n                                    </ng-container>\n                                    <ng-template #noActiveCustomer>\n                                        <a (click)=\"changeCustomer(customer)\"\n                                            class=\"btn btn-seller-primary justify-content-center\">\n                                            <i class=\"bi bi-box-arrow-in-right me-2 mr-2\"></i>\n                                            <small class=\"me-2 mr-2 d-none d-md-block\">\n                                                {{ 'operate-as' | translate | uppercase }}\n                                            </small>\n                                        </a>\n                                    </ng-template>\n\n                                </div>\n                            </div>\n                        </article>\n\n                    </ng-container>\n\n                </main>\n            </div>\n        </div>\n    </div>\n</section>\n\n<ng-template #noCustomers>\n    <h4 class=\"text-center p-5\">{{ 'no-customers' | translate }}</h4>\n</ng-template>",
        styles: ["#seller-dashboard{--seller-dashboard-primary-color:0,0,0}.btn-seller-primary{color:#fff!important;background-color:rgba(var(--seller-dashboard-primary-color),1)!important;border-color:rgba(var(--seller-dashboard-primary-color),1)!important}.btn-seller-primary:hover{background-color:rgba(var(--seller-dashboard-primary-color),.9)!important}.btn-seller-primary:active{background-color:rgba(var(--seller-dashboard-primary-color),.8)!important}.btnGestionar{padding:6px 12px!important;height:36px;display:flex;align-items:center;justify-content:center;margin-left:10px}.ordenarVendedores{width:150px!important;color:#8b8b8b!important;background-color:#fff;border:1px solid #b6b6b6!important;border-radius:4px;-webkit-border-radius:4px;-moz-border-radius:4px;-ms-border-radius:4px;-o-border-radius:4px}.buscadorVendedores{margin-bottom:4px!important}.buscadorVendedores input{border:1px solid #b6b6b6!important;width:200px}.buscadorVendedores .btnSearch{border:1px solid #b6b6b6!important;padding:.375rem .75rem;font-size:1rem}.buscadorVendedores .btnSearch:focus{background-color:#fff!important}.carritoProductoHeader{border:none!important}.carritoProductoHeader small{font-size:13px}.cadaVendedor{padding:5px 0;margin-bottom:0!important;border:none!important;border-bottom:1px solid #ccc!important;border-radius:0!important;-webkit-border-radius:0}.cadaVendedor .btnIngresar a{padding:10px!important;border-width:1px!important;border-style:solid!important;display:flex;align-items:center;width:100%!important;margin-left:auto;color:#fff}.cadaVendedor .btnIngresar .contNumero{background-color:#eee;width:20px;height:20px;color:#000;font-size:13px;display:flex;align-items:center;justify-content:center;font-weight:600;border-radius:20px;-webkit-border-radius:20px;-moz-border-radius:20px;-ms-border-radius:20px;-o-border-radius:20px}.userMobile{font-size:14px!important;font-style:italic!important}.cadaVendedor .btnIngresar a:hover{background-color:rgba(var(--seller-dashboard-primary-color),.85)}.cadaVendedor .btnIngresar a:active{background-color:rgba(var(--seller-dashboard-primary-color),.8)}.cursor-pointer{cursor:pointer}.font-bold{font-weight:700}.border-bottom{border-bottom:1px solid #000!important}@media screen and (max-width:1200px){.btnGestionar{font-size:12px}}@media screen and (max-width:992px){.camposVendedores{justify-content:flex-end;margin-top:8px;margin-bottom:4px}}@media all and (max-width:768px){.ordenarVendedores{width:140px!important}.buscadorVendedores input{width:140px}.cadaVendedor .btnIngresar a{width:70px!important}}@media all and (max-width:576px){.tablaVendedores .nav-tabs .nav-link{font-size:13px;padding:6px!important}.btnGestionar{padding:6px 8px!important;font-size:13px;height:36px;display:flex;align-items:center;justify-content:center;margin-top:3px;margin-left:10px}.buscadorVendedores input,.ordenarVendedores{font-size:13px}}.fs-6{font-size:1rem!important}.cadaVendedor.activo{background-color:#eee}"]
    }),
    __param$9(3, Inject('env'))
], SellerDashboardContainerEcComponent);

var __decorate$1a = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let LoadingFullEcComponent = class LoadingFullEcComponent extends ComponentHelper {
    constructor() {
        super();
        this.hole_height = false;
        this.ecOnConstruct();
    }
    ngOnInit() {
        this.ecOnInit();
    }
};
__decorate$1a([
    Input()
], LoadingFullEcComponent.prototype, "hole_height", void 0);
LoadingFullEcComponent = __decorate$1a([
    Component({
        selector: 'app-loading-full-ec',
        template: "<div [class]=\"'d-flex w-100  ' + (hole_height ? 'hole_height' : '')\">\n     <div class=\"w-100 h-100 d-flex flex-row justify-content-center align-items-center\">\n          <div class=\"spinner-border text-dark spinner-color\" id=\"loading\" role=\"status\">\n               <span class=\"sr-only\">{{ 'loading' | translate }}</span>\n          </div>\n     </div>\n</div>",
        styles: [".hole_height{height:100vh!important}"]
    })
], LoadingFullEcComponent);

var __decorate$1b = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let LoadingInlineEcComponent = class LoadingInlineEcComponent extends ComponentHelper {
    constructor() {
        super();
        this.ecOnConstruct();
    }
    ngOnInit() {
        this.ecOnInit();
    }
};
LoadingInlineEcComponent = __decorate$1b([
    Component({
        selector: 'app-loading-inline-ec',
        template: "<div class=\"loading-inline-container\">\n    <div class=\"spinner-border text-dark spinner-color\" id=\"loading\" role=\"status\">\n        <span class=\"sr-only\">{{ 'loading' | translate }}</span>\n   </div>\n</div>",
        styles: [".loading-inline-container{width:100%;display:flex;flex-direction:row;justify-content:center;margin-top:3%;margin-bottom:3%}"]
    })
], LoadingInlineEcComponent);

var __decorate$1c = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let LoadingSectionEcComponent = class LoadingSectionEcComponent {
    constructor() { }
    ngOnInit() {
    }
};
LoadingSectionEcComponent = __decorate$1c([
    Component({
        selector: 'app-loading-section-ec',
        template: "<div id=\"sectionLoading\" class=\"d-flex flex-column position-absolute top-0 opacity-75 bg-white w-100 h-100 justify-content-center align-items-center\">\n    <app-loading-full-ec></app-loading-full-ec>\n</div>\n",
        styles: [""]
    })
], LoadingSectionEcComponent);

var __decorate$1d = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let MPCreditEcComponent = class MPCreditEcComponent extends ComponentHelper {
    constructor(renderer, connection, consts, cartService, toastr) {
        super();
        this.renderer = renderer;
        this.connection = connection;
        this.consts = consts;
        this.cartService = cartService;
        this.toastr = toastr;
        this.ready = new EventEmitter();
        this.installments = [];
        this.issuers = [];
        this.doSubmit = false;
        this.payment_method = '';
        this.require_issuer = false;
        this.allready_payed = false;
        this.doc_type = "DNI";
        this.finishApi = () => 'shop-api/' + this.consts.getChannel() + '/mercado-pago/' + this.cartService.cart_token + '/process-payment';
        this.expiryChange = (event) => {
            let fecha = (event.target.value).replace(/ /g, "");
            let fechaSplit = fecha.split('/');
            if (fechaSplit.length == 2) {
                this.month = fechaSplit[0];
                this.year = fechaSplit[1];
            }
        };
        this.expiryOnKey = (event) => {
            let key = event.keyCode || event.charCode;
            let fecha = (event.target.value).replace(/ /g, "");
            if (key != 8 && fecha.length == 2) {
                event.target.value = fecha + '/';
            }
        };
        this.cardNumberChange = (event) => {
            //console.log('TOMA EL ON CHANGE DE TARJETA');
            this.restartInstallments();
            this.guessPaymentMethod(event);
        };
        this.verifyValidate = (data) => {
            // FALTA SACAR EL PAYMENT METOD OPTTION ID
            let post_data = {
                token: data.id,
                issuer_id: this.issuer_id,
                installments: this.installment,
                merchant_account_id: this.merchant_account_id,
                payment_method_option_id: this.payment_method_option_id,
                payment_method_id: this.payment_method_id,
                processing_mode: this.processing_mode,
                email: this.email,
                document_type: this.doc_type,
                document_number: this.doc_number,
            };
            //console.log('LA DATA QUE VA A MANDAR: ', post_data);
            this.connection.post(this.finishApi(), post_data).toPromise().then(this.processResponse, this.processError);
        };
        // Obtener método de pago de la tarjeta
        this.guessPaymentMethod = (event) => {
            //console.log('SE LLAMA AL GUESS PAYMENT');
            let cardnumber = (event.target.value).replace(/ /g, "");
            this.setPaymentMethod.bind(this);
            if (cardnumber.length >= 6) {
                let bin = cardnumber.substring(0, 6);
                this.getPaymentMethod(bin);
            }
        };
        this.getPaymentMethod = (bin) => {
            let data_to_send = {
                public_key: this.public_key,
                marketplace: 'NONE',
                status: 'active',
                js_version: '1.3.1',
                bins: bin,
                referer: 'http://enzoshoes.easycommercetech.com'
            };
            this.connection.getOutsiderWithParams('https://api.mercadopago.com/v1/payment_methods/search', data_to_send).toPromise().then((res) => {
                //console.log('LA RESPUESTA DEL SEARCH PAYMENT METHOD: ', res);
                if (res && res.results && res.results.length) {
                    const payment_data = res.results.find(result => result.processing_mode == "gateway") || res.results[0];
                    if (payment_data.payment_type_id != "credit_card") {
                        this.toastr.show('Debe ingresar información de una tarjeta de credito');
                        return;
                    }
                    this.payment_method = payment_data.id;
                    this.issuer_id = payment_data.issuer.id;
                    payment_data.payer_costs.forEach(payerCost => {
                        this.installments.push(Object.assign(Object.assign({}, payerCost), { name: ('Cuotas: ' + payerCost.installments + ' - Total: ' + this.calculateTotal(payerCost)), value: payerCost.installments }));
                    });
                    this.installment_data = payment_data;
                }
                else {
                    this.toastr.show('El número de tarjeta ingresado no es valido');
                }
            }).catch(err => this.toastr.show('Hubo un error al obtener la información de la tarjeta. Verifique que los datos sean correctos.'));
        };
        this.setPaymentMethod = (status, response) => {
            //console.log('SE LLAMA AL SET PAYMENT', response);
            let paymentMethod = response[0];
            this.payment_method = paymentMethod.id;
            this.getIssuers.bind(this);
            this.getInstallments.bind(this);
            if (paymentMethod.additional_info_needed.includes("issuer_id")) {
                this.getIssuers(paymentMethod.id);
            }
            else {
                // this.issuer_id = response.issuer
                this.getInstallments(paymentMethod.id, this.total_amount);
            }
        };
        // Obtener banco emisor
        this.getIssuers = (paymentMethodId) => {
            this.restartInstallments();
            this.require_issuer = true;
            //console.log('SE LLAMA AL GET ISSUER');
            this.setIssuers.bind(this);
            Mercadopago.getIssuers(paymentMethodId, this.setIssuers);
        };
        this.setIssuers = (status, response) => {
            //console.log('SE LLAMA AL SET ISSUER', response);
            this.getInstallments.bind(this);
            if (status == 200) {
                response.forEach(issuer => {
                    this.issuers.push({ name: issuer.name, value: issuer.value });
                });
            }
            else {
                this.toastr.show('Error al obtener proveedores disponibles');
            }
        };
        // UTILS
        this.restartInstallments = () => {
            this.installments = [];
            this.installment_data = null;
            this.merchant_account_id = null;
            this.payment_method_option_id = null;
            this.issuer_id = null;
            this.payment_method_id = null;
        };
        this.selectIssuer = (value) => {
            this.issuer_id = value;
            this.getInstallments(this.payment_method, this.total_amount, this.issuer_id);
        };
        this.selectInstallment = (value) => {
            const cost = this.installments.find(installment_cost => installment_cost.value == value);
            this.installment = cost.value;
            this.merchant_account_id = this.installment_data.merchant_account_id;
            this.payment_method_option_id = cost.payment_method_option_id || (this.installment_data.agreements && this.installment_data.agreements[0].merchant_accounts[0].payment_method_option_id);
            this.issuer_id = this.installment_data.issuer.id;
            this.payment_method_id = this.installment_data.payment_method_id || this.installment_data.id;
            this.processing_mode = this.installment_data.processing_mode;
            //console.log('COMO QUEDAN: ', this.merchant_account_id, this.payment_method_option_id, this.issuer_id, this.payment_method_id, this.installment);
            // this.payme
        };
        // Obtener cantidad de cuotas
        this.getInstallments = (paymentMethodId, transactionAmount, issuerId) => {
            let payment = paymentMethodId || this.payment_method;
            let amount = transactionAmount || this.total_amount;
            //console.log('SE LLAMA AL GET INSTALLMENTS');
            this.setInstallments.bind(this);
            let data = {
                "payment_method_id": payment,
                "bin": this.bin.replace(/ /g, ""),
                "amount": parseFloat(amount),
                "issuer_id": issuerId ? parseInt(issuerId) : undefined
            };
            //console.log('LO QUE VA A MANDAR AL GET INSTALLMENTS');
            Mercadopago.getInstallments(data, this.setInstallments);
        };
        this.setInstallments = (status, response) => {
            //console.log('LA RESPUESTA DEL GET INSTALLMENTS', response);
            if (status == 200 && response.length) {
                this.installments = [];
                response[0].payer_costs.forEach(payerCost => {
                    this.installments.push(Object.assign(Object.assign({}, payerCost), { name: payerCost.recommended_message, value: payerCost.installments }));
                });
                this.installment_data = response[0];
            }
            else {
                // alert(`installments method info error: ${response}`);
                this.toastr.show('Hubo un error al obtener las cuotas disponibles. Vuelva a intentarlo más tarde');
            }
        };
        // Crea el token de la tarjeta
        this.getCardToken = (event) => {
            //console.log('SE LLAMA AL GET CARD TOKEN');
            event.preventDefault();
            if (!this.doSubmit) {
                let $form = document.getElementById('paymentForm');
                Mercadopago.createToken.bind(this)($form, this.setCardTokenAndPay);
                return false;
            }
        };
        this.setCardTokenAndPay = (status, response) => {
            //console.log('SE LLAMA AL SET CARD TOKEN AND PAY');
            if (status == 200 || status == 201) {
                let form = document.getElementById('paymentForm');
                let card = document.createElement('input');
                card.setAttribute('name', 'token');
                card.setAttribute('type', 'hidden');
                card.setAttribute('value', response.id);
                form.appendChild(card);
                this.token = response.id;
                this.doSubmit = true;
                // form.submit();
                // TERMINAR
                this.verifyValidate(response);
            }
            else {
                //console.log('EL RESPONSE: ', response);
                this.toastr.show(this.parseErrorMessage(status));
            }
        };
        // UTILS
        this.isInvalid = () => {
            const result = (!this.issuer_id ||
                !this.payment_method_id ||
                !this.payment_method_option_id ||
                (this.processing_mode == 'gateway' && !this.merchant_account_id) ||
                !this.installment ||
                !this.email ||
                !this.doc_type ||
                !this.doc_number ||
                this.allready_payed ||
                !this.code ||
                !this.month ||
                !this.year ||
                !this.cardholder);
            return result;
        };
        this.calculateTotal = (cost) => {
            let result = this.total_amount + ((this.total_amount * cost.installment_rate) / 100);
            result = parseFloat(result).toFixed(2);
            return result;
        };
        this.processResponse = (response) => {
            if (response.status !== 'rejected') {
                //console.log('SE PUDO EFECTUAR LA COMPRA');
                this.ready.emit('true');
                return;
            }
            this.processError(response);
        };
        this.processError = (response) => {
            this.allready_payed = false;
            if (response.status_detail) {
                switch (response.status_detail) {
                    case 'rejected':
                        this.toastr.show('Revisa el número de tarjeta.');
                        break;
                    case 'rejected':
                        this.toastr.show('Revisa la fecha de vencimiento.');
                        break;
                    case 'rejected':
                        this.toastr.show('Revisa los datos.');
                        break;
                    case 'rejected':
                        this.toastr.show('Revisa el código de seguridad de la tarjeta.');
                        break;
                    case 'rejected':
                        this.toastr.show('No pudimos procesar tu pago.');
                        break;
                    case 'rejected':
                        this.toastr.show('Debes autorizar ante payment_method_id el pago de amount.');
                        break;
                    case 'rejected':
                        this.toastr.show('Llama a payment_method_id para activar tu tarjeta o usa otro medio de pago. El teléfono está al dorso de tu tarjeta.');
                        break;
                    case 'rejected':
                        this.toastr.show('No pudimos procesar tu pago.');
                        break;
                    case 'rejected':
                        this.toastr.show('Ya hiciste un pago por ese valor. Si necesitas volver a pagar usa otra tarjeta u otro medio de pago.');
                        break;
                    case 'rejected':
                        this.toastr.show('Tu pago fue rechazado. Elige otro de los medios de pago, te recomendamos con medios en efectivo.');
                        break;
                    case 'rejected':
                        this.toastr.show('Tu payment_method_id no tiene fondos suficientes.');
                        break;
                    case 'rejected':
                        this.toastr.show('payment_method_id no procesa pagos en installments cuotas.');
                        break;
                    case 'rejected':
                        this.toastr.show('Llegaste al límite de intentos permitidos. Elige otra tarjeta u otro medio de pago.');
                        break;
                    case 'rejected':
                        this.toastr.show('payment_method_id no procesó el pago.');
                        break;
                }
                return;
            }
            this.toastr.show('Hubo un error al intentar realizar el pago. Vuelva a intentarlo más tarde');
        };
        this.parseErrorMessage = (status_code) => {
            switch (status_code) {
                case 205: return ('Ingresa el número de tu tarjeta.');
                case 208: return ('Elige un mes.');
                case 209: return ('Elige un año.');
                case 212: return ('Ingresa tu tipo de documento.');
                case 213: return ('Ingresa tu documento.');
                case 214: return ('Ingresa tu documento.');
                case 220: return ('Ingresa tu banco.');
                case 221: return ('Ingresa el nombre y apellido.');
                case 224: return ('Ingresa el código de seguridad.');
                case 316: return ('Ingresa un nombre válido.');
                case 322: return ('El tipo de documento es inválido.');
                case 323: return ('Revisa tu documento.');
                case 324: return ('El documento es inválido.');
                case 325: return ('El mes es inválido');
                case 326: return ('El año es inválido');
                default: return ('Verifique que los datos sean correctos.');
            }
        };
        this.getDescripcionCuota = (itemCuota) => {
            //console.log(itemCuota);
            return itemCuota.name;
        };
        this.ecOnConstruct();
    }
    ngOnInit() {
        //console.log('SHIPMENT DATA', this.user_data);
        var s = this.renderer.createElement("script");
        this.renderer.setAttribute(s, 'src', 'https://secure.mlstatic.com/sdk/javascript/v1/mercadopago.js');
        this.renderer.appendChild(document.body, s);
        setTimeout(() => {
            Mercadopago.setPublishableKey(this.public_key);
        }, 1000);
        this.ecOnInit();
    }
};
MPCreditEcComponent.ctorParameters = () => [
    { type: Renderer2 },
    { type: ConnectionService },
    { type: Constants },
    { type: CartService },
    { type: ToastService }
];
__decorate$1d([
    Input()
], MPCreditEcComponent.prototype, "public_key", void 0);
__decorate$1d([
    Input()
], MPCreditEcComponent.prototype, "total_amount", void 0);
__decorate$1d([
    Output()
], MPCreditEcComponent.prototype, "ready", void 0);
__decorate$1d([
    Input()
], MPCreditEcComponent.prototype, "user_data", void 0);
MPCreditEcComponent = __decorate$1d([
    Component({
        selector: '[app-mp-credit-ec]',
        template: "<h3 class=\"text-center\">Detalles del pago</h3>\n<div *ngIf=\"!consts.mobile()\">\n    <div class=\"card-wrapper m-3\"></div>\n</div>\n<form (submit)=\"getCardToken($event)\" method=\"post\" card container=\".card-wrapper\"\n    card-width=\"{{ consts.mobile() ? '100': '350' }}\">\n\n    <div class=\"row\">\n        <div class=\"form-group col-12 col-md-6\">\n            <label for=\"emailForm\">Correo electronico</label>\n            <input class=\"form-control\" id=\"emailForm\" name=\"emailForm\" type=\"email\" [(ngModel)]=\"email\">\n        </div>\n        <div class=\"form-group col-12 col-md-2\">\n            <label for=\"docTypeForm\">Tipo Doc.</label>\n            <select class=\"form-control\" id=\"docTypeForm\" name=\"docTypeForm\" type=\"text\" [(ngModel)]=\"doc_type\">\n                <option selected value=\"DNI\">DNI</option>\n                <option value=\"CUIT\">CUIT</option>\n            </select>\n        </div>\n        <div class=\"form-group col-12 col-md-4\">\n            <label for=\"docNumberForm\">N\u00FAmero Doc.</label>\n            <input class=\"form-control\" id=\"docNumberForm\" name=\"docNumberForm\" type=\"text\" [(ngModel)]=\"doc_number\" />\n        </div>\n    </div>\n    <div class=\"row\">\n        <div class=\"form-group col-12\">\n            <label for=\"cardholderNameForm\">Titular (como figura en la tarjeta)</label>\n            <input class=\"form-control\" id=\"cardholderNameForm\" data-checkout=\"cardholderName\" type=\"text\"\n                [(ngModel)]=\"cardholder\" [ngModelOptions]=\"{standalone: true}\" name=\"first-name\" autocomplete=\"off\"\n                card-name>\n        </div>\n    </div>\n    <div class=\"row\">\n        <div class=\"form-group col-12 col-md-7\">\n            <label for=\"cardNumberForm\">N\u00FAmero de la tarjeta</label>\n            <input class=\"form-control\" type=\"text\" id=\"cardNumberForm\" (change)=\"cardNumberChange($event)\"\n                [(ngModel)]=\"bin\" [ngModelOptions]=\"{standalone: true}\" onselectstart=\"return false\"\n                onpaste=\"return false\" oncopy=\"return false\" oncut=\"return false\" ondrag=\"return false\"\n                ondrop=\"return false\" autocomplete=\"off\" card-number>\n        </div>\n        <div class=\"form-group col-12 col-md-3\">\n            <label for=\"securityCodeForm\">C\u00F3digo de seguridad</label>\n            <input class=\"form-control\" id=\"securityCodeForm\" type=\"text\" name=\"cvc\" onselectstart=\"return false\"\n                onpaste=\"return false\" oncopy=\"return false\" oncut=\"return false\" ondrag=\"return false\"\n                ondrop=\"return false\" autocomplete=\"off\" card-cvc [(ngModel)]=\"code\"\n                [ngModelOptions]=\"{standalone: true}\">\n        </div>\n        <div class=\"form-group col-12 col-md-2\">\n            <label for=\"expiryForm\">Expiraci\u00F3n</label>\n            <input type=\"text\" class=\"form-control\" id=\"expiryForm\" name=\"expiry\" placeholder=\"MM/YY\" maxlength=\"5\"\n                (keyup)=\"expiryOnKey($event)\" (change)=\"expiryChange($event)\" onselectstart=\"return false\"\n                onpaste=\"return false\" oncopy=\"return false\" oncut=\"return false\" ondrag=\"return false\"\n                ondrop=\"return false\" autocomplete=\"off\" card-expiry />\n        </div>\n    </div>\n    <div class=\"row justify-content-md-center\">\n        <div class=\"form-group col-12 col-md-6\" id=\"issuerInput\" *ngIf=\"require_issuer\">\n            <label for=\"issuerForm\">Banco emisor</label>\n            <select class=\"form-control\" id=\"issuerForm\" name=\"issuer\" autocomplete=\"off\" data-checkout=\"issuer\"\n                (change)=\"selectIssuer($event.target.value)\">\n                <option selected>Seleccione el banco</option>\n                <option *ngFor=\"let issuer of issuers\" [value]=\"issuer.value\">{{ issuer.name }}</option>\n            </select>\n        </div>\n        <div class=\"form-group col-12 col-md-6\">\n            <label for=\"installmentsForm\">Cuotas</label>\n            <select class=\"form-control\" type=\"text\" id=\"installmentsForm\" name=\"installments\"\n                (change)=\"selectInstallment($event.target.value)\">\n                <option selected>Seleccione el n\u00FAmero de cuotas</option>\n                <option *ngFor=\"let cost of installments\" [value]=\"cost.value\">{{ getDescripcionCuota(cost) }}\n                </option>\n            </select>\n        </div>\n    </div>\n    <div hidden>\n        <input class=\"form-control\" name=\"transactionAmountt\" id=\"transactionAmountt\" [value]=\"total_amount\" />\n        <input class=\"form-control\" name=\"paymentMethodIdd\" id=\"paymentMethodIdd\" [value]=\"payment_method\" />\n        <input class=\"form-control\" name=\"descriptionn\" id=\"descriptionn\" />\n    </div>\n    <div class=\"row justify-content-md-center\">\n        <div class=\"col-md-auto\">\n            <div class=\"checkout-btn-unique\">\n                <button type=\"submit\" *ngIf=\"!isInvalid()\" class=\"btn valid-btn\">Pagar</button>\n            </div>\n        </div>\n    </div>\n\n</form>\n\n\n\n\n<form (submit)=\"getCardToken($event)\" hidden method=\"post\" id=\"paymentForm\">\n\n    <h3>Detalles del pago</h3>\n    <div class=\"row\">\n        <div class=\"form-group col-12 col-md-4\">\n            <label for=\"email\">Correo electronico</label>\n            <input class=\"form-control\" id=\"email\" name=\"email\" type=\"email\" [(ngModel)]=\"email\">\n        </div>\n        <div class=\"form-group col-12 col-md-4\">\n            <label for=\"docType\">Tipo de documento</label>\n            <select class=\"form-control\" id=\"docType\" name=\"docType\" data-checkout=\"docType\" type=\"text\"\n                [(ngModel)]=\"doc_type\">\n                <option selected value=\"DNI\">DNI</option>\n                <option value=\"CUIT\">CUIT</option>\n            </select>\n        </div>\n        <div class=\"form-group col-12 col-md-4\">\n            <label for=\"docNumber\">N\u00FAmero de documento</label>\n            <input class=\"form-control\" id=\"docNumber\" name=\"docNumber\" data-checkout=\"docNumber\" type=\"text\"\n                [(ngModel)]=\"doc_number\" />\n        </div>\n    </div>\n    <div class=\"row\">\n        <div class=\"form-group col-12 col-md-6\">\n            <label for=\"cardholderName\">Titular (como figura en la tarjeta)</label>\n            <input class=\"form-control\" id=\"cardholderName\" data-checkout=\"cardholderName\" type=\"text\"\n                [(ngModel)]=\"cardholder\" [ngModelOptions]=\"{standalone: true}\" autocomplete=\"off\">\n        </div>\n        <div class=\"form-group col-12 col-md-6\">\n            <label for=\"date\">Fecha de vencimiento</label>\n            <div id=\"date\">\n                <div class=\"\">\n                    <input class=\"form-control col-xs-6 col-md-6 half-width\" type=\"text\" placeholder=\"MM\"\n                        [(ngModel)]=\"month\" [ngModelOptions]=\"{standalone: true}\" id=\"cardExpirationMonth\"\n                        data-checkout=\"cardExpirationMonth\" onselectstart=\"return false\" onpaste=\"return false\"\n                        oncopy=\"return false\" oncut=\"return false\" ondrag=\"return false\" ondrop=\"return false\"\n                        autocomplete=\"off\">\n                    <input class=\"form-control col-xs-6 col-md-6 half-width ml-1\" type=\"text\" placeholder=\"YY\"\n                        [(ngModel)]=\"year\" [ngModelOptions]=\"{standalone: true}\" id=\"cardExpirationYear\"\n                        data-checkout=\"cardExpirationYear\" onselectstart=\"return false\" onpaste=\"return false\"\n                        oncopy=\"return false\" oncut=\"return false\" ondrag=\"return false\" ondrop=\"return false\"\n                        autocomplete=\"off\">\n                </div>\n            </div>\n        </div>\n    </div>\n    <div class=\"row\">\n        <div class=\"form-group col-12 col-md-9\">\n            <label for=\"cardNumber\">N\u00FAmero de la tarjeta</label>\n            <input class=\"form-control\" type=\"text\" id=\"cardNumber\" (change)=\"cardNumberChange($event)\"\n                [(ngModel)]=\"bin\" [ngModelOptions]=\"{standalone: true}\" data-checkout=\"cardNumber\"\n                onselectstart=\"return false\" oncopy=\"return false\" oncut=\"return false\" ondrag=\"return false\"\n                ondrop=\"return false\" autocomplete=\"off\">\n        </div>\n        <div class=\"form-group col-12 col-md-3\">\n            <label for=\"securityCode\">C\u00F3digo de seguridad</label>\n            <input class=\"form-control\" id=\"securityCode\" data-checkout=\"securityCode\" type=\"text\" [(ngModel)]=\"code\"\n                [ngModelOptions]=\"{standalone: true}\" onselectstart=\"return false\" onpaste=\"return false\"\n                oncopy=\"return false\" oncut=\"return false\" ondrag=\"return false\" ondrop=\"return false\"\n                autocomplete=\"off\">\n        </div>\n    </div>\n    <div class=\"row\">\n        <div class=\"form-group col-12 col-md-6\" id=\"issuerInput\" *ngIf=\"require_issuer\">\n            <label for=\"issuer\">Banco emisor</label>\n            <select class=\"form-control\" id=\"issuer\" name=\"issuer\" autocomplete=\"off\" data-checkout=\"issuer\"\n                (change)=\"selectIssuer($event.target.value)\">\n                <option selected>Seleccione el banco</option>\n                <option *ngFor=\"let issuer of issuers\" [value]=\"issuer.value\">{{ issuer.name }}</option>\n            </select>\n        </div>\n        <div class=\"form-group col-12 col-md-6\">\n            <label for=\"installments\">Cuotas</label>\n            <select class=\"form-control\" type=\"text\" id=\"installments\" name=\"installments\"\n                (change)=\"selectInstallment($event.target.value)\">\n                <option selected>Seleccione el n\u00FAmero de cuotas</option>\n                <option *ngFor=\"let cost of installments\" [value]=\"cost.value\">{{ cost.name }}\n                </option>\n            </select>\n        </div>\n    </div>\n    <div hidden>\n        <input class=\"form-control\" name=\"transactionAmount\" id=\"transactionAmount\" [value]=\"total_amount\" />\n        <input class=\"form-control\" name=\"paymentMethodId\" id=\"paymentMethodId\" [value]=\"payment_method\" />\n        <input class=\"form-control\" name=\"description\" id=\"description\" />\n    </div>\n    <div class=\"checkout-btn-unique\">\n        <button type=\"submit\" *ngIf=\"!isInvalid()\" class=\"btn valid-btn\">Pagar</button>\n    </div>\n</form>",
        styles: [".half-width{width:49%!important}.ml-1{margin-left:1%}"]
    })
], MPCreditEcComponent);

var __decorate$1e = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let PriceEcComponent = class PriceEcComponent extends ComponentHelper {
    constructor(productsService) {
        super();
        this.productsService = productsService;
        this.priceSize = true;
        this.ecOnConstruct();
    }
    ngOnInit() {
        this.ecOnInit();
    }
};
PriceEcComponent.ctorParameters = () => [
    { type: ProductsService }
];
__decorate$1e([
    Input()
], PriceEcComponent.prototype, "price", void 0);
__decorate$1e([
    Input()
], PriceEcComponent.prototype, "saleprice", void 0);
__decorate$1e([
    Input()
], PriceEcComponent.prototype, "priceSize", void 0);
__decorate$1e([
    Input()
], PriceEcComponent.prototype, "classStrSpacing", void 0);
PriceEcComponent = __decorate$1e([
    Component({
        selector: 'app-price-ec',
        template: "<div *ngIf=\"saleprice; else onlyprice\" class=\"line-height-custom\">\n     <div [class]=\"(priceSize ? 'price-sm':'price')\" *ngIf=\"price && price.split(' - ').length > 1; else simplePriceDel\">\n          <del class=\"tachado\">\n              {{ price.split(' - ')[0] | currency:productsService?.currency:'symbol' }}\n              {{ price.split(' - ')[1] | currency:productsService?.currency:'symbol' }}\n          </del>\n     </div>\n     <div [class]=\"(priceSize ? 'price-sm':'price')\" *ngIf=\"saleprice && saleprice.split(' - ').length > 1; else simpleSalePrice\">\n          {{ saleprice.split(' - ')[0] | currency:productsService?.currency:'symbol' }}\n          {{ saleprice.split(' - ')[1] | currency:productsService?.currency:'symbol' }}\n     </div>\n</div>\n\n<ng-template #onlyprice>\n     <div [class]=\"(priceSize ? 'price-sm':'price')\" *ngIf=\"price && price.split(' - ').length > 1; else simplePrice\">\n         {{ price.split(' - ')[0] | currency:productsService?.currency:'symbol' }} - \n         {{ price.split(' - ')[1] | currency:productsService?.currency:'symbol' }}\n     </div>\n</ng-template>\n\n<ng-template #simplePrice>\n     <div  [class]=\"'uno line-height-custom ' + (priceSize ? 'price-sm':'price')\" >{{ price | currency:productsService?.currency:'symbol' }}  </div>\n</ng-template>\n\n<ng-template #simplePriceDel>\n     <div  [class]=\"'dos line-height-custom ' + (priceSize ? 'price-sm':'price')\" ><span class=\"lnth\">{{ price | currency:productsService?.currency:'symbol' }}</span></div>\n</ng-template>\n\n<ng-template #simpleSalePrice>\n     <div [class]=\"'tres line-height-custom ' + (priceSize ? 'price-sm':'price')\" >{{ saleprice | currency:productsService?.currency:'symbol' }} </div>\n</ng-template>",
        styles: [".price-sm{font-size:13px}.price{font-size:18px}.lnth{text-decoration:line-through;color:gray}"]
    })
], PriceEcComponent);

var __decorate$1f = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let RedsysCatchEcComponent = class RedsysCatchEcComponent extends ComponentHelper {
    constructor(activedRoute, router, checkoutService) {
        super();
        this.activedRoute = activedRoute;
        this.router = router;
        this.checkoutService = checkoutService;
        this.message = '';
        this.setStateInLocal = (mensaje, state) => {
            this.message = mensaje;
            localStorage.setItem('state', state);
            sessionStorage.setItem('modalnews', 'false');
        };
        this.setStateInSesion = (mensaje, state) => {
            this.message = mensaje;
            sessionStorage.setItem('state', state);
            localStorage.setItem('state', state);
            sessionStorage.setItem('modalnews', 'false');
        };
        $("header").hide();
        $("footer").hide();
        this.ecOnConstruct();
    }
    ngOnInit() {
        let state;
        combineLatest([this.activedRoute.params, this.activedRoute.queryParams]).subscribe(([queryRouter, queryParams]) => {
            state = queryRouter.state;
            state && state == 'statuspayment' && (state = queryParams.status);
            console.log('PARAMETROS STATE  -> ', state);
            switch (state) {
                case '200':
                    state = 'success';
                    this.setStateInLocal('Su pago fue procesado con éxito.', state);
                    break;
                case 'success':
                    this.setStateInLocal('Su pago fue procesado con éxito.', state);
                    break;
                case 'pending':
                    this.setStateInLocal('Su pago fue procesado con éxito.', state);
                    break;
                case 'failure':
                    this.setStateInLocal('Se ha cancelado el proceso de pago.', state);
                    break;
                case 'cancel':
                    this.setStateInLocal('Se ha cancelado el proceso de pago.', state);
                    break;
                case 'ok':
                    this.setStateInSesion('Su pago fue procesado con éxito.', state);
                    break;
                case 'challenge':
                    this.setStateInSesion('Redirigiendo a autenticación del banco emisor.', state);
                    break;
                case 'error':
                    this.setStateInSesion('Algo no salio bien en la validación de sus datos.', state);
                    break;
                case '0':
                    state = 'failure';
                    this.setStateInLocal('Se ha cancelado el proceso de pago.', state);
                    break;
                default:
                    break;
            }
        });
        this.ecOnInit();
    }
};
RedsysCatchEcComponent.ctorParameters = () => [
    { type: ActivatedRoute },
    { type: Router },
    { type: CheckoutService }
];
RedsysCatchEcComponent = __decorate$1f([
    Component({
        selector: 'app-redsys-catch-ec',
        template: "<div id=\"container\">\n    <div class=\"row\">\n        <div class=\"col align-self-center\">\n            <h4 class=\"titpage center-block text-center font-nexa font-lg my-3\">{{ message | uppercase }}</h4>\n        </div>\n    </div>\n    <div class=\"row\">\n        <div class=\"col align-self-center\">\n            <h5 class=\"center-block text-center font-nexa my-3\">Redirigiendo en segundos...</h5>\n            <br>\n            <div class=\"d-flex flex-column jusitfy-content-center align-items-center\">\n                <app-loading-full-ec></app-loading-full-ec>\n            </div>\n        </div>\n    </div>\n</div>",
        styles: [".loader{border:16px solid #f3f3f3;border-top:16px solid #dc3545;border-radius:50%;width:50px;height:50px;-webkit-animation:2s linear infinite spin;animation:2s linear infinite spin}@-webkit-keyframes spin{0%{transform:rotate(0)}100%{transform:rotate(360deg)}}@keyframes spin{0%{transform:rotate(0)}100%{transform:rotate(360deg)}}.flex-container{display:flex;justify-content:center;align-items:center;height:80vh;width:100%}.flex-container>div{width:90%;height:100px}"]
    })
], RedsysCatchEcComponent);

var __decorate$1g = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __param$a = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
/** @dynamic */
let RedSysProEcComponent = class RedSysProEcComponent extends ComponentHelper {
    constructor(renderer, connection, toastrService, consts, cartService, toastr, document, activedRoute, modalService) {
        super();
        this.renderer = renderer;
        this.connection = connection;
        this.toastrService = toastrService;
        this.consts = consts;
        this.cartService = cartService;
        this.toastr = toastr;
        this.document = document;
        this.activedRoute = activedRoute;
        this.modalService = modalService;
        this.total_amount = 0;
        this.ready = new EventEmitter();
        this.intentoRequest = false;
        this.loading = true;
        this.isDobleAuth = false;
        this.urls = [];
        this.closeModal = '';
        this.finishApi = () => this.consts.getUrlBase() + 'shop-api/' + this.consts.getChannel() + '/redsys/' + this.cartService.cart_token + '/process-payment';
        this.challengeApi = () => this.consts.getUrlBase() + 'shop-api/' + this.consts.getChannel() + '/redsys/3ds-challenge';
        this.merchantOrder = () => this.consts.getUrlBase() + 'shop-api/' + this.consts.getChannel() + '/redsys/' + this.cartService.cart_token + '/ds-merchant-order';
        this.clearStorageState = () => {
            sessionStorage.removeItem('state');
            localStorage.removeItem('state');
        };
        this.clickClose = () => {
            this.closeModal = 'cancel';
            this.modalRef.hide();
            this.processError('Se cancelo el pago con tarjeta');
        };
        this.callState = () => {
            let state = this.closeModal != '' ? this.closeModal : sessionStorage.getItem('state');
            console.log(state);
            if (state && state != 'challenge') {
                sessionStorage.removeItem('state');
                if (state == 'ok') {
                    this.modalRef.hide();
                    this.ready.emit(true);
                    return;
                }
                if (state == 'menosuno') {
                    this.modalRef.hide();
                    this.processError('');
                    return;
                }
                if (state == 'cancel') {
                    return;
                }
                this.modalRef.hide();
                this.processError('');
                return;
            }
            setTimeout(() => {
                this.callState();
            }, 6000);
        };
        this.processError = (err) => {
            this.toastrService.show(err != '' ? err : 'payment-error');
            console.log("ERROR ENVIO BACK  ", err);
        };
        this.ecOnConstruct();
    }
    ngOnInit() {
        this.ecOnInit();
    }
    ngOnDestroy() {
        console.log("SE DESTROZA");
    }
    ngOnChanges() {
        console.log("SE CAMBIO");
    }
    openModal(template) {
        this.clearStorageState();
        sessionStorage.setItem('method', JSON.stringify(this.method));
        sessionStorage.setItem('user_data', JSON.stringify(this.user_data));
        sessionStorage.setItem('finishApi', this.finishApi());
        sessionStorage.setItem('challengeApi', this.challengeApi());
        sessionStorage.setItem('merchantOrder', this.merchantOrder());
        this.modalRef = this.modalService.show(template, { class: 'modal-lg modal-dialog-centered ', keyboard: false, backdrop: 'static', animated: true });
        this.closeModal = '';
        this.callState();
    }
};
RedSysProEcComponent.ctorParameters = () => [
    { type: Renderer2 },
    { type: ConnectionService },
    { type: ToastService },
    { type: Constants },
    { type: CartService },
    { type: ToastService },
    { type: Document, decorators: [{ type: Inject, args: [DOCUMENT,] }] },
    { type: ActivatedRoute },
    { type: BsModalService }
];
__decorate$1g([
    Input()
], RedSysProEcComponent.prototype, "method", void 0);
__decorate$1g([
    Input()
], RedSysProEcComponent.prototype, "total_amount", void 0);
__decorate$1g([
    Output()
], RedSysProEcComponent.prototype, "ready", void 0);
__decorate$1g([
    Input()
], RedSysProEcComponent.prototype, "user_data", void 0);
__decorate$1g([
    ViewChild('formDobleAuthContainer')
], RedSysProEcComponent.prototype, "formDobleAuth", void 0);
__decorate$1g([
    ViewChild('template')
], RedSysProEcComponent.prototype, "template", void 0);
RedSysProEcComponent = __decorate$1g([
    Component({
        selector: 'app-redsys-pro-ec',
        template: "<div class=\"text-center\">\n    <h3>Continuar con el pago</h3>\n    <button class=\"btn btn-outline-secondary rounded-0 comprar\" (click)=\"openModal(template)\">Pagar con tarjeta</button>\n</div>\n\n\n<ng-template #template>\n    <div class=\"modal-content\">\n        <div class=\"modal-header\">\n            <button type=\"button\" class=\"close pull-right\" aria-label=\"Close\" (click)=\"clickClose()\">\n                <span aria-hidden=\"true\">&times;</span>\n            </button>\n        </div>\n    </div>\n\n    <div class=\"modal-body\">\n        <iframe  src=\"../../../assets/redsysProBase.html\" frameborder=\"0\" class=\"iframeStyle\"></iframe>\n    </div>\n    \n</ng-template>\n",
        providers: [BsModalService],
        styles: [".half-width{width:49%!important}.ml-1{margin-left:1%}#card-form{height:450px}.iframeStyle{height:800px;width:100%;max-height:800px}"]
    }),
    __param$a(6, Inject(DOCUMENT))
], RedSysProEcComponent);

var __decorate$1h = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let RedSysRedirectEcComponent = class RedSysRedirectEcComponent extends ComponentHelper {
    constructor(renderer, connection, toastrService, consts, cartService, toastr, activedRoute, modalService) {
        super();
        this.renderer = renderer;
        this.connection = connection;
        this.toastrService = toastrService;
        this.consts = consts;
        this.cartService = cartService;
        this.toastr = toastr;
        this.activedRoute = activedRoute;
        this.modalService = modalService;
        this.method = null;
        this.total_amount = 0;
        this.ready = new EventEmitter();
        this.user_data = null;
        this.loading = true;
        this.isDobleAuth = false;
        this.urls = [];
        this.closeModal = '';
        this.dataRedirect = () => this.consts.getUrlBase() + 'shop-api/' + this.consts.getChannel() + '/redsys/redirect/' + this.cartService.cart_token + '/process-payment';
        this.clearStorageState = () => {
            sessionStorage.removeItem('state');
            localStorage.removeItem('state');
        };
        this.clickClose = () => {
            this.closeModal = 'cancel';
            this.modalRef.hide();
            this.processError('Se cancelo el pago con tarjeta');
        };
        this.callState = () => {
            let state = this.closeModal != '' ? this.closeModal : sessionStorage.getItem('state');
            console.log(state);
            if (state) {
                sessionStorage.removeItem('state');
                localStorage.removeItem('state');
                if (state == 'ok') {
                    this.modalRef.hide();
                    this.ready.emit(true);
                    return;
                }
                if (state == 'menosuno') {
                    this.modalRef.hide();
                    this.processError('');
                    return;
                }
                if (state == 'cancel') {
                    return;
                }
                this.modalRef.hide();
                this.processError('');
                return;
            }
            setTimeout(() => {
                this.callState();
            }, 6000);
        };
        this.processError = (err) => {
            this.toastrService.show(err != '' ? err : 'payment-error');
            console.log("ERROR ENVIO BACK  ", err);
        };
        this.ecOnConstruct();
    }
    ngOnInit() {
        this.ecOnInit();
    }
    ngOnDestroy() {
        console.log("SE DESTROZA");
    }
    ngOnChanges() {
        console.log("SE CAMBIO");
    }
    openModal(template) {
        this.clearStorageState();
        sessionStorage.setItem('dataRedirect', this.dataRedirect());
        this.modalRef = this.modalService.show(template, { class: 'modal-lg modal-dialog-centered ', keyboard: false, backdrop: 'static', animated: true });
        this.closeModal = '';
        this.callState();
    }
};
RedSysRedirectEcComponent.ctorParameters = () => [
    { type: Renderer2 },
    { type: ConnectionService },
    { type: ToastService },
    { type: Constants },
    { type: CartService },
    { type: ToastService },
    { type: ActivatedRoute },
    { type: BsModalService }
];
__decorate$1h([
    Input()
], RedSysRedirectEcComponent.prototype, "method", void 0);
__decorate$1h([
    Input()
], RedSysRedirectEcComponent.prototype, "total_amount", void 0);
__decorate$1h([
    Output()
], RedSysRedirectEcComponent.prototype, "ready", void 0);
__decorate$1h([
    Input()
], RedSysRedirectEcComponent.prototype, "user_data", void 0);
__decorate$1h([
    ViewChild('template')
], RedSysRedirectEcComponent.prototype, "template", void 0);
RedSysRedirectEcComponent = __decorate$1h([
    Component({
        selector: 'app-redsys-redirect-ec',
        template: "<div class=\"text-center\">\n    <h3>Continuar con el pago</h3>\n    <p *ngIf=\"method\" class=\"px-5\">{{ method?.description }}</p>\n    <p *ngIf=\"method\" class=\"px-5\">{{ method?.instructions }}</p>\n    <button class=\"btn btn-outline-secondary comprar\" (click)=\"openModal(template)\">Pagar con tarjeta</button>\n</div>\n\n<ng-template #template>\n    <div class=\"modal-content\">\n    </div>\n    <div class=\"modal-body\">\n        <iframe src=\"../../../assets/redsysFrameRedirectBase.html\" frameborder=\"0\" class=\"iframeStyle\"></iframe>\n    </div>\n    \n</ng-template>",
        providers: [BsModalService],
        styles: [".half-width{width:49%!important}.ml-1{margin-left:1%}#card-form{height:450px}.iframeStyle{height:800px;width:100%;max-height:800px}"]
    })
], RedSysRedirectEcComponent);

var __decorate$1i = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let CecaRedirectEcComponent = class CecaRedirectEcComponent extends ComponentHelper {
    constructor(renderer, connection, toastrService, consts, cartService, toastr, activedRoute, modalService) {
        super();
        this.renderer = renderer;
        this.connection = connection;
        this.toastrService = toastrService;
        this.consts = consts;
        this.cartService = cartService;
        this.toastr = toastr;
        this.activedRoute = activedRoute;
        this.modalService = modalService;
        this.method = null;
        this.total_amount = 0;
        this.ready = new EventEmitter();
        this.user_data = null;
        this.loading = true;
        this.isDobleAuth = false;
        this.urls = [];
        this.closeModal = '';
        this.dataRedirect = () => this.consts.getUrlBase() + 'shop-api/' + this.consts.getChannel() + '/cecabank/redirect/' + this.cartService.cart_token + '/process-payment';
        this.clearStorageState = () => {
            sessionStorage.removeItem('state');
            localStorage.removeItem('state');
        };
        this.clickClose = () => {
            this.closeModal = 'cancel';
            this.modalRef.hide();
            this.processError('Se cancelo el pago con tarjeta');
        };
        this.callState = () => {
            let state = this.closeModal != '' ? this.closeModal : localStorage.getItem('state');
            console.log(state);
            if (state) {
                localStorage.removeItem('state');
                if (state == 'success') {
                    this.modalRef.hide();
                    this.ready.emit(true);
                    return;
                }
                if (state == 'pending') {
                    this.modalRef.hide();
                    this.ready.emit(true);
                    return;
                }
                if (state == 'failure') {
                    this.modalRef.hide();
                    this.processError('');
                    return;
                }
                if (state == 'cancel') {
                    this.processError('Se cancelo el pago');
                    return;
                }
                this.modalRef.hide();
                this.processError('');
                return;
            }
            setTimeout(() => {
                this.callState();
            }, 6000);
        };
        this.processError = (err) => {
            this.toastrService.show(err != '' ? err : 'payment-error');
            console.log("ERROR ENVIO BACK  ", err);
        };
        this.ecOnConstruct();
    }
    ngOnInit() {
        this.ecOnInit();
    }
    ngOnDestroy() {
        console.log("SE DESTROZA");
    }
    ngOnChanges() {
        console.log("SE CAMBIO");
    }
    openModal(template) {
        this.clearStorageState();
        localStorage.setItem('dataRedirect', this.dataRedirect());
        this.modalRef = this.modalService.show(template, { class: 'modal-lg modal-dialog-centered ', keyboard: false, backdrop: 'static', animated: true });
        this.closeModal = '';
        this.callState();
    }
};
CecaRedirectEcComponent.ctorParameters = () => [
    { type: Renderer2 },
    { type: ConnectionService },
    { type: ToastService },
    { type: Constants },
    { type: CartService },
    { type: ToastService },
    { type: ActivatedRoute },
    { type: BsModalService }
];
__decorate$1i([
    Input()
], CecaRedirectEcComponent.prototype, "method", void 0);
__decorate$1i([
    Input()
], CecaRedirectEcComponent.prototype, "total_amount", void 0);
__decorate$1i([
    Output()
], CecaRedirectEcComponent.prototype, "ready", void 0);
__decorate$1i([
    Input()
], CecaRedirectEcComponent.prototype, "user_data", void 0);
__decorate$1i([
    ViewChild('template')
], CecaRedirectEcComponent.prototype, "template", void 0);
CecaRedirectEcComponent = __decorate$1i([
    Component({
        selector: 'app-ceca-redirect-ec',
        template: "<div class=\"text-center\">\n    <p *ngIf=\"method\" class=\"px-5\">{{ method?.description }}</p>\n    <p *ngIf=\"method\" class=\"px-5\">{{ method?.instructions }}</p>\n    <button class=\"btn btn-outline-secondary comprar\" (click)=\"openModal(template)\">Pagar con cecabank</button>\n</div>\n\n<ng-template #template>\n    <div class=\"modal-content\">\n    </div>\n    <div class=\"modal-body\">\n        <iframe src=\"../../../assets/cecaFrameRedirectBase.html\" frameborder=\"0\" class=\"iframeStyle\"></iframe>\n    </div>\n    \n</ng-template>",
        providers: [BsModalService],
        styles: [".half-width{width:49%!important}.ml-1{margin-left:1%}#card-form{height:450px}.iframeStyle{height:800px;width:100%;max-height:800px}"]
    })
], CecaRedirectEcComponent);

var __decorate$1j = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
// import { OwlOptions } from 'projects/ng-easycommerce/src/lib/ec-component/product-detail-ec/node_modules/projects/ng-easycommerce/src/lib/ec-component/home-ec/node_modules/ngx-owl-carousel-o';
let OrdersEcComponent = class OrdersEcComponent extends ComponentHelper {
    constructor(ordersService, router, consts) {
        super();
        this.ordersService = ordersService;
        this.router = router;
        this.consts = consts;
        this.loading = true;
        this.showImage = true;
        /**
         * @description name -> nombre de clave de valuesToSort; asc -> true: ascendente, false: descendente
         */
        this.currentSort = { name: '', asc: true };
        /**
         * @description true -> ordena de forma ascendente | false -> ordena de forma decreciente
         */
        this.valuesToSort = {
            number: { asc: true, attribute: 'number' },
            paymentState: { asc: true, attribute: 'state' },
            method: { asc: true, attribute: 'method', subAttribute: 'name' },
            methodState: { asc: true, attribute: 'state' },
            date: { asc: true, attribute: 'checkoutCompletedAt' },
            total: { asc: true, attribute: 'total' }
        };
        this.sortedByNewest = orders => orders && orders.length && orders.sort((anOrder, otherOrder) => anOrder.number > otherOrder.number ? -1 : 1);
        this.goToOrder = (order) => {
            this.ordersService.setSelectedOrder(order);
            this.router.navigateByUrl((`account/orders/${order.number}`));
        };
        this.toDate = (date, format) => moment(date).format(!format && 'DD/MM/YYYY, h:mm:ss a' || format);
        this.optionsBox = {
            loop: true,
            autoplay: true,
            smartSpeed: 950,
            margin: 10,
            dots: false,
            dotsData: false,
            navText: ["", ""],
            responsive: {
                0: {
                    items: 1,
                },
                600: {
                    items: 1,
                },
                1000: {
                    items: 1,
                }
            }
        };
        /**
        * @description Ordena la lista de ordenes
        * @param value recibe una valor que debe coincidir con las claves de la variable valuesToSort
        */
        this.sortOrders = value => {
            this.sortValue = value;
            this.setCurrentSort(this.sortValue, this.valuesToSort[this.sortValue].asc);
            const comparator = (this.valuesToSort[this.sortValue].asc)
                ? [-1, 1]
                : [1, -1];
            this.valuesToSort[this.sortValue].asc = !this.valuesToSort[this.sortValue].asc;
            let typeValue;
            if (this.orders.length > 0) {
                typeValue = typeof (this.orders[0]);
            }
            let sortFunction = this.getSortFunction(this.sortValue);
            this.orders =
                this.sortValue
                    ? this.orders.sort((aOrders, otherOrders) => sortFunction(aOrders, otherOrders, this.valuesToSort[this.sortValue], comparator))
                    : this.orders;
        };
        /**
         * @description retorna la funcion que se debe utilizar para el sort del arreglo
         * @param value parametro que indica el tipo de funcion que debe retornar
         * @returns funcion para utilizar en la busqueda
         */
        this.getSortFunction = (value) => {
            switch (value) {
                case 'paymentState':
                    return this.sortPaymentState;
                case 'method':
                    return this.sortShipments;
                case 'methodState':
                    return this.sortShipments;
                case 'total':
                    return this.sortNumber;
                default:
                    return this.sortText;
            }
        };
        /* Funciones para ordernar */
        this.sortPaymentState = (aOrders, otherOrders, data, comparator) => {
            return (aOrders.payments[0][data.attribute] == otherOrders.payments[0][data.attribute])
                ? this.tieBreaker(aOrders, otherOrders, comparator)
                : String(aOrders.payments[0][data.attribute]).toLowerCase() < String(otherOrders.payments[0][data.attribute]).toLowerCase() ? comparator[0] : comparator[1];
        };
        this.sortShipments = (aOrders, otherOrders, data, comparator) => {
            if (data.subAttribute) {
                return (aOrders.shipments[0][data.attribute][data.subAttribute] == otherOrders.shipments[0][data.attribute][data.subAttribute])
                    ? this.tieBreaker(aOrders, otherOrders, comparator)
                    : String(aOrders.shipments[0][data.attribute][data.subAttribute]).toLowerCase() < String(otherOrders.shipments[0][data.attribute][data.subAttribute]).toLowerCase() ? comparator[0] : comparator[1];
            }
            else {
                return (aOrders.shipments[0][data.attribute] == otherOrders.shipments[0][data.attribute])
                    ? this.tieBreaker(aOrders, otherOrders, comparator)
                    : String(aOrders.shipments[0][data.attribute]).toLowerCase() < String(otherOrders.shipments[0][data.attribute]).toLowerCase() ? comparator[0] : comparator[1];
            }
        };
        this.sortNumber = (aOrders, otherOrders, data, comparator) => aOrders[data.attribute] < otherOrders[data.attribute] ? comparator[0] : comparator[1];
        this.sortText = (aOrders, otherOrders, data, comparator) => {
            return (aOrders[data.attribute] == otherOrders[data.attribute])
                ? aOrders.number.toLowerCase() < otherOrders.number.toLowerCase() ? comparator[0] : comparator[1]
                : String(aOrders[data.attribute]).toLowerCase() < String(otherOrders[data.attribute]).toLowerCase() ? comparator[0] : comparator[1];
        };
        /**
         * @description funcion utilizada para desempate.
         * @param aOrders
         * @param otherOrders
         * @param comparator
         * @returns
         */
        this.tieBreaker = (aOrders, otherOrders, comparator) => aOrders.number.toLowerCase() < otherOrders.number.toLowerCase() ? comparator[0] : comparator[1];
        /**
         * @description cambia los valores de la variable currentSort
         * @param name
         * @param asc
         */
        this.setCurrentSort = (name, asc) => {
            this.currentSort.name = name;
            this.currentSort.asc = asc;
        };
        this.mediaUrl = this.consts.mediaUrl();
        this.ecOnConstruct();
    }
    ngOnInit() {
        this.loading = true;
        this.ordersService.updateOrders();
        this.ordersService.orders$.pipe(filter(or => or)).subscribe(orders => {
            this.orders = this.sortedByNewest(orders);
            this.loading = false;
        }, err => {
            this.loading = false;
            this.error = 'orders-error';
        });
        this.ecOnInit();
    }
};
OrdersEcComponent.ctorParameters = () => [
    { type: OrdersService },
    { type: Router },
    { type: Constants }
];
__decorate$1j([
    Input()
], OrdersEcComponent.prototype, "showImage", void 0);
OrdersEcComponent = __decorate$1j([
    Component({
        selector: 'app-orders-ec',
        template: "<div class=\"container-fluid\" id=\"ordersEcComponent\">\n    <section id=\"orders\" class=\"w-100\" *ngIf=\"!loading; else loadingView\">\n        <div *ngIf=\"orders && orders.length; else noOrders\">\n            <div class=\"row mb-1 border-bottom\">\n                <div class=\"col-lg-2 col-12\">\n                    <p [class]=\"'st dropdown-toggle cursor-pointer my-2 '+ (currentSort.name == 'number' ? 'applied ' + (!currentSort.asc ? 'asc' : 'desc') : '')\"\n                        (click)=\"sortOrders('number')\">{{ 'order' | translate }}:</p>\n                </div>\n                <div class=\"col-lg-2 col-12\">\n                    <p [class]=\"'st dropdown-toggle cursor-pointer my-2 '+ (currentSort.name == 'paymentState' ? 'applied ' + (!currentSort.asc ? 'asc' : 'desc') : '')\"\n                        (click)=\"sortOrders('paymentState')\">{{ 'payment-state' | translate }}:</p>\n                </div>\n                <div class=\"col-lg-2 col-12\">\n                    <p [class]=\"'st dropdown-toggle cursor-pointer my-2 '+ (currentSort.name == 'method' ? 'applied ' + (!currentSort.asc ? 'asc' : 'desc') : '')\"\n                        (click)=\"sortOrders('method')\">{{ 'shipment-method' | translate }}:</p>\n                </div>\n                <div class=\"col-lg-2 col-12 \">\n                    <p\n                        [class]=\"'st dropdown-toggle cursor-pointer my-2 '+ (currentSort.name == 'methodState' ? 'applied ' + (!currentSort.asc ? 'asc' : 'desc') : '')\"\n                         (click)=\"sortOrders('methodState')\">\n                        {{ 'shipment-state' | translate }}:</p>\n                </div>\n                <div class=\"col-lg-2 col-12\">\n                    <p [class]=\"'st dropdown-toggle cursor-pointer my-2 '+ (currentSort.name == 'date' ? 'applied ' + (!currentSort.asc ? 'asc' : 'desc') : '')\"\n                        (click)=\"sortOrders('date')\">{{ 'date' | translate }}:</p>\n                </div>\n                <div class=\"col-lg-2 col-12\">\n                    <p [class]=\"'st dropdown-toggle cursor-pointer my-2 '+ (currentSort.name == 'total' ? 'applied ' + (!currentSort.asc ? 'asc' : 'desc') : '')\"\n                        (click)=\"sortOrders('total')\">{{ 'total' | translate }}:</p>\n                </div>\n            </div>\n            <div class=\"row item border-bottom py-2\" *ngFor=\"let order of orders\">\n                <div class=\"col-lg-2 col-12\">\n                    <h5 class=\"fw-bold\">\n                        {{ order.number }}\n                    </h5>\n                    <!-- <ng-container *ngIf=\"showImage\">\n                        <ng-container *ngIf=\"order.items[0].product.variants[0]?.images?.length ; else defaultpicture\">\n                            <img class=\"smc maxwidth\" [src]=\"mediaUrl +   order.items[0].product.variants[0].images[0]\" alt=\"\">\n                        </ng-container>\n                        <ng-template #defaultpicture>\n                            <img *ngIf=\"order.items[0].product.picturesdefault\" class=\"smc maxwidth\"\n                                [src]=\"mediaUrl + order.items[0].product.picturesdefault[0]\" alt=\"\">\n                        </ng-template>\n                    </ng-container> -->\n                </div>\n                <div class=\"col-lg-2 col-12\">\n                    <p class=\"price\" *ngIf=\"order.payments && order.payments.length > 0\">\n                        {{ order.payments[0].state | translate | titlecase }}\n                    </p>\n                </div>\n                <div class=\"col-lg-2 col-12\">\n\n                    <p class=\"price\">\n                        {{ order.shipments[0].method.name }}\n                    </p>\n                </div>\n                <div class=\"col-lg-2 col-12\">\n                    <p class=\"price\">\n                        {{ order.shipments[0].state | translate | titlecase }}\n                    </p>\n                    <!-- ACA DEBERIA IR EL LINK DE SEGUIMIENTO -->\n                    <!-- <button class=\"btn btn-outline-dark btnLogout px-3 py-1 font-size-10 w-auto btn-sm\">Ver seguimiento</button> -->\n                    <a *ngIf=\"order.tracking\" [href]=\"order.tracking\" class=\"btn btn-outline-dark btnLogout px-3 py-1 font-size-10 w-auto btn-sm\">Ver seguimiento</a>\n                </div>\n                <div class=\"col-lg-2 col-12\">\n                    <p class=\"price\">\n                        {{ toDate(order.checkoutCompletedAt, 'DD/MM/YYYY') | translate }}<br>\n                        {{ toDate(order.checkoutCompletedAt, 'h:mm:ss a') | translate }}\n                    </p>\n                </div>\n                <div class=\"col-lg-2 col-12\">\n                    <h5 class=\"fw-bold text-nowrap\">\n                        {{ (order.totals.total) | ecCurrencySymbol }}\n                    </h5>\n                    <button class=\"btn px-0 w-100 btdetalle\" (click)=\"goToOrder(order)\">{{\n                        'see-order' | translate }}</button>\n                </div>\n            </div>\n        </div>\n    </section>\n</div>\n\n<ng-template #noOrders>\n    <div class=\"w-100 h-50\">\n        <div class=\"d-flex flex-row justify-content-center align-items-center text-center\">\n            <h5>{{ 'no-orders' | translate }}</h5>\n        </div>\n    </div>\n</ng-template>\n\n<ng-template #errorView>\n    <div class=\"w-100 h-50\">\n        <div class=\"d-flex flex-row justify-content-center align-items-center text-center\">\n            <h4>{{ 'orders-error' | translate }}</h4>\n        </div>\n    </div>\n</ng-template>\n\n<ng-template #loadingView>\n    <div class=\"w-100 h-50 py-5\">\n        <div class=\"d-flex flex-row justify-content-center align-items-center text-center\">\n            <app-loading-full-ec></app-loading-full-ec>\n        </div>\n    </div>\n</ng-template>\n",
        styles: ["#ordersEcComponent .btn.btdetalle{background-color:#000;color:#fff;border-color:#000;border-width:1px;border-radius:10px;padding:10px 0}#ordersEcComponent .btn.btdetalle:hover{background-color:#fff;color:#000;border-color:#000}.asc.dropdown-toggle::after{transform:rotate(180deg)}.applied.dropdown-toggle::after{color:#198754}"]
    })
], OrdersEcComponent);

var __decorate$1k = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __awaiter$e = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
let OrderEcComponent = class OrderEcComponent extends ComponentHelper {
    constructor(ordersService, activedRoute, router, consts) {
        super();
        this.ordersService = ordersService;
        this.activedRoute = activedRoute;
        this.router = router;
        this.consts = consts;
        this.orderSubject = new BehaviorSubject({});
        this.order$ = this.orderSubject.asObservable();
        this.order = null;
        this.loading = true;
        this.numberOrder = null;
        this.toDate = (date, format) => moment(date).format(!format && 'DD/MM/YYYY, h:mm:ss a' || format);
        this.callError = () => {
            this.error = '?';
            this.router.navigateByUrl('account/orders');
        };
        this.volver = () => this.router.navigateByUrl('account/orders');
        this.ecOnConstruct();
    }
    ngOnInit() {
        this.loading = true;
        this.ordersService.selectedOrder$.subscribe((res) => __awaiter$e(this, void 0, void 0, function* () {
            let order;
            if (this.numberOrder == null) {
                this.numberOrder = this.activedRoute.snapshot.params.number;
            }
            if (res)
                order = res;
            else
                order = yield this.ordersService.findOrder(this.numberOrder);
            order && this.orderSubject.next(order);
            !order && this.callError();
            this.order = order;
            this.loading = false;
        })),
            err => {
                this.ordersService.error$.toPromise().then(res => this.error = res);
                this.loading = false;
                this.callError();
            };
        this.ecOnInit();
    }
};
OrderEcComponent.ctorParameters = () => [
    { type: OrdersService },
    { type: ActivatedRoute },
    { type: Router },
    { type: Constants }
];
__decorate$1k([
    Input()
], OrderEcComponent.prototype, "numberOrder", void 0);
OrderEcComponent = __decorate$1k([
    Component({
        selector: 'app-order-ec',
        template: "<main class=\"py-5\" id=\"orderEcComponent\">\n    <div class=\"container\">\n        <div class=\"wrap\" *ngIf=\"!loading; else loadingView\">\n            <div *ngIf=\"order; else noOrder\">\n\n                <div class=\"row justify-content-between \">\n                    <div class=\"col-sm-auto col-12 font-brandon\">\n                        <h4 class=\"tit1 fw-bold\">{{ ('order' | translate) + ': ' + order.number }}</h4>\n                    </div>\n                    <ng-container *ngIf=\"order?.invoice\">\n                        <div class=\"col-sm col-12 font-brandon\">\n                            <a target=\"_blank\" [href]=\"consts.getUrlBase().slice(0, -1) + order.invoice\"\n                                class=\"btn btn-link btn-invoice\">\n                                <i class=\"fas fa-file-download me-1\"></i>\n                                {{ 'download' | translate }} {{ 'invoices' | translate | titlecase }}\n                            </a>\n                        </div>\n                    </ng-container>\n                    <a (click)=\"volver()\" class=\"col-auto text-end\">\n                        <button class=\"btn btvolver bg-gray text-white\">{{ 'back-to-orders' | translate }}</button>\n                    </a>\n                </div>\n\n                <section id=\"orders\">\n                    <div class=\"row pt-2\">\n                        <div class=\"col-md-2 col-12\">\n                            <p class=\"st\">{{ 'payment-state' | translate }}:</p>\n                            <p class=\"\">\n                                {{ order.payments[0].state | translate }}\n                            </p>\n                        </div>\n                        <div class=\"col-md-2 col-12 font-brandon\">\n                            <p class=\"st\">{{ 'shipment-state' | translate }}:</p>\n                            <p class=\"\">\n                                {{ order.shipments[0].state | translate }}\n                            </p>\n                        </div>\n                        <div class=\"col-md-2 col-12 font-brandon\">\n                            <p class=\"st\">{{ 'payment-method' | translate }}:</p>\n                            <p class=\"\">\n                                {{ order.payments[0]?.method?.name | translate }}\n                            </p>\n                        </div>\n                        <div class=\"col-md-2 col-12 font-brandon\">\n                            <p class=\"st\">{{ 'shipment-method' | translate }}:</p>\n                            <p class=\"\">\n                                {{ order.shipments[0].method.name }}\n                            </p>\n                            <!-- ACA DEBERIA IR EL LINK DE SEGUIMIENTO -->\n                            <a *ngIf=\"order.tracking\" [href]=\"order.tracking\" class=\"btn btn-outline-dark btnLogout px-3 py-1 font-size-10 w-auto btn-sm\">Ver seguimiento</a>\n                        </div>\n                        <div class=\"col-md-2 col-12 font-brandon\">\n                            <p class=\"st\">{{ 'date' | translate }}:</p>\n                            <p class=\"\">\n                            {{ toDate(order.checkoutCompletedAt, 'DD/MM/YYYY') | translate }}<br>\n                            {{ toDate(order.checkoutCompletedAt, 'h:mm:ss a') | translate }}\n                            </p>\n                        </div>\n                        <div class=\"col-md-2 col-12 font-brandon\">\n                            <p class=\"st\">{{ 'total' | translate }}:</p>\n                            <h5 class=\"fw-bold\">\n                                {{ (order.totals.total) | ecCurrencySymbol}}\n\n                            </h5>\n                        </div>\n                    </div>\n                </section>\n\n                <div class=\"container py-3 border-top border-bottom\">\n                    <div *ngIf=\"order.items.length; else noProducts\" class=\"row\">\n                        <div class=\"col-2 font-sm font-brandon d-none d-md-block\">\n                            {{ 'product' | translate | uppercase }}\n                        </div>\n                        <div class=\"col-4 font-sm font-brandon d-none d-md-block\">\n                            {{ 'description' | translate | uppercase }}\n                        </div>\n                        <div id=\"colLots\" *ngIf=\"ordersService.channelConfig.applyOrderLot\" class=\"col-1 font-sm font-brandon d-none d-md-block\">\n                         <!-- {{ 'description' | translate | uppercase }} -->\n                         {{ 'lots' | translate | uppercase }}\n                         </div>\n                        <div class=\"col-2 text-center font-sm font-brandon d-none d-md-block\">\n                            {{ 'unit-price' | translate | uppercase }}\n                        </div>\n                        <div class=\"col-1 text-center font-sm font-brandon d-none d-md-block\">\n                            {{ 'quantity' | translate | uppercase }}\n                        </div>\n                        <div class=\"col-2 text-end font-sm font-brandon d-none d-md-block\">\n                            {{ 'total' | translate | uppercase }}\n                        </div>\n                    </div>\n                    <ng-container *ngFor=\"let item of order.items; let i = index\">\n                        <div class=\"row cart-items\">\n                            <div class=\"col-5 col-md-2 py-2\">\n                                <ng-container *ngIf=\"item.product.variants[0]?.images?.length ; else defaultpicture\">\n                                    <img class=\"smc maxwidth img-fluid rounded-custom \" [src]=\"consts.mediaUrl() +  item.product.variants[0].images[0]\" alt=\"\">\n                                </ng-container>\n                                <ng-template #defaultpicture>\n                                    <img *ngIf=\"item.product.picturesdefault\" class=\"smc maxwidth img-fluid rounded-custom\"\n                                        [src]=\"consts.mediaUrl() + item.product.picturesdefault[0]\" alt=\"\">\n                                </ng-template>\n                            </div>\n                            <div\n                                class=\"col-md-4 col-7 flex-column flex-md-row justify-content-start d-flex align-items-center\">\n                                <p class=\"font-brandon d-flex w-100 mb-0\">\n                                    {{ item.product.name }} (Cod:{{ item.product.variants[0].code }})\n                                </p>\n                              </div>\n                                <div class=\"col-md-1 col-1 flex-column flex-md-row justify-content-start d-flex align-items-center\" *ngIf=\"ordersService.channelConfig.applyOrderLot\">\n                                   <input type=\"button\" class=\"btn btn-primary btnSeguir m-0 text-center\" type=\"button\" [attr.data-bs-toggle]=\"'collapse'\" [attr.data-bs-target]=\"'#collapseExample'+i\" aria-expanded=\"false\" [attr.aria-controls]=\"'collapseExample'+i\" value=\"{{ 'see' | translate | uppercase }}\">\n                               </div>\n                                <div class=\"container d-md-none\">\n                                    <div class=\"row\">\n                                        <div class=\"col-4\">\n                                            <p class=\"text-center w-100 m-0\"> {{ item.quantity }}</p>\n                                        </div>\n                                        <div class=\"col-4 font-xl\">\n                                            <p class=\"text-center w-100 m-0\"> {{ (item.product.variants[0].saleprice ? item.product.variants[0].saleprice : item.product.variants[0].price) | ecCurrencySymbol}}</p>\n                                        </div>\n                                        <div class=\"col-4 font-xl\">\n                                            <p class=\"text-center w-100 m-0\"> {{ ((item.product.variants[0].saleprice ? item.product.variants[0].saleprice : item.product.variants[0].price) * item.quantity) | ecCurrencySymbol}}</p>\n                                        </div>\n                                    </div>\n                                </div>\n\n                            <div class=\"col-2 d-none d-md-flex align-items-center\">\n                                <p class=\"text-center w-100 m-0\">\n                                    {{ (item.product.variants[0].saleprice ? item.product.variants[0].saleprice  : item.product.variants[0].price) | ecCurrencySymbol}}\n                                </p>\n                            </div>\n                            <div class=\"col-1 d-none d-md-flex align-items-center\">\n                                <p class=\"text-center w-100 m-0\"> {{ item.quantity }}</p>\n                            </div>\n                            <div class=\"col-2 d-none d-md-flex align-items-center\">\n                                <p class=\"text-end w-100 m-0\">\n                                    {{ ((item.product.variants[0].saleprice ? item.product.variants[0].saleprice  : item.product.variants[0].price) * item.quantity) | ecCurrencySymbol}}</p>\n                            </div>\n                            <div class=\"collapse\" [attr.id]=\"'collapseExample'+i\">\n                              <div class=\"card card-body\">\n                                   <table class=\"table table-striped\">\n                                        <thead>\n                                          <tr>\n                                            <th scope=\"col\">#</th>\n                                            <th scope=\"col\">Estado</th>\n                                            <th scope=\"col\">Cantidad</th>\n                                            <th scope=\"col\">Fecha Solicitada</th>\n                                            <th scope=\"col\">Fecha Estimada</th>\n                                            <th scope=\"col\">Sede</th>\n                                            <th scope=\"col\">Nota</th>\n                                            <th scope=\"col\">Total Lote</th>\n                                          </tr>\n                                        </thead>\n                                        <tbody>\n                                             <ng-container *ngFor=\"let lot of item.orderItemLot\">\n                                                  <tr>\n                                                    <th scope=\"row\">{{lot.id}}</th>\n                                                    <td>{{lot.lot_status}}</td>\n                                                    <td>{{lot.quantity}}</td>\n                                                    <td>{{ toDate(lot.date_request, 'DD/MM/YYYY') | translate }}</td>\n                                                    <td *ngIf=\"lot.date_deliver; else sinFechaEstimada\">{{ toDate(lot.date_deliver, 'DD/MM/YYYY') | translate }}</td>\n                                                    <ng-template #sinFechaEstimada>\n                                                       <td>Pendiente</td>\n                                                    </ng-template>\n                                                    <td>{{lot.shipping_address_name}}</td>\n                                                    <td>{{lot.notes}}</td>\n                                                    <td>{{lot.total_lot | ecCurrencySymbol}}</td>\n                                                  </tr>\n                                             </ng-container>\n                                        </tbody>\n                                      </table>\n                              </div>\n                            </div>\n                        </div>\n\n                    </ng-container>\n                </div>\n\n                <div class=\"container\">\n                    <div class=\"row\">\n                        <div class=\"col-12 col-md-6\"></div>\n                        <div class=\"col-12 col-md-6\">\n                            <div class=\"row py-4\">\n                                <div class=\"col-6 font-brandon font-md text-gray border-bottom \">{{ 'total-products' | translate }}</div>\n                                <div class=\"col-6 font-brandon font-md text-gray border-bottom  text-end\">\n                                    {{ (order.totals.items) | ecCurrencySymbol }}\n                                </div>\n\n                                <div class=\"col-6 font-brandon font-md text-gray border-bottom \">{{ 'shipment' | translate }}</div>\n                                <div class=\"col-6 font-brandon font-md text-gray border-bottom  text-end\">\n                                    {{ (order.totals.shipping || '0') | ecCurrencySymbol }}\n\n                                </div>\n\n                                <div *ngIf=\"order.totals.promotion && order.totals.promotion != 0\"\n                                    class=\"col-6 font-brandon font-md text-gray border-bottom \">{{ 'discount' | translate }}</div>\n                                <div *ngIf=\"order.totals.promotion && order.totals.promotion != 0\"\n                                    class=\"col-6 font-brandon font-md text-gray border-bottom  text-end text-end\">\n                                    {{ (order.totals.promotion) | ecCurrencySymbol }}</div>\n\n                                <div *ngIf=\"order.totals.taxes && order.totals.taxes != 0 \" class=\"col-6 font-brandon font-md text-gray border-bottom \">\n                                    {{ 'taxes' | translate }}</div>\n                                <div *ngIf=\"order.totals.taxes && order.totals.taxes != 0\" class=\"col-6 font-brandon font-md text-gray border-bottom  text-end\">\n                                    {{ (order.totals.taxes) | ecCurrencySymbol }}</div>\n\n                                <div class=\"col-6 font-brandon font-md\">{{ 'total' | translate | uppercase }}</div>\n                                <div class=\"col-6 font-brandon font-md text-end\">\n                                    {{ (order.totals.total) | ecCurrencySymbol }}\n                                </div>\n                            </div>\n                        </div>\n                    </div>\n                </div>\n            </div>\n        </div>\n    </div>\n\n</main>\n\n<ng-template #noOrder>\n    <div class=\"w-100 h-50\">\n        <div class=\"d-flex flex-row justify-content-center align-items-center text-center\">\n            <h5>{{ 'no-orders' | translate }}</h5>\n        </div>\n    </div>\n</ng-template>\n\n<ng-template #loadingView>\n    <div class=\"w-100 h-50 py-5\">\n        <div class=\"d-flex flex-row justify-content-center align-items-center text-center\">\n            <app-loading-full-ec></app-loading-full-ec>\n        </div>\n    </div>\n</ng-template>\n",
        styles: [".maxwidth{max-width:100px}"]
    })
], OrderEcComponent);

var __decorate$1l = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let AuthEcComponent = class AuthEcComponent extends ComponentHelper {
    constructor(authService, toastr, paramsService, activatedRoute, formBuilder, router) {
        super();
        this.authService = authService;
        this.toastr = toastr;
        this.paramsService = paramsService;
        this.activatedRoute = activatedRoute;
        this.formBuilder = formBuilder;
        this.router = router;
        this.complete = true;
        this.data = {
            email: null,
            password: null,
            nombre: null,
            apellido: null,
        };
        this.redirect = true;
        this.loading = false;
        this.register_loading = false;
        this.params = [];
        this.setProp = (prop, event) => {
            this.data[prop] = event.target.value;
        };
        this.login = () => this.redirect && this.redirectHome();
        this.redirectHome = () => {
            setTimeout(() => this.router.navigateByUrl('/'), 1500);
        };
        this.register = (event) => {
            event.preventDefault();
            this.register_loading = true;
            if (this.registerForm.valid) {
                this.authService.signUp(this.registerForm.value).toPromise().then(res => {
                    this.register_loading = false;
                    this.toastr.show('register-ok');
                    this.router.navigateByUrl('home');
                }, error => {
                    this.register_loading = false;
                    if (error.status == 400) {
                        this.toastr.show('El email ingresado ya se encuentra registrado.');
                    }
                    else {
                        this.toastr.show('Error en el registro. Vuelva a intentarlo más tarde.');
                    }
                });
            }
            else {
                this.toastr.show('invalid-form');
            }
        };
        this.ecOnConstruct();
    }
    ngOnInit() {
        this.paramsService.parameters.subscribe(res => this.params = res);
        (this.authService.isAuthenticated() && this.complete) && this.router.navigateByUrl('/');
        this.loginForm = this.formBuilder.group({
            username: ['', Validators.required],
            password: ['', Validators.required]
        });
        this.registerForm = this.formBuilder.group({
            firstName: ['', Validators.required],
            lastName: ['', Validators.required],
            email: ['', Validators.required],
            plainPassword: ['', Validators.required],
            newsletter: [false],
            terms: ['', Validators.required],
        });
        this.activatedRoute.params.subscribe(params => {
            var _a;
            if ((_a = params) === null || _a === void 0 ? void 0 : _a.data) {
                let resul = JSON.parse(atob(params.data));
                resul && this.authService.doLoginUser(resul);
            }
        });
        this.ecOnInit();
    }
    ngOnChanges() {
        (this.authService.isAuthenticated() && this.complete) && this.router.navigateByUrl('/');
    }
};
AuthEcComponent.ctorParameters = () => [
    { type: AuthService },
    { type: ToastService },
    { type: ParametersService },
    { type: ActivatedRoute },
    { type: FormBuilder },
    { type: Router }
];
__decorate$1l([
    Input()
], AuthEcComponent.prototype, "complete", void 0);
__decorate$1l([
    Input()
], AuthEcComponent.prototype, "redirect", void 0);
AuthEcComponent = __decorate$1l([
    Component({
        selector: 'app-auth-ec',
        template: "<!-- banners -->\n<div class=\"row\">\n     <div class=\"col-12 p-0\" id=\"banner-slider-home\">\n          <div id=\"banner-slider\" class=\"owl-carousel h-100 w-100\">\n               <div class=\"item\">\n                    <img src=\"assets/image/login.png\" class=\"w-100 d-none d-md-block\">\n                    <img src=\"assets/image/26912-05-mobile.png\" class=\"w-100 d-block d-md-none\">\n                    <div class=\"caption\">\n                         <h1 class=\"color-white\">Ingresar</h1>\n                    </div>\n               </div>\n          </div>\n     </div>\n</div>\n\n<div class=\"row\" id=\"contacto\">\n     <div class=\"col-12 py-md-5 py-0 px-0\">\n          <div class=\"container\" style=\"background-color: #F1F1F1;\">\n               <div class=\"row\">\n                    <div class=\"col-md-6 px-md-5 px-3 col-12\">\n                         <app-login-form-ec></app-login-form-ec>\n                    </div>\n                    <div class=\"col-md-6 px-md-5 px-3 col-12\">\n                         <app-register-form-ec></app-register-form-ec>\n                    </div>\n               </div>\n          </div>\n     </div>\n</div>",
        styles: [".loading-container-form{margin-top:20px;position:absolute;width:100%}.login-container{background-color:#fff;padding-bottom:80px}#login,#registro{color:#000;font-size:.8rem}"]
    })
], AuthEcComponent);

var __decorate$1m = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let RegisterFormEcComponent = class RegisterFormEcComponent extends ComponentHelper {
    constructor(authService, toastr, router, analyticsService, formBuilder) {
        super();
        this.authService = authService;
        this.toastr = toastr;
        this.router = router;
        this.analyticsService = analyticsService;
        this.formBuilder = formBuilder;
        this.isLogged = true;
        this.darkMode = false;
        this.redirect = true;
        this.complete = true;
        this.ready = new EventEmitter();
        this.success = false;
        this.campospersonajuridica = false;
        this.registroUsuario = {
            firstName: '',
            lastName: '',
            email: '',
            plainPassword: '',
            plainPassword2: '',
            newsletter: false,
            terms: false,
        };
        this.setProp = (prop, event) => {
            this.registroUsuario[prop] = event.target.value;
        };
        this.redirectHome = () => {
            this.router.navigateByUrl('/');
        };
        this.register = (event) => {
            event.preventDefault();
            this.register_loading = true;
            if (!this.registerForm.valid) {
                this.toastr.show('Aún hay campos sin completar o invalidos');
                this.register_loading = false;
                return;
            }
            ;
            this.register_loading = true;
            if (this.registerForm.value.plainPassword != this.registerForm.value.plainPassword2) {
                this.toastr.show('Las contraseñas no coinciden');
                this.register_loading = false;
                return;
            }
            if (this.registerForm.valid) {
                this.authService.signUp(this.registerForm.value).toPromise().then(res => {
                    this.register_loading = false;
                    this.toastr.show('register-ok');
                    this.analyticsService.callEvent('sign_up', {
                        firstName: this.registerForm.value.firstName,
                        lastName: this.registerForm.value.lastName,
                        email: this.registerForm.value.email
                    });
                    this.success = true;
                    this.ready.emit(true);
                    if (this.redirect) {
                        this.router.navigateByUrl('home');
                    }
                }, error => {
                    this.register_loading = false;
                    if (error.status == 400) {
                        this.toastr.show('El email ingresado ya se encuentra registrado.');
                    }
                    else {
                        this.toastr.show('Error en el registro. Vuelva a intentarlo más tarde.');
                    }
                });
            }
            else {
                this.toastr.show('invalid-form');
                this.register_loading = false;
            }
        };
        this.ecOnConstruct();
    }
    ngOnInit() {
        this.registerForm = this.formBuilder.group({
            firstName: ['', Validators.required],
            lastName: ['', Validators.required],
            email: ['', Validators.required],
            plainPassword: ['', Validators.required],
            plainPassword2: ['', Validators.required],
            newsletter: [false],
            terms: ['', Validators.required],
        });
        this.ecOnInit();
    }
};
RegisterFormEcComponent.ctorParameters = () => [
    { type: AuthService },
    { type: ToastService },
    { type: Router },
    { type: AnalyticsService },
    { type: FormBuilder }
];
__decorate$1m([
    Input()
], RegisterFormEcComponent.prototype, "darkMode", void 0);
__decorate$1m([
    Input()
], RegisterFormEcComponent.prototype, "redirect", void 0);
__decorate$1m([
    Input()
], RegisterFormEcComponent.prototype, "complete", void 0);
__decorate$1m([
    Output()
], RegisterFormEcComponent.prototype, "ready", void 0);
RegisterFormEcComponent = __decorate$1m([
    Component({
        selector: 'app-register-form-ec',
        template: "<div class=\"w-100 pl-md-5 position-relative\" id=\"register\">\n    <div class=\"py-2\">\n        <h5>CREAR CUENTA</h5>\n    </div>\n    <form id=\"registro\" [formGroup]=\"registerForm\" (submit)=\"register($event)\">\n        <div class=\"form-group\">\n            <label for=\"\" class=\"form-label\">NOMBRE</label>\n            <input formControlName=\"firstName\" class=\"form-control rounded-0\" type=\"text\" placeholder=\"Nombre\">\n        </div>\n        <div class=\"form-group\">\n            <label for=\"\" class=\"form-label\">APELLIDO</label>\n            <input formControlName=\"lastName\" class=\"form-control rounded-0\" type=\"text\" placeholder=\"Apellido\">\n        </div>\n        <div class=\"form-group\">\n            <label for=\"\" class=\"\">CORREO ELECTRONICO</label>\n            <input formControlName=\"email\" email required class=\"form-control rounded-0\" type=\"email\"\n                placeholder=\"Correo electr\u00F3nico\">\n        </div>\n        <div class=\"form-group\">\n            <label for=\"\" class=\"form-label\">CONTRASE\u00D1A</label>\n            <input formControlName=\"plainPassword\" required class=\"form-control rounded-0\" type=\"password\"\n                placeholder=\"Contrase\u00F1a\">\n        </div>\n        <div class=\"form-group\">\n            <label for=\"\" class=\"form-label\">REPETIR CONTRASE\u00D1A</label>\n            <input formControlName=\"plainPassword2\" required class=\"form-control rounded-0\" type=\"password\"\n                placeholder=\"Repetir contrase\u00F1a\">\n        </div>\n\n        <div class=\"custom-control d-flex flex-row form-check custom-checkbox mr-sm-2 mt-4 mb-2\">\n            <input type=\"checkbox\" formControlName=\"terms\" required class=\"custom-control-input form-check-input\" name=\"Color2\"\n                id=\"Color2\">\n            <label class=\"custom-control-label ff-ubuntu-light font-sm form-check-label\" for=\"Color2\"> He\n                le\u00EDdo y acepto las pol\u00EDticas de privacidad y los t\u00E9rminos y\n                condiciones</label>\n        </div>\n\n        <div class=\"custom-control d-flex flex-row form-check custom-checkbox mr-sm-2 mb-4\">\n            <input type=\"checkbox\" formControlName=\"newsletter\" class=\"custom-control-input form-check-input\" name=\"Color3\" id=\"Color3\">\n            <label class=\"custom-control-label form-check-label ff-ubuntu-light font-sm\" for=\"Color3\">\n                Suscripci\u00F3n al Newsletter</label>\n        </div>\n\n        <div class=\"row\">\n            <div class=\"col-12\">\n                <button [disabled]=\"registerForm.invalid\" type=\"submit\"\n                    class=\"btn btn-dark bg-black btn-block px-5 py-2 rounded-0 h-fit\">CREAR</button>\n            </div>\n        </div>\n    </form>\n    <app-loading-section-ec *ngIf=\"register_loading\"></app-loading-section-ec>\n</div>",
        styles: [".loading-container-form{margin-top:20px}#register{color:#000;font-size:.8rem}#register.dark{color:#fff}"]
    })
], RegisterFormEcComponent);

var __decorate$1n = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let LoginFormEcComponent = class LoginFormEcComponent extends ComponentHelper {
    constructor(authService, toastrService, formBuilder, router) {
        super();
        this.authService = authService;
        this.toastrService = toastrService;
        this.formBuilder = formBuilder;
        this.router = router;
        this.darkMode = false;
        this.redirect = true;
        this.redirectTo = '/';
        this.complete = true;
        this.title = 'login';
        /* @Input() withRoles: UserRoleType[] = [UserRoleType.SELLER, UserRoleType.RETAILER, UserRoleType.WHOLESALER] */
        /* @Input() withRoles: UserRoleType[] = [] */
        this.ready = new EventEmitter();
        this.loggedIn = false;
        this.loading = false;
        this.login = ($event, withRoles = []) => {
            $event.preventDefault();
            this.loading = true;
            if (!this.loginForm.valid) {
                this.toastrService.show('Aún hay datos sin completar');
                this.loading = false;
                return;
            }
            this.authService.login(this.loginForm.value, withRoles).toPromise().then(res => {
                if (res == 'ok') {
                    this.ready.emit(this.loginForm.value.username);
                    this.loading = false;
                    this.loggedIn = true;
                    if (this.redirect)
                        setTimeout(() => this.redirectHome(), 500);
                }
                else {
                    if (res == 'error') {
                        this.toastrService.show('invalid-credentials');
                        this.loading = false;
                        return;
                    }
                    this.loading = false;
                }
            }, err => {
                this.loading = false;
            });
        };
        this.redirectHome = () => {
            const resolverFunction = this.authService.getHomeResolver();
            resolverFunction
                ? resolverFunction()
                : this.router.navigateByUrl(this.redirectTo);
        };
        this.ecOnConstruct();
    }
    ngOnInit() {
        this.redirect && this.authService.isAuthenticated() && this.redirectHome();
        !this.authService.isAuthenticated() && localStorage.removeItem('mail');
        this.loginForm = this.formBuilder.group({
            username: ['', Validators.required],
            password: ['', Validators.required]
        });
        this.ecOnInit();
    }
};
LoginFormEcComponent.ctorParameters = () => [
    { type: AuthService },
    { type: ToastService },
    { type: FormBuilder },
    { type: Router }
];
__decorate$1n([
    Input()
], LoginFormEcComponent.prototype, "darkMode", void 0);
__decorate$1n([
    Input()
], LoginFormEcComponent.prototype, "redirect", void 0);
__decorate$1n([
    Input()
], LoginFormEcComponent.prototype, "redirectTo", void 0);
__decorate$1n([
    Input()
], LoginFormEcComponent.prototype, "complete", void 0);
__decorate$1n([
    Input()
], LoginFormEcComponent.prototype, "title", void 0);
__decorate$1n([
    Output()
], LoginFormEcComponent.prototype, "ready", void 0);
LoginFormEcComponent = __decorate$1n([
    Component({
        selector: 'app-login-form-ec',
        template: "<div class=\"d-flex flex-column position-relative\">\n    <h1 class=\"right-line ff-ubuntu-light mb-2\"><span>Ingresar</span></h1>\n    <p class=\"ff-ubuntu-light font-sm pr-4\">\n        Si ya est\u00E1s registrado. Ingresa en tu cuenta con tu email y la\n        contrase\u00F1a adecuada.\n    </p>\n    <div class=\"w-md-50 w-100 text-center\">\n        <form [formGroup]=\"loginForm\" (submit)=\"login($event)\">\n            <input class=\"form-control mb-4 radius-0\" type=\"email\" formControlName=\"username\"\n                placeholder=\"Correo Electr\u00F3nico\">\n            <input class=\"form-control mb-4 radius-0\" type=\"password\" formControlName=\"password\"\n                placeholder=\"Contrase\u00F1a\">\n            \n            <div class=\"row d-flex flex-column\">\n                <div class=\"col-12\">\n                    <button type=\"submit\"\n                        class=\"bg-gray border-0 px-4 py-2 color-white ff-ubuntu-light\">INGRESAR</button>\n                </div>\n                <div class=\"col-12 d-flex justify-content-center align-items-center\">\n                    <a [routerLink]=\"'/auth/forgot-password'\" class=\"font-md ff-ubuntu-light\">\n                            \u00BFOlvid\u00F3 su contrase\u00F1a?\n                    </a>\n                </div>\n            </div>\n    </form>\n    </div>\n    <div *ngIf=\"!loading; else loadingView\"></div>\n</div>\n<ng-template #loadingView>\n    <app-loading-section-ec></app-loading-section-ec>\n</ng-template>\n\n\n<select-channel-ec></select-channel-ec>",
        styles: [".loading-container-form{margin-top:20px}#login{color:#000;font-size:.8rem}#login.dark{color:#fff}"]
    })
], LoginFormEcComponent);

var __decorate$1o = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let ForgotPasswordEcComponent = class ForgotPasswordEcComponent extends ComponentHelper {
    constructor(authService, toastr) {
        super();
        this.authService = authService;
        this.toastr = toastr;
        this.email = "";
        this.loading = false;
        this.ready = false;
        this.recoverPassword = (event) => {
            event.preventDefault();
            if (!this.validEmail())
                this.toastr.show('invalid-email');
            else {
                this.loading = true;
                this.authService.recoverPassword(this.email).toPromise()
                    .then(this.processOk, this.processOk).catch(this.processOk);
            }
        };
        this.processOk = (response) => {
            this.loading = false;
            this.ready = true;
        };
        this.processError = (response) => {
            this.loading = false;
            (!response || response.error)
                ? this.toastr.show('non-existent-email')
                : this.toastr.show(response.error);
        };
        this.validEmail = () => this.email != '' && this.email.includes('@');
        this.ecOnConstruct();
    }
    ngOnInit() {
        this.ecOnInit();
    }
};
ForgotPasswordEcComponent.ctorParameters = () => [
    { type: AuthService },
    { type: ToastService }
];
ForgotPasswordEcComponent = __decorate$1o([
    Component({
        selector: 'app-forgot-password-ec',
        template: "<div class=\"container\" id=\"passReset\">\n\n    <div *ngIf=\"!ready; else readyView\">\n        <form (submit)=\"recoverPassword($event)\" class=\"row justify-content-center\">\n            <div class=\"col-12 col-md-10 text-center\">\n                <h3>{{ 'set-forgot-email' | translate }}</h3>\n                <div class=\"element-container\">\n                    <input type=\"email\" [(ngModel)]=\"email\" class=\"form-control\"\n                        [ngModelOptions]=\"{standalone: true}\" />\n                </div>\n                <button class=\"btn btn-primary btn-passreset my-2\" type=\"submit\">{{ 'recover-password' | translate\n                    }}</button>\n\n                <div *ngIf=\"loading\">\n                    <app-loading-inline-ec></app-loading-inline-ec>\n                </div>\n            </div>\n        </form>\n    </div>\n</div>\n\n<ng-template #readyView>\n    <div class=\"row\">\n        <div class=\"col-12 col-md-8\">\n            <div class=\"element-container text-center\">\n                <h3>{{ 'mail-sent' | translate }}</h3>\n            </div>\n            <div class=\"element-container text-center\">\n                <h5 class=\"center-text\">{{ 'check-your-email' | translate }}</h5>\n            </div>\n        </div>\n    </div>\n</ng-template>",
        styles: [""]
    })
], ForgotPasswordEcComponent);

var __decorate$1p = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let ConfirmAccountEcComponent = class ConfirmAccountEcComponent extends ComponentHelper {
    constructor(authService, activedRoute) {
        super();
        this.authService = authService;
        this.activedRoute = activedRoute;
        this.ok = false;
        this.error = false;
        this.onSuccess = () => {
            this.ok = true;
        };
        this.onError = () => {
            this.error = true;
        };
        this.ecOnConstruct();
    }
    ngOnInit() {
        const token = this.activedRoute.snapshot.queryParams.token;
        this.authService.confirmAccount(token).toPromise().then(this.onSuccess, this.onSuccess).catch(this.onSuccess);
        this.ecOnInit();
    }
};
ConfirmAccountEcComponent.ctorParameters = () => [
    { type: AuthService },
    { type: ActivatedRoute }
];
ConfirmAccountEcComponent = __decorate$1p([
    Component({
        selector: 'app-confirm-account-ec',
        template: "<div class=\"mt-5 mb-5\">\n     <div class=\"row\">\n          <div class=\"col-md-12 col-12 text-center\">\n               <h4 class=\"confirm-title text-white py-3 text-uppercase d-inline-block\">\n                    {{ ('thanks-for-register' | translate) | uppercase }}</h4>\n          </div>\n     </div>\n     \n     \n     <div class=\"row\">\n          <div class=\"col-md-12 col-12 text-center\">\n               <h4>{{ 'thanks-for-register-detail' | translate }}</h4>\n               <br>\n               <a routerLink=\"/auth/login\">\n                    <button class=\"btn bg-golden color-white radius-0\" type=\"button\">{{ 'login' | translate |\n                         uppercase }}</button>\n               </a>\n               <br>\n               <br>\n          </div>\n     </div>\n</div>",
        styles: [".loading-container-form{margin-top:100px;position:absolute;width:100%}.confirm-title{font-size:26px;border-bottom:1px solid #ccc}"]
    })
], ConfirmAccountEcComponent);

var __decorate$1q = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let PasswordResetEcComponent = class PasswordResetEcComponent extends ComponentHelper {
    constructor(authService, toastr, activedRoute, router, formBuilder) {
        super();
        this.authService = authService;
        this.toastr = toastr;
        this.activedRoute = activedRoute;
        this.router = router;
        this.formBuilder = formBuilder;
        this.email = "";
        this.loading = false;
        this.ready = false;
        this.sendNewPassword = (event) => {
            event.preventDefault();
            if (this.invalidForm())
                return;
            this.loading = true;
            this.authService.passwordReset(this.formGroup.value.first, this.token).toPromise()
                .then(this.processOk)
                .catch(this.processError);
        };
        this.invalidForm = () => {
            if (this.formGroup.valid) {
                const passwords = this.formGroup.value;
                if (passwords.first == passwords.second)
                    return false;
                else
                    this.toastr.show('password-doesnt-match');
            }
            else
                this.toastr.show('invalid-form');
            return true;
        };
        this.processOk = (response) => {
            this.loading = false;
            this.ready = true;
        };
        this.processError = (response) => {
            this.loading = false;
            (!response || response.error)
                ? this.toastr.show('operation-error')
                : this.toastr.show(response.error);
        };
        this.sendToLogin = () => this.router.navigateByUrl('/auth/login');
        this.ecOnConstruct();
    }
    ngOnInit() {
        this.token = this.activedRoute.snapshot.queryParams.token;
        !this.token && this.router.navigateByUrl('/');
        this.formGroup = this.formBuilder.group({
            first: ['', Validators.required],
            second: ['', Validators.required]
        });
        this.ecOnInit();
    }
};
PasswordResetEcComponent.ctorParameters = () => [
    { type: AuthService },
    { type: ToastService },
    { type: ActivatedRoute },
    { type: Router },
    { type: FormBuilder }
];
PasswordResetEcComponent = __decorate$1q([
    Component({
        selector: 'app-password-reset-ec',
        template: "<div class=\"container\">\n    <div class=\"row\">\n     <div *ngIf=\"!ready; else readyView\">\n          <form [formGroup]=\"formGroup\" (submit)=\"sendNewPassword($event)\">\n               <div class=\"col-12 col-md-12\">\n                    <h3>{{ 'set-new-password' | translate }}</h3>\n               </div>\n               <label class=\"form-label\">{{ 'set-password' | translate }}</label>\n               <div class=\"element-container\">\n                    <input type=\"password\" formControlName=\"first\" class=\"form-control\" />\n               </div>\n               <label class=\"form-label\">{{ 'repeat-password' | translate }}</label>\n               <div class=\"element-container\">\n                    <input type=\"password\" formControlName=\"second\" class=\"form-control\" />\n               </div>\n               <div class=\"element-container mt-5\">\n                    <button type=\"submit\" class=\"btn btn-primary\">{{ 'update' | translate }}</button>\n               </div>\n               <div *ngIf=\"loading\">\n                    <app-loading-inline-ec></app-loading-inline-ec>\n               </div>\n          </form>\n     </div>\n     </div>\n</div>\n\n<ng-template #readyView>\n     <div class=\"col-12 col-md-10 col-lg-8\">\n          <div class=\"element-container\">\n               <h3>{{ 'updated-password' | translate }}</h3>\n          </div>\n          <div class=\"element-container mt-5\">\n               <h5 class=\"center-text\">{{ 'updated-password-detail' | translate }}</h5>\n          </div>\n          <div class=\"element-container mt-5\">\n               <button class=\"btn btn-primary\" (click)=\"sendToLogin()\">{{ 'login' | translate }}</button>\n          </div>\n     </div>\n</ng-template>",
        styles: [""]
    })
], PasswordResetEcComponent);

var __decorate$1r = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let RegisterWholesalerFormEcComponent = class RegisterWholesalerFormEcComponent extends ComponentHelper {
    constructor(authService, toastr, router, consts, paramsService, formBuilder) {
        super();
        this.authService = authService;
        this.toastr = toastr;
        this.router = router;
        this.consts = consts;
        this.paramsService = paramsService;
        this.formBuilder = formBuilder;
        this.provincesSubject = new BehaviorSubject([]);
        this.countriesSubject = new BehaviorSubject([]);
        this.documentTypesSubject = new BehaviorSubject([]);
        this.provinces$ = this.provincesSubject.asObservable();
        this.countries$ = this.countriesSubject.asObservable();
        this.documentTypes$ = this.documentTypesSubject.asObservable();
        this.isLogged = true;
        this.darkMode = false;
        this.redirect = true;
        this.complete = true;
        this.ready = new EventEmitter();
        this.success = false;
        this.requestTerms = false;
        this.campospersonajuridica = false;
        this.params = {};
        this.onCountrySelected = (value) => {
            $('#selectOpPais').attr('disabled', true);
            this.registerForm.controls['countryCode'].setValue(value);
            this.registerForm.controls['provinceCode'].setValue('');
            value != '' && this.provincesSubject.next(this.countriesSubject.value.find(country => country.code == value).provinces);
        };
        this.onProvincesSelected = (value) => {
            $('#selectOpProvincia').attr('disabled', true);
            this.registerForm.controls['provinceName'].setValue(this.provincesSubject.value.find(province => province.code == value).name);
        };
        this.onGenderSelected = (value) => {
            $('#selectOpSexo').attr('disabled', true);
        };
        this.onDocumentTypeSelected = (value) => {
            $('#selectOpDocumentType').attr('disabled', true);
        };
        this.redirectHome = () => {
            this.router.navigateByUrl('/');
        };
        this.register = (event) => {
            event.preventDefault();
            this.register_loading = true;
            if (!this.registerForm.valid) {
                this.toastr.show('Aún hay campos sin completar o invalidos');
                this.register_loading = false;
                return;
            }
            ;
            this.register_loading = true;
            if (this.registerForm.valid) {
                this.authService.signUpWholesaler(this.registerForm.value).toPromise().then(res => {
                    this.register_loading = false;
                    this.toastr.show('register-ok');
                    this.success = true;
                    this.ready.emit(true);
                    if (this.redirect) {
                        this.router.navigateByUrl('home');
                    }
                }, error => {
                    this.register_loading = false;
                    if (error.status == 400) {
                        this.toastr.show('El email ingresado ya se encuentra registrado.');
                    }
                    else {
                        this.toastr.show('Error en el registro. Vuelva a intentarlo más tarde.');
                    }
                });
            }
            else {
                this.toastr.show('invalid-form');
                this.register_loading = false;
            }
        };
        this.ecOnConstruct();
    }
    ngOnInit() {
        this.paramsService.parameters.subscribe(res => this.params = res);
        this.registerForm = this.formBuilder.group({
            firstName: ['', [Validators.required]],
            lastName: ['', [Validators.required]],
            documentType: [null, [Validators.required]],
            documentNumber: ['', [Validators.required]],
            email: ['', [Validators.required, Validators.email]],
            plainPassword: ['', Validators.required],
            plainPassword2: ['', []],
            countryCode: [null, Validators.required],
            street: [null, [Validators.maxLength(50)]],
            city: ['', Validators.required],
            postcode: ['', Validators.required],
            provinceName: ['', Validators.required],
            provinceCode: [null, Validators.required],
            companyName: ['', [Validators.required]],
            phoneNumber: ['', [Validators.required, Validators.pattern('[0-9]+')]],
            gender: [null, []],
            birthday: [null, [Validators.maxLength(11)]],
            taxIdentification: ['', Validators.required],
            comments: ['', []],
            contactFirstName: ['', []],
            contactLastName: ['', []],
            contactCompanyPosition: ['', []],
            contactEmail: ['', []],
            contactDocumentType: ['', []],
            contactDocumentNumber: ['', []],
            subscribedToNewsletter: [false],
            terms: [true, Validators.required],
        });
        this.authService.getCountriesData().then(res => {
            this.countriesSubject.next(res);
            let documentTypes = [];
            res.map(paises => {
                this.consts.getLocale().toLocaleLowerCase().includes(paises.code.toLocaleLowerCase()) && (documentTypes = paises.documentTypes || []);
            });
            this.documentTypesSubject.next(documentTypes);
        });
        this.ecOnInit();
    }
};
RegisterWholesalerFormEcComponent.ctorParameters = () => [
    { type: AuthService },
    { type: ToastService },
    { type: Router },
    { type: Constants },
    { type: ParametersService },
    { type: FormBuilder }
];
__decorate$1r([
    Input()
], RegisterWholesalerFormEcComponent.prototype, "darkMode", void 0);
__decorate$1r([
    Input()
], RegisterWholesalerFormEcComponent.prototype, "redirect", void 0);
__decorate$1r([
    Input()
], RegisterWholesalerFormEcComponent.prototype, "complete", void 0);
__decorate$1r([
    Output()
], RegisterWholesalerFormEcComponent.prototype, "ready", void 0);
RegisterWholesalerFormEcComponent = __decorate$1r([
    Component({
        selector: 'app-register-wholesaler-form-ec',
        template: "\n<div class=\"container\">\n    <div class=\"row\">\n        <div class=\"col-12\">\n            <div class=\"\">\n                <div class=\"pt-5 pb-3 border-bottom\">\n                    <h3 class=\"my-auto mx-2 text-left w-fit bold text-beige1 white-space-md-nowrap\">CREAR CUENTA MAYORISTA</h3>\n                </div>\n                <div class=\" py-3\">\n                    <p>Si todavia no tienes una cuenta de grandes consumidores en Vi\u00F1als registrate ingresando estos\n                        datos:</p>\n                </div>\n                <form [formGroup]=\"registerForm\" (submit)=\"register($event)\" class=\"position-relative\">\n                    <div class=\"row w-100 mx-auto d-flex justify-content-center px-0 py-3\">\n            \n                        <div class=\"col-12 col-md-6 px-0 pr-md-1\">\n                            <div class=\"form-group\">\n                                <label for=\"\">Nombre</label>\n                                <input type=\"text\" id=\"\" placeholder=\"Nombre\" required name=\"firstName\"\n                                    formControlName=\"firstName\"\n                                    [class]=\"registerForm.controls.firstName.touched ? (registerForm.controls.firstName.valid && registerForm.controls.firstName.touched) ?  'form-control rounded-0 is-valid' :  'form-control rounded-0 is-invalid' : 'form-control rounded-0'\">\n                                <span class=\"invalid-feedback\">El nombre es un campo obligatorio.</span>\n                            </div>\n                        </div>\n                        <div class=\"col-12 col-md-6 px-0 pl-md-1\">\n                            <div class=\"form-group\">\n                                <label for=\"\">Apellidos</label>\n                                <input type=\"text\" id=\"\" placeholder=\"Apellido\" required\n                                    name=\"lastName\" formControlName=\"lastName\"\n                                    [class]=\"registerForm.controls.lastName.touched ? (registerForm.controls.lastName.valid && registerForm.controls.lastName.touched) ?  'form-control rounded-0 is-valid' :  'form-control rounded-0 is-invalid' : 'form-control rounded-0'\">\n                                <span class=\"invalid-feedback\">El apellido es un campo obligatorio.</span>\n                            </div>\n                        </div>\n            \n                        <div class=\"col-12 col-md-6 px-0 pr-md-1\">\n                            <div class=\"form-group\">\n                                <label for=\"\">Email</label>\n                                <input type=\"email\" id=\"\" placeholder=\"Email\" email required\n                                    name=\"email\" formControlName=\"email\"\n                                    [class]=\"registerForm.controls.email.touched ? (registerForm.controls.email.valid && registerForm.controls.email.touched) ?  'form-control rounded-0 is-valid' :  'form-control rounded-0 is-invalid' : 'form-control rounded-0'\">\n                                <span class=\"invalid-feedback\">El email no posee un formato correcto.</span>\n                            </div>\n                        </div>\n                        <div class=\"col-12 col-md-6 px-0 pl-md-1\">\n                            <div class=\"form-group\">\n                                <label for=\"\">Contrase\u00F1a</label>\n                                <input type=\"password\" id=\"\" placeholder=\"Contrase\u00F1a\" required\n                                    name=\"plainPassword\" formControlName=\"plainPassword\"\n                                    [class]=\"registerForm.controls.plainPassword.touched ? (registerForm.controls.plainPassword.valid && registerForm.controls.plainPassword.touched) ?  'form-control rounded-0 is-valid' :  'form-control rounded-0 is-invalid' : 'form-control rounded-0'\">\n                                <span class=\"invalid-feedback\">La contrase\u00F1a es un campo obligatorio.</span>\n                            </div>\n                        </div>\n            \n                        <div class=\"col-12 col-md-6 px-0 pl-md-1\" *ngIf=\"(countries$ | async) as countries\">\n                            <div class=\"form-group\">\n                                <label for=\"\">{{'country'|translate}}</label>\n                                <select name=\"countryCode\" formControlName=\"countryCode\" required\n                                    (change)=\"onCountrySelected($event.target.value)\"\n                                    [class]=\"registerForm.controls.countryCode.touched ? (registerForm.controls.countryCode.valid && registerForm.controls.countryCode.touched) ?  'form-control rounded-0 is-valid' :  'form-control rounded-0 is-invalid' : 'form-control rounded-0'\">\n                                    <option value=\"null\" id=\"selectOpPais\">Seleccione un pais</option>\n                                    <option *ngFor=\"let country of countries\" [value]=\"country.code\"> {{ country.name }}</option>\n                                </select>\n                                <span class=\"invalid-feedback\">{{'country-help'|translate}}</span>\n                            </div>\n                        </div>\n            \n                        <div class=\"col-12 col-md-6 px-0 pl-md-1\" *ngIf=\"(provinces$ | async) as provinces\">\n                            <div class=\"form-group\">\n                                <label for=\"\">{{'state'|translate}}</label>\n                                <select name=\"provinceCode\" formControlName=\"provinceCode\" required\n                                    (change)=\"onProvincesSelected($event.target.value)\"\n                                    [class]=\"registerForm.controls.countryCode.touched ? (registerForm.controls.countryCode.valid && registerForm.controls.countryCode.touched) ?  'form-control rounded-0 is-valid' :  'form-control rounded-0 is-invalid' : 'form-control rounded-0'\">\n                                    <option value=\"null\" id=\"selectOpProvincia\">Seleccione una provincia</option>\n                                    <option *ngFor=\"let province of provinces\" [value]=\"province.code\">{{ province.name }}</option>\n                                </select>\n                                <span class=\"invalid-feedback\">{{'state-help'|translate}}</span>\n                            </div>\n                        </div>\n            \n                        <div class=\"col-12 col-md-6 px-0 pl-md-1\">\n                            <div class=\"form-group\">\n                                <label for=\"\">{{'address'|translate}}</label>\n                                <input placeholder=\"{{'address'|translate}}\" required type=\"text\" name=\"street\"\n                                    formControlName=\"street\"\n                                    [class]=\"registerForm.controls.street.touched ? (registerForm.controls.street.valid && registerForm.controls.street.touched) ?  'form-control rounded-0 is-valid' :  'form-control rounded-0 is-invalid' : 'form-control rounded-0'\">\n                                <span class=\"invalid-feedback\">{{'address-help1'|translate}}</span>\n                            </div>\n                        </div>\n            \n                        <div class=\"col-12 col-md-6 px-0 pl-md-1\">\n                            <div class=\"form-group\">\n                                <label for=\"\">{{'town-city'|translate}}</label>\n                                <input placeholder=\"{{'town-city'|translate}}\" required type=\"text\" name=\"city\"\n                                    formControlName=\"city\"\n                                    [class]=\"registerForm.controls.city.touched ? (registerForm.controls.city.valid && registerForm.controls.city.touched) ?  'form-control rounded-0 is-valid' :  'form-control rounded-0 is-invalid' : 'form-control rounded-0'\">\n                                <span class=\"invalid-feedback\">{{'town-city-help'|translate}}</span>\n                            </div>\n                        </div>\n            \n            \n                        <div class=\"col-12 col-md-6 px-0 pl-md-1\">\n                            <div class=\"form-group\">\n                                <label for=\"\">{{'postal-code'|translate}}</label>\n                                <input placeholder=\"{{'postal-code'|translate}}\" required type=\"text\" name=\"postcode\"\n                                    formControlName=\"postcode\"\n                                    [class]=\"registerForm.controls.postcode.touched ? (registerForm.controls.postcode.valid && registerForm.controls.postcode.touched) ?  'form-control rounded-0 is-valid' :  'form-control rounded-0 is-invalid' : 'form-control rounded-0'\">\n                                <span class=\"invalid-feedback\">{{'postal-code-help'|translate}}</span>\n                            </div>\n                        </div>\n            \n            \n            \n                        <div class=\"col-12 col-md-6 px-0 pr-md-1\">\n                            <div class=\"form-group\">\n                                <label for=\"\">Nombre compa\u00F1\u00EDa</label>\n                                <input type=\"text\" id=\"\" placeholder=\"Nombre compa\u00F1\u00EDa\" required\n                                    name=\"companyName\" formControlName=\"companyName\"\n                                    [class]=\"registerForm.controls.companyName.touched ? (registerForm.controls.companyName.valid && registerForm.controls.companyName.touched) ?  'form-control rounded-0 is-valid' :  'form-control rounded-0 is-invalid' : 'form-control rounded-0'\">\n                                <span class=\"invalid-feedback\">El nombre compa\u00F1\u00EDa es un campo obligatorio.</span>\n                            </div>\n                        </div>\n            \n                        <div class=\"col-12 col-md-6 px-0 pr-md-1\">\n                            <div class=\"form-group\">\n                                <label for=\"\">{{'phone'|translate}}</label>\n                                <input type=\"text\" id=\"\" placeholder=\"{{'phone'|translate}}\" required\n                                    name=\"phoneNumber\" formControlName=\"phoneNumber\"\n                                    [class]=\"registerForm.controls.phoneNumber.touched ? (registerForm.controls.phoneNumber.valid && registerForm.controls.phoneNumber.touched) ?  'form-control rounded-0 is-valid' :  'form-control rounded-0 is-invalid' : 'form-control rounded-0'\">\n                                <span class=\"invalid-feedback\">El numero de telefono es un campo obligatorio.</span>\n                            </div>\n                        </div>\n            \n                        <div class=\"col-12 col-md-6 px-0 pr-md-1\">\n                            <div class=\"form-group\">\n                                <label for=\"\">Sexo</label>\n                                <select (change)=\"onGenderSelected($event.target.value)\" required name=\"gender\"\n                                    formControlName=\"gender\"\n                                    [class]=\"registerForm.controls.gender.touched ? (registerForm.controls.gender.valid && registerForm.controls.gender.touched) ?  'form-control rounded-0 is-valid' :  'form-control rounded-0 is-invalid' : 'form-control rounded-0'\">\n                                    <option value=\"null\" id=\"selectOpSexo\">Sexo</option>\n                                    <option value=\"u\">Desconocido</option>\n                                    <option value=\"s\">Femenino</option>\n                                    <option value=\"m\">Masculino</option>\n                                </select>\n                                <span class=\"invalid-feedback\">El sexo es un campo obligatorio.</span>\n                            </div>\n                        </div>\n            \n                        <div class=\"col-12 col-md-6 px-0 pr-md-1\">\n                            <div class=\"form-group\">\n                                <label for=\"\">Fecha creacion</label>\n                                <input type=\"date\" id=\"\" placeholder=\"Fecha creacion\" required\n                                    name=\"birthday\" formControlName=\"birthday\"\n                                    [class]=\"registerForm.controls.birthday.touched ? (registerForm.controls.birthday.valid && registerForm.controls.birthday.touched) ?  'form-control rounded-0 is-valid' :  'form-control rounded-0 is-invalid' : 'form-control rounded-0'\">\n                                <span class=\"invalid-feedback\">La fecha de creacion es un campo obligatorio.</span>\n                            </div>\n                        </div>\n            \n                        <div class=\"col-12 col-md-6 px-0 pr-md-1\">\n                            <div class=\"form-group\">\n                                <label for=\"\">Identificacion</label>\n                                <input type=\"text\" id=\"\" placeholder=\"Identificacion\" required\n                                    name=\"taxIdentification\" formControlName=\"taxIdentification\"\n                                    [class]=\"registerForm.controls.taxIdentification.touched ? (registerForm.controls.taxIdentification.valid && registerForm.controls.taxIdentification.touched) ?  'form-control rounded-0 is-valid' :  'form-control rounded-0 is-invalid' : 'form-control rounded-0'\">\n                                <span class=\"invalid-feedback\">La identificacion de la compa\u00F1\u00EDa es un campo obligatorio.</span>\n                            </div>\n                        </div>\n            \n            \n            \n                        <div class=\"col-12 col-md-6 px-0 py-4 pl-md-1 order-1 order-md-2\">\n                            <!-- <div class=\"form-check py-2\">\n                                <input class=\"form-check-input\" type=\"checkbox\" value=\"\" id=\"defaultCheck1\" #terms=\"ngModel\"\n                                    name=\"terms\" [(ngModel)]=\"registroUsuario.terms\" type=\"checkbox\" required\n                                    [class]=\"terms.touched ? (terms.valid && terms.touched && registroUsuario.terms != false) ?  'form-check-input is-valid' :  'form-check-input is-invalid' : 'form-check-input '\" />\n                                <label class=\"form-check-label\" for=\"defaultCheck1\">\n                                    He leido y acepto las <a routerLink=\"/section/politicas-privacidad\" class=\"text\">pol\u00EDticas de\n                                        privacidad</a>\n                                    y los <a routerLink=\"/section/terminos-y-condiciones\" class=\"text\">t\u00E9rminos y condiciones</a>\n                                </label>\n                                <span class=\"invalid-feedback\">Debe aceptar los t\u00E9rminos y condiciones para continuar.</span>\n                            </div> -->\n                            <div class=\"form-check py-2\">\n                                <input class=\"form-check-input\" type=\"checkbox\" value=\"\" id=\"defaultCheck2\"\n                                    name=\"subscribedToNewsletter\" formControlName=\"subscribedToNewsletter\" type=\"checkbox\">\n                                <label class=\"form-check-label\" for=\"defaultCheck2\">\n                                    Suscripci\u00F3n al newsletter\n                                </label>\n                            </div>\n                        </div>\n            \n                        <div class=\"col-12 col-md-6 px-0 py-4 pr-md-1 d-flex justify-content-md-start order-2 order-md-1\">\n                            <button *ngIf=\"!register_loading\" type=\"submit\" role=\"button\"\n                                class=\"btn btn-dark bg-beige1 text-blanco bold rounded-0 px-5 py-2 w-100 w-md-auto h-fit\">REGISTRATE</button>\n                        </div>\n            \n                    </div>\n                    <app-loading-section-ec *ngIf=\"register_loading\"></app-loading-section-ec>\n                </form>\n            </div>\n        </div>\n    </div>\n</div>",
        styles: [".loading-container-form{margin-top:20px}#register{color:#000;font-size:.8rem}#register.dark{color:#fff}#selectOpPais,#selectOpProvincia,#selectOpSexo{color:#666}"]
    })
], RegisterWholesalerFormEcComponent);

var __decorate$1s = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let ShareBlockEcComponent = class ShareBlockEcComponent extends ComponentHelper {
    constructor(consts, paramsService, renderer, meta, title) {
        super();
        this.consts = consts;
        this.paramsService = paramsService;
        this.renderer = renderer;
        this.meta = meta;
        this.title = title;
        this.url = '';
        this.mediaimg = '';
        this.description = '';
        this.params = {};
        this.toShareFacebook = () => {
            //return `https://www.facebook.com/share.php?u=${encodeURIComponent(this.url)}`
            return `https://www.facebook.com/share.php?u=${this.url}`;
        };
        this.toShareTwitter = () => {
            //return `https://twitter.com/share?text=${encodeURIComponent(this.description)};url=${encodeURIComponent(this.url)}`
            return `https://twitter.com/share?text=${this.description}&url=${this.url}`;
        };
        this.toSharePinterest = () => {
            //return `https://pinterest.com/pin/create/button/?url=${encodeURIComponent(this.url)}&media=${encodeURIComponent(this.mediaimg)}&description=${encodeURIComponent(this.description)}`
            return `https://pinterest.com/pin/create/button/?url=${this.url}&media=${this.consts.mediaUrl() + this.mediaimg}&description=${this.description}`;
        };
        this.toShareWhatsapp = (wsp) => {
            return `https://wa.me/${wsp.value}?text=Me%20interesa%20este%20producto.%20${this.url}`;
        };
        this.toShareEmail = (mail) => {
            return `mailto:${mail.value}?subject=Consulta%20sobre%20el%20producto:%20${this.description}&body=Artículo:%20${this.url}`;
        };
        this.createMetadata = () => {
            //     <meta name="description" content="Cojín JOY, en algodón rústico súper soft, tonos frescos y naturales, y con detalles de borlas para darle un toque divertido.">
            // <meta property="og:site_name" content="MYC HOME LINENS">
            // <meta property="og:url" content="https://myc-homelinens.com/products/cojin-algodon-joy-azul">
            // <meta property="og:title" content="COJÍN JOY - AZUL">
            // <meta property="og:type" content="product">
            // <meta property="og:description" content="Cojín JOY, en algodón rústico súper soft, tonos frescos y naturales, y con detalles de borlas para darle un toque divertido.">
            // <meta property="og:price:amount" content="20,20">
            // <meta property="og:price:currency" content="EUR">
            // <meta property="og:image" content="http://cdn.shopify.com/s/files/1/0054/8179/1603/products/JOYAZUL45FG_f3304197-1c5a-47e2-b993-8bfcde1f9978_1200x630.png?v=1614246269">
            // <meta property="og:image" content="http://cdn.shopify.com/s/files/1/0054/8179/1603/products/JOYAZULTEXTURA_1200x630.png?v=1614246269">
            // <meta property="og:image" content="http://cdn.shopify.com/s/files/1/0054/8179/1603/products/JOYJUNTOSCUADRADA_69e9dcc0-d4d1-42e1-94f8-30f4ea263325_1200x630.png?v=1614246269">
            // <meta property="og:image:secure_url" content="https://cdn.shopify.com/s/files/1/0054/8179/1603/products/JOYAZUL45FG_f3304197-1c5a-47e2-b993-8bfcde1f9978_1200x630.png?v=1614246269">
            // <meta property="og:image:secure_url" content="https://cdn.shopify.com/s/files/1/0054/8179/1603/products/JOYAZULTEXTURA_1200x630.png?v=1614246269">
            // <meta property="og:image:secure_url" content="https://cdn.shopify.com/s/files/1/0054/8179/1603/products/JOYJUNTOSCUADRADA_69e9dcc0-d4d1-42e1-94f8-30f4ea263325_1200x630.png?v=1614246269">
            // <meta name="twitter:site" content="@">
            // <meta name="twitter:card" content="summary_large_image">
            // <meta name="twitter:title" content="COJÍN JOY - AZUL">
            // <meta name="twitter:description" content="Cojín JOY, en algodón rústico súper soft, tonos frescos y naturales, y con detalles de borlas para darle un toque divertido.">
        };
        this.ecOnConstruct();
    }
    ngOnInit() {
        this.url = window.location.href;
        this.mediaimg = this.product.picturesdefault && this.product.picturesdefault[0];
        this.description = this.product.name;
        if (this.description) {
            this.meta.addTags([
                {
                    name: "description",
                    content: this.description
                },
                {
                    property: "og:site_name",
                    content: this.title.getTitle()
                },
                {
                    property: "og:url",
                    content: this.url
                },
                {
                    property: "og:title",
                    content: this.description
                },
                {
                    property: "og:type",
                    content: 'product'
                },
                {
                    property: "og:price:amount",
                    content: this.product.price
                },
                {
                    property: "og:price:currency",
                    content: this.consts.currency.code
                },
                {
                    property: "og:image",
                    content: this.consts.mediaUrl() + this.mediaimg
                },
                {
                    property: "og:image:secure_url",
                    content: this.consts.mediaUrl() + this.mediaimg
                },
                {
                    property: "witter:site",
                    content: '@'
                },
                {
                    property: "twitter:card",
                    content: 'summary_large_image'
                },
                {
                    property: "twitter:title",
                    content: this.description
                },
                {
                    property: "twitter:description",
                    content: this.description
                }
            ], true);
        }
        this.paramsService.parameters.subscribe(res => {
            var _a;
            this.params = res != null ? (_a = res) === null || _a === void 0 ? void 0 : _a.filter(elem => elem.code.includes('share')) : [];
        });
        this.ecOnInit();
    }
};
ShareBlockEcComponent.ctorParameters = () => [
    { type: Constants },
    { type: ParametersService },
    { type: Renderer2 },
    { type: Meta },
    { type: Title }
];
__decorate$1s([
    Input()
], ShareBlockEcComponent.prototype, "product", void 0);
ShareBlockEcComponent = __decorate$1s([
    Component({
        selector: 'app-share-block-ec',
        template: "<div class=\"w-100 d-flex justify-content-around\">\n    <ng-container *ngIf=\"params && params.length > 0; else default\">\n        <a *ngIf=\"hasParams(params, 'facebook')\" target=\"_blank\" [href]=\"toShareFacebook()\"\n            class=\"social-sharing__link\" title=\"Compartir en Facebook\">\n            <svg aria-hidden=\"true\" focusable=\"false\" role=\"presentation\" class=\"icon icon-facebook\" viewBox=\"0 0 32 32\">\n                <path fill=\"#444\"\n                    d=\"M18.56 31.36V17.28h4.48l.64-5.12h-5.12v-3.2c0-1.28.64-2.56 2.56-2.56h2.56V1.28H19.2c-3.84 0-7.04 2.56-7.04 7.04v3.84H7.68v5.12h4.48v14.08h6.4z\">\n                </path>\n            </svg>\n            <span class=\"social-sharing__title\" aria-hidden=\"true\">Compartir</span>\n        </a>\n        <a *ngIf=\"hasParams(params, 'twitter')\" target=\"_blank\" \n            [href]=\"toShareTwitter()\"\n            class=\"social-sharing__link\" title=\"Tuitear en Twitter\">\n            <svg aria-hidden=\"true\" focusable=\"false\" role=\"presentation\" class=\"icon icon-twitter\" viewBox=\"0 0 32 32\">\n                <path fill=\"#444\"\n                    d=\"M31.281 6.733q-1.304 1.924-3.13 3.26 0 .13.033.408t.033.408q0 2.543-.75 5.086t-2.282 4.858-3.635 4.108-5.053 2.869-6.341 1.076q-5.282 0-9.65-2.836.913.065 1.5.065 4.401 0 7.857-2.673-2.054-.033-3.668-1.255t-2.266-3.146q.554.13 1.206.13.88 0 1.663-.261-2.184-.456-3.619-2.184t-1.435-3.977v-.065q1.239.652 2.836.717-1.271-.848-2.021-2.233t-.75-2.983q0-1.63.815-3.195 2.38 2.967 5.754 4.678t7.319 1.907q-.228-.815-.228-1.434 0-2.608 1.858-4.45t4.532-1.842q1.304 0 2.51.522t2.054 1.467q2.152-.424 4.01-1.532-.685 2.217-2.771 3.488 1.989-.261 3.619-.978z\">\n                </path>\n            </svg>\n            <span class=\"social-sharing__title\" aria-hidden=\"true\">Tuitear</span>\n        </a>\n        <a *ngIf=\"hasParams(params, 'pinterest')\" target=\"_blank\"\n            [href]=\"toSharePinterest()\"\n            class=\"social-sharing__link\" title=\"Pinear en Pinterest\">\n            <svg aria-hidden=\"true\" focusable=\"false\" role=\"presentation\" class=\"icon icon-pinterest\" viewBox=\"0 0 32 32\">\n                <path fill=\"#444\"\n                    d=\"M27.52 9.6c-.64-5.76-6.4-8.32-12.8-7.68-4.48.64-9.6 4.48-9.6 10.24 0 3.2.64 5.76 3.84 6.4 1.28-2.56-.64-3.2-.64-4.48-1.28-7.04 8.32-12.16 13.44-7.04 3.2 3.84 1.28 14.08-4.48 13.44-5.12-1.28 2.56-9.6-1.92-11.52-3.2-1.28-5.12 4.48-3.84 7.04-1.28 4.48-3.2 8.96-1.92 15.36 2.56-1.92 3.84-5.76 4.48-9.6 1.28.64 1.92 1.92 3.84 1.92 6.4-.64 10.24-7.68 9.6-14.08z\">\n                </path>\n            </svg>\n            <span class=\"social-sharing__title\" aria-hidden=\"true\">Hacer pin</span>\n        </a>\n        <a *ngIf=\"hasParams(params, 'whatsapp') as wsp\" target=\"_blank\" [href]=\"toShareWhatsapp(wsp)\" class=\"social-sharing__link\" title=\"Whatsapp\">\n            <svg xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\" role=\"presentation\" fill=\"currentColor\" class=\"bi bi-whatsapp\"\n                viewBox=\"0 0 16 16\">\n                <path\n                    d=\"M13.601 2.326A7.854 7.854 0 0 0 7.994 0C3.627 0 .068 3.558.064 7.926c0 1.399.366 2.76 1.057 3.965L0 16l4.204-1.102a7.933 7.933 0 0 0 3.79.965h.004c4.368 0 7.926-3.558 7.93-7.93A7.898 7.898 0 0 0 13.6 2.326zM7.994 14.521a6.573 6.573 0 0 1-3.356-.92l-.24-.144-2.494.654.666-2.433-.156-.251a6.56 6.56 0 0 1-1.007-3.505c0-3.626 2.957-6.584 6.591-6.584a6.56 6.56 0 0 1 4.66 1.931 6.557 6.557 0 0 1 1.928 4.66c-.004 3.639-2.961 6.592-6.592 6.592zm3.615-4.934c-.197-.099-1.17-.578-1.353-.646-.182-.065-.315-.099-.445.099-.133.197-.513.646-.627.775-.114.133-.232.148-.43.05-.197-.1-.836-.308-1.592-.985-.59-.525-.985-1.175-1.103-1.372-.114-.198-.011-.304.088-.403.087-.088.197-.232.296-.346.1-.114.133-.198.198-.33.065-.134.034-.248-.015-.347-.05-.099-.445-1.076-.612-1.47-.16-.389-.323-.335-.445-.34-.114-.007-.247-.007-.38-.007a.729.729 0 0 0-.529.247c-.182.198-.691.677-.691 1.654 0 .977.71 1.916.81 2.049.098.133 1.394 2.132 3.383 2.992.47.205.84.326 1.129.418.475.152.904.129 1.246.08.38-.058 1.171-.48 1.338-.943.164-.464.164-.86.114-.943-.049-.084-.182-.133-.38-.232z\" />\n            </svg>\n            <span class=\"social-sharing__title\" aria-hidden=\"true\">Whatsapp</span>\n        </a>\n        <a *ngIf=\"hasParams(params, 'email') as email\" target=\"_blank\" [href]=\"toShareEmail(email)\" class=\"social-sharing__link\"\n            title=\"Email\">\n            <svg xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\" role=\"presentation\" fill=\"currentColor\" class=\"bi bi-envelope-fill\"\n                viewBox=\"0 0 16 16\">\n                <path\n                    d=\"M.05 3.555A2 2 0 0 1 2 2h12a2 2 0 0 1 1.95 1.555L8 8.414.05 3.555ZM0 4.697v7.104l5.803-3.558L0 4.697ZM6.761 8.83l-6.57 4.027A2 2 0 0 0 2 14h12a2 2 0 0 0 1.808-1.144l-6.57-4.027L8 9.586l-1.239-.757Zm3.436-.586L16 11.801V4.697l-5.803 3.546Z\" />\n            </svg>\n            <span class=\"social-sharing__title\" aria-hidden=\"true\">Email</span>\n        </a>\n    </ng-container>\n</div>\n\n<!-- VISTA DEFAULT CON LINKS QUE NO REQUIEREN PARAMETROS-->\n<ng-template #default>\n    <a target=\"_blank\" [href]=\"toShareFacebook()\" class=\"social-sharing__link\" title=\"Compartir en Facebook\">\n        <svg aria-hidden=\"true\" focusable=\"false\" role=\"presentation\" class=\"icon icon-facebook\" viewBox=\"0 0 32 32\">\n            <path fill=\"#444\"\n                d=\"M18.56 31.36V17.28h4.48l.64-5.12h-5.12v-3.2c0-1.28.64-2.56 2.56-2.56h2.56V1.28H19.2c-3.84 0-7.04 2.56-7.04 7.04v3.84H7.68v5.12h4.48v14.08h6.4z\">\n            </path>\n        </svg>\n        <span class=\"social-sharing__title\" aria-hidden=\"true\">Compartir</span>\n    </a>\n    <a target=\"_blank\" [href]=\"toShareTwitter()\" class=\"social-sharing__link\" title=\"Tuitear en Twitter\">\n        <svg aria-hidden=\"true\" focusable=\"false\" role=\"presentation\" class=\"icon icon-twitter\" viewBox=\"0 0 32 32\">\n            <path fill=\"#444\"\n                d=\"M31.281 6.733q-1.304 1.924-3.13 3.26 0 .13.033.408t.033.408q0 2.543-.75 5.086t-2.282 4.858-3.635 4.108-5.053 2.869-6.341 1.076q-5.282 0-9.65-2.836.913.065 1.5.065 4.401 0 7.857-2.673-2.054-.033-3.668-1.255t-2.266-3.146q.554.13 1.206.13.88 0 1.663-.261-2.184-.456-3.619-2.184t-1.435-3.977v-.065q1.239.652 2.836.717-1.271-.848-2.021-2.233t-.75-2.983q0-1.63.815-3.195 2.38 2.967 5.754 4.678t7.319 1.907q-.228-.815-.228-1.434 0-2.608 1.858-4.45t4.532-1.842q1.304 0 2.51.522t2.054 1.467q2.152-.424 4.01-1.532-.685 2.217-2.771 3.488 1.989-.261 3.619-.978z\">\n            </path>\n        </svg>\n        <span class=\"social-sharing__title\" aria-hidden=\"true\">Tuitear</span>\n    </a>\n    <a target=\"_blank\" [href]=\"toSharePinterest()\" class=\"social-sharing__link\" title=\"Pinear en Pinterest\">\n        <svg aria-hidden=\"true\" focusable=\"false\" role=\"presentation\" class=\"icon icon-pinterest\" viewBox=\"0 0 32 32\">\n            <path fill=\"#444\"\n                d=\"M27.52 9.6c-.64-5.76-6.4-8.32-12.8-7.68-4.48.64-9.6 4.48-9.6 10.24 0 3.2.64 5.76 3.84 6.4 1.28-2.56-.64-3.2-.64-4.48-1.28-7.04 8.32-12.16 13.44-7.04 3.2 3.84 1.28 14.08-4.48 13.44-5.12-1.28 2.56-9.6-1.92-11.52-3.2-1.28-5.12 4.48-3.84 7.04-1.28 4.48-3.2 8.96-1.92 15.36 2.56-1.92 3.84-5.76 4.48-9.6 1.28.64 1.92 1.92 3.84 1.92 6.4-.64 10.24-7.68 9.6-14.08z\">\n            </path>\n        </svg>\n        <span class=\"social-sharing__title\" aria-hidden=\"true\">Hacer pin</span>\n    </a>\n</ng-template>\n<!-- FIN -->",
        styles: ["a{color:#000}"]
    })
], ShareBlockEcComponent);

var __decorate$1t = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let DetailCheckoutBlockEcComponent = class DetailCheckoutBlockEcComponent extends ComponentHelper {
    constructor(checkoutService) {
        super();
        this.checkoutService = checkoutService;
        this.data = null;
        this.discountTotal = 0;
        this.couponTotal = 0;
        this.getIcon = (data_item) => {
            switch (data_item.type) {
                case 'coupon': return 'fas fa-ticket-alt fa-3x';
                case 'discount': return 'fas fa-tags fa-3x';
                case 'shipment': return 'fas fa-shipping-fast fa-3x';
                case 'subtotal': return 'fas fa-boxes fa-3x';
                case 'taxes': return 'fas fa-file-invoice-dollar fa-3x';
                case 'total': return 'fas fa-shopping-basket fa-3x';
                default: return 'fas fa-tags fa-3x';
            }
        };
        this.getIcon2 = (data_type) => {
            switch (data_type) {
                case 'coupon': return 'fas fa-ticket-alt fa-3x';
                case 'discount': return 'fas fa-tags fa-3x';
            }
        };
        this.ecOnConstruct();
    }
    ngOnInit() {
        this.asociatedData && (this.data = this.asociatedData) ||
            this.checkoutService.asociatedData$.subscribe(data => this.data = data);
        this.calcularTotales();
        this.ecOnInit();
    }
    calcularTotales() {
        if (this.data) {
            this.discountTotal = this.data
                .filter(item => item.type === 'discount')
                .reduce((acc, curr) => acc + curr.amount, 0);
            this.couponTotal = this.data
                .filter(item => item.type === 'coupon')
                .reduce((acc, curr) => acc + curr.amount, 0);
        }
    }
};
DetailCheckoutBlockEcComponent.ctorParameters = () => [
    { type: CheckoutService }
];
__decorate$1t([
    Input()
], DetailCheckoutBlockEcComponent.prototype, "asociatedData", void 0);
DetailCheckoutBlockEcComponent = __decorate$1t([
    Component({
        selector: 'app-detail-checkout-block-ec',
        template: "<div id=\"appDetailCheckoutBlockEc\" class=\"d-flex flex-row w-100 justify-content-center flex-wrap\" *ngIf=\"data\">\n     <ng-container *ngFor=\"let item of data; let i = index\">\n          <ng-container *ngIf=\"item.type != 'discount' && item.type != 'coupon'\">\n         <div class=\"d-flex flex-column justify-content-center mx-sm-3 mx-2 text-center mb-4 resumen\">\n             <i ngClass=\"mb-2 colorIconoCheckout\" [class]=\"getIcon(item)\" ></i>\n             <strong class=\"text-center w-100 font-brandon font-md mb-1\">{{ item.type | translate }}</strong>\n             <span class=\"text-center w-100 font-brandon font-md text-gray\">{{ (item.amount != 0 ) ? (item.amount | ecCurrencySymbol) : ('free' | translate) }}</span>\n         </div>\n     </ng-container>\n\n\n     <!-- Mostrar total de descuentos -->\n     <div class=\"d-flex flex-column justify-content-center mx-sm-3 mx-2 text-center mb-4 resumen\" *ngIf=\"this.discountTotal != 0 && i === 1\" >\n          <i ngClass=\"mb-2 colorIconoCheckout\" [class]=\"getIcon2('discount')\"></i>\n          <strong class=\"text-center w-100 font-brandon font-md mb-1\">Descuento</strong>\n          <span class=\"text-center w-100 font-brandon font-md text-gray\">{{ (this.discountTotal | ecCurrencySymbol) }}</span>\n      </div>\n\n     <!-- Mostrar total de cupones -->\n     <div class=\"d-flex flex-column justify-content-center mx-sm-3 mx-2 text-center mb-4 resumen\" *ngIf=\"this.couponTotal != 0 && i === 1\">\n          <i ngClass=\"mb-2 colorIconoCheckout\" [class]=\"getIcon2('coupon')\" ></i>\n          <strong class=\"text-center w-100 font-brandon font-md mb-1\">Cupon</strong>\n          <span class=\"text-center w-100 font-brandon font-md text-gray\">{{(this.couponTotal| ecCurrencySymbol) }}</span>\n      </div>\n     </ng-container>\n </div>\n",
        styles: [""]
    })
], DetailCheckoutBlockEcComponent);

var __decorate$1u = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let CheckoutErrorComponent = class CheckoutErrorComponent extends ComponentHelper {
    constructor(checkoutErrorService, checkoutService, modalService, router) {
        super();
        this.checkoutErrorService = checkoutErrorService;
        this.checkoutService = checkoutService;
        this.modalService = modalService;
        this.router = router;
        this.urlRedireccion = '/cart';
        this.navigateByUrl = () => {
            this.router.navigateByUrl(this.urlRedireccion);
        };
        this.initializeTemplate = () => {
            if (!this.template) {
                setTimeout(() => {
                    this.initializeTemplate();
                }, 1000);
            }
            else {
                this.subs = this.checkoutErrorService.error$.pipe(filter(res => res != null)).subscribe(res => {
                    this.error = res;
                    this.bsModalRef = this.modalService.show(this.template, { class: 'modal-lg ', keyboard: false, backdrop: 'static', animated: true });
                });
                this.subsModal = this.modalService.onHide.subscribe(onClose => {
                    this.bsModalRef = null;
                    this.navigateByUrl();
                });
            }
        };
    }
    ngOnInit() {
        console.log('Componente manejo de errores inicializando');
        this.subs = this.checkoutErrorService.error$.pipe(filter(res => res != null)).subscribe(res => {
            this.error = res;
            setTimeout(() => {
                this.navigateByUrl();
            }, 3000);
        });
        this.ecOnInit();
    }
    ngOnDestroy() {
        var _a, _b;
        (_a = this.subs) === null || _a === void 0 ? void 0 : _a.unsubscribe();
        (_b = this.subsModal) === null || _b === void 0 ? void 0 : _b.unsubscribe();
    }
};
CheckoutErrorComponent.ctorParameters = () => [
    { type: ErrorHandlerService },
    { type: CheckoutService },
    { type: BsModalService },
    { type: Router }
];
__decorate$1u([
    ViewChild('template')
], CheckoutErrorComponent.prototype, "template", void 0);
__decorate$1u([
    Input()
], CheckoutErrorComponent.prototype, "urlRedireccion", void 0);
CheckoutErrorComponent = __decorate$1u([
    Component({
        selector: 'ec-checkout-error',
        template: "<ng-template #template>\n    <div class=\"modal-content\">\n        <div class=\"modal-header\">\n            <h4 class=\"modal-title pull-left\">{{ 'error-during-checkout' | translate }}</h4>\n            <button type=\"button\" class=\"close pull-right\" aria-label=\"Close\" (click)=\"bsModalRef.hide()\">\n                <span aria-hidden=\"true\">&times;</span>\n            </button>\n        </div>\n        <div class=\"modal-body p-5\">\n            {{ error.message }}\n        </div>\n        <div class=\"modal-footer\">\n            <button type=\"button\" class=\"btn btn-default\" (click)=\"bsModalRef.hide()\">Continuar</button>\n        </div>\n    </div>\n</ng-template>\n\n",
        providers: [BsModalService],
        styles: [".capitalize{text-transform:capitalize}"]
    })
], CheckoutErrorComponent);

var __decorate$1v = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let MpRedirectEcComponent = class MpRedirectEcComponent extends ComponentHelper {
    constructor(renderer, connection, toastrService, consts, cartService, toastr, activedRoute, sanitizer) {
        super();
        this.renderer = renderer;
        this.connection = connection;
        this.toastrService = toastrService;
        this.consts = consts;
        this.cartService = cartService;
        this.toastr = toastr;
        this.activedRoute = activedRoute;
        this.sanitizer = sanitizer;
        this.method = null;
        this.total_amount = 0;
        this.ready = new EventEmitter();
        this.loading = false;
        this.isDobleAuth = false;
        this.urls = [];
        this.closeModal = '';
        this.dataRedirect = () => this.consts.getUrlBase() + 'shop-api/' + this.consts.getChannel() + '/redsys/redirect/' + this.cartService.cart_token + '/process-payment';
        this.iniciar = () => {
            this.closeModal = '';
            this.clearStorageState();
            this.ventana = window.open(this.url);
            this.callState();
        };
        this.clearStorageState = () => {
            sessionStorage.removeItem('state');
            localStorage.removeItem('state');
        };
        this.clickClose = () => {
            var _a;
            this.closeModal = 'cancel';
            (_a = this.ventana) === null || _a === void 0 ? void 0 : _a.close();
        };
        this.callState = () => {
            var _a, _b, _c, _d, _e;
            let state = this.closeModal != '' ? this.closeModal : localStorage.getItem('state');
            !state && this.ventana.closed && (state = 'cancel');
            this.loading = true;
            state && console.log(state);
            if (state) {
                this.loading = false;
                localStorage.removeItem('state');
                if (state == 'success') {
                    (_a = this.ventana) === null || _a === void 0 ? void 0 : _a.close();
                    this.ready.emit(true);
                    return;
                }
                if (state == 'pending') {
                    (_b = this.ventana) === null || _b === void 0 ? void 0 : _b.close();
                    this.ready.emit(true);
                    return;
                }
                if (state == 'failure') {
                    (_c = this.ventana) === null || _c === void 0 ? void 0 : _c.close();
                    this.processError('');
                    return;
                }
                if (state == 'cancel') {
                    (_d = this.ventana) === null || _d === void 0 ? void 0 : _d.close();
                    this.processError('Se cancelo el pago con mercado pago');
                    return;
                }
                (_e = this.ventana) === null || _e === void 0 ? void 0 : _e.close();
                this.processError('');
                return;
            }
            setTimeout(() => {
                this.callState();
            }, 5000);
        };
        this.processError = (err) => {
            this.toastrService.show(err != '' ? err : 'payment-error');
            console.log("ERROR ENVIO BACK  ", err);
        };
        this.getPreference = () => this.paymentServiceInst.getPreference(this.allData).then(res => {
            this.preference = res;
            this.url = this.preference.init_point;
            this.renderMP(this.preference);
        }, err => this.setError('operation-error'));
        this.setError = (message) => {
            //this.error = message;
        };
        this.renderMP = (preference) => {
            window.addEventListener("message", (event) => {
                if (event.origin !== 'https://www.mercadopago.com.ar' || !event.data.type) {
                    return;
                }
                let dataType = event.data.type;
                if (dataType === 'submit') {
                    const paymentData = event.data.value;
                    return;
                }
            });
        };
        this.ecOnConstruct();
    }
    ngOnInit() {
        this.getPreference();
        this.ecOnInit();
    }
    ngOnDestroy() {
        // console.log("SE DESTROZA");
    }
    ngOnChanges() {
        // console.log("SE CAMBIO");
    }
};
MpRedirectEcComponent.ctorParameters = () => [
    { type: Renderer2 },
    { type: ConnectionService },
    { type: ToastService },
    { type: Constants },
    { type: CartService },
    { type: ToastService },
    { type: ActivatedRoute },
    { type: DomSanitizer }
];
__decorate$1v([
    Input()
], MpRedirectEcComponent.prototype, "method", void 0);
__decorate$1v([
    Input()
], MpRedirectEcComponent.prototype, "total_amount", void 0);
__decorate$1v([
    Input()
], MpRedirectEcComponent.prototype, "paymentServiceInst", void 0);
__decorate$1v([
    Input()
], MpRedirectEcComponent.prototype, "allData", void 0);
__decorate$1v([
    Output()
], MpRedirectEcComponent.prototype, "ready", void 0);
MpRedirectEcComponent = __decorate$1v([
    Component({
        selector: 'app-mp-redirect-ec',
        template: "<div class=\"text-center\">\n    <ng-container *ngIf=\"url;else loadingUrl\">\n        <ng-container *ngIf=\"!loading;else loadingTemp\">\n            <button (click)=\"iniciar()\" class=\"btn btn-outline-secondary rounded-0 comprar\">Pagar</button>\n        </ng-container>\n    </ng-container>\n</div>\n\n<ng-template #loadingUrl>\n    <div class=\"d-flex flex-column jusitfy-content-center align-items-center mt-2\">\n        <app-loading-full-ec></app-loading-full-ec>\n    </div>\n</ng-template>\n\n<ng-template #loadingTemp>\n    <div class=\"d-flex flex-column jusitfy-content-center align-items-center mt-2\">\n        <h3>Procesando el pago por mercado pago</h3>\n        <h5>Recuerde hacer click en \"Volver al sitio\" desde mercado pago para finalizar la compra.</h5>\n        <app-loading-full-ec></app-loading-full-ec>\n    </div>\n    <div class=\"container-fluid\">\n        <div class=\"row\">\n            <div class=\"col-5\">\n            <hr>\n            </div>\n            <div class=\"col-2 text-center\">\n            <label for=\"\">o</label>\n            </div>\n            <div class=\"col-5\">\n            <hr>\n            </div>\n        </div>\n    </div>\n    <div class=\"d-flex flex-column jusitfy-content-center align-items-center mt-2\">\n        <button (click)=\"clickClose()\" class=\"btn btn-outline-secondary rounded-0 comprar\">Cancelar pago</button>\n    </div>\n</ng-template>",
        styles: [".half-width{width:49%!important}.ml-1{margin-left:1%}#card-form{height:450px}.iframeStyle{height:800px;width:100%;max-height:800px}"]
    })
], MpRedirectEcComponent);

var __decorate$1w = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let RedSysRedirectOutEcComponent = class RedSysRedirectOutEcComponent extends ComponentHelper {
    constructor(renderer, connection, toastrService, consts, cartService, toastr, activedRoute, sanitizer) {
        super();
        this.renderer = renderer;
        this.connection = connection;
        this.toastrService = toastrService;
        this.consts = consts;
        this.cartService = cartService;
        this.toastr = toastr;
        this.activedRoute = activedRoute;
        this.sanitizer = sanitizer;
        this.method = null;
        this.total_amount = 0;
        this.user_data = null;
        this.ready = new EventEmitter();
        this.loading = false;
        this.isDobleAuth = false;
        this.urls = [];
        this.closeModal = '';
        this.dataRedirect = () => this.consts.getUrlBase() + 'shop-api/' + this.consts.getChannel() + '/redsys/redirect/' + this.cartService.cart_token + '/process-payment';
        this.iniciar = () => {
            this.closeModal = '';
            this.clearStorageState();
            localStorage.setItem('dataRedirect', this.dataRedirect());
            this.ventana = window.open(this.url);
            this.callState();
        };
        this.clearStorageState = () => {
            sessionStorage.removeItem('state');
            localStorage.removeItem('state');
        };
        this.clickClose = () => {
            var _a;
            this.closeModal = 'cancel';
            (_a = this.ventana) === null || _a === void 0 ? void 0 : _a.close();
        };
        this.callState = () => {
            var _a, _b, _c, _d, _e;
            let state = this.closeModal != '' ? this.closeModal : localStorage.getItem('state');
            !state && this.ventana.closed && (state = 'cancel');
            this.loading = true;
            state && console.log(state);
            if (state) {
                this.loading = false;
                localStorage.removeItem('state');
                if (state == 'success' || state == 'ok') {
                    (_a = this.ventana) === null || _a === void 0 ? void 0 : _a.close();
                    this.ready.emit(true);
                    return;
                }
                if (state == 'pending' || state == 'ok') {
                    (_b = this.ventana) === null || _b === void 0 ? void 0 : _b.close();
                    this.ready.emit(true);
                    return;
                }
                if (state == 'failure' || state == 'error') {
                    (_c = this.ventana) === null || _c === void 0 ? void 0 : _c.close();
                    this.processError('');
                    return;
                }
                if (state == 'cancel') {
                    (_d = this.ventana) === null || _d === void 0 ? void 0 : _d.close();
                    this.processError('Se cancelo el pago con redsys');
                    return;
                }
                (_e = this.ventana) === null || _e === void 0 ? void 0 : _e.close();
                this.processError('');
                return;
            }
            setTimeout(() => {
                this.callState();
            }, 5000);
        };
        this.processError = (err) => {
            this.toastrService.show(err != '' ? err : 'payment-error');
            console.log("ERROR ENVIO BACK  ", err);
        };
        this.setError = (message) => {
        };
        this.ecOnConstruct();
    }
    ngOnInit() {
        setTimeout(() => {
            this.url = "../../../assets/redsysFrameRedirectOutBase.html";
        }, 1000);
        this.ecOnInit();
    }
    ngOnDestroy() {
        // console.log("SE DESTROZA");
    }
    ngOnChanges() {
        // console.log("SE CAMBIO");
    }
};
RedSysRedirectOutEcComponent.ctorParameters = () => [
    { type: Renderer2 },
    { type: ConnectionService },
    { type: ToastService },
    { type: Constants },
    { type: CartService },
    { type: ToastService },
    { type: ActivatedRoute },
    { type: DomSanitizer }
];
__decorate$1w([
    Input()
], RedSysRedirectOutEcComponent.prototype, "method", void 0);
__decorate$1w([
    Input()
], RedSysRedirectOutEcComponent.prototype, "total_amount", void 0);
__decorate$1w([
    Input()
], RedSysRedirectOutEcComponent.prototype, "user_data", void 0);
__decorate$1w([
    Input()
], RedSysRedirectOutEcComponent.prototype, "paymentServiceInst", void 0);
__decorate$1w([
    Input()
], RedSysRedirectOutEcComponent.prototype, "allData", void 0);
__decorate$1w([
    Output()
], RedSysRedirectOutEcComponent.prototype, "ready", void 0);
RedSysRedirectOutEcComponent = __decorate$1w([
    Component({
        selector: 'app-redsys-redirect-out-ec',
        template: "<div class=\"text-center\">\n    <p *ngIf=\"method\" class=\"px-5\">{{ method?.description }}</p>\n    <p *ngIf=\"method\" class=\"px-5\">{{ method?.instructions }}</p>\n    <ng-container *ngIf=\"url;else loadingUrl\">\n        <ng-container *ngIf=\"!loading;else loadingTemp\">\n            <button (click)=\"iniciar()\" class=\"btn btn-outline-secondary rounded-0 comprar\">Pagar</button>\n        </ng-container>\n    </ng-container>\n</div>\n\n<ng-template #loadingUrl>\n    <div class=\"d-flex flex-column jusitfy-content-center align-items-center mt-2\">\n        <app-loading-full-ec></app-loading-full-ec>\n    </div>\n</ng-template>\n\n<ng-template #loadingTemp>\n    <div class=\"d-flex flex-column jusitfy-content-center align-items-center mt-2\">\n        <h3>Procesando el pago por Redsys</h3>\n        <h5>Recuerde hacer click en \"Continuar\" desde Redsys para finalizar la compra.</h5>\n        <app-loading-full-ec></app-loading-full-ec>\n    </div>\n    <div class=\"container-fluid\">\n        <div class=\"row\">\n            <div class=\"col-5\">\n            <hr>\n            </div>\n            <div class=\"col-2 text-center\">\n            <label for=\"\">o</label>\n            </div>\n            <div class=\"col-5\">\n            <hr>\n            </div>\n        </div>\n    </div>\n    <div class=\"d-flex flex-column jusitfy-content-center align-items-center mt-2\">\n        <button (click)=\"clickClose()\" class=\"btn btn-outline-secondary rounded-0 comprar\">Cancelar pago</button>\n    </div>\n</ng-template>",
        styles: [".half-width{width:49%!important}.ml-1{margin-left:1%}#card-form{height:450px}.iframeStyle{height:800px;width:100%;max-height:800px}"]
    })
], RedSysRedirectOutEcComponent);

var __decorate$1x = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __awaiter$f = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
let PaypalExpressEcComponent = class PaypalExpressEcComponent extends ComponentHelper {
    constructor(renderer, connection, toastrService, consts, cartService, toastr, activedRoute) {
        super();
        this.renderer = renderer;
        this.connection = connection;
        this.toastrService = toastrService;
        this.consts = consts;
        this.cartService = cartService;
        this.toastr = toastr;
        this.activedRoute = activedRoute;
        this.method = null;
        this.total_amount = 0;
        this.ready = new EventEmitter();
        this.user_data = null;
        this.getUrlNotification = () => this.consts.getUrlBase() + 'shop-api/' + this.consts.getChannel() + '/paypal/redirect/notification';
        this.producto = {
            descripcion: 'producto en venta',
            precio: 10,
            img: 'imagen de tu producto'
        };
        this.title = 'angular-paypal-payment';
        this.loading = false;
        this.cart = null;
        this.tried = 10;
        this.renderPayPal = () => {
            if (this.tried == 0) {
                return;
            }
            else {
                this.tried--;
            }
            setTimeout(() => {
                try {
                    if ((typeof paypal !== 'undefined') && paypal != undefined && paypal != null) {
                        paypal
                            .Buttons({
                            createOrder: (data, actions) => {
                                var _a, _b, _c;
                                return actions.order.create({
                                    purchase_units: [
                                        {
                                            amount: {
                                                currency_code: ((_a = this.cart) === null || _a === void 0 ? void 0 : _a.currency) || 'USD',
                                                value: this.total_amount || ((_c = (_b = this.cart) === null || _b === void 0 ? void 0 : _b.totals) === null || _c === void 0 ? void 0 : _c.total)
                                            }
                                        }
                                    ]
                                });
                            },
                            onApprove: (data, actions) => __awaiter$f(this, void 0, void 0, function* () {
                                const order = yield actions.order.capture();
                                order.purchase_units[0]['reference_id'] = this.cart.tokenValue;
                                //console.log(order);
                                this.connection.postOutsider(this.getUrlNotification(), order).toPromise().then(res => {
                                    this.ready.emit(true);
                                    console.log('ok');
                                }).catch(res => {
                                    this.processError('');
                                    console.log('error');
                                });
                            }),
                            onError: err => {
                                console.log(err);
                                this.processError('');
                            }
                        })
                            .render(this.paypalElement.nativeElement);
                        this.loading = false;
                    }
                    else {
                        /* console.log('Entro al else'); */
                        this.renderPayPal();
                    }
                }
                catch (error) {
                    /* console.log('Entro al catch'); */
                    this.renderPayPal();
                }
            }, 1000);
        };
        this.processError = (err) => {
            this.toastrService.show(err != '' ? err : 'payment-error');
            console.log("ERROR ENVIO BACK  ", err);
        };
        this.setVariables = () => {
            // setTimeout(() => {
            //     if (typeof PAYPAL_CLIENT !== 'undefined'
            //         && typeof PAYPAL_SECRET !== 'undefined'
            //         && typeof PAYPAL_ORDER_API !== 'undefined') {
            //         PAYPAL_CLIENT = this.method.config.public_client_id;
            //         PAYPAL_SECRET = this.method.config.public_client_secret;
            //         PAYPAL_ORDER_API = 'https://api-m.paypal.com/v2/checkout/orders/';
            //     } else {
            //         console.log('no entro al if');
            //         this.setVariables()
            //     }
            // }, 2000);
        };
        this.ecOnConstruct();
    }
    ngOnInit() {
        this.loading = true;
        this.setVariables();
        this.subsCart = this.cartService.cart.subscribe(cart => {
            var _a;
            this.cart = cart;
            //console.log(this.cart);
            let scriptSdk = this.renderer.createElement("script");
            this.renderer.setAttribute(scriptSdk, 'src', 'https://www.paypal.com/sdk/js?client-id=' + this.method.config.public_client_id + '&currency=' + ((_a = this.cart) === null || _a === void 0 ? void 0 : _a.currency) || 'USD');
            this.renderer.appendChild(document.body, scriptSdk);
            this.renderPayPal();
        });
        this.ecOnInit();
    }
    ngOnDestroy() {
        this.subsCart.unsubscribe();
    }
    ngOnChanges() {
    }
};
PaypalExpressEcComponent.ctorParameters = () => [
    { type: Renderer2 },
    { type: ConnectionService },
    { type: ToastService },
    { type: Constants },
    { type: CartService },
    { type: ToastService },
    { type: ActivatedRoute }
];
__decorate$1x([
    Input()
], PaypalExpressEcComponent.prototype, "method", void 0);
__decorate$1x([
    Input()
], PaypalExpressEcComponent.prototype, "total_amount", void 0);
__decorate$1x([
    Output()
], PaypalExpressEcComponent.prototype, "ready", void 0);
__decorate$1x([
    Input()
], PaypalExpressEcComponent.prototype, "user_data", void 0);
__decorate$1x([
    ViewChild('template')
], PaypalExpressEcComponent.prototype, "template", void 0);
__decorate$1x([
    ViewChild('paypal', { static: true })
], PaypalExpressEcComponent.prototype, "paypalElement", void 0);
PaypalExpressEcComponent = __decorate$1x([
    Component({
        selector: 'app-paypal-express-ec',
        template: "<div class=\"text-center\">\n    <p *ngIf=\"method\" class=\"px-5\">{{ method?.description }}</p>\n    <p *ngIf=\"method\" class=\"px-5\">{{ method?.instructions }}</p>\n    <ng-container *ngIf=\"!loading;else loadingTemp\">\n    </ng-container>\n    <div #paypal> </div>\n</div>\n\n<ng-template #loadingTemp>\n    <div class=\"d-flex flex-column jusitfy-content-center align-items-center mt-2\">\n        <app-loading-full-ec></app-loading-full-ec>\n    </div>\n</ng-template>",
        styles: [".half-width{width:49%!important}.ml-1{margin-left:1%}#card-form{height:450px}.iframeStyle{height:800px;width:100%;max-height:800px}"]
    })
], PaypalExpressEcComponent);

var __decorate$1y = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let MobbexEcComponent = class MobbexEcComponent extends ComponentHelper {
    constructor(renderer, connection, toastrService, consts, cartService, toastr, activedRoute, sanitizer, modalService) {
        super();
        this.renderer = renderer;
        this.connection = connection;
        this.toastrService = toastrService;
        this.consts = consts;
        this.cartService = cartService;
        this.toastr = toastr;
        this.activedRoute = activedRoute;
        this.sanitizer = sanitizer;
        this.modalService = modalService;
        this.method = null;
        this.total_amount = 0;
        this.user_data = null;
        this.ready = new EventEmitter();
        this.loading = false;
        this.isDobleAuth = false;
        this.urls = [];
        this.closeModal = '';
        this.dataRedirect = () => this.consts.getUrlBase() + 'shop-api/' + this.consts.getChannel() + '/redsys/redirect/' + this.cartService.cart_token + '/process-payment';
        this.clearStorageState = () => {
            sessionStorage.removeItem('state');
            localStorage.removeItem('state');
        };
        this.clickClose = () => {
            this.closeModal = 'cancel';
            this.modalRef.hide();
            this.processError('Se cancelo el pago con mobbex');
        };
        this.callState = () => {
            try {
                let state = this.closeModal != '' ? this.closeModal : localStorage.getItem('state');
                this.loading = true;
                state && console.log(state);
                if (state) {
                    this.loading = false;
                    sessionStorage.removeItem('state');
                    localStorage.removeItem('state');
                    if (state == 'success') {
                        this.ready.emit(true);
                    }
                    if (state == 'cancel') {
                        return;
                    }
                    if (state == 'failure') {
                        this.processError('');
                    }
                    this.modalRef.hide();
                    return;
                }
                setTimeout(() => {
                    this.callState();
                }, 5000);
            }
            catch (error) {
                console.error(error);
            }
        };
        this.processError = (err) => {
            this.toastrService.show(err != '' ? err : 'payment-error');
            console.log("ERROR ENVIO BACK  ", err);
        };
        this.getCheckoutMobbex = () => {
            this.loading = true;
            this.paymentServiceInst.getCheckoutMobbex(this.allData).then(res => {
                var _a, _b, _c, _d;
                this.dataMobbex = res;
                this.url = ((_b = (_a = res) === null || _a === void 0 ? void 0 : _a.data) === null || _b === void 0 ? void 0 : _b.url) && this.sanitizer.bypassSecurityTrustResourceUrl((_d = (_c = res) === null || _c === void 0 ? void 0 : _c.data) === null || _d === void 0 ? void 0 : _d.url);
                this.loading = false;
            }, err => {
                this.processError('operation-error');
                this.loading = false;
            });
        };
        this.ecOnConstruct();
    }
    ngOnInit() {
        this.getCheckoutMobbex();
        this.ecOnInit();
    }
    ngOnDestroy() {
        // console.log("SE DESTROZA");
    }
    ngOnChanges() {
        // console.log("SE CAMBIO");
    }
    openModal(template) {
        this.clearStorageState();
        this.modalRef = this.modalService.show(template, { class: 'modal-lg modal-dialog-centered ', keyboard: false, backdrop: 'static', animated: true });
        this.closeModal = '';
        this.callState();
    }
};
MobbexEcComponent.ctorParameters = () => [
    { type: Renderer2 },
    { type: ConnectionService },
    { type: ToastService },
    { type: Constants },
    { type: CartService },
    { type: ToastService },
    { type: ActivatedRoute },
    { type: DomSanitizer },
    { type: BsModalService }
];
__decorate$1y([
    Input()
], MobbexEcComponent.prototype, "paymentServiceInst", void 0);
__decorate$1y([
    Input()
], MobbexEcComponent.prototype, "method", void 0);
__decorate$1y([
    Input()
], MobbexEcComponent.prototype, "total_amount", void 0);
__decorate$1y([
    Input()
], MobbexEcComponent.prototype, "allData", void 0);
__decorate$1y([
    Input()
], MobbexEcComponent.prototype, "user_data", void 0);
__decorate$1y([
    Output()
], MobbexEcComponent.prototype, "ready", void 0);
__decorate$1y([
    ViewChild('template')
], MobbexEcComponent.prototype, "template", void 0);
MobbexEcComponent = __decorate$1y([
    Component({
        selector: 'app-mobbex-ec',
        template: "<div class=\"text-center\">\n    <h3>Continuar con el pago en Mobbex</h3>\n    <p *ngIf=\"method\" class=\"px-5\">{{ method?.description }}</p>\n    <p *ngIf=\"method\" class=\"px-5\">{{ method?.instructions }}</p>\n    <ng-container *ngIf=\"!loading ; else loadingUrl\">\n        <button class=\"btn btn-outline-secondary comprar\" (click)=\"openModal(template)\">Pagar</button>\n    </ng-container>\n</div>\n\n<ng-template #template>\n    <div class=\"modal-content\">\n    </div>\n    <div class=\"modal-body\">\n        <iframe [src]=\"url\" frameborder=\"0\" class=\"iframeStyle\"></iframe>\n    </div>\n</ng-template>\n\n<ng-template #loadingUrl>\n    <div class=\"d-flex flex-column jusitfy-content-center align-items-center mt-2\">\n        <app-loading-full-ec></app-loading-full-ec>\n    </div>\n</ng-template>",
        providers: [BsModalService],
        styles: [".half-width{width:49%!important}.ml-1{margin-left:1%}#card-form{height:450px}.iframeStyle{height:800px;width:100%;max-height:800px}"]
    })
], MobbexEcComponent);

var __decorate$1z = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let BancardEcComponent = class BancardEcComponent extends ComponentHelper {
    constructor(renderer, connection, toastrService, consts, cartService, toastr, activedRoute, sanitizer, modalService) {
        super();
        this.renderer = renderer;
        this.connection = connection;
        this.toastrService = toastrService;
        this.consts = consts;
        this.cartService = cartService;
        this.toastr = toastr;
        this.activedRoute = activedRoute;
        this.sanitizer = sanitizer;
        this.modalService = modalService;
        this.method = null;
        this.total_amount = 0;
        this.user_data = null;
        this.ready = new EventEmitter();
        this.loading = false;
        this.isDobleAuth = false;
        this.urls = [];
        this.closeModal = '';
        this.dataRedirect = () => this.consts.getUrlBase() + 'shop-api/' + this.consts.getChannel() + '/bancard/' + this.cartService.cart_token + '/process-payment';
        this.clearStorageState = () => {
            sessionStorage.removeItem('state');
            localStorage.removeItem('state');
        };
        this.clickClose = () => {
            this.closeModal = 'cancel';
            this.modalRef.hide();
            this.processError('Se cancelo el pago con bancard');
        };
        this.callState = () => {
            try {
                let state = this.closeModal != '' ? this.closeModal : localStorage.getItem('state');
                this.loading = true;
                state && console.log(state);
                if (state) {
                    this.loading = false;
                    sessionStorage.removeItem('state');
                    localStorage.removeItem('state');
                    if (state == 'success') {
                        this.ready.emit(true);
                    }
                    if (state == 'cancel') {
                        this.processError('Se cancelo el pago con bancard');
                        return;
                    }
                    if (state == 'failure') {
                        this.processError('');
                    }
                    this.modalRef.hide();
                    return;
                }
                setTimeout(() => {
                    this.callState();
                }, 5000);
            }
            catch (error) {
                console.error(error);
            }
        };
        this.processError = (err) => {
            this.toastrService.show(err != '' ? err : 'payment-error');
            console.log("ERROR ENVIO BACK  ", err);
        };
        this.getCheckoutBancard = () => {
            this.loading = true;
            this.paymentServiceInst.getCheckoutBancard(this.allData).then(res => {
                var _a, _b, _c, _d;
                this.dataBancard = res;
                this.url = ((_a = res) === null || _a === void 0 ? void 0 : _a.iframe_link) && this.sanitizer.bypassSecurityTrustResourceUrl((_b = res) === null || _b === void 0 ? void 0 : _b.iframe_link);
                ((_c = res) === null || _c === void 0 ? void 0 : _c.iframe_link) || (this.url = null) && this.processError('operation-error');
                ((_d = this.dataBancard) === null || _d === void 0 ? void 0 : _d.process_id) && localStorage.setItem('dataRedirect', this.dataBancard.process_id);
                this.loading = false;
            }, err => {
                this.processError('operation-error');
                this.loading = false;
            });
        };
        this.ecOnConstruct();
    }
    ngOnInit() {
        this.getCheckoutBancard();
        this.ecOnInit();
    }
    ngOnDestroy() {
        // console.log("SE DESTROZA");
    }
    ngOnChanges() {
        // console.log("SE CAMBIO");
    }
    openModal(template) {
        this.clearStorageState();
        this.modalRef = this.modalService.show(template, { class: 'modal-lg modal-dialog-centered ', keyboard: false, backdrop: 'static', animated: true });
        this.closeModal = '';
        this.callState();
    }
};
BancardEcComponent.ctorParameters = () => [
    { type: Renderer2 },
    { type: ConnectionService },
    { type: ToastService },
    { type: Constants },
    { type: CartService },
    { type: ToastService },
    { type: ActivatedRoute },
    { type: DomSanitizer },
    { type: BsModalService }
];
__decorate$1z([
    Input()
], BancardEcComponent.prototype, "paymentServiceInst", void 0);
__decorate$1z([
    Input()
], BancardEcComponent.prototype, "method", void 0);
__decorate$1z([
    Input()
], BancardEcComponent.prototype, "total_amount", void 0);
__decorate$1z([
    Input()
], BancardEcComponent.prototype, "allData", void 0);
__decorate$1z([
    Input()
], BancardEcComponent.prototype, "user_data", void 0);
__decorate$1z([
    Output()
], BancardEcComponent.prototype, "ready", void 0);
__decorate$1z([
    ViewChild('template')
], BancardEcComponent.prototype, "template", void 0);
BancardEcComponent = __decorate$1z([
    Component({
        selector: 'app-bancard-ec',
        template: "<div class=\"h-100 text-center\">\n    <h4>Continuar con el pago con Bancard</h4>\n    <p *ngIf=\"method\" class=\"px-5\">{{ method?.description }}</p>\n    <p *ngIf=\"method\" class=\"px-5\">{{ method?.instructions }}</p>\n    <ng-container *ngIf=\"!loading ; else loadingUrl\">\n        <button *ngIf=\"url\" class=\"btn btn-outline-secondary comprar\" (click)=\"openModal(template)\">Pagar</button>\n        <p *ngIf=\"!url\" class=\"px-5\">Actualmente no se encuentra disponible el m\u00E9todo de pago</p>\n    </ng-container>\n</div>\n\n<ng-template #template>\n    <div class=\"modal-content\">\n        <div class=\"modal-header border-none justify-content-end px-1\">\n            <button type=\"button\" class=\"btn bg-none\" (click)=\"clickClose()\">\n                X \n            </button>\n        </div>\n    </div>\n    <div class=\"modal-body\">\n        <iframe src=\"assets/bancardFrameBase.html\" frameborder=\"0\" class=\"iframeStyle\"></iframe>\n    </div>\n</ng-template>\n\n<ng-template #loadingUrl>\n    <div class=\"d-flex flex-column jusitfy-content-center align-items-center mt-2\">\n        <app-loading-full-ec></app-loading-full-ec>\n    </div>\n</ng-template>",
        providers: [BsModalService],
        styles: [".half-width{width:49%!important}.ml-1{margin-left:1%}#card-form{height:450px}.iframeStyle{height:400px;width:100%;max-height:800px}"]
    })
], BancardEcComponent);

var __decorate$1A = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let BancardRedirectEcComponent = class BancardRedirectEcComponent extends ComponentHelper {
    constructor(renderer, connection, toastrService, consts, cartService, toastr, activedRoute, sanitizer) {
        super();
        this.renderer = renderer;
        this.connection = connection;
        this.toastrService = toastrService;
        this.consts = consts;
        this.cartService = cartService;
        this.toastr = toastr;
        this.activedRoute = activedRoute;
        this.sanitizer = sanitizer;
        this.method = null;
        this.total_amount = 0;
        this.user_data = null;
        this.ready = new EventEmitter();
        this.loading = false;
        this.isDobleAuth = false;
        this.urls = [];
        this.closeModal = '';
        this.dataRedirect = () => this.consts.getUrlBase() + 'shop-api/' + this.consts.getChannel() + '/redsys/redirect/' + this.cartService.cart_token + '/process-payment';
        this.iniciar = () => {
            this.closeModal = '';
            this.clearStorageState();
            this.ventana = window.open(this.url);
            this.callState();
        };
        this.clearStorageState = () => {
            sessionStorage.removeItem('state');
            localStorage.removeItem('state');
        };
        this.clickClose = () => {
            var _a;
            this.closeModal = 'cancel';
            (_a = this.ventana) === null || _a === void 0 ? void 0 : _a.close();
        };
        this.callState = () => {
            var _a;
            let state = this.closeModal != '' ? this.closeModal : localStorage.getItem('state');
            !state && this.ventana.closed && (state = 'cancel');
            this.loading = true;
            state && console.log(state);
            if (state) {
                this.loading = false;
                sessionStorage.removeItem('state');
                localStorage.removeItem('state');
                if (state == 'success') {
                    this.ready.emit(true);
                }
                if (state == 'cancel') {
                    return;
                }
                if (state == 'failure') {
                    this.processError('');
                }
                (_a = this.ventana) === null || _a === void 0 ? void 0 : _a.close();
                return;
            }
            setTimeout(() => {
                this.callState();
            }, 4000);
        };
        this.processError = (err) => {
            this.toastrService.show(err != '' ? err : 'payment-error');
            console.log("ERROR ENVIO BACK  ", err);
        };
        this.setError = (message) => {
        };
        this.getCheckoutBancard = () => {
            this.loading = true;
            this.paymentServiceInst.getCheckoutBancard(this.allData).then(res => {
                var _a, _b, _c;
                this.dataBancard = res;
                this.url = ((_a = res) === null || _a === void 0 ? void 0 : _a.iframe_link) && ((_b = res) === null || _b === void 0 ? void 0 : _b.iframe_link);
                ((_c = res) === null || _c === void 0 ? void 0 : _c.iframe_link) || (this.url = null) && this.processError('operation-error');
                this.loading = false;
            }, err => {
                this.processError('operation-error');
                this.loading = false;
            });
        };
        this.ecOnConstruct();
    }
    ngOnInit() {
        this.getCheckoutBancard();
        this.ecOnInit();
    }
    ngOnDestroy() {
        // console.log("SE DESTROZA");
    }
    ngOnChanges() {
        // console.log("SE CAMBIO");
    }
};
BancardRedirectEcComponent.ctorParameters = () => [
    { type: Renderer2 },
    { type: ConnectionService },
    { type: ToastService },
    { type: Constants },
    { type: CartService },
    { type: ToastService },
    { type: ActivatedRoute },
    { type: DomSanitizer }
];
__decorate$1A([
    Input()
], BancardRedirectEcComponent.prototype, "method", void 0);
__decorate$1A([
    Input()
], BancardRedirectEcComponent.prototype, "total_amount", void 0);
__decorate$1A([
    Input()
], BancardRedirectEcComponent.prototype, "user_data", void 0);
__decorate$1A([
    Input()
], BancardRedirectEcComponent.prototype, "paymentServiceInst", void 0);
__decorate$1A([
    Input()
], BancardRedirectEcComponent.prototype, "allData", void 0);
__decorate$1A([
    Output()
], BancardRedirectEcComponent.prototype, "ready", void 0);
BancardRedirectEcComponent = __decorate$1A([
    Component({
        selector: 'app-bancard-redirect-ec',
        template: "<div class=\"text-center\">\n    <h4>Continuar con el pago con Bancard</h4>\n    <p *ngIf=\"method\" class=\"px-5\">{{ method?.description }}</p>\n    <p *ngIf=\"method\" class=\"px-5\">{{ method?.instructions }}</p>\n    <ng-container *ngIf=\"url;else loadingUrl\">\n        <ng-container *ngIf=\"!loading;else loadingTemp\">\n            <button (click)=\"iniciar()\" class=\"btn btn-outline-secondary comprar\">Pagar</button>\n        </ng-container>\n    </ng-container>\n</div>\n\n<ng-template #loadingUrl>\n    <div class=\"d-flex flex-column jusitfy-content-center align-items-center mt-2\">\n        <app-loading-full-ec></app-loading-full-ec>\n    </div>\n</ng-template>\n\n<ng-template #loadingTemp>\n    <div class=\"d-flex flex-column jusitfy-content-center align-items-center mt-2\">\n        <h3>Procesando el pago por Bancard</h3>\n        <h5>Recuerde hacer click en \"Finalizar\" desde Bancard para finalizar la compra.</h5>\n        <app-loading-full-ec></app-loading-full-ec>\n    </div>\n    <div class=\"container-fluid\">\n        <div class=\"row\">\n            <div class=\"col-5\">\n            <hr>\n            </div>\n            <div class=\"col-2 text-center\">\n            <label for=\"\">o</label>\n            </div>\n            <div class=\"col-5\">\n            <hr>\n            </div>\n        </div>\n    </div>\n    <div class=\"d-flex flex-column jusitfy-content-center align-items-center mt-2\">\n        <button (click)=\"clickClose()\" class=\"btn btn-outline-secondary rounded-0 comprar\">Cancelar pago</button>\n    </div>\n</ng-template>",
        styles: [".half-width{width:49%!important}.ml-1{margin-left:1%}#card-form{height:450px}.iframeStyle{height:800px;width:100%;max-height:800px}"]
    })
], BancardRedirectEcComponent);

var __decorate$1B = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let SelectChannelEcComponent = class SelectChannelEcComponent extends ComponentHelper {
    constructor(authService, modalService, router) {
        super();
        this.authService = authService;
        this.modalService = modalService;
        this.router = router;
        this.channels = [];
        this.navigateByUrl = () => {
            this.router.navigateByUrl('');
        };
        this.initializeTemplate = () => {
            if (!this.template) {
                setTimeout(() => {
                    this.initializeTemplate();
                }, 1000);
            }
            else {
                this.bsModalRef = this.modalService.show(this.template, { class: 'modal-sm modal-dialog-centered ', keyboard: false, backdrop: 'static', animated: true });
                this.subsModal = this.modalService.onHide.subscribe(onClose => {
                    this.bsModalRef = null;
                });
            }
        };
        this.setSelect = (chanelSelect) => {
            this.channels.map(chanel => chanel.selected = chanel.code == chanelSelect.code);
        };
        this.setChannel = () => {
            if (this.channels.find(chanel => chanel.selected)) {
                this.authService.channelAccess(this.channels.find(chanel => chanel.selected));
                this.bsModalRef.hide();
            }
        };
    }
    ngOnInit() {
        this.subs = this.authService.channelsUser.pipe(filter(res => res != null && res.length > 0)).subscribe(res => {
            this.channels = res.map(item => {
                return Object.assign(Object.assign({}, item), { selected: false });
            });
            this.initializeTemplate();
        });
        this.ecOnInit();
    }
    ngOnDestroy() {
        var _a, _b;
        (_a = this.subs) === null || _a === void 0 ? void 0 : _a.unsubscribe();
        (_b = this.subsModal) === null || _b === void 0 ? void 0 : _b.unsubscribe();
    }
};
SelectChannelEcComponent.ctorParameters = () => [
    { type: AuthService },
    { type: BsModalService },
    { type: Router }
];
__decorate$1B([
    ViewChild('template')
], SelectChannelEcComponent.prototype, "template", void 0);
SelectChannelEcComponent = __decorate$1B([
    Component({
        selector: 'select-channel-ec',
        template: "<ng-template #template>\n    <div class=\"modal-content\" id=\"modalChanel\">\n        <div class=\"modal-header\">\n            <h5 class=\"modal-title w-100 text-center text-uppercase\">{{ 'select-channel' | translate }}</h5>\n        </div>\n        <div class=\"modal-body px-4\">\n            <div class=\"card p-3 my-2 bg-light\" *ngFor=\"let item of channels; let i = index\">\n                <div class=\"form-check\">\n                    <input class=\"form-check-input\" type=\"radio\" [name]=\"'n-'+i\" [id]=\"i\" [checked]=\"item.selected\" (click)=\"setSelect(item)\">\n                    <h5 class=\"form-check-label\" role=\"button\" (click)=\"setSelect(item)\">{{ 'channel' | translate }}: {{ item.name }}</h5>\n                </div>\n            </div>\n\n            <!-- <div class=\"row\" *ngFor=\"let item of channels; let i = index\">\n                <div class=\"col-1\">\n                    <input class=\"form-check-input\" type=\"radio\" [name]=\"'n-'+i\" [id]=\"i\" [checked]=\"item.selected\"\n                        (click)=\"setSelect(item)\">\n                </div>\n                <div class=\"col-11\">\n                    <h5 role=\"button\" (click)=\"setSelect(item)\">{{ 'channel' | translate }}: {{ item.name }}</h5>\n                </div>\n            </div> -->\n        </div>\n        <div class=\"modal-footer\">\n            <button type=\"button\" class=\"btn btn-primary px-3 py-2\" (click)=\"setChannel()\">{{ 'continue' | translate }}</button>\n        </div>\n    </div>\n</ng-template>",
        providers: [BsModalService],
        styles: [".capitalize{text-transform:capitalize}"]
    })
], SelectChannelEcComponent);

var __decorate$1C = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let CartLoadEcComponent = class CartLoadEcComponent extends ComponentHelper {
    constructor(activedRoute, router, checkoutService, cartService) {
        super();
        this.activedRoute = activedRoute;
        this.router = router;
        this.checkoutService = checkoutService;
        this.cartService = cartService;
        this.message = '';
        this.ecOnConstruct();
    }
    ngOnInit() {
        let token;
        combineLatest([this.activedRoute.params, this.activedRoute.queryParams]).subscribe(([queryRouter, queryParams]) => {
            token = queryRouter.token;
            console.log('PARAMETROS token  -> ', token);
            this.cartService.loadCartByToken(token).then(res => {
                this.router.navigateByUrl('/cart');
            });
        });
        this.ecOnInit();
    }
};
CartLoadEcComponent.ctorParameters = () => [
    { type: ActivatedRoute },
    { type: Router },
    { type: CheckoutService },
    { type: CartService }
];
CartLoadEcComponent = __decorate$1C([
    Component({
        selector: 'app-cart-load-ec',
        template: "<div class=\"container\">\n    <div class=\"row\">\n        <div class=\"col align-self-center\">\n            <h4 class=\"titpage center-block text-center font-nexa font-lg my-3\">{{ 'retrieve-cart' | translate | uppercase }}</h4>\n        </div>\n    </div>\n    <div class=\"row\">\n        <div class=\"col align-self-center mt-2\">\n            <div class=\"d-flex flex-column jusitfy-content-center align-items-center\">\n                <app-loading-full-ec></app-loading-full-ec>\n            </div>\n        </div>\n    </div>\n</div>",
        styles: [".loader{border:16px solid #f3f3f3;border-top:16px solid #dc3545;border-radius:50%;width:50px;height:50px;-webkit-animation:2s linear infinite spin;animation:2s linear infinite spin}@-webkit-keyframes spin{0%{transform:rotate(0)}100%{transform:rotate(360deg)}}@keyframes spin{0%{transform:rotate(0)}100%{transform:rotate(360deg)}}.flex-container{display:flex;justify-content:center;align-items:center;height:80vh;width:100%}.flex-container>div{width:90%;height:100px}"]
    })
], CartLoadEcComponent);

var __decorate$1D = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let MagnizoomComponent = class MagnizoomComponent {
    constructor() {
        this.zoomMode = 'COVER';
        this.minZoomFactor = 1.2;
        this.maxZoomFactor = 3;
        this.mousePosition = null;
        this.lensSize = { width: 400, height: 300 };
        this.zoomFactor = 2;
    }
    set ImageSrc(value) {
        this.imageSrc = value;
        this.loadImage(this.imageSrc);
    }
    get canvasWidth() { return this.image && this.image.width || 800; }
    get canvasHeight() { return this.image && this.image.height || 600; }
    ngOnInit() {
        this.initContext();
        this.loadImage(this.imageSrc);
    }
    initContext() {
        this.canvas = this.mainCanvasRef.nativeElement;
        this.context = this.canvas.getContext('2d');
    }
    loadImage(src) {
        this.image = new Image();
        this.image.onload = () => {
            this.lensSize = { width: this.image.width / 2, height: this.image.height / 2 };
            setTimeout(() => this.render());
        };
        this.image.src = src;
    }
    render() {
        this.context.clearRect(0, 0, this.canvasWidth, this.canvasHeight); // clear canvas
        this.context.lineWidth = 1; // border width
        this.context.drawImage(this.image, 0, 0); // bg image
        if (this.mousePosition) {
            switch (this.zoomMode) {
                case 'LENS':
                    this.renderLensMode();
                    break;
                case 'COVER':
                    this.renderCoverMode();
                    break;
            }
        }
    }
    renderLensMode() {
        this.context.lineWidth = 5; // border width
        const zoomRect = this.getZoomRect();
        this.context.fillRect(zoomRect.x, zoomRect.y, zoomRect.w, zoomRect.h); // bg (clear)
        const clippingRect = this.getClippingRect();
        // zoom image
        this.context.drawImage(this.image, clippingRect.x, clippingRect.y, clippingRect.w, clippingRect.h, zoomRect.x, zoomRect.y, zoomRect.w, zoomRect.h);
        this.context.strokeRect(zoomRect.x, zoomRect.y, zoomRect.w, zoomRect.h); // border
    }
    renderCoverMode() {
        const covertRect = this.getCoverRect();
        this.context.drawImage(this.image, covertRect.x, covertRect.y, covertRect.w, covertRect.h, 0, 0, this.canvasWidth, this.canvasHeight); // cover image
    }
    getZoomRect() {
        const w = this.lensSize.width;
        const h = this.lensSize.height;
        const x = this.mousePosition.x - (w / 2);
        const y = this.mousePosition.y - (h / 2);
        return this.clampRect(x, y, w, h);
    }
    getClippingRect() {
        const w = this.lensSize.width / this.zoomFactor;
        const h = this.lensSize.height / this.zoomFactor;
        const x = this.mousePosition.x - (w / 2);
        const y = this.mousePosition.y - (h / 2);
        return this.clampRect(x, y, w, h);
    }
    getCoverRect() {
        const w = this.canvasWidth / this.zoomFactor;
        const h = this.canvasHeight / this.zoomFactor;
        // const x = this.mousePosition.x - (w / 2);
        // const y = this.mousePosition.y - (h / 2);
        const x = this.mousePosition.x - this.mousePosition.x / this.zoomFactor;
        const y = this.mousePosition.y - this.mousePosition.y / this.zoomFactor;
        return this.clampRect(x, y, w, h);
    }
    clampRect(x, y, w, h) {
        if (x <= 0) {
            x = 0;
        }
        if (x + w >= this.canvasWidth) {
            x = this.canvasWidth - w;
        }
        if (y < 0) {
            y = 0;
        }
        if (y + h >= this.canvasHeight) {
            y = this.canvasHeight - h;
        }
        return { x, y, w, h };
    }
    calculateMousePosition(clientX, clientY) {
        const boundingRect = this.canvas.getBoundingClientRect();
        const viewToModelX = this.canvasWidth / boundingRect.width;
        const viewToModelY = this.canvasHeight / boundingRect.height;
        const x = (clientX - boundingRect.left) * viewToModelX;
        const y = (clientY - boundingRect.top) * viewToModelY;
        this.mousePosition = { x, y };
    }
    onMouseLeave(event) {
        this.mousePosition = null;
        this.render();
    }
    onMouseEnterOrMove(event) {
        this.calculateMousePosition(event.clientX, event.clientY);
        this.render();
    }
    onMouseScroll(event) {
        let newZoomFactor = this.zoomFactor;
        newZoomFactor -= event.deltaY / 1000;
        if (newZoomFactor < this.minZoomFactor) {
            newZoomFactor = this.minZoomFactor;
        }
        if (newZoomFactor > this.maxZoomFactor) {
            newZoomFactor = this.maxZoomFactor;
        }
        if (this.zoomFactor !== newZoomFactor) {
            this.zoomFactor = newZoomFactor;
            this.render();
        }
        event.preventDefault();
        event.stopPropagation();
    }
};
__decorate$1D([
    Input()
], MagnizoomComponent.prototype, "ImageSrc", null);
__decorate$1D([
    Input()
], MagnizoomComponent.prototype, "zoomMode", void 0);
__decorate$1D([
    Input()
], MagnizoomComponent.prototype, "minZoomFactor", void 0);
__decorate$1D([
    Input()
], MagnizoomComponent.prototype, "maxZoomFactor", void 0);
__decorate$1D([
    Input()
], MagnizoomComponent.prototype, "imageStyle", void 0);
__decorate$1D([
    Input()
], MagnizoomComponent.prototype, "imageClass", void 0);
__decorate$1D([
    ViewChild('mainCanvas', { static: true })
], MagnizoomComponent.prototype, "mainCanvasRef", void 0);
MagnizoomComponent = __decorate$1D([
    Component({
        selector: '[app-magnizoom-ec]',
        template: "<canvas #mainCanvas\n  class=\"main-canvas\"\n  [ngClass]=\"imageClass\"\n  [ngStyle]=\"imageStyle\"\n  [width]=\"canvasWidth\"\n  [height]=\"canvasHeight\"\n  (mouseleave)=\"onMouseLeave($event)\"\n  (mouseenter)=\"onMouseEnterOrMove($event)\"\n  (mousemove)=\"onMouseEnterOrMove($event)\"\n  (wheel)=\"onMouseScroll($event)\">\n</canvas>\n",
        styles: [""]
    })
], MagnizoomComponent);

var __decorate$1E = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let MultipleItemsToCartEcComponent = class MultipleItemsToCartEcComponent extends ComponentHelper {
    constructor(consts, productService, cartService, toastService) {
        super();
        this.consts = consts;
        this.productService = productService;
        this.cartService = cartService;
        this.toastService = toastService;
        this.totalCostItems = new EventEmitter();
        this.totalItems = new EventEmitter();
        this.total = 0;
        this.countItems = 0;
        this.optionsProductForVariant = () => this.product.productWithUniqueVariant;
        this.setQuantity = (value, product) => {
            let quantity = Number(value) > product.currentOption.stock ? product.currentOption.stock : Number(value);
            product.productToCartItem = {
                productCode: product.currentOption.productCode,
                variantCode: product.currentOption.variantCode,
                quantity: quantity,
                finalPrice: product.currentOption.finalPrice,
                totalCost: quantity * product.currentOption.finalPrice,
            };
            this.total = 0;
            this.countItems = 0;
            this.product.productWithUniqueVariant.filter(prod => prod.productToCartItem).map(prod => {
                this.total += prod.productToCartItem.totalCost;
                this.countItems += prod.productToCartItem.quantity;
            });
            this.totalCostItems.emit(this.total.toString());
            this.totalItems.emit(this.countItems.toString());
        };
        this.condition = (value, product) => {
            if (Number(value) >= product.currentOption.stock) {
                return false;
            }
            return true;
        };
        this.allWithoutTracking = () => this.optionsProductForVariant().some(item => { var _a; return ((_a = item.currentOption) === null || _a === void 0 ? void 0 : _a.stock) != 9999; });
        this.getObjectParamsWithVariant = () => {
            return this.objectWithVariant || this.getObjectWithVariant();
        };
        this.getObjectWithVariant = () => {
            return { type: 'color', code: 'color', defaultFirstOption: true, checkIfStock: false };
        };
        this.ecOnConstruct();
    }
    ngOnInit() {
        var _a;
        this.product.productWithUniqueVariant = (_a = this.productService) === null || _a === void 0 ? void 0 : _a.getProductWithUniqueVariant(this.product, this.getObjectParamsWithVariant());
        this.ecOnInit();
    }
};
MultipleItemsToCartEcComponent.ctorParameters = () => [
    { type: Constants },
    { type: ProductDetailService },
    { type: CartService },
    { type: ToastService }
];
__decorate$1E([
    Input()
], MultipleItemsToCartEcComponent.prototype, "product", void 0);
__decorate$1E([
    Input()
], MultipleItemsToCartEcComponent.prototype, "objectWithVariant", void 0);
__decorate$1E([
    Output()
], MultipleItemsToCartEcComponent.prototype, "totalCostItems", void 0);
__decorate$1E([
    Output()
], MultipleItemsToCartEcComponent.prototype, "totalItems", void 0);
MultipleItemsToCartEcComponent = __decorate$1E([
    Component({
        selector: 'app-multiple-items-to-cart-ec',
        template: "<table class=\"table table-hover tablas tabla-curva\">\n    <thead>\n        <tr>\n            <th scope=\"col\">Curva</th>\n            <th *ngFor=\"let item of optionsProductForVariant()\" scope=\"col\">{{item.currentOption?.code}}</th>\n        </tr>\n    </thead>\n    <tbody>\n        <ng-container *ngIf=\"allWithoutTracking()\">\n            <tr>\n                <td>Stock</td>\n                <th *ngFor=\"let item of optionsProductForVariant()\" scope=\"col\">{{(item.currentOption?.stock == 9999)? 'N/A' : item.currentOption?.stock }}</th>\n            </tr>\n        </ng-container>\n        <tr>\n            <td></td>\n            <td *ngFor=\"let item of optionsProductForVariant()\">\n                <div class=\"text-center\">\n                    <input class=\"form-control form-control-sm in-curva\"\n                        (keypress)=\"consts.inputValidationByExpressions($event,'[0-9]{1,9}', condition(inputValue.value,item) )\" #inputValue \n                        (keyup)=\"setQuantity(inputValue.value,item)\" [max]=\"item.currentOption?.stock\"  min=\"0\" type=\"text\"\n                        [value]=\"item?.productToCartItem?.quantity || 0\" id=\"\">\n                </div>\n            </td>\n        </tr>\n    </tbody>\n</table>\n<ng-template #loading>\n     <div class=\"col-12 align-items-center\">\n          <div class=\"d-flex flex-column jusitfy-content-center align-items-center my-5\">\n               <app-loading-full-ec></app-loading-full-ec>\n          </div>\n     </div>\n</ng-template>",
        styles: [".tabla-curva th{background-color:var(--color-section)}.tabla-curva td,.tabla-curva th{text-align:center}.tabla-curva .form-check .form-check-input{float:none}.tabla-curva input.in-curva{font-size:.7rem;font-weight:700;display:inline-block;width:55px}.table.tabla-curva>:not(caption)>*>*{padding:.5rem .2rem}"]
    })
], MultipleItemsToCartEcComponent);

var __decorate$1F = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
//import * from '../assets/ec-i18n'
let CaptchaService = class CaptchaService {
    /**
     * @description Carga las configuraciones iniciales
     * @param consts Constantes del core
     * @param connection Servicio para realizar las peticiones HTTP al backend
     * @param http Servicio utilizado para obtener archivos estaticos contenidos dentro de la aplicación
     */
    constructor(consts, connection, http, paramsSrv) {
        this.consts = consts;
        this.connection = connection;
        this.http = http;
        this.paramsSrv = paramsSrv;
        this.captchaSubject = new BehaviorSubject({ siteKey: '' });
        this.captcha = this.captchaSubject.asObservable();
        this.testing = "easycommercetech";
        this.productionEnvironment = false;
        this.recaptchaSiteKeysUrl = './assets/recaptcha/recaptcha-site-keys.json';
        this.recaptchaSitesUrl = './assets/recaptcha/recaptcha-sites.json';
        this.recaptchaSitesUrlProd = './assets/recaptcha/recaptcha-sites-prod.json';
        /**
         *
         * @returns {string} path que contiene la direccion del endpoint referido al captcha
         */
        this.captchaApi = () => 'shop-api/channels';
        /**
         * @description Devuelve true si la url es de produccion, false en caso contrario.
         * @returns {Boolean}
         */
        this.isProd = () => !this.urlBaseFormat.includes(this.testing);
        /**
         * @description Prioriza si existe un parametro desde el backend de nombre 'recaptcha_key_canal',
         * de no existir este busca uno de tipo general de nombre 'recaptcha_key',
         * y en caso de que este no exista se realiza lo siguiente:
         * carga las variables RECAPTCHA_SITES y RECAPTCHA_SITE_KEYS, con los valores
         * de los Json estaticos, para posteriormente obtener la "siteKey"(clave del captcha) en caso
         * de que no venga desde el backend.
         */
        this.initializer = () => {
            let paramThisChannel = this.params.find(param => param.code == 'recaptcha_key_' + this.consts.getChannel());
            if (paramThisChannel) {
                this.captchaSubject.next({ siteKey: paramThisChannel.value });
            }
            else {
                let paramGeneral = this.params.find(param => param.code == 'recaptcha_key');
                if (paramGeneral) {
                    this.captchaSubject.next({ siteKey: paramGeneral.value });
                }
                else {
                    this.getRecaptchaSites().pipe(
                    //filter( e => e[this.urlBaseFormat+'ee'] ),
                    map(res => this.RECAPTCHA_SITES = res), concatMap(e => this.getRecaptchaSiteKeys().pipe(map(res => this.RECAPTCHA_SITE_KEYS = res)))).subscribe(e => this.getSiteKey());
                }
            }
        };
        /**
         *
         * @returns {Observable<>} Datos obtenidos del archivo con las claves captcha
         */
        this.getRecaptchaSiteKeys = () => {
            return this.http.get(this.recaptchaSiteKeysUrl);
        };
        /**
         * @description Se obtiene los datos segun el entorno en que se ejecute
         * @returns {Observable<>} Datos obtenidos del archivo con las url de los sitios
         */
        this.getRecaptchaSites = () => this.productionEnvironment ? this.http.get(this.recaptchaSitesUrlProd) : this.http.get(this.recaptchaSitesUrl);
        /**
         * @description Genera una peticion para recibir la clave del captcha. En caso de no tener exito,
         * utiliza los archivos estaticos para retornar una clave por defecto. Rellena el Observable con
         * los datos generados.
         */
        this.getSiteKey = () => {
            this.connection.get(this.captchaApi()).toPromise().then(res => { console.log(res); this.captchaSubject.next({ siteKey: res.siteKey ? res.siteKey : this.RECAPTCHA_SITE_KEYS[this.RECAPTCHA_SITES[this.urlBaseFormat]] }); }, err => { console.log('ERROR 1', err); this.captchaSubject.next({ siteKey: this.RECAPTCHA_SITES[this.RECAPTCHA_SITES[this.urlBaseFormat]] }); }).catch(err => { console.log('ERROR 2 ', err, ' Base url:', this.consts.getUrlBase()); this.captchaSubject.next({ siteKey: this.RECAPTCHA_SITE_KEYS[this.RECAPTCHA_SITES[this.urlBaseFormat]] }); });
            //console.log(this.captcha)
        };
        /**
         *
         * @returns {string} Clave del captcha.
         */
        this.getKey = () => {
            return this.captcha.pipe(map((elem) => { var _a; return (_a = elem) === null || _a === void 0 ? void 0 : _a.siteKey; }));
        };
        /**
         * @description Recibe una url y se encarga de quitarle "http", "/" y las demas rutas, para devolver la url
         * del sitio con una formato limpio. Ejemplo "https://ejemplo.com.ar/ruta1/ruta2/" a "ejemplo.com.ar"
         * @param {string} url url que sera formateada
         * @returns {string} url formateada
         */
        this.formatUrl = (url) => url.split("/").filter(e => e != "/").filter(e => !e.includes("http")).filter(e => e.length).slice(0, 1).pop();
        this.paramsSrv.parameters.subscribe(param => this.params = param);
        /**
         * @description Carga la direccion de la pagina actual que sera utilizada como clave para obtener
         * la clave por defecto que pertenece a esta direccion, inicializa la configuracion inicial.
         */
        this.urlBaseFormat = this.formatUrl(location.href);
        this.productionEnvironment = this.isProd();
        this.initializer();
    }
};
CaptchaService.ctorParameters = () => [
    { type: Constants },
    { type: ConnectionService },
    { type: HttpClient },
    { type: ParametersService }
];
CaptchaService.ɵprov = ɵɵdefineInjectable({ factory: function CaptchaService_Factory() { return new CaptchaService(ɵɵinject(Constants), ɵɵinject(ConnectionService), ɵɵinject(HttpClient), ɵɵinject(ParametersService)); }, token: CaptchaService, providedIn: "root" });
CaptchaService = __decorate$1F([
    Injectable({
        providedIn: 'root'
    })
], CaptchaService);

var __decorate$1G = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let RecaptchaEcComponent = class RecaptchaEcComponent {
    constructor(captchaService) {
        this.captchaService = captchaService;
        /**
         * @description Actualiza la clave si está es pasada por parametro en la variable siteKey
         * @returns {null}
         */
        this.updateKey = () => this.siteKey ? this.captcha.siteKey = this.siteKey : null;
    }
    ngOnInit() {
        // throw new Error('Method not implemented.');
        this.captchaService.captcha.subscribe(res => {
            this.captcha = res;
            this.updateKey();
        });
    }
    /**
     * @description Carga el campo captcha del formulario pasado con la respuesta luego de completar el captcha.
     * @param {string} captchaResponse obtiene la respuesta que genero el captcha.
     */
    resolved(captchaResponse) {
        this.form.catpcha = captchaResponse;
    }
};
RecaptchaEcComponent.ctorParameters = () => [
    { type: CaptchaService }
];
__decorate$1G([
    Input()
], RecaptchaEcComponent.prototype, "form", void 0);
__decorate$1G([
    Input()
], RecaptchaEcComponent.prototype, "siteKey", void 0);
RecaptchaEcComponent = __decorate$1G([
    Component({
        selector: 're-captcha-ec',
        template: "<ng-container *ngIf=\"captcha.siteKey; else loading\">\n    <re-captcha (resolved)=\"resolved($event)\" siteKey=\"{{captcha.siteKey}}\" [formControl]=\"form.controls['captcha']\">\n    </re-captcha>\n</ng-container>\n<ng-template #loading>\n      <app-loading-full-ec></app-loading-full-ec>\n</ng-template>",
        styles: [""]
    })
], RecaptchaEcComponent);

var __decorate$1H = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let DecidirEcComponent = class DecidirEcComponent extends ComponentHelper {
    constructor(renderer, connection, toastrService, consts, cartService, activedRoute, sanitizer, modalService, paramsService) {
        super();
        this.renderer = renderer;
        this.connection = connection;
        this.toastrService = toastrService;
        this.consts = consts;
        this.cartService = cartService;
        this.activedRoute = activedRoute;
        this.sanitizer = sanitizer;
        this.modalService = modalService;
        this.paramsService = paramsService;
        this.method = null;
        this.total_amount = 0;
        this.user_data = null;
        this.ready = new EventEmitter();
        this.loading = false;
        this.isDobleAuth = false;
        this.urls = [];
        this.closeModal = '';
        this.paramsMensaje = '';
        this.dataRedirect = () => this.consts.getUrlBase() + 'shop-api/' + this.consts.getChannel() + '/decidir/' + this.cartService.cart_token + '/process-payment';
        this.clearStorageState = () => {
            sessionStorage.removeItem('state');
            localStorage.removeItem('state');
            localStorage.removeItem('dataRedirect');
            localStorage.removeItem('dataDecidir');
            localStorage.removeItem('message');
            localStorage.removeItem('subMessage');
        };
        this.clickClose = () => {
            this.closeModal = 'cancel';
            this.modalRef.hide();
            this.processError('Se cancelo el pago con Decidir');
        };
        this.showMessage = () => {
            let message = localStorage.getItem('message') || undefined;
            let subMessage = localStorage.getItem('subMessage') || undefined;
            message && this.toastrService.show(message, {}, '', { closeButton: true, timeOut: 6000 });
            subMessage && this.toastrService.show(subMessage, {}, '', { closeButton: true, timeOut: 6000 });
        };
        this.callState = () => {
            try {
                let state = this.closeModal != '' ? this.closeModal : localStorage.getItem('state');
                this.loading = true;
                state && this.showMessage();
                if (state) {
                    this.loading = false;
                    this.clearStorageState();
                    if (state == 'success') {
                        this.ready.emit(true);
                    }
                    if (state == 'partially_authorized') {
                        this.ready.emit(true);
                        this.processError(this.paramsMensaje);
                    }
                    if (state == 'cancel') {
                        return;
                    }
                    if (state == 'failure') {
                        this.processError('');
                    }
                    this.modalRef.hide();
                    return;
                }
                setTimeout(() => {
                    this.callState();
                }, 5000);
            }
            catch (error) {
                console.error(error);
            }
        };
        this.processError = (err) => {
            this.toastrService.show(err != '' ? err : 'payment-error');
            console.log("ERROR ENVIO BACK  ", err);
        };
        this.getCheckoutDecidir = () => {
            this.loading = true;
            this.dataDecidir = this.method;
            this.url = this.sanitizer.bypassSecurityTrustResourceUrl('assets/decidirFormEc.html');
            this.loading = false;
        };
        this.resizeIframe = (obj) => {
            obj.style.height = obj.contentWindow.document.body.scrollHeight + 'px';
            obj.style.width = obj.contentWindow.document.body.scrollWidth + 'px';
        };
        this.ecOnConstruct();
    }
    ngOnInit() {
        this.getCheckoutDecidir();
        this.paramsService.parameters.subscribe(res => {
            this.params = res;
            this.paramsMensaje = this.hasParams(res, 'partially_authorized_decidir') || 'Se está procesando el pago con tarjeta.';
        });
        this.ecOnInit();
    }
    ngOnDestroy() {
        // console.log("SE DESTROZA");
    }
    ngOnChanges() {
        // console.log("SE CAMBIO");
    }
    openModal(template) {
        this.clearStorageState();
        localStorage.setItem('dataRedirect', this.dataRedirect());
        localStorage.setItem('dataDecidir', JSON.stringify(this.method));
        this.modalRef = this.modalService.show(template, { class: 'modal-xl modal-dialog-centered ', keyboard: false, backdrop: 'static', animated: true });
        this.closeModal = '';
        this.callState();
    }
};
DecidirEcComponent.ctorParameters = () => [
    { type: Renderer2 },
    { type: ConnectionService },
    { type: ToastService },
    { type: Constants },
    { type: CartService },
    { type: ActivatedRoute },
    { type: DomSanitizer },
    { type: BsModalService },
    { type: ParametersService }
];
__decorate$1H([
    Input()
], DecidirEcComponent.prototype, "paymentServiceInst", void 0);
__decorate$1H([
    Input()
], DecidirEcComponent.prototype, "method", void 0);
__decorate$1H([
    Input()
], DecidirEcComponent.prototype, "total_amount", void 0);
__decorate$1H([
    Input()
], DecidirEcComponent.prototype, "allData", void 0);
__decorate$1H([
    Input()
], DecidirEcComponent.prototype, "user_data", void 0);
__decorate$1H([
    Output()
], DecidirEcComponent.prototype, "ready", void 0);
__decorate$1H([
    ViewChild('template')
], DecidirEcComponent.prototype, "template", void 0);
DecidirEcComponent = __decorate$1H([
    Component({
        selector: 'app-decidir-ec',
        template: "<div class=\"text-center\">\n    <h3>Continuar con el pago en Decidir</h3>\n    <p *ngIf=\"method\" class=\"px-5\">{{ method?.description }}</p>\n    <p *ngIf=\"method\" class=\"px-5\">{{ method?.instructions }}</p>\n    <ng-container *ngIf=\"!loading ; else loadingUrl\">\n        <button class=\"btn btn-outline-secondary comprar\" (click)=\"openModal(template)\">Pagar</button>\n    </ng-container>\n</div>\n\n<ng-template #template>\n    <div class=\"modal-content\">\n        <div class=\"modal-header border-none justify-content-end px-1\">\n            <button type=\"button\" class=\"btn bg-none\" (click)=\"clickClose()\">\n                X \n            </button>\n        </div>\n    </div>\n    <div class=\"modal-body\">\n        <iframe [src]=\"url\" frameborder=\"0\" class=\"iframeStyle\"></iframe>\n    </div>\n</ng-template>\n\n<ng-template #loadingUrl>\n    <div class=\"d-flex flex-column jusitfy-content-center align-items-center mt-2\">\n        <app-loading-full-ec></app-loading-full-ec>\n    </div>\n</ng-template>",
        providers: [BsModalService],
        styles: [".half-width{width:49%!important}.ml-1{margin-left:1%}#card-form{height:450px}.iframeStyle{height:520px;width:100%}@media only screen and (max-width:1024px){.iframeStyle{height:730px;width:100%}}@media only screen and (max-width:680px){.iframeStyle{height:675px;width:100%}}"]
    })
], DecidirEcComponent);

var __decorate$1I = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __awaiter$g = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
let ConcatenatedAssociationsService = class ConcatenatedAssociationsService {
    constructor(consts, connection) {
        this.consts = consts;
        this.connection = connection;
        this.stepListSubject = new BehaviorSubject([]);
        this.currentStepSubject = new BehaviorSubject({});
        this.stepList$ = this.stepListSubject.asObservable();
        this.currentStep$ = this.currentStepSubject.asObservable();
        /**
         * @description sujeto para observar los errores.
         */
        this.errorSubject = new BehaviorSubject({});
        /**
         * @description observable para el manejo de errores.
         */
        this.error$ = this.errorSubject.asObservable();
        //Lista de endpoints
        this.stepListApi = (sectionName) => 'shop-api/' + this.consts.getChannel() + '/concatenated_associations/' + sectionName;
        this.applyFilterApi = () => 'shop-api/' + this.consts.getChannel() + '/concatenated_associations/step_by_step/';
        /**
         * @description Obtiene la lista de pasos completa, dato que se recibe cuando inicia la carga de datos.
         * @param section Este parametro recibe la seccion de donde se obtendran la lista de pasos
         * @param fatherCode Este parametro recibe el codigo padre de esa seccion, es decir de donde empieza el filtrado de pasos.
         * @returns
         */
        this.getStepList = (section, fatherCode) => __awaiter$g(this, void 0, void 0, function* () {
            return section && this.connection.post(this.stepListApi(section)).subscribe(res => {
                this.errorSubject.next({ state: false });
                //Si existe el codigo del padre
                if (fatherCode) {
                    let values = res.filter(e => e[0].code == fatherCode);
                    //Si obtuvos resultados con la busqueda
                    if (values && values.length) {
                        this.initializeStepList(values[0]); //inicializa 
                    }
                    else {
                        this.errorSubject.next({ state: true, error: 'error no hay nada con ese codigo' });
                        console.log('error no hay nada con ese codigo');
                        this.initializeStepList([]); //inicializa con un arreglo vacio
                    }
                }
                else {
                    //Si no hay codigo del padre, inicializa con el primer valor del arreglo
                    this.initializeStepList(res[0]);
                }
            }, e => this.errorSubject.next({ state: true, error: e }));
        });
        /**
         * @description Inicializa la carga de datos al subjeto del observable.
         * @param response Respuesta recibida desde el backend
         */
        this.initializeStepList = (response) => {
            this.updateStepList(response);
            this.updateCurrentStep(response[0]);
        };
        /**
         * @description Esta funcion carga
         * @param section
         * @param fatherCode
         */
        this.load = (section, fatherCode) => {
            //console.log('entre load')
            this.getStepList(section, fatherCode);
        };
        /**
         * @description actualiza la lista de pasos
         * @param value
         */
        this.updateStepList = (value) => {
            //console.log('entre update')
            this.stepListSubject.next(value);
        };
        /**
         * @decription actualiza el paso actual en donde se encuentra.
         * @param value
         */
        this.updateCurrentStep = (value) => {
            this.currentStepSubject.next(value);
        };
        /**
         * @description aplica los filtros con los valores dados.
         * @param values
         * @returns
         */
        this.applyFilter = (values) => __awaiter$g(this, void 0, void 0, function* () { return this.connection.post(this.applyFilterApi(), values).toPromise().then(res => this.updateCurrentStep(res)); });
    }
};
ConcatenatedAssociationsService.ctorParameters = () => [
    { type: Constants },
    { type: ConnectionService }
];
ConcatenatedAssociationsService.ɵprov = ɵɵdefineInjectable({ factory: function ConcatenatedAssociationsService_Factory() { return new ConcatenatedAssociationsService(ɵɵinject(Constants), ɵɵinject(ConnectionService)); }, token: ConcatenatedAssociationsService, providedIn: "root" });
ConcatenatedAssociationsService = __decorate$1I([
    Injectable({
        providedIn: 'root'
    })
], ConcatenatedAssociationsService);

var __decorate$1J = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let BuildYourEcComponent = class BuildYourEcComponent extends ComponentHelper {
    constructor(concatenated, optionsService, productsService, formBuilder, toastrService, consts, cartService, router) {
        super();
        this.concatenated = concatenated;
        this.optionsService = optionsService;
        this.productsService = productsService;
        this.formBuilder = formBuilder;
        this.toastrService = toastrService;
        this.consts = consts;
        this.cartService = cartService;
        this.router = router;
        this.currentPosition = 0; //Guarda la posicion del paso activo
        this.selectedValues = {}; //Guarda los valores que se van seleccionando.
        this.taxonCode = 0;
        this.itemCurrentSelected = ''; //Para guarda el item selecciondo
        this.loadingStep = false; //Marca si se esta cargando el paso
        this.finished = false; //Marca si finalizo la secuencia de pasos
        this.noMoreCoincidences = false; //Marca si no hay mas coincidencias de productos
        this.products = []; //Recibe el/los producto/s resultantes
        this.total = [];
        /**
         * @description Arreglo de funciones para ejecutarse al terminar la carga de pasos.
         * El objeto se arma { function: [Function] , args: [Argumentos] }
         */
        this.functionsToNextStep = [];
        this.functionsToPrevStep = [];
        this.attributes = [];
        this.values = [];
        /**
         * @description inserta atributos adicionales a los pasos recibidos.
         * current => para indicar cuando el paso esta activo.
         * touched => para indicar cuando el paso fue activado.
         */
        this.insertAttributes = () => {
            //console.log('attributes', this.stepList)
            this.stepList.map((step, index) => {
                step.current = index == 0;
                step.touched = false;
            });
        };
        /**
         * @description retorna las opciones del paso segun el tipo de paso que esta recibiendo.
         * @param item step para obtener los datos.
         */
        this.itemValuesFactory = (item) => {
            item.values = this.getValuesByFilter(item);
        };
        /**
         * @description retorna los valores del filtro segun el tipo.
         * @param item filtro
         * @returns retorna un arreglo con las opciones del filtro.
         */
        this.getValuesByFilter = (item) => {
            switch (item.type) {
                case 'optionProduct':
                    //parche temporal
                    item.productOption.values.forEach(elem => elem.image.toLowerCase().includes('product_option_value_translation_image/') ?
                        elem.image = elem.image.split('product_option_value_translation_image/')[1] : null);
                    return item.productOption.values;
                case 'attribute':
                    return item.attribute.children;
                case 'taxon':
                    //this.optionsService.categories.subscribe(res => item.values = res)
                    //this.productsService.getProductsForFilter({ latest: true, limit: 10 }, ['category'], '999');
                    break;
                default:
                    break;
            }
        };
        /**
         * @description cambia el contenido de los valores de los filtros, segun el tipo de filtro.
         * @param item filtro
         * @param values arreglo con los valores de las opciones
         */
        this.setValuesByFilter = (item, values) => {
            switch (item.type) {
                case 'optionProduct':
                    item.productOption.values = values;
                    break;
                case 'attribute':
                    item.attribute.children = values;
                    break;
                case 'taxon':
                    //this.optionsService.categories.subscribe(res => item.values = res)
                    //this.productsService.getProductsForFilter({ latest: true, limit: 10 }, ['category'], '999');
                    break;
                default:
                    break;
            }
        };
        /**
         * @description Carga el componente para obtener sus datos iniciales.
         * @param section Seccion asociada con la asociaciones creadas
         * @param fatherCode Codigo del paso de donde se quiere arrancar el filtrado.
         */
        this.load = (section = '', fatherCode) => {
            this.concatenated.load(section, fatherCode);
        };
        /**
         * @description carga con el valor seleccionado. Reinicia la condicion de "no más coincidencias"
         * @param value
         */
        this.setItemCurrentSelected = (value) => {
            this.noMoreCoincidences = false;
            this.itemCurrentSelected = value;
        };
        /**
         * @description funcion para ser utilizada como captura del envio de un formulario.
         * @param event
         */
        this.submitNext = (event) => {
            event.preventDefault();
            if (!this.stepList[this.currentPosition].skippeable) {
                if (this.itemCurrentSelected && this.itemCurrentSelected.length) {
                    this.next(this.itemCurrentSelected);
                    this.taxonCode = 0;
                }
                else {
                    this.toastrService.show('Escoja una opción');
                }
            }
            else {
                this.itemCurrentSelected ? this.next(this.itemCurrentSelected) : this.next();
                this.taxonCode = 0;
            }
        };
        /**
         * @description evalua el valor que recibe por parametro, realiza la consulta para el filtrado y carga los datos recibidos.
         * @param selectValue valor asociado al codigo de la opcion elegida.
         */
        this.next = (selectValue = '') => {
            this.loadingStep = true;
            if (selectValue) {
                //se envia la peticion con el valor elegido
                this.selectedValues[this.currentPosition] = [selectValue];
                this.concatenated.applyFilter({
                    "code": this.code,
                    "values": this.selectedValues
                }).then(e => this.setNextStep(selectValue)).catch(e => { e.status == 500 ? this.noMoreCoincidences = true : null; });
            }
            else {
                //se envia la peticion con valor skipped=false.. etc
                this.selectedValues[this.currentPosition] = [""];
                this.concatenated.applyFilter({
                    "code": this.code,
                    "values": this.selectedValues
                }).then(e => this.setNextStep(selectValue)).catch(e => { e.status == 500 ? this.noMoreCoincidences = true : null; });
            }
            //this.loadingStep = false
            //console.log(this.loadingStep)
        };
        /**
         * @description realiza el transpaso de datos desde el paso actual al siguiente paso de filtrado.
         * @param selectValue valor asociado al codigo de la opcion elegida.
         */
        this.setNextStep = (selectValue) => {
            this.stepList[this.currentPosition].valueSelected = this.getAssociatedData(selectValue, this.stepList[this.currentPosition]);
            this.stepList[this.currentPosition].current = false;
            this.stepList[this.currentPosition].touched = true;
            this.currentPosition++;
            // Si es el final de la lista de pasos.
            if (this.currentPosition == this.stepList.length) {
                this.products = this.currentStep;
                this.finished = true;
            }
            else {
                this.stepList[this.currentPosition].current = true;
                this.setValuesByFilter(this.stepList[this.currentPosition], this.getValuesByFilter(this.currentStep));
                this.itemValuesFactory(this.stepList[this.currentPosition]);
                this.itemCurrentSelected = '';
                this.functionsToNextStep.length > 0 ? this.executeFunctions() : null;
            }
            this.loadingStep = false;
        };
        /**
         * @description realiza las configuraciones necesarias para el retroceso de un paso.
         * @param index cantidad de pasos que se quiere retroceder, 1 por defecto.
         */
        this.prev = (index = -1) => {
            this.values.pop();
            this.attributes.pop();
            this.total.pop();
            this.taxonCode = 0;
            this.noMoreCoincidences = false;
            this.stepList[this.currentPosition].current = false;
            this.stepList[this.currentPosition].touched = false;
            if (index >= 0) {
                this.currentPosition = index;
                this.clearItems(index);
            }
            else {
                this.currentPosition--;
            }
            this.stepList[this.currentPosition].current = true;
            this.itemCurrentSelected = this.stepList[this.currentPosition].valueSelected
                ? this.stepList[this.currentPosition].valueSelected.code
                : '';
            this.functionsToNextStep.length > 0 ? this.executeFunctions('prev') : null;
        };
        /**
         * @description limpia los pasos, volviendo sus valores a los iniciales.
         * Elimina los valores del arreglo de valores seleccionados.
         * @param index
         */
        this.clearItems = (index) => {
            this.stepList.map((step, i) => {
                if (i > index) {
                    step.current = false;
                    step.touched = false;
                    step.valueSelected = '';
                    delete this.selectedValues[i];
                }
            });
        };
        /**
         * @description retorna los datos de los valores de las opciones
         * @param code codigo de la opcion elegida
         * @param item filtro/paso
         * @returns los valores asociados a la opcion elegida
         */
        this.getAssociatedData = (code, item) => this.getValuesByFilter(item).find(elem => elem.code == code);
        /**
         * @description actualiza la lista de pasos.
         * @param list
         */
        this.updateList = (list) => {
            this.concatenated.updateStepList(list);
        };
        /**
         * @description Ejecuta las funciones que se deben realizar al finalizar el proceso de un paso.
         * @param typeStep
         */
        this.executeFunctions = (typeStep = 'next') => {
            if (typeStep == 'next') {
                this.functionsToNextStep.forEach(fn => {
                    fn.function(fn.args);
                });
            }
            else {
                this.functionsToPrevStep.forEach(fn => {
                    fn.function(fn.args);
                });
            }
        };
        this.load();
        this.concatenated.stepList$.subscribe(res => {
            this.stepList = res;
            this.insertAttributes();
            if (this.stepList[0]) {
                this.itemValuesFactory(this.stepList[0]);
                this.code = this.stepList[0].code;
                if (this.stepList[0].values) {
                    if (!this.stepList[0].skippeable && (this.stepList[0].values.length == 1)) {
                        this.setItemCurrentSelected(this.stepList[0].values[0].code);
                    }
                }
            }
        });
        this.concatenated.currentStep$.subscribe(res => this.currentStep = res);
        this.concatenated.error$.subscribe(res => this.error = res);
        this.ecOnConstruct();
    }
    ngOnInit() {
        //this.load()
        this.ecOnInit();
    }
    filtrar(code) {
        this.taxonCode = code;
    }
};
BuildYourEcComponent.ctorParameters = () => [
    { type: ConcatenatedAssociationsService },
    { type: OptionsService },
    { type: ProductsService },
    { type: FormBuilder },
    { type: ToastService },
    { type: Constants },
    { type: CartService },
    { type: Router }
];
BuildYourEcComponent = __decorate$1J([
    Component({
        selector: 'app-build-your-ec',
        template: "<p>\n  build-your-ec works!\n</p>\n",
        styles: [""]
    })
], BuildYourEcComponent);

var __decorate$1K = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let ProductFoundEcComponent = class ProductFoundEcComponent extends ComponentHelper {
    constructor(productService, consts, activedRoute, cartService, optionsService, productsService, analyticsService, router, toastrService) {
        super();
        this.productService = productService;
        this.consts = consts;
        this.activedRoute = activedRoute;
        this.cartService = cartService;
        this.optionsService = optionsService;
        this.productsService = productsService;
        this.analyticsService = analyticsService;
        this.router = router;
        this.toastrService = toastrService;
        this.quantity = 1;
        /**
         * @description agrega el producto al carrito de compras
         */
        this.addToCart = () => {
            this.quantity > 0 && this.productService.addToCart(this.quantity);
        };
        /**
         * @description suma 1 a la cantidad del producto para agregar al carrito, si es que hay stock disponible
         * @param stock stock del producto que se quiere agregar al carrito
         * @returns
         */
        this.plus = (stock) => this.quantity < stock ? this.quantity = this.quantity + 1 : this.toastrService.show('out-of-stock-actually');
        /**
         * @description resta 1 la cantidad del producto para agregar al carrito.
         * @returns
         */
        this.less = () => this.quantity > 1 ? this.quantity = this.quantity - 1 : null;
        this.productService.product$.subscribe(res => {
            this.associatedData = res;
            window.scroll(0, 0);
        });
        this.productService.product$.pipe(filter(data => data && data.id && data.id != 0)).subscribe((productParam) => {
            this.analyticsService.callEvent('view_item', Object.assign(Object.assign({}, productParam), { currency: this.consts.currency.code }));
        });
        this.ecOnConstruct();
    }
    ngOnInit() {
        this.productService.loadProduct(this.product.code, true);
        this.ecOnInit();
    }
};
ProductFoundEcComponent.ctorParameters = () => [
    { type: ProductDetailService },
    { type: Constants },
    { type: ActivatedRoute },
    { type: CartService },
    { type: OptionsService },
    { type: ProductsService },
    { type: AnalyticsService },
    { type: Router },
    { type: ToastService }
];
__decorate$1K([
    Input()
], ProductFoundEcComponent.prototype, "product", void 0);
ProductFoundEcComponent = __decorate$1K([
    Component({
        selector: 'app-product-found-ec',
        template: "<p>\n  product-found works!\n</p>\n",
        providers: [ProductDetailService],
        styles: [""]
    })
], ProductFoundEcComponent);

var __decorate$1L = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let ComparedProductsEcComponent = class ComparedProductsEcComponent extends ComponentHelper {
    constructor(productsService, analyticsService, consts, router) {
        super();
        this.productsService = productsService;
        this.analyticsService = analyticsService;
        this.consts = consts;
        this.router = router;
        /**
         * @description valor que se utilizara para cuando un producto no tenga datos
         * en el atributo asignado.
         */
        this.emptyValue = '';
        /**
         * @description valor que se utilizara para la clase de los estilos de la etiqueta <table>
         */
        this.classes = '';
        this.size = '';
        /**
         * @description emite true si se genero algun error en la carga, false caso contrario
         */
        this.error = new EventEmitter();
        this.comparedProducts = [];
        this.attributes = {};
        this.matrixComparedProducts = {};
        this.loading = false;
        /**
         * @description arreglo con las palabras claves para obtener la asociacion para comparar los productos.
         */
        this.keywordsToCompare = ['compare', 'comparar', 'comparacion', 'comparación', 'compared'];
        /**
         * @description carga los datos que seran comparados
         * @param product_id
         */
        this.load = (product_id) => {
            this.productsService.getRelatedProducts(product_id).subscribe(res => {
                var _a;
                this.comparedProducts = (_a = res.find(elem => this.includeKeyword(elem.title.toLowerCase()))) === null || _a === void 0 ? void 0 : _a.items;
                if (this.comparedProducts && this.comparedProducts.length > 0) {
                    this.mergeAttributes(this.comparedProducts);
                    this.matrixComparedProducts = this.buildMatrix();
                    this.error.emit(false);
                }
                else {
                    this.error.emit(true);
                }
                this.loading = false;
                res.map(products => this.analyticsService.callEvent('view_item_list', { products: products.items, item_list_name: products.title || 'compared Products', item_list_id: products.id || 'compared-products' }));
            }, err => {
                console.log(err);
                this.loading = false;
                this.error.emit(true);
            });
        };
        /**
         * @description hace un merge de todos los atributos que tengan los productos.
         * @param products
         */
        this.mergeAttributes = (products) => {
            products.forEach(product => {
                product.attributes.forEach(attribute => {
                    if (!this.attributes[attribute.code]) {
                        this.attributes[attribute.code] = { name: attribute.name };
                    }
                });
            });
        };
        /**
         * @description genera una matriz de los datos de cada producto para compararlos
         * @returns un objeto cuya clave es el nombre del atributo y sus valores un
         * arreglo con los datos de los productos para ese atributo, en caso de no tener
         * datos en ese atributo se reemplaza por el valor de la variable emptyValue.
         */
        this.buildMatrix = () => {
            let res = {};
            for (let attribute in this.attributes) {
                res[attribute] = [];
                this.comparedProducts.forEach((product, index) => {
                    let item = product.attributes.find(elem => elem.code == attribute);
                    item ? res[attribute].push({ pos: index, values: item.children })
                        : res[attribute].push({ pos: index, values: [{ name: this.emptyValue }] });
                });
            }
            return res;
        };
        /**
         * @description chequea si la palabra pasada por parametro existe en el arreglo de
         * palabras claves para comparar (keywordsToCompare)
         * @param word
         * @returns un valor booleano, true si existe, false caso contrario
         */
        this.includeKeyword = (word) => {
            let result = false;
            this.keywordsToCompare.forEach(keyword => {
                word.includes(keyword) ? result = true : null;
            });
            return result;
        };
        this.customOptions = {
            loop: true,
            dots: false,
            navSpeed: 950,
            margin: 0,
            navText: ['', ''],
            nav: true,
            responsive: {
                0: {
                    items: 1,
                    nav: true
                },
                600: {
                    items: 3,
                    nav: true
                },
                900: {
                    items: 4,
                    nav: true,
                }
            }
        };
        this.ecOnConstruct();
    }
    /**
     * @description tamaño de la tabla responsive (sm | md| lg | xl | xxl)
     */
    set setSize(value) {
        this.size = '-' + value;
    }
    ngOnInit() {
        this.loading = true;
        this.load(this.product_id);
        this.ecOnInit();
    }
    ngOnChanges(changes) {
        window.scroll({
            top: 0,
            left: 0,
            behavior: 'smooth'
        });
        this.load(changes.product_id.currentValue);
        //this.doSomething(changes.categoryId.currentValue);
        // You can also use categoryId.previousValue and 
        // categoryId.firstChange for comparing old and new values
    }
};
ComparedProductsEcComponent.ctorParameters = () => [
    { type: ProductsService },
    { type: AnalyticsService },
    { type: Constants },
    { type: Router }
];
__decorate$1L([
    Input()
], ComparedProductsEcComponent.prototype, "product_id", void 0);
__decorate$1L([
    Input()
], ComparedProductsEcComponent.prototype, "emptyValue", void 0);
__decorate$1L([
    Input()
], ComparedProductsEcComponent.prototype, "classes", void 0);
__decorate$1L([
    Input()
], ComparedProductsEcComponent.prototype, "setSize", null);
__decorate$1L([
    Output()
], ComparedProductsEcComponent.prototype, "error", void 0);
ComparedProductsEcComponent = __decorate$1L([
    Component({
        selector: 'app-compared-products-ec',
        template: "<ng-container *ngIf=\"!loading; else loadingView\">\n    <ng-container *ngIf=\"comparedProducts && comparedProducts.length\">\n        <div [class]=\"'table-responsive'+size\">\n            <table id=\"table\" [class]=\"'table '+classes\">\n                <thead id=\"thead\">\n                    <tr class=\"thead-tr\">\n                        <th class=\"thead-tr-th\" scope=\"col\"></th>\n                        <th class=\"thead-tr-th\" *ngFor=\"let product of comparedProducts\" scope=\"col\">{{product.id}}</th>\n                    </tr>\n                </thead>\n                <tbody id=\"tbody\">\n                    <tr *ngFor=\"let row of matrixComparedProducts | keyvalue\" class=\"tbody-tr\">\n                        <th class=\"tbody-tr-th\" scope=\"row\">{{attributes[row.key].name}}</th>\n                        <td class=\"tbody-tr-td\" *ngFor=\"let col of row.value\">\n                            <ul>\n                                <li *ngFor=\"let item of col.values\">\n                                    {{ item.name }}\n                                </li>\n                            </ul>\n                        </td>\n                    </tr>\n                </tbody>\n            </table>\n        </div>\n    </ng-container>\n</ng-container>\n<ng-template #loadingView>\n    <div class=\"w-100 h-50 py-5\">\n        <div class=\"d-flex flex-row justify-content-center align-items-center text-center\">\n            <app-loading-full-ec></app-loading-full-ec>\n        </div>\n    </div>\n</ng-template>",
        styles: [""]
    })
], ComparedProductsEcComponent);

var __decorate$1M = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let StepEcComponent = class StepEcComponent extends ComponentHelper {
    constructor(checkoutService, analyticsService) {
        super();
        this.checkoutService = checkoutService;
        this.analyticsService = analyticsService;
        this.isStepReady = (step_name) => this.checkoutService.isStepReady(step_name);
        this.metodoEnvio = (order) => this.analyticsService.callEvent('shipping_info', order);
        this.ecOnConstruct();
    }
    ngOnInit() {
    }
};
StepEcComponent.ctorParameters = () => [
    { type: CheckoutService },
    { type: AnalyticsService }
];
__decorate$1M([
    Input()
], StepEcComponent.prototype, "lastStep", void 0);
__decorate$1M([
    Input()
], StepEcComponent.prototype, "previousStep", void 0);
__decorate$1M([
    Input()
], StepEcComponent.prototype, "step_id", void 0);
__decorate$1M([
    Input()
], StepEcComponent.prototype, "nextStep", void 0);
__decorate$1M([
    Input()
], StepEcComponent.prototype, "goBack", void 0);
__decorate$1M([
    Input()
], StepEcComponent.prototype, "id_step", void 0);
StepEcComponent = __decorate$1M([
    Component({
        selector: 'app-step-ec',
        template: "<ng-container [ngSwitch]=\"step_id\">\n\n    <ng-container *ngSwitchCase=\"1\">\n        <app-dataform-ec [step_id]=\"id_step\" [isLastOne]=\"lastStep\" [nextStep]=\"nextStep\">\n        </app-dataform-ec>\n    </ng-container>\n\n    <ng-container *ngSwitchCase=\"2\">\n        <ng-container *ngIf=\"isStepReady('address')\">\n            <app-shipment-ec [step_id]=\"id_step\">\n            </app-shipment-ec>\n            <div class=\"checkout-btn-container mt-2\">\n                <button class=\"btn valid-btn\" (click)=\"goBack()\">{{'back'|translate}}</button>\n                <ng-container *ngIf=\"(checkoutService.order$ | async) as order\">\n                    <button  *ngIf=\"isStepReady('shipment')\" (click)=\"nextStep()\"\n                        class=\"btn valid-btn float-end\" (click)=\"metodoEnvio(order)\">{{ (lastStep ? 'finish-checkout' : 'ready-form') |translate}}\n                    </button>\n                </ng-container>\n            </div>\n        </ng-container>\n    </ng-container>\n\n    <ng-container *ngSwitchCase=\"3\">\n        <ng-container *ngIf=\"isStepReady(previousStep)\">\n            <app-payment-ec [step_id]=\"id_step\">\n            </app-payment-ec>\n            <div class=\"checkout-btn-container mt-2\">\n                <button class=\"btn valid-btn\"\n                    (click)=\"goBack()\">{{'back'|translate}}</button>\n            </div>\n        </ng-container>\n    </ng-container>\n\n</ng-container>\n",
        styles: [".btn:disabled{opacity:.65}.btn.valid-btn{background-color:#000;color:#fff;margin-right:12px}"]
    })
], StepEcComponent);

var __decorate$1N = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let CulqiEcComponent = class CulqiEcComponent {
    constructor(renderer, consts, cartService, toastr, connection, paramsService) {
        this.renderer = renderer;
        this.consts = consts;
        this.cartService = cartService;
        this.toastr = toastr;
        this.connection = connection;
        this.paramsService = paramsService;
        this.ready = new EventEmitter();
        // cliente-test
        /* private apiKey: string = 'pk_test_vcUbO9GKekZcj16z' */
        // proto-local
        /* private apiKey: string = 'pk_test_26972b4e158b8f5b' */
        this.loaded = false;
        this.culqiParams = null;
        this.defaultErrorFeedback = 'Ocurrió un error al procesar su pago';
        this.getParams = params => {
            this.culqiParams = {};
            if (this.customStyle) {
                this.culqiParams['logo'] = this.consts.mediaUrl() + params.find(param => param.code.includes('logo')).images[0].path;
                this.culqiParams['title'] = params.find(param => param.code.includes('title')).value;
                this.culqiParams['description'] = params.find(param => param.code.includes('description')).value;
            }
            else {
                this.culqiParams['title'] = 'La Pequeteria';
                this.culqiParams['description'] = '';
            }
        };
        this.culqi = () => {
            if (Culqi.token) {
                this.loaded = false;
                const data = {
                    "token_id": Culqi.token.id
                };
                this.connection.post(this.finishApi(), data)
                    .toPromise()
                    .then(this.processResponse)
                    .catch(response => this.processResponse(response))
                    .finally(() => this.loaded = true);
            }
            else
                this.toastr.show(Culqi.error.user_message || this.defaultErrorFeedback, null, null, { timeOut: 5000, closeButton: true });
        };
        this.open = () => { console.log(this.culqiParams, this.amount); this.openPayment(this.culqiParams.description, this.amount); };
        this.isReady = () => this.amount && this.culqiParams;
        this.finishApi = () => 'shop-api/' + this.consts.getChannel() + '/culqi/' + this.cartService.cart_token + '/process-payment';
        this.onSuccess = () => this.ready.emit(true);
        this.onRejected = response => this.toastr.show(response.content.user_message || this.defaultErrorFeedback, null, null, { timeOut: 5000, closeButton: true });
        this.processResponse = response => {
            response.code === 201
                ? this.onSuccess()
                : this.onRejected(response);
        };
    }
    configCulqi(apiKey, commerce, currency) {
        console.log(apiKey);
        Culqi.publicKey = apiKey;
        this.settings = { title: commerce, currency: currency };
    }
    optionCulqi(lang, modal, installments) {
        let options = {
            lang: lang,
            modal: modal,
            installments: installments,
            customButton: "",
        };
        if (this.customStyle)
            options['style'] = {
                maincolor: '#009d56',
                buttontext: '#ffffff',
                logo: this.culqiParams.logo
            };
        Culqi.options(options);
    }
    openPayment(description, amount) {
        console.log('llegue', this.settings, description, amount);
        Culqi.settings({
            title: this.settings["title"],
            currency: this.settings["currency"],
            description: description,
            amount: amount * 100
        });
        console.log(Culqi);
        Culqi.open();
    }
    ngAfterViewInit() {
        if (this.isReady()) {
            console.log('ready');
            const script = this.renderer.createElement("script");
            script.type = 'text/javascript';
            script.src = 'https://checkout.culqi.com/js/v3';
            script.onload = () => {
                this.configCulqi(this.apiKey, this.culqiParams.title, 'PEN');
                this.optionCulqi('es', true, false);
                this.loaded = true;
            };
            this.renderer.appendChild(this.anchor.nativeElement, script);
        }
    }
    ngOnInit() {
        window.culqi = this.culqi;
        this.paramsService.parameters
            .subscribe(params => this.getParams(params.filter(param => param.code.includes('culqi'))));
    }
};
CulqiEcComponent.ctorParameters = () => [
    { type: Renderer2 },
    { type: Constants },
    { type: CartService },
    { type: ToastService },
    { type: ConnectionService },
    { type: ParametersService }
];
__decorate$1N([
    Input()
], CulqiEcComponent.prototype, "amount", void 0);
__decorate$1N([
    Input()
], CulqiEcComponent.prototype, "apiKey", void 0);
__decorate$1N([
    Input()
], CulqiEcComponent.prototype, "method", void 0);
__decorate$1N([
    Input()
], CulqiEcComponent.prototype, "customStyle", void 0);
__decorate$1N([
    Output()
], CulqiEcComponent.prototype, "ready", void 0);
__decorate$1N([
    ViewChild('formContainer')
], CulqiEcComponent.prototype, "anchor", void 0);
CulqiEcComponent = __decorate$1N([
    Component({
        selector: 'app-culqi-ec',
        template: "<div class=\"text-center\">\n    <h3 *ngIf=\"method && method?.name\">{{method.name}}</h3>\n    <p *ngIf=\"method\" class=\"px-5\">{{ method?.description }}</p>\n    <p *ngIf=\"method\" class=\"px-5\">{{ method?.instructions }}</p>\n    <form action=\"javascript:void(0)\" #formContainer></form>\n    <button *ngIf=\"loaded; else loading\" (click)=\"open()\" class=\"comprar\">Pagar</button>\n</div>\n\n\n<ng-template #loading>\n    <app-loading-full-ec></app-loading-full-ec>\n</ng-template>",
        styles: [".comprar{background:#009d56;color:#fff;display:inline-block;font-size:18px;font-weight:600;padding:10px 25px;text-decoration:none;text-transform:uppercase;border:none}.comprar :focus{outline:#92debc solid 3px}"]
    })
], CulqiEcComponent);

var __decorate$1O = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let RatingEcComponent = class RatingEcComponent extends ComponentHelper {
    constructor() {
        super(...arguments);
        this.type = 'stars';
        this.score = [0, 0, 0, 0, 0];
        /**
         * @description recibe el valor de rating para procesarlo y posteriormente
         * llenar el arreglo de score.
         * @param value
         */
        this.processRatingValue = (value) => {
            value = this.roundToHalf(value);
            if ((value % 1) == 0) {
                this.fillScore(value);
            }
            else {
                this.fillScore(value, true);
            }
            this.ratingValue = value;
        };
        /**
         * @description Rellena el array con valor 1 hasta donde indique el campo value.
         * agregar 0.5 si el valor de withDecimal es true.
         * @param value cantidad de casillas de arreglos que debe llenar
         * @param withDecimal true => se agrega 0.5 en la posicion posterior a la que marco value
         */
        this.fillScore = (value, withDecimal = false) => {
            for (let index = 0; index < value; index++) {
                this.score[index] = 1;
            }
            withDecimal ? this.score[parseInt(value.toString().split('.')[0])] = 0.5 : null;
            //console.log(this.score, parseInt(value.toString().split('.')[0]))
        };
        /**
         * @description Metodo que redondea un numero a entero o decimal con 0.5.
         * @param value Valor a redondear
         * @returns
         */
        this.roundToHalf = (value) => {
            var converted = parseFloat(value); // Make sure we have a number 
            var decimal = (converted - parseInt(converted.toString(), 10));
            decimal = Math.round(decimal * 10);
            if (decimal == 5) {
                return (parseInt(converted.toString(), 10) + 0.5);
            }
            if ((decimal < 3) || (decimal > 7)) {
                return Math.round(converted);
            }
            else {
                return (parseInt(converted.toString(), 10) + 0.5);
            }
        };
    }
    ngOnInit() {
        this.ratingValue ? this.processRatingValue(this.ratingValue) : null;
    }
};
__decorate$1O([
    Input()
], RatingEcComponent.prototype, "template", void 0);
__decorate$1O([
    Input()
], RatingEcComponent.prototype, "type", void 0);
__decorate$1O([
    Input()
], RatingEcComponent.prototype, "ratingValue", void 0);
RatingEcComponent = __decorate$1O([
    Component({
        selector: 'app-rating-ec',
        template: "<ng-container [ngSwitch]=\"type\">\n        <ng-template #stars let-score=\"score\">\n           <ng-container *ngFor=\"let value of score\">\n                <ng-container [ngSwitch]=\"value\">\n                    <i *ngSwitchCase=\"1\" class=\"me-1 bi bi-star-fill text-warning star\"></i>\n                    <i *ngSwitchCase=\"0.5\" class=\"me-1 bi bi-star-half text-warning star\"></i>\n                    <i *ngSwitchCase=\"0\" class=\"me-1 bi bi-star text-muted star\"></i>\n                </ng-container>\n           </ng-container>\n        </ng-template>\n        <ng-container *ngSwitchCase=\"'stars'\"\n            [ngTemplateOutlet]=\"template  ? template : stars\"\n            [ngTemplateOutletContext]=\"{score:score, ratingValue:ratingValue}\">\n        </ng-container>\n</ng-container>\n",
        styles: [""]
    })
], RatingEcComponent);

var __decorate$1P = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let ReviewsService = class ReviewsService {
    constructor(connection, constants, pagination) {
        this.connection = connection;
        this.constants = constants;
        this.pagination = pagination;
        this.reviewsSubject = new BehaviorSubject({});
        this.reviews$ = this.reviewsSubject.asObservable();
        //--Api--
        this.reviewsByCodeApi = (code) => 'shop-api/' + this.constants.getChannel() + '/products/by-code/' + code + '/reviews';
        this.reviewsBySlugApi = (slug) => 'shop-api/' + this.constants.getChannel() + '/products/by-slug/' + slug + '/reviews';
        /**
         * @description obtiene las reviews por el codigo del producto.
         * @param code codigo del producto
         * @returns
         */
        this.getReviewsByCode = (code) => this.connection.get(this.reviewsByCodeApi(code)).toPromise().then(res => this.updateReviews(res));
        /**
         * @description actualiza las reviews por codigo
         * @param code codigo del producto
         * @returns
         */
        this.updateReviewsByCode = (code) => this.getReviewsByCode(code);
        /**
         * @description actualiza las reviews
         * @param res
         * @returns
         */
        this.updateReviews = (res) => this.reviewsSubject.next(res);
        /**
         * @description obtiene las reviews utilizando las url del atributo links de las reviews.
         * @param action self(defecto) | next | first | last
         * @returns
         */
        this.getReviews = (action = 'self') => this.connection.get(this.generateFinalApi(action)).toPromise().then(res => this.updateReviews(res));
        /**
         * @description obtiene las reviews de una pagina en especial.
         * @param code codigo del producto
         * @param page número de pagina
         * @param limit cantidad limite de paginas
         * @returns
         */
        this.getReviewsByPage = (code, page, limit) => this.connection.get(this.generateFinalApiWithPage(code, page, limit)).toPromise().then(res => this.updateReviews(res));
        /**
         * @description genera una url que sera utiliza como endpoint para pedir las reviews utilizando los datos
         * que viene en el atributo links.
         * 'next' => utiliza el atributo next de links
         * 'first' => utiliza el atributo first de links
         * 'last' => utiliza el atributo last de links
         * default => cualquier otro caso, utiliza el atributo self de links.
         * @param action next | first | last
         * @returns
         */
        this.generateFinalApi = (action) => {
            switch (action) {
                case 'next':
                    return this.formatUrl(this.reviewsSubject.getValue().links.next);
                case 'first':
                    return this.formatUrl(this.reviewsSubject.getValue().links.first);
                case 'last':
                    return this.formatUrl(this.reviewsSubject.getValue().links.last);
                default:
                    return this.formatUrl(this.reviewsSubject.getValue().links.self);
            }
        };
        /**
         * @description obtiene las reviews de una pagina en especifico
         * @param code codigo del producto
         * @param page numero de pagina
         * @param limit cantidad limite de paginas
         * @returns
         */
        this.generateFinalApiWithPage = (code, page, limit) => this.reviewsByCodeApi(code) + '?page=' + page + '&limit=' + limit;
        /**
         * @description formatea la url que sera utilizada de endpoint para obtener las reviews
         * @param url
         * @returns
         */
        this.formatUrl = (url) => url.slice(1);
    }
};
ReviewsService.ctorParameters = () => [
    { type: ConnectionService },
    { type: Constants },
    { type: PaginationService }
];
ReviewsService.ɵprov = ɵɵdefineInjectable({ factory: function ReviewsService_Factory() { return new ReviewsService(ɵɵinject(ConnectionService), ɵɵinject(Constants), ɵɵinject(PaginationService)); }, token: ReviewsService, providedIn: "root" });
ReviewsService = __decorate$1P([
    Injectable({
        providedIn: 'root'
    })
], ReviewsService);

var __decorate$1Q = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let ReviewsFormEcComponent = class ReviewsFormEcComponent extends ComponentHelper {
    constructor(toastrService, router, consts, formBuilder, productService, authService, reviewsService) {
        super();
        this.toastrService = toastrService;
        this.router = router;
        this.consts = consts;
        this.formBuilder = formBuilder;
        this.productService = productService;
        this.authService = authService;
        this.reviewsService = reviewsService;
        /**
         * @description para controlar si esta logueado.
         */
        this.withAuthenticated = true;
        /**
         * @description número maximo de valor de puntuación
         */
        this.max = 5;
        /**
         * @description para indicar cuando se termino la operación de consulta.
         */
        this.ready = new EventEmitter();
        this.loading = false;
        this.form_data = new FormData();
        this.limit = [];
        /**
         * @description guarda el valor que contiene la puntuación de la reseña.
         * @param value
         */
        this.setRatingValue = (value = 0) => {
            this.reviews_form.controls['rating'].setValue(value);
        };
        /**
         * @description procesa el formulario con los datos.
         * @param form
         * @param success_message mensaje para que se muestre en el caso de exito.
         */
        this.sendForm = (form, success_message) => {
            if (form.valid) {
                this.withAuthenticated ? this.reviews_form.controls['email'].setValue(this.authService.getUserProfileAsUser().email) : null;
                this.productService.saveReviews(this.product.id, form.value).toPromise().then(res => {
                    this.reviews_form.reset();
                    this.toastrService.show(success_message ? success_message : 'success-review');
                    this.loading = false;
                    this.ready.emit(true);
                    // Queda preparado por si algun dia se quiere manejar sincronismo.
                    //this.updateReviews()
                }, err => {
                    this.toastrService.show('inquiry-error');
                    this.loading = false;
                    this.ready.emit(true);
                });
            }
            else {
                this.toastrService.show('invalid-form');
                this.loading = false;
                this.ready.emit(true);
            }
        };
        /**
         * @descirption controla que el usuario este logueado para comentar. Si la variable withAuthenticated es falso entonces no realiza este control.
         * @param e evento producido por el submit del formulario
         */
        this.toastReviewsForm = (e, message) => {
            this.loading = true;
            e.preventDefault();
            if (this.withAuthenticated) {
                this.authService.isAuthenticated() ?
                    this.sendForm(this.reviews_form, message ? message : 'success-review') : this.toastrService.show('authenticated-for-comment');
            }
            else {
                this.sendForm(this.reviews_form, message ? message : 'success-review');
            }
        };
        /**
         * @description actualiza las reviews
         * @returns
         */
        this.updateReviews = () => this.reviewsService.updateReviewsByCode(this.product.id);
        this.reviews_form = formBuilder.group({
            title: ['', Validators.required],
            comment: ['', Validators.required],
            rating: [0, Validators.required],
            email: ['', this.withAuthenticated ? [] : [Validators.required, Validators.email]],
        });
        this.ecOnConstruct();
    }
    ngOnInit() {
        for (let index = 0; index < this.max; index++) {
            this.limit.push(index + 1);
        }
    }
};
ReviewsFormEcComponent.ctorParameters = () => [
    { type: ToastService },
    { type: Router },
    { type: Constants },
    { type: FormBuilder },
    { type: ProductsService },
    { type: AuthService },
    { type: ReviewsService }
];
__decorate$1Q([
    Input()
], ReviewsFormEcComponent.prototype, "product", void 0);
__decorate$1Q([
    Input()
], ReviewsFormEcComponent.prototype, "withAuthenticated", void 0);
__decorate$1Q([
    Input()
], ReviewsFormEcComponent.prototype, "max", void 0);
__decorate$1Q([
    Output()
], ReviewsFormEcComponent.prototype, "ready", void 0);
ReviewsFormEcComponent = __decorate$1Q([
    Component({
        selector: 'app-reviews-form-ec',
        template: "<p>\n  reviews-form-ec works!\n</p>\n",
        styles: [""]
    })
], ReviewsFormEcComponent);

var __decorate$1R = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let ReviewsEcComponent = class ReviewsEcComponent extends ComponentHelper {
    constructor(reviewsService, consts) {
        super();
        this.reviewsService = reviewsService;
        this.consts = consts;
        this.next = () => {
            this.reviewsService.getReviews('next');
        };
        this.last = () => {
            this.reviewsService.getReviews('last');
        };
        this.first = () => {
            this.reviewsService.getReviews('first');
        };
        this.self = () => {
            this.reviewsService.getReviews();
        };
        /**
         * @description genera un arreglo con tamaño igual a la cantidad de paginas que tiene la review.
         * @returns {number[]} un arreglo cuyo contendio es un entero que indica el numero de pagina.
         */
        this.getPages = () => {
            let pages = [];
            for (let index = 0; index < this.reviews.pages; index++) {
                pages.push(index + 1);
            }
            return pages;
        };
        /**
         * @description actualiza las reviews con el contenido asociado a la pagina pasada por parametro
         * @param page
         */
        this.goPage = (page) => {
            this.reviewsService.getReviewsByPage(this.product.id, page, this.reviews.limit);
        };
        this.reviewsService.reviews$.subscribe(res => this.reviews = res);
        this.ecOnConstruct();
    }
    ngOnInit() {
        this.reviewsService.getReviewsByCode(this.product.id);
        this.ecOnInit();
    }
};
ReviewsEcComponent.ctorParameters = () => [
    { type: ReviewsService },
    { type: Constants }
];
__decorate$1R([
    Input()
], ReviewsEcComponent.prototype, "product", void 0);
ReviewsEcComponent = __decorate$1R([
    Component({
        selector: 'app-reviews-ec',
        template: "<p>\n  reviews-ec works!\n</p>\n",
        styles: [""]
    })
], ReviewsEcComponent);

var __decorate$1S = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let BancardCatastroEcComponent = class BancardCatastroEcComponent extends ComponentHelper {
    constructor(consts, connection, cartService, sanitizer, toastr) {
        super();
        this.consts = consts;
        this.connection = connection;
        this.cartService = cartService;
        this.sanitizer = sanitizer;
        this.toastr = toastr;
        this.method = null;
        this.total_amount = 0;
        this.user_data = null;
        this.ready = new EventEmitter();
        this.loading = false;
        this.checkingPayment = false;
        this.registered_cards = [];
        this.infoPreview = true;
        this.cardNames = ['visa', 'mastercard', 'bancard'];
        this.currentCardID = -1;
        this.sendToPay = {
            alias_token: '',
            number_of_payments: 0
        };
        this.userCardsRecoveryApi = () => 'shop-api/' + this.consts.getChannel() + '/bancard/' + this.cartService.cart_token + '/catastro-user-cards-recovery';
        this.newUserCardApi = () => 'shop-api/' + this.consts.getChannel() + '/bancard/' + this.cartService.cart_token + '/catastro-new-user-card';
        this.toPayApi = () => 'shop-api/' + this.consts.getChannel() + '/bancard/' + this.cartService.cart_token + '/catastro-token-payment';
        this.deleteCardApi = () => 'shop-api/' + this.consts.getChannel() + '/bancard/' + this.cartService.cart_token + '/catastro-delete-card';
        /**
         * @description obtiene las tarjetas almacenadas para el usuario.
         */
        this.loadCards = () => {
            this.loading = true;
            this.connection.get(this.userCardsRecoveryApi()).toPromise().then(res => {
                this.registered_cards = res.registered_cards;
                console.log('registered cards ', this.registered_cards);
                this.loading = false;
            }, err => { console.log(err); this.loading = false; });
        };
        /**
         * @description obtengo el process ID
         */
        this.getProcessId = () => {
            this.connection.get(this.newUserCardApi()).toPromise().then(res => {
                this.process_id = res.process_id;
                //console.log(this.process_id)
                localStorage.setItem('catastro_data', JSON.stringify(res));
                setTimeout(() => {
                    this.infoPreview = false;
                }, 5000);
                this.getIFrameNewCard();
            }, err => {
                console.log(err);
            });
        };
        /**
         * @description Obtengo el IFrame donde se mostrara el formulario para registrar una nueva tarjeta
         */
        this.getIFrameNewCard = () => {
            this.loading = true;
            //this.dataDecidir = this.method;
            this.url = this.sanitizer.bypassSecurityTrustResourceUrl('assets/bancardCatastro.html');
            this.loading = false;
        };
        /**
         * @description limpia los datos al cerra el modal
         */
        this.closeModal = () => {
            localStorage.removeItem('catastro_data');
            this.url = '';
            this.infoPreview = true;
        };
        /**
         * @description para saltear el mensaje previo.
         * @returns
         */
        this.skipInfoPreview = () => this.infoPreview = false;
        /**
         * @description para obtener la imagen de la tarjeta desde los assets
         * @param name nombre de la tarjeta
         * @returns
         */
        this.getCardImg = (name) => {
            let urlImg = 'assets/images/';
            this.cardNames.forEach(elem => {
                //console.log(elem, name.toLocaleLowerCase().includes(elem), urlImg+elem+'.png' )
                name.toLocaleLowerCase().includes(elem) ? urlImg = urlImg + elem + '.png' : null;
            });
            //console.log(urlImg)
            return urlImg;
        };
        /**
         * @description para guardar el número de pagos
         * @param value
         */
        this.setNumberOfPayments = (value) => {
            //console.log(value)
            this.sendToPay.number_of_payments = parseInt(value);
        };
        /**
         * @description Guarda el ID de la tarjeta seleccionada para pagar.
         * @param value
         * @returns
         */
        this.setCurrentCardID = (value) => {
            this.currentCardID = value;
            return true;
        };
        /**
         * @description chequea si el valor del número de pagos el mayor a 0
         * @returns
         */
        this.canPay = () => this.sendToPay.number_of_payments > 0;
        /**
         * @description funcion para pagar.
         * @param id el ID de la tarjeta.
         */
        this.toPay = (id) => {
            //console.log('current',this.currentCardID)
            this.checkingPayment = true;
            let card = this.registered_cards.find(card => card.card_id == id);
            if (card) {
                this.sendToPay.alias_token = card.alias_token;
                card.card_type != 'credit' ? this.sendToPay.number_of_payments = 1 : null;
                if (this.sendToPay.number_of_payments > 0) {
                    this.connection.post(this.toPayApi(), this.sendToPay).toPromise().then(res => {
                        this.processResponse(res);
                        this.checkingPayment = false;
                    }).catch(err => {
                        this.processError(err);
                        this.checkingPayment = false;
                    });
                }
                else {
                    this.toastr.show('No se ha elegido el número de cuotas');
                    console.error('No se ha elegido el número de cuotas');
                    this.checkingPayment = false;
                }
            }
            else {
                this.checkingPayment = false;
                this.toastr.show('No se encontro la tarjeta');
                console.error('No se encontro la tarjeta');
            }
        };
        /**
         * @description elimina una tarjeta.
         * @param id id de la tarjeta a eliminar.
         */
        this.deleteCard = (id) => {
            let card = this.registered_cards.find(card => card.card_id == id);
            if (card) {
                this.connection.post(this.deleteCardApi(), { alias_token: card.alias_token }).toPromise().then(res => {
                    this.toastr.show('La tarjeta se ha eliminado con éxito');
                    console.log('se elimino', res);
                }).catch(err => {
                    this.toastr.show('Se produjo un error al eliminar la tarjeta. Por favor intente más tarde.');
                    console.log('Error al eliminar', err);
                });
            }
        };
        /**
         * @description Procesa las respuesta de un pago
         * @param response
         * @returns
         */
        this.processResponse = (response) => {
            if (response.status !== 'rejected') {
                //console.log('SE PUDO EFECTUAR LA COMPRA');
                this.ready.emit('true');
                return;
            }
            this.processError(response);
        };
        /**
         * @description procesa el error tras un intento de pago
         * @param response
         */
        this.processError = (response) => {
            console.error('ERROR: ', response);
            switch (response.status) {
                case 500:
                    this.toastr.show('Se produjo un error interno. Vuelva a intentarlo más tarde.');
                    break;
                default:
                    break;
            }
        };
        this.loadCards();
    }
    ngOnInit() {
    }
};
BancardCatastroEcComponent.ctorParameters = () => [
    { type: Constants },
    { type: ConnectionService },
    { type: CartService },
    { type: DomSanitizer },
    { type: ToastService }
];
__decorate$1S([
    Input()
], BancardCatastroEcComponent.prototype, "paymentServiceInst", void 0);
__decorate$1S([
    Input()
], BancardCatastroEcComponent.prototype, "method", void 0);
__decorate$1S([
    Input()
], BancardCatastroEcComponent.prototype, "total_amount", void 0);
__decorate$1S([
    Input()
], BancardCatastroEcComponent.prototype, "allData", void 0);
__decorate$1S([
    Input()
], BancardCatastroEcComponent.prototype, "user_data", void 0);
__decorate$1S([
    Output()
], BancardCatastroEcComponent.prototype, "ready", void 0);
BancardCatastroEcComponent = __decorate$1S([
    Component({
        selector: 'app-bancard-catastro-ec',
        template: "<div *ngIf=\"!loading; else loadingView\">\n    <div class=\"row my-3\">\n        <ng-container *ngIf=\"registered_cards && registered_cards.length > 0; else notCards\">\n            <ng-container *ngFor=\"let card of registered_cards; let x=index\">\n                <div class=\"col-12 col-md-6\">\n                    <div class=\"card my-2\">\n                        <div class=\"card-body\">\n                            <div class=\"row\">\n                                <div class=\"col-12 col-md-9\">\n                                    <h5 class=\"card-title\">Terminada en {{card.card_masked_number.slice(-4)}}</h5>\n                                    <!-- <h6 class=\"card-subtitle mb-2 text-muted\">Card subtitle</h6> -->\n                                    <!--                       <p class=\"card-text\">Some quick example text to build on the card title and make up the bulk of the card's content.</p>\n                                                                 -->\n                                    <p class=\"card-text text-muted\">{{card.card_brand}}</p>\n                                    <p class=\"card-text text-muted\">Vencimiento: {{card.expiration_date}}</p>\n                                </div>\n                                <div class=\"col-3 d-none d-md-flex\">\n                                    <div class=\"d-flex flex-column justify-content-between align-items-center w-100\">\n                                        <div class=\"d-flex justify-content-end w-100\">\n                                            <a class=\"cursor-pointer text-primary\" (click)=\"deleteCard(card.card_id)\">\n                                                <svg xmlns=\"http://www.w3.org/2000/svg\" width=\"16\" height=\"16\" fill=\"currentColor\" class=\"bi bi-trash3\"\n                                                    viewBox=\"0 0 16 16\">\n                                                    <path\n                                                        d=\"M6.5 1h3a.5.5 0 0 1 .5.5v1H6v-1a.5.5 0 0 1 .5-.5ZM11 2.5v-1A1.5 1.5 0 0 0 9.5 0h-3A1.5 1.5 0 0 0 5 1.5v1H2.506a.58.58 0 0 0-.01 0H1.5a.5.5 0 0 0 0 1h.538l.853 10.66A2 2 0 0 0 4.885 16h6.23a2 2 0 0 0 1.994-1.84l.853-10.66h.538a.5.5 0 0 0 0-1h-.995a.59.59 0 0 0-.01 0H11Zm1.958 1-.846 10.58a1 1 0 0 1-.997.92h-6.23a1 1 0 0 1-.997-.92L3.042 3.5h9.916Zm-7.487 1a.5.5 0 0 1 .528.47l.5 8.5a.5.5 0 0 1-.998.06L5 5.03a.5.5 0 0 1 .47-.53Zm5.058 0a.5.5 0 0 1 .47.53l-.5 8.5a.5.5 0 1 1-.998-.06l.5-8.5a.5.5 0 0 1 .528-.47ZM8 4.5a.5.5 0 0 1 .5.5v8.5a.5.5 0 0 1-1 0V5a.5.5 0 0 1 .5-.5Z\" />\n                                                </svg>\n                                            </a>\n                                        </div>\n                                        <img [src]=\"getCardImg(card.card_brand)\" class=\"img-card\" />\n                                        \n                                    </div>\n                                </div>\n                            </div>\n                        </div>\n                        <div class=\"card-footer d-flex flex-row justify-content-end\">\n                            <ng-container *ngIf=\"!checkingPayment; else buttonLoading\">\n                                <button *ngIf=\"card.card_type == 'credit'; else debito\" class=\"btn comprar text-white\" data-bs-toggle=\"modal\"\n                                    data-bs-target=\"#modalCuotas\" (click)=\"setCurrentCardID(card.card_id)\">Pagar</button>\n                                <ng-template #debito>\n                                    <button class=\"btn comprar text-white\" (click)=\"toPay(card.card_id)\">Pagar</button>\n                                </ng-template>\n                            </ng-container>\n                        </div>\n                    </div>\n                </div>\n            </ng-container>\n        </ng-container>\n        <ng-template #notCards>\n            <div class=\"col-12 d-flex justify-content-center\">\n                <h6>Usted no posee tarjetas registrada. Para continuar con este m\u00E9todo de pago por favor registre una\n                    tarjeta presionando el bot\u00F3n de <span class=\"text-decoration-underline fs-6\"> Nueva tarjeta</span>\n                </h6>\n            </div>\n        </ng-template>\n    </div>\n    <div class=\"d-flex flex-row w-full justify-content-center\">\n        <button class=\"btn comprar text-white\" data-bs-toggle=\"modal\" data-bs-target=\"#catastro\"\n            (click)=\"getProcessId()\">Nueva Tarjeta</button>\n    </div>\n</div>\n\n<div class=\"modal\" tabindex=\"-1\" id=\"catastro\">\n    <div class=\"modal-dialog\">\n        <div class=\"modal-content\">\n            <div class=\"modal-header\">\n                <!--  <h5 class=\"modal-title\">Modal title</h5> -->\n                <button type=\"button\" class=\"btn-close\" data-bs-dismiss=\"modal\" aria-label=\"Close\"\n                    (click)=\"closeModal()\"></button>\n            </div>\n            <div class=\"modal-body d-flex flex-column justify-content-center align-items-center\">\n                <ng-container *ngIf=\"infoPreview; else iframe\">\n                    <div class=\"alert alert-warning \" role=\"alert\">\n                        <p class=\"mb-0\">Estimado usuario,</p>\n                        <p> A continuaci\u00F3n usted pasar\u00E1 por \u00FAnica vez por un proceso de\n                            validaci\u00F3n con preguntas de seguridad. Para iniciar favor tener en\n                            cuenta las siguientes recomendaciones:</p>\n                        <ol class=\"list-group list-group-numbered\">\n                            <li class=\"list-group-item list-group-item-warning\">Verifique su n\u00FAmero de c\u00E9dula de\n                                identidad</li>\n                            <li class=\"list-group-item list-group-item-warning\">Tenga a mano sus tarjetas de cr\u00E9dito y\n                                d\u00E9bito activas</li>\n                            <li class=\"list-group-item list-group-item-warning\">Verifique el monto y lugar de sus\n                                \u00FAltimas compras en\n                                comercios o extracciones en cajeros</li>\n                        </ol>\n                    </div>\n                    <div class=\"d-flex flex-row w-full justify-content-center\">\n                        <a class=\"cursor-pointer text-dark fs-xs\" (click)=\"skipInfoPreview()\">Saltar</a>\n                    </div>\n                </ng-container>\n                <ng-template #iframe>\n                    <iframe *ngIf=\"url; else loadingView\" [src]=\"url\" frameborder=\"0\" class=\"iframeStyle\"></iframe>\n                </ng-template>\n            </div>\n        </div>\n    </div>\n</div>\n\n\n<!-- Modal -->\n<div class=\"modal fade\" id=\"modalCuotas\" tabindex=\"-1\" aria-labelledby=\"exampleModalLabel\" aria-hidden=\"true\">\n    <div class=\"modal-dialog modal-dialog-centered modal-sm\">\n        <div class=\"modal-content\">\n            <div class=\"modal-header\">\n                <h5 class=\"modal-title\" id=\"exampleModalLabel\">Elija el n\u00FAmero de cuotas</h5>\n                <button type=\"button\" class=\"btn-close\" data-bs-dismiss=\"modal\" aria-label=\"Close\"></button>\n            </div>\n            <div class=\"modal-body\">\n                <select class=\"form-select\" aria-label=\"Default select example\"\n                    (change)=\"setNumberOfPayments($event.target.value)\">\n                    <option selected disabled>Selecciones la cantidad de cuotas</option>\n                    <option value=\"1\">1 cuota</option>\n                    <option value=\"3\">3 cuotas</option>\n                    <option value=\"6\">6 cuotas</option>\n                    <option value=\"12\">12 cuotas</option>\n                </select>\n            </div>\n            <div class=\"modal-footer\" *ngIf=\"canPay()\">\n                <button type=\"button\" class=\"btn comprar text-white\" data-bs-dismiss=\"modal\"\n                    (click)=\"toPay(currentCardID)\">Pagar</button>\n            </div>\n        </div>\n    </div>\n</div>\n\n<ng-template #loadingView>\n    <div>\n        <app-loading-inline-ec></app-loading-inline-ec>\n    </div>\n</ng-template>\n\n<ng-template #buttonLoading>\n    <button type=\"button\" class=\"btn comprar text-white\" data-bs-dismiss=\"modal\"> \n        <app-loading-inline-ec></app-loading-inline-ec>\n    </button>\n</ng-template>",
        styles: [".iframeStyle{min-height:520px!important;width:80%}.img-card{width:90px;height:90px}"]
    })
], BancardCatastroEcComponent);

var __decorate$1T = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let CookiesService = class CookiesService {
    constructor(injector) {
        this.injector = injector;
        this.cookiesSubject = new BehaviorSubject({});
        this.readySubject = new BehaviorSubject(false);
        this.ready$ = this.readySubject.asObservable();
        this.cookies$ = this.cookiesSubject.asObservable();
        this.cookies = {};
        this.defaultValues = {
            activated: false,
            message: 'Utilizamos cookies propias y de terceros con finalidades analíticas y para mostrarte publicidad relacionada con tus preferencias a partir de tus hábitos de navegación y tu perfil. Puedes configurar o rechazar las cookies haciendo click en “Configuración de cookies”. También puedes aceptar todas las cookies pulsando el botón “Aceptar todas las cookies”. Para más información puedes visitar nuestra Política de cookies"',
            linkRedirect: '/section/politicas-de-privacidad',
            format: {
                type: 'sidebar',
                position: 'bottom'
            },
            others: {
                btnConfig: 'Configuraciónsss',
                btnAccept: 'Aceptar cookies',
                btnSave: 'Guardar',
                btnAll: 'Aceptar todas'
            }
        };
        /**
         * @description retorna la *cookie* si la encuentra, *false* en caso contrario
         * @param name nombre de la cookie a buscar
         * @returns objecto | false
         */
        this.getCookie = (name) => {
            let nameEQ = name + "=";
            let ca = document.cookie.split(";");
            for (var i = 0; i < ca.length; i++) {
                let c = ca[i];
                while (c.charAt(0) === " ")
                    c = c.substring(1, c.length);
                if (c.indexOf(nameEQ) === 0)
                    return c.substring(nameEQ.length, c.length);
            }
            return null;
        };
        /**
         * @description Construye el objeto que sera utilizado para manejar las cookie.
         * Utiliza el servicio de parametros para tomar los datos que iran llenando el objeto.
         */
        this.buildObject = () => {
            this.injector.get(ParametersService).parameters.subscribe(res => {
                this.cookiesParameters = res ? res.filter(param => param.code.toLocaleLowerCase().includes('cookies')) : [];
                this.cookiesParameters.length > 0 ? this.processingCookieParameters(this.cookiesParameters) : null;
                //console.log(res, this.cookiesParameters)
                this.setDefaultParameters();
            });
            //console.log('Cookies Final', this.cookies)
            this.cookiesSubject.next(this.cookies);
        };
        /**
         * @description realiza un merge con los valores por defecto para rellenar el objeto de cookies
         */
        this.setDefaultParameters = () => {
            this.cookies = Object.assign(Object.assign({}, this.defaultValues), this.cookies);
        };
        /**
         * @description procesa el parametro ingresado, para transformarlo en un atributo del objeto de cookies.
         * @param cookiesParameters arreglo proveniente del servicio de parametros que contiene
         * los elementos a transformar en atributos.
         */
        this.processingCookieParameters = (cookiesParameters) => {
            cookiesParameters.forEach(element => {
                //console.log(element)
                let attrName = element.code.split('_')[1];
                switch (attrName) {
                    case 'format':
                        this.cookies[attrName] = this.formatAttrProcessing(element);
                        break;
                    case 'cookies':
                        !this.cookies[attrName] ? this.cookies[attrName] = [] : null;
                        this.cookies[attrName].push(this.cookiesAttrProcessing(element));
                        break;
                    case 'others':
                        !this.cookies[attrName] ? this.cookies[attrName] = {} : null;
                        this.cookies[attrName] = Object.assign(Object.assign({}, this.cookies[attrName]), this.othersAttrProcessing(element));
                        break;
                    case 'message':
                        this.cookies[attrName] = this.messageAttrProcessing(element);
                        break;
                    default:
                        try {
                            this.cookies[attrName] = element.value;
                        }
                        catch (error) {
                            console.error(error);
                        }
                        break;
                }
            });
            this.readySubject.next(true);
        };
        /**
         * @description Procesa el atributo message (*cookies_message*)
         * @param data Objeto parametro
         * @returns {string} el mensaje formateado
         */
        this.messageAttrProcessing = (data) => {
            let message = data.value;
            if (message.indexOf('[') != -1) {
                message = message.replace('[', "<a href='" + this.cookies.linkRedirect + "'>");
                message = message.replace(']', "</a>");
            }
            return message;
        };
        /**
         * @description Procesa la cadena de string del atributo format
         * @param data Datos a ser procesados, objeto del parametro.
         * @returns El objecto formateado en un JSON.
         */
        this.formatAttrProcessing = (data) => {
            let values = data.value.toLocaleLowerCase().split(' ');
            let objReturn = {
                type: values[0] || 'sidebar'
            };
            values.shift();
            while (values.length > 0) {
                let value = values.shift();
                switch (value) {
                    case 'backdrop':
                        objReturn[value] = true;
                        break;
                    case 'scroll':
                        objReturn[value] = true;
                        break;
                    default:
                        //console.log(value)
                        objReturn = Object.assign(Object.assign({}, objReturn), this.getObjByFormatType(objReturn.type, value));
                        break;
                }
            }
            return objReturn;
        };
        /**
         * @description Le da formato al atributo format de acuerdo al tipo ingresado por parametro (sidebar | modal | toast)
         * @param type 'sidebar' | 'modal' | 'toast'
         * @param value el valor de ese atributo.
         * @returns el objeto formateado.
         */
        this.getObjByFormatType = (type, value) => {
            let valueReturn = {};
            switch (type) {
                case 'sidebar':
                    valueReturn = { position: value };
                    break;
                case 'modal':
                    valueReturn = { size: value };
                    break;
                case 'toast':
                    valueReturn = (value.includes('end') || value.includes('start')) ? { positionX: value } : { positionY: value };
                    break;
                default:
                    break;
            }
            return valueReturn;
        };
        /**
         * @description Procesa el objeto parametro, utilizando parte del codigo (a partir del segundo '_') para
         * el titulo y su valor para el mensaje.
         * @param data Datos a ser procesados, objeto parametro
         * @returns El objecto formateado en un JSON.
         */
        this.cookiesAttrProcessing = (data) => {
            //console.log(data)
            let nameFormat = data.code.split('_')[2];
            let objReturn = {
                name: nameFormat,
                message: data.value
            };
            return objReturn;
        };
        /**
         * @description Procesa las configuraciones que vienen para el atributo others
         * @param data Datos a ser procesados, objeto parametro
         * @returns Un JSON { clave: valor } para ser añadido al objeto "others"
         */
        this.othersAttrProcessing = (data) => {
            let key = data.code.split('_')[2];
            return { [key]: data.value };
        };
        this.getCookie('accepted') ? null : this.buildObject();
    }
};
CookiesService.ctorParameters = () => [
    { type: Injector }
];
CookiesService.ɵprov = ɵɵdefineInjectable({ factory: function CookiesService_Factory() { return new CookiesService(ɵɵinject(INJECTOR)); }, token: CookiesService, providedIn: "root" });
CookiesService = __decorate$1T([
    Injectable({
        providedIn: 'root'
    })
], CookiesService);

var __decorate$1U = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let CookiesEcComponent = class CookiesEcComponent extends ComponentHelper {
    constructor(consts, cookiesService) {
        super();
        this.consts = consts;
        this.cookiesService = cookiesService;
        this.ready = false;
        this.cookiesToSave = [];
        /**
         * @description Guarda las cookies configuradas.
         */
        this.acceptCookies = () => {
            if (this.cookiesToSave.length > 0) {
                this.cookiesToSave.forEach(elem => elem.enabled ? this.setCookie(elem.name, elem.value, 30) : null);
            }
            else {
                console.error('No hay cookies para guardar, por favor revisa la configuración de las cookies');
            }
        };
        /**
         * @description Carga las cookies que seran guardadas en el navegador. Siempre va a cargar una cookie de nombre
         * *accepted* la cual sera utilizada para ver si se aceptaron o no.
         */
        this.loadAllCookies = () => {
            this.cookiesToSave.push({ name: 'accepted', value: true, enabled: true });
            //console.log(this.cookies.cookies, this.cookies, this.ready)
            if (this.cookies.cookies && this.cookies.cookies.length > 0) {
                this.cookies.cookies.forEach(elem => {
                    this.cookiesToSave.push({ name: elem.name, value: true, enabled: true });
                    //console.log(elem)
                });
            }
            //console.log(this.cookiesToSave)
        };
        /**
         * @description crea y guarda una cookie en el navegador
         * @param name nombre de la cookie
         * @param value valor que llevara la cookie
         * @param days tiempo de vida en el navegador en dias.
         */
        this.setCookie = (name, value, days) => {
            let expires = "";
            if (days) {
                let date = new Date();
                date.setTime(date.getTime() + days * 24 * 60 * 60 * 1000);
                expires = "; expires=" + date.toUTCString();
            }
            document.cookie = name + "=" + (value || "") + expires + "; path=/";
        };
        /**
         * @description activa/desactiva una cookie
         * @param name nombre de la cookie
         */
        this.toggleCookie = (name) => {
            this.cookiesToSave.forEach(elem => {
                elem.name == name ? elem.enabled = !elem.enabled : null;
            });
        };
        /**
         * @description activa todas las cookies
         */
        this.saveAllCookies = () => {
            this.cookiesToSave.forEach(elem => {
                elem.enabled = true;
            });
        };
        /**
         * @description Objeto contenedor de funciones para usar en la configuracion de las cookies
        */
        this.cookiesFunctions = {
            toggle: this.toggleCookie,
            acceptAll: this.saveAllCookies
        };
        this.cookiesService.cookies$.subscribe(res => this.cookies = res);
        this.ecOnConstruct();
    }
    ngOnInit() {
        this.cookiesService.ready$.subscribe(res => {
            this.ready = res;
            this.ready ? this.loadAllCookies() : null;
        });
        this.ecOnInit();
    }
};
CookiesEcComponent.ctorParameters = () => [
    { type: Constants },
    { type: CookiesService }
];
__decorate$1U([
    Input()
], CookiesEcComponent.prototype, "templates", void 0);
CookiesEcComponent = __decorate$1U([
    Component({
        selector: 'app-cookies-ec',
        template: "<ng-container *ngIf=\"ready\">\n    <ng-container [ngSwitch]=\"cookies.format.type\">\n        <ng-container *ngSwitchCase=\"'toast'\">\n            <ng-template #toastEcTemplate>\n                <app-toast-cookies-ec [cookies]=\"cookies\" [acceptCookies]=\"acceptCookies\"></app-toast-cookies-ec>\n            </ng-template>\n            <ng-container [ngTemplateOutlet]=\"templates && templates.toast? templates.toast : toastEcTemplate\"\n                [ngTemplateOutletContext]=\"{cookies:cookies, acceptCookies:acceptCookies}\"></ng-container>\n        </ng-container>\n        <ng-container *ngSwitchCase=\"'modal'\">\n            <ng-template #modalEcTemplate>\n                <app-modal-cookies-ec [cookies]=\"cookies\" [acceptCookies]=\"acceptCookies\"></app-modal-cookies-ec>\n            </ng-template>\n            <ng-container [ngTemplateOutlet]=\"templates && templates.modal? templates.modal : modalEcTemplate\"\n                [ngTemplateOutletContext]=\"{cookies:cookies, acceptCookies:acceptCookies}\"></ng-container>\n        </ng-container>\n        <ng-container *ngSwitchCase=\"'sidebar'\">\n            <ng-template #sidebarEcTemplate>\n                <app-sidebar-cookies-ec [cookies]=\"cookies\" [acceptCookies]=\"acceptCookies\"></app-sidebar-cookies-ec>\n            </ng-template>\n            <ng-container [ngTemplateOutlet]=\"templates && templates.sidebar? templates.sidebar : sidebarEcTemplate\"\n                [ngTemplateOutletContext]=\"{cookies:cookies, acceptCookies:acceptCookies}\"></ng-container>\n        </ng-container>\n    </ng-container>\n    <ng-template #configEcTemplate>\n        <app-modal-config-ec [cookies]=\"cookies\" [cookiesToSave]=\"cookiesToSave\"\n            [cookiesFunctions]=\"cookiesFunctions\"></app-modal-config-ec>\n    </ng-template>\n    <ng-container [ngTemplateOutlet]=\"templates && templates.config ? templates.config : configEcTemplate\"\n        [ngTemplateOutletContext]=\"{cookies:cookies, cookiesToSave:cookiesToSave, cookiesFunctions:cookiesFunctions}\"></ng-container>\n</ng-container>",
        styles: [""]
    })
], CookiesEcComponent);

var __decorate$1V = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let SidebarCookiesEcComponent = class SidebarCookiesEcComponent {
    constructor() {
        this.show = () => {
            $('#offcanvasCookies').offcanvas('show');
        };
    }
    ngOnInit() {
        setTimeout(() => {
            this.show();
        }, 2000);
    }
};
__decorate$1V([
    Input()
], SidebarCookiesEcComponent.prototype, "cookies", void 0);
__decorate$1V([
    Input()
], SidebarCookiesEcComponent.prototype, "acceptCookies", void 0);
SidebarCookiesEcComponent = __decorate$1V([
    Component({
        selector: 'app-sidebar-cookies-ec',
        template: "<ng-container *ngIf=\"cookies.format.position == 'start' || cookies.format.position == 'end'; else startend\">\n    <div [class]=\"'offcanvas offcanvas-'+cookies.format.position\"\n        [attr.data-bs-scroll]=\"(cookies.format.scrolling != undefined) ? cookies.format.scrolling : true\"\n        [attr.data-bs-backdrop]=\"(cookies.format.backdrop != undefined) ? cookies.format.backdrop : false\" tabindex=\"-1\"\n        id=\"offcanvasCookies\" aria-labelledby=\"offcanvasScrollingLabel\" style=\"height: 20%\">\n        <div class=\"offcanvas-header\">\n            <h5 *ngIf=\"cookies.title\" class=\"offcanvas-title\" id=\"offcanvasScrollingLabel\">{{cookies.title}}</h5>\n            <button type=\"button\" class=\"btn-close text-reset\" data-bs-dismiss=\"offcanvas\" aria-label=\"Close\"></button>\n        </div>\n        <div class=\"offcanvas-body d-flex align-items-start\">\n            <div class=\"row d-flex flex-row justify-content-between cookies-body\">\n                <div class=\"col-lg-12\">\n                    <p [innerHtml]=\"cookies.message | ecSanitizerHtml\"></p>\n                </div>\n                <div class=\"col-lg-12 d-flex flex-row justify-content-center align-items-center\">\n                    <button class=\"btn btn-primary mx-2\" *ngIf=\"cookies.cookies && cookies.cookies.length > 0\"\n                        data-bs-toggle=\"modal\" data-bs-target=\"#config\">{{cookies.others.btnConfig}}</button>\n                    <button class=\"btn btn-primary mx-2\" data-bs-dismiss=\"offcanvas\" (click)=\"acceptCookies()\">{{ cookies.others.btnAccept }}</button>\n                </div>\n            </div>\n        </div>\n    </div>\n</ng-container>\n\n<ng-template #startend>\n    <div [class]=\"'offcanvas offcanvas-'+(cookies.format.position ? cookies.format.position : 'bottom')\"\n        [attr.data-bs-scroll]=\"(cookies.format.scrolling != undefined) ? cookies.format.scrolling : true\"\n        [attr.data-bs-backdrop]=\"(cookies.format.backdrop != undefined) ? cookies.format.backdrop : false\" tabindex=\"-1\"\n        id=\"offcanvasCookies\" aria-labelledby=\"offcanvasScrollingLabel\" style=\"height: 20%\">\n        <div class=\"offcanvas-header\">\n            <h5 *ngIf=\"cookies.title\" class=\"offcanvas-title\" id=\"offcanvasScrollingLabel\">{{cookies.title}}</h5>\n            <button type=\"button\" class=\"btn-close text-reset\" data-bs-dismiss=\"offcanvas\" aria-label=\"Close\"></button>\n        </div>\n        <div class=\"offcanvas-body d-flex align-items-center\">\n            <div class=\"row d-flex flex-row justify-content-between cookies-body w-100\">\n                <div class=\"col-lg-9\">\n                    <p [innerHtml]=\"cookies.message\"></p>\n                </div>\n                <div class=\"col-lg-3 d-flex flex-row justify-content-center align-items-center\" *ngIf=\"cookies.others\">\n                    <button class=\"btn btn-primary mx-2\" *ngIf=\"cookies.cookies && cookies.cookies.length > 0\"\n                        data-bs-toggle=\"modal\" data-bs-target=\"#config\">{{cookies.others.btnConfig}}</button>\n                    <button class=\"btn btn-primary mx-2\"\n                        (click)=\"acceptCookies()\" data-bs-dismiss=\"offcanvas\">{{ cookies.others.btnAccept }}</button>\n                </div>\n            </div>\n        </div>\n    </div>\n</ng-template>\n",
        styles: [""]
    })
], SidebarCookiesEcComponent);

var __decorate$1W = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let ModalCookiesEcComponent = class ModalCookiesEcComponent {
    constructor() {
        this.show = () => {
            $('#modal-cookies').modal('show');
        };
    }
    ngOnInit() {
        setTimeout(() => {
            this.show();
        }, 2000);
    }
};
__decorate$1W([
    Input()
], ModalCookiesEcComponent.prototype, "cookies", void 0);
__decorate$1W([
    Input()
], ModalCookiesEcComponent.prototype, "acceptCookies", void 0);
ModalCookiesEcComponent = __decorate$1W([
    Component({
        selector: 'app-modal-cookies-ec',
        template: "<!-- Modal -->\n<div class=\"modal fade\" id=\"modal-cookies\" tabindex=\"-1\" aria-labelledby=\"exampleModalLabel\" aria-hidden=\"true\">\n    <div [class]=\"'modal-dialog modal-dialog-centered '+(cookies.format.size ? 'modal-'+cookies.format.size : '')\">\n        <div class=\"modal-content\">\n            <div class=\"modal-header\">\n                <h5 *ngIf=\"cookies.title\" class=\"modal-title\" id=\"exampleModalLabel\">{{cookies.title}}</h5>\n                <button type=\"button\" class=\"btn-close\" data-bs-dismiss=\"modal\" aria-label=\"Close\"></button>\n            </div>\n            <div class=\"modal-body\">\n                <div class=\"row\">\n                    <div class=\"col-md-12\">\n                        <p [innerHtml]=\"cookies.message\"></p>\n                    </div>\n                </div>\n            </div>\n            <div class=\"modal-footer d-flex justify-content-between\" *ngIf=\"cookies.others\">\n                <button type=\"button\" class=\"btn btn-primary\" *ngIf=\"cookies.cookies && cookies.cookies.length > 0\"\n                    data-bs-toggle=\"modal\" data-bs-target=\"#config\">{{cookies.others.btnConfig}}</button>\n                <button type=\"button\" class=\"btn btn-primary\" data-bs-dismiss=\"modal\" (click)=\"acceptCookies()\">{{cookies.others.btnAccept}}</button>\n            </div>\n        </div>\n    </div>\n</div>\n",
        styles: [""]
    })
], ModalCookiesEcComponent);

var __decorate$1X = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let ToastCookiesEcComponent = class ToastCookiesEcComponent {
    constructor() {
        this.show = () => {
            $('#cookieToast').toast('show');
        };
    }
    ngOnInit() {
        setTimeout(() => {
            this.show();
            this.acceptCookies();
        }, 2000);
    }
};
__decorate$1X([
    Input()
], ToastCookiesEcComponent.prototype, "cookies", void 0);
__decorate$1X([
    Input()
], ToastCookiesEcComponent.prototype, "acceptCookies", void 0);
ToastCookiesEcComponent = __decorate$1X([
    Component({
        selector: 'app-toast-cookies-ec',
        template: "<div [class]=\"'position-fixed p-3 '+(cookies.format?.positionY ? cookies.format.positionY : 'top-0')+' '+(cookies.format?.positionX ? cookies.format.positionX : 'start-0')\" style=\"z-index: 9999\">\n    <div id=\"cookieToast\" class=\"toast\" role=\"alert\" aria-live=\"assertive\" aria-atomic=\"true\">\n        <div class=\"toast-header bg-primary\">\n            <!-- <img src=\"...\" class=\"rounded me-2\" alt=\"...\"> -->\n            <strong *ngIf=\"cookies.title\" class=\"me-auto\">{{cookies.title}}</strong>\n            <button type=\"button\" class=\"btn-close\" data-bs-dismiss=\"toast\" aria-label=\"Close\"></button>\n        </div>\n        <div class=\"toast-body\">\n            <p [innerHtml]=\"cookies.message\"></p>\n        </div>\n        <!--   <div class=\"toast-footer\" *ngIf=\"cookies.others\">\n            <button type=\"button\" class=\"btn btn-primary\" *ngIf=\"cookies.cookies && cookies.cookies.length > 0\"\n                data-bs-toggle=\"modal\" data-bs-target=\"#config\">{{cookies.others.btnConfig}}</button>\n            <button type=\"button\" class=\"btn btn-primary\" (click)=\"acceptCookies()\">{{cookies.others.btnAccept}}</button>\n        </div> -->\n    </div>\n</div>",
        styles: [""]
    })
], ToastCookiesEcComponent);

var __decorate$1Y = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let ModalConfigEcComponent = class ModalConfigEcComponent {
    constructor() {
        this.checkCookie = (name) => this.cookiesToSave.find(elem => elem.name == name);
    }
    ngOnInit() {
    }
};
__decorate$1Y([
    Input()
], ModalConfigEcComponent.prototype, "cookies", void 0);
__decorate$1Y([
    Input()
], ModalConfigEcComponent.prototype, "cookiesToSave", void 0);
__decorate$1Y([
    Input()
], ModalConfigEcComponent.prototype, "cookiesFunctions", void 0);
ModalConfigEcComponent = __decorate$1Y([
    Component({
        selector: 'app-modal-config-ec',
        template: "<!-- Modal -->\n<div class=\"modal fade\" id=\"config\" tabindex=\"-1\" aria-labelledby=\"configModalLabel\" aria-hidden=\"true\">\n    <div class=\"modal-dialog modal-dialog-centered modal-lg\">\n        <div class=\"modal-content\">\n            <div class=\"modal-header\">\n                <h5 *ngIf=\"cookies.title\" class=\"modal-title\" id=\"configModalLabel\">{{cookies.title}}</h5>\n                <button *ngIf=\"cookies.format.type == 'modal'; else close\" type=\"button\" class=\"btn-close\" data-bs-toggle=\"modal\" data-bs-target=\"#modal-cookies\" aria-label=\"Close\"></button>\n                <ng-template #close>\n                    <button type=\"button\" class=\"btn-close\" data-bs-dismiss=\"modal\" aria-label=\"Close\"></button>\n                </ng-template>\n            </div>\n            <div class=\"modal-body px-0 d-flex justify-content-center\">\n                <!--Vertical Pill-->\n                <div class=\"row w-100\">\n                    <div class=\"col-12 col-md-4 p-0 m-0\">\n                        <div class=\"nav flex-column nav-pills me-3\" id=\"v-pills-tab\" role=\"tablist\" aria-orientation=\"vertical\">\n                            <button *ngFor=\"let cookie of cookies.cookies; let x = index\"\n                                [class]=\"'btn rounded-0 btn-primary   '+ (x==0 ? 'active' : '')\"\n                                [id]=\"'v-pills-'+cookie.name+'-tab'\" data-bs-toggle=\"pill\"\n                                [attr.data-bs-target]=\"'#v-pills-'+cookie.name\" type=\"button\" role=\"tab\"\n                                [attr.aria-controls]=\"'v-pills-'+cookie.name\" [attr.aria-selected]=\"x==0\">\n                                {{cookie.name.replaceAll('-',' ')}}\n                            </button>\n                        </div>\n                    </div>\n                    <div class=\"col-12 col-md-8 p-0 m-0\">\n                        <div class=\"tab-content\" id=\"v-pills-tabContent\">\n                            <div *ngFor=\"let cookie of cookies.cookies; let x = index\"\n                                [class]=\"'tab-pane fade '+ (x==0 ? 'show active ' : '')\" [id]=\"'v-pills-'+cookie.name\"\n                                role=\"tabpanel\" [attr.aria-labelledby]=\"'v-pills-'+cookie.name+'-tab'\">\n                                <div class=\"d-flex justify-content-between w-100\">\n                                    <h5 class=\"title-cookie\">{{cookie.name.replaceAll('-',' ')}}</h5>\n                                    <div class=\"form-check\" *ngIf=\"checkCookie(cookie.name) as info\">\n                                        <input class=\"form-check-input\" type=\"radio\" [name]=\"'flexRadio'+x\" [id]=\"'flexRadioDefault'+x\"\n                                            [checked]=\"info.enabled\" (click)=\"cookiesFunctions.toggle(cookie.name)\">\n                                    </div>\n                                </div>\n                                \n                                <div class=\"h-100 overflow-scroll text-content\">\n                                    <p class=\"text-cookie\">{{cookie.message}}</p>\n                                </div>\n                                \n                            </div>\n                        </div>\n                    </div>\n                </div>\n                <!--End-->\n            </div>\n            <div class=\"modal-footer d-flex justify-content-between\">\n                <ng-container *ngIf=\"cookies.format.type == 'modal'; else default\">\n                    <button type=\"button\" class=\"btn btn-secondary\" data-bs-toggle=\"modal\" data-bs-target=\"#modal-cookies\">{{cookies.others.btnSave}}</button>\n                    <button type=\"button\" class=\"btn btn-primary\" data-bs-toggle=\"modal\" data-bs-target=\"#modal-cookies\"\n                        (click)=\"cookiesFunctions.acceptAll()\">{{cookies.others.btnAll}}</button>\n                </ng-container>\n                <ng-template #default>\n                    <button type=\"button\" class=\"btn btn-secondary\" data-bs-dismiss=\"modal\">{{cookies.others.btnSave}}</button>\n                    <button type=\"button\" class=\"btn btn-primary\" data-bs-dismiss=\"modal\"\n                        (click)=\"cookiesFunctions.acceptAll()\">{{cookies.others.btnAll}}</button>\n                </ng-template>\n            </div>\n        </div>\n    </div>\n</div>\n",
        styles: [""]
    })
], ModalConfigEcComponent);

var __decorate$1Z = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let BambooEcComponent = class BambooEcComponent extends ComponentHelper {
    constructor(sanitizer, modalService, toastrService, consts, connection, injector, cartService) {
        super();
        this.sanitizer = sanitizer;
        this.modalService = modalService;
        this.toastrService = toastrService;
        this.consts = consts;
        this.connection = connection;
        this.injector = injector;
        this.cartService = cartService;
        this.method = null;
        this.total_amount = 0;
        this.user_data = null;
        this.ready = new EventEmitter();
        this.loading = false;
        this.closeModal = '';
        //private paymentNotification = () => 'shop-api/' + this.consts.getChannel() + '/bamboo/payment-notification';
        /* endpoint para mandar datos: /bamboo/payment-notification */
        this.processPaymentApi = () => this.consts.getUrlBase() + 'shop-api/' + this.consts.getChannel() + '/bamboo/' + this.cartService.cart_token + '/process-payment';
        /**
         * @description Inicializa el formulario de bamboo
         */
        this.getCheckoutBamboo = () => {
            this.loading = true;
            this.dataBamboo = this.method;
            this.url = this.sanitizer.bypassSecurityTrustResourceUrl('assets/bamboo.html');
            this.loading = false;
        };
        /**
         * @description Configura la ventana en la que se abrira el formulario
         * @returns {string} configuraciones para un objeto proveniente de window.open
         */
        this.popupSettings = () => {
            let settings = 'width=300, height=550, toolbar=no, titlebar=no, top=200';
            let left = parseInt((window.screen.width / 2).toFixed()) - (300 / 2);
            settings = settings + ",left=" + left;
            return settings;
        };
        /**
         * @description limpio el localStorage
         */
        this.clearStorageState = () => {
            sessionStorage.removeItem('state');
            localStorage.removeItem('state');
            localStorage.removeItem('dataRedirect');
            localStorage.removeItem('dataBamboo');
            localStorage.removeItem('message');
            localStorage.removeItem('subMessage');
            localStorage.removeItem('pwCheckouProperties');
        };
        this.clickClose = () => {
            this.closeModal = 'cancel';
            this.modalRef.hide();
            this.processError('Se cancelo el pago con Decidir');
        };
        this.showMessage = () => {
            let message = localStorage.getItem('message') || undefined;
            let subMessage = localStorage.getItem('subMessage') || undefined;
            message && this.toastrService.show(message, {}, '', { closeButton: true, timeOut: 6000 });
            subMessage && this.toastrService.show(subMessage, {}, '', { closeButton: true, timeOut: 6000 });
        };
        this.callState = () => {
            var _a, _b, _c, _d, _e;
            let state = this.closeModal != '' ? this.closeModal : localStorage.getItem('state');
            !state && this.ventana.closed && (state = 'cancel');
            this.loading = true;
            state && console.log(state);
            if (state) {
                this.loading = false;
                localStorage.removeItem('state');
                if (state == 'success') {
                    (_a = this.ventana) === null || _a === void 0 ? void 0 : _a.close();
                    //console.log(JSON.parse(localStorage.getItem('data')))
                    this.ready.emit(true);
                    //let data = JSON.parse(localStorage.getItem('data'));
                    this.clearStorageState();
                    return;
                }
                if (state == 'pending') {
                    (_b = this.ventana) === null || _b === void 0 ? void 0 : _b.close();
                    this.ready.emit(true);
                    this.clearStorageState();
                    return;
                }
                if (state == 'failure') {
                    (_c = this.ventana) === null || _c === void 0 ? void 0 : _c.close();
                    this.processError('');
                    this.clearStorageState();
                    return;
                }
                if (state == 'cancel') {
                    (_d = this.ventana) === null || _d === void 0 ? void 0 : _d.close();
                    this.processError('Se cancelo el pago con mercado pago');
                    this.clearStorageState();
                    return;
                }
                (_e = this.ventana) === null || _e === void 0 ? void 0 : _e.close();
                this.processError('');
                return;
            }
            setTimeout(() => {
                this.callState();
            }, 5000);
        };
        this.processError = (err) => {
            this.toastrService.show(err != '' ? err : 'payment-error');
            console.log("ERROR ENVIO BACK  ", err);
        };
        this.pwCheckoutProperties = () => {
            return {
                name: window.location.hostname.split('.')[0],
                button_label: "Pagar",
                currency: 'UYU',
                orderToken: this.cartService.cart_token
            };
        };
        this.closeWindow = () => {
            var _a;
            (_a = this.ventana) === null || _a === void 0 ? void 0 : _a.close();
            this.clearStorageState();
        };
        this.iniciar = () => {
            this.closeModal = '';
            this.clearStorageState();
            localStorage.setItem('pwCheckouProperties', JSON.stringify(this.pwCheckoutProperties()));
            localStorage.setItem('dataRedirect', this.processPaymentApi());
            localStorage.setItem('dataBamboo', JSON.stringify(this.method));
            window.addEventListener('beforeunload', this.closeWindow);
            this.ventana = window.open('assets/bamboo.html', 'Bamboo', this.popupSettings());
            this.callState();
        };
        this.cartService.cart.subscribe(res => this.cart = res);
    }
    ngOnInit() {
        /*  console.log(this.method, this.user_data) */
        /* this.connection.get(this.dataBambooApi()).toPromise().then(
            res => console.log(res)
        ).catch(
            err => console.log(err)
        )
            console.log(this.pwCheckoutProperties()) */
        this.getCheckoutBamboo();
    }
    openModal(template) {
        this.clearStorageState();
        //localStorage.setItem('dataRedirect', this.dataRedirect())
        //localStorage.setItem('dataDecidir', JSON.stringify(this.method))
        this.modalRef = this.modalService.show(template, { class: 'modal-xl modal-dialog-centered ', keyboard: false, backdrop: 'static', animated: true });
        this.closeModal = '';
        this.callState();
    }
};
BambooEcComponent.ctorParameters = () => [
    { type: DomSanitizer },
    { type: BsModalService$1 },
    { type: ToastService },
    { type: Constants },
    { type: ConnectionService },
    { type: Injector },
    { type: CartService }
];
__decorate$1Z([
    Input()
], BambooEcComponent.prototype, "paymentServiceInst", void 0);
__decorate$1Z([
    Input()
], BambooEcComponent.prototype, "method", void 0);
__decorate$1Z([
    Input()
], BambooEcComponent.prototype, "total_amount", void 0);
__decorate$1Z([
    Input()
], BambooEcComponent.prototype, "allData", void 0);
__decorate$1Z([
    Input()
], BambooEcComponent.prototype, "user_data", void 0);
__decorate$1Z([
    Output()
], BambooEcComponent.prototype, "ready", void 0);
__decorate$1Z([
    ViewChild('template')
], BambooEcComponent.prototype, "template", void 0);
BambooEcComponent = __decorate$1Z([
    Component({
        selector: 'app-bamboo-ec',
        template: "<div class=\"text-center\">\n    <h3>Continuar con el pago en Bamboo</h3>\n    <p *ngIf=\"method\" class=\"px-5\">{{ method?.description }}</p>\n    <p *ngIf=\"method\" class=\"px-5\">{{ method?.instructions }}</p>\n    <ng-container *ngIf=\"!loading ; else loadingUrl\">\n        <button class=\"btn btn-outline-secondary comprar\" (click)=\"iniciar()\">Pagar</button>\n    </ng-container>\n</div>\n\n<ng-template #template>\n    <div class=\"modal-content\">\n        <div class=\"modal-header\">\n            <h5 class=\"modal-title\">Modal title</h5>\n            <button type=\"button\" class=\"btn-close\" (click)=\"clickClose()\"></button>\n        </div>\n        <div class=\"modal-body d-flex justify-content-center\" *ngIf=\"url\">\n            <iframe [src]=\"url\" frameborder=\"0\" class=\"iframeStyle\"></iframe>\n        </div>\n        <!-- <div class=\"modal-footer\">\n          <button type=\"button\" class=\"btn btn-secondary\" data-bs-dismiss=\"modal\">Close</button>\n          <button type=\"button\" class=\"btn btn-primary\">Save changes</button>\n        </div> -->\n    </div>\n</ng-template>\n\n<ng-template #loadingUrl>\n    <div class=\"d-flex flex-column jusitfy-content-center align-items-center mt-2\">\n        <app-loading-full-ec></app-loading-full-ec>\n    </div>\n</ng-template>",
        styles: [""]
    })
], BambooEcComponent);

// //Component base
const components = [
    BlockBannerBoxesEcComponent,
    BlockBannerFullEcComponent,
    BlockFormContactEcComponent,
    BlockHtmlEcComponent,
    ContactFormNewsEcComponent,
    BlockProductsEcComponent,
    BlocksEcComponent,
    CartEcComponent,
    DataFormEcComponent,
    PaymentEcComponent,
    ShipmentEcComponent,
    StepEcComponent,
    SuccessEcComponent,
    CheckoutEcComponent,
    CollectionEcComponent,
    CouponEcComponent,
    FaqsContentEcComponent,
    FiltersEcComponent,
    FiltersTopEcComponent,
    FooterEcComponent,
    HeaderEcComponent,
    LoginEcComponent,
    ProductEcComponent,
    RelatedProductsEcComponent,
    ComparedProductsEcComponent,
    SectionContainerEcComponent,
    StoresEcComponent,
    VariantsEcComponent,
    SellerDashboardContainerEcComponent,
    BuildYourEcComponent,
    ProductFoundEcComponent,
    LoadingInlineEcComponent,
    LoadingFullEcComponent,
    LoadingSectionEcComponent,
    MPCreditEcComponent,
    PriceEcComponent,
    RedsysCatchEcComponent,
    RedSysProEcComponent,
    RedSysRedirectEcComponent,
    HomeEcComponent,
    ProductDetailEcComponent,
    AccountEcComponent,
    OrdersEcComponent,
    OrderEcComponent,
    AuthEcComponent,
    RegisterFormEcComponent,
    LoginFormEcComponent,
    SelectChannelEcComponent,
    ForgotPasswordEcComponent,
    ConfirmAccountEcComponent,
    PasswordResetEcComponent,
    CecaRedirectEcComponent,
    RegisterWholesalerFormEcComponent,
    ShareBlockEcComponent,
    DetailCheckoutBlockEcComponent,
    CheckoutErrorComponent,
    MpRedirectEcComponent,
    RedSysRedirectOutEcComponent,
    PaypalExpressEcComponent,
    MobbexEcComponent,
    BancardEcComponent,
    BancardRedirectEcComponent,
    DecidirEcComponent,
    CulqiEcComponent,
    BancardCatastroEcComponent,
    BambooEcComponent,
    CartLoadEcComponent,
    MultipleItemsToCartEcComponent,
    MagnizoomComponent,
    RecaptchaEcComponent,
    RatingEcComponent,
    ReviewsFormEcComponent,
    ReviewsEcComponent,
    CookiesEcComponent,
    SidebarCookiesEcComponent,
    ModalCookiesEcComponent,
    ToastCookiesEcComponent,
    ModalConfigEcComponent,
];

var __decorate$1_ = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __param$b = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
class ParamsContext {
}
let AddActionRedirectDirective = class AddActionRedirectDirective {
    constructor(document, elementRef, renderer, blocksService, router) {
        this.document = document;
        this.elementRef = elementRef;
        this.renderer = renderer;
        this.blocksService = blocksService;
        this.router = router;
        this.redirectUrl = '';
        this.linstenEvent = null;
        this.transparent = true;
        this.redirectFromUrl = (evt) => {
            this.router.navigateByUrl(this.redirectUrl);
        };
    }
    set ecAddActionRedirect(value) {
        this.banner = value;
    }
    set classStrSpacing(value) {
        this.classStr = value;
    }
    set isTransparent(value) {
        this.transparent = value;
    }
    ngOnInit() { }
    ngOnChanges(changes) {
        var _a;
        this.transparent && this.renderer.setStyle(this.elementRef.nativeElement, 'color', 'transparent');
        this.renderer.setAttribute(this.elementRef.nativeElement, "role", "button");
        (_a = this.classStr) === null || _a === void 0 ? void 0 : _a.split(" ").forEach((cl) => {
            try {
                this.renderer.addClass(this.elementRef.nativeElement, cl);
            }
            catch (error) {
                console.log('add class directive -> ', error);
            }
        });
        this.redirectUrl = this.banner.url ? this.banner.url : this.blocksService.formUrl(this.banner);
        this.banner.url ?
            this.renderer.setProperty(this.elementRef.nativeElement, "href", this.banner.url)
            :
                this.linstenEvent = this.renderer.listen(this.elementRef.nativeElement, 'click', this.redirectFromUrl);
    }
    ngOnDestroy() {
        this.linstenEvent && this.linstenEvent();
    }
};
AddActionRedirectDirective.ctorParameters = () => [
    { type: undefined, decorators: [{ type: Inject, args: [DOCUMENT,] }] },
    { type: ElementRef },
    { type: Renderer2 },
    { type: BlocksService },
    { type: Router }
];
__decorate$1_([
    Input()
], AddActionRedirectDirective.prototype, "ecAddActionRedirect", null);
__decorate$1_([
    Input()
], AddActionRedirectDirective.prototype, "classStrSpacing", null);
__decorate$1_([
    Input()
], AddActionRedirectDirective.prototype, "isTransparent", null);
AddActionRedirectDirective = __decorate$1_([
    Directive({
        selector: "[ecAddActionRedirect]",
    }),
    __param$b(0, Inject(DOCUMENT))
], AddActionRedirectDirective);

var __decorate$1$ = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let ProductStockDirective = class ProductStockDirective {
    constructor(templateRef, viewContainer) {
        this.templateRef = templateRef;
        this.viewContainer = viewContainer;
        this.productDirective = null;
        this.validateStock = () => {
            if (this.productDirective.special_mark == undefined || this.productDirective.variants == undefined) {
                setTimeout(() => {
                    return this.validateStock();
                }, 1000);
            }
            else {
                return this.checkValuesForStock();
            }
        };
        this.checkValuesForStock = () => {
            let existMark = false;
            this.productDirective.special_mark.forEach(special_mark => {
                switch (special_mark.type) {
                    case 'out_of_stock':
                        existMark = true;
                        break;
                }
            });
            if (!existMark) {
                existMark = this.productDirective.variant_id ?
                    this.productDirective.variants.find(v => { return v.code == this.productDirective.variant_id && v.stock > 0; }) == undefined :
                    this.productDirective.variants.find(v => v.stock > 0) == undefined;
            }
            return existMark;
        };
    }
    set ecProductStock(product) {
        this.productDirective = product;
        this.viewContainer.clear();
        if (this.validateStock()) {
            if (this.ecProductStockElse) {
                this.viewContainer.createEmbeddedView(this.ecProductStockElse);
            }
            else {
                console.error('falta definir el template de agotado');
            }
        }
        else {
            this.viewContainer.createEmbeddedView(this.templateRef);
        }
    }
    ngOnInit() { }
    ngOnDestroy() { }
    ngOnChanges() { }
};
ProductStockDirective.ctorParameters = () => [
    { type: TemplateRef },
    { type: ViewContainerRef }
];
__decorate$1$([
    Input()
], ProductStockDirective.prototype, "ecProductStockElse", void 0);
__decorate$1$([
    Input()
], ProductStockDirective.prototype, "ecProductStock", null);
ProductStockDirective = __decorate$1$([
    Directive({
        selector: "[ecProductStock]"
    })
], ProductStockDirective);

var __decorate$20 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __param$c = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
class ParamsContext$1 {
}
let ProductOffDirective = class ProductOffDirective {
    constructor(document, elementRef, renderer) {
        this.document = document;
        this.elementRef = elementRef;
        this.renderer = renderer;
        this.customMessageStr = "{discount}% OFF";
        this.hasDiscount = (product) => {
            var _a, _b, _c, _d, _e, _f, _g, _h;
            if (!product.saleprice) {
                return null;
            }
            if (((_a = product.price) === null || _a === void 0 ? void 0 : _a.toString().includes("-")) && ((_b = product.saleprice) === null || _b === void 0 ? void 0 : _b.toString().includes("-"))) {
                let prices = (_c = product.price) === null || _c === void 0 ? void 0 : _c.toString().split('-');
                let saleprices = (_d = product.saleprice) === null || _d === void 0 ? void 0 : _d.toString().split('-');
                let saleBf = this.generateDiscount((_e = prices[1]) === null || _e === void 0 ? void 0 : _e.trim(), (_f = saleprices[1]) === null || _f === void 0 ? void 0 : _f.trim());
                let saleLt = this.generateDiscount((_g = prices[0]) === null || _g === void 0 ? void 0 : _g.trim(), (_h = saleprices[0]) === null || _h === void 0 ? void 0 : _h.trim());
                if (!saleBf && !saleLt) {
                    return null;
                }
                if (saleBf && saleLt && saleBf == saleLt) {
                    return `${saleBf}`;
                }
                if (saleBf && !saleLt) {
                    return `${saleBf}`;
                }
                if (!saleBf && saleLt) {
                    return `${saleLt}`;
                }
                return `${saleBf} - ${saleLt}`;
            }
            else {
                if (parseInt(product.price) > parseInt(product.saleprice)) {
                    return this.generateDiscount(product.price, product.saleprice);
                }
            }
            // console.log(product.price?.toString().includes("-"));
            // console.log(product.saleprice?.toString().includes("-"));
            // console.log(' PRECIO ', product.price);
            // console.log(' SALE ', product.saleprice);
            // if (
            //     !product.price.toString().includes("-") &&
            //     product.saleprice &&
            //     parseInt(product.price) > parseInt(product.saleprice)
            // ) {
            //     let result =
            //         ((parseInt(product.price) - parseInt(product.saleprice)) /
            //             parseInt(product.price)) *
            //         100;
            //     if (Number.isNaN(result)) {
            //         return null;
            //     } else return Math.floor(result);
            // }
            // return null;
        };
        this.generateDiscount = (price, saleprice) => {
            if (parseFloat(price) > parseFloat(saleprice)) {
                let result = ((parseFloat(price) - parseFloat(saleprice)) /
                    parseFloat(price)) *
                    100;
                if (Number.isNaN(result)) {
                    return null;
                }
                else
                    return Math.round(result); //Math.floor(result);
            }
            return null;
        };
        this.createImage = (discount) => {
            var _a;
            let popover = this.renderer.createElement("a");
            this.customMessageStr = this.customMessageStr.replace('{discount}', discount);
            this.renderer.setProperty(popover, "innerHTML", this.customMessageStr);
            (_a = this.classStr) === null || _a === void 0 ? void 0 : _a.split(" ").forEach((cl) => {
                try {
                    this.renderer.addClass(popover, cl);
                }
                catch (error) {
                    console.log('add class directive -> ', error);
                }
            });
            return popover;
        };
    }
    set ecProductOff(value) {
        this.product = value;
    }
    set classStrSpacing(value) {
        this.classStr = value;
    }
    set customMessage(value) {
        this.customMessageStr = value;
    }
    ngOnInit() { }
    ngOnChanges(changes) {
        if (this.product.price) {
            let discount = this.hasDiscount(this.product);
            this.elementRef.nativeElement.childNodes.forEach(node => {
                this.renderer.removeChild(this.elementRef.nativeElement, node);
            });
            if (discount) {
                this.renderer.appendChild(this.elementRef.nativeElement, this.createImage(discount));
            }
            // else {
            //     this.renderer.removeChild(this.elementRef.nativeElement.parentElement, this.elementRef.nativeElement);
            // }
        }
    }
    ngOnDestroy() { }
};
ProductOffDirective.ctorParameters = () => [
    { type: undefined, decorators: [{ type: Inject, args: [DOCUMENT,] }] },
    { type: ElementRef },
    { type: Renderer2 }
];
__decorate$20([
    Input()
], ProductOffDirective.prototype, "ecProductOff", null);
__decorate$20([
    Input()
], ProductOffDirective.prototype, "classStrSpacing", null);
__decorate$20([
    Input()
], ProductOffDirective.prototype, "customMessage", null);
ProductOffDirective = __decorate$20([
    Directive({
        selector: "[ecProductOff]",
    }),
    __param$c(0, Inject(DOCUMENT))
], ProductOffDirective);

var __decorate$21 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let ProductMiniStandardDirective = class ProductMiniStandardDirective {
    constructor(elementRef, viewContainer, renderer, constants) {
        this.elementRef = elementRef;
        this.viewContainer = viewContainer;
        this.renderer = renderer;
        this.constants = constants;
        this.idConteiner = null;
        this.setMarkStandar = (special_mark) => {
            let containerImg = document.getElementById(this.idConteiner);
            if (!containerImg) {
                let containerImg = this.renderer.createElement('div');
                this.renderer.setAttribute(containerImg, 'id', this.idConteiner);
                this.renderer.addClass(containerImg, 'container-img-marks-standard');
                this.renderer.appendChild(this.elementRef.nativeElement, containerImg);
            }
            this.renderer.appendChild(document.getElementById(this.idConteiner), this.createImage(special_mark));
        };
        this.createImage = (data) => {
            let image = (data.images && data.images.length) && data.images[0];
            if (!image)
                return null;
            let image_view = this.renderer.createElement('img');
            this.renderer.setAttribute(image_view, 'src', this.constants.mediaUrl() + image);
            return image_view;
        };
    }
    set ecProductMiniStandard(productParam) {
        this.special_marks = productParam.special_mark;
        this.product = productParam;
        this.idConteiner = `container-img-marks-standard-${this.product.id}`;
    }
    ngOnInit() {
    }
    ngOnChanges(changes) {
        (this.special_marks && this.special_marks.length)
            &&
                (this.special_marks.filter(special_mark => special_mark.type.includes('standard')))
                    .map(special_mark => this.setMarkStandar(special_mark));
    }
    ngOnDestroy() { }
};
ProductMiniStandardDirective.ctorParameters = () => [
    { type: ElementRef },
    { type: ViewContainerRef },
    { type: Renderer2 },
    { type: Constants }
];
__decorate$21([
    Input()
], ProductMiniStandardDirective.prototype, "ecProductMiniStandard", null);
ProductMiniStandardDirective = __decorate$21([
    Directive({
        selector: '[ecProductMiniStandard]'
    })
], ProductMiniStandardDirective);

var __decorate$22 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let AuthWholesalerDirective = class AuthWholesalerDirective {
    constructor(templateRef, viewContainer, authService) {
        this.templateRef = templateRef;
        this.viewContainer = viewContainer;
        this.authService = authService;
        this.auth = true;
        this.user = null;
        this.productDirective = null;
    }
    set ecAuthWholesaler(authparams) {
        this.auth = authparams;
        if (this.auth) {
            this.authService.userAuth.subscribe(user => {
                var _a;
                this.viewContainer.clear();
                this.user = user;
                this.viewContainer.createEmbeddedView(((_a = user) === null || _a === void 0 ? void 0 : _a.isWholesaler()) ? this.templateRef : this.ecAuthWholesalerElse);
            });
        }
        else {
            this.viewContainer.clear();
            this.viewContainer.createEmbeddedView(this.templateRef);
        }
    }
    ngOnInit() { }
    ngOnDestroy() { }
    ngOnChanges() { }
};
AuthWholesalerDirective.ctorParameters = () => [
    { type: TemplateRef },
    { type: ViewContainerRef },
    { type: AuthService }
];
__decorate$22([
    Input()
], AuthWholesalerDirective.prototype, "ecAuthWholesalerElse", void 0);
__decorate$22([
    Input()
], AuthWholesalerDirective.prototype, "ecAuthWholesaler", null);
AuthWholesalerDirective = __decorate$22([
    Directive({
        selector: "[ecAuthWholesaler]"
    })
], AuthWholesalerDirective);

var __decorate$23 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let ReloadViewDirective = class ReloadViewDirective {
    constructor(templateRef, viewContainerRef) {
        this.templateRef = templateRef;
        this.viewContainerRef = viewContainerRef;
        this.viewContainerRef.createEmbeddedView(templateRef);
    }
    ngOnChanges(changes) {
        if (changes['ecReloadView']) {
            this.viewContainerRef.clear();
            this.viewContainerRef.createEmbeddedView(this.templateRef);
        }
    }
};
ReloadViewDirective.ctorParameters = () => [
    { type: TemplateRef },
    { type: ViewContainerRef }
];
__decorate$23([
    Input()
], ReloadViewDirective.prototype, "ecReloadView", void 0);
ReloadViewDirective = __decorate$23([
    Directive({
        selector: '[ecReloadView]'
    })
], ReloadViewDirective);

//Directives base
const directives = [
    // ProductButtonBaseDirective,
    // ProductContactBaseDirective,
    // ProductMiniBaseDirective,
    // ProductOffDetailBaseDirective,
    // ProductPriceBaseDirective,
    ProductMiniStandardDirective,
    ProductOffDirective,
    AddActionRedirectDirective,
    ProductStockDirective,
    AuthWholesalerDirective,
    ReloadViewDirective,
];

var __decorate$24 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let ecCurrencySymbolPipe = class ecCurrencySymbolPipe {
    constructor(productsService, currencyPipe, consts, currencyService, injector) {
        this.productsService = productsService;
        this.currencyPipe = currencyPipe;
        this.consts = consts;
        this.currencyService = currencyService;
        this.injector = injector;
        this.changeSymbolTransform = (valor) => {
            try {
                return this.positionSymbol(this.checkingWithoutDecimals(this.clearSymbol(valor)));
            }
            catch (error) {
                console.error('Errores en custom pipe -> ', error);
                return valor;
            }
        };
        this.clearSymbol = (value) => value.replace('$', '');
        this.positionSymbol = (value) => { var _a, _b, _c; return ((_a = this.consts) === null || _a === void 0 ? void 0 : _a.currency.position.toUpperCase()) == 'LEFT' ? `${this.currency.symbol} ${(_b = value) === null || _b === void 0 ? void 0 : _b.trim()}` : `${(_c = value) === null || _c === void 0 ? void 0 : _c.trim()} ${this.currency.symbol}`; };
        this.checkingWithoutDecimals = (value) => {
            var _a, _b, _c;
            if ((_a = this.consts) === null || _a === void 0 ? void 0 : _a.currency.withoutDecimal) {
                let val = (_b = value) === null || _b === void 0 ? void 0 : _b.split(',');
                return val[0];
                //?.trim() == "00" && value.trim().slice(0, value.trim().length - 3) || value
            }
            else {
                let val = (_c = value) === null || _c === void 0 ? void 0 : _c.split(',');
                (val[1] && val[1].length > 2) ? val[1] = val[1].slice(0, 2) : val[1] = "00";
                value = val[0] + ',' + val[1];
                return value;
            }
        };
        this.currencyService.currency$.subscribe(res => {
            this.currency = res;
        });
    }
    transform(value) {
        var _a;
        const formatter = new Intl.NumberFormat('de-DE', { style: 'currency', currency: 'USD' });
        let valueTransform = '';
        if (value) {
            value = this.currencyService.calculateConvetibility(value, this.currency.ratio).toString();
            valueTransform = this.changeSymbolTransform((_a = formatter.format(value)) === null || _a === void 0 ? void 0 : _a.toString());
        }
        return valueTransform;
    }
};
ecCurrencySymbolPipe.ctorParameters = () => [
    { type: ProductsService },
    { type: CurrencyPipe },
    { type: Constants },
    { type: CurrencyService },
    { type: Injector }
];
ecCurrencySymbolPipe = __decorate$24([
    Pipe({
        name: 'ecCurrencySymbol',
    })
], ecCurrencySymbolPipe);

var __decorate$25 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let EcSanitizerHtmlPipe = class EcSanitizerHtmlPipe {
    constructor(sanitizer) {
        this.sanitizer = sanitizer;
    }
    transform(value) {
        return this.sanitizer.bypassSecurityTrustHtml(value);
    }
};
EcSanitizerHtmlPipe.ctorParameters = () => [
    { type: DomSanitizer }
];
EcSanitizerHtmlPipe = __decorate$25([
    Pipe({
        name: 'ecSanitizerHtml'
    })
], EcSanitizerHtmlPipe);

var __decorate$26 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let EcSanitizerUrlPipe = class EcSanitizerUrlPipe {
    constructor(sanitizer) {
        this.sanitizer = sanitizer;
    }
    transform(value) {
        return this.sanitizer.bypassSecurityTrustResourceUrl(value);
    }
};
EcSanitizerUrlPipe.ctorParameters = () => [
    { type: DomSanitizer }
];
EcSanitizerUrlPipe = __decorate$26([
    Pipe({
        name: 'ecSanitizerUrl'
    })
], EcSanitizerUrlPipe);

//Pipes base
const pipes = [
    ecCurrencySymbolPipe,
    EcSanitizerHtmlPipe,
    EcSanitizerUrlPipe
];

var __decorate$27 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var NgEasycommerceModule_1;
let NgEasycommerceModule = NgEasycommerceModule_1 = class NgEasycommerceModule {
    static forRoot(environment) {
        return {
            ngModule: NgEasycommerceModule_1,
            providers: [
                Constants,
                {
                    provide: 'env',
                    useValue: environment
                },
                WINDOW_PROVIDERS,
                ProductsService,
                BannerService,
                CartService,
                OrdersService,
                PaginationService,
                ConnectionService,
                AuthService,
                OptionsService,
                ShipmentService,
                CheckoutService,
                OptionsOfProductListDataReceiverService,
                DataformService,
                BlocksService,
                StoresService,
                AnalyticsService,
                // Utils
                Constants,
                UtilsService,
                ShipmentDataTransformer,
                PaymentUtils,
                OptionsOfProductListDataReceiverService,
                ToastService,
                AddressingService,
                FacebookPixelService,
                GoogleAnalyticsService,
                GTMService,
                DopplerService,
                ConcatenatedAssociationsService,
                FiltersService,
                // Guards
                AuthGuardService,
                AbleBuyerGuardService,
                UserRoleGuardService,
                LoggedInGuard,
                CheckoutReadyGuard,
                OrderUtilityService,
                pipes,
                CurrencyPipe,
                ChannelConfigService,
                BlocksRepositoryService,
                ErrorHandlerService,
                CaptchaService,
                {
                    provide: RECAPTCHA_SETTINGS,
                    useValue: { siteKey: '6LcPPbUZAAAAAB8tKJ-UozPs1PztvGTEXnC26aY3' },
                },
                // Others
                {
                    provide: HTTP_INTERCEPTORS,
                    useClass: AuthInterceptor,
                    multi: true
                },
                {
                    provide: HTTP_INTERCEPTORS,
                    useClass: CustomerInterceptor,
                    multi: true
                }
            ]
        };
    }
    static forChild() {
        return {
            ngModule: NgEasycommerceModule_1,
            providers: []
        };
    }
};
NgEasycommerceModule = NgEasycommerceModule_1 = __decorate$27([
    NgModule({
        exports: [
            OrderByPipe,
            components,
            directives,
            pipes,
        ],
        imports: [
            CommonModule,
            RouterModule,
            TranslateModule,
            HttpClientModule,
            InfiniteScrollModule,
            ToastrModule,
            FormsModule,
            ReactiveFormsModule,
            RecaptchaFormsModule,
            RecaptchaModule,
            CardModule,
            ModalModule,
            CarouselModule
        ],
        declarations: [
            OrderByPipe,
            components,
            directives,
            pipes,
            EcSanitizerHtmlPipe,
            EcSanitizerUrlPipe,
        ],
        providers: []
    })
], NgEasycommerceModule);

var __decorate$28 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let GiftCardService = class GiftCardService {
    constructor(consts, cartService, connection) {
        this.consts = consts;
        this.cartService = cartService;
        this.connection = connection;
        this.stateSubject = new BehaviorSubject({ doing: false, ok: false, data: null });
        this.baseUrl = this.consts.getUrlBase() + 'shop-api/' + this.consts.getChannel() + '/';
        this.couponApi = () => this.baseUrl + 'carts/' + this.cartService.getCartToken() + '/coupon';
        this.state = this.stateSubject.asObservable();
        this.setCoupon = (coupon) => {
            this.stateSubject.next({ doing: true, ok: false, data: null });
            this.connection.put(this.couponApi(), { coupon }).subscribe(res => this.handleResponse(res, coupon));
        };
        this.removeCoupon = () => this.stateSubject.getValue().data.coupon && this.deleteCoupon();
        this.deleteCoupon = () => {
            this.stateSubject.next({ doing: true, ok: false, data: null });
            this.connection.delete(this.couponApi());
        };
        this.handleResponse = (response, coupon) => {
            response.code ?
                this.stateSubject.next({
                    doing: false,
                    ok: false,
                    data: { message: response.message, discount: '' }
                }) :
                this.stateSubject.next({
                    doing: false,
                    ok: true,
                    data: { message: 'coupon-ready', discount: 'APPLIED DISCOUNT', coupon }
                });
        };
        this.avoidCoupon = () => {
            this.stateSubject.next({ doing: false, ok: true, data: { discount: null, message: 'avoided', coupon: null } });
        };
    }
};
GiftCardService.ctorParameters = () => [
    { type: Constants },
    { type: CartService },
    { type: ConnectionService }
];
GiftCardService.ɵprov = ɵɵdefineInjectable({ factory: function GiftCardService_Factory() { return new GiftCardService(ɵɵinject(Constants), ɵɵinject(CartService), ɵɵinject(ConnectionService)); }, token: GiftCardService, providedIn: "root" });
GiftCardService = __decorate$28([
    Injectable({
        providedIn: 'root'
    })
], GiftCardService);

var __decorate$29 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
// Get product from Localstorage
let products$1 = JSON.parse(localStorage.getItem("wishlistItem")) || [];
let WishlistService = class WishlistService {
    // Initialize 
    constructor(toastrService) {
        this.toastrService = toastrService;
        // wishlist array
        this.wishlistProducts = new BehaviorSubject([]);
        this.wishlistProducts.subscribe(products => products = products);
    }
    // Get  wishlist Products
    getProducts() {
        const itemsStream = new Observable(observer => {
            observer.next(products$1);
            observer.complete();
        });
        return itemsStream;
    }
    // If item is aleready added In wishlist
    hasProduct(product) {
        const item = products$1.find(item => item.id === product.id);
        return item !== undefined;
    }
    // Add to wishlist
    addToWishlist(product) {
        var item = false;
        if (this.hasProduct(product)) {
            item = products$1.filter(item => item.id === product.id)[0];
            const index = products$1.indexOf(item);
        }
        else {
            products$1.push(product);
        }
        this.toastrService.success('This product added to Wishlist.'); // toasr services
        localStorage.setItem("wishlistItem", JSON.stringify(products$1));
        return item;
    }
    // Removed Product
    removeFromWishlist(product) {
        if (product === undefined) {
            return;
        }
        const index = products$1.indexOf(product);
        products$1.splice(index, 1);
        localStorage.setItem("wishlistItem", JSON.stringify(products$1));
    }
};
WishlistService.ctorParameters = () => [
    { type: ToastrService }
];
WishlistService.ɵprov = ɵɵdefineInjectable({ factory: function WishlistService_Factory() { return new WishlistService(ɵɵinject(ToastrService)); }, token: WishlistService, providedIn: "root" });
WishlistService = __decorate$29([
    Injectable({
        providedIn: 'root'
    })
], WishlistService);

var __decorate$2a = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __param$d = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
let StandardReuseStrategy = class StandardReuseStrategy {
    constructor(env) {
        this.env = env;
        this.routes = [];
        this.storedRoutes = new Map();
    }
    shouldDetach(route) {
        this.routes = (this.routes.length && this.routes) || (this.env.routes || []);
        let result = route.data.key && this.routes.includes(route.data.key);
        return result;
    }
    store(route, handle) {
        this.storedRoutes.set(route.data.key, handle);
    }
    shouldAttach(route) {
        return !!this.storedRoutes.get(route.data.key);
    }
    retrieve(route) {
        return this.storedRoutes.get(route.data.key);
    }
    shouldReuseRoute(future, curr) {
        return future.routeConfig === curr.routeConfig;
    }
};
StandardReuseStrategy.ctorParameters = () => [
    { type: undefined, decorators: [{ type: Inject, args: ['env',] }] }
];
StandardReuseStrategy = __decorate$2a([
    Injectable(),
    __param$d(0, Inject('env'))
], StandardReuseStrategy);

/*
 * Public API Surface of ng-easycommerce
 */

/**
 * Generated bundle index. Do not edit.
 */

export { AbleBuyerGuardService, AccountEcComponent, AddActionRedirectDirective, AddressingService, AnalyticsService, AttributesFilter, AuthEcComponent, AuthGuardService, AuthInterceptor, AuthService, AuthWholesalerDirective, BambooEcComponent, BancardEcComponent, BancardRedirectEcComponent, BannerService, BlockBannerBoxesEcComponent, BlockBannerFullEcComponent, BlockFormContactEcComponent, BlockHtmlEcComponent, BlockProductsEcComponent, BlocksEcComponent, BlocksService, BrowserWindowRef, BuildYourEcComponent, CaptchaService, CartEcComponent, CartLoadEcComponent, CartService, CategoryFilter, CecaRedirectEcComponent, ChannelConfigService, CheckoutEcComponent, CheckoutErrorComponent, CheckoutReadyGuard, CheckoutService, CollectionEcComponent, ConcatenatedAssociationsService, ConfirmAccountEcComponent, ConnectionService, Constants, ContactFormNewsEcComponent, CookiesEcComponent, CouponEcComponent, CurrencyService, DataFormEcComponent, DataformService, DecidirEcComponent, DetailCheckoutBlockEcComponent, DynamicsFilter, EcSanitizerHtmlPipe, EcSanitizerUrlPipe, FaqsContentEcComponent, Filter, FilterOptionTypes, FiltersEcComponent, FiltersService, FiltersTopEcComponent, FooterEcComponent, ForgotPasswordEcComponent, GiftCardService, HeaderEcComponent, HomeEcComponent, LoadingFullEcComponent, LoadingInlineEcComponent, LoadingSectionEcComponent, LoggedInGuard, LoginEcComponent, LoginFormEcComponent, MPCreditEcComponent, MobbexEcComponent, ModalConfigEcComponent, ModalCookiesEcComponent, MpRedirectEcComponent, MultipleItemsToCartEcComponent, NgEasycommerceModule, OptionsService, OrderEcComponent, OrdersEcComponent, OrdersService, PaginationService, ParametersService, ParamsContext, PasswordResetEcComponent, PaymentEcComponent, PaymentService, PaypalExpressEcComponent, PriceEcComponent, ProductDetailEcComponent, ProductDetailService, ProductEcComponent, ProductFoundEcComponent, ProductMiniStandardDirective, ProductStockDirective, ProductsService, RatingEcComponent, RedSysProEcComponent, RedSysRedirectEcComponent, RedSysRedirectOutEcComponent, RedsysCatchEcComponent, RegisterFormEcComponent, RegisterWholesalerFormEcComponent, RelatedProductsEcComponent, ReviewsEcComponent, ReviewsFormEcComponent, ReviewsService, SectionContainerEcComponent, SelectChannelEcComponent, ShareBlockEcComponent, ShipmentEcComponent, ShipmentService, SidebarCookiesEcComponent, SortFilter, StandardReuseStrategy, Step, StoresEcComponent, StoresService, SuccessEcComponent, ToastCookiesEcComponent, ToastService, User, UserRoleGuardService, UtilsService, VariantsEcComponent, WINDOW, WINDOW_PROVIDERS, WindowRef, WishlistService, browserWindowProvider, ecCurrencySymbolPipe, windowFactory, windowProvider, OrderByPipe as ɵa, components as ɵb, PaymentUtils as ɵba, CustomerInterceptor as ɵbb, SellerDashboardContainerEcComponent as ɵc, MagnizoomComponent as ɵd, RecaptchaEcComponent as ɵe, ComparedProductsEcComponent as ɵf, StepEcComponent as ɵg, CulqiEcComponent as ɵh, BancardCatastroEcComponent as ɵi, ComponentHelper as ɵj, BlocksRepositoryService as ɵk, FacebookPixelService as ɵl, GoogleAnalyticsService as ɵm, GTMService as ɵn, MetricoolPixelService as ɵo, DopplerService as ɵp, OrderUtilityService as ɵq, StepService as ɵr, ErrorHandlerService as ɵs, ShipmentDataTransformer as ɵt, CookiesService as ɵu, directives as ɵv, ProductOffDirective as ɵw, ReloadViewDirective as ɵx, pipes as ɵy, OptionsOfProductListDataReceiverService as ɵz };
//# sourceMappingURL=ng-easycommerce.js.map
